/*===========================================================================*/
/*   (Llib/_types.scm)                                                       */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -unsafe -safee -copt -fPIC -copt -IPosix Llib/_types.scm -o objs/_types.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_threadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
} *BgL_threadz00_bglt;

typedef struct BgL_pthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
} *BgL_pthreadz00_bglt;

typedef struct BgL_fthreadz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
} *BgL_fthreadz00_bglt;

typedef struct BgL_schedulerz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
} *BgL_schedulerz00_bglt;

typedef struct BgL_z52schedulerz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_schedulerz00;
   obj_t BgL_z52builtinz52;
   int BgL_z52timeoutz52;
   obj_t BgL_z52statez52;
   bool_t BgL_z52iszd2suspendz80;
   obj_t BgL_z52terminatez52;
   obj_t BgL_z52resultz52;
   obj_t BgL_z52exczd2resultz80;
   bool_t BgL_z52exczd2raisedz80;
   int BgL_z52identz52;
   obj_t BgL_z52signalsz52;
   obj_t BgL_z52awakezd2signalz80;
   obj_t BgL_z52awakezd2valuez80;
   obj_t BgL_z52cleanupz52;
   obj_t BgL_z52specificz52;
   obj_t BgL_bodyz00;
   obj_t BgL_envzb2zb2;
   obj_t BgL_strictzd2orderzf3z21;
   obj_t BgL_nextzd2instantzd2;
   obj_t BgL_currentzd2threadzd2;
   int BgL_z52livezd2threadzd2numberz52;
   bool_t BgL_z52threadszd2readyz80;
   obj_t BgL_threadszd2runnablezd2;
   obj_t BgL_threadszd2runnablezd2lastzd2pairzd2;
   obj_t BgL_asynczd2runnablezd2;
   obj_t BgL_threadszd2timeoutzd2;
   obj_t BgL_threadszd2yieldzd2;
   obj_t BgL_tostartz00;
   obj_t BgL_toterminatez00;
   obj_t BgL_tosuspendzf2resumezf2;
   obj_t BgL_tobroadcastz00;
   obj_t BgL_tospawnz00;
   obj_t BgL_currentzd2tokenzd2;
} *BgL_z52schedulerz52_bglt;

typedef struct BgL_z52sigasyncz52_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_spawnedz00;
   obj_t BgL_idz00;
   obj_t BgL_thunkz00;
} *BgL_z52sigasyncz52_bglt;

typedef struct BgL_z52pthreadz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_bodyz00;
   bool_t BgL_detachedpz00;
   obj_t BgL_endzd2resultzd2;
   obj_t BgL_endzd2exceptionzd2;
   void * BgL_z42builtinz42;
   obj_t BgL_fthreadz00;
   obj_t BgL_mutexz00;
   obj_t BgL_condvarz00;
   obj_t BgL_idz00;
   obj_t BgL_parentz00;
} *BgL_z52pthreadz52_bglt;


static obj_t BGl_z62zc3z04anonymousza31303ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_objectzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_z62zc3z04anonymousza31215ze3ze5zz__ft_z52typesz52(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52schedulerz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_z62zc3z04anonymousza31235ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31610ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1205z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1206z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1213z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1214z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
static obj_t BGl_z62lambda1233z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1234z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31347ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31721ze3ze5zz__ft_z52typesz52(obj_t);
extern obj_t BGl_schedulerz00zz__ft_typesz00;
static obj_t BGl_z62lambda1423z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31544ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1424z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1267z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1268z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__ft_z52typesz52();
static obj_t BGl_z62lambda1608z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1609z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1620z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1621z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_z62lambda1644z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1645z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static BgL_z52pthreadz52_bglt BGl_z62lambda1659z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z52pthreadz52_bglt BGl_z62lambda1664z62zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1673z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1674z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31675ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1680z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1681z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1692z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1693z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31694ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_genericzd2initzd2zz__ft_z52typesz52();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_pthreadz00zz__pth_threadz00;
static obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31152ze3ze5zz__ft_z52typesz52(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
static obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31172ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31425ze3ze5zz__ft_z52typesz52(obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52pthreadz52zz__ft_z52typesz52 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static obj_t BGl_z62lambda1301z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1302z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static BgL_z52schedulerz52_bglt BGl_z62lambda1140z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_z52schedulerz52_bglt BGl_z62lambda1143z62zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1150z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1151z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31517ze3ze5zz__ft_z52typesz52(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ft_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__pth_threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
static obj_t BGl_z62lambda1162z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1163z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_z52sigasyncz52zz__ft_z52typesz52 = BUNSPEC;
static obj_t BGl_z62lambda1170z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1171z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1333z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1334z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1180z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1181z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1345z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31269ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62lambda1346z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__ft_z52typesz52();
static obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52();
static obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52();
static obj_t BGl_z62lambda1515z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1516z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1198z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1199z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
static obj_t BGl_z62lambda1542z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1704z62zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62lambda1543z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1705z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1719z62zz__ft_z52typesz52(obj_t, obj_t);
static BgL_z52sigasyncz52_bglt BGl_z62lambda1559z62zz__ft_z52typesz52(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1720z62zz__ft_z52typesz52(obj_t, obj_t, obj_t);
static BgL_z52sigasyncz52_bglt BGl_z62lambda1574z62zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31576ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31682ze3ze5zz__ft_z52typesz52(obj_t);
static obj_t BGl_z62zc3z04anonymousza31666ze3ze5zz__ft_z52typesz52(obj_t, obj_t);
static obj_t __cnst[ 35 ] ;


DEFINE_STRING( BGl_string1810z00zz__ft_z52typesz52, BgL_bgl_string1810za700za7za7_1815za7, "__ft_%types", 11 );
DEFINE_STRING( BGl_string1811z00zz__ft_z52typesz52, BgL_bgl_string1811za700za7za7_1816za7, "condition-variable $fth _ %pthread parent condvar mutex fthread %sigasync thunk symbol id spawned __ft_%types %scheduler current-token tospawn tobroadcast tosuspend/resume toterminate tostart threads-yield threads-timeout async-runnable threads-runnable-last-pair pair-nil threads-runnable bool %threads-ready int %live-thread-number obj current-thread procedure next-instant ", 376 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1733z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1817za7, BGl_z62zc3z04anonymousza31152ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1734z00zz__ft_z52typesz52, BgL_bgl_za762lambda1151za7621818z00, BGl_z62lambda1151z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1735z00zz__ft_z52typesz52, BgL_bgl_za762lambda1150za7621819z00, BGl_z62lambda1150z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1736z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1820za7, BGl_z62zc3z04anonymousza31164ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1737z00zz__ft_z52typesz52, BgL_bgl_za762lambda1163za7621821z00, BGl_z62lambda1163z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1738z00zz__ft_z52typesz52, BgL_bgl_za762lambda1162za7621822z00, BGl_z62lambda1162z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1739z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1823za7, BGl_z62zc3z04anonymousza31172ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1740z00zz__ft_z52typesz52, BgL_bgl_za762lambda1171za7621824z00, BGl_z62lambda1171z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1741z00zz__ft_z52typesz52, BgL_bgl_za762lambda1170za7621825z00, BGl_z62lambda1170z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1742z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1826za7, BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1743z00zz__ft_z52typesz52, BgL_bgl_za762lambda1181za7621827z00, BGl_z62lambda1181z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1744z00zz__ft_z52typesz52, BgL_bgl_za762lambda1180za7621828z00, BGl_z62lambda1180z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1745z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1829za7, BGl_z62zc3z04anonymousza31200ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1746z00zz__ft_z52typesz52, BgL_bgl_za762lambda1199za7621830z00, BGl_z62lambda1199z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1747z00zz__ft_z52typesz52, BgL_bgl_za762lambda1198za7621831z00, BGl_z62lambda1198z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1748z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1832za7, BGl_z62zc3z04anonymousza31207ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1749z00zz__ft_z52typesz52, BgL_bgl_za762lambda1206za7621833z00, BGl_z62lambda1206z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1750z00zz__ft_z52typesz52, BgL_bgl_za762lambda1205za7621834z00, BGl_z62lambda1205z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1751z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1835za7, BGl_z62zc3z04anonymousza31215ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1752z00zz__ft_z52typesz52, BgL_bgl_za762lambda1214za7621836z00, BGl_z62lambda1214z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1753z00zz__ft_z52typesz52, BgL_bgl_za762lambda1213za7621837z00, BGl_z62lambda1213z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1754z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1838za7, BGl_z62zc3z04anonymousza31235ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1755z00zz__ft_z52typesz52, BgL_bgl_za762lambda1234za7621839z00, BGl_z62lambda1234z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1756z00zz__ft_z52typesz52, BgL_bgl_za762lambda1233za7621840z00, BGl_z62lambda1233z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1757z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1841za7, BGl_z62zc3z04anonymousza31269ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1758z00zz__ft_z52typesz52, BgL_bgl_za762lambda1268za7621842z00, BGl_z62lambda1268z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1759z00zz__ft_z52typesz52, BgL_bgl_za762lambda1267za7621843z00, BGl_z62lambda1267z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1760z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1844za7, BGl_z62zc3z04anonymousza31303ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1761z00zz__ft_z52typesz52, BgL_bgl_za762lambda1302za7621845z00, BGl_z62lambda1302z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1762z00zz__ft_z52typesz52, BgL_bgl_za762lambda1301za7621846z00, BGl_z62lambda1301z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1763z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1847za7, BGl_z62zc3z04anonymousza31335ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1764z00zz__ft_z52typesz52, BgL_bgl_za762lambda1334za7621848z00, BGl_z62lambda1334z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1765z00zz__ft_z52typesz52, BgL_bgl_za762lambda1333za7621849z00, BGl_z62lambda1333z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1766z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1850za7, BGl_z62zc3z04anonymousza31347ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1767z00zz__ft_z52typesz52, BgL_bgl_za762lambda1346za7621851z00, BGl_z62lambda1346z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1768z00zz__ft_z52typesz52, BgL_bgl_za762lambda1345za7621852z00, BGl_z62lambda1345z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1769z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1853za7, BGl_z62zc3z04anonymousza31425ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1770z00zz__ft_z52typesz52, BgL_bgl_za762lambda1424za7621854z00, BGl_z62lambda1424z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1771z00zz__ft_z52typesz52, BgL_bgl_za762lambda1423za7621855z00, BGl_z62lambda1423z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1772z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1856za7, BGl_z62zc3z04anonymousza31517ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1773z00zz__ft_z52typesz52, BgL_bgl_za762lambda1516za7621857z00, BGl_z62lambda1516z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1774z00zz__ft_z52typesz52, BgL_bgl_za762lambda1515za7621858z00, BGl_z62lambda1515z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1775z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1859za7, BGl_z62zc3z04anonymousza31544ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1776z00zz__ft_z52typesz52, BgL_bgl_za762lambda1543za7621860z00, BGl_z62lambda1543z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1777z00zz__ft_z52typesz52, BgL_bgl_za762lambda1542za7621861z00, BGl_z62lambda1542z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1778z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1862za7, BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1779z00zz__ft_z52typesz52, BgL_bgl_za762lambda1143za7621863z00, BGl_z62lambda1143z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1780z00zz__ft_z52typesz52, BgL_bgl_za762lambda1140za7621864z00, BGl_z62lambda1140z62zz__ft_z52typesz52, 0L, BUNSPEC, 34 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1781z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1865za7, BGl_z62zc3z04anonymousza31610ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1782z00zz__ft_z52typesz52, BgL_bgl_za762lambda1609za7621866z00, BGl_z62lambda1609z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1783z00zz__ft_z52typesz52, BgL_bgl_za762lambda1608za7621867z00, BGl_z62lambda1608z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1784z00zz__ft_z52typesz52, BgL_bgl_za762lambda1621za7621868z00, BGl_z62lambda1621z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1785z00zz__ft_z52typesz52, BgL_bgl_za762lambda1620za7621869z00, BGl_z62lambda1620z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1786z00zz__ft_z52typesz52, BgL_bgl_za762lambda1645za7621870z00, BGl_z62lambda1645z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1787z00zz__ft_z52typesz52, BgL_bgl_za762lambda1644za7621871z00, BGl_z62lambda1644z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1788z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1872za7, BGl_z62zc3z04anonymousza31576ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1789z00zz__ft_z52typesz52, BgL_bgl_za762lambda1574za7621873z00, BGl_z62lambda1574z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1790z00zz__ft_z52typesz52, BgL_bgl_za762lambda1559za7621874z00, BGl_z62lambda1559z62zz__ft_z52typesz52, 0L, BUNSPEC, 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1791z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1875za7, BGl_z62zc3z04anonymousza31675ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1792z00zz__ft_z52typesz52, BgL_bgl_za762lambda1674za7621876z00, BGl_z62lambda1674z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1793z00zz__ft_z52typesz52, BgL_bgl_za762lambda1673za7621877z00, BGl_z62lambda1673z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1794z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1878za7, BGl_z62zc3z04anonymousza31682ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1795z00zz__ft_z52typesz52, BgL_bgl_za762lambda1681za7621879z00, BGl_z62lambda1681z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1796z00zz__ft_z52typesz52, BgL_bgl_za762lambda1680za7621880z00, BGl_z62lambda1680z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1797z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1881za7, BGl_z62zc3z04anonymousza31694ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1798z00zz__ft_z52typesz52, BgL_bgl_za762lambda1693za7621882z00, BGl_z62lambda1693z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1799z00zz__ft_z52typesz52, BgL_bgl_za762lambda1692za7621883z00, BGl_z62lambda1692z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
BGL_IMPORT obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1800z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1884za7, BGl_z62zc3z04anonymousza31706ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1801z00zz__ft_z52typesz52, BgL_bgl_za762lambda1705za7621885z00, BGl_z62lambda1705z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1802z00zz__ft_z52typesz52, BgL_bgl_za762lambda1704za7621886z00, BGl_z62lambda1704z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1803z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1887za7, BGl_z62zc3z04anonymousza31721ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1804z00zz__ft_z52typesz52, BgL_bgl_za762lambda1720za7621888z00, BGl_z62lambda1720z62zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1805z00zz__ft_z52typesz52, BgL_bgl_za762lambda1719za7621889z00, BGl_z62lambda1719z62zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1806z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1890za7, BGl_z62zc3z04anonymousza31666ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1807z00zz__ft_z52typesz52, BgL_bgl_za762lambda1664za7621891z00, BGl_z62lambda1664z62zz__ft_z52typesz52, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1732z00zz__ft_z52typesz52, BgL_bgl_string1732za700za7za7_1892za7, "Llib/_types.scm", 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1808z00zz__ft_z52typesz52, BgL_bgl_za762lambda1659za7621893z00, BGl_z62lambda1659z62zz__ft_z52typesz52, 0L, BUNSPEC, 11 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1809z00zz__ft_z52typesz52, BgL_bgl_za762za7c3za704anonymo1894za7, BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52, 0L, BUNSPEC, 2 );
extern obj_t BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00;
BGL_IMPORT obj_t BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_z52schedulerz52zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52pthreadz52zz__ft_z52typesz52) );
ADD_ROOT( (void *)(&BGl_z52sigasyncz52zz__ft_z52typesz52) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__ft_z52typesz52(long BgL_checksumz00_904, char * BgL_fromz00_905)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__ft_z52typesz52))
{ 
BGl_requirezd2initializa7ationz75zz__ft_z52typesz52 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__ft_z52typesz52(); 
BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52(); 
BGl_cnstzd2initzd2zz__ft_z52typesz52(); 
BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52(); 
BGl_objectzd2initzd2zz__ft_z52typesz52(); 
return 
BGl_toplevelzd2initzd2zz__ft_z52typesz52();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__ft_%types"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__ft_%types"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 15 */
obj_t BgL_cportz00_764;
{ /* Llib/_types.scm 15 */
obj_t BgL_stringz00_772;
BgL_stringz00_772 = BGl_string1811z00zz__ft_z52typesz52; 
{ /* Llib/_types.scm 15 */
obj_t BgL_startz00_773;
BgL_startz00_773 = 
BINT(((long)0)); 
{ /* Llib/_types.scm 15 */
obj_t BgL_endz00_774;
BgL_endz00_774 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_772))); 
{ /* Llib/_types.scm 15 */

BgL_cportz00_764 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_772, BgL_startz00_773, BgL_endz00_774); } } } } 
{ 
long BgL_iz00_765;
BgL_iz00_765 = ((long)34); 
BgL_loopz00_766:
if(
(BgL_iz00_765==((long)-1)))
{ /* Llib/_types.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 15 */
obj_t BgL_arg1813z00_768;
{ /* Llib/_types.scm 15 */

{ /* Llib/_types.scm 15 */
obj_t BgL_locationz00_770;
BgL_locationz00_770 = 
BBOOL(((bool_t)0)); 
{ /* Llib/_types.scm 15 */

BgL_arg1813z00_768 = 
BGl_readz00zz__readerz00(BgL_cportz00_764, BgL_locationz00_770); } } } 
{ /* Llib/_types.scm 15 */
int BgL_tmpz00_933;
BgL_tmpz00_933 = 
(int)(BgL_iz00_765); 
CNST_TABLE_SET(BgL_tmpz00_933, BgL_arg1813z00_768); } } 
{ /* Llib/_types.scm 15 */
int BgL_auxz00_771;
BgL_auxz00_771 = 
(int)(
(BgL_iz00_765-((long)1))); 
{ 
long BgL_iz00_938;
BgL_iz00_938 = 
(long)(BgL_auxz00_771); 
BgL_iz00_765 = BgL_iz00_938; 
goto BgL_loopz00_766;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
BGl_modulezd2initializa7ationz75zz__pth_threadz00(((long)0), 
BSTRING_TO_STRING(BGl_string1732z00zz__ft_z52typesz52)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1138z00_14;obj_t BgL_arg1139z00_15;
{ /* Llib/_types.scm 21 */
obj_t BgL_v1119z00_60;
BgL_v1119z00_60 = 
create_vector(((long)15)); 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1146z00_61;
BgL_arg1146z00_61 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)0)), BGl_proc1735z00zz__ft_z52typesz52, BGl_proc1734z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1733z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1119z00_60,((long)0),BgL_arg1146z00_61); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1154z00_77;
BgL_arg1154z00_77 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)2)), BGl_proc1738z00zz__ft_z52typesz52, BGl_proc1737z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1736z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1119z00_60,((long)1),BgL_arg1154z00_77); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1165z00_90;
BgL_arg1165z00_90 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)4)), BGl_proc1741z00zz__ft_z52typesz52, BGl_proc1740z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1739z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)5))); 
VECTOR_SET(BgL_v1119z00_60,((long)2),BgL_arg1165z00_90); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1173z00_103;
BgL_arg1173z00_103 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)6)), BGl_proc1744z00zz__ft_z52typesz52, BGl_proc1743z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1742z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1119z00_60,((long)3),BgL_arg1173z00_103); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1194z00_116;
BgL_arg1194z00_116 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)8)), BGl_proc1747z00zz__ft_z52typesz52, BGl_proc1746z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1745z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)4),BgL_arg1194z00_116); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1201z00_129;
BgL_arg1201z00_129 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)10)), BGl_proc1750z00zz__ft_z52typesz52, BGl_proc1749z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1748z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)5),BgL_arg1201z00_129); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1208z00_142;
BgL_arg1208z00_142 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)11)), BGl_proc1753z00zz__ft_z52typesz52, BGl_proc1752z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1751z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)6),BgL_arg1208z00_142); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1218z00_155;
BgL_arg1218z00_155 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)12)), BGl_proc1756z00zz__ft_z52typesz52, BGl_proc1755z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1754z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)7),BgL_arg1218z00_155); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1258z00_168;
BgL_arg1258z00_168 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc1759z00zz__ft_z52typesz52, BGl_proc1758z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1757z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)8),BgL_arg1258z00_168); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1281z00_181;
BgL_arg1281z00_181 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc1762z00zz__ft_z52typesz52, BGl_proc1761z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1760z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)9),BgL_arg1281z00_181); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1325z00_194;
BgL_arg1325z00_194 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)15)), BGl_proc1765z00zz__ft_z52typesz52, BGl_proc1764z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1763z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)10),BgL_arg1325z00_194); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1341z00_207;
BgL_arg1341z00_207 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)16)), BGl_proc1768z00zz__ft_z52typesz52, BGl_proc1767z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1766z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)11),BgL_arg1341z00_207); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1348z00_220;
BgL_arg1348z00_220 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)17)), BGl_proc1771z00zz__ft_z52typesz52, BGl_proc1770z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1769z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)12),BgL_arg1348z00_220); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1502z00_233;
BgL_arg1502z00_233 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc1774z00zz__ft_z52typesz52, BGl_proc1773z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1772z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)9))); 
VECTOR_SET(BgL_v1119z00_60,((long)13),BgL_arg1502z00_233); } 
{ /* Llib/_types.scm 21 */
obj_t BgL_arg1521z00_246;
BgL_arg1521z00_246 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc1777z00zz__ft_z52typesz52, BGl_proc1776z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1775z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1119z00_60,((long)14),BgL_arg1521z00_246); } 
BgL_arg1138z00_14 = BgL_v1119z00_60; } 
{ /* Llib/_types.scm 21 */
obj_t BgL_v1120z00_259;
BgL_v1120z00_259 = 
create_vector(((long)0)); 
BgL_arg1139z00_15 = BgL_v1120z00_259; } 
BGl_z52schedulerz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)20)), 
CNST_TABLE_REF(((long)21)), BGl_schedulerz00zz__ft_typesz00, ((long)62772), BGl_proc1780z00zz__ft_z52typesz52, BGl_proc1779z00zz__ft_z52typesz52, BGl_z52threadzd2setupz12zd2envz40zz__ft_typesz00, BGl_proc1778z00zz__ft_z52typesz52, BFALSE, BgL_arg1138z00_14, BgL_arg1139z00_15); } 
{ /* Llib/_types.scm 54 */
obj_t BgL_arg1557z00_266;obj_t BgL_arg1558z00_267;
{ /* Llib/_types.scm 54 */
obj_t BgL_v1121z00_280;
BgL_v1121z00_280 = 
create_vector(((long)3)); 
{ /* Llib/_types.scm 54 */
obj_t BgL_arg1587z00_281;
BgL_arg1587z00_281 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)22)), BGl_proc1783z00zz__ft_z52typesz52, BGl_proc1782z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1781z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)7))); 
VECTOR_SET(BgL_v1121z00_280,((long)0),BgL_arg1587z00_281); } 
{ /* Llib/_types.scm 54 */
obj_t BgL_arg1612z00_294;
BgL_arg1612z00_294 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1785z00zz__ft_z52typesz52, BGl_proc1784z00zz__ft_z52typesz52, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1121z00_280,((long)1),BgL_arg1612z00_294); } 
{ /* Llib/_types.scm 54 */
obj_t BgL_arg1623z00_304;
BgL_arg1623z00_304 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc1787z00zz__ft_z52typesz52, BGl_proc1786z00zz__ft_z52typesz52, ((bool_t)1), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)1))); 
VECTOR_SET(BgL_v1121z00_280,((long)2),BgL_arg1623z00_304); } 
BgL_arg1557z00_266 = BgL_v1121z00_280; } 
{ /* Llib/_types.scm 54 */
obj_t BgL_v1122z00_314;
BgL_v1122z00_314 = 
create_vector(((long)0)); 
BgL_arg1558z00_267 = BgL_v1122z00_314; } 
BGl_z52sigasyncz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)26)), 
CNST_TABLE_REF(((long)21)), BGl_objectz00zz__objectz00, ((long)49897), BGl_proc1790z00zz__ft_z52typesz52, BGl_proc1789z00zz__ft_z52typesz52, BFALSE, BGl_proc1788z00zz__ft_z52typesz52, BFALSE, BgL_arg1557z00_266, BgL_arg1558z00_267); } 
{ /* Llib/_types.scm 63 */
obj_t BgL_arg1657z00_321;obj_t BgL_arg1658z00_322;
{ /* Llib/_types.scm 63 */
obj_t BgL_v1123z00_344;
BgL_v1123z00_344 = 
create_vector(((long)5)); 
{ /* Llib/_types.scm 63 */
obj_t BgL_arg1667z00_345;
BgL_arg1667z00_345 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)27)), BGl_proc1793z00zz__ft_z52typesz52, BGl_proc1792z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1791z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1123z00_344,((long)0),BgL_arg1667z00_345); } 
{ /* Llib/_types.scm 63 */
obj_t BgL_arg1676z00_358;
BgL_arg1676z00_358 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc1796z00zz__ft_z52typesz52, BGl_proc1795z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1794z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)28))); 
VECTOR_SET(BgL_v1123z00_344,((long)1),BgL_arg1676z00_358); } 
{ /* Llib/_types.scm 63 */
obj_t BgL_arg1683z00_372;
BgL_arg1683z00_372 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc1799z00zz__ft_z52typesz52, BGl_proc1798z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1797z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)29))); 
VECTOR_SET(BgL_v1123z00_344,((long)2),BgL_arg1683z00_372); } 
{ /* Llib/_types.scm 63 */
obj_t BgL_arg1695z00_386;
BgL_arg1695z00_386 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc1802z00zz__ft_z52typesz52, BGl_proc1801z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1800z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1123z00_344,((long)3),BgL_arg1695z00_386); } 
{ /* Llib/_types.scm 63 */
obj_t BgL_arg1707z00_399;
BgL_arg1707z00_399 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)30)), BGl_proc1805z00zz__ft_z52typesz52, BGl_proc1804z00zz__ft_z52typesz52, ((bool_t)0), ((bool_t)0), BFALSE, BGl_proc1803z00zz__ft_z52typesz52, 
CNST_TABLE_REF(((long)3))); 
VECTOR_SET(BgL_v1123z00_344,((long)4),BgL_arg1707z00_399); } 
BgL_arg1657z00_321 = BgL_v1123z00_344; } 
{ /* Llib/_types.scm 63 */
obj_t BgL_v1124z00_412;
BgL_v1124z00_412 = 
create_vector(((long)0)); 
BgL_arg1658z00_322 = BgL_v1124z00_412; } 
return ( 
BGl_z52pthreadz52zz__ft_z52typesz52 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)31)), 
CNST_TABLE_REF(((long)21)), BGl_pthreadz00zz__pth_threadz00, ((long)3660), BGl_proc1808z00zz__ft_z52typesz52, BGl_proc1807z00zz__ft_z52typesz52, BGl_threadzd2initializa7ez12zd2envzb5zz__threadz00, BGl_proc1806z00zz__ft_z52typesz52, BFALSE, BgL_arg1657z00_321, BgL_arg1658z00_322), BUNSPEC) ;} } 

}



/* &<@anonymous:1666> */
obj_t BGl_z62zc3z04anonymousza31666ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_561, obj_t BgL_new1112z00_562)
{
{ /* Llib/_types.scm 63 */
{ 
BgL_z52pthreadz52_bglt BgL_auxz00_1050;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562))))->BgL_detachedpz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562))))->BgL_endzd2resultzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562))))->BgL_endzd2exceptionzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562))))->BgL_z42builtinz42)=((void *)
0L),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562)))->BgL_fthreadz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562)))->BgL_mutexz00)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562)))->BgL_condvarz00)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562)))->BgL_idz00)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562)))->BgL_parentz00)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1050 = 
((BgL_z52pthreadz52_bglt)BgL_new1112z00_562); 
return 
((obj_t)BgL_auxz00_1050);} } 

}



/* &lambda1664 */
BgL_z52pthreadz52_bglt BGl_z62lambda1664z62zz__ft_z52typesz52(obj_t BgL_envz00_563)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 63 */
BgL_z52pthreadz52_bglt BgL_new1111z00_778;
BgL_new1111z00_778 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_types.scm 63 */
long BgL_arg1665z00_779;
{ /* Llib/_types.scm 63 */
long BgL_res1729z00_780;
BgL_res1729z00_780 = 
BGL_CLASS_INDEX(BGl_z52pthreadz52zz__ft_z52typesz52); 
BgL_arg1665z00_779 = BgL_res1729z00_780; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1111z00_778), BgL_arg1665z00_779); } 
return BgL_new1111z00_778;} } 

}



/* &lambda1659 */
BgL_z52pthreadz52_bglt BGl_z62lambda1659z62zz__ft_z52typesz52(obj_t BgL_envz00_564, obj_t BgL_name1100z00_565, obj_t BgL_body1101z00_566, obj_t BgL_detachedp1102z00_567, obj_t BgL_endzd2result1103zd2_568, obj_t BgL_endzd2exception1104zd2_569, obj_t BgL_z42builtin1105z42_570, obj_t BgL_fthread1106z00_571, obj_t BgL_mutex1107z00_572, obj_t BgL_condvar1108z00_573, obj_t BgL_id1109z00_574, obj_t BgL_parent1110z00_575)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 63 */
bool_t BgL_detachedp1102z00_782;void * BgL_z42builtin1105z42_783;
BgL_detachedp1102z00_782 = 
CBOOL(BgL_detachedp1102z00_567); 
BgL_z42builtin1105z42_783 = 
FOREIGN_TO_COBJ(BgL_z42builtin1105z42_570); 
{ /* Llib/_types.scm 63 */
BgL_z52pthreadz52_bglt BgL_new1118z00_787;
{ /* Llib/_types.scm 63 */
BgL_z52pthreadz52_bglt BgL_new1117z00_788;
BgL_new1117z00_788 = 
((BgL_z52pthreadz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52pthreadz52_bgl) ))); 
{ /* Llib/_types.scm 63 */
long BgL_arg1663z00_789;
{ /* Llib/_types.scm 63 */
long BgL_res1728z00_790;
BgL_res1728z00_790 = 
BGL_CLASS_INDEX(BGl_z52pthreadz52zz__ft_z52typesz52); 
BgL_arg1663z00_789 = BgL_res1728z00_790; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1117z00_788), BgL_arg1663z00_789); } 
BgL_new1118z00_787 = BgL_new1117z00_788; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1118z00_787)))->BgL_namez00)=((obj_t)BgL_name1100z00_565),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_787)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1101z00_566)),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_787)))->BgL_detachedpz00)=((bool_t)BgL_detachedp1102z00_782),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_787)))->BgL_endzd2resultzd2)=((obj_t)BgL_endzd2result1103zd2_568),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_787)))->BgL_endzd2exceptionzd2)=((obj_t)BgL_endzd2exception1104zd2_569),BUNSPEC); 
((((BgL_pthreadz00_bglt)COBJECT(
((BgL_pthreadz00_bglt)BgL_new1118z00_787)))->BgL_z42builtinz42)=((void *)BgL_z42builtin1105z42_783),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_787))->BgL_fthreadz00)=((obj_t)BgL_fthread1106z00_571),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_787))->BgL_mutexz00)=((obj_t)
((obj_t)BgL_mutex1107z00_572)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_787))->BgL_condvarz00)=((obj_t)
((obj_t)BgL_condvar1108z00_573)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_787))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1109z00_574)),BUNSPEC); 
((((BgL_z52pthreadz52_bglt)COBJECT(BgL_new1118z00_787))->BgL_parentz00)=((obj_t)BgL_parent1110z00_575),BUNSPEC); 
{ /* Llib/_types.scm 63 */
obj_t BgL_fun1660z00_791;
BgL_fun1660z00_791 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52pthreadz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1660z00_791)(BgL_fun1660z00_791, 
((obj_t)BgL_new1118z00_787), BEOA); } 
return BgL_new1118z00_787;} } } 

}



/* &<@anonymous:1721> */
obj_t BGl_z62zc3z04anonymousza31721ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_576)
{
{ /* Llib/_types.scm 63 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1720 */
obj_t BGl_z62lambda1720z62zz__ft_z52typesz52(obj_t BgL_envz00_577, obj_t BgL_oz00_578, obj_t BgL_vz00_579)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_578)))->BgL_parentz00)=((obj_t)BgL_vz00_579),BUNSPEC);} 

}



/* &lambda1719 */
obj_t BGl_z62lambda1719z62zz__ft_z52typesz52(obj_t BgL_envz00_580, obj_t BgL_oz00_581)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_581)))->BgL_parentz00);} 

}



/* &<@anonymous:1706> */
obj_t BGl_z62zc3z04anonymousza31706ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_582)
{
{ /* Llib/_types.scm 63 */
return 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)33)));} 

}



/* &lambda1705 */
obj_t BGl_z62lambda1705z62zz__ft_z52typesz52(obj_t BgL_envz00_583, obj_t BgL_oz00_584, obj_t BgL_vz00_585)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_584)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_585)),BUNSPEC);} 

}



/* &lambda1704 */
obj_t BGl_z62lambda1704z62zz__ft_z52typesz52(obj_t BgL_envz00_586, obj_t BgL_oz00_587)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_587)))->BgL_idz00);} 

}



/* &<@anonymous:1694> */
obj_t BGl_z62zc3z04anonymousza31694ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_588)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 69 */

{ /* Llib/_types.scm 69 */
obj_t BgL_namez00_797;
BgL_namez00_797 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)34))); 
{ /* Llib/_types.scm 69 */

{ /* Llib/_types.scm 69 */
obj_t BgL_res1727z00_798;
BgL_res1727z00_798 = 
bgl_make_condvar(BgL_namez00_797); 
return BgL_res1727z00_798;} } } } } 

}



/* &lambda1693 */
obj_t BGl_z62lambda1693z62zz__ft_z52typesz52(obj_t BgL_envz00_589, obj_t BgL_oz00_590, obj_t BgL_vz00_591)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_590)))->BgL_condvarz00)=((obj_t)
((obj_t)BgL_vz00_591)),BUNSPEC);} 

}



/* &lambda1692 */
obj_t BGl_z62lambda1692z62zz__ft_z52typesz52(obj_t BgL_envz00_592, obj_t BgL_oz00_593)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_593)))->BgL_condvarz00);} 

}



/* &<@anonymous:1682> */
obj_t BGl_z62zc3z04anonymousza31682ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_594)
{
{ /* Llib/_types.scm 63 */
{ /* Llib/_types.scm 67 */

{ /* Llib/_types.scm 67 */
obj_t BgL_namez00_802;
BgL_namez00_802 = 
BGl_gensymz00zz__r4_symbols_6_4z00(
CNST_TABLE_REF(((long)28))); 
{ /* Llib/_types.scm 67 */

{ /* Llib/_types.scm 67 */
obj_t BgL_res1726z00_803;
BgL_res1726z00_803 = 
bgl_make_mutex(BgL_namez00_802); 
return BgL_res1726z00_803;} } } } } 

}



/* &lambda1681 */
obj_t BGl_z62lambda1681z62zz__ft_z52typesz52(obj_t BgL_envz00_595, obj_t BgL_oz00_596, obj_t BgL_vz00_597)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_596)))->BgL_mutexz00)=((obj_t)
((obj_t)BgL_vz00_597)),BUNSPEC);} 

}



/* &lambda1680 */
obj_t BGl_z62lambda1680z62zz__ft_z52typesz52(obj_t BgL_envz00_598, obj_t BgL_oz00_599)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_599)))->BgL_mutexz00);} 

}



/* &<@anonymous:1675> */
obj_t BGl_z62zc3z04anonymousza31675ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_600)
{
{ /* Llib/_types.scm 63 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1674 */
obj_t BGl_z62lambda1674z62zz__ft_z52typesz52(obj_t BgL_envz00_601, obj_t BgL_oz00_602, obj_t BgL_vz00_603)
{
{ /* Llib/_types.scm 63 */
return 
((((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_602)))->BgL_fthreadz00)=((obj_t)BgL_vz00_603),BUNSPEC);} 

}



/* &lambda1673 */
obj_t BGl_z62lambda1673z62zz__ft_z52typesz52(obj_t BgL_envz00_604, obj_t BgL_oz00_605)
{
{ /* Llib/_types.scm 63 */
return 
(((BgL_z52pthreadz52_bglt)COBJECT(
((BgL_z52pthreadz52_bglt)BgL_oz00_605)))->BgL_fthreadz00);} 

}



/* &<@anonymous:1576> */
obj_t BGl_z62zc3z04anonymousza31576ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_606, obj_t BgL_new1098z00_607)
{
{ /* Llib/_types.scm 54 */
{ 
BgL_z52sigasyncz52_bglt BgL_auxz00_1155;
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_607)))->BgL_spawnedz00)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_607)))->BgL_idz00)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_607)))->BgL_thunkz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
BgL_auxz00_1155 = 
((BgL_z52sigasyncz52_bglt)BgL_new1098z00_607); 
return 
((obj_t)BgL_auxz00_1155);} } 

}



/* &lambda1574 */
BgL_z52sigasyncz52_bglt BGl_z62lambda1574z62zz__ft_z52typesz52(obj_t BgL_envz00_608)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
BgL_z52sigasyncz52_bglt BgL_new1097z00_810;
BgL_new1097z00_810 = 
((BgL_z52sigasyncz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigasyncz52_bgl) ))); 
{ /* Llib/_types.scm 54 */
long BgL_arg1575z00_811;
{ /* Llib/_types.scm 54 */
long BgL_res1725z00_812;
BgL_res1725z00_812 = 
BGL_CLASS_INDEX(BGl_z52sigasyncz52zz__ft_z52typesz52); 
BgL_arg1575z00_811 = BgL_res1725z00_812; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1097z00_810), BgL_arg1575z00_811); } 
return BgL_new1097z00_810;} } 

}



/* &lambda1559 */
BgL_z52sigasyncz52_bglt BGl_z62lambda1559z62zz__ft_z52typesz52(obj_t BgL_envz00_609, obj_t BgL_spawned1094z00_610, obj_t BgL_id1095z00_611, obj_t BgL_thunk1096z00_612)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
bool_t BgL_spawned1094z00_813;
BgL_spawned1094z00_813 = 
CBOOL(BgL_spawned1094z00_610); 
{ /* Llib/_types.scm 54 */
BgL_z52sigasyncz52_bglt BgL_new1116z00_816;
{ /* Llib/_types.scm 54 */
BgL_z52sigasyncz52_bglt BgL_new1115z00_817;
BgL_new1115z00_817 = 
((BgL_z52sigasyncz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52sigasyncz52_bgl) ))); 
{ /* Llib/_types.scm 54 */
long BgL_arg1573z00_818;
{ /* Llib/_types.scm 54 */
long BgL_res1724z00_819;
BgL_res1724z00_819 = 
BGL_CLASS_INDEX(BGl_z52sigasyncz52zz__ft_z52typesz52); 
BgL_arg1573z00_818 = BgL_res1724z00_819; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1115z00_817), BgL_arg1573z00_818); } 
BgL_new1116z00_816 = BgL_new1115z00_817; } 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1116z00_816))->BgL_spawnedz00)=((bool_t)BgL_spawned1094z00_813),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1116z00_816))->BgL_idz00)=((obj_t)
((obj_t)BgL_id1095z00_611)),BUNSPEC); 
((((BgL_z52sigasyncz52_bglt)COBJECT(BgL_new1116z00_816))->BgL_thunkz00)=((obj_t)
((obj_t)BgL_thunk1096z00_612)),BUNSPEC); 
return BgL_new1116z00_816;} } } 

}



/* &lambda1645 */
obj_t BGl_z62lambda1645z62zz__ft_z52typesz52(obj_t BgL_envz00_613, obj_t BgL_oz00_614, obj_t BgL_vz00_615)
{
{ /* Llib/_types.scm 54 */
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_614)))->BgL_thunkz00)=((obj_t)
((obj_t)BgL_vz00_615)),BUNSPEC);} 

}



/* &lambda1644 */
obj_t BGl_z62lambda1644z62zz__ft_z52typesz52(obj_t BgL_envz00_616, obj_t BgL_oz00_617)
{
{ /* Llib/_types.scm 54 */
return 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_617)))->BgL_thunkz00);} 

}



/* &lambda1621 */
obj_t BGl_z62lambda1621z62zz__ft_z52typesz52(obj_t BgL_envz00_618, obj_t BgL_oz00_619, obj_t BgL_vz00_620)
{
{ /* Llib/_types.scm 54 */
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_619)))->BgL_idz00)=((obj_t)
((obj_t)BgL_vz00_620)),BUNSPEC);} 

}



/* &lambda1620 */
obj_t BGl_z62lambda1620z62zz__ft_z52typesz52(obj_t BgL_envz00_621, obj_t BgL_oz00_622)
{
{ /* Llib/_types.scm 54 */
return 
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_622)))->BgL_idz00);} 

}



/* &<@anonymous:1610> */
obj_t BGl_z62zc3z04anonymousza31610ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_623)
{
{ /* Llib/_types.scm 54 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1609 */
obj_t BGl_z62lambda1609z62zz__ft_z52typesz52(obj_t BgL_envz00_624, obj_t BgL_oz00_625, obj_t BgL_vz00_626)
{
{ /* Llib/_types.scm 54 */
{ /* Llib/_types.scm 54 */
bool_t BgL_vz00_827;
BgL_vz00_827 = 
CBOOL(BgL_vz00_626); 
return 
((((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_625)))->BgL_spawnedz00)=((bool_t)BgL_vz00_827),BUNSPEC);} } 

}



/* &lambda1608 */
obj_t BGl_z62lambda1608z62zz__ft_z52typesz52(obj_t BgL_envz00_627, obj_t BgL_oz00_628)
{
{ /* Llib/_types.scm 54 */
return 
BBOOL(
(((BgL_z52sigasyncz52_bglt)COBJECT(
((BgL_z52sigasyncz52_bglt)BgL_oz00_628)))->BgL_spawnedz00));} 

}



/* &<@anonymous:1145> */
obj_t BGl_z62zc3z04anonymousza31145ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_629, obj_t BgL_new1092z00_630)
{
{ /* Llib/_types.scm 21 */
{ 
BgL_z52schedulerz52_bglt BgL_auxz00_1196;
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_namez00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_schedulerz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52builtinz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52timeoutz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52statez52)=((obj_t)
CNST_TABLE_REF(((long)32))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52iszd2suspendz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52terminatez52)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52resultz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52exczd2resultz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52exczd2raisedz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52identz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52signalsz52)=((obj_t)BNIL),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52awakezd2signalz80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52awakezd2valuez80)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52cleanupz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_z52specificz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_bodyz00)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_envzb2zb2)=((obj_t)
MAKE_YOUNG_PAIR(BFALSE, BFALSE)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630))))->BgL_strictzd2orderzf3z21)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_nextzd2instantzd2)=((obj_t)BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_currentzd2threadzd2)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_z52livezd2threadzd2numberz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_z52threadszd2readyz80)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_threadszd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_asynczd2runnablezd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_threadszd2timeoutzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_threadszd2yieldzd2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_tostartz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_toterminatez00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_tosuspendzf2resumezf2)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_tobroadcastz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_tospawnz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630)))->BgL_currentzd2tokenzd2)=((obj_t)BUNSPEC),BUNSPEC); 
BgL_auxz00_1196 = 
((BgL_z52schedulerz52_bglt)BgL_new1092z00_630); 
return 
((obj_t)BgL_auxz00_1196);} } 

}



/* &lambda1143 */
BgL_z52schedulerz52_bglt BGl_z62lambda1143z62zz__ft_z52typesz52(obj_t BgL_envz00_631)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
BgL_z52schedulerz52_bglt BgL_new1091z00_830;
BgL_new1091z00_830 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/_types.scm 21 */
long BgL_arg1144z00_831;
{ /* Llib/_types.scm 21 */
long BgL_res1723z00_832;
BgL_res1723z00_832 = 
BGL_CLASS_INDEX(BGl_z52schedulerz52zz__ft_z52typesz52); 
BgL_arg1144z00_831 = BgL_res1723z00_832; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_830), BgL_arg1144z00_831); } 
return BgL_new1091z00_830;} } 

}



/* &lambda1140 */
BgL_z52schedulerz52_bglt BGl_z62lambda1140z62zz__ft_z52typesz52(obj_t BgL_envz00_632, obj_t BgL_name1057z00_633, obj_t BgL_scheduler1058z00_634, obj_t BgL_z52builtin1059z52_635, obj_t BgL_z52timeout1060z52_636, obj_t BgL_z52state1061z52_637, obj_t BgL_z52iszd2suspend1062z80_638, obj_t BgL_z52terminate1063z52_639, obj_t BgL_z52result1064z52_640, obj_t BgL_z52exczd2result1065z80_641, obj_t BgL_z52exczd2raised1066z80_642, obj_t BgL_z52ident1067z52_643, obj_t BgL_z52signals1068z52_644, obj_t BgL_z52awakezd2signal1069z80_645, obj_t BgL_z52awakezd2value1070z80_646, obj_t BgL_z52cleanup1071z52_647, obj_t BgL_z52specific1072z52_648, obj_t BgL_body1073z00_649, obj_t BgL_envzb21074zb2_650, obj_t BgL_strictzd2orderzf31075z21_651, obj_t BgL_nextzd2instant1076zd2_652, obj_t BgL_currentzd2thread1077zd2_653, obj_t BgL_z52livezd2threadzd2number1078z52_654, obj_t BgL_z52threadszd2ready1079z80_655, obj_t BgL_threadszd2runnable1080zd2_656, obj_t BgL_threadszd2runnablezd2las1081z00_657, obj_t BgL_asynczd2runnable1082zd2_658, obj_t BgL_threadszd2timeout1083zd2_659, obj_t BgL_threadszd2yield1084zd2_660, obj_t BgL_tostart1085z00_661, obj_t BgL_toterminate1086z00_662, obj_t BgL_tosuspendzf2resume1087zf2_663, obj_t BgL_tobroadcast1088z00_664, obj_t BgL_tospawn1089z00_665, obj_t BgL_currentzd2token1090zd2_666)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
int BgL_z52timeout1060z52_833;bool_t BgL_z52iszd2suspend1062z80_835;bool_t BgL_z52exczd2raised1066z80_837;int BgL_z52ident1067z52_838;int BgL_z52livezd2threadzd2number1078z52_844;bool_t BgL_z52threadszd2ready1079z80_845;
BgL_z52timeout1060z52_833 = 
CINT(BgL_z52timeout1060z52_636); 
BgL_z52iszd2suspend1062z80_835 = 
CBOOL(BgL_z52iszd2suspend1062z80_638); 
BgL_z52exczd2raised1066z80_837 = 
CBOOL(BgL_z52exczd2raised1066z80_642); 
BgL_z52ident1067z52_838 = 
CINT(BgL_z52ident1067z52_643); 
BgL_z52livezd2threadzd2number1078z52_844 = 
CINT(BgL_z52livezd2threadzd2number1078z52_654); 
BgL_z52threadszd2ready1079z80_845 = 
CBOOL(BgL_z52threadszd2ready1079z80_655); 
{ /* Llib/_types.scm 21 */
BgL_z52schedulerz52_bglt BgL_new1114z00_856;
{ /* Llib/_types.scm 21 */
BgL_z52schedulerz52_bglt BgL_new1113z00_857;
BgL_new1113z00_857 = 
((BgL_z52schedulerz52_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52schedulerz52_bgl) ))); 
{ /* Llib/_types.scm 21 */
long BgL_arg1142z00_858;
{ /* Llib/_types.scm 21 */
long BgL_res1722z00_859;
BgL_res1722z00_859 = 
BGL_CLASS_INDEX(BGl_z52schedulerz52zz__ft_z52typesz52); 
BgL_arg1142z00_858 = BgL_res1722z00_859; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1113z00_857), BgL_arg1142z00_858); } 
BgL_new1114z00_856 = BgL_new1113z00_857; } 
((((BgL_threadz00_bglt)COBJECT(
((BgL_threadz00_bglt)BgL_new1114z00_856)))->BgL_namez00)=((obj_t)BgL_name1057z00_633),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_schedulerz00)=((obj_t)BgL_scheduler1058z00_634),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52builtinz52)=((obj_t)BgL_z52builtin1059z52_635),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52timeoutz52)=((int)BgL_z52timeout1060z52_833),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52statez52)=((obj_t)
((obj_t)BgL_z52state1061z52_637)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52iszd2suspendz80)=((bool_t)BgL_z52iszd2suspend1062z80_835),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52terminatez52)=((obj_t)
((obj_t)BgL_z52terminate1063z52_639)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52resultz52)=((obj_t)BgL_z52result1064z52_640),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52exczd2resultz80)=((obj_t)BgL_z52exczd2result1065z80_641),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52exczd2raisedz80)=((bool_t)BgL_z52exczd2raised1066z80_837),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52identz52)=((int)BgL_z52ident1067z52_838),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52signalsz52)=((obj_t)
((obj_t)BgL_z52signals1068z52_644)),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52awakezd2signalz80)=((obj_t)BgL_z52awakezd2signal1069z80_645),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52awakezd2valuez80)=((obj_t)BgL_z52awakezd2value1070z80_646),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52cleanupz52)=((obj_t)BgL_z52cleanup1071z52_647),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_z52specificz52)=((obj_t)BgL_z52specific1072z52_648),BUNSPEC); 
((((BgL_fthreadz00_bglt)COBJECT(
((BgL_fthreadz00_bglt)BgL_new1114z00_856)))->BgL_bodyz00)=((obj_t)
((obj_t)BgL_body1073z00_649)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1114z00_856)))->BgL_envzb2zb2)=((obj_t)
((obj_t)BgL_envzb21074zb2_650)),BUNSPEC); 
((((BgL_schedulerz00_bglt)COBJECT(
((BgL_schedulerz00_bglt)BgL_new1114z00_856)))->BgL_strictzd2orderzf3z21)=((obj_t)
((obj_t)BgL_strictzd2orderzf31075z21_651)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_nextzd2instantzd2)=((obj_t)
((obj_t)BgL_nextzd2instant1076zd2_652)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_currentzd2threadzd2)=((obj_t)BgL_currentzd2thread1077zd2_653),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_z52livezd2threadzd2numberz52)=((int)BgL_z52livezd2threadzd2number1078z52_844),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_z52threadszd2readyz80)=((bool_t)BgL_z52threadszd2ready1079z80_845),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_threadszd2runnablezd2)=((obj_t)
((obj_t)BgL_threadszd2runnable1080zd2_656)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
((obj_t)BgL_threadszd2runnablezd2las1081z00_657)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_asynczd2runnablezd2)=((obj_t)
((obj_t)BgL_asynczd2runnable1082zd2_658)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_threadszd2timeoutzd2)=((obj_t)
((obj_t)BgL_threadszd2timeout1083zd2_659)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_threadszd2yieldzd2)=((obj_t)
((obj_t)BgL_threadszd2yield1084zd2_660)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_tostartz00)=((obj_t)
((obj_t)BgL_tostart1085z00_661)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_toterminatez00)=((obj_t)
((obj_t)BgL_toterminate1086z00_662)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_tosuspendzf2resumezf2)=((obj_t)
((obj_t)BgL_tosuspendzf2resume1087zf2_663)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_tobroadcastz00)=((obj_t)
((obj_t)BgL_tobroadcast1088z00_664)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_tospawnz00)=((obj_t)
((obj_t)BgL_tospawn1089z00_665)),BUNSPEC); 
((((BgL_z52schedulerz52_bglt)COBJECT(BgL_new1114z00_856))->BgL_currentzd2tokenzd2)=((obj_t)BgL_currentzd2token1090zd2_666),BUNSPEC); 
{ /* Llib/_types.scm 21 */
obj_t BgL_fun1141z00_860;
BgL_fun1141z00_860 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_z52schedulerz52zz__ft_z52typesz52); 
PROCEDURE_ENTRY(BgL_fun1141z00_860)(BgL_fun1141z00_860, 
((obj_t)BgL_new1114z00_856), BEOA); } 
return BgL_new1114z00_856;} } } 

}



/* &<@anonymous:1544> */
obj_t BGl_z62zc3z04anonymousza31544ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_667)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1543 */
obj_t BGl_z62lambda1543z62zz__ft_z52typesz52(obj_t BgL_envz00_668, obj_t BgL_oz00_669, obj_t BgL_vz00_670)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_669)))->BgL_currentzd2tokenzd2)=((obj_t)BgL_vz00_670),BUNSPEC);} 

}



/* &lambda1542 */
obj_t BGl_z62lambda1542z62zz__ft_z52typesz52(obj_t BgL_envz00_671, obj_t BgL_oz00_672)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_672)))->BgL_currentzd2tokenzd2);} 

}



/* &<@anonymous:1517> */
obj_t BGl_z62zc3z04anonymousza31517ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_673)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1516 */
obj_t BGl_z62lambda1516z62zz__ft_z52typesz52(obj_t BgL_envz00_674, obj_t BgL_oz00_675, obj_t BgL_vz00_676)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_675)))->BgL_tospawnz00)=((obj_t)
((obj_t)BgL_vz00_676)),BUNSPEC);} 

}



/* &lambda1515 */
obj_t BGl_z62lambda1515z62zz__ft_z52typesz52(obj_t BgL_envz00_677, obj_t BgL_oz00_678)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_678)))->BgL_tospawnz00);} 

}



/* &<@anonymous:1425> */
obj_t BGl_z62zc3z04anonymousza31425ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_679)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1424 */
obj_t BGl_z62lambda1424z62zz__ft_z52typesz52(obj_t BgL_envz00_680, obj_t BgL_oz00_681, obj_t BgL_vz00_682)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_681)))->BgL_tobroadcastz00)=((obj_t)
((obj_t)BgL_vz00_682)),BUNSPEC);} 

}



/* &lambda1423 */
obj_t BGl_z62lambda1423z62zz__ft_z52typesz52(obj_t BgL_envz00_683, obj_t BgL_oz00_684)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_684)))->BgL_tobroadcastz00);} 

}



/* &<@anonymous:1347> */
obj_t BGl_z62zc3z04anonymousza31347ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_685)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1346 */
obj_t BGl_z62lambda1346z62zz__ft_z52typesz52(obj_t BgL_envz00_686, obj_t BgL_oz00_687, obj_t BgL_vz00_688)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_687)))->BgL_tosuspendzf2resumezf2)=((obj_t)
((obj_t)BgL_vz00_688)),BUNSPEC);} 

}



/* &lambda1345 */
obj_t BGl_z62lambda1345z62zz__ft_z52typesz52(obj_t BgL_envz00_689, obj_t BgL_oz00_690)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_690)))->BgL_tosuspendzf2resumezf2);} 

}



/* &<@anonymous:1335> */
obj_t BGl_z62zc3z04anonymousza31335ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_691)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1334 */
obj_t BGl_z62lambda1334z62zz__ft_z52typesz52(obj_t BgL_envz00_692, obj_t BgL_oz00_693, obj_t BgL_vz00_694)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_693)))->BgL_toterminatez00)=((obj_t)
((obj_t)BgL_vz00_694)),BUNSPEC);} 

}



/* &lambda1333 */
obj_t BGl_z62lambda1333z62zz__ft_z52typesz52(obj_t BgL_envz00_695, obj_t BgL_oz00_696)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_696)))->BgL_toterminatez00);} 

}



/* &<@anonymous:1303> */
obj_t BGl_z62zc3z04anonymousza31303ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_697)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1302 */
obj_t BGl_z62lambda1302z62zz__ft_z52typesz52(obj_t BgL_envz00_698, obj_t BgL_oz00_699, obj_t BgL_vz00_700)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_699)))->BgL_tostartz00)=((obj_t)
((obj_t)BgL_vz00_700)),BUNSPEC);} 

}



/* &lambda1301 */
obj_t BGl_z62lambda1301z62zz__ft_z52typesz52(obj_t BgL_envz00_701, obj_t BgL_oz00_702)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_702)))->BgL_tostartz00);} 

}



/* &<@anonymous:1269> */
obj_t BGl_z62zc3z04anonymousza31269ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_703)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1268 */
obj_t BGl_z62lambda1268z62zz__ft_z52typesz52(obj_t BgL_envz00_704, obj_t BgL_oz00_705, obj_t BgL_vz00_706)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_705)))->BgL_threadszd2yieldzd2)=((obj_t)
((obj_t)BgL_vz00_706)),BUNSPEC);} 

}



/* &lambda1267 */
obj_t BGl_z62lambda1267z62zz__ft_z52typesz52(obj_t BgL_envz00_707, obj_t BgL_oz00_708)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_708)))->BgL_threadszd2yieldzd2);} 

}



/* &<@anonymous:1235> */
obj_t BGl_z62zc3z04anonymousza31235ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_709)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1234 */
obj_t BGl_z62lambda1234z62zz__ft_z52typesz52(obj_t BgL_envz00_710, obj_t BgL_oz00_711, obj_t BgL_vz00_712)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_711)))->BgL_threadszd2timeoutzd2)=((obj_t)
((obj_t)BgL_vz00_712)),BUNSPEC);} 

}



/* &lambda1233 */
obj_t BGl_z62lambda1233z62zz__ft_z52typesz52(obj_t BgL_envz00_713, obj_t BgL_oz00_714)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_714)))->BgL_threadszd2timeoutzd2);} 

}



/* &<@anonymous:1215> */
obj_t BGl_z62zc3z04anonymousza31215ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_715)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1214 */
obj_t BGl_z62lambda1214z62zz__ft_z52typesz52(obj_t BgL_envz00_716, obj_t BgL_oz00_717, obj_t BgL_vz00_718)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_717)))->BgL_asynczd2runnablezd2)=((obj_t)
((obj_t)BgL_vz00_718)),BUNSPEC);} 

}



/* &lambda1213 */
obj_t BGl_z62lambda1213z62zz__ft_z52typesz52(obj_t BgL_envz00_719, obj_t BgL_oz00_720)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_720)))->BgL_asynczd2runnablezd2);} 

}



/* &<@anonymous:1207> */
obj_t BGl_z62zc3z04anonymousza31207ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_721)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1206 */
obj_t BGl_z62lambda1206z62zz__ft_z52typesz52(obj_t BgL_envz00_722, obj_t BgL_oz00_723, obj_t BgL_vz00_724)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_723)))->BgL_threadszd2runnablezd2lastzd2pairzd2)=((obj_t)
((obj_t)BgL_vz00_724)),BUNSPEC);} 

}



/* &lambda1205 */
obj_t BGl_z62lambda1205z62zz__ft_z52typesz52(obj_t BgL_envz00_725, obj_t BgL_oz00_726)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_726)))->BgL_threadszd2runnablezd2lastzd2pairzd2);} 

}



/* &<@anonymous:1200> */
obj_t BGl_z62zc3z04anonymousza31200ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_727)
{
{ /* Llib/_types.scm 21 */
return BNIL;} 

}



/* &lambda1199 */
obj_t BGl_z62lambda1199z62zz__ft_z52typesz52(obj_t BgL_envz00_728, obj_t BgL_oz00_729, obj_t BgL_vz00_730)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_729)))->BgL_threadszd2runnablezd2)=((obj_t)
((obj_t)BgL_vz00_730)),BUNSPEC);} 

}



/* &lambda1198 */
obj_t BGl_z62lambda1198z62zz__ft_z52typesz52(obj_t BgL_envz00_731, obj_t BgL_oz00_732)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_732)))->BgL_threadszd2runnablezd2);} 

}



/* &<@anonymous:1182> */
obj_t BGl_z62zc3z04anonymousza31182ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_733)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1181 */
obj_t BGl_z62lambda1181z62zz__ft_z52typesz52(obj_t BgL_envz00_734, obj_t BgL_oz00_735, obj_t BgL_vz00_736)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
bool_t BgL_vz00_894;
BgL_vz00_894 = 
CBOOL(BgL_vz00_736); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_735)))->BgL_z52threadszd2readyz80)=((bool_t)BgL_vz00_894),BUNSPEC);} } 

}



/* &lambda1180 */
obj_t BGl_z62lambda1180z62zz__ft_z52typesz52(obj_t BgL_envz00_737, obj_t BgL_oz00_738)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_738)))->BgL_z52threadszd2readyz80));} 

}



/* &<@anonymous:1172> */
obj_t BGl_z62zc3z04anonymousza31172ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_739)
{
{ /* Llib/_types.scm 21 */
return 
BINT(((long)0));} 

}



/* &lambda1171 */
obj_t BGl_z62lambda1171z62zz__ft_z52typesz52(obj_t BgL_envz00_740, obj_t BgL_oz00_741, obj_t BgL_vz00_742)
{
{ /* Llib/_types.scm 21 */
{ /* Llib/_types.scm 21 */
int BgL_vz00_897;
BgL_vz00_897 = 
CINT(BgL_vz00_742); 
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_741)))->BgL_z52livezd2threadzd2numberz52)=((int)BgL_vz00_897),BUNSPEC);} } 

}



/* &lambda1170 */
obj_t BGl_z62lambda1170z62zz__ft_z52typesz52(obj_t BgL_envz00_743, obj_t BgL_oz00_744)
{
{ /* Llib/_types.scm 21 */
return 
BINT(
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_744)))->BgL_z52livezd2threadzd2numberz52));} 

}



/* &<@anonymous:1164> */
obj_t BGl_z62zc3z04anonymousza31164ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_745)
{
{ /* Llib/_types.scm 21 */
return 
BBOOL(((bool_t)0));} 

}



/* &lambda1163 */
obj_t BGl_z62lambda1163z62zz__ft_z52typesz52(obj_t BgL_envz00_746, obj_t BgL_oz00_747, obj_t BgL_vz00_748)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_747)))->BgL_currentzd2threadzd2)=((obj_t)BgL_vz00_748),BUNSPEC);} 

}



/* &lambda1162 */
obj_t BGl_z62lambda1162z62zz__ft_z52typesz52(obj_t BgL_envz00_749, obj_t BgL_oz00_750)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_750)))->BgL_currentzd2threadzd2);} 

}



/* &<@anonymous:1152> */
obj_t BGl_z62zc3z04anonymousza31152ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_751)
{
{ /* Llib/_types.scm 21 */
return BGl_proc1809z00zz__ft_z52typesz52;} 

}



/* &lambda1151 */
obj_t BGl_z62lambda1151z62zz__ft_z52typesz52(obj_t BgL_envz00_752, obj_t BgL_oz00_753, obj_t BgL_vz00_754)
{
{ /* Llib/_types.scm 21 */
return 
((((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_753)))->BgL_nextzd2instantzd2)=((obj_t)
((obj_t)BgL_vz00_754)),BUNSPEC);} 

}



/* &lambda1150 */
obj_t BGl_z62lambda1150z62zz__ft_z52typesz52(obj_t BgL_envz00_755, obj_t BgL_oz00_756)
{
{ /* Llib/_types.scm 21 */
return 
(((BgL_z52schedulerz52_bglt)COBJECT(
((BgL_z52schedulerz52_bglt)BgL_oz00_756)))->BgL_nextzd2instantzd2);} 

}



/* &<@anonymous:1153> */
obj_t BGl_z62zc3z04anonymousza31153ze3ze5zz__ft_z52typesz52(obj_t BgL_envz00_757, obj_t BgL_sz00_758, obj_t BgL_iz00_759)
{
{ /* Llib/_types.scm 23 */
return 
BBOOL(((bool_t)0));} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__ft_z52typesz52()
{
{ /* Llib/_types.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__ft_typesz00(((long)414892275), 
BSTRING_TO_STRING(BGl_string1810z00zz__ft_z52typesz52));} 

}

#ifdef __cplusplus
}
#endif
