/*===========================================================================*/
/*   (Llib/wav_alsadec.scm)                                                  */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -safee -unsafe -srfi wav -copt  -copt -fPIC -copt -IClib Llib/wav_alsadec.scm -o objs/wav_alsadec.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>
#include <alsa/asoundlib.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_musicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
} *BgL_musicz00_bglt;

typedef struct BgL_alsamusicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_onstatez00;
   obj_t BgL_onvolumez00;
   obj_t BgL_onerrorz00;
   obj_t BgL_oneventz00;
   obj_t BgL_z52mutexz52;
   struct BgL_musicstatusz00_bgl * BgL_z52statusz52;
   obj_t BgL_inbufz00;
   obj_t BgL_decodersz00;
   obj_t BgL_mkthreadz00;
   obj_t BgL_timeoutz00;
   obj_t BgL_z52decoderz52;
   obj_t BgL_z52bufferz52;
   obj_t BgL_z52nextbufferz52;
   obj_t BgL_z52playlistz52;
   bool_t BgL_z52areadyz52;
   obj_t BgL_z52amutexz52;
   int BgL_z52z12pidz40;
   obj_t BgL_z52acondvz52;
   struct BgL_alsazd2sndzd2pcmz00_bgl * BgL_pcmz00;
} *BgL_alsamusicz00_bglt;

typedef struct BgL_musicstatusz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_statez00;
   obj_t BgL_volumez00;
   bool_t BgL_repeatz00;
   bool_t BgL_randomz00;
   int BgL_playlistidz00;
   int BgL_playlistlengthz00;
   int BgL_xfadez00;
   int BgL_songz00;
   int BgL_songidz00;
   obj_t BgL_songposz00;
   int BgL_songlengthz00;
   int BgL_bitratez00;
   int BgL_khza7za7;
   obj_t BgL_errz00;
   int BgL_bufferingz00;
} *BgL_musicstatusz00_bglt;

typedef struct BgL_musicinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
} *BgL_musicinfoz00_bglt;

typedef struct BgL_alsazd2sndzd2pcmz00_bgl {
   header_t header;
   obj_t widening;
   snd_pcm_t * BgL_z42builtinz42;
   obj_t BgL_namez00;
   obj_t BgL_devicez00;
   obj_t BgL_streamz00;
   obj_t BgL_modez00;
   int BgL_hwbpsz00;
   int BgL_hwsratez00;
} *BgL_alsazd2sndzd2pcmz00_bglt;

typedef struct BgL_musicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
} *BgL_musicdecoderz00_bglt;

typedef struct BgL_wavinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   long BgL_sampleratez00;
   int BgL_channelsz00;
   int BgL_bpsz00;
   long BgL_durationz00;
   obj_t BgL_audiofmtz00;
   int BgL_byteratez00;
   int BgL_blockalignz00;
   long BgL_chunksiza7eza7;
} *BgL_wavinfoz00_bglt;

typedef struct BgL_wavmusicdecoderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52headerz52;
   int BgL_z52cursorz52;
   int BgL_z52siza7ezf5;
   int BgL_z52positionz52;
} *BgL_wavmusicdecoderz00_bglt;

typedef struct BgL_wavzd2alsadecoderzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_mimetypesz00;
   int BgL_bufferzd2timezd2nearz00;
   int BgL_bufferzd2siza7ezd2nearzd2ratioz75;
   int BgL_periodzd2siza7ezd2nearzd2ratioz75;
   bool_t BgL_z52z12dpausez40;
   bool_t BgL_z52z12dabortz40;
   bool_t BgL_z52z12stopz40;
   obj_t BgL_z52dmutexz52;
   obj_t BgL_z52dcondvz52;
   obj_t BgL_z52doutcondvz52;
   obj_t BgL_outbufz00;
   obj_t BgL_z52headerz52;
   int BgL_z52cursorz52;
   int BgL_z52siza7ezf5;
   int BgL_z52positionz52;
} *BgL_wavzd2alsadecoderzd2_bglt;


BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
static obj_t BGl_objectzd2initzd2zz__wav_alsadecz00();
static obj_t BGl_z62zc3z04anonymousza31142ze3ze5zz__wav_alsadecz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__wav_alsadecz00();
BGL_IMPORT obj_t BGl_conditionzd2variablezd2nilz00zz__threadz00();
BGL_IMPORT obj_t BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_alsazd2sndzd2pcmz00_bglt, obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__wav_alsadecz00();
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__wav_alsadecz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__wav_alsadecz00();
static obj_t BGl_genericzd2initzd2zz__wav_alsadecz00();
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_mutexzd2nilzd2zz__threadz00();
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1137z62zz__wav_alsadecz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62musicdecoderzd2hwparam1113zb0zz__wav_alsadecz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_classzd2constructorzd2zz__objectz00(obj_t);
static BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1140z62zz__wav_alsadecz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__wav_alsadecz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__wav_decoderz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__wav_wavz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_EXPORTED_DEF obj_t BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__wav_alsadecz00();
static obj_t BGl_libraryzd2moduleszd2initz00zz__wav_alsadecz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__wav_alsadecz00();
extern obj_t BGl_wavmusicdecoderz00zz__wav_decoderz00;
static obj_t __cnst[ 15 ] ;


DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1180z00zz__wav_alsadecz00, BgL_bgl_za762za7c3za704anonymo1196za7, BGl_z62zc3z04anonymousza31142ze3ze5zz__wav_alsadecz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1181z00zz__wav_alsadecz00, BgL_bgl_za762lambda1140za7621197z00, BGl_z62lambda1140z62zz__wav_alsadecz00, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1182z00zz__wav_alsadecz00, BgL_bgl_za762lambda1137za7621198z00, BGl_z62lambda1137z62zz__wav_alsadecz00, 0L, BUNSPEC, 15 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1184z00zz__wav_alsadecz00, BgL_bgl_za762musicdecoderza71199z00, BGl_z62musicdecoderzd2hwparam1113zb0zz__wav_alsadecz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string1179z00zz__wav_alsadecz00, BgL_bgl_string1179za700za7za7_1200za7, "Llib/wav_alsadec.scm", 20 );
DEFINE_STRING( BGl_string1183z00zz__wav_alsadecz00, BgL_bgl_string1183za700za7za7_1201za7, "", 0 );
DEFINE_STRING( BGl_string1185z00zz__wav_alsadecz00, BgL_bgl_string1185za700za7za7_1202za7, "musicdecoder-hwparams-set!", 26 );
DEFINE_STRING( BGl_string1186z00zz__wav_alsadecz00, BgL_bgl_string1186za700za7za7_1203za7, "__wav_alsadec", 13 );
DEFINE_STRING( BGl_string1187z00zz__wav_alsadecz00, BgL_bgl_string1187za700za7za7_1204za7, ":start-threshold :avail-min :access rw-interleaved :format :channels :rate-near :buffer-size-near-ratio :period-size-near-ratio s32 s24-3le s16 u8 __wav_alsadec wav-alsadecoder ", 177 );
BGL_IMPORT obj_t BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2;
BGL_IMPORT obj_t BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__wav_alsadecz00) );
ADD_ROOT( (void *)(&BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__wav_alsadecz00(long BgL_checksumz00_192, char * BgL_fromz00_193)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__wav_alsadecz00))
{ 
BGl_requirezd2initializa7ationz75zz__wav_alsadecz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__wav_alsadecz00(); 
BGl_libraryzd2moduleszd2initz00zz__wav_alsadecz00(); 
BGl_cnstzd2initzd2zz__wav_alsadecz00(); 
BGl_importedzd2moduleszd2initz00zz__wav_alsadecz00(); 
BGl_objectzd2initzd2zz__wav_alsadecz00(); 
BGl_methodzd2initzd2zz__wav_alsadecz00(); 
return 
BGl_toplevelzd2initzd2zz__wav_alsadecz00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__alsa_pcmz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__multimediazd2musicbufzd2(((long)0), "__wav_alsadec"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__wav_alsadec"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
{ /* Llib/wav_alsadec.scm 15 */
obj_t BgL_cportz00_129;
{ /* Llib/wav_alsadec.scm 15 */
obj_t BgL_stringz00_137;
BgL_stringz00_137 = BGl_string1187z00zz__wav_alsadecz00; 
{ /* Llib/wav_alsadec.scm 15 */
obj_t BgL_startz00_138;
BgL_startz00_138 = 
BINT(((long)0)); 
{ /* Llib/wav_alsadec.scm 15 */
obj_t BgL_endz00_139;
BgL_endz00_139 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_137))); 
{ /* Llib/wav_alsadec.scm 15 */

BgL_cportz00_129 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_137, BgL_startz00_138, BgL_endz00_139); } } } } 
{ 
long BgL_iz00_130;
BgL_iz00_130 = ((long)14); 
BgL_loopz00_131:
if(
(BgL_iz00_130==((long)-1)))
{ /* Llib/wav_alsadec.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/wav_alsadec.scm 15 */
{ /* Llib/wav_alsadec.scm 15 */
obj_t BgL_arg1194z00_133;
{ /* Llib/wav_alsadec.scm 15 */

{ /* Llib/wav_alsadec.scm 15 */
obj_t BgL_locationz00_135;
BgL_locationz00_135 = 
BBOOL(((bool_t)0)); 
{ /* Llib/wav_alsadec.scm 15 */

BgL_arg1194z00_133 = 
BGl_readz00zz__readerz00(BgL_cportz00_129, BgL_locationz00_135); } } } 
{ /* Llib/wav_alsadec.scm 15 */
int BgL_tmpz00_222;
BgL_tmpz00_222 = 
(int)(BgL_iz00_130); 
CNST_TABLE_SET(BgL_tmpz00_222, BgL_arg1194z00_133); } } 
{ /* Llib/wav_alsadec.scm 15 */
int BgL_auxz00_136;
BgL_auxz00_136 = 
(int)(
(BgL_iz00_130-((long)1))); 
{ 
long BgL_iz00_227;
BgL_iz00_227 = 
(long)(BgL_auxz00_136); 
BgL_iz00_130 = BgL_iz00_227; 
goto BgL_loopz00_131;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__multimediazd2musiczd2(((long)0), 
BSTRING_TO_STRING(BGl_string1179z00zz__wav_alsadecz00)); 
BGl_modulezd2initializa7ationz75zz__alsa_alsaz00(((long)0), 
BSTRING_TO_STRING(BGl_string1179z00zz__wav_alsadecz00)); 
return BUNSPEC;} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
{ /* Llib/wav_alsadec.scm 28 */
obj_t BgL_arg1134z00_17;obj_t BgL_arg1136z00_18;
{ /* Llib/wav_alsadec.scm 28 */
obj_t BgL_v1110z00_44;
BgL_v1110z00_44 = 
create_vector(((long)0)); 
BgL_arg1134z00_17 = BgL_v1110z00_44; } 
{ /* Llib/wav_alsadec.scm 28 */
obj_t BgL_v1111z00_45;
BgL_v1111z00_45 = 
create_vector(((long)0)); 
BgL_arg1136z00_18 = BgL_v1111z00_45; } 
return ( 
BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)0)), 
CNST_TABLE_REF(((long)1)), BGl_wavmusicdecoderz00zz__wav_decoderz00, ((long)30116), BGl_proc1182z00zz__wav_alsadecz00, BGl_proc1181z00zz__wav_alsadecz00, BGl_musicdecoderzd2initzd2envz00zz__multimediazd2musicbufzd2, BGl_proc1180z00zz__wav_alsadecz00, BFALSE, BgL_arg1134z00_17, BgL_arg1136z00_18), BUNSPEC) ;} } 

}



/* &<@anonymous:1142> */
obj_t BGl_z62zc3z04anonymousza31142ze3ze5zz__wav_alsadecz00(obj_t BgL_envz00_99, obj_t BgL_new1102z00_100)
{
{ /* Llib/wav_alsadec.scm 28 */
{ 
BgL_wavzd2alsadecoderzd2_bglt BgL_auxz00_239;
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_mimetypesz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_bufferzd2timezd2nearz00)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52z12dpausez40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52z12dabortz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52z12stopz40)=((bool_t)((bool_t)0)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52dmutexz52)=((obj_t)
BGl_mutexzd2nilzd2zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52dcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52doutcondvz52)=((obj_t)
BGl_conditionzd2variablezd2nilz00zz__threadz00()),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_outbufz00)=((obj_t)BGl_string1183z00zz__wav_alsadecz00),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52headerz52)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52cursorz52)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52siza7ezf5)=((int)
(int)(((long)0))),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100))))->BgL_z52positionz52)=((int)
(int)(((long)0))),BUNSPEC); 
BgL_auxz00_239 = 
((BgL_wavzd2alsadecoderzd2_bglt)BgL_new1102z00_100); 
return 
((obj_t)BgL_auxz00_239);} } 

}



/* &lambda1140 */
BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1140z62zz__wav_alsadecz00(obj_t BgL_envz00_101)
{
{ /* Llib/wav_alsadec.scm 28 */
{ /* Llib/wav_alsadec.scm 28 */
BgL_wavzd2alsadecoderzd2_bglt BgL_new1101z00_143;
BgL_new1101z00_143 = 
((BgL_wavzd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavzd2alsadecoderzd2_bgl) ))); 
{ /* Llib/wav_alsadec.scm 28 */
long BgL_arg1141z00_144;
{ /* Llib/wav_alsadec.scm 28 */
long BgL_res1174z00_145;
BgL_res1174z00_145 = 
BGL_CLASS_INDEX(BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00); 
BgL_arg1141z00_144 = BgL_res1174z00_145; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_143), BgL_arg1141z00_144); } 
return BgL_new1101z00_143;} } 

}



/* &lambda1137 */
BgL_wavzd2alsadecoderzd2_bglt BGl_z62lambda1137z62zz__wav_alsadecz00(obj_t BgL_envz00_102, obj_t BgL_mimetypes1086z00_103, obj_t BgL_bufferzd2timezd2near1087z00_104, obj_t BgL_bufferzd2siza7ezd2nearzd2rat1088z75_105, obj_t BgL_periodzd2siza7ezd2nearzd2rat1089z75_106, obj_t BgL_z52z12dpause1090z40_107, obj_t BgL_z52z12dabort1091z40_108, obj_t BgL_z52z12stop1092z40_109, obj_t BgL_z52dmutex1093z52_110, obj_t BgL_z52dcondv1094z52_111, obj_t BgL_z52doutcondv1095z52_112, obj_t BgL_outbuf1096z00_113, obj_t BgL_z52header1097z52_114, obj_t BgL_z52cursor1098z52_115, obj_t BgL_z52siza7e1099zf5_116, obj_t BgL_z52position1100z52_117)
{
{ /* Llib/wav_alsadec.scm 28 */
{ /* Llib/wav_alsadec.scm 28 */
int BgL_bufferzd2timezd2near1087z00_147;int BgL_bufferzd2siza7ezd2nearzd2rat1088z75_148;int BgL_periodzd2siza7ezd2nearzd2rat1089z75_149;bool_t BgL_z52z12dpause1090z40_150;bool_t BgL_z52z12dabort1091z40_151;bool_t BgL_z52z12stop1092z40_152;int BgL_z52cursor1098z52_157;int BgL_z52siza7e1099zf5_158;int BgL_z52position1100z52_159;
BgL_bufferzd2timezd2near1087z00_147 = 
CINT(BgL_bufferzd2timezd2near1087z00_104); 
BgL_bufferzd2siza7ezd2nearzd2rat1088z75_148 = 
CINT(BgL_bufferzd2siza7ezd2nearzd2rat1088z75_105); 
BgL_periodzd2siza7ezd2nearzd2rat1089z75_149 = 
CINT(BgL_periodzd2siza7ezd2nearzd2rat1089z75_106); 
BgL_z52z12dpause1090z40_150 = 
CBOOL(BgL_z52z12dpause1090z40_107); 
BgL_z52z12dabort1091z40_151 = 
CBOOL(BgL_z52z12dabort1091z40_108); 
BgL_z52z12stop1092z40_152 = 
CBOOL(BgL_z52z12stop1092z40_109); 
BgL_z52cursor1098z52_157 = 
CINT(BgL_z52cursor1098z52_115); 
BgL_z52siza7e1099zf5_158 = 
CINT(BgL_z52siza7e1099zf5_116); 
BgL_z52position1100z52_159 = 
CINT(BgL_z52position1100z52_117); 
{ /* Llib/wav_alsadec.scm 28 */
BgL_wavzd2alsadecoderzd2_bglt BgL_new1109z00_160;
{ /* Llib/wav_alsadec.scm 28 */
BgL_wavzd2alsadecoderzd2_bglt BgL_new1108z00_161;
BgL_new1108z00_161 = 
((BgL_wavzd2alsadecoderzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_wavzd2alsadecoderzd2_bgl) ))); 
{ /* Llib/wav_alsadec.scm 28 */
long BgL_arg1139z00_162;
{ /* Llib/wav_alsadec.scm 28 */
long BgL_res1173z00_163;
BgL_res1173z00_163 = 
BGL_CLASS_INDEX(BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00); 
BgL_arg1139z00_162 = BgL_res1173z00_163; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1108z00_161), BgL_arg1139z00_162); } 
BgL_new1109z00_160 = BgL_new1108z00_161; } 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_mimetypesz00)=((obj_t)
((obj_t)BgL_mimetypes1086z00_103)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_bufferzd2timezd2nearz00)=((int)BgL_bufferzd2timezd2near1087z00_147),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_bufferzd2siza7ezd2nearzd2ratioz75)=((int)BgL_bufferzd2siza7ezd2nearzd2rat1088z75_148),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_periodzd2siza7ezd2nearzd2ratioz75)=((int)BgL_periodzd2siza7ezd2nearzd2rat1089z75_149),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52z12dpausez40)=((bool_t)BgL_z52z12dpause1090z40_150),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52z12dabortz40)=((bool_t)BgL_z52z12dabort1091z40_151),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52z12stopz40)=((bool_t)BgL_z52z12stop1092z40_152),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52dmutexz52)=((obj_t)
((obj_t)BgL_z52dmutex1093z52_110)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52dcondvz52)=((obj_t)
((obj_t)BgL_z52dcondv1094z52_111)),BUNSPEC); 
((((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52doutcondvz52)=((obj_t)
((obj_t)BgL_z52doutcondv1095z52_112)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_outbufz00)=((obj_t)
((obj_t)BgL_outbuf1096z00_113)),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52headerz52)=((obj_t)BgL_z52header1097z52_114),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52cursorz52)=((int)BgL_z52cursor1098z52_157),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52siza7ezf5)=((int)BgL_z52siza7e1099zf5_158),BUNSPEC); 
((((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)BgL_new1109z00_160)))->BgL_z52positionz52)=((int)BgL_z52position1100z52_159),BUNSPEC); 
{ /* Llib/wav_alsadec.scm 28 */
obj_t BgL_fun1138z00_164;
BgL_fun1138z00_164 = 
BGl_classzd2constructorzd2zz__objectz00(BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00); 
PROCEDURE_ENTRY(BgL_fun1138z00_164)(BgL_fun1138z00_164, 
((obj_t)BgL_new1109z00_160), BEOA); } 
return BgL_new1109z00_160;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_musicdecoderzd2hwparamszd2setz12zd2envzc0zz__multimediazd2musicbufzd2, BGl_wavzd2alsadecoderzd2zz__wav_alsadecz00, BGl_proc1184z00zz__wav_alsadecz00, BGl_string1185z00zz__wav_alsadecz00);} 

}



/* &musicdecoder-hwparam1113 */
obj_t BGl_z62musicdecoderzd2hwparam1113zb0zz__wav_alsadecz00(obj_t BgL_envz00_121, obj_t BgL_decz00_122, obj_t BgL_amz00_123, obj_t BgL_bufferz00_124)
{
{ /* Llib/wav_alsadec.scm 40 */
{ /* Llib/wav_alsadec.scm 46 */
BgL_wavinfoz00_bglt BgL_i1105z00_168;
BgL_i1105z00_168 = 
((BgL_wavinfoz00_bglt)
(((BgL_wavmusicdecoderz00_bglt)COBJECT(
((BgL_wavmusicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_decz00_122))))->BgL_z52headerz52)); 
{ /* Llib/wav_alsadec.scm 47 */
obj_t BgL_encodingz00_169;
switch( 
(long)(
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_i1105z00_168)))->BgL_bpsz00))) { case ((long)8) : 

BgL_encodingz00_169 = 
CNST_TABLE_REF(((long)2)); break;case ((long)16) : 

BgL_encodingz00_169 = 
CNST_TABLE_REF(((long)3)); break;case ((long)24) : 

BgL_encodingz00_169 = 
CNST_TABLE_REF(((long)4)); break;case ((long)32) : 

BgL_encodingz00_169 = 
CNST_TABLE_REF(((long)5)); break;
default: 
BgL_encodingz00_169 = BUNSPEC; } 
{ /* Llib/wav_alsadec.scm 52 */
BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1143z00_170;int BgL_arg1144z00_171;long BgL_arg1145z00_172;int BgL_arg1146z00_173;int BgL_arg1147z00_174;
BgL_arg1143z00_170 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)
((BgL_musicz00_bglt)BgL_amz00_123))))->BgL_pcmz00); 
BgL_arg1144z00_171 = 
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_i1105z00_168)))->BgL_channelsz00); 
BgL_arg1145z00_172 = 
(((BgL_musicinfoz00_bglt)COBJECT(
((BgL_musicinfoz00_bglt)BgL_i1105z00_168)))->BgL_sampleratez00); 
BgL_arg1146z00_173 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_decz00_122))))->BgL_bufferzd2siza7ezd2nearzd2ratioz75); 
BgL_arg1147z00_174 = 
(((BgL_musicdecoderz00_bglt)COBJECT(
((BgL_musicdecoderz00_bglt)
((BgL_wavzd2alsadecoderzd2_bglt)BgL_decz00_122))))->BgL_periodzd2siza7ezd2nearzd2ratioz75); 
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_list1148z00_175;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1149z00_176;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1151z00_177;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1152z00_178;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1153z00_179;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1154z00_180;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1156z00_181;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1157z00_182;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1161z00_183;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1162z00_184;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1165z00_185;
{ /* Llib/wav_alsadec.scm 52 */
obj_t BgL_arg1166z00_186;
BgL_arg1166z00_186 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1147z00_174), BNIL); 
BgL_arg1165z00_185 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)6)), BgL_arg1166z00_186); } 
BgL_arg1162z00_184 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1146z00_173), BgL_arg1165z00_185); } 
BgL_arg1161z00_183 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)7)), BgL_arg1162z00_184); } 
BgL_arg1157z00_182 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1145z00_172), BgL_arg1161z00_183); } 
BgL_arg1156z00_181 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)8)), BgL_arg1157z00_182); } 
BgL_arg1154z00_180 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1144z00_171), BgL_arg1156z00_181); } 
BgL_arg1153z00_179 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)9)), BgL_arg1154z00_180); } 
BgL_arg1152z00_178 = 
MAKE_YOUNG_PAIR(BgL_encodingz00_169, BgL_arg1153z00_179); } 
BgL_arg1151z00_177 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)10)), BgL_arg1152z00_178); } 
BgL_arg1149z00_176 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)11)), BgL_arg1151z00_177); } 
BgL_list1148z00_175 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)12)), BgL_arg1149z00_176); } 
BGl_alsazd2sndzd2pcmzd2hwzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1143z00_170, BgL_list1148z00_175); } } 
{ /* Llib/wav_alsadec.scm 59 */
BgL_alsazd2sndzd2pcmz00_bglt BgL_arg1167z00_187;
BgL_arg1167z00_187 = 
(((BgL_alsamusicz00_bglt)COBJECT(
((BgL_alsamusicz00_bglt)
((BgL_musicz00_bglt)BgL_amz00_123))))->BgL_pcmz00); 
{ /* Llib/wav_alsadec.scm 59 */
obj_t BgL_list1168z00_188;
{ /* Llib/wav_alsadec.scm 59 */
obj_t BgL_arg1169z00_189;
{ /* Llib/wav_alsadec.scm 59 */
obj_t BgL_arg1170z00_190;
{ /* Llib/wav_alsadec.scm 59 */
obj_t BgL_arg1171z00_191;
BgL_arg1171z00_191 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BNIL); 
BgL_arg1170z00_190 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)13)), BgL_arg1171z00_191); } 
BgL_arg1169z00_189 = 
MAKE_YOUNG_PAIR(
BINT(((long)1)), BgL_arg1170z00_190); } 
BgL_list1168z00_188 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)14)), BgL_arg1169z00_189); } 
return 
BGl_alsazd2sndzd2pcmzd2swzd2setzd2paramsz12zc0zz__alsa_pcmz00(BgL_arg1167z00_187, BgL_list1168z00_188);} } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__wav_alsadecz00()
{
{ /* Llib/wav_alsadec.scm 15 */
BGl_modulezd2initializa7ationz75zz__wav_wavz00(((long)21080121), 
BSTRING_TO_STRING(BGl_string1186z00zz__wav_alsadecz00)); 
return 
BGl_modulezd2initializa7ationz75zz__wav_decoderz00(((long)0), 
BSTRING_TO_STRING(BGl_string1186z00zz__wav_alsadecz00));} 

}

#ifdef __cplusplus
}
#endif
