/*===========================================================================*/
/*   (Cfa/arithmetic.scm)                                                    */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/arithmetic.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_prezd2arithmeticzd2appz00_bgl
	{
		obj_t BgL_speczd2typeszd2;
	}                                *BgL_prezd2arithmeticzd2appz00_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;


	extern obj_t BGl_syncz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_sfunz00zzast_varz00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2switch1561z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00();
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	static obj_t
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2setzd2ex1567za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_nodezd2setupza2z12z62zzcfa_setupz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2longza2z00zztype_cachez00;
	static obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setupz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_iteratez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_loosez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2sequen1551z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
	extern BgL_approxz00_bglt
		BGl_makezd2typezd2approxz00zzcfa_approxz00(BgL_typez00_bglt);
	extern obj_t BGl_prezd2arithmeticzd2appz00zzcfa_info2z00;
	extern obj_t BGl_switchz00zzast_nodez00;
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	static obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_continuezd2cfaz12zc0zzcfa_iteratez00(obj_t);
	static obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2makezd2b1571za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1569za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_z62cleanupzd2nodez121548za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez12zd2setq1555z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2va1565za2zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2letzd2fu1563za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 = BUNSPEC;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	static obj_t
		BGl_z62cleanupzd2nodez12zd2condit1557z70zzcfa_arithmeticz00(obj_t, obj_t);
	static obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00();
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	extern BgL_approxz00_bglt BGl_loosez12z12zzcfa_loosez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t
		BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
	static obj_t BGl_z62cleanupzd2nodez12zd2fail1559z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	static obj_t BGl_z62cleanupzd2nodez12zd2sync1553z70zzcfa_arithmeticz00(obj_t,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	static BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00(obj_t, obj_t);
	extern obj_t BGl_approxzd2setzd2typez12z12zzcfa_approxz00(BgL_approxz00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_funcallz00zzast_nodez00;
	static obj_t __cnst[3];


	   
		 
		DEFINE_STRING(BGl_string2132z00zzcfa_arithmeticz00,
		BgL_bgl_string2132za700za7za7c2160za7, "cleanup-node!1548", 17);
	      DEFINE_STRING(BGl_string2134z00zzcfa_arithmeticz00,
		BgL_bgl_string2134za700za7za7c2161za7, "cleanup-node!", 13);
	      DEFINE_STRING(BGl_string2151z00zzcfa_arithmeticz00,
		BgL_bgl_string2151za700za7za7c2162za7, "node-setup!", 11);
	      DEFINE_STRING(BGl_string2153z00zzcfa_arithmeticz00,
		BgL_bgl_string2153za700za7za7c2163za7, "cfa!::approx", 12);
	      DEFINE_STRING(BGl_string2154z00zzcfa_arithmeticz00,
		BgL_bgl_string2154za700za7za7c2164za7, "Illegal arithmetic node", 23);
	      DEFINE_STRING(BGl_string2155z00zzcfa_arithmeticz00,
		BgL_bgl_string2155za700za7za7c2165za7, "cfa_arithmetic", 14);
	      DEFINE_STRING(BGl_string2156z00zzcfa_arithmeticz00,
		BgL_bgl_string2156za700za7za7c2166za7, "all c-eq? arithmetic-app ", 25);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2131z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2167z00,
		BGl_z62cleanupzd2nodez121548za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2133z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2168z00,
		BGl_z62cleanupzd2nodez12zd2sequen1551z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2135z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2169z00,
		BGl_z62cleanupzd2nodez12zd2sync1553z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2136z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2170z00,
		BGl_z62cleanupzd2nodez12zd2setq1555z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2137z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2171z00,
		BGl_z62cleanupzd2nodez12zd2condit1557z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2138z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2172z00,
		BGl_z62cleanupzd2nodez12zd2fail1559z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2139z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2173z00,
		BGl_z62cleanupzd2nodez12zd2switch1561z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2140z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2174z00,
		BGl_z62cleanupzd2nodez12zd2letzd2fu1563za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2141z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2175z00,
		BGl_z62cleanupzd2nodez12zd2letzd2va1565za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2142z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2176z00,
		BGl_z62cleanupzd2nodez12zd2setzd2ex1567za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2143z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2177z00,
		BGl_z62cleanupzd2nodez12zd2jumpzd2e1569za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2144z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2178z00,
		BGl_z62cleanupzd2nodez12zd2makezd2b1571za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2145z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2179z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2146z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2180z00,
		BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2147z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2181z00,
		BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2148z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2182z00,
		BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2149z00zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2183z00,
		BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2150z00zzcfa_arithmeticz00,
		BgL_bgl_za762nodeza7d2setupza72184za7,
		BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2152z00zzcfa_arithmeticz00,
		BgL_bgl_za762cfaza712za7d2arit2185za7,
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	     
		DEFINE_STATIC_BGL_GENERIC(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2nod2186z00,
		BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00, 0L, BUNSPEC, 1);
	extern obj_t BGl_cfaz12zd2envzc0zzcfa_cfaz00;
	extern obj_t BGl_nodezd2setupz12zd2envz12zzcfa_setupz00;
	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_cleanupzd2arithmeticzd2nodesz12zd2envzc0zzcfa_arithmeticz00,
		BgL_bgl_za762cleanupza7d2ari2187z00,
		BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00, 0L, BUNSPEC,
		1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00));
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzcfa_arithmeticz00(long
		BgL_checksumz00_4106, char *BgL_fromz00_4107)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_arithmeticz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_arithmeticz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_cnstzd2initzd2zzcfa_arithmeticz00();
					BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00();
					BGl_genericzd2initzd2zzcfa_arithmeticz00();
					BGl_methodzd2initzd2zzcfa_arithmeticz00();
					return BGl_toplevelzd2initzd2zzcfa_arithmeticz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_arithmetic");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_arithmetic");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			{	/* Cfa/arithmetic.scm 28 */
				obj_t BgL_cportz00_3946;

				{	/* Cfa/arithmetic.scm 28 */
					obj_t BgL_stringz00_3954;

					BgL_stringz00_3954 = BGl_string2156z00zzcfa_arithmeticz00;
					{	/* Cfa/arithmetic.scm 28 */
						obj_t BgL_startz00_3955;

						BgL_startz00_3955 = BINT(((long) 0));
						{	/* Cfa/arithmetic.scm 28 */
							obj_t BgL_endz00_3956;

							BgL_endz00_3956 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_3954)));
							{	/* Cfa/arithmetic.scm 28 */

								BgL_cportz00_3946 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_3954, BgL_startz00_3955, BgL_endz00_3956);
				}}}}
				{
					long BgL_iz00_3947;

					BgL_iz00_3947 = ((long) 2);
				BgL_loopz00_3948:
					if ((BgL_iz00_3947 == ((long) -1)))
						{	/* Cfa/arithmetic.scm 28 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/arithmetic.scm 28 */
							{	/* Cfa/arithmetic.scm 28 */
								obj_t BgL_arg2158z00_3950;

								{	/* Cfa/arithmetic.scm 28 */

									{	/* Cfa/arithmetic.scm 28 */
										obj_t BgL_locationz00_3952;

										BgL_locationz00_3952 = BBOOL(((bool_t) 0));
										{	/* Cfa/arithmetic.scm 28 */

											BgL_arg2158z00_3950 =
												BGl_readz00zz__readerz00(BgL_cportz00_3946,
												BgL_locationz00_3952);
										}
									}
								}
								{	/* Cfa/arithmetic.scm 28 */
									int BgL_tmpz00_4136;

									BgL_tmpz00_4136 = (int) (BgL_iz00_3947);
									CNST_TABLE_SET(BgL_tmpz00_4136, BgL_arg2158z00_3950);
							}}
							{	/* Cfa/arithmetic.scm 28 */
								int BgL_auxz00_3953;

								BgL_auxz00_3953 = (int) ((BgL_iz00_3947 - ((long) 1)));
								{
									long BgL_iz00_4141;

									BgL_iz00_4141 = (long) (BgL_auxz00_3953);
									BgL_iz00_3947 = BgL_iz00_4141;
									goto BgL_loopz00_3948;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 = BNIL;
			return BUNSPEC;
		}

	}



/* cleanup-arithmetic-nodes! */
	BGL_EXPORTED_DEF obj_t
		BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/arithmetic.scm 52 */
			{
				obj_t BgL_l1512z00_2779;

				BgL_l1512z00_2779 = BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00;
			BgL_zc3z04anonymousza31595ze3z87_2780:
				if (PAIRP(BgL_l1512z00_2779))
					{	/* Cfa/arithmetic.scm 63 */
						{	/* Cfa/arithmetic.scm 64 */
							obj_t BgL_nodez00_2782;

							BgL_nodez00_2782 = CAR(BgL_l1512z00_2779);
							{	/* Cfa/arithmetic.scm 65 */
								BgL_variablez00_bglt BgL_fz00_2784;

								BgL_fz00_2784 =
									(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_2782))))->
												BgL_funz00)))->BgL_variablez00);
								{	/* Cfa/arithmetic.scm 65 */
									BgL_valuez00_bglt BgL_valz00_2785;

									BgL_valz00_2785 =
										(((BgL_variablez00_bglt) COBJECT(BgL_fz00_2784))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 66 */

										{	/* Cfa/arithmetic.scm 68 */
											bool_t BgL_test2191z00_4152;

											{	/* Cfa/arithmetic.scm 68 */
												BgL_typez00_bglt BgL_arg1608z00_2788;

												BgL_arg1608z00_2788 =
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_2784))->
													BgL_typez00);
												BgL_test2191z00_4152 =
													(((obj_t) BgL_arg1608z00_2788) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2191z00_4152)
												{	/* Cfa/arithmetic.scm 69 */
													BgL_typez00_bglt BgL_vz00_3682;

													BgL_vz00_3682 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_variablez00_bglt) COBJECT(BgL_fz00_2784))->
															BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3682), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 68 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 70 */
											bool_t BgL_test2192z00_4158;

											{	/* Cfa/arithmetic.scm 70 */
												BgL_typez00_bglt BgL_arg1614z00_2791;

												BgL_arg1614z00_2791 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_nodez00_2782)))->
													BgL_typez00);
												BgL_test2192z00_4158 =
													(((obj_t) BgL_arg1614z00_2791) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2192z00_4158)
												{	/* Cfa/arithmetic.scm 71 */
													BgL_typez00_bglt BgL_vz00_3685;

													BgL_vz00_3685 =
														((BgL_typez00_bglt)
														BGl_za2objza2z00zztype_cachez00);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_nodez00_2782)))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_3685), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 70 */
													BFALSE;
												}
										}
										{	/* Cfa/arithmetic.scm 73 */
											bool_t BgL_test2193z00_4166;

											{	/* Cfa/arithmetic.scm 73 */
												bool_t BgL_res2082z00_3686;

												BgL_res2082z00_3686 =
													BGl_isazf3zf3zz__objectz00(
													((obj_t) BgL_valz00_2785), BGl_sfunz00zzast_varz00);
												BgL_test2193z00_4166 = BgL_res2082z00_3686;
											}
											if (BgL_test2193z00_4166)
												{	/* Cfa/arithmetic.scm 74 */
													obj_t BgL_arg1622z00_2793;

													{	/* Cfa/arithmetic.scm 74 */
														obj_t BgL_l1506z00_2794;

														BgL_l1506z00_2794 =
															(((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_2785)))->
															BgL_argsz00);
														if (NULLP(BgL_l1506z00_2794))
															{	/* Cfa/arithmetic.scm 74 */
																BgL_arg1622z00_2793 = BNIL;
															}
														else
															{	/* Cfa/arithmetic.scm 74 */
																obj_t BgL_head1508z00_2796;

																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_arg1633z00_2808;

																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_arg1636z00_2809;

																		BgL_arg1636z00_2809 =
																			CAR(((obj_t) BgL_l1506z00_2794));
																		BgL_arg1633z00_2808 =
																			BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1636z00_2809);
																	}
																	{	/* Cfa/arithmetic.scm 74 */
																		obj_t BgL_res2084z00_3690;

																		BgL_res2084z00_3690 =
																			MAKE_YOUNG_PAIR(BgL_arg1633z00_2808,
																			BNIL);
																		BgL_head1508z00_2796 = BgL_res2084z00_3690;
																	}
																}
																{	/* Cfa/arithmetic.scm 74 */
																	obj_t BgL_g1511z00_2797;

																	BgL_g1511z00_2797 =
																		CDR(((obj_t) BgL_l1506z00_2794));
																	{
																		obj_t BgL_l1506z00_2799;
																		obj_t BgL_tail1509z00_2800;

																		BgL_l1506z00_2799 = BgL_g1511z00_2797;
																		BgL_tail1509z00_2800 = BgL_head1508z00_2796;
																	BgL_zc3z04anonymousza31624ze3z87_2801:
																		if (NULLP(BgL_l1506z00_2799))
																			{	/* Cfa/arithmetic.scm 74 */
																				BgL_arg1622z00_2793 =
																					BgL_head1508z00_2796;
																			}
																		else
																			{	/* Cfa/arithmetic.scm 74 */
																				obj_t BgL_newtail1510z00_2803;

																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg1628z00_2805;

																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_arg1631z00_2806;

																						BgL_arg1631z00_2806 =
																							CAR(((obj_t) BgL_l1506z00_2799));
																						BgL_arg1628z00_2805 =
																							BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																							(BgL_arg1631z00_2806);
																					}
																					{	/* Cfa/arithmetic.scm 74 */
																						obj_t BgL_res2086z00_3694;

																						BgL_res2086z00_3694 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1628z00_2805, BNIL);
																						BgL_newtail1510z00_2803 =
																							BgL_res2086z00_3694;
																					}
																				}
																				SET_CDR(BgL_tail1509z00_2800,
																					BgL_newtail1510z00_2803);
																				{	/* Cfa/arithmetic.scm 74 */
																					obj_t BgL_arg1626z00_2804;

																					BgL_arg1626z00_2804 =
																						CDR(((obj_t) BgL_l1506z00_2799));
																					{
																						obj_t BgL_tail1509z00_4189;
																						obj_t BgL_l1506z00_4188;

																						BgL_l1506z00_4188 =
																							BgL_arg1626z00_2804;
																						BgL_tail1509z00_4189 =
																							BgL_newtail1510z00_2803;
																						BgL_tail1509z00_2800 =
																							BgL_tail1509z00_4189;
																						BgL_l1506z00_2799 =
																							BgL_l1506z00_4188;
																						goto
																							BgL_zc3z04anonymousza31624ze3z87_2801;
																					}
																				}
																			}
																	}
																}
															}
													}
													((((BgL_sfunz00_bglt) COBJECT(
																	((BgL_sfunz00_bglt) BgL_valz00_2785)))->
															BgL_argsz00) =
														((obj_t) BgL_arg1622z00_2793), BUNSPEC);
												}
											else
												{	/* Cfa/arithmetic.scm 75 */
													bool_t BgL_test2196z00_4192;

													{	/* Cfa/arithmetic.scm 75 */
														bool_t BgL_res2087z00_3698;

														BgL_res2087z00_3698 =
															BGl_isazf3zf3zz__objectz00(
															((obj_t) BgL_valz00_2785),
															BGl_cfunz00zzast_varz00);
														BgL_test2196z00_4192 = BgL_res2087z00_3698;
													}
													if (BgL_test2196z00_4192)
														{	/* Cfa/arithmetic.scm 76 */
															obj_t BgL_g1161z00_2811;

															BgL_g1161z00_2811 =
																(((BgL_cfunz00_bglt) COBJECT(
																		((BgL_cfunz00_bglt) BgL_valz00_2785)))->
																BgL_argszd2typezd2);
															{
																obj_t BgL_lz00_2813;

																{	/* Cfa/arithmetic.scm 76 */
																	bool_t BgL_tmpz00_4197;

																	BgL_lz00_2813 = BgL_g1161z00_2811;
																BgL_zc3z04anonymousza31638ze3z87_2814:
																	if (PAIRP(BgL_lz00_2813))
																		{	/* Cfa/arithmetic.scm 77 */
																			{	/* Cfa/arithmetic.scm 79 */
																				obj_t BgL_tmpz00_4200;

																				BgL_tmpz00_4200 =
																					BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00
																					(CAR(BgL_lz00_2813));
																				SET_CAR(BgL_lz00_2813, BgL_tmpz00_4200);
																			}
																			{
																				obj_t BgL_lz00_4204;

																				BgL_lz00_4204 = CDR(BgL_lz00_2813);
																				BgL_lz00_2813 = BgL_lz00_4204;
																				goto
																					BgL_zc3z04anonymousza31638ze3z87_2814;
																			}
																		}
																	else
																		{	/* Cfa/arithmetic.scm 77 */
																			BgL_tmpz00_4197 = ((bool_t) 0);
																		}
																	BBOOL(BgL_tmpz00_4197);
																}
															}
														}
													else
														{	/* Cfa/arithmetic.scm 75 */
															BFALSE;
														}
												}
										}
									}
								}
							}
						}
						{
							obj_t BgL_l1512z00_4207;

							BgL_l1512z00_4207 = CDR(BgL_l1512z00_2779);
							BgL_l1512z00_2779 = BgL_l1512z00_4207;
							goto BgL_zc3z04anonymousza31595ze3z87_2780;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 63 */
						((bool_t) 1);
					}
			}
			{
				obj_t BgL_l1514z00_2824;

				BgL_l1514z00_2824 = BgL_globalsz00_3;
			BgL_zc3z04anonymousza31650ze3z87_2825:
				if (PAIRP(BgL_l1514z00_2824))
					{	/* Cfa/arithmetic.scm 83 */
						{	/* Cfa/arithmetic.scm 83 */
							obj_t BgL_arg1654z00_2827;

							BgL_arg1654z00_2827 = CAR(BgL_l1514z00_2824);
							{	/* Cfa/arithmetic.scm 90 */
								BgL_valuez00_bglt BgL_funz00_3707;

								BgL_funz00_3707 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt) BgL_arg1654z00_2827)))->
									BgL_valuez00);
								{	/* Cfa/arithmetic.scm 90 */
									obj_t BgL_bodyz00_3708;

									BgL_bodyz00_3708 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_funz00_3707)))->BgL_bodyz00);
									{	/* Cfa/arithmetic.scm 91 */

										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_bodyz00_3708));
									}
								}
							}
						}
						{
							obj_t BgL_l1514z00_4218;

							BgL_l1514z00_4218 = CDR(BgL_l1514z00_2824);
							BgL_l1514z00_2824 = BgL_l1514z00_4218;
							goto BgL_zc3z04anonymousza31650ze3z87_2825;
						}
					}
				else
					{	/* Cfa/arithmetic.scm 83 */
						((bool_t) 1);
					}
			}
			return BgL_globalsz00_3;
		}

	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_tz00_2830)
	{
		{	/* Cfa/arithmetic.scm 62 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2830, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 55 */
					if ((BgL_tz00_2830 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/arithmetic.scm 56 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/arithmetic.scm 56 */
							return BgL_tz00_2830;
						}
				}
			else
				{	/* Cfa/arithmetic.scm 55 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_2830,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 57 */
							{	/* Cfa/arithmetic.scm 58 */
								bool_t BgL_test2202z00_4226;

								{	/* Cfa/arithmetic.scm 58 */
									BgL_typez00_bglt BgL_arg1664z00_2837;

									BgL_arg1664z00_2837 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_2830))))->BgL_typez00);
									BgL_test2202z00_4226 =
										(
										((obj_t) BgL_arg1664z00_2837) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_test2202z00_4226)
									{	/* Cfa/arithmetic.scm 59 */
										BgL_typez00_bglt BgL_vz00_3675;

										BgL_vz00_3675 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_2830))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_3675), BUNSPEC);
									}
								else
									{	/* Cfa/arithmetic.scm 58 */
										BFALSE;
									}
							}
							return BgL_tz00_2830;
						}
					else
						{	/* Cfa/arithmetic.scm 57 */
							return BgL_tz00_2830;
						}
				}
		}

	}



/* &cleanup-arithmetic-nodes! */
	obj_t BGl_z62cleanupzd2arithmeticzd2nodesz12z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3880, obj_t BgL_globalsz00_3881)
	{
		{	/* Cfa/arithmetic.scm 52 */
			return
				BGl_cleanupzd2arithmeticzd2nodesz12z12zzcfa_arithmeticz00
				(BgL_globalsz00_3881);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_proc2131z00zzcfa_arithmeticz00, BGl_nodez00zzast_nodez00,
				BGl_string2132z00zzcfa_arithmeticz00);
		}

	}



/* &cleanup-node!1548 */
	obj_t BGl_z62cleanupzd2nodez121548za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3883, obj_t BgL_nodez00_3884)
	{
		{	/* Cfa/arithmetic.scm 97 */
			return BUNSPEC;
		}

	}



/* cleanup-node! */
	obj_t BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(BgL_nodez00_bglt
		BgL_nodez00_5)
	{
		{	/* Cfa/arithmetic.scm 97 */
			{	/* Cfa/arithmetic.scm 97 */
				obj_t BgL_method1549z00_2845;

				{	/* Cfa/arithmetic.scm 97 */
					obj_t BgL_res2100z00_3752;

					{	/* Cfa/arithmetic.scm 97 */
						long BgL_objzd2classzd2numz00_3717;

						{	/* Cfa/arithmetic.scm 97 */
							long BgL_res2090z00_3720;

							BgL_res2090z00_3720 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_5));
							BgL_objzd2classzd2numz00_3717 = BgL_res2090z00_3720;
						}
						{	/* Cfa/arithmetic.scm 97 */
							obj_t BgL_arg1742z00_3718;

							BgL_arg1742z00_3718 =
								PROCEDURE_REF(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
								(int) (((long) 1)));
							{	/* Cfa/arithmetic.scm 97 */
								int BgL_offsetz00_3722;

								BgL_offsetz00_3722 = (int) (BgL_objzd2classzd2numz00_3717);
								{	/* Cfa/arithmetic.scm 97 */
									long BgL_offsetz00_3723;

									BgL_offsetz00_3723 =
										((long) (BgL_offsetz00_3722) - OBJECT_TYPE);
									{	/* Cfa/arithmetic.scm 97 */
										long BgL_modz00_3724;

										BgL_modz00_3724 =
											(BgL_offsetz00_3723 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/arithmetic.scm 97 */
											long BgL_restz00_3726;

											BgL_restz00_3726 =
												(BgL_offsetz00_3723 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/arithmetic.scm 97 */

												{	/* Cfa/arithmetic.scm 97 */
													obj_t BgL_bucketz00_3728;

													BgL_bucketz00_3728 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_3718), BgL_modz00_3724);
													BgL_res2100z00_3752 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_3728), BgL_restz00_3726);
					}}}}}}}}
					BgL_method1549z00_2845 = BgL_res2100z00_3752;
				}
				return
					PROCEDURE_ENTRY(BgL_method1549z00_2845) (BgL_method1549z00_2845,
					((obj_t) BgL_nodez00_5), BEOA);
			}
		}

	}



/* &cleanup-node! */
	obj_t BGl_z62cleanupzd2nodez12za2zzcfa_arithmeticz00(obj_t BgL_envz00_3885,
		obj_t BgL_nodez00_3886)
	{
		{	/* Cfa/arithmetic.scm 97 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				((BgL_nodez00_bglt) BgL_nodez00_3886));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_sequencez00zzast_nodez00, BGl_proc2133z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_syncz00zzast_nodez00, BGl_proc2135z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setqz00zzast_nodez00, BGl_proc2136z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2137z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_failz00zzast_nodez00, BGl_proc2138z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_switchz00zzast_nodez00, BGl_proc2139z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2140z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2141z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2142z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2143z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2144z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2145z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2146z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc2147z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_funcallz00zzast_nodez00, BGl_proc2148z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cleanupzd2nodez12zd2envz12zzcfa_arithmeticz00,
				BGl_appz00zzast_nodez00, BGl_proc2149z00zzcfa_arithmeticz00,
				BGl_string2134z00zzcfa_arithmeticz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_nodezd2setupz12zd2envz12zzcfa_setupz00,
				BGl_prezd2arithmeticzd2appz00zzcfa_info2z00,
				BGl_proc2150z00zzcfa_arithmeticz00,
				BGl_string2151z00zzcfa_arithmeticz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_cfaz12zd2envzc0zzcfa_cfaz00, BGl_arithmeticzd2appzd2zzcfa_info2z00,
				BGl_proc2152z00zzcfa_arithmeticz00,
				BGl_string2153z00zzcfa_arithmeticz00);
		}

	}



/* &cfa!-arithmetic-app1585 */
	BgL_approxz00_bglt
		BGl_z62cfaz12zd2arithmeticzd2app1585z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3905, obj_t BgL_nodez00_3906)
	{
		{	/* Cfa/arithmetic.scm 287 */
			{
				obj_t BgL_argszd2approxzd2_3981;
				obj_t BgL_argszd2approxzd2_3971;
				obj_t BgL_typez00_3972;
				obj_t BgL_speczd2typeszd2_3973;
				obj_t BgL_argszd2approxzd2_3964;
				obj_t BgL_speczd2typeszd2_3965;

				{	/* Cfa/arithmetic.scm 328 */
					obj_t BgL_argszd2approxzd2_3987;

					{	/* Cfa/arithmetic.scm 328 */
						obj_t BgL_l1540z00_3988;

						BgL_l1540z00_3988 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt)
										((BgL_appz00_bglt) BgL_nodez00_3906))))->BgL_argsz00);
						if (NULLP(BgL_l1540z00_3988))
							{	/* Cfa/arithmetic.scm 328 */
								BgL_argszd2approxzd2_3987 = BNIL;
							}
						else
							{	/* Cfa/arithmetic.scm 328 */
								obj_t BgL_head1542z00_3989;

								{	/* Cfa/arithmetic.scm 328 */
									BgL_approxz00_bglt BgL_arg1873z00_3990;

									{	/* Cfa/arithmetic.scm 328 */
										obj_t BgL_arg1874z00_3991;

										BgL_arg1874z00_3991 = CAR(((obj_t) BgL_l1540z00_3988));
										BgL_arg1873z00_3990 =
											BGl_cfaz12z12zzcfa_cfaz00(
											((BgL_nodez00_bglt) BgL_arg1874z00_3991));
									}
									{	/* Cfa/arithmetic.scm 328 */
										obj_t BgL_res2125z00_3992;

										BgL_res2125z00_3992 =
											MAKE_YOUNG_PAIR(((obj_t) BgL_arg1873z00_3990), BNIL);
										BgL_head1542z00_3989 = BgL_res2125z00_3992;
									}
								}
								{	/* Cfa/arithmetic.scm 328 */
									obj_t BgL_g1545z00_3993;

									BgL_g1545z00_3993 = CDR(((obj_t) BgL_l1540z00_3988));
									{
										obj_t BgL_l1540z00_3995;
										obj_t BgL_tail1543z00_3996;

										BgL_l1540z00_3995 = BgL_g1545z00_3993;
										BgL_tail1543z00_3996 = BgL_head1542z00_3989;
									BgL_zc3z04anonymousza31867ze3z87_3994:
										if (NULLP(BgL_l1540z00_3995))
											{	/* Cfa/arithmetic.scm 328 */
												BgL_argszd2approxzd2_3987 = BgL_head1542z00_3989;
											}
										else
											{	/* Cfa/arithmetic.scm 328 */
												obj_t BgL_newtail1544z00_3997;

												{	/* Cfa/arithmetic.scm 328 */
													BgL_approxz00_bglt BgL_arg1871z00_3998;

													{	/* Cfa/arithmetic.scm 328 */
														obj_t BgL_arg1872z00_3999;

														BgL_arg1872z00_3999 =
															CAR(((obj_t) BgL_l1540z00_3995));
														BgL_arg1871z00_3998 =
															BGl_cfaz12z12zzcfa_cfaz00(
															((BgL_nodez00_bglt) BgL_arg1872z00_3999));
													}
													{	/* Cfa/arithmetic.scm 328 */
														obj_t BgL_res2127z00_4000;

														BgL_res2127z00_4000 =
															MAKE_YOUNG_PAIR(
															((obj_t) BgL_arg1871z00_3998), BNIL);
														BgL_newtail1544z00_3997 = BgL_res2127z00_4000;
													}
												}
												SET_CDR(BgL_tail1543z00_3996, BgL_newtail1544z00_3997);
												{	/* Cfa/arithmetic.scm 328 */
													obj_t BgL_arg1870z00_4001;

													BgL_arg1870z00_4001 =
														CDR(((obj_t) BgL_l1540z00_3995));
													{
														obj_t BgL_tail1543z00_4313;
														obj_t BgL_l1540z00_4312;

														BgL_l1540z00_4312 = BgL_arg1870z00_4001;
														BgL_tail1543z00_4313 = BgL_newtail1544z00_3997;
														BgL_tail1543z00_3996 = BgL_tail1543z00_4313;
														BgL_l1540z00_3995 = BgL_l1540z00_4312;
														goto BgL_zc3z04anonymousza31867ze3z87_3994;
													}
												}
											}
									}
								}
							}
					}
					{	/* Cfa/arithmetic.scm 330 */
						obj_t BgL_tyz00_4002;

						BgL_argszd2approxzd2_3981 = BgL_argszd2approxzd2_3987;
						{
							obj_t BgL_argsz00_3983;

							BgL_argsz00_3983 = BgL_argszd2approxzd2_3981;
						BgL_loopz00_3982:
							if (NULLP(BgL_argsz00_3983))
								{	/* Cfa/arithmetic.scm 296 */
									BgL_tyz00_4002 = BFALSE;
								}
							else
								{	/* Cfa/arithmetic.scm 298 */
									obj_t BgL_tz00_3984;

									{	/* Cfa/arithmetic.scm 298 */
										BgL_typez00_bglt BgL_arg1882z00_3985;

										BgL_arg1882z00_3985 =
											(((BgL_approxz00_bglt) COBJECT(
													((BgL_approxz00_bglt)
														CAR(((obj_t) BgL_argsz00_3983)))))->BgL_typez00);
										if (
											(((obj_t) BgL_arg1882z00_3985) ==
												BGl_za2intza2z00zztype_cachez00))
											{	/* Cfa/arithmetic.scm 290 */
												BgL_tz00_3984 = BGl_za2longza2z00zztype_cachez00;
											}
										else
											{	/* Cfa/arithmetic.scm 290 */
												BgL_tz00_3984 = ((obj_t) BgL_arg1882z00_3985);
											}
									}
									if ((BgL_tz00_3984 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/arithmetic.scm 300 */
											obj_t BgL_arg1881z00_3986;

											BgL_arg1881z00_3986 = CDR(((obj_t) BgL_argsz00_3983));
											{
												obj_t BgL_argsz00_4328;

												BgL_argsz00_4328 = BgL_arg1881z00_3986;
												BgL_argsz00_3983 = BgL_argsz00_4328;
												goto BgL_loopz00_3982;
											}
										}
									else
										{	/* Cfa/arithmetic.scm 299 */
											BgL_tyz00_4002 = BgL_tz00_3984;
										}
								}
						}
						{	/* Cfa/arithmetic.scm 336 */
							bool_t BgL_test2208z00_4329;

							{	/* Cfa/arithmetic.scm 336 */
								obj_t BgL_arg1865z00_4003;

								{
									BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4330;

									{
										obj_t BgL_auxz00_4331;

										{	/* Cfa/arithmetic.scm 336 */
											BgL_objectz00_bglt BgL_tmpz00_4332;

											BgL_tmpz00_4332 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_3906));
											BgL_auxz00_4331 = BGL_OBJECT_WIDENING(BgL_tmpz00_4332);
										}
										BgL_auxz00_4330 =
											((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4331);
									}
									BgL_arg1865z00_4003 =
										(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_4330))->
										BgL_speczd2typeszd2);
								}
								BgL_argszd2approxzd2_3971 = BgL_argszd2approxzd2_3987;
								BgL_typez00_3972 = BgL_tyz00_4002;
								BgL_speczd2typeszd2_3973 = BgL_arg1865z00_4003;
								{	/* Cfa/arithmetic.scm 305 */
									bool_t BgL__ortest_1185z00_3974;

									if (CBOOL(BgL_typez00_3972))
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1185z00_3974 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 305 */
											BgL__ortest_1185z00_3974 = ((bool_t) 1);
										}
									if (BgL__ortest_1185z00_3974)
										{	/* Cfa/arithmetic.scm 305 */
											BgL_test2208z00_4329 = BgL__ortest_1185z00_3974;
										}
									else
										{	/* Cfa/arithmetic.scm 306 */
											obj_t BgL__andtest_1186z00_3975;

											BgL__andtest_1186z00_3975 =
												BGl_memqz00zz__r4_pairs_and_lists_6_3z00
												(BgL_typez00_3972, BgL_speczd2typeszd2_3973);
											if (CBOOL(BgL__andtest_1186z00_3975))
												{
													obj_t BgL_argsz00_3977;

													BgL_argsz00_3977 = BgL_argszd2approxzd2_3971;
												BgL_loopz00_3976:
													if (NULLP(BgL_argsz00_3977))
														{	/* Cfa/arithmetic.scm 308 */
															BgL_test2208z00_4329 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 310 */
															obj_t BgL_tz00_3978;

															{	/* Cfa/arithmetic.scm 310 */
																BgL_typez00_bglt BgL_arg1891z00_3979;

																BgL_arg1891z00_3979 =
																	(((BgL_approxz00_bglt) COBJECT(
																			((BgL_approxz00_bglt)
																				CAR(
																					((obj_t) BgL_argsz00_3977)))))->
																	BgL_typez00);
																if ((((obj_t) BgL_arg1891z00_3979) ==
																		BGl_za2intza2z00zztype_cachez00))
																	{	/* Cfa/arithmetic.scm 290 */
																		BgL_tz00_3978 =
																			BGl_za2longza2z00zztype_cachez00;
																	}
																else
																	{	/* Cfa/arithmetic.scm 290 */
																		BgL_tz00_3978 =
																			((obj_t) BgL_arg1891z00_3979);
																	}
															}
															{	/* Cfa/arithmetic.scm 311 */
																bool_t BgL_test2214z00_4354;

																if ((BgL_tz00_3978 == BgL_typez00_3972))
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_test2214z00_4354 = ((bool_t) 1);
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_test2214z00_4354 =
																			(BgL_tz00_3978 ==
																			BGl_za2_za2z00zztype_cachez00);
																	}
																if (BgL_test2214z00_4354)
																	{	/* Cfa/arithmetic.scm 312 */
																		obj_t BgL_arg1889z00_3980;

																		BgL_arg1889z00_3980 =
																			CDR(((obj_t) BgL_argsz00_3977));
																		{
																			obj_t BgL_argsz00_4360;

																			BgL_argsz00_4360 = BgL_arg1889z00_3980;
																			BgL_argsz00_3977 = BgL_argsz00_4360;
																			goto BgL_loopz00_3976;
																		}
																	}
																else
																	{	/* Cfa/arithmetic.scm 311 */
																		BgL_test2208z00_4329 = ((bool_t) 0);
																	}
															}
														}
												}
											else
												{	/* Cfa/arithmetic.scm 306 */
													BgL_test2208z00_4329 = ((bool_t) 0);
												}
										}
								}
							}
							if (BgL_test2208z00_4329)
								{	/* Cfa/arithmetic.scm 336 */
									{	/* Cfa/arithmetic.scm 339 */
										bool_t BgL_test2216z00_4361;

										{	/* Cfa/arithmetic.scm 339 */
											bool_t BgL_test2217z00_4362;

											{	/* Cfa/arithmetic.scm 339 */
												obj_t BgL_arg1844z00_4004;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4363;

													{
														obj_t BgL_auxz00_4364;

														{	/* Cfa/arithmetic.scm 339 */
															BgL_objectz00_bglt BgL_tmpz00_4365;

															BgL_tmpz00_4365 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3906));
															BgL_auxz00_4364 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4365);
														}
														BgL_auxz00_4363 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4364);
													}
													BgL_arg1844z00_4004 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_4363))->BgL_speczd2typeszd2);
												}
												BgL_argszd2approxzd2_3964 = BgL_argszd2approxzd2_3987;
												BgL_speczd2typeszd2_3965 = BgL_arg1844z00_4004;
												{
													obj_t BgL_argsz00_3967;

													BgL_argsz00_3967 = BgL_argszd2approxzd2_3964;
												BgL_loopz00_3966:
													if (NULLP(BgL_argsz00_3967))
														{	/* Cfa/arithmetic.scm 318 */
															BgL_test2217z00_4362 = ((bool_t) 1);
														}
													else
														{	/* Cfa/arithmetic.scm 320 */
															bool_t BgL_test2219z00_4373;

															{	/* Cfa/arithmetic.scm 320 */
																obj_t BgL_arg1901z00_3968;

																{	/* Cfa/arithmetic.scm 320 */
																	BgL_typez00_bglt BgL_arg1902z00_3969;

																	BgL_arg1902z00_3969 =
																		(((BgL_approxz00_bglt) COBJECT(
																				((BgL_approxz00_bglt)
																					CAR(
																						((obj_t) BgL_argsz00_3967)))))->
																		BgL_typez00);
																	if ((((obj_t) BgL_arg1902z00_3969) ==
																			BGl_za2intza2z00zztype_cachez00))
																		{	/* Cfa/arithmetic.scm 290 */
																			BgL_arg1901z00_3968 =
																				BGl_za2longza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/arithmetic.scm 290 */
																			BgL_arg1901z00_3968 =
																				((obj_t) BgL_arg1902z00_3969);
																		}
																}
																BgL_test2219z00_4373 =
																	CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																	(BgL_arg1901z00_3968,
																		BgL_speczd2typeszd2_3965));
															}
															if (BgL_test2219z00_4373)
																{	/* Cfa/arithmetic.scm 321 */
																	obj_t BgL_arg1900z00_3970;

																	BgL_arg1900z00_3970 =
																		CDR(((obj_t) BgL_argsz00_3967));
																	{
																		obj_t BgL_argsz00_4386;

																		BgL_argsz00_4386 = BgL_arg1900z00_3970;
																		BgL_argsz00_3967 = BgL_argsz00_4386;
																		goto BgL_loopz00_3966;
																	}
																}
															else
																{	/* Cfa/arithmetic.scm 320 */
																	BgL_test2217z00_4362 = ((bool_t) 0);
																}
														}
												}
											}
											if (BgL_test2217z00_4362)
												{	/* Cfa/arithmetic.scm 340 */
													BgL_typez00_bglt BgL_arg1842z00_4005;

													{	/* Cfa/arithmetic.scm 340 */
														BgL_approxz00_bglt BgL_arg1843z00_4006;

														{
															BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4387;

															{
																obj_t BgL_auxz00_4388;

																{	/* Cfa/arithmetic.scm 340 */
																	BgL_objectz00_bglt BgL_tmpz00_4389;

																	BgL_tmpz00_4389 =
																		((BgL_objectz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_3906));
																	BgL_auxz00_4388 =
																		BGL_OBJECT_WIDENING(BgL_tmpz00_4389);
																}
																BgL_auxz00_4387 =
																	((BgL_arithmeticzd2appzd2_bglt)
																	BgL_auxz00_4388);
															}
															BgL_arg1843z00_4006 =
																(((BgL_arithmeticzd2appzd2_bglt)
																	COBJECT(BgL_auxz00_4387))->BgL_approxz00);
														}
														BgL_arg1842z00_4005 =
															(((BgL_approxz00_bglt)
																COBJECT(BgL_arg1843z00_4006))->BgL_typez00);
													}
													BgL_test2216z00_4361 =
														(
														((obj_t) BgL_arg1842z00_4005) ==
														BGl_za2_za2z00zztype_cachez00);
												}
											else
												{	/* Cfa/arithmetic.scm 339 */
													BgL_test2216z00_4361 = ((bool_t) 0);
												}
										}
										if (BgL_test2216z00_4361)
											{	/* Cfa/arithmetic.scm 339 */
												{	/* Cfa/arithmetic.scm 343 */
													BgL_approxz00_bglt BgL_arg1841z00_4007;

													{
														BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4398;

														{
															obj_t BgL_auxz00_4399;

															{	/* Cfa/arithmetic.scm 343 */
																BgL_objectz00_bglt BgL_tmpz00_4400;

																BgL_tmpz00_4400 =
																	((BgL_objectz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_3906));
																BgL_auxz00_4399 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_4400);
															}
															BgL_auxz00_4398 =
																((BgL_arithmeticzd2appzd2_bglt)
																BgL_auxz00_4399);
														}
														BgL_arg1841z00_4007 =
															(((BgL_arithmeticzd2appzd2_bglt)
																COBJECT(BgL_auxz00_4398))->BgL_approxz00);
													}
													BGl_approxzd2setzd2typez12z12zzcfa_approxz00
														(BgL_arg1841z00_4007,
														((BgL_typez00_bglt) BgL_tyz00_4002));
												}
												BGl_continuezd2cfaz12zc0zzcfa_iteratez00(CNST_TABLE_REF(
														((long) 0)));
											}
										else
											{	/* Cfa/arithmetic.scm 339 */
												BFALSE;
											}
									}
								}
							else
								{	/* Cfa/arithmetic.scm 345 */
									bool_t BgL_test2221z00_4410;

									if (
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_globalz00_bglt)
																(((BgL_varz00_bglt) COBJECT(
																			(((BgL_appz00_bglt) COBJECT(
																						((BgL_appz00_bglt)
																							((BgL_appz00_bglt)
																								BgL_nodez00_3906))))->
																				BgL_funz00)))->BgL_variablez00)))))->
												BgL_idz00) == CNST_TABLE_REF(((long) 1))))
										{	/* Cfa/arithmetic.scm 345 */
											BgL_test2221z00_4410 = ((bool_t) 0);
										}
									else
										{	/* Cfa/arithmetic.scm 345 */
											BgL_test2221z00_4410 = ((bool_t) 1);
										}
									if (BgL_test2221z00_4410)
										{	/* Cfa/arithmetic.scm 345 */
											{
												obj_t BgL_l1546z00_4009;

												BgL_l1546z00_4009 = BgL_argszd2approxzd2_3987;
											BgL_zc3z04anonymousza31855ze3z87_4008:
												if (PAIRP(BgL_l1546z00_4009))
													{	/* Cfa/arithmetic.scm 346 */
														{	/* Cfa/arithmetic.scm 346 */
															obj_t BgL_az00_4010;

															BgL_az00_4010 = CAR(BgL_l1546z00_4009);
															BGl_loosez12z12zzcfa_loosez00(
																((BgL_approxz00_bglt) BgL_az00_4010),
																CNST_TABLE_REF(((long) 2)));
														}
														{
															obj_t BgL_l1546z00_4427;

															BgL_l1546z00_4427 = CDR(BgL_l1546z00_4009);
															BgL_l1546z00_4009 = BgL_l1546z00_4427;
															goto BgL_zc3z04anonymousza31855ze3z87_4008;
														}
													}
												else
													{	/* Cfa/arithmetic.scm 346 */
														((bool_t) 1);
													}
											}
											{	/* Cfa/arithmetic.scm 347 */
												BgL_approxz00_bglt BgL_arg1859z00_4011;

												{
													BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4429;

													{
														obj_t BgL_auxz00_4430;

														{	/* Cfa/arithmetic.scm 347 */
															BgL_objectz00_bglt BgL_tmpz00_4431;

															BgL_tmpz00_4431 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3906));
															BgL_auxz00_4430 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_4431);
														}
														BgL_auxz00_4429 =
															((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4430);
													}
													BgL_arg1859z00_4011 =
														(((BgL_arithmeticzd2appzd2_bglt)
															COBJECT(BgL_auxz00_4429))->BgL_approxz00);
												}
												BGl_approxzd2setzd2typez12z12zzcfa_approxz00
													(BgL_arg1859z00_4011,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
											}
										}
									else
										{	/* Cfa/arithmetic.scm 345 */
											BFALSE;
										}
								}
						}
					}
				}
				{
					BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4439;

					{
						obj_t BgL_auxz00_4440;

						{	/* Cfa/arithmetic.scm 350 */
							BgL_objectz00_bglt BgL_tmpz00_4441;

							BgL_tmpz00_4441 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3906));
							BgL_auxz00_4440 = BGL_OBJECT_WIDENING(BgL_tmpz00_4441);
						}
						BgL_auxz00_4439 = ((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4440);
					}
					return
						(((BgL_arithmeticzd2appzd2_bglt) COBJECT(BgL_auxz00_4439))->
						BgL_approxz00);
				}
			}
		}

	}



/* &node-setup!-pre-arit1583 */
	obj_t BGl_z62nodezd2setupz12zd2prezd2arit1583za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3907, obj_t BgL_nodez00_3908)
	{
		{	/* Cfa/arithmetic.scm 244 */
			{	/* Cfa/arithmetic.scm 255 */
				BgL_variablez00_bglt BgL_fz00_4013;

				BgL_fz00_4013 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3908))))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Cfa/arithmetic.scm 255 */
					BgL_valuez00_bglt BgL_valz00_4014;

					BgL_valz00_4014 =
						(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4013))->BgL_valuez00);
					{	/* Cfa/arithmetic.scm 256 */

						{	/* Cfa/arithmetic.scm 258 */
							bool_t BgL_test2224z00_4452;

							{	/* Cfa/arithmetic.scm 258 */
								BgL_typez00_bglt BgL_arg1794z00_4015;

								BgL_arg1794z00_4015 =
									(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4013))->
									BgL_typez00);
								BgL_test2224z00_4452 =
									(((obj_t) BgL_arg1794z00_4015) ==
									BGl_za2objza2z00zztype_cachez00);
							}
							if (BgL_test2224z00_4452)
								{	/* Cfa/arithmetic.scm 258 */
									{	/* Cfa/arithmetic.scm 261 */
										BgL_typez00_bglt BgL_vz00_4016;

										BgL_vz00_4016 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_fz00_4013))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4016), BUNSPEC);
									}
									{	/* Cfa/arithmetic.scm 262 */
										BgL_typez00_bglt BgL_vz00_4017;

										BgL_vz00_4017 =
											((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_3908))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4017), BUNSPEC);
									}
								}
							else
								{	/* Cfa/arithmetic.scm 258 */
									BFALSE;
								}
						}
						{	/* Cfa/arithmetic.scm 264 */
							bool_t BgL_test2225z00_4462;

							{	/* Cfa/arithmetic.scm 264 */
								bool_t BgL_res2110z00_4018;

								BgL_res2110z00_4018 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_valz00_4014), BGl_sfunz00zzast_varz00);
								BgL_test2225z00_4462 = BgL_res2110z00_4018;
							}
							if (BgL_test2225z00_4462)
								{	/* Cfa/arithmetic.scm 265 */
									obj_t BgL_arg1796z00_4019;

									{	/* Cfa/arithmetic.scm 265 */
										obj_t BgL_l1534z00_4020;

										BgL_l1534z00_4020 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_4014)))->BgL_argsz00);
										if (NULLP(BgL_l1534z00_4020))
											{	/* Cfa/arithmetic.scm 265 */
												BgL_arg1796z00_4019 = BNIL;
											}
										else
											{	/* Cfa/arithmetic.scm 265 */
												obj_t BgL_head1536z00_4021;

												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_arg1804z00_4022;

													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_arg1808z00_4023;

														BgL_arg1808z00_4023 =
															CAR(((obj_t) BgL_l1534z00_4020));
														BgL_arg1804z00_4022 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(BgL_arg1808z00_4023);
													}
													{	/* Cfa/arithmetic.scm 265 */
														obj_t BgL_res2112z00_4024;

														BgL_res2112z00_4024 =
															MAKE_YOUNG_PAIR(BgL_arg1804z00_4022, BNIL);
														BgL_head1536z00_4021 = BgL_res2112z00_4024;
													}
												}
												{	/* Cfa/arithmetic.scm 265 */
													obj_t BgL_g1539z00_4025;

													BgL_g1539z00_4025 = CDR(((obj_t) BgL_l1534z00_4020));
													{
														obj_t BgL_l1534z00_4027;
														obj_t BgL_tail1537z00_4028;

														BgL_l1534z00_4027 = BgL_g1539z00_4025;
														BgL_tail1537z00_4028 = BgL_head1536z00_4021;
													BgL_zc3z04anonymousza31798ze3z87_4026:
														if (NULLP(BgL_l1534z00_4027))
															{	/* Cfa/arithmetic.scm 265 */
																BgL_arg1796z00_4019 = BgL_head1536z00_4021;
															}
														else
															{	/* Cfa/arithmetic.scm 265 */
																obj_t BgL_newtail1538z00_4029;

																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_arg1802z00_4030;

																	{	/* Cfa/arithmetic.scm 265 */
																		obj_t BgL_arg1803z00_4031;

																		BgL_arg1803z00_4031 =
																			CAR(((obj_t) BgL_l1534z00_4027));
																		BgL_arg1802z00_4030 =
																			BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
																			(BgL_arg1803z00_4031);
																	}
																	{	/* Cfa/arithmetic.scm 265 */
																		obj_t BgL_res2114z00_4032;

																		BgL_res2114z00_4032 =
																			MAKE_YOUNG_PAIR(BgL_arg1802z00_4030,
																			BNIL);
																		BgL_newtail1538z00_4029 =
																			BgL_res2114z00_4032;
																	}
																}
																SET_CDR(BgL_tail1537z00_4028,
																	BgL_newtail1538z00_4029);
																{	/* Cfa/arithmetic.scm 265 */
																	obj_t BgL_arg1800z00_4033;

																	BgL_arg1800z00_4033 =
																		CDR(((obj_t) BgL_l1534z00_4027));
																	{
																		obj_t BgL_tail1537z00_4485;
																		obj_t BgL_l1534z00_4484;

																		BgL_l1534z00_4484 = BgL_arg1800z00_4033;
																		BgL_tail1537z00_4485 =
																			BgL_newtail1538z00_4029;
																		BgL_tail1537z00_4028 = BgL_tail1537z00_4485;
																		BgL_l1534z00_4027 = BgL_l1534z00_4484;
																		goto BgL_zc3z04anonymousza31798ze3z87_4026;
																	}
																}
															}
													}
												}
											}
									}
									((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_4014)))->BgL_argsz00) =
										((obj_t) BgL_arg1796z00_4019), BUNSPEC);
								}
							else
								{	/* Cfa/arithmetic.scm 266 */
									bool_t BgL_test2228z00_4488;

									{	/* Cfa/arithmetic.scm 266 */
										bool_t BgL_res2115z00_4034;

										BgL_res2115z00_4034 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_valz00_4014), BGl_cfunz00zzast_varz00);
										BgL_test2228z00_4488 = BgL_res2115z00_4034;
									}
									if (BgL_test2228z00_4488)
										{	/* Cfa/arithmetic.scm 267 */
											obj_t BgL_g1179z00_4035;

											BgL_g1179z00_4035 =
												(((BgL_cfunz00_bglt) COBJECT(
														((BgL_cfunz00_bglt) BgL_valz00_4014)))->
												BgL_argszd2typezd2);
											{
												obj_t BgL_lz00_4037;

												BgL_lz00_4037 = BgL_g1179z00_4035;
											BgL_loopz00_4036:
												if (PAIRP(BgL_lz00_4037))
													{	/* Cfa/arithmetic.scm 269 */
														obj_t BgL_tmpz00_4495;

														BgL_tmpz00_4495 =
															BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00
															(CAR(BgL_lz00_4037));
														SET_CAR(BgL_lz00_4037, BgL_tmpz00_4495);
													}
												else
													{	/* Cfa/arithmetic.scm 270 */
														obj_t BgL_arg1814z00_4038;

														BgL_arg1814z00_4038 = CDR(((obj_t) BgL_lz00_4037));
														{
															obj_t BgL_lz00_4501;

															BgL_lz00_4501 = BgL_arg1814z00_4038;
															BgL_lz00_4037 = BgL_lz00_4501;
															goto BgL_loopz00_4036;
														}
													}
											}
										}
									else
										{	/* Cfa/arithmetic.scm 266 */
											BGl_errorz00zz__errorz00
												(BGl_string2151z00zzcfa_arithmeticz00,
												BGl_string2154z00zzcfa_arithmeticz00,
												((obj_t) ((BgL_appz00_bglt) BgL_nodez00_3908)));
										}
								}
						}
						BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00 =
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_3908)),
							BGl_za2arithmeticzd2nodesza2zd2zzcfa_arithmeticz00);
						{	/* Cfa/arithmetic.scm 275 */
							obj_t BgL_arg1815z00_4039;

							BgL_arg1815z00_4039 =
								(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3908))))->BgL_argsz00);
							BGl_nodezd2setupza2z12z62zzcfa_setupz00(BgL_arg1815z00_4039);
						}
						{	/* Cfa/arithmetic.scm 276 */
							obj_t BgL_speczd2typeszd2_4040;

							{
								BgL_prezd2arithmeticzd2appz00_bglt BgL_auxz00_4512;

								{
									obj_t BgL_auxz00_4513;

									{	/* Cfa/arithmetic.scm 276 */
										BgL_objectz00_bglt BgL_tmpz00_4514;

										BgL_tmpz00_4514 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3908));
										BgL_auxz00_4513 = BGL_OBJECT_WIDENING(BgL_tmpz00_4514);
									}
									BgL_auxz00_4512 =
										((BgL_prezd2arithmeticzd2appz00_bglt) BgL_auxz00_4513);
								}
								BgL_speczd2typeszd2_4040 =
									(((BgL_prezd2arithmeticzd2appz00_bglt)
										COBJECT(BgL_auxz00_4512))->BgL_speczd2typeszd2);
							}
							{	/* Cfa/arithmetic.scm 276 */
								BgL_appz00_bglt BgL_nodez00_4041;

								{	/* Cfa/arithmetic.scm 277 */
									long BgL_arg1821z00_4042;

									{	/* Cfa/arithmetic.scm 277 */
										obj_t BgL_arg1822z00_4043;

										{	/* Cfa/arithmetic.scm 277 */
											obj_t BgL_arg1823z00_4044;

											{	/* Cfa/arithmetic.scm 277 */
												long BgL_arg1745z00_4045;

												{	/* Cfa/arithmetic.scm 277 */
													long BgL_arg1746z00_4046;

													{	/* Cfa/arithmetic.scm 277 */
														long BgL_res2117z00_4047;

														BgL_res2117z00_4047 =
															BGL_OBJECT_CLASS_NUM(
															((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_3908)));
														BgL_arg1746z00_4046 = BgL_res2117z00_4047;
													}
													BgL_arg1745z00_4045 =
														(BgL_arg1746z00_4046 - OBJECT_TYPE);
												}
												BgL_arg1823z00_4044 =
													VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
													BgL_arg1745z00_4045);
											}
											BgL_arg1822z00_4043 =
												BGl_classzd2superzd2zz__objectz00(BgL_arg1823z00_4044);
										}
										{	/* Cfa/arithmetic.scm 277 */
											long BgL_res2119z00_4048;

											{	/* Cfa/arithmetic.scm 277 */
												obj_t BgL_tmpz00_4526;

												BgL_tmpz00_4526 = ((obj_t) BgL_arg1822z00_4043);
												BgL_res2119z00_4048 = BGL_CLASS_INDEX(BgL_tmpz00_4526);
											}
											BgL_arg1821z00_4042 = BgL_res2119z00_4048;
									}}
									BGL_OBJECT_CLASS_NUM_SET(
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_3908)),
										BgL_arg1821z00_4042);
								}
								{	/* Cfa/arithmetic.scm 277 */
									BgL_objectz00_bglt BgL_tmpz00_4532;

									BgL_tmpz00_4532 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3908));
									BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4532, BFALSE);
								}
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_3908));
								BgL_nodez00_4041 = ((BgL_appz00_bglt) BgL_nodez00_3908);
								{	/* Cfa/arithmetic.scm 277 */

									{	/* Cfa/arithmetic.scm 278 */
										BgL_arithmeticzd2appzd2_bglt BgL_wide1183z00_4049;

										BgL_wide1183z00_4049 =
											((BgL_arithmeticzd2appzd2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_arithmeticzd2appzd2_bgl))));
										{	/* Cfa/arithmetic.scm 278 */
											obj_t BgL_auxz00_4544;
											BgL_objectz00_bglt BgL_tmpz00_4540;

											BgL_auxz00_4544 = ((obj_t) BgL_wide1183z00_4049);
											BgL_tmpz00_4540 =
												((BgL_objectz00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_4041)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_4540, BgL_auxz00_4544);
										}
										((BgL_objectz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4041)));
										{	/* Cfa/arithmetic.scm 278 */
											long BgL_arg1816z00_4050;

											{	/* Cfa/arithmetic.scm 278 */
												long BgL_res2120z00_4051;

												BgL_res2120z00_4051 =
													BGL_CLASS_INDEX
													(BGl_arithmeticzd2appzd2zzcfa_info2z00);
												BgL_arg1816z00_4050 = BgL_res2120z00_4051;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4041))),
												BgL_arg1816z00_4050);
										}
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4041)));
									}
									{
										BgL_approxz00_bglt BgL_auxz00_4566;
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4558;

										{	/* Cfa/arithmetic.scm 280 */
											bool_t BgL_test2230z00_4567;

											{	/* Cfa/arithmetic.scm 280 */
												BgL_typez00_bglt BgL_arg1820z00_4052;

												BgL_arg1820z00_4052 =
													(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4013))->
													BgL_typez00);
												BgL_test2230z00_4567 =
													(((obj_t) BgL_arg1820z00_4052) ==
													BGl_za2_za2z00zztype_cachez00);
											}
											if (BgL_test2230z00_4567)
												{	/* Cfa/arithmetic.scm 280 */
													BgL_auxz00_4566 =
														BGl_makezd2emptyzd2approxz00zzcfa_approxz00();
												}
											else
												{	/* Cfa/arithmetic.scm 282 */
													BgL_typez00_bglt BgL_arg1819z00_4053;

													BgL_arg1819z00_4053 =
														(((BgL_variablez00_bglt) COBJECT(BgL_fz00_4013))->
														BgL_typez00);
													BgL_auxz00_4566 =
														BGl_makezd2typezd2approxz00zzcfa_approxz00
														(BgL_arg1819z00_4053);
												}
										}
										{
											obj_t BgL_auxz00_4559;

											{	/* Cfa/arithmetic.scm 280 */
												BgL_objectz00_bglt BgL_tmpz00_4560;

												BgL_tmpz00_4560 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4041)));
												BgL_auxz00_4559 = BGL_OBJECT_WIDENING(BgL_tmpz00_4560);
											}
											BgL_auxz00_4558 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4559);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_4558))->BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_auxz00_4566), BUNSPEC);
									}
									{
										BgL_arithmeticzd2appzd2_bglt BgL_auxz00_4575;

										{
											obj_t BgL_auxz00_4576;

											{	/* Cfa/arithmetic.scm 279 */
												BgL_objectz00_bglt BgL_tmpz00_4577;

												BgL_tmpz00_4577 =
													((BgL_objectz00_bglt)
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_4041)));
												BgL_auxz00_4576 = BGL_OBJECT_WIDENING(BgL_tmpz00_4577);
											}
											BgL_auxz00_4575 =
												((BgL_arithmeticzd2appzd2_bglt) BgL_auxz00_4576);
										}
										((((BgL_arithmeticzd2appzd2_bglt)
													COBJECT(BgL_auxz00_4575))->BgL_speczd2typeszd2) =
											((obj_t) BgL_speczd2typeszd2_4040), BUNSPEC);
									}
									return
										((obj_t)
										((BgL_appz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_4041)));
								}
							}
						}
					}
				}
			}
		}

	}



/* unspecified-type~0 */
	obj_t BGl_unspecifiedzd2typeze70z35zzcfa_arithmeticz00(obj_t BgL_lz00_3077)
	{
		{	/* Cfa/arithmetic.scm 253 */
			if (BGl_isazf3zf3zz__objectz00(BgL_lz00_3077, BGl_typez00zztype_typez00))
				{	/* Cfa/arithmetic.scm 247 */
					return BGl_za2_za2z00zztype_cachez00;
				}
			else
				{	/* Cfa/arithmetic.scm 247 */
					if (BGl_isazf3zf3zz__objectz00(BgL_lz00_3077,
							BGl_localz00zzast_varz00))
						{	/* Cfa/arithmetic.scm 249 */
							{	/* Cfa/arithmetic.scm 250 */
								BgL_typez00_bglt BgL_vz00_3792;

								BgL_vz00_3792 =
									((BgL_typez00_bglt) BGl_za2_za2z00zztype_cachez00);
								((((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_lz00_3077))))->BgL_typez00) =
									((BgL_typez00_bglt) BgL_vz00_3792), BUNSPEC);
							}
							return BgL_lz00_3077;
						}
					else
						{	/* Cfa/arithmetic.scm 249 */
							return BgL_lz00_3077;
						}
				}
		}

	}



/* &cleanup-node!-app1581 */
	obj_t BGl_z62cleanupzd2nodez12zd2app1581z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3909, obj_t BgL_nodez00_3910)
	{
		{	/* Cfa/arithmetic.scm 231 */
			{	/* Cfa/arithmetic.scm 232 */
				bool_t BgL_tmpz00_4595;

				{	/* Cfa/arithmetic.scm 233 */
					BgL_varz00_bglt BgL_arg1787z00_4055;

					BgL_arg1787z00_4055 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3910)))->BgL_funz00);
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
						((BgL_nodez00_bglt) BgL_arg1787z00_4055));
				}
				{	/* Cfa/arithmetic.scm 234 */
					obj_t BgL_g1533z00_4056;

					BgL_g1533z00_4056 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_3910)))->BgL_argsz00);
					{
						obj_t BgL_l1531z00_4058;

						BgL_l1531z00_4058 = BgL_g1533z00_4056;
					BgL_zc3z04anonymousza31788ze3z87_4057:
						if (PAIRP(BgL_l1531z00_4058))
							{	/* Cfa/arithmetic.scm 234 */
								{	/* Cfa/arithmetic.scm 234 */
									obj_t BgL_arg1790z00_4059;

									BgL_arg1790z00_4059 = CAR(BgL_l1531z00_4058);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1790z00_4059));
								}
								{
									obj_t BgL_l1531z00_4607;

									BgL_l1531z00_4607 = CDR(BgL_l1531z00_4058);
									BgL_l1531z00_4058 = BgL_l1531z00_4607;
									goto BgL_zc3z04anonymousza31788ze3z87_4057;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 234 */
								BgL_tmpz00_4595 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4595);
			}
		}

	}



/* &cleanup-node!-funcal1579 */
	obj_t BGl_z62cleanupzd2nodez12zd2funcal1579z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3911, obj_t BgL_nodez00_3912)
	{
		{	/* Cfa/arithmetic.scm 223 */
			{	/* Cfa/arithmetic.scm 224 */
				bool_t BgL_tmpz00_4610;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3912)))->BgL_funz00));
				{	/* Cfa/arithmetic.scm 226 */
					obj_t BgL_g1530z00_4061;

					BgL_g1530z00_4061 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_3912)))->BgL_argsz00);
					{
						obj_t BgL_l1528z00_4063;

						BgL_l1528z00_4063 = BgL_g1530z00_4061;
					BgL_zc3z04anonymousza31782ze3z87_4062:
						if (PAIRP(BgL_l1528z00_4063))
							{	/* Cfa/arithmetic.scm 226 */
								{	/* Cfa/arithmetic.scm 226 */
									obj_t BgL_arg1784z00_4064;

									BgL_arg1784z00_4064 = CAR(BgL_l1528z00_4063);
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1784z00_4064));
								}
								{
									obj_t BgL_l1528z00_4621;

									BgL_l1528z00_4621 = CDR(BgL_l1528z00_4063);
									BgL_l1528z00_4063 = BgL_l1528z00_4621;
									goto BgL_zc3z04anonymousza31782ze3z87_4062;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 226 */
								BgL_tmpz00_4610 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4610);
			}
		}

	}



/* &cleanup-node!-app-ly1577 */
	obj_t BGl_z62cleanupzd2nodez12zd2appzd2ly1577za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3913, obj_t BgL_nodez00_3914)
	{
		{	/* Cfa/arithmetic.scm 215 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3914)))->BgL_funz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_appzd2lyzd2_bglt) COBJECT(
							((BgL_appzd2lyzd2_bglt) BgL_nodez00_3914)))->BgL_argz00));
		}

	}



/* &cleanup-node!-box-se1575 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2se1575za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3915, obj_t BgL_nodez00_3916)
	{
		{	/* Cfa/arithmetic.scm 207 */
			{	/* Cfa/arithmetic.scm 209 */
				BgL_varz00_bglt BgL_arg1775z00_4067;

				BgL_arg1775z00_4067 =
					(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3916)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1775z00_4067));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_boxzd2setz12zc0_bglt) COBJECT(
							((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_3916)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-box-re1573 */
	obj_t BGl_z62cleanupzd2nodez12zd2boxzd2re1573za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3917, obj_t BgL_nodez00_3918)
	{
		{	/* Cfa/arithmetic.scm 200 */
			{	/* Cfa/arithmetic.scm 202 */
				BgL_varz00_bglt BgL_arg1773z00_4069;

				BgL_arg1773z00_4069 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_3918)))->BgL_varz00);
				return
					BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1773z00_4069));
			}
		}

	}



/* &cleanup-node!-make-b1571 */
	obj_t BGl_z62cleanupzd2nodez12zd2makezd2b1571za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3919, obj_t BgL_nodez00_3920)
	{
		{	/* Cfa/arithmetic.scm 193 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_3920)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-jump-e1569 */
	obj_t BGl_z62cleanupzd2nodez12zd2jumpzd2e1569za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3921, obj_t BgL_nodez00_3922)
	{
		{	/* Cfa/arithmetic.scm 185 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3922)))->BgL_exitz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
							((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_3922)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-set-ex1567 */
	obj_t BGl_z62cleanupzd2nodez12zd2setzd2ex1567za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3923, obj_t BgL_nodez00_3924)
	{
		{	/* Cfa/arithmetic.scm 177 */
			{	/* Cfa/arithmetic.scm 179 */
				BgL_varz00_bglt BgL_arg1765z00_4073;

				BgL_arg1765z00_4073 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3924)))->BgL_varz00);
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					((BgL_nodez00_bglt) BgL_arg1765z00_4073));
			}
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_3924)))->BgL_bodyz00));
		}

	}



/* &cleanup-node!-let-va1565 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2va1565za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3925, obj_t BgL_nodez00_3926)
	{
		{	/* Cfa/arithmetic.scm 167 */
			{	/* Cfa/arithmetic.scm 169 */
				obj_t BgL_g1527z00_4075;

				BgL_g1527z00_4075 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3926)))->BgL_bindingsz00);
				{
					obj_t BgL_l1525z00_4077;

					BgL_l1525z00_4077 = BgL_g1527z00_4075;
				BgL_zc3z04anonymousza31756ze3z87_4076:
					if (PAIRP(BgL_l1525z00_4077))
						{	/* Cfa/arithmetic.scm 169 */
							{	/* Cfa/arithmetic.scm 169 */
								obj_t BgL_bz00_4078;

								BgL_bz00_4078 = CAR(BgL_l1525z00_4077);
								{	/* Cfa/arithmetic.scm 169 */
									obj_t BgL_arg1758z00_4079;

									BgL_arg1758z00_4079 = CDR(((obj_t) BgL_bz00_4078));
									BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
										((BgL_nodez00_bglt) BgL_arg1758z00_4079));
								}
							}
							{
								obj_t BgL_l1525z00_4666;

								BgL_l1525z00_4666 = CDR(BgL_l1525z00_4077);
								BgL_l1525z00_4077 = BgL_l1525z00_4666;
								goto BgL_zc3z04anonymousza31756ze3z87_4076;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 169 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_3926)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 171 */
				bool_t BgL_test2236z00_4671;

				{	/* Cfa/arithmetic.scm 171 */
					BgL_typez00_bglt BgL_arg1764z00_4080;

					BgL_arg1764z00_4080 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2varzd2_bglt) BgL_nodez00_3926))))->BgL_typez00);
					BgL_test2236z00_4671 =
						(((obj_t) BgL_arg1764z00_4080) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2236z00_4671)
					{	/* Cfa/arithmetic.scm 171 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2varzd2_bglt) BgL_nodez00_3926))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2varzd2_bglt)
													COBJECT(((BgL_letzd2varzd2_bglt) BgL_nodez00_3926)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 171 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-let-fu1563 */
	obj_t BGl_z62cleanupzd2nodez12zd2letzd2fu1563za2zzcfa_arithmeticz00(obj_t
		BgL_envz00_3927, obj_t BgL_nodez00_3928)
	{
		{	/* Cfa/arithmetic.scm 157 */
			{	/* Cfa/arithmetic.scm 159 */
				obj_t BgL_g1524z00_4082;

				BgL_g1524z00_4082 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3928)))->BgL_localsz00);
				{
					obj_t BgL_l1522z00_4084;

					BgL_l1522z00_4084 = BgL_g1524z00_4082;
				BgL_zc3z04anonymousza31738ze3z87_4083:
					if (PAIRP(BgL_l1522z00_4084))
						{	/* Cfa/arithmetic.scm 159 */
							{	/* Cfa/arithmetic.scm 159 */
								obj_t BgL_arg1749z00_4085;

								BgL_arg1749z00_4085 = CAR(BgL_l1522z00_4084);
								{	/* Cfa/arithmetic.scm 90 */
									BgL_valuez00_bglt BgL_funz00_4086;

									BgL_funz00_4086 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt) BgL_arg1749z00_4085)))->
										BgL_valuez00);
									{	/* Cfa/arithmetic.scm 90 */
										obj_t BgL_bodyz00_4087;

										BgL_bodyz00_4087 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_4086)))->BgL_bodyz00);
										{	/* Cfa/arithmetic.scm 91 */

											BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
												((BgL_nodez00_bglt) BgL_bodyz00_4087));
										}
									}
								}
							}
							{
								obj_t BgL_l1522z00_4694;

								BgL_l1522z00_4694 = CDR(BgL_l1522z00_4084);
								BgL_l1522z00_4084 = BgL_l1522z00_4694;
								goto BgL_zc3z04anonymousza31738ze3z87_4083;
							}
						}
					else
						{	/* Cfa/arithmetic.scm 159 */
							((bool_t) 1);
						}
				}
			}
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_3928)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 161 */
				bool_t BgL_test2238z00_4699;

				{	/* Cfa/arithmetic.scm 161 */
					BgL_typez00_bglt BgL_arg1755z00_4088;

					BgL_arg1755z00_4088 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_letzd2funzd2_bglt) BgL_nodez00_3928))))->BgL_typez00);
					BgL_test2238z00_4699 =
						(((obj_t) BgL_arg1755z00_4088) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2238z00_4699)
					{	/* Cfa/arithmetic.scm 161 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_letzd2funzd2_bglt) BgL_nodez00_3928))))->
								BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_letzd2funzd2_bglt)
													COBJECT(((BgL_letzd2funzd2_bglt) BgL_nodez00_3928)))->
												BgL_bodyz00)))->BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 161 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-switch1561 */
	obj_t BGl_z62cleanupzd2nodez12zd2switch1561z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3929, obj_t BgL_nodez00_3930)
	{
		{	/* Cfa/arithmetic.scm 149 */
			{	/* Cfa/arithmetic.scm 150 */
				bool_t BgL_tmpz00_4711;

				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
					(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3930)))->BgL_testz00));
				{	/* Cfa/arithmetic.scm 152 */
					obj_t BgL_g1521z00_4090;

					BgL_g1521z00_4090 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_3930)))->BgL_clausesz00);
					{
						obj_t BgL_l1519z00_4092;

						BgL_l1519z00_4092 = BgL_g1521z00_4090;
					BgL_zc3z04anonymousza31720ze3z87_4091:
						if (PAIRP(BgL_l1519z00_4092))
							{	/* Cfa/arithmetic.scm 152 */
								{	/* Cfa/arithmetic.scm 152 */
									obj_t BgL_clausez00_4093;

									BgL_clausez00_4093 = CAR(BgL_l1519z00_4092);
									{	/* Cfa/arithmetic.scm 152 */
										obj_t BgL_arg1725z00_4094;

										BgL_arg1725z00_4094 = CDR(((obj_t) BgL_clausez00_4093));
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1725z00_4094));
									}
								}
								{
									obj_t BgL_l1519z00_4724;

									BgL_l1519z00_4724 = CDR(BgL_l1519z00_4092);
									BgL_l1519z00_4092 = BgL_l1519z00_4724;
									goto BgL_zc3z04anonymousza31720ze3z87_4091;
								}
							}
						else
							{	/* Cfa/arithmetic.scm 152 */
								BgL_tmpz00_4711 = ((bool_t) 1);
							}
					}
				}
				return BBOOL(BgL_tmpz00_4711);
			}
		}

	}



/* &cleanup-node!-fail1559 */
	obj_t BGl_z62cleanupzd2nodez12zd2fail1559z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3931, obj_t BgL_nodez00_3932)
	{
		{	/* Cfa/arithmetic.scm 140 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3932)))->BgL_procz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3932)))->BgL_msgz00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_failz00_bglt) COBJECT(
							((BgL_failz00_bglt) BgL_nodez00_3932)))->BgL_objz00));
		}

	}



/* &cleanup-node!-condit1557 */
	obj_t BGl_z62cleanupzd2nodez12zd2condit1557z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3933, obj_t BgL_nodez00_3934)
	{
		{	/* Cfa/arithmetic.scm 131 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3934)))->BgL_testz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3934)))->BgL_truez00));
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_conditionalz00_bglt) COBJECT(
							((BgL_conditionalz00_bglt) BgL_nodez00_3934)))->BgL_falsez00));
		}

	}



/* &cleanup-node!-setq1555 */
	obj_t BGl_z62cleanupzd2nodez12zd2setq1555z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3935, obj_t BgL_nodez00_3936)
	{
		{	/* Cfa/arithmetic.scm 124 */
			return
				BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_3936)))->BgL_valuez00));
		}

	}



/* &cleanup-node!-sync1553 */
	obj_t BGl_z62cleanupzd2nodez12zd2sync1553z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3937, obj_t BgL_nodez00_3938)
	{
		{	/* Cfa/arithmetic.scm 113 */
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3938)))->BgL_mutexz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3938)))->BgL_prelockz00));
			BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
				(((BgL_syncz00_bglt) COBJECT(
							((BgL_syncz00_bglt) BgL_nodez00_3938)))->BgL_bodyz00));
			{	/* Cfa/arithmetic.scm 118 */
				bool_t BgL_test2240z00_4757;

				{	/* Cfa/arithmetic.scm 118 */
					BgL_typez00_bglt BgL_arg1702z00_4099;

					BgL_arg1702z00_4099 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_3938))))->BgL_typez00);
					BgL_test2240z00_4757 =
						(((obj_t) BgL_arg1702z00_4099) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2240z00_4757)
					{	/* Cfa/arithmetic.scm 118 */
						return
							((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_3938))))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT((((BgL_syncz00_bglt) COBJECT(((BgL_syncz00_bglt)
															BgL_nodez00_3938)))->BgL_bodyz00)))->
									BgL_typez00)), BUNSPEC);
					}
				else
					{	/* Cfa/arithmetic.scm 118 */
						return BFALSE;
					}
			}
		}

	}



/* &cleanup-node!-sequen1551 */
	obj_t BGl_z62cleanupzd2nodez12zd2sequen1551z70zzcfa_arithmeticz00(obj_t
		BgL_envz00_3939, obj_t BgL_nodez00_3940)
	{
		{	/* Cfa/arithmetic.scm 103 */
			if (NULLP(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_3940)))->BgL_nodesz00)))
				{	/* Cfa/arithmetic.scm 105 */
					return BFALSE;
				}
			else
				{	/* Cfa/arithmetic.scm 105 */
					{	/* Cfa/arithmetic.scm 106 */
						obj_t BgL_g1518z00_4101;

						BgL_g1518z00_4101 =
							(((BgL_sequencez00_bglt) COBJECT(
									((BgL_sequencez00_bglt) BgL_nodez00_3940)))->BgL_nodesz00);
						{
							obj_t BgL_l1516z00_4103;

							BgL_l1516z00_4103 = BgL_g1518z00_4101;
						BgL_zc3z04anonymousza31668ze3z87_4102:
							if (PAIRP(BgL_l1516z00_4103))
								{	/* Cfa/arithmetic.scm 106 */
									{	/* Cfa/arithmetic.scm 106 */
										obj_t BgL_arg1671z00_4104;

										BgL_arg1671z00_4104 = CAR(BgL_l1516z00_4103);
										BGl_cleanupzd2nodez12zc0zzcfa_arithmeticz00(
											((BgL_nodez00_bglt) BgL_arg1671z00_4104));
									}
									{
										obj_t BgL_l1516z00_4780;

										BgL_l1516z00_4780 = CDR(BgL_l1516z00_4103);
										BgL_l1516z00_4103 = BgL_l1516z00_4780;
										goto BgL_zc3z04anonymousza31668ze3z87_4102;
									}
								}
							else
								{	/* Cfa/arithmetic.scm 106 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/arithmetic.scm 107 */
						bool_t BgL_test2243z00_4782;

						{	/* Cfa/arithmetic.scm 107 */
							BgL_typez00_bglt BgL_arg1681z00_4105;

							BgL_arg1681z00_4105 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_sequencez00_bglt) BgL_nodez00_3940))))->
								BgL_typez00);
							BgL_test2243z00_4782 =
								(((obj_t) BgL_arg1681z00_4105) ==
								BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2243z00_4782)
							{	/* Cfa/arithmetic.scm 107 */
								return
									((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_3940))))->
										BgL_typez00) =
									((BgL_typez00_bglt) (((BgL_nodez00_bglt)
												COBJECT(((BgL_nodez00_bglt)
														CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
																(((BgL_sequencez00_bglt)
																		COBJECT(((BgL_sequencez00_bglt)
																				BgL_nodez00_3940)))->
																	BgL_nodesz00))))))->BgL_typez00)), BUNSPEC);
							}
						else
							{	/* Cfa/arithmetic.scm 107 */
								return BFALSE;
							}
					}
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_arithmeticz00()
	{
		{	/* Cfa/arithmetic.scm 28 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_loosez00(((long) 471177480),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_iteratez00(((long) 131412063),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_setupz00(((long) 168272122),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
			return
				BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2155z00zzcfa_arithmeticz00));
		}

	}

#ifdef __cplusplus
}
#endif
