/*===========================================================================*/
/*   (Isa/walk.scm)                                                          */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Isa/walk.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_tclassz00_bgl
	{
		obj_t BgL_itszd2superzd2;
		obj_t BgL_slotsz00;
		struct BgL_globalz00_bgl *BgL_holderz00;
		obj_t BgL_wideningz00;
		long BgL_depthz00;
		bool_t BgL_finalzf3zf3;
		obj_t BgL_constructorz00;
		obj_t BgL_virtualzd2slotszd2numberz00;
		bool_t BgL_abstractzf3zf3;
		obj_t BgL_widezd2typezd2;
		obj_t BgL_subclassesz00;
	}                *BgL_tclassz00_bglt;


	static BgL_nodez00_bglt BGl_z62isaz12zd2app1279za2zzisa_walkz00(obj_t, obj_t);
	BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
	static obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	static obj_t BGl_za2isazf2finalza2zf2zzisa_walkz00 = BUNSPEC;
	BGL_IMPORT bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
	extern obj_t BGl_getzd2objectzd2typez00zztype_cachez00();
	static obj_t BGl_objectzd2initzd2zzisa_walkz00();
	BGL_IMPORT bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
	BGL_IMPORT bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
	static BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzisa_walkz00();
	static obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t);
	extern obj_t BGl_enterzd2functionzd2zztools_errorz00(obj_t);
	static obj_t BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_gczd2rootszd2initz00zzisa_walkz00();
	static obj_t BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_za2currentzd2passza2zd2zzengine_passz00;
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	static obj_t BGl_z62isaz121276z70zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzisa_walkz00 = BUNSPEC;
	extern obj_t BGl_tclassz00zzobject_classz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static obj_t BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BUNSPEC;
	static obj_t BGl_toplevelzd2initzd2zzisa_walkz00();
	BGL_EXPORTED_DECL obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	static obj_t BGl_genericzd2initzd2zzisa_walkz00();
	extern obj_t BGl_leavezd2functionzd2zztools_errorz00();
	static BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t, obj_t);
	extern obj_t BGl_castz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00;
	extern obj_t BGl_varz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static BgL_typez00_bglt
		BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_dumpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_privatez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_miscz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_passz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__configurez00(long,
		char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_nodez00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzisa_walkz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00();
	extern BgL_nodez00_bglt BGl_walk0z12z12zzast_walkz00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_findzd2globalzf2modulez20zzast_envz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_bigloozd2configzd2zz__configurez00(obj_t);
	static obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_isazd2ofzd2zztype_miscz00(BgL_nodez00_bglt);
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[10];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE
		(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762clearza7d2isaza7d1802za7,
		BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	     
		DEFINE_STATIC_BGL_PROCEDURE(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762initza7d2isaza7d21803za7,
		BGl_z62initzd2isazd2cachez12z70zzisa_walkz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1793z00zzisa_walkz00,
		BgL_bgl_za762isaza7121276za7701804za7, BGl_z62isaz121276z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1795z00zzisa_walkz00,
		BgL_bgl_za762isaza712za7d2app11805za7,
		BGl_z62isaz12zd2app1279za2zzisa_walkz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_isaz12zd2envzc0zzisa_walkz00,
		BgL_bgl_za762isaza712za770za7za7is1806za7, BGl_z62isaz12z70zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_EXPORT_BGL_PROCEDURE(BGl_isazd2walkz12zd2envz12zzisa_walkz00,
		BgL_bgl_za762isaza7d2walkza7121807za7, BGl_z62isazd2walkz12za2zzisa_walkz00,
		0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1785z00zzisa_walkz00,
		BgL_bgl_string1785za700za7za7i1808za7, "Isa", 3);
	      DEFINE_STRING(BGl_string1786z00zzisa_walkz00,
		BgL_bgl_string1786za700za7za7i1809za7, "   . ", 5);
	      DEFINE_STRING(BGl_string1787z00zzisa_walkz00,
		BgL_bgl_string1787za700za7za7i1810za7, "failure during prelude hook", 27);
	      DEFINE_STRING(BGl_string1788z00zzisa_walkz00,
		BgL_bgl_string1788za700za7za7i1811za7, " error", 6);
	      DEFINE_STRING(BGl_string1789z00zzisa_walkz00,
		BgL_bgl_string1789za700za7za7i1812za7, "s", 1);
	      DEFINE_STRING(BGl_string1790z00zzisa_walkz00,
		BgL_bgl_string1790za700za7za7i1813za7, "", 0);
	      DEFINE_STRING(BGl_string1791z00zzisa_walkz00,
		BgL_bgl_string1791za700za7za7i1814za7, " occured, ending ...", 20);
	      DEFINE_STRING(BGl_string1792z00zzisa_walkz00,
		BgL_bgl_string1792za700za7za7i1815za7, "failure during postlude hook", 28);
	      DEFINE_STRING(BGl_string1794z00zzisa_walkz00,
		BgL_bgl_string1794za700za7za7i1816za7, "isa!1276", 8);
	      DEFINE_STRING(BGl_string1796z00zzisa_walkz00,
		BgL_bgl_string1796za700za7za7i1817za7, "isa!::node", 10);
	      DEFINE_STRING(BGl_string1797z00zzisa_walkz00,
		BgL_bgl_string1797za700za7za7i1818za7, "isa_walk", 8);
	      DEFINE_STRING(BGl_string1798z00zzisa_walkz00,
		BgL_bgl_string1798za700za7za7i1819za7,
		"class-display-min-size static %isa-object/final? %isa/final? %isa-object/cdepth? __object %isa/cdepth? (clear-isa-cache!) pass-started (init-isa-cache!) ",
		153);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_za2isazf2finalza2zf2zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzisa_walkz00));
		     ADD_ROOT((void *) (&BGl_za2isazf2cdepthza2zf2zzisa_walkz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzisa_walkz00(long
		BgL_checksumz00_2147, char *BgL_fromz00_2148)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzisa_walkz00))
				{
					BGl_requirezd2initializa7ationz75zzisa_walkz00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzisa_walkz00();
					BGl_libraryzd2moduleszd2initz00zzisa_walkz00();
					BGl_cnstzd2initzd2zzisa_walkz00();
					BGl_importedzd2moduleszd2initz00zzisa_walkz00();
					BGl_genericzd2initzd2zzisa_walkz00();
					BGl_methodzd2initzd2zzisa_walkz00();
					return BGl_toplevelzd2initzd2zzisa_walkz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__configurez00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "isa_walk");
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"isa_walk");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "isa_walk");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			{	/* Isa/walk.scm 15 */
				obj_t BgL_cportz00_2060;

				{	/* Isa/walk.scm 15 */
					obj_t BgL_stringz00_2068;

					BgL_stringz00_2068 = BGl_string1798z00zzisa_walkz00;
					{	/* Isa/walk.scm 15 */
						obj_t BgL_startz00_2069;

						BgL_startz00_2069 = BINT(((long) 0));
						{	/* Isa/walk.scm 15 */
							obj_t BgL_endz00_2070;

							BgL_endz00_2070 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2068)));
							{	/* Isa/walk.scm 15 */

								BgL_cportz00_2060 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2068, BgL_startz00_2069, BgL_endz00_2070);
				}}}}
				{
					long BgL_iz00_2061;

					BgL_iz00_2061 = ((long) 9);
				BgL_loopz00_2062:
					if ((BgL_iz00_2061 == ((long) -1)))
						{	/* Isa/walk.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Isa/walk.scm 15 */
							{	/* Isa/walk.scm 15 */
								obj_t BgL_arg1800z00_2064;

								{	/* Isa/walk.scm 15 */

									{	/* Isa/walk.scm 15 */
										obj_t BgL_locationz00_2066;

										BgL_locationz00_2066 = BBOOL(((bool_t) 0));
										{	/* Isa/walk.scm 15 */

											BgL_arg1800z00_2064 =
												BGl_readz00zz__readerz00(BgL_cportz00_2060,
												BgL_locationz00_2066);
										}
									}
								}
								{	/* Isa/walk.scm 15 */
									int BgL_tmpz00_2181;

									BgL_tmpz00_2181 = (int) (BgL_iz00_2061);
									CNST_TABLE_SET(BgL_tmpz00_2181, BgL_arg1800z00_2064);
							}}
							{	/* Isa/walk.scm 15 */
								int BgL_auxz00_2067;

								BgL_auxz00_2067 = (int) ((BgL_iz00_2061 - ((long) 1)));
								{
									long BgL_iz00_2186;

									BgL_iz00_2186 = (long) (BgL_auxz00_2067);
									BgL_iz00_2061 = BgL_iz00_2186;
									goto BgL_loopz00_2062;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE;
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzisa_walkz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1531;

				BgL_headz00_1531 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1532;
					obj_t BgL_tailz00_1533;

					BgL_prevz00_1532 = BgL_headz00_1531;
					BgL_tailz00_1533 = BgL_l1z00_1;
				BgL_loopz00_1534:
					if (PAIRP(BgL_tailz00_1533))
						{
							obj_t BgL_newzd2prevzd2_1536;

							BgL_newzd2prevzd2_1536 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1533), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1532, BgL_newzd2prevzd2_1536);
							{
								obj_t BgL_tailz00_2196;
								obj_t BgL_prevz00_2195;

								BgL_prevz00_2195 = BgL_newzd2prevzd2_1536;
								BgL_tailz00_2196 = CDR(BgL_tailz00_1533);
								BgL_tailz00_1533 = BgL_tailz00_2196;
								BgL_prevz00_1532 = BgL_prevz00_2195;
								goto BgL_loopz00_1534;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1531);
				}
			}
		}

	}



/* isa-walk! */
	BGL_EXPORTED_DEF obj_t BGl_isazd2walkz12zc0zzisa_walkz00(obj_t
		BgL_globalsz00_17)
	{
		{	/* Isa/walk.scm 40 */
			{	/* Isa/walk.scm 41 */
				obj_t BgL_list1296z00_1547;

				{	/* Isa/walk.scm 41 */
					obj_t BgL_arg1298z00_1548;

					{	/* Isa/walk.scm 41 */
						obj_t BgL_arg1301z00_1549;

						BgL_arg1301z00_1549 =
							MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
						BgL_arg1298z00_1548 =
							MAKE_YOUNG_PAIR(BGl_string1785z00zzisa_walkz00,
							BgL_arg1301z00_1549);
					}
					BgL_list1296z00_1547 =
						MAKE_YOUNG_PAIR(BGl_string1786z00zzisa_walkz00,
						BgL_arg1298z00_1548);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1296z00_1547);
			}
			BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00 = BINT(((long) 0));
			BGl_za2currentzd2passza2zd2zzengine_passz00 =
				BGl_string1785z00zzisa_walkz00;
			{	/* Isa/walk.scm 41 */
				obj_t BgL_g1117z00_1550;
				obj_t BgL_g1118z00_1551;

				{	/* Isa/walk.scm 41 */
					obj_t BgL_list1310z00_1564;

					BgL_list1310z00_1564 =
						MAKE_YOUNG_PAIR(BGl_initzd2isazd2cachez12zd2envzc0zzisa_walkz00,
						BNIL);
					BgL_g1117z00_1550 = BgL_list1310z00_1564;
				}
				BgL_g1118z00_1551 = CNST_TABLE_REF(((long) 0));
				{
					obj_t BgL_hooksz00_1553;
					obj_t BgL_hnamesz00_1554;

					BgL_hooksz00_1553 = BgL_g1117z00_1550;
					BgL_hnamesz00_1554 = BgL_g1118z00_1551;
				BgL_zc3z04anonymousza31302ze3z87_1555:
					if (NULLP(BgL_hooksz00_1553))
						{	/* Isa/walk.scm 41 */
							CNST_TABLE_REF(((long) 1));
						}
					else
						{	/* Isa/walk.scm 41 */
							bool_t BgL_test1824z00_2211;

							{	/* Isa/walk.scm 41 */
								obj_t BgL_fun1309z00_1562;

								BgL_fun1309z00_1562 = CAR(((obj_t) BgL_hooksz00_1553));
								BgL_test1824z00_2211 =
									CBOOL(PROCEDURE_ENTRY(BgL_fun1309z00_1562)
									(BgL_fun1309z00_1562, BEOA));
							}
							if (BgL_test1824z00_2211)
								{	/* Isa/walk.scm 41 */
									obj_t BgL_arg1306z00_1559;
									obj_t BgL_arg1307z00_1560;

									BgL_arg1306z00_1559 = CDR(((obj_t) BgL_hooksz00_1553));
									BgL_arg1307z00_1560 = CDR(((obj_t) BgL_hnamesz00_1554));
									{
										obj_t BgL_hnamesz00_2223;
										obj_t BgL_hooksz00_2222;

										BgL_hooksz00_2222 = BgL_arg1306z00_1559;
										BgL_hnamesz00_2223 = BgL_arg1307z00_1560;
										BgL_hnamesz00_1554 = BgL_hnamesz00_2223;
										BgL_hooksz00_1553 = BgL_hooksz00_2222;
										goto BgL_zc3z04anonymousza31302ze3z87_1555;
									}
								}
							else
								{	/* Isa/walk.scm 41 */
									obj_t BgL_arg1308z00_1561;

									BgL_arg1308z00_1561 = CAR(((obj_t) BgL_hnamesz00_1554));
									BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string1785z00zzisa_walkz00,
										BGl_string1787z00zzisa_walkz00, BgL_arg1308z00_1561);
								}
						}
				}
			}
			{
				obj_t BgL_l1273z00_1566;

				BgL_l1273z00_1566 = BgL_globalsz00_17;
			BgL_zc3z04anonymousza31311ze3z87_1567:
				if (PAIRP(BgL_l1273z00_1566))
					{	/* Isa/walk.scm 42 */
						BGl_isazd2funz12zc0zzisa_walkz00(CAR(BgL_l1273z00_1566));
						{
							obj_t BgL_l1273z00_2231;

							BgL_l1273z00_2231 = CDR(BgL_l1273z00_1566);
							BgL_l1273z00_1566 = BgL_l1273z00_2231;
							goto BgL_zc3z04anonymousza31311ze3z87_1567;
						}
					}
				else
					{	/* Isa/walk.scm 42 */
						((bool_t) 1);
					}
			}
			if (
				((long) CINT(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00) >
					((long) 0)))
				{	/* Isa/walk.scm 43 */
					{	/* Isa/walk.scm 43 */
						obj_t BgL_port1275z00_1574;

						{	/* Isa/walk.scm 43 */
							obj_t BgL_res1757z00_1917;

							{	/* Isa/walk.scm 43 */
								obj_t BgL_tmpz00_2236;

								BgL_tmpz00_2236 = BGL_CURRENT_DYNAMIC_ENV();
								BgL_res1757z00_1917 =
									BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2236);
							}
							BgL_port1275z00_1574 = BgL_res1757z00_1917;
						}
						bgl_display_obj(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
							BgL_port1275z00_1574);
						bgl_display_string(BGl_string1788z00zzisa_walkz00,
							BgL_port1275z00_1574);
						{	/* Isa/walk.scm 43 */
							obj_t BgL_arg1317z00_1575;

							{	/* Isa/walk.scm 43 */
								bool_t BgL_test1827z00_2241;

								if (BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00
									(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
									{	/* Isa/walk.scm 43 */
										if (INTEGERP
											(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00))
											{	/* Isa/walk.scm 43 */
												BgL_test1827z00_2241 =
													(
													(long)
													CINT
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00)
													> ((long) 1));
											}
										else
											{	/* Isa/walk.scm 43 */
												BgL_test1827z00_2241 =
													BGl_2ze3ze3zz__r4_numbers_6_5z00
													(BGl_za2nbzd2errorzd2onzd2passza2zd2zztools_errorz00,
													BINT(((long) 1)));
									}}
								else
									{	/* Isa/walk.scm 43 */
										BgL_test1827z00_2241 = ((bool_t) 0);
									}
								if (BgL_test1827z00_2241)
									{	/* Isa/walk.scm 43 */
										BgL_arg1317z00_1575 = BGl_string1789z00zzisa_walkz00;
									}
								else
									{	/* Isa/walk.scm 43 */
										BgL_arg1317z00_1575 = BGl_string1790z00zzisa_walkz00;
									}
							}
							bgl_display_obj(BgL_arg1317z00_1575, BgL_port1275z00_1574);
						}
						bgl_display_string(BGl_string1791z00zzisa_walkz00,
							BgL_port1275z00_1574);
						bgl_display_char(((unsigned char) 10), BgL_port1275z00_1574);
					}
					{	/* Isa/walk.scm 43 */
						obj_t BgL_list1321z00_1581;

						BgL_list1321z00_1581 = MAKE_YOUNG_PAIR(BINT(((long) -1)), BNIL);
						return BGl_exitz00zz__errorz00(BgL_list1321z00_1581);
					}
				}
			else
				{	/* Isa/walk.scm 43 */
					obj_t BgL_g1119z00_1582;
					obj_t BgL_g1120z00_1583;

					{	/* Isa/walk.scm 43 */
						obj_t BgL_list1334z00_1596;

						BgL_list1334z00_1596 =
							MAKE_YOUNG_PAIR(BGl_clearzd2isazd2cachez12zd2envzc0zzisa_walkz00,
							BNIL);
						BgL_g1119z00_1582 = BgL_list1334z00_1596;
					}
					BgL_g1120z00_1583 = CNST_TABLE_REF(((long) 2));
					{
						obj_t BgL_hooksz00_1585;
						obj_t BgL_hnamesz00_1586;

						BgL_hooksz00_1585 = BgL_g1119z00_1582;
						BgL_hnamesz00_1586 = BgL_g1120z00_1583;
					BgL_zc3z04anonymousza31322ze3z87_1587:
						if (NULLP(BgL_hooksz00_1585))
							{	/* Isa/walk.scm 43 */
								return BgL_globalsz00_17;
							}
						else
							{	/* Isa/walk.scm 43 */
								bool_t BgL_test1831z00_2260;

								{	/* Isa/walk.scm 43 */
									obj_t BgL_fun1333z00_1594;

									BgL_fun1333z00_1594 = CAR(((obj_t) BgL_hooksz00_1585));
									BgL_test1831z00_2260 =
										CBOOL(PROCEDURE_ENTRY(BgL_fun1333z00_1594)
										(BgL_fun1333z00_1594, BEOA));
								}
								if (BgL_test1831z00_2260)
									{	/* Isa/walk.scm 43 */
										obj_t BgL_arg1329z00_1591;
										obj_t BgL_arg1331z00_1592;

										BgL_arg1329z00_1591 = CDR(((obj_t) BgL_hooksz00_1585));
										BgL_arg1331z00_1592 = CDR(((obj_t) BgL_hnamesz00_1586));
										{
											obj_t BgL_hnamesz00_2272;
											obj_t BgL_hooksz00_2271;

											BgL_hooksz00_2271 = BgL_arg1329z00_1591;
											BgL_hnamesz00_2272 = BgL_arg1331z00_1592;
											BgL_hnamesz00_1586 = BgL_hnamesz00_2272;
											BgL_hooksz00_1585 = BgL_hooksz00_2271;
											goto BgL_zc3z04anonymousza31322ze3z87_1587;
										}
									}
								else
									{	/* Isa/walk.scm 43 */
										obj_t BgL_arg1332z00_1593;

										BgL_arg1332z00_1593 = CAR(((obj_t) BgL_hnamesz00_1586));
										return
											BGl_internalzd2errorzd2zztools_errorz00
											(BGl_za2currentzd2passza2zd2zzengine_passz00,
											BGl_string1792z00zzisa_walkz00, BgL_arg1332z00_1593);
									}
							}
					}
				}
		}

	}



/* &isa-walk! */
	obj_t BGl_z62isazd2walkz12za2zzisa_walkz00(obj_t BgL_envz00_2047,
		obj_t BgL_globalsz00_2048)
	{
		{	/* Isa/walk.scm 40 */
			return BGl_isazd2walkz12zc0zzisa_walkz00(BgL_globalsz00_2048);
		}

	}



/* &init-isa-cache! */
	obj_t BGl_z62initzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2049)
	{
		{	/* Isa/walk.scm 56 */
			{	/* Isa/walk.scm 57 */
				bool_t BgL_test1832z00_2277;

				{	/* Isa/walk.scm 57 */
					bool_t BgL_res1762z00_2073;

					{	/* Isa/walk.scm 57 */
						obj_t BgL_objz00_2074;

						BgL_objz00_2074 = BGl_za2isazf2cdepthza2zf2zzisa_walkz00;
						BgL_res1762z00_2073 =
							BGl_isazf3zf3zz__objectz00(BgL_objz00_2074,
							BGl_globalz00zzast_varz00);
					}
					BgL_test1832z00_2277 = BgL_res1762z00_2073;
				}
				if (BgL_test1832z00_2277)
					{	/* Isa/walk.scm 57 */
						BFALSE;
					}
				else
					{	/* Isa/walk.scm 57 */
						BGl_za2isazf2cdepthza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									3)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									5)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazf2finalza2zf2zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									6)), CNST_TABLE_REF(((long) 4)));
						BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 =
							BGl_findzd2globalzf2modulez20zzast_envz00(CNST_TABLE_REF(((long)
									7)), CNST_TABLE_REF(((long) 4)));
			}}
			return BUNSPEC;
		}

	}



/* &clear-isa-cache! */
	obj_t BGl_z62clearzd2isazd2cachez12z70zzisa_walkz00(obj_t BgL_envz00_2050)
	{
		{	/* Isa/walk.scm 67 */
			BGl_za2isazf2cdepthza2zf2zzisa_walkz00 = BFALSE;
			BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00 = BFALSE;
			BGl_za2isazf2finalza2zf2zzisa_walkz00 = BFALSE;
			return (BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00 = BFALSE, BUNSPEC);
		}

	}



/* isa-fun! */
	obj_t BGl_isazd2funz12zc0zzisa_walkz00(obj_t BgL_varz00_18)
	{
		{	/* Isa/walk.scm 76 */
			{	/* Isa/walk.scm 77 */
				obj_t BgL_arg1343z00_1598;

				BgL_arg1343z00_1598 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_idz00);
				BGl_enterzd2functionzd2zztools_errorz00(BgL_arg1343z00_1598);
			}
			{	/* Isa/walk.scm 78 */
				BgL_valuez00_bglt BgL_funz00_1599;

				BgL_funz00_1599 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_varz00_18)))->BgL_valuez00);
				{	/* Isa/walk.scm 78 */
					obj_t BgL_bodyz00_1600;

					BgL_bodyz00_1600 =
						(((BgL_sfunz00_bglt) COBJECT(
								((BgL_sfunz00_bglt) BgL_funz00_1599)))->BgL_bodyz00);
					{	/* Isa/walk.scm 79 */

						BgL_bodyz00_1600 =
							((obj_t)
							BGl_isaz12z12zzisa_walkz00(
								((BgL_nodez00_bglt) BgL_bodyz00_1600)));
						BGl_leavezd2functionzd2zztools_errorz00();
						return BgL_varz00_18;
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_proc1793z00zzisa_walkz00,
				BGl_nodez00zzast_nodez00, BGl_string1794z00zzisa_walkz00);
		}

	}



/* &isa!1276 */
	obj_t BGl_z62isaz121276z70zzisa_walkz00(obj_t BgL_envz00_2054,
		obj_t BgL_nodez00_2055)
	{
		{	/* Isa/walk.scm 87 */
			return
				((obj_t)
				BGl_walk0z12z12zzast_walkz00(
					((BgL_nodez00_bglt) BgL_nodez00_2055),
					BGl_isaz12zd2envzc0zzisa_walkz00));
		}

	}



/* isa! */
	BgL_nodez00_bglt BGl_isaz12z12zzisa_walkz00(BgL_nodez00_bglt BgL_nodez00_19)
	{
		{	/* Isa/walk.scm 87 */
			{	/* Isa/walk.scm 87 */
				obj_t BgL_method1277z00_1616;

				{	/* Isa/walk.scm 87 */
					obj_t BgL_res1773z00_1975;

					{	/* Isa/walk.scm 87 */
						long BgL_objzd2classzd2numz00_1940;

						{	/* Isa/walk.scm 87 */
							long BgL_res1763z00_1943;

							BgL_res1763z00_1943 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_19));
							BgL_objzd2classzd2numz00_1940 = BgL_res1763z00_1943;
						}
						{	/* Isa/walk.scm 87 */
							obj_t BgL_arg1742z00_1941;

							BgL_arg1742z00_1941 =
								PROCEDURE_REF(BGl_isaz12zd2envzc0zzisa_walkz00,
								(int) (((long) 1)));
							{	/* Isa/walk.scm 87 */
								int BgL_offsetz00_1945;

								BgL_offsetz00_1945 = (int) (BgL_objzd2classzd2numz00_1940);
								{	/* Isa/walk.scm 87 */
									long BgL_offsetz00_1946;

									BgL_offsetz00_1946 =
										((long) (BgL_offsetz00_1945) - OBJECT_TYPE);
									{	/* Isa/walk.scm 87 */
										long BgL_modz00_1947;

										BgL_modz00_1947 =
											(BgL_offsetz00_1946 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Isa/walk.scm 87 */
											long BgL_restz00_1949;

											BgL_restz00_1949 =
												(BgL_offsetz00_1946 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Isa/walk.scm 87 */

												{	/* Isa/walk.scm 87 */
													obj_t BgL_bucketz00_1951;

													BgL_bucketz00_1951 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_1941), BgL_modz00_1947);
													BgL_res1773z00_1975 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_1951), BgL_restz00_1949);
					}}}}}}}}
					BgL_method1277z00_1616 = BgL_res1773z00_1975;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1277z00_1616) (BgL_method1277z00_1616,
						((obj_t) BgL_nodez00_19), BEOA));
			}
		}

	}



/* &isa! */
	BgL_nodez00_bglt BGl_z62isaz12z70zzisa_walkz00(obj_t BgL_envz00_2052,
		obj_t BgL_nodez00_2053)
	{
		{	/* Isa/walk.scm 87 */
			return BGl_isaz12z12zzisa_walkz00(((BgL_nodez00_bglt) BgL_nodez00_2053));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_isaz12zd2envzc0zzisa_walkz00, BGl_appz00zzast_nodez00,
				BGl_proc1795z00zzisa_walkz00, BGl_string1796z00zzisa_walkz00);
		}

	}



/* &isa!-app1279 */
	BgL_nodez00_bglt BGl_z62isaz12zd2app1279za2zzisa_walkz00(obj_t
		BgL_envz00_2057, obj_t BgL_nodez00_2058)
	{
		{	/* Isa/walk.scm 93 */
			{
				obj_t BgL_typz00_2078;

				{	/* Isa/walk.scm 105 */
					obj_t BgL_typz00_2082;

					BgL_typz00_2082 =
						BGl_isazd2ofzd2zztype_miscz00(
						((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2058)));
					if (CBOOL(BgL_typz00_2082))
						{	/* Isa/walk.scm 106 */
							{	/* Isa/walk.scm 109 */
								bool_t BgL_test1834z00_2345;

								BgL_typz00_2078 = BgL_typz00_2082;
								{	/* Isa/walk.scm 102 */
									bool_t BgL_test1835z00_2346;

									{	/* Isa/walk.scm 102 */
										obj_t BgL_arg1579z00_2079;

										{	/* Isa/walk.scm 102 */
											BgL_globalz00_bglt BgL_arg1582z00_2080;

											{
												BgL_tclassz00_bglt BgL_auxz00_2347;

												{
													obj_t BgL_auxz00_2348;

													{	/* Isa/walk.scm 102 */
														BgL_objectz00_bglt BgL_tmpz00_2349;

														BgL_tmpz00_2349 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2078));
														BgL_auxz00_2348 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2349);
													}
													BgL_auxz00_2347 =
														((BgL_tclassz00_bglt) BgL_auxz00_2348);
												}
												BgL_arg1582z00_2080 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2347))->
													BgL_holderz00);
											}
											BgL_arg1579z00_2079 =
												(((BgL_globalz00_bglt) COBJECT(BgL_arg1582z00_2080))->
												BgL_importz00);
										}
										BgL_test1835z00_2346 =
											(BgL_arg1579z00_2079 == CNST_TABLE_REF(((long) 8)));
									}
									if (BgL_test1835z00_2346)
										{	/* Isa/walk.scm 103 */
											obj_t BgL_arg1578z00_2081;

											{
												BgL_tclassz00_bglt BgL_auxz00_2358;

												{
													obj_t BgL_auxz00_2359;

													{	/* Isa/walk.scm 103 */
														BgL_objectz00_bglt BgL_tmpz00_2360;

														BgL_tmpz00_2360 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2078));
														BgL_auxz00_2359 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2360);
													}
													BgL_auxz00_2358 =
														((BgL_tclassz00_bglt) BgL_auxz00_2359);
												}
												BgL_arg1578z00_2081 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2358))->
													BgL_subclassesz00);
											}
											BgL_test1834z00_2345 = NULLP(BgL_arg1578z00_2081);
										}
									else
										{	/* Isa/walk.scm 102 */
											BgL_test1834z00_2345 = ((bool_t) 0);
										}
								}
								if (BgL_test1834z00_2345)
									{	/* Isa/walk.scm 111 */
										bool_t BgL_test1836z00_2367;

										{	/* Isa/walk.scm 111 */
											BgL_typez00_bglt BgL_arg1442z00_2083;

											{	/* Isa/walk.scm 111 */
												obj_t BgL_arg1457z00_2084;

												BgL_arg1457z00_2084 =
													CAR(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2058)))->
														BgL_argsz00));
												BgL_arg1442z00_2083 =
													BGl_uncastedzd2typeze70z35zzisa_walkz00((
														(BgL_nodez00_bglt) BgL_arg1457z00_2084));
											}
											BgL_test1836z00_2367 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1442z00_2083),
												BGl_tclassz00zzobject_classz00);
										}
										if (BgL_test1836z00_2367)
											{	/* Isa/walk.scm 112 */
												BgL_varz00_bglt BgL_nfunz00_2085;

												{	/* Isa/walk.scm 112 */
													BgL_nodez00_bglt BgL_duplicated1127z00_2086;
													BgL_varz00_bglt BgL_new1125z00_2087;

													BgL_duplicated1127z00_2086 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2058)))->
															BgL_funz00));
													{	/* Isa/walk.scm 112 */
														BgL_varz00_bglt BgL_new1129z00_2088;

														BgL_new1129z00_2088 =
															((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Isa/walk.scm 112 */
															long BgL_arg1429z00_2089;

															{	/* Isa/walk.scm 112 */
																long BgL_res1775z00_2090;

																BgL_res1775z00_2090 =
																	BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																BgL_arg1429z00_2089 = BgL_res1775z00_2090;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1129z00_2088),
																BgL_arg1429z00_2089);
														}
														BgL_new1125z00_2087 = BgL_new1129z00_2088;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1125z00_2087)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1127z00_2086))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1125z00_2087)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1127z00_2086))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(BgL_new1125z00_2087))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazd2objectzf2finalza2z20zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2085 = BgL_new1125z00_2087;
												}
												{	/* Isa/walk.scm 114 */
													obj_t BgL_arg1410z00_2091;
													BgL_castz00_bglt BgL_arg1411z00_2092;

													BgL_arg1410z00_2091 =
														(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2058)))->
														BgL_argsz00);
													{	/* Isa/walk.scm 115 */
														BgL_castz00_bglt BgL_new1132z00_2093;

														{	/* Isa/walk.scm 115 */
															BgL_castz00_bglt BgL_new1130z00_2094;

															BgL_new1130z00_2094 =
																((BgL_castz00_bglt)
																BOBJECT(GC_MALLOC(sizeof(struct
																			BgL_castz00_bgl))));
															{	/* Isa/walk.scm 115 */
																long BgL_arg1422z00_2095;

																{	/* Isa/walk.scm 115 */
																	long BgL_res1776z00_2096;

																	BgL_res1776z00_2096 =
																		BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
																	BgL_arg1422z00_2095 = BgL_res1776z00_2096;
																}
																BGL_OBJECT_CLASS_NUM_SET(
																	((BgL_objectz00_bglt) BgL_new1130z00_2094),
																	BgL_arg1422z00_2095);
															}
															{	/* Isa/walk.scm 115 */
																BgL_objectz00_bglt BgL_tmpz00_2396;

																BgL_tmpz00_2396 =
																	((BgL_objectz00_bglt) BgL_new1130z00_2094);
																BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2396,
																	BFALSE);
															}
															((BgL_objectz00_bglt) BgL_new1130z00_2094);
															BgL_new1132z00_2093 = BgL_new1130z00_2094;
														}
														((((BgL_nodez00_bglt) COBJECT(
																		((BgL_nodez00_bglt) BgL_new1132z00_2093)))->
																BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_new1132z00_2093)))->BgL_typez00) =
															((BgL_typez00_bglt) ((BgL_typez00_bglt)
																	BGl_getzd2objectzd2typez00zztype_cachez00())),
															BUNSPEC);
														{
															BgL_nodez00_bglt BgL_auxz00_2406;

															{	/* Isa/walk.scm 116 */
																obj_t BgL_pairz00_2097;

																BgL_pairz00_2097 =
																	(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2058)))->
																	BgL_argsz00);
																BgL_auxz00_2406 =
																	((BgL_nodez00_bglt) CAR(BgL_pairz00_2097));
															}
															((((BgL_castz00_bglt)
																		COBJECT(BgL_new1132z00_2093))->BgL_argz00) =
																((BgL_nodez00_bglt) BgL_auxz00_2406), BUNSPEC);
														}
														BgL_arg1411z00_2092 = BgL_new1132z00_2093;
													}
													{	/* Isa/walk.scm 114 */
														obj_t BgL_auxz00_2414;
														obj_t BgL_tmpz00_2412;

														BgL_auxz00_2414 = ((obj_t) BgL_arg1411z00_2092);
														BgL_tmpz00_2412 = ((obj_t) BgL_arg1410z00_2091);
														SET_CAR(BgL_tmpz00_2412, BgL_auxz00_2414);
												}}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2058)))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_nfunz00_2085), BUNSPEC);
											}
										else
											{	/* Isa/walk.scm 119 */
												BgL_varz00_bglt BgL_nfunz00_2098;

												{	/* Isa/walk.scm 119 */
													BgL_nodez00_bglt BgL_duplicated1135z00_2099;
													BgL_varz00_bglt BgL_new1133z00_2100;

													BgL_duplicated1135z00_2099 =
														((BgL_nodez00_bglt)
														(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_2058)))->
															BgL_funz00));
													{	/* Isa/walk.scm 119 */
														BgL_varz00_bglt BgL_new1136z00_2101;

														BgL_new1136z00_2101 =
															((BgL_varz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																		BgL_varz00_bgl))));
														{	/* Isa/walk.scm 119 */
															long BgL_arg1430z00_2102;

															{	/* Isa/walk.scm 119 */
																long BgL_res1777z00_2103;

																BgL_res1777z00_2103 =
																	BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																BgL_arg1430z00_2102 = BgL_res1777z00_2103;
															}
															BGL_OBJECT_CLASS_NUM_SET(
																((BgL_objectz00_bglt) BgL_new1136z00_2101),
																BgL_arg1430z00_2102);
														}
														BgL_new1133z00_2100 = BgL_new1136z00_2101;
													}
													((((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt) BgL_new1133z00_2100)))->
															BgL_locz00) =
														((obj_t) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1135z00_2099))->
																BgL_locz00)), BUNSPEC);
													((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																		BgL_new1133z00_2100)))->BgL_typez00) =
														((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																	COBJECT(BgL_duplicated1135z00_2099))->
																BgL_typez00)), BUNSPEC);
													((((BgL_varz00_bglt) COBJECT(BgL_new1133z00_2100))->
															BgL_variablez00) =
														((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																BGl_za2isazf2finalza2zf2zzisa_walkz00)),
														BUNSPEC);
													BgL_nfunz00_2098 = BgL_new1133z00_2100;
												}
												((((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt) BgL_nodez00_2058)))->
														BgL_funz00) =
													((BgL_varz00_bglt) BgL_nfunz00_2098), BUNSPEC);
									}}
								else
									{	/* Isa/walk.scm 122 */
										bool_t BgL_test1837z00_2436;

										{	/* Isa/walk.scm 122 */
											long BgL_arg1564z00_2104;
											obj_t BgL_arg1565z00_2105;

											{
												BgL_tclassz00_bglt BgL_auxz00_2437;

												{
													obj_t BgL_auxz00_2438;

													{	/* Isa/walk.scm 122 */
														BgL_objectz00_bglt BgL_tmpz00_2439;

														BgL_tmpz00_2439 =
															((BgL_objectz00_bglt)
															((BgL_typez00_bglt) BgL_typz00_2082));
														BgL_auxz00_2438 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_2439);
													}
													BgL_auxz00_2437 =
														((BgL_tclassz00_bglt) BgL_auxz00_2438);
												}
												BgL_arg1564z00_2104 =
													(((BgL_tclassz00_bglt) COBJECT(BgL_auxz00_2437))->
													BgL_depthz00);
											}
											BgL_arg1565z00_2105 =
												BGl_bigloozd2configzd2zz__configurez00(CNST_TABLE_REF((
														(long) 9)));
											BgL_test1837z00_2436 =
												BGl_2zc3zc3zz__r4_numbers_6_5z00(BINT
												(BgL_arg1564z00_2104), BgL_arg1565z00_2105);
										}
										if (BgL_test1837z00_2436)
											{	/* Isa/walk.scm 123 */
												bool_t BgL_test1838z00_2449;

												{	/* Isa/walk.scm 123 */
													BgL_typez00_bglt BgL_arg1548z00_2106;

													{	/* Isa/walk.scm 123 */
														obj_t BgL_arg1551z00_2107;

														BgL_arg1551z00_2107 =
															CAR(
															(((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2058)))->
																BgL_argsz00));
														BgL_arg1548z00_2106 =
															BGl_uncastedzd2typeze70z35zzisa_walkz00((
																(BgL_nodez00_bglt) BgL_arg1551z00_2107));
													}
													BgL_test1838z00_2449 =
														BGl_isazf3zf3zz__objectz00(
														((obj_t) BgL_arg1548z00_2106),
														BGl_tclassz00zzobject_classz00);
												}
												if (BgL_test1838z00_2449)
													{	/* Isa/walk.scm 124 */
														BgL_varz00_bglt BgL_nfunz00_2108;
														BgL_literalz00_bglt BgL_depthz00_2109;
														BgL_castz00_bglt BgL_arg0z00_2110;

														{	/* Isa/walk.scm 124 */
															BgL_nodez00_bglt BgL_duplicated1139z00_2111;
															BgL_varz00_bglt BgL_new1137z00_2112;

															BgL_duplicated1139z00_2111 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2058)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 124 */
																BgL_varz00_bglt BgL_new1140z00_2113;

																BgL_new1140z00_2113 =
																	((BgL_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Isa/walk.scm 124 */
																	long BgL_arg1518z00_2114;

																	{	/* Isa/walk.scm 124 */
																		long BgL_res1778z00_2115;

																		BgL_res1778z00_2115 =
																			BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																		BgL_arg1518z00_2114 = BgL_res1778z00_2115;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1140z00_2113),
																		BgL_arg1518z00_2114);
																}
																BgL_new1137z00_2112 = BgL_new1140z00_2113;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1137z00_2112)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1139z00_2111))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1137z00_2112)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1139z00_2111))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt)
																		COBJECT(BgL_new1137z00_2112))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazd2objectzf2cdepthza2z20zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2108 = BgL_new1137z00_2112;
														}
														{	/* Isa/walk.scm 126 */
															BgL_literalz00_bglt BgL_new1142z00_2116;

															{	/* Isa/walk.scm 127 */
																BgL_literalz00_bglt BgL_new1141z00_2117;

																BgL_new1141z00_2117 =
																	((BgL_literalz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_literalz00_bgl))));
																{	/* Isa/walk.scm 127 */
																	long BgL_arg1524z00_2118;

																	{	/* Isa/walk.scm 127 */
																		long BgL_res1779z00_2119;

																		BgL_res1779z00_2119 =
																			BGL_CLASS_INDEX
																			(BGl_literalz00zzast_nodez00);
																		BgL_arg1524z00_2118 = BgL_res1779z00_2119;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1141z00_2117),
																		BgL_arg1524z00_2118);
																}
																{	/* Isa/walk.scm 127 */
																	BgL_objectz00_bglt BgL_tmpz00_2476;

																	BgL_tmpz00_2476 =
																		((BgL_objectz00_bglt) BgL_new1141z00_2117);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2476,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1141z00_2117);
																BgL_new1142z00_2116 = BgL_new1141z00_2117;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1142z00_2116)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(((BgL_nodez00_bglt) (
																						(BgL_appz00_bglt)
																						BgL_nodez00_2058))))->BgL_locz00)),
																BUNSPEC);
															{
																BgL_typez00_bglt BgL_auxz00_2485;

																{	/* Isa/walk.scm 128 */
																	long BgL_arg1519z00_2120;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2487;

																		{
																			obj_t BgL_auxz00_2488;

																			{	/* Isa/walk.scm 128 */
																				BgL_objectz00_bglt BgL_tmpz00_2489;

																				BgL_tmpz00_2489 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2082));
																				BgL_auxz00_2488 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2489);
																			}
																			BgL_auxz00_2487 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2488);
																		}
																		BgL_arg1519z00_2120 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2487))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2485 =
																		BGl_getzd2typezd2atomz00zztype_typeofz00
																		(BINT(BgL_arg1519z00_2120));
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1142z00_2116)))->BgL_typez00) =
																	((BgL_typez00_bglt) BgL_auxz00_2485),
																	BUNSPEC);
															}
															{
																obj_t BgL_auxz00_2498;

																{	/* Isa/walk.scm 129 */
																	long BgL_tmpz00_2500;

																	{
																		BgL_tclassz00_bglt BgL_auxz00_2501;

																		{
																			obj_t BgL_auxz00_2502;

																			{	/* Isa/walk.scm 129 */
																				BgL_objectz00_bglt BgL_tmpz00_2503;

																				BgL_tmpz00_2503 =
																					((BgL_objectz00_bglt)
																					((BgL_typez00_bglt) BgL_typz00_2082));
																				BgL_auxz00_2502 =
																					BGL_OBJECT_WIDENING(BgL_tmpz00_2503);
																			}
																			BgL_auxz00_2501 =
																				((BgL_tclassz00_bglt) BgL_auxz00_2502);
																		}
																		BgL_tmpz00_2500 =
																			(((BgL_tclassz00_bglt)
																				COBJECT(BgL_auxz00_2501))->
																			BgL_depthz00);
																	}
																	BgL_auxz00_2498 = BINT(BgL_tmpz00_2500);
																}
																((((BgL_atomz00_bglt) COBJECT(
																				((BgL_atomz00_bglt)
																					BgL_new1142z00_2116)))->
																		BgL_valuez00) =
																	((obj_t) BgL_auxz00_2498), BUNSPEC);
															}
															BgL_depthz00_2109 = BgL_new1142z00_2116;
														}
														{	/* Isa/walk.scm 130 */
															BgL_castz00_bglt BgL_new1144z00_2121;

															{	/* Isa/walk.scm 130 */
																BgL_castz00_bglt BgL_new1143z00_2122;

																BgL_new1143z00_2122 =
																	((BgL_castz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_castz00_bgl))));
																{	/* Isa/walk.scm 130 */
																	long BgL_arg1528z00_2123;

																	{	/* Isa/walk.scm 130 */
																		long BgL_res1780z00_2124;

																		BgL_res1780z00_2124 =
																			BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
																		BgL_arg1528z00_2123 = BgL_res1780z00_2124;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1143z00_2122),
																		BgL_arg1528z00_2123);
																}
																{	/* Isa/walk.scm 130 */
																	BgL_objectz00_bglt BgL_tmpz00_2515;

																	BgL_tmpz00_2515 =
																		((BgL_objectz00_bglt) BgL_new1143z00_2122);
																	BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2515,
																		BFALSE);
																}
																((BgL_objectz00_bglt) BgL_new1143z00_2122);
																BgL_new1144z00_2121 = BgL_new1143z00_2122;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1144z00_2121)))->BgL_locz00) =
																((obj_t) BFALSE), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1144z00_2121)))->BgL_typez00) =
																((BgL_typez00_bglt) ((BgL_typez00_bglt)
																		BGl_getzd2objectzd2typez00zztype_cachez00
																		())), BUNSPEC);
															{
																BgL_nodez00_bglt BgL_auxz00_2525;

																{	/* Isa/walk.scm 131 */
																	obj_t BgL_pairz00_2125;

																	BgL_pairz00_2125 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2058)))->
																		BgL_argsz00);
																	BgL_auxz00_2525 =
																		((BgL_nodez00_bglt) CAR(BgL_pairz00_2125));
																}
																((((BgL_castz00_bglt)
																			COBJECT(BgL_new1144z00_2121))->
																		BgL_argz00) =
																	((BgL_nodez00_bglt) BgL_auxz00_2525),
																	BUNSPEC);
															}
															BgL_arg0z00_2110 = BgL_new1144z00_2121;
														}
														((((BgL_appz00_bglt) COBJECT(
																		((BgL_appz00_bglt) BgL_nodez00_2058)))->
																BgL_funz00) =
															((BgL_varz00_bglt) BgL_nfunz00_2108), BUNSPEC);
														{
															obj_t BgL_auxz00_2533;

															{	/* Isa/walk.scm 134 */
																obj_t BgL_arg1502z00_2126;

																{	/* Isa/walk.scm 134 */
																	obj_t BgL_pairz00_2127;

																	BgL_pairz00_2127 =
																		(((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2058)))->
																		BgL_argsz00);
																	{	/* Isa/walk.scm 134 */
																		obj_t BgL_pairz00_2128;

																		BgL_pairz00_2128 = CDR(BgL_pairz00_2127);
																		BgL_arg1502z00_2126 = CAR(BgL_pairz00_2128);
																}}
																{	/* Isa/walk.scm 134 */
																	obj_t BgL_list1503z00_2129;

																	{	/* Isa/walk.scm 134 */
																		obj_t BgL_arg1510z00_2130;

																		{	/* Isa/walk.scm 134 */
																			obj_t BgL_arg1512z00_2131;

																			BgL_arg1512z00_2131 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2109), BNIL);
																			BgL_arg1510z00_2130 =
																				MAKE_YOUNG_PAIR(BgL_arg1502z00_2126,
																				BgL_arg1512z00_2131);
																		}
																		BgL_list1503z00_2129 =
																			MAKE_YOUNG_PAIR(
																			((obj_t) BgL_arg0z00_2110),
																			BgL_arg1510z00_2130);
																	}
																	BgL_auxz00_2533 = BgL_list1503z00_2129;
															}}
															((((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2058)))->
																	BgL_argsz00) =
																((obj_t) BgL_auxz00_2533), BUNSPEC);
													}}
												else
													{	/* Isa/walk.scm 135 */
														BgL_varz00_bglt BgL_nfunz00_2132;

														{	/* Isa/walk.scm 135 */
															BgL_nodez00_bglt BgL_duplicated1147z00_2133;
															BgL_varz00_bglt BgL_new1145z00_2134;

															BgL_duplicated1147z00_2133 =
																((BgL_nodez00_bglt)
																(((BgL_appz00_bglt) COBJECT(
																			((BgL_appz00_bglt) BgL_nodez00_2058)))->
																	BgL_funz00));
															{	/* Isa/walk.scm 135 */
																BgL_varz00_bglt BgL_new1148z00_2135;

																BgL_new1148z00_2135 =
																	((BgL_varz00_bglt)
																	BOBJECT(GC_MALLOC(sizeof(struct
																				BgL_varz00_bgl))));
																{	/* Isa/walk.scm 135 */
																	long BgL_arg1547z00_2136;

																	{	/* Isa/walk.scm 135 */
																		long BgL_res1782z00_2137;

																		BgL_res1782z00_2137 =
																			BGL_CLASS_INDEX(BGl_varz00zzast_nodez00);
																		BgL_arg1547z00_2136 = BgL_res1782z00_2137;
																	}
																	BGL_OBJECT_CLASS_NUM_SET(
																		((BgL_objectz00_bglt) BgL_new1148z00_2135),
																		BgL_arg1547z00_2136);
																}
																BgL_new1145z00_2134 = BgL_new1148z00_2135;
															}
															((((BgL_nodez00_bglt) COBJECT(
																			((BgL_nodez00_bglt)
																				BgL_new1145z00_2134)))->BgL_locz00) =
																((obj_t) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1147z00_2133))->
																		BgL_locz00)), BUNSPEC);
															((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																				BgL_new1145z00_2134)))->BgL_typez00) =
																((BgL_typez00_bglt) (((BgL_nodez00_bglt)
																			COBJECT(BgL_duplicated1147z00_2133))->
																		BgL_typez00)), BUNSPEC);
															((((BgL_varz00_bglt)
																		COBJECT(BgL_new1145z00_2134))->
																	BgL_variablez00) =
																((BgL_variablez00_bglt) ((BgL_variablez00_bglt)
																		BGl_za2isazf2cdepthza2zf2zzisa_walkz00)),
																BUNSPEC);
															BgL_nfunz00_2132 = BgL_new1145z00_2134;
														}
														{	/* Isa/walk.scm 135 */
															BgL_literalz00_bglt BgL_depthz00_2138;

															{	/* Isa/walk.scm 137 */
																BgL_literalz00_bglt BgL_new1150z00_2139;

																{	/* Isa/walk.scm 138 */
																	BgL_literalz00_bglt BgL_new1149z00_2140;

																	BgL_new1149z00_2140 =
																		((BgL_literalz00_bglt)
																		BOBJECT(GC_MALLOC(sizeof(struct
																					BgL_literalz00_bgl))));
																	{	/* Isa/walk.scm 138 */
																		long BgL_arg1544z00_2141;

																		{	/* Isa/walk.scm 138 */
																			long BgL_res1783z00_2142;

																			BgL_res1783z00_2142 =
																				BGL_CLASS_INDEX
																				(BGl_literalz00zzast_nodez00);
																			BgL_arg1544z00_2141 = BgL_res1783z00_2142;
																		}
																		BGL_OBJECT_CLASS_NUM_SET(
																			((BgL_objectz00_bglt)
																				BgL_new1149z00_2140),
																			BgL_arg1544z00_2141);
																	}
																	{	/* Isa/walk.scm 138 */
																		BgL_objectz00_bglt BgL_tmpz00_2564;

																		BgL_tmpz00_2564 =
																			((BgL_objectz00_bglt)
																			BgL_new1149z00_2140);
																		BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2564,
																			BFALSE);
																	}
																	((BgL_objectz00_bglt) BgL_new1149z00_2140);
																	BgL_new1150z00_2139 = BgL_new1149z00_2140;
																}
																((((BgL_nodez00_bglt) COBJECT(
																				((BgL_nodez00_bglt)
																					BgL_new1150z00_2139)))->BgL_locz00) =
																	((obj_t) (((BgL_nodez00_bglt)
																				COBJECT(((BgL_nodez00_bglt) (
																							(BgL_appz00_bglt)
																							BgL_nodez00_2058))))->
																			BgL_locz00)), BUNSPEC);
																{
																	BgL_typez00_bglt BgL_auxz00_2573;

																	{	/* Isa/walk.scm 139 */
																		long BgL_arg1543z00_2143;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_2575;

																			{
																				obj_t BgL_auxz00_2576;

																				{	/* Isa/walk.scm 139 */
																					BgL_objectz00_bglt BgL_tmpz00_2577;

																					BgL_tmpz00_2577 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2082));
																					BgL_auxz00_2576 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2577);
																				}
																				BgL_auxz00_2575 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_2576);
																			}
																			BgL_arg1543z00_2143 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_2575))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_2573 =
																			BGl_getzd2typezd2atomz00zztype_typeofz00
																			(BINT(BgL_arg1543z00_2143));
																	}
																	((((BgL_nodez00_bglt) COBJECT(
																					((BgL_nodez00_bglt)
																						BgL_new1150z00_2139)))->
																			BgL_typez00) =
																		((BgL_typez00_bglt) BgL_auxz00_2573),
																		BUNSPEC);
																}
																{
																	obj_t BgL_auxz00_2586;

																	{	/* Isa/walk.scm 140 */
																		long BgL_tmpz00_2588;

																		{
																			BgL_tclassz00_bglt BgL_auxz00_2589;

																			{
																				obj_t BgL_auxz00_2590;

																				{	/* Isa/walk.scm 140 */
																					BgL_objectz00_bglt BgL_tmpz00_2591;

																					BgL_tmpz00_2591 =
																						((BgL_objectz00_bglt)
																						((BgL_typez00_bglt)
																							BgL_typz00_2082));
																					BgL_auxz00_2590 =
																						BGL_OBJECT_WIDENING
																						(BgL_tmpz00_2591);
																				}
																				BgL_auxz00_2589 =
																					((BgL_tclassz00_bglt)
																					BgL_auxz00_2590);
																			}
																			BgL_tmpz00_2588 =
																				(((BgL_tclassz00_bglt)
																					COBJECT(BgL_auxz00_2589))->
																				BgL_depthz00);
																		}
																		BgL_auxz00_2586 = BINT(BgL_tmpz00_2588);
																	}
																	((((BgL_atomz00_bglt) COBJECT(
																					((BgL_atomz00_bglt)
																						BgL_new1150z00_2139)))->
																			BgL_valuez00) =
																		((obj_t) BgL_auxz00_2586), BUNSPEC);
																}
																BgL_depthz00_2138 = BgL_new1150z00_2139;
															}
															{	/* Isa/walk.scm 137 */

																((((BgL_appz00_bglt) COBJECT(
																				((BgL_appz00_bglt) BgL_nodez00_2058)))->
																		BgL_funz00) =
																	((BgL_varz00_bglt) BgL_nfunz00_2132),
																	BUNSPEC);
																{
																	obj_t BgL_auxz00_2601;

																	{	/* Isa/walk.scm 142 */
																		obj_t BgL_arg1531z00_2144;
																		obj_t BgL_arg1540z00_2145;

																		BgL_arg1531z00_2144 =
																			(((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2058)))->BgL_argsz00);
																		{	/* Isa/walk.scm 142 */
																			obj_t BgL_list1541z00_2146;

																			BgL_list1541z00_2146 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_depthz00_2138), BNIL);
																			BgL_arg1540z00_2145 =
																				BgL_list1541z00_2146;
																		}
																		BgL_auxz00_2601 =
																			BGl_appendzd221011zd2zzisa_walkz00
																			(BgL_arg1531z00_2144,
																			BgL_arg1540z00_2145);
																	}
																	((((BgL_appz00_bglt) COBJECT(
																					((BgL_appz00_bglt)
																						BgL_nodez00_2058)))->BgL_argsz00) =
																		((obj_t) BgL_auxz00_2601), BUNSPEC);
											}}}}}
										else
											{	/* Isa/walk.scm 122 */
												BFALSE;
											}
									}
							}
							return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_2058));
						}
					else
						{	/* Isa/walk.scm 106 */
							return
								BGl_walk0z12z12zzast_walkz00(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_2058)),
								BGl_isaz12zd2envzc0zzisa_walkz00);
						}
				}
			}
		}

	}



/* uncasted-type~0 */
	BgL_typez00_bglt BGl_uncastedzd2typeze70z35zzisa_walkz00(BgL_nodez00_bglt
		BgL_nodez00_1705)
	{
		{	/* Isa/walk.scm 99 */
			if (BGl_isazf3zf3zz__objectz00(
					((obj_t) BgL_nodez00_1705), BGl_castz00zzast_nodez00))
				{	/* Isa/walk.scm 96 */
					return
						(((BgL_nodez00_bglt) COBJECT(
								(((BgL_castz00_bglt) COBJECT(
											((BgL_castz00_bglt) BgL_nodez00_1705)))->BgL_argz00)))->
						BgL_typez00);
				}
			else
				{	/* Isa/walk.scm 96 */
					return (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_1705))->BgL_typez00);
				}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzisa_walkz00()
	{
		{	/* Isa/walk.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzengine_passz00(((long) 373082237),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztools_locationz00(((long) 462333240),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_miscz00(((long) 49975086),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_identz00(((long) 174885617),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_privatez00(((long) 135263837),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_dumpz00(((long) 271707717),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzast_walkz00(((long) 343174225),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
			return
				BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string1797z00zzisa_walkz00));
		}

	}

#ifdef __cplusplus
}
#endif
