/*===========================================================================*/
/*   (Llib/pgp_composition.scm)                                              */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -fno-reflection -unsafe -safee -copt -fPIC -copt -IPosix Llib/pgp_composition.scm -o objs/pgp_composition.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_pgpzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2packetzd2_bglt;

typedef struct BgL_pgpzd2sigzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
} *BgL_pgpzd2sigzd2packetz00_bglt;

typedef struct BgL_pgpzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_signaturez00;
   obj_t BgL_signedzd2packetzd2prefixz00;
   obj_t BgL_hashzd2trailerzd2;
   obj_t BgL_leftzd2hashzd2;
} *BgL_pgpzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_versionz00;
   obj_t BgL_signaturezd2typezd2;
   obj_t BgL_issuerz00;
   obj_t BgL_publiczd2keyzd2algoz00;
   obj_t BgL_hashzd2algozd2;
   bool_t BgL_containszd2nestedzd2sigzf3zf3;
} *BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt;

typedef struct BgL_pgpzd2keyzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   long BgL_versionz00;
   bool_t BgL_subkeyzf3zf3;
   obj_t BgL_algoz00;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_validzd2dayszd2;
   obj_t BgL_keyz00;
} *BgL_pgpzd2keyzd2packetz00_bglt;

typedef struct BgL_pgpzd2compressedzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_packetsz00;
} *BgL_pgpzd2compressedzd2packetz00_bglt;

typedef struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt;

typedef struct BgL_pgpzd2literalzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_formatz00;
   bool_t BgL_forzd2yourzd2eyeszd2onlyzf3z21;
   obj_t BgL_filezd2namezd2;
   obj_t BgL_creationzd2datezd2;
   obj_t BgL_dataz00;
} *BgL_pgpzd2literalzd2packetz00_bglt;

typedef struct BgL_pgpzd2idzd2packetz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_dataz00;
} *BgL_pgpzd2idzd2packetz00_bglt;

typedef struct BgL_signedzd2idzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2idzd2packetz00_bgl * BgL_idz00;
   obj_t BgL_sigsz00;
} *BgL_signedzd2idzd2_bglt;

typedef struct BgL_pgpzd2subkeyzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2keyzd2packetz00_bgl * BgL_keyzd2packetzd2;
   obj_t BgL_sigsz00;
   obj_t BgL_revocationzd2sigszd2;
   struct BgL_pgpzd2keyzd2_bgl * BgL_pgpzd2keyzd2;
} *BgL_pgpzd2subkeyzd2_bglt;

typedef struct BgL_pgpzd2compositionzd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2compositionzd2_bglt;

typedef struct BgL_pgpzd2keyzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_subkeysz00;
   obj_t BgL_userzd2idszd2;
} *BgL_pgpzd2keyzd2_bglt;

typedef struct BgL_pgpzd2messagezd2_bgl {
   header_t header;
   obj_t widening;
} *BgL_pgpzd2messagezd2_bglt;

typedef struct BgL_pgpzd2encryptedzd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_sessionzd2keyszd2;
   struct BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bgl * BgL_encryptedzd2datazd2;
} *BgL_pgpzd2encryptedzd2_bglt;

typedef struct BgL_pgpzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
} *BgL_pgpzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_msgz00;
   obj_t BgL_sigsz00;
   obj_t BgL_onezd2passzd2sigsz00;
} *BgL_pgpzd2onezd2passzd2signaturezd2_bglt;

typedef struct BgL_pgpzd2literalzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_pgpzd2literalzd2packetz00_bgl * BgL_literalz00;
} *BgL_pgpzd2literalzd2_bglt;


static obj_t BGl_z62lambda1927z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1933z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1935z62zz__openpgpzd2compositionzd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_classzd2nilzd2initz12z12zz__objectz00(obj_t);
static obj_t BGl_z62encodezd2pgp1313zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1941z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1942z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62lambda1946z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1947z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_base64zd2encodezd2zz__base64z00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_z62lambda1951z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_z62lambda1952z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda1956z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1957z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_warningz00zz__errorz00(obj_t);
static BgL_pgpzd2compositionzd2_bglt BGl_z62lambda1962z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda1970z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2keyzd2_bglt BGl_z62lambda1972z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Key1316zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1978z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1979z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1983z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1984z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2messagezd2_bglt BGl_z62lambda1989z62zz__openpgpzd2compositionzd2(obj_t);
extern obj_t BGl_base64zd2decodezd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(obj_t);
static obj_t BGl_objectzd2initzd2zz__openpgpzd2compositionzd2();
static BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda1997z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda1999z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62zc3z04anonymousza31974ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__openpgpzd2compositionzd2();
static bool_t BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62decodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t, obj_t, obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2 = BUNSPEC;
extern obj_t BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t BGl_readzd2linezd2zz__r4_input_6_10_2z00(obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
BGL_IMPORT obj_t BGl_registerzd2classz12zc0zz__objectz00(obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2();
static BgL_pgpzd2literalzd2_bglt BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t BGl_readzd2stringzd2zz__r4_input_6_10_2z00(obj_t);
BGL_IMPORT obj_t c_substring(obj_t, long, long);
BGL_IMPORT obj_t BGl_readzd2charszd2zz__r4_input_6_10_2z00(obj_t, obj_t);
static obj_t BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
BGL_IMPORT bool_t BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt, obj_t);
BGL_IMPORT bool_t BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Encry1322zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2();
static obj_t BGl_z62zc3z04anonymousza31964ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse(obj_t);
static obj_t BGl_genericzd2initzd2zz__openpgpzd2compositionzd2();
BGL_IMPORT obj_t BGl_makezd2classzd2fieldz00zz__objectz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32041ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
extern obj_t BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2;
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_unreadzd2stringz12zc0zz__r4_input_6_10_2z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readzd2charzd2zz__r4_input_6_10_2z00(obj_t);
static obj_t BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t BGl_crczd2stringzd2zz__crcz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT obj_t bgl_close_input_port(obj_t);
BGL_IMPORT obj_t BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(obj_t);
static obj_t BGl_z62lambda2005z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2006z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2010z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
BGL_IMPORT obj_t bgl_close_output_port(obj_t);
static obj_t BGl_z62lambda2011z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2017z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2019z62zz__openpgpzd2compositionzd2(obj_t);
BGL_EXPORTED_DECL obj_t BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(obj_t);
BGL_IMPORT bool_t BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_EXPORTED_DEF obj_t BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
static obj_t BGl_z62lambda2025z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2026z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda2030z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2031z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2037z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
static BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2039z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62lambda2045z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2046z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__crcz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__base64z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
static obj_t BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_z62lambda2052z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_pgpzd2literalzd2_bglt BGl_z62lambda2054z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Signa1320zb0zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2060z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda2061z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static bool_t BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(obj_t);
extern obj_t BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(BgL_pgpzd2packetzd2_bglt, obj_t);
static obj_t BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2();
static obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2();
BGL_IMPORT obj_t BGl_stringzd2indexzd2zz__r4_strings_6_7z00(obj_t, obj_t, obj_t);
extern obj_t BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2();
extern obj_t BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2;
BGL_EXPORTED_DEF obj_t BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2 = BUNSPEC;
BGL_IMPORT obj_t BGl_objectz00zz__objectz00;
extern obj_t BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(obj_t);
static obj_t BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(obj_t, obj_t);
extern obj_t BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2;
extern obj_t BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2;
static obj_t BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1318z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static BgL_signedzd2idzd2_bglt BGl_z62lambda1913z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31917ze3ze5zz__openpgpzd2compositionzd2(obj_t, obj_t);
static BgL_signedzd2idzd2_bglt BGl_z62lambda1915z62zz__openpgpzd2compositionzd2(obj_t);
static obj_t BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda1921z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t BGl_z62lambda1922z62zz__openpgpzd2compositionzd2(obj_t, obj_t, obj_t);
static obj_t BGl_z62lambda1926z62zz__openpgpzd2compositionzd2(obj_t, obj_t);
static obj_t __cnst[ 39 ] ;


DEFINE_STATIC_BGL_GENERIC( BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72365za7, BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2352z00zz__openpgpzd2compositionzd2, BgL_bgl_string2352za700za7za7_2366za7, "encode-pgp1313", 14 );
DEFINE_STRING( BGl_string2353z00zz__openpgpzd2compositionzd2, BgL_bgl_string2353za700za7za7_2367za7, "Not yet implemented", 19 );
DEFINE_STRING( BGl_string2354z00zz__openpgpzd2compositionzd2, BgL_bgl_string2354za700za7za7_2368za7, "&encode-pgp", 11 );
DEFINE_STRING( BGl_string2356z00zz__openpgpzd2compositionzd2, BgL_bgl_string2356za700za7za7_2369za7, "encode-pgp", 10 );
DEFINE_STRING( BGl_string2360z00zz__openpgpzd2compositionzd2, BgL_bgl_string2360za700za7za7_2370za7, "__openpgp-composition", 21 );
DEFINE_STRING( BGl_string2361z00zz__openpgpzd2compositionzd2, BgL_bgl_string2361za700za7za7_2371za7, "encode-pgp PGP-Literal literal PGP-One-Pass-Signature one-pass-sigs PGP-Signature obj msg PGP-Encrypted encrypted-data session-keys PGP-Message PGP-Key user-ids pair subkeys PGP-Composition PGP-Subkey pgp-key revocation-sigs key-packet __openpgp-composition Signed-ID pair-nil sigs id radix-64-24 parse-literal parse-signature parse-encrypted-message subkey-binding key-revocation parse-key positive-certif casual-certif persona-certif generic-certif parse-subkey parse-packets ", 478 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_decodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BgL_bgl_za762decodeza7d2pgpza72372za7, BGl_z62decodezd2pgpzb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2298z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1922za7622373z00, BGl_z62lambda1922z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2299z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1921za7622374z00, BGl_z62lambda1921z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2armoredzd2pgpzd2envzd2zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2armo2375z00, BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 4 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_encodezd2nativezd2pgpzd2envzd2zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2nati2376z00, BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_parsezd2packetszd2envz00zz__openpgpzd2compositionzd2, BgL_bgl_za762parseza7d2packe2377z00, BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2300z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1927za7622378z00, BGl_z62lambda1927z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2301z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1926za7622379z00, BGl_z62lambda1926z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2302z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2380za7, BGl_z62zc3z04anonymousza31917ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2303z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1915za7622381z00, BGl_z62lambda1915z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2304z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1913za7622382z00, BGl_z62lambda1913z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2305z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1942za7622383z00, BGl_z62lambda1942z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2306z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1941za7622384z00, BGl_z62lambda1941z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2307z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1947za7622385z00, BGl_z62lambda1947z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2308z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1946za7622386z00, BGl_z62lambda1946z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2309z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1952za7622387z00, BGl_z62lambda1952z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2310z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1951za7622388z00, BGl_z62lambda1951z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2311z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1957za7622389z00, BGl_z62lambda1957z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2312z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1956za7622390z00, BGl_z62lambda1956z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2313z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2391za7, BGl_z62zc3z04anonymousza31937ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2314z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1935za7622392z00, BGl_z62lambda1935z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2315z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1933za7622393z00, BGl_z62lambda1933z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2316z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2394za7, BGl_z62zc3z04anonymousza31964ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2317z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1962za7622395z00, BGl_z62lambda1962z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2318z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1979za7622396z00, BGl_z62lambda1979z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2319z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1978za7622397z00, BGl_z62lambda1978z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2320z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1984za7622398z00, BGl_z62lambda1984z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2321z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1983za7622399z00, BGl_z62lambda1983z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2322z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2400za7, BGl_z62zc3z04anonymousza31974ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2323z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1972za7622401z00, BGl_z62lambda1972z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2324z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1970za7622402z00, BGl_z62lambda1970z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2325z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2403za7, BGl_z62zc3z04anonymousza31991ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2326z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1989za7622404z00, BGl_z62lambda1989z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2327z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2006za7622405z00, BGl_z62lambda2006z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2328z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2005za7622406z00, BGl_z62lambda2005z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2329z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2011za7622407z00, BGl_z62lambda2011z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2330z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2010za7622408z00, BGl_z62lambda2010z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2331z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2409za7, BGl_z62zc3z04anonymousza32001ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2332z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1999za7622410z00, BGl_z62lambda1999z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2333z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda1997za7622411z00, BGl_z62lambda1997z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2334z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2026za7622412z00, BGl_z62lambda2026z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2335z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2025za7622413z00, BGl_z62lambda2025z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2336z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2031za7622414z00, BGl_z62lambda2031z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2337z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2030za7622415z00, BGl_z62lambda2030z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2338z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2416za7, BGl_z62zc3z04anonymousza32021ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2339z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2019za7622417z00, BGl_z62lambda2019z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2266z00zz__openpgpzd2compositionzd2, BgL_bgl_string2266za700za7za7_2418za7, "no packet decoded", 17 );
DEFINE_STRING( BGl_string2267z00zz__openpgpzd2compositionzd2, BgL_bgl_string2267za700za7za7_2419za7, "discarding packets", 18 );
DEFINE_STRING( BGl_string2268z00zz__openpgpzd2compositionzd2, BgL_bgl_string2268za700za7za7_2420za7, "could not parse pgp-message", 27 );
DEFINE_STRING( BGl_string2269z00zz__openpgpzd2compositionzd2, BgL_bgl_string2269za700za7za7_2421za7, "/builddir/build/BUILD/bigloo-4.3h/api/openpgp/src/Llib/pgp_composition.scm", 74 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2340z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2017za7622422z00, BGl_z62lambda2017z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2341z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2046za7622423z00, BGl_z62lambda2046z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2342z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2045za7622424z00, BGl_z62lambda2045z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2343z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2425za7, BGl_z62zc3z04anonymousza32041ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2344z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2039za7622426z00, BGl_z62lambda2039z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2345z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2037za7622427z00, BGl_z62lambda2037z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2270z00zz__openpgpzd2compositionzd2, BgL_bgl_string2270za700za7za7_2428za7, "&parse-packets", 14 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2346z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2061za7622429z00, BGl_z62lambda2061z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2271z00zz__openpgpzd2compositionzd2, BgL_bgl_string2271za700za7za7_2430za7, "pair-nil", 8 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2347z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2060za7622431z00, BGl_z62lambda2060z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2272z00zz__openpgpzd2compositionzd2, BgL_bgl_string2272za700za7za7_2432za7, "Subkey not followed by subkey-binding Signature", 47 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2348z00zz__openpgpzd2compositionzd2, BgL_bgl_za762za7c3za704anonymo2433za7, BGl_z62zc3z04anonymousza32056ze3ze5zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2273z00zz__openpgpzd2compositionzd2, BgL_bgl_string2273za700za7za7_2434za7, "At least one user ID is required", 32 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2349z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2054za7622435z00, BGl_z62lambda2054z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string2274z00zz__openpgpzd2compositionzd2, BgL_bgl_string2274za700za7za7_2436za7, "missing encrypted data packet", 29 );
DEFINE_STRING( BGl_string2275z00zz__openpgpzd2compositionzd2, BgL_bgl_string2275za700za7za7_2437za7, "Packet after encrypted data discarded", 37 );
DEFINE_STRING( BGl_string2276z00zz__openpgpzd2compositionzd2, BgL_bgl_string2276za700za7za7_2438za7, "unexpected packet encountered and discarded", 43 );
DEFINE_STRING( BGl_string2277z00zz__openpgpzd2compositionzd2, BgL_bgl_string2277za700za7za7_2439za7, "discarding packets after signature message", 42 );
DEFINE_STRING( BGl_string2278z00zz__openpgpzd2compositionzd2, BgL_bgl_string2278za700za7za7_2440za7, "bad one-pass signature", 22 );
DEFINE_STRING( BGl_string2279z00zz__openpgpzd2compositionzd2, BgL_bgl_string2279za700za7za7_2441za7, "bad one-pass-signature", 22 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2350z00zz__openpgpzd2compositionzd2, BgL_bgl_za762lambda2052za7622442z00, BGl_z62lambda2052z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2351z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgp12443z00, BGl_z62encodezd2pgp1313zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2355z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72444za7, BGl_z62encodezd2pgpzd2PGPzd2Key1316zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2280z00zz__openpgpzd2compositionzd2, BgL_bgl_string2280za700za7za7_2445za7, "bad Literal", 11 );
DEFINE_STRING( BGl_string2281z00zz__openpgpzd2compositionzd2, BgL_bgl_string2281za700za7za7_2446za7, "read-armored", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2357z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72447za7, BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1318z62zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2282z00zz__openpgpzd2compositionzd2, BgL_bgl_string2282za700za7za7_2448za7, "bad checksum", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2358z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72449za7, BGl_z62encodezd2pgpzd2PGPzd2Signa1320zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2283z00zz__openpgpzd2compositionzd2, BgL_bgl_string2283za700za7za7_2450za7, "-----BEGIN", 10 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2359z00zz__openpgpzd2compositionzd2, BgL_bgl_za762encodeza7d2pgpza72451za7, BGl_z62encodezd2pgpzd2PGPzd2Encry1322zb0zz__openpgpzd2compositionzd2, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2284z00zz__openpgpzd2compositionzd2, BgL_bgl_string2284za700za7za7_2452za7, "-----", 5 );
DEFINE_STRING( BGl_string2285z00zz__openpgpzd2compositionzd2, BgL_bgl_string2285za700za7za7_2453za7, "not an armored file", 19 );
DEFINE_STRING( BGl_string2286z00zz__openpgpzd2compositionzd2, BgL_bgl_string2286za700za7za7_2454za7, "unexpected end of file", 22 );
DEFINE_STRING( BGl_string2287z00zz__openpgpzd2compositionzd2, BgL_bgl_string2287za700za7za7_2455za7, "&decode-pgp", 11 );
DEFINE_STRING( BGl_string2288z00zz__openpgpzd2compositionzd2, BgL_bgl_string2288za700za7za7_2456za7, "input-port", 10 );
DEFINE_STRING( BGl_string2289z00zz__openpgpzd2compositionzd2, BgL_bgl_string2289za700za7za7_2457za7, "&encode-native-pgp", 18 );
DEFINE_STRING( BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_bgl_string2290za700za7za7_2458za7, "PGP-Composition", 15 );
DEFINE_STRING( BGl_string2291z00zz__openpgpzd2compositionzd2, BgL_bgl_string2291za700za7za7_2459za7, "output-port", 11 );
DEFINE_STRING( BGl_string2292z00zz__openpgpzd2compositionzd2, BgL_bgl_string2292za700za7za7_2460za7, "&encode-armored-pgp", 19 );
DEFINE_STRING( BGl_string2293z00zz__openpgpzd2compositionzd2, BgL_bgl_string2293za700za7za7_2461za7, "bstring", 7 );
DEFINE_STRING( BGl_string2294z00zz__openpgpzd2compositionzd2, BgL_bgl_string2294za700za7za7_2462za7, "-----BEGIN ", 11 );
DEFINE_STRING( BGl_string2295z00zz__openpgpzd2compositionzd2, BgL_bgl_string2295za700za7za7_2463za7, ": ", 2 );
DEFINE_STRING( BGl_string2296z00zz__openpgpzd2compositionzd2, BgL_bgl_string2296za700za7za7_2464za7, "=", 1 );
DEFINE_STRING( BGl_string2297z00zz__openpgpzd2compositionzd2, BgL_bgl_string2297za700za7za7_2465za7, "-----END ", 9 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2) );
ADD_ROOT( (void *)(&BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__openpgpzd2compositionzd2(long BgL_checksumz00_2039, char * BgL_fromz00_2040)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2))
{ 
BGl_requirezd2initializa7ationz75zz__openpgpzd2compositionzd2 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2(); 
BGl_objectzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_genericzd2initzd2zz__openpgpzd2compositionzd2(); 
BGl_methodzd2initzd2zz__openpgpzd2compositionzd2(); 
return 
BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__base64z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_input_6_10_2z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__crcz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "__openpgp-composition"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "__openpgp-composition"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 15 */
obj_t BgL_cportz00_1820;
{ /* Llib/pgp_composition.scm 15 */
obj_t BgL_stringz00_1828;
BgL_stringz00_1828 = BGl_string2361z00zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 15 */
obj_t BgL_startz00_1829;
BgL_startz00_1829 = 
BINT(((long)0)); 
{ /* Llib/pgp_composition.scm 15 */
obj_t BgL_endz00_1830;
BgL_endz00_1830 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_1828))); 
{ /* Llib/pgp_composition.scm 15 */

BgL_cportz00_1820 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_1828, BgL_startz00_1829, BgL_endz00_1830); } } } } 
{ 
long BgL_iz00_1821;
BgL_iz00_1821 = ((long)38); 
BgL_loopz00_1822:
if(
(BgL_iz00_1821==((long)-1)))
{ /* Llib/pgp_composition.scm 15 */
return BUNSPEC;}  else 
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 15 */
obj_t BgL_arg2363z00_1824;
{ /* Llib/pgp_composition.scm 15 */

{ /* Llib/pgp_composition.scm 15 */
obj_t BgL_locationz00_1826;
BgL_locationz00_1826 = 
BBOOL(((bool_t)0)); 
{ /* Llib/pgp_composition.scm 15 */

BgL_arg2363z00_1824 = 
BGl_readz00zz__readerz00(BgL_cportz00_1820, BgL_locationz00_1826); } } } 
{ /* Llib/pgp_composition.scm 15 */
int BgL_tmpz00_2078;
BgL_tmpz00_2078 = 
(int)(BgL_iz00_1821); 
CNST_TABLE_SET(BgL_tmpz00_2078, BgL_arg2363z00_1824); } } 
{ /* Llib/pgp_composition.scm 15 */
int BgL_auxz00_1827;
BgL_auxz00_1827 = 
(int)(
(BgL_iz00_1821-((long)1))); 
{ 
long BgL_iz00_2083;
BgL_iz00_2083 = 
(long)(BgL_auxz00_1827); 
BgL_iz00_1821 = BgL_iz00_2083; 
goto BgL_loopz00_1822;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
obj_t BgL_headz00_56;
BgL_headz00_56 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_57;obj_t BgL_tailz00_58;
BgL_prevz00_57 = BgL_headz00_56; 
BgL_tailz00_58 = BgL_l1z00_1; 
BgL_loopz00_59:
if(
PAIRP(BgL_tailz00_58))
{ 
obj_t BgL_newzd2prevzd2_61;
BgL_newzd2prevzd2_61 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_58), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_57, BgL_newzd2prevzd2_61); 
{ 
obj_t BgL_tailz00_2093;obj_t BgL_prevz00_2092;
BgL_prevz00_2092 = BgL_newzd2prevzd2_61; 
BgL_tailz00_2093 = 
CDR(BgL_tailz00_58); 
BgL_tailz00_58 = BgL_tailz00_2093; 
BgL_prevz00_57 = BgL_prevz00_2092; 
goto BgL_loopz00_59;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_56);} } } 

}



/* parse-packets */
BGL_EXPORTED_DEF obj_t BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_4)
{
{ /* Llib/pgp_composition.scm 71 */
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2:
if(
NULLP(BgL_packetsz00_4))
{ /* Llib/pgp_composition.scm 74 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2266z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 78 */
bool_t BgL_test2470z00_2100;
{ /* Llib/pgp_composition.scm 78 */
bool_t BgL_test2471z00_2101;
{ /* Llib/pgp_composition.scm 78 */
obj_t BgL_arg1574z00_101;
BgL_arg1574z00_101 = 
CAR(BgL_packetsz00_4); 
BgL_test2471z00_2101 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1574z00_101, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2471z00_2101)
{ /* Llib/pgp_composition.scm 78 */
if(
(((BgL_pgpzd2keyzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2keyzd2packetz00_bglt)
CAR(BgL_packetsz00_4))))->BgL_subkeyzf3zf3))
{ /* Llib/pgp_composition.scm 80 */
BgL_test2470z00_2100 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 80 */
BgL_test2470z00_2100 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_composition.scm 78 */
BgL_test2470z00_2100 = ((bool_t)0)
; } } 
if(BgL_test2470z00_2100)
{ /* Llib/pgp_composition.scm 78 */
return 
BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(BgL_packetsz00_4);}  else 
{ /* Llib/pgp_composition.scm 82 */
bool_t BgL_test2473z00_2109;
{ /* Llib/pgp_composition.scm 82 */
bool_t BgL_test2474z00_2110;
{ /* Llib/pgp_composition.scm 82 */
obj_t BgL_arg1573z00_97;
BgL_arg1573z00_97 = 
CAR(BgL_packetsz00_4); 
BgL_test2474z00_2110 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1573z00_97, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); } 
if(BgL_test2474z00_2110)
{ /* Llib/pgp_composition.scm 82 */
BgL_test2473z00_2109 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 83 */
obj_t BgL_arg1558z00_96;
BgL_arg1558z00_96 = 
CAR(BgL_packetsz00_4); 
BgL_test2473z00_2109 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1558z00_96, BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); } } 
if(BgL_test2473z00_2109)
{ /* Llib/pgp_composition.scm 82 */
return 
BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(BgL_packetsz00_4);}  else 
{ /* Llib/pgp_composition.scm 85 */
bool_t BgL_test2475z00_2116;
{ /* Llib/pgp_composition.scm 85 */
obj_t BgL_arg1557z00_94;
BgL_arg1557z00_94 = 
CAR(BgL_packetsz00_4); 
BgL_test2475z00_2116 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1557z00_94, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2475z00_2116)
{ /* Llib/pgp_composition.scm 85 */
return 
((obj_t)
BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(BgL_packetsz00_4));}  else 
{ /* Llib/pgp_composition.scm 87 */
bool_t BgL_test2476z00_2121;
{ /* Llib/pgp_composition.scm 87 */
obj_t BgL_arg1556z00_93;
BgL_arg1556z00_93 = 
CAR(BgL_packetsz00_4); 
BgL_test2476z00_2121 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1556z00_93, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2476z00_2121)
{ /* Llib/pgp_composition.scm 87 */
return 
BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(BgL_packetsz00_4);}  else 
{ /* Llib/pgp_composition.scm 89 */
bool_t BgL_test2477z00_2125;
{ /* Llib/pgp_composition.scm 89 */
obj_t BgL_arg1555z00_92;
BgL_arg1555z00_92 = 
CAR(BgL_packetsz00_4); 
BgL_test2477z00_2125 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1555z00_92, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2477z00_2125)
{ /* Llib/pgp_composition.scm 89 */
return 
((obj_t)
BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(BgL_packetsz00_4));}  else 
{ /* Llib/pgp_composition.scm 91 */
bool_t BgL_test2478z00_2130;
{ /* Llib/pgp_composition.scm 91 */
obj_t BgL_arg1554z00_91;
BgL_arg1554z00_91 = 
CAR(BgL_packetsz00_4); 
BgL_test2478z00_2130 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1554z00_91, BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2478z00_2130)
{ /* Llib/pgp_composition.scm 91 */
if(
NULLP(
CDR(BgL_packetsz00_4)))
{ /* Llib/pgp_composition.scm 93 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 94 */
obj_t BgL_list1540z00_87;
BgL_list1540z00_87 = 
MAKE_YOUNG_PAIR(BGl_string2267z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1540z00_87); } 
{ /* Llib/pgp_composition.scm 95 */
BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1145z00_89;
BgL_i1145z00_89 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(BgL_packetsz00_4)); 
{ 
obj_t BgL_packetsz00_2140;
BgL_packetsz00_2140 = 
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1145z00_89))->BgL_packetsz00); 
BgL_packetsz00_4 = BgL_packetsz00_2140; 
goto BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2;} } }  else 
{ /* Llib/pgp_composition.scm 91 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)0)), BGl_string2268z00zz__openpgpzd2compositionzd2, BgL_packetsz00_4);} } } } } } } } 

}



/* &parse-packets */
obj_t BGl_z62parsezd2packetszb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1577, obj_t BgL_packetsz00_1578)
{
{ /* Llib/pgp_composition.scm 71 */
{ /* Llib/pgp_composition.scm 74 */
obj_t BgL_auxz00_2144;
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_packetsz00_1578))
{ /* Llib/pgp_composition.scm 74 */
BgL_auxz00_2144 = BgL_packetsz00_1578
; }  else 
{ 
obj_t BgL_auxz00_2147;
BgL_auxz00_2147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)3527)), BGl_string2270z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BgL_packetsz00_1578); 
FAILURE(BgL_auxz00_2147,BFALSE,BFALSE);} 
return 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(BgL_auxz00_2144);} } 

}



/* parse-keys */
obj_t BGl_parsezd2keyszd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_5)
{
{ /* Llib/pgp_composition.scm 107 */
{ 
obj_t BgL_packetsz00_1125;obj_t BgL_keysz00_1126;obj_t BgL_userzd2idszd2_1127;
BgL_packetsz00_1125 = BgL_packetsz00_5; 
BgL_keysz00_1126 = BNIL; 
BgL_userzd2idszd2_1127 = BNIL; 
BgL_loopz00_1124:
if(
NULLP(BgL_packetsz00_1125))
{ /* Llib/pgp_composition.scm 112 */
return BgL_keysz00_1126;}  else 
{ /* Llib/pgp_composition.scm 114 */
obj_t BgL_keyz00_1135;
BgL_keyz00_1135 = 
BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(BgL_packetsz00_1125, BgL_userzd2idszd2_1127); 
{ /* Llib/pgp_composition.scm 116 */
obj_t BgL_remainingzd2packetszd2_1136;obj_t BgL_nuserzd2idszd2_1137;
{ /* Llib/pgp_composition.scm 116 */
int BgL_tmpz00_2155;
BgL_tmpz00_2155 = 
(int)(((long)1)); 
BgL_remainingzd2packetszd2_1136 = 
BGL_MVALUES_VAL(BgL_tmpz00_2155); } 
{ /* Llib/pgp_composition.scm 116 */
int BgL_tmpz00_2158;
BgL_tmpz00_2158 = 
(int)(((long)2)); 
BgL_nuserzd2idszd2_1137 = 
BGL_MVALUES_VAL(BgL_tmpz00_2158); } 
{ 
obj_t BgL_userzd2idszd2_2164;obj_t BgL_keysz00_2162;obj_t BgL_packetsz00_2161;
BgL_packetsz00_2161 = BgL_remainingzd2packetszd2_1136; 
BgL_keysz00_2162 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(BgL_keyz00_1135, BgL_keysz00_1126); 
BgL_userzd2idszd2_2164 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(BgL_nuserzd2idszd2_1137, BgL_userzd2idszd2_1127); 
BgL_userzd2idszd2_1127 = BgL_userzd2idszd2_2164; 
BgL_keysz00_1126 = BgL_keysz00_2162; 
BgL_packetsz00_1125 = BgL_packetsz00_2161; 
goto BgL_loopz00_1124;} } } } } 

}



/* parse-key */
obj_t BGl_parsezd2keyzd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_6, obj_t BgL_userzd2idszd2_7)
{
{ /* Llib/pgp_composition.scm 123 */
{ 
obj_t BgL_packetsz00_162;obj_t BgL_packetsz00_181;obj_t BgL_packetsz00_214;obj_t BgL_packetsz00_238;
{ /* Llib/pgp_composition.scm 220 */
obj_t BgL_mainzd2keyzd2packetz00_121;
BgL_mainzd2keyzd2packetz00_121 = 
CAR(
((obj_t)BgL_packetsz00_6)); 
{ /* Llib/pgp_composition.scm 221 */
obj_t BgL_revocationzd2sigszd2_122;
{ /* Llib/pgp_composition.scm 222 */
obj_t BgL_arg1619z00_156;
BgL_arg1619z00_156 = 
CDR(
((obj_t)BgL_packetsz00_6)); 
BgL_packetsz00_162 = BgL_arg1619z00_156; 
{ 
obj_t BgL_packetsz00_166;obj_t BgL_revocationsz00_167;
BgL_packetsz00_166 = BgL_packetsz00_162; 
BgL_revocationsz00_167 = BNIL; 
BgL_zc3z04anonymousza31625ze3z87_168:
if(
NULLP(BgL_packetsz00_166))
{ /* Llib/pgp_composition.scm 135 */
obj_t BgL_val0_1226z00_170;
BgL_val0_1226z00_170 = 
bgl_reverse_bang(BgL_revocationsz00_167); 
{ /* Llib/pgp_composition.scm 135 */
int BgL_res2132z00_1142;
{ /* Llib/pgp_composition.scm 135 */
int BgL_tmpz00_2173;
BgL_tmpz00_2173 = 
(int)(((long)2)); 
BgL_res2132z00_1142 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2173); } BgL_res2132z00_1142; } 
{ /* Llib/pgp_composition.scm 135 */
int BgL_tmpz00_2176;
BgL_tmpz00_2176 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2176, BNIL); } 
BgL_revocationzd2sigszd2_122 = BgL_val0_1226z00_170; }  else 
{ /* Llib/pgp_composition.scm 134 */
if(
BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_packetsz00_166))))
{ /* Llib/pgp_composition.scm 137 */
obj_t BgL_arg1643z00_174;obj_t BgL_arg1645z00_175;
BgL_arg1643z00_174 = 
CDR(
((obj_t)BgL_packetsz00_166)); 
{ /* Llib/pgp_composition.scm 138 */
obj_t BgL_arg1646z00_176;
BgL_arg1646z00_176 = 
CAR(
((obj_t)BgL_packetsz00_166)); 
BgL_arg1645z00_175 = 
MAKE_YOUNG_PAIR(BgL_arg1646z00_176, BgL_revocationsz00_167); } 
{ 
obj_t BgL_revocationsz00_2189;obj_t BgL_packetsz00_2188;
BgL_packetsz00_2188 = BgL_arg1643z00_174; 
BgL_revocationsz00_2189 = BgL_arg1645z00_175; 
BgL_revocationsz00_167 = BgL_revocationsz00_2189; 
BgL_packetsz00_166 = BgL_packetsz00_2188; 
goto BgL_zc3z04anonymousza31625ze3z87_168;} }  else 
{ /* Llib/pgp_composition.scm 140 */
obj_t BgL_val0_1228z00_177;
BgL_val0_1228z00_177 = 
bgl_reverse_bang(BgL_revocationsz00_167); 
{ /* Llib/pgp_composition.scm 140 */
int BgL_res2133z00_1146;
{ /* Llib/pgp_composition.scm 140 */
int BgL_tmpz00_2191;
BgL_tmpz00_2191 = 
(int)(((long)2)); 
BgL_res2133z00_1146 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2191); } BgL_res2133z00_1146; } 
{ /* Llib/pgp_composition.scm 140 */
int BgL_tmpz00_2194;
BgL_tmpz00_2194 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2194, BgL_packetsz00_166); } 
BgL_revocationzd2sigszd2_122 = BgL_val0_1228z00_177; } } } } 
{ /* Llib/pgp_composition.scm 223 */
obj_t BgL_remainingzd2packetszd2_123;
{ /* Llib/pgp_composition.scm 223 */
int BgL_tmpz00_2197;
BgL_tmpz00_2197 = 
(int)(((long)1)); 
BgL_remainingzd2packetszd2_123 = 
BGL_MVALUES_VAL(BgL_tmpz00_2197); } 
{ /* Llib/pgp_composition.scm 223 */
obj_t BgL_nuserzd2idszd2_124;
BgL_packetsz00_214 = BgL_remainingzd2packetszd2_123; 
{ 
obj_t BgL_packetsz00_218;obj_t BgL_userzd2idszd2_219;
BgL_packetsz00_218 = BgL_packetsz00_214; 
BgL_userzd2idszd2_219 = BNIL; 
BgL_zc3z04anonymousza31670ze3z87_220:
if(
NULLP(BgL_packetsz00_218))
{ /* Llib/pgp_composition.scm 167 */
obj_t BgL_val0_1234z00_222;
BgL_val0_1234z00_222 = 
bgl_reverse_bang(BgL_userzd2idszd2_219); 
{ /* Llib/pgp_composition.scm 167 */
int BgL_res2138z00_1154;
{ /* Llib/pgp_composition.scm 167 */
int BgL_tmpz00_2203;
BgL_tmpz00_2203 = 
(int)(((long)2)); 
BgL_res2138z00_1154 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2203); } BgL_res2138z00_1154; } 
{ /* Llib/pgp_composition.scm 167 */
int BgL_tmpz00_2206;
BgL_tmpz00_2206 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2206, BNIL); } 
BgL_nuserzd2idszd2_124 = BgL_val0_1234z00_222; }  else 
{ /* Llib/pgp_composition.scm 168 */
bool_t BgL_test2485z00_2209;
{ /* Llib/pgp_composition.scm 168 */
obj_t BgL_arg1679z00_236;
BgL_arg1679z00_236 = 
CAR(
((obj_t)BgL_packetsz00_218)); 
BgL_test2485z00_2209 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1679z00_236, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2485z00_2209)
{ /* Llib/pgp_composition.scm 170 */
obj_t BgL_sigsz00_226;
{ /* Llib/pgp_composition.scm 171 */
obj_t BgL_arg1678z00_233;
BgL_arg1678z00_233 = 
CDR(
((obj_t)BgL_packetsz00_218)); 
BgL_packetsz00_181 = BgL_arg1678z00_233; 
{ 
obj_t BgL_pktz00_201;
{ 
obj_t BgL_packetsz00_186;obj_t BgL_sigsz00_187;
BgL_packetsz00_186 = BgL_packetsz00_181; 
BgL_sigsz00_187 = BNIL; 
BgL_zc3z04anonymousza31651ze3z87_188:
if(
NULLP(BgL_packetsz00_186))
{ /* Llib/pgp_composition.scm 154 */
obj_t BgL_val0_1230z00_190;
BgL_val0_1230z00_190 = 
bgl_reverse_bang(BgL_sigsz00_187); 
{ /* Llib/pgp_composition.scm 154 */
int BgL_res2135z00_1148;
{ /* Llib/pgp_composition.scm 154 */
int BgL_tmpz00_2218;
BgL_tmpz00_2218 = 
(int)(((long)2)); 
BgL_res2135z00_1148 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2218); } BgL_res2135z00_1148; } 
{ /* Llib/pgp_composition.scm 154 */
int BgL_tmpz00_2221;
BgL_tmpz00_2221 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2221, BNIL); } 
BgL_sigsz00_226 = BgL_val0_1230z00_190; }  else 
{ /* Llib/pgp_composition.scm 155 */
bool_t BgL_test2487z00_2224;
BgL_pktz00_201 = 
CAR(
((obj_t)BgL_packetsz00_186)); 
if(
BGl_isazf3zf3zz__objectz00(BgL_pktz00_201, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_composition.scm 146 */
obj_t BgL_casezd2valuezd2_205;
BgL_casezd2valuezd2_205 = 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_201))))->BgL_signaturezd2typezd2); 
{ /* Llib/pgp_composition.scm 146 */
bool_t BgL__ortest_1154z00_210;
BgL__ortest_1154z00_210 = 
(BgL_casezd2valuezd2_205==
CNST_TABLE_REF(((long)2))); 
if(BgL__ortest_1154z00_210)
{ /* Llib/pgp_composition.scm 146 */
BgL_test2487z00_2224 = BgL__ortest_1154z00_210
; }  else 
{ /* Llib/pgp_composition.scm 146 */
bool_t BgL__ortest_1155z00_211;
BgL__ortest_1155z00_211 = 
(BgL_casezd2valuezd2_205==
CNST_TABLE_REF(((long)3))); 
if(BgL__ortest_1155z00_211)
{ /* Llib/pgp_composition.scm 146 */
BgL_test2487z00_2224 = BgL__ortest_1155z00_211
; }  else 
{ /* Llib/pgp_composition.scm 146 */
bool_t BgL__ortest_1156z00_212;
BgL__ortest_1156z00_212 = 
(BgL_casezd2valuezd2_205==
CNST_TABLE_REF(((long)4))); 
if(BgL__ortest_1156z00_212)
{ /* Llib/pgp_composition.scm 146 */
BgL_test2487z00_2224 = BgL__ortest_1156z00_212
; }  else 
{ /* Llib/pgp_composition.scm 146 */
BgL_test2487z00_2224 = 
(BgL_casezd2valuezd2_205==
CNST_TABLE_REF(((long)5)))
; } } } } }  else 
{ /* Llib/pgp_composition.scm 144 */
BgL_test2487z00_2224 = ((bool_t)0)
; } 
if(BgL_test2487z00_2224)
{ /* Llib/pgp_composition.scm 156 */
obj_t BgL_arg1663z00_194;obj_t BgL_arg1664z00_195;
BgL_arg1663z00_194 = 
CDR(
((obj_t)BgL_packetsz00_186)); 
{ /* Llib/pgp_composition.scm 157 */
obj_t BgL_arg1665z00_196;
BgL_arg1665z00_196 = 
CAR(
((obj_t)BgL_packetsz00_186)); 
BgL_arg1664z00_195 = 
MAKE_YOUNG_PAIR(BgL_arg1665z00_196, BgL_sigsz00_187); } 
{ 
obj_t BgL_sigsz00_2249;obj_t BgL_packetsz00_2248;
BgL_packetsz00_2248 = BgL_arg1663z00_194; 
BgL_sigsz00_2249 = BgL_arg1664z00_195; 
BgL_sigsz00_187 = BgL_sigsz00_2249; 
BgL_packetsz00_186 = BgL_packetsz00_2248; 
goto BgL_zc3z04anonymousza31651ze3z87_188;} }  else 
{ /* Llib/pgp_composition.scm 159 */
obj_t BgL_val0_1232z00_197;
BgL_val0_1232z00_197 = 
bgl_reverse_bang(BgL_sigsz00_187); 
{ /* Llib/pgp_composition.scm 159 */
int BgL_res2136z00_1152;
{ /* Llib/pgp_composition.scm 159 */
int BgL_tmpz00_2251;
BgL_tmpz00_2251 = 
(int)(((long)2)); 
BgL_res2136z00_1152 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2251); } BgL_res2136z00_1152; } 
{ /* Llib/pgp_composition.scm 159 */
int BgL_tmpz00_2254;
BgL_tmpz00_2254 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2254, BgL_packetsz00_186); } 
BgL_sigsz00_226 = BgL_val0_1232z00_197; } } } } } 
{ /* Llib/pgp_composition.scm 172 */
obj_t BgL_remainingzd2packetszd2_227;
{ /* Llib/pgp_composition.scm 172 */
int BgL_tmpz00_2257;
BgL_tmpz00_2257 = 
(int)(((long)1)); 
BgL_remainingzd2packetszd2_227 = 
BGL_MVALUES_VAL(BgL_tmpz00_2257); } 
{ /* Llib/pgp_composition.scm 173 */
obj_t BgL_arg1675z00_228;
{ /* Llib/pgp_composition.scm 173 */
BgL_signedzd2idzd2_bglt BgL_arg1676z00_229;
{ /* Llib/pgp_composition.scm 173 */
BgL_signedzd2idzd2_bglt BgL_new1161z00_230;
{ /* Llib/pgp_composition.scm 175 */
BgL_signedzd2idzd2_bglt BgL_new1160z00_231;
BgL_new1160z00_231 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 175 */
long BgL_arg1677z00_232;
{ /* Llib/pgp_composition.scm 175 */
long BgL_res2139z00_1158;
BgL_res2139z00_1158 = 
BGL_CLASS_INDEX(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BgL_arg1677z00_232 = BgL_res2139z00_1158; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1160z00_231), BgL_arg1677z00_232); } 
{ /* Llib/pgp_composition.scm 175 */
BgL_objectz00_bglt BgL_tmpz00_2264;
BgL_tmpz00_2264 = 
((BgL_objectz00_bglt)BgL_new1160z00_231); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2264, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1160z00_231); 
BgL_new1161z00_230 = BgL_new1160z00_231; } 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1161z00_230))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_218)))),BUNSPEC); 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1161z00_230))->BgL_sigsz00)=((obj_t)BgL_sigsz00_226),BUNSPEC); 
BgL_arg1676z00_229 = BgL_new1161z00_230; } 
BgL_arg1675z00_228 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1676z00_229), BgL_userzd2idszd2_219); } 
{ 
obj_t BgL_userzd2idszd2_2276;obj_t BgL_packetsz00_2275;
BgL_packetsz00_2275 = BgL_remainingzd2packetszd2_227; 
BgL_userzd2idszd2_2276 = BgL_arg1675z00_228; 
BgL_userzd2idszd2_219 = BgL_userzd2idszd2_2276; 
BgL_packetsz00_218 = BgL_packetsz00_2275; 
goto BgL_zc3z04anonymousza31670ze3z87_220;} } } }  else 
{ /* Llib/pgp_composition.scm 178 */
obj_t BgL_val0_1236z00_234;
BgL_val0_1236z00_234 = 
bgl_reverse_bang(BgL_userzd2idszd2_219); 
{ /* Llib/pgp_composition.scm 178 */
int BgL_res2140z00_1163;
{ /* Llib/pgp_composition.scm 178 */
int BgL_tmpz00_2278;
BgL_tmpz00_2278 = 
(int)(((long)2)); 
BgL_res2140z00_1163 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2278); } BgL_res2140z00_1163; } 
{ /* Llib/pgp_composition.scm 178 */
int BgL_tmpz00_2281;
BgL_tmpz00_2281 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2281, BgL_packetsz00_218); } 
BgL_nuserzd2idszd2_124 = BgL_val0_1236z00_234; } } } 
{ /* Llib/pgp_composition.scm 228 */
obj_t BgL_remainingzd2packetszd2_125;
{ /* Llib/pgp_composition.scm 228 */
int BgL_tmpz00_2284;
BgL_tmpz00_2284 = 
(int)(((long)1)); 
BgL_remainingzd2packetszd2_125 = 
BGL_MVALUES_VAL(BgL_tmpz00_2284); } 
{ /* Llib/pgp_composition.scm 225 */
bool_t BgL_test2492z00_2287;
if(
NULLP(BgL_nuserzd2idszd2_124))
{ /* Llib/pgp_composition.scm 225 */
BgL_test2492z00_2287 = 
NULLP(BgL_userzd2idszd2_7)
; }  else 
{ /* Llib/pgp_composition.scm 225 */
BgL_test2492z00_2287 = ((bool_t)0)
; } 
if(BgL_test2492z00_2287)
{ /* Llib/pgp_composition.scm 225 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)6)), BGl_string2273z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 225 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 229 */
obj_t BgL_subkeysz00_129;
BgL_packetsz00_238 = BgL_remainingzd2packetszd2_125; 
{ 
obj_t BgL_packetsz00_243;obj_t BgL_subkeysz00_244;
BgL_packetsz00_243 = BgL_packetsz00_238; 
BgL_subkeysz00_244 = BNIL; 
BgL_zc3z04anonymousza31681ze3z87_245:
{ /* Llib/pgp_composition.scm 188 */
bool_t BgL_test2494z00_2293;
if(
NULLP(BgL_packetsz00_243))
{ /* Llib/pgp_composition.scm 188 */
BgL_test2494z00_2293 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 188 */
BgL_test2494z00_2293 = 
NULLP(
CDR(
((obj_t)BgL_packetsz00_243)))
; } 
if(BgL_test2494z00_2293)
{ /* Llib/pgp_composition.scm 190 */
obj_t BgL_val0_1238z00_249;
BgL_val0_1238z00_249 = 
bgl_reverse_bang(BgL_subkeysz00_244); 
{ /* Llib/pgp_composition.scm 190 */
int BgL_res2143z00_1167;
{ /* Llib/pgp_composition.scm 190 */
int BgL_tmpz00_2300;
BgL_tmpz00_2300 = 
(int)(((long)2)); 
BgL_res2143z00_1167 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2300); } BgL_res2143z00_1167; } 
{ /* Llib/pgp_composition.scm 190 */
int BgL_tmpz00_2303;
BgL_tmpz00_2303 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2303, BNIL); } 
BgL_subkeysz00_129 = BgL_val0_1238z00_249; }  else 
{ /* Llib/pgp_composition.scm 191 */
bool_t BgL_test2496z00_2306;
{ /* Llib/pgp_composition.scm 191 */
obj_t BgL_arg1751z00_291;
BgL_arg1751z00_291 = 
CAR(
((obj_t)BgL_packetsz00_243)); 
BgL_test2496z00_2306 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1751z00_291, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2496z00_2306)
{ /* Llib/pgp_composition.scm 192 */
obj_t BgL_g1165z00_253;
BgL_g1165z00_253 = 
CDR(
((obj_t)BgL_packetsz00_243)); 
{ 
obj_t BgL_pktsz00_257;obj_t BgL_subkeyzd2sigszd2_258;obj_t BgL_revoczd2sigszd2_259;
BgL_pktsz00_257 = BgL_g1165z00_253; 
BgL_subkeyzd2sigszd2_258 = BNIL; 
BgL_revoczd2sigszd2_259 = BNIL; 
BgL_zc3z04anonymousza31691ze3z87_260:
{ /* Llib/pgp_composition.scm 196 */
bool_t BgL_test2497z00_2312;
if(
NULLP(BgL_pktsz00_257))
{ /* Llib/pgp_composition.scm 196 */
BgL_test2497z00_2312 = ((bool_t)1)
; }  else 
{ /* Llib/pgp_composition.scm 196 */
if(
BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_257))))
{ /* Llib/pgp_composition.scm 197 */
BgL_test2497z00_2312 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 197 */
if(
BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_257))))
{ /* Llib/pgp_composition.scm 198 */
BgL_test2497z00_2312 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 198 */
BgL_test2497z00_2312 = ((bool_t)1)
; } } } 
if(BgL_test2497z00_2312)
{ /* Llib/pgp_composition.scm 196 */
if(
NULLP(BgL_subkeyzd2sigszd2_258))
{ /* Llib/pgp_composition.scm 199 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)1)), BGl_string2272z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 199 */BFALSE; } 
{ /* Llib/pgp_composition.scm 204 */
obj_t BgL_arg1703z00_269;
{ /* Llib/pgp_composition.scm 204 */
BgL_pgpzd2subkeyzd2_bglt BgL_arg1704z00_270;
{ /* Llib/pgp_composition.scm 204 */
BgL_pgpzd2subkeyzd2_bglt BgL_new1170z00_271;
{ /* Llib/pgp_composition.scm 208 */
BgL_pgpzd2subkeyzd2_bglt BgL_new1169z00_272;
BgL_new1169z00_272 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 208 */
long BgL_arg1707z00_273;
{ /* Llib/pgp_composition.scm 208 */
long BgL_res2146z00_1175;
BgL_res2146z00_1175 = 
BGL_CLASS_INDEX(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BgL_arg1707z00_273 = BgL_res2146z00_1175; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1169z00_272), BgL_arg1707z00_273); } 
{ /* Llib/pgp_composition.scm 208 */
BgL_objectz00_bglt BgL_tmpz00_2331;
BgL_tmpz00_2331 = 
((BgL_objectz00_bglt)BgL_new1169z00_272); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2331, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1169z00_272); 
BgL_new1170z00_271 = BgL_new1169z00_272; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_271))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_243)))),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_271))->BgL_sigsz00)=((obj_t)BgL_subkeyzd2sigszd2_258),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_271))->BgL_revocationzd2sigszd2)=((obj_t)BgL_revoczd2sigszd2_259),BUNSPEC); 
{ 
BgL_pgpzd2keyzd2_bglt BgL_auxz00_2341;
{ /* Llib/pgp_composition.scm 208 */
obj_t BgL_classz00_1180;
BgL_classz00_1180 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 208 */
obj_t BgL__ortest_1107z00_1181;
BgL__ortest_1107z00_1181 = 
BGL_CLASS_NIL(BgL_classz00_1180); 
if(
CBOOL(BgL__ortest_1107z00_1181))
{ /* Llib/pgp_composition.scm 208 */
BgL_auxz00_2341 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1107z00_1181)
; }  else 
{ /* Llib/pgp_composition.scm 208 */
BgL_auxz00_2341 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1180))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1170z00_271))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_2341),BUNSPEC); } 
BgL_arg1704z00_270 = BgL_new1170z00_271; } 
BgL_arg1703z00_269 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1704z00_270), BgL_subkeysz00_244); } 
{ 
obj_t BgL_subkeysz00_2352;obj_t BgL_packetsz00_2351;
BgL_packetsz00_2351 = BgL_pktsz00_257; 
BgL_subkeysz00_2352 = BgL_arg1703z00_269; 
BgL_subkeysz00_244 = BgL_subkeysz00_2352; 
BgL_packetsz00_243 = BgL_packetsz00_2351; 
goto BgL_zc3z04anonymousza31681ze3z87_245;} } }  else 
{ /* Llib/pgp_composition.scm 196 */
if(
BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(
CAR(
((obj_t)BgL_pktsz00_257))))
{ /* Llib/pgp_composition.scm 211 */
obj_t BgL_arg1714z00_276;obj_t BgL_arg1718z00_277;
BgL_arg1714z00_276 = 
CDR(
((obj_t)BgL_pktsz00_257)); 
{ /* Llib/pgp_composition.scm 211 */
obj_t BgL_arg1724z00_278;
BgL_arg1724z00_278 = 
CAR(
((obj_t)BgL_pktsz00_257)); 
BgL_arg1718z00_277 = 
MAKE_YOUNG_PAIR(BgL_arg1724z00_278, BgL_subkeyzd2sigszd2_258); } 
{ 
obj_t BgL_subkeyzd2sigszd2_2363;obj_t BgL_pktsz00_2362;
BgL_pktsz00_2362 = BgL_arg1714z00_276; 
BgL_subkeyzd2sigszd2_2363 = BgL_arg1718z00_277; 
BgL_subkeyzd2sigszd2_258 = BgL_subkeyzd2sigszd2_2363; 
BgL_pktsz00_257 = BgL_pktsz00_2362; 
goto BgL_zc3z04anonymousza31691ze3z87_260;} }  else 
{ /* Llib/pgp_composition.scm 213 */
obj_t BgL_arg1736z00_279;obj_t BgL_arg1737z00_280;
BgL_arg1736z00_279 = 
CDR(
((obj_t)BgL_pktsz00_257)); 
{ /* Llib/pgp_composition.scm 214 */
obj_t BgL_arg1739z00_281;
BgL_arg1739z00_281 = 
CAR(
((obj_t)BgL_pktsz00_257)); 
BgL_arg1737z00_280 = 
MAKE_YOUNG_PAIR(BgL_arg1739z00_281, BgL_revoczd2sigszd2_259); } 
{ 
obj_t BgL_revoczd2sigszd2_2370;obj_t BgL_pktsz00_2369;
BgL_pktsz00_2369 = BgL_arg1736z00_279; 
BgL_revoczd2sigszd2_2370 = BgL_arg1737z00_280; 
BgL_revoczd2sigszd2_259 = BgL_revoczd2sigszd2_2370; 
BgL_pktsz00_257 = BgL_pktsz00_2369; 
goto BgL_zc3z04anonymousza31691ze3z87_260;} } } } } }  else 
{ /* Llib/pgp_composition.scm 216 */
obj_t BgL_val0_1240z00_289;
BgL_val0_1240z00_289 = 
bgl_reverse_bang(BgL_subkeysz00_244); 
{ /* Llib/pgp_composition.scm 216 */
int BgL_res2147z00_1187;
{ /* Llib/pgp_composition.scm 216 */
int BgL_tmpz00_2372;
BgL_tmpz00_2372 = 
(int)(((long)2)); 
BgL_res2147z00_1187 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2372); } BgL_res2147z00_1187; } 
{ /* Llib/pgp_composition.scm 216 */
int BgL_tmpz00_2375;
BgL_tmpz00_2375 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2375, BgL_packetsz00_243); } 
BgL_subkeysz00_129 = BgL_val0_1240z00_289; } } } } 
{ /* Llib/pgp_composition.scm 231 */
obj_t BgL_remainingzd2packetszd2_130;
{ /* Llib/pgp_composition.scm 231 */
int BgL_tmpz00_2378;
BgL_tmpz00_2378 = 
(int)(((long)1)); 
BgL_remainingzd2packetszd2_130 = 
BGL_MVALUES_VAL(BgL_tmpz00_2378); } 
if(
BGl_isazf3zf3zz__objectz00(BgL_mainzd2keyzd2packetz00_121, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_composition.scm 232 */
BgL_pgpzd2subkeyzd2_bglt BgL_mainzd2keyzd2_132;
{ /* Llib/pgp_composition.scm 232 */
BgL_pgpzd2subkeyzd2_bglt BgL_new1172z00_150;
{ /* Llib/pgp_composition.scm 233 */
BgL_pgpzd2subkeyzd2_bglt BgL_new1171z00_151;
BgL_new1171z00_151 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 233 */
long BgL_arg1617z00_152;
{ /* Llib/pgp_composition.scm 233 */
long BgL_res2150z00_1193;
BgL_res2150z00_1193 = 
BGL_CLASS_INDEX(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BgL_arg1617z00_152 = BgL_res2150z00_1193; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1171z00_151), BgL_arg1617z00_152); } 
{ /* Llib/pgp_composition.scm 233 */
BgL_objectz00_bglt BgL_tmpz00_2387;
BgL_tmpz00_2387 = 
((BgL_objectz00_bglt)BgL_new1171z00_151); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2387, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1171z00_151); 
BgL_new1172z00_150 = BgL_new1171z00_151; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1172z00_150))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_mainzd2keyzd2packetz00_121)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1172z00_150))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1172z00_150))->BgL_revocationzd2sigszd2)=((obj_t)BgL_revocationzd2sigszd2_122),BUNSPEC); 
{ 
BgL_pgpzd2keyzd2_bglt BgL_auxz00_2395;
{ /* Llib/pgp_composition.scm 236 */
obj_t BgL_classz00_1197;
BgL_classz00_1197 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 236 */
obj_t BgL__ortest_1107z00_1198;
BgL__ortest_1107z00_1198 = 
BGL_CLASS_NIL(BgL_classz00_1197); 
if(
CBOOL(BgL__ortest_1107z00_1198))
{ /* Llib/pgp_composition.scm 236 */
BgL_auxz00_2395 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1107z00_1198)
; }  else 
{ /* Llib/pgp_composition.scm 236 */
BgL_auxz00_2395 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1197))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1172z00_150))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_2395),BUNSPEC); } 
BgL_mainzd2keyzd2_132 = BgL_new1172z00_150; } 
{ /* Llib/pgp_composition.scm 232 */
obj_t BgL_allzd2subkeyszd2_133;
BgL_allzd2subkeyszd2_133 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_mainzd2keyzd2_132), BgL_subkeysz00_129); 
{ /* Llib/pgp_composition.scm 237 */
BgL_pgpzd2keyzd2_bglt BgL_reszd2keyzd2_134;
{ /* Llib/pgp_composition.scm 238 */
BgL_pgpzd2keyzd2_bglt BgL_new1174z00_147;
{ /* Llib/pgp_composition.scm 240 */
BgL_pgpzd2keyzd2_bglt BgL_new1173z00_148;
BgL_new1173z00_148 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 240 */
long BgL_arg1612z00_149;
{ /* Llib/pgp_composition.scm 240 */
long BgL_res2151z00_1200;
BgL_res2151z00_1200 = 
BGL_CLASS_INDEX(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BgL_arg1612z00_149 = BgL_res2151z00_1200; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1173z00_148), BgL_arg1612z00_149); } 
{ /* Llib/pgp_composition.scm 240 */
BgL_objectz00_bglt BgL_tmpz00_2409;
BgL_tmpz00_2409 = 
((BgL_objectz00_bglt)BgL_new1173z00_148); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2409, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1173z00_148); 
BgL_new1174z00_147 = BgL_new1173z00_148; } 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1174z00_147))->BgL_subkeysz00)=((obj_t)BgL_allzd2subkeyszd2_133),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1174z00_147))->BgL_userzd2idszd2)=((obj_t)
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(BgL_nuserzd2idszd2_124, BgL_userzd2idszd2_7)),BUNSPEC); 
BgL_reszd2keyzd2_134 = BgL_new1174z00_147; } 
{ /* Llib/pgp_composition.scm 238 */

{ 
obj_t BgL_l1242z00_136;
BgL_l1242z00_136 = BgL_allzd2subkeyszd2_133; 
BgL_zc3z04anonymousza31593ze3z87_137:
if(
PAIRP(BgL_l1242z00_136))
{ /* Llib/pgp_composition.scm 241 */
{ /* Llib/pgp_composition.scm 242 */
obj_t BgL_skeyz00_139;
BgL_skeyz00_139 = 
CAR(BgL_l1242z00_136); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_skeyz00_139)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_reszd2keyzd2_134),BUNSPEC); } 
{ 
obj_t BgL_l1242z00_2421;
BgL_l1242z00_2421 = 
CDR(BgL_l1242z00_136); 
BgL_l1242z00_136 = BgL_l1242z00_2421; 
goto BgL_zc3z04anonymousza31593ze3z87_137;} }  else 
{ /* Llib/pgp_composition.scm 241 */((bool_t)1); } } 
{ /* Llib/pgp_composition.scm 245 */
obj_t BgL_val0_1244z00_143;
{ /* Llib/pgp_composition.scm 245 */
obj_t BgL_list1608z00_146;
BgL_list1608z00_146 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_reszd2keyzd2_134), BNIL); 
BgL_val0_1244z00_143 = BgL_list1608z00_146; } 
{ /* Llib/pgp_composition.scm 245 */
int BgL_res2154z00_1208;
{ /* Llib/pgp_composition.scm 245 */
int BgL_tmpz00_2425;
BgL_tmpz00_2425 = 
(int)(((long)3)); 
BgL_res2154z00_1208 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2425); } BgL_res2154z00_1208; } 
{ /* Llib/pgp_composition.scm 245 */
int BgL_tmpz00_2428;
BgL_tmpz00_2428 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2428, BgL_remainingzd2packetszd2_130); } 
{ /* Llib/pgp_composition.scm 245 */
int BgL_tmpz00_2431;
BgL_tmpz00_2431 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2431, BgL_nuserzd2idszd2_124); } 
return BgL_val0_1244z00_143;} } } } }  else 
{ /* Llib/pgp_composition.scm 231 */
{ /* Llib/pgp_composition.scm 246 */
int BgL_res2155z00_1209;
{ /* Llib/pgp_composition.scm 246 */
int BgL_tmpz00_2434;
BgL_tmpz00_2434 = 
(int)(((long)3)); 
BgL_res2155z00_1209 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2434); } BgL_res2155z00_1209; } 
{ /* Llib/pgp_composition.scm 246 */
int BgL_tmpz00_2437;
BgL_tmpz00_2437 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2437, BgL_remainingzd2packetszd2_130); } 
{ /* Llib/pgp_composition.scm 246 */
int BgL_tmpz00_2440;
BgL_tmpz00_2440 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2440, BgL_userzd2idszd2_7); } 
return BNIL;} } } } } } } } } } 

}



/* revocation-signature?~0 */
bool_t BGl_revocationzd2signaturezf3ze70zc6zz__openpgpzd2compositionzd2(obj_t BgL_pktz00_157)
{
{ /* Llib/pgp_composition.scm 128 */
if(
BGl_isazf3zf3zz__objectz00(BgL_pktz00_157, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_composition.scm 126 */
return 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_157))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)7)));}  else 
{ /* Llib/pgp_composition.scm 126 */
return ((bool_t)0);} } 

}



/* subkey-sig?~0 */
bool_t BGl_subkeyzd2sigzf3ze70zc6zz__openpgpzd2compositionzd2(obj_t BgL_pktz00_295)
{
{ /* Llib/pgp_composition.scm 184 */
if(
BGl_isazf3zf3zz__objectz00(BgL_pktz00_295, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2))
{ /* Llib/pgp_composition.scm 182 */
return 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_295))))->BgL_signaturezd2typezd2)==
CNST_TABLE_REF(((long)8)));}  else 
{ /* Llib/pgp_composition.scm 182 */
return ((bool_t)0);} } 

}



/* parse-encrypted-message */
obj_t BGl_parsezd2encryptedzd2messagez00zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_8)
{
{ /* Llib/pgp_composition.scm 251 */
{ 
obj_t BgL_packetsz00_308;obj_t BgL_sessionzd2keyszd2_309;
BgL_packetsz00_308 = BgL_packetsz00_8; 
BgL_sessionzd2keyszd2_309 = BNIL; 
BgL_zc3z04anonymousza31755ze3z87_310:
if(
NULLP(BgL_packetsz00_308))
{ /* Llib/pgp_composition.scm 256 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)9)), BGl_string2274z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 260 */
bool_t BgL_test2510z00_2461;
{ /* Llib/pgp_composition.scm 260 */
obj_t BgL_arg1782z00_341;
BgL_arg1782z00_341 = 
CAR(
((obj_t)BgL_packetsz00_308)); 
BgL_test2510z00_2461 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1782z00_341, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); } 
if(BgL_test2510z00_2461)
{ /* Llib/pgp_composition.scm 260 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_308))))
{ /* Llib/pgp_composition.scm 261 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 262 */
obj_t BgL_list1761z00_316;
BgL_list1761z00_316 = 
MAKE_YOUNG_PAIR(BGl_string2275z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1761z00_316); } 
{ /* Llib/pgp_composition.scm 263 */
BgL_pgpzd2encryptedzd2_bglt BgL_new1178z00_318;
{ /* Llib/pgp_composition.scm 264 */
BgL_pgpzd2encryptedzd2_bglt BgL_new1177z00_319;
BgL_new1177z00_319 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 264 */
long BgL_arg1763z00_320;
{ /* Llib/pgp_composition.scm 264 */
long BgL_res2158z00_1215;
BgL_res2158z00_1215 = 
BGL_CLASS_INDEX(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BgL_arg1763z00_320 = BgL_res2158z00_1215; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1177z00_319), BgL_arg1763z00_320); } 
{ /* Llib/pgp_composition.scm 264 */
BgL_objectz00_bglt BgL_tmpz00_2475;
BgL_tmpz00_2475 = 
((BgL_objectz00_bglt)BgL_new1177z00_319); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2475, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1177z00_319); 
BgL_new1178z00_318 = BgL_new1177z00_319; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1178z00_318))->BgL_sessionzd2keyszd2)=((obj_t)
bgl_reverse_bang(BgL_sessionzd2keyszd2_309)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1178z00_318))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
CAR(
((obj_t)BgL_packetsz00_308)))),BUNSPEC); 
return 
((obj_t)BgL_new1178z00_318);} }  else 
{ /* Llib/pgp_composition.scm 266 */
bool_t BgL_test2512z00_2486;
{ /* Llib/pgp_composition.scm 266 */
obj_t BgL_arg1781z00_340;
BgL_arg1781z00_340 = 
CAR(
((obj_t)BgL_packetsz00_308)); 
BgL_test2512z00_2486 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1781z00_340, BGl_PGPzd2MDCzd2Symmetricallyzd2Encryptedzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2512z00_2486)
{ /* Llib/pgp_composition.scm 266 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_308))))
{ /* Llib/pgp_composition.scm 267 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 268 */
obj_t BgL_list1768z00_325;
BgL_list1768z00_325 = 
MAKE_YOUNG_PAIR(BGl_string2275z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1768z00_325); } 
{ /* Llib/pgp_composition.scm 269 */
BgL_pgpzd2encryptedzd2_bglt BgL_new1180z00_327;
{ /* Llib/pgp_composition.scm 270 */
BgL_pgpzd2encryptedzd2_bglt BgL_new1179z00_328;
BgL_new1179z00_328 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 270 */
long BgL_arg1770z00_329;
{ /* Llib/pgp_composition.scm 270 */
long BgL_res2160z00_1224;
BgL_res2160z00_1224 = 
BGL_CLASS_INDEX(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BgL_arg1770z00_329 = BgL_res2160z00_1224; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1179z00_328), BgL_arg1770z00_329); } 
{ /* Llib/pgp_composition.scm 270 */
BgL_objectz00_bglt BgL_tmpz00_2500;
BgL_tmpz00_2500 = 
((BgL_objectz00_bglt)BgL_new1179z00_328); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2500, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1179z00_328); 
BgL_new1180z00_327 = BgL_new1179z00_328; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1180z00_327))->BgL_sessionzd2keyszd2)=((obj_t)
bgl_reverse_bang(BgL_sessionzd2keyszd2_309)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1180z00_327))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
CAR(
((obj_t)BgL_packetsz00_308)))),BUNSPEC); 
return 
((obj_t)BgL_new1180z00_327);} }  else 
{ /* Llib/pgp_composition.scm 272 */
bool_t BgL_test2514z00_2511;
{ /* Llib/pgp_composition.scm 272 */
obj_t BgL_arg1780z00_339;
BgL_arg1780z00_339 = 
CAR(
((obj_t)BgL_packetsz00_308)); 
BgL_test2514z00_2511 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1780z00_339, BGl_PGPzd2Sessionzd2Keyzd2Packetzd2zz__openpgpzd2packetszd2); } 
if(BgL_test2514z00_2511)
{ /* Llib/pgp_composition.scm 273 */
obj_t BgL_arg1773z00_332;obj_t BgL_arg1774z00_333;
BgL_arg1773z00_332 = 
CDR(
((obj_t)BgL_packetsz00_308)); 
{ /* Llib/pgp_composition.scm 274 */
obj_t BgL_arg1775z00_334;
BgL_arg1775z00_334 = 
CAR(
((obj_t)BgL_packetsz00_308)); 
BgL_arg1774z00_333 = 
MAKE_YOUNG_PAIR(BgL_arg1775z00_334, BgL_sessionzd2keyszd2_309); } 
{ 
obj_t BgL_sessionzd2keyszd2_2521;obj_t BgL_packetsz00_2520;
BgL_packetsz00_2520 = BgL_arg1773z00_332; 
BgL_sessionzd2keyszd2_2521 = BgL_arg1774z00_333; 
BgL_sessionzd2keyszd2_309 = BgL_sessionzd2keyszd2_2521; 
BgL_packetsz00_308 = BgL_packetsz00_2520; 
goto BgL_zc3z04anonymousza31755ze3z87_310;} }  else 
{ /* Llib/pgp_composition.scm 272 */
{ /* Llib/pgp_composition.scm 277 */
obj_t BgL_arg1776z00_335;
BgL_arg1776z00_335 = 
CAR(
((obj_t)BgL_packetsz00_308)); 
{ /* Llib/pgp_composition.scm 276 */
obj_t BgL_list1777z00_336;
{ /* Llib/pgp_composition.scm 276 */
obj_t BgL_arg1778z00_337;
BgL_arg1778z00_337 = 
MAKE_YOUNG_PAIR(BgL_arg1776z00_335, BNIL); 
BgL_list1777z00_336 = 
MAKE_YOUNG_PAIR(BGl_string2276z00zz__openpgpzd2compositionzd2, BgL_arg1778z00_337); } 
BGl_warningz00zz__errorz00(BgL_list1777z00_336); } } 
{ /* Llib/pgp_composition.scm 278 */
obj_t BgL_arg1779z00_338;
BgL_arg1779z00_338 = 
CDR(
((obj_t)BgL_packetsz00_308)); 
{ 
obj_t BgL_packetsz00_2529;
BgL_packetsz00_2529 = BgL_arg1779z00_338; 
BgL_packetsz00_308 = BgL_packetsz00_2529; 
goto BgL_zc3z04anonymousza31755ze3z87_310;} } } } } } } } 

}



/* parse-signature */
BgL_pgpzd2signaturezd2_bglt BGl_parsezd2signaturezd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_9)
{
{ /* Llib/pgp_composition.scm 283 */
{ 
obj_t BgL_packetsz00_345;obj_t BgL_sigsz00_346;
BgL_packetsz00_345 = BgL_packetsz00_9; 
BgL_sigsz00_346 = BNIL; 
BgL_zc3z04anonymousza31783ze3z87_347:
if(
NULLP(BgL_packetsz00_345))
{ /* Llib/pgp_composition.scm 290 */
BgL_pgpzd2signaturezd2_bglt BgL_new1183z00_349;
{ /* Llib/pgp_composition.scm 291 */
BgL_pgpzd2signaturezd2_bglt BgL_new1182z00_350;
BgL_new1182z00_350 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 291 */
long BgL_arg1785z00_351;
{ /* Llib/pgp_composition.scm 291 */
long BgL_res2162z00_1236;
BgL_res2162z00_1236 = 
BGL_CLASS_INDEX(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BgL_arg1785z00_351 = BgL_res2162z00_1236; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1182z00_350), BgL_arg1785z00_351); } 
BgL_new1183z00_349 = BgL_new1182z00_350; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1183z00_349))->BgL_msgz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1183z00_349))->BgL_sigsz00)=((obj_t)
bgl_reverse_bang(BgL_sigsz00_346)),BUNSPEC); 
return BgL_new1183z00_349;}  else 
{ /* Llib/pgp_composition.scm 293 */
bool_t BgL_test2516z00_2539;
{ /* Llib/pgp_composition.scm 293 */
obj_t BgL_arg1808z00_377;
BgL_arg1808z00_377 = 
CAR(
((obj_t)BgL_packetsz00_345)); 
BgL_test2516z00_2539 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1808z00_377, BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2516z00_2539)
{ /* Llib/pgp_composition.scm 294 */
BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1184z00_354;
BgL_i1184z00_354 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_345))); 
{ 
obj_t BgL_packetsz00_2546;
BgL_packetsz00_2546 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1184z00_354))->BgL_packetsz00), BgL_packetsz00_345); 
BgL_packetsz00_345 = BgL_packetsz00_2546; 
goto BgL_zc3z04anonymousza31783ze3z87_347;} }  else 
{ /* Llib/pgp_composition.scm 296 */
bool_t BgL_test2517z00_2549;
{ /* Llib/pgp_composition.scm 296 */
obj_t BgL_arg1807z00_376;
BgL_arg1807z00_376 = 
CAR(
((obj_t)BgL_packetsz00_345)); 
BgL_test2517z00_2549 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1807z00_376, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2517z00_2549)
{ /* Llib/pgp_composition.scm 297 */
obj_t BgL_arg1792z00_359;obj_t BgL_arg1793z00_360;
BgL_arg1792z00_359 = 
CDR(
((obj_t)BgL_packetsz00_345)); 
{ /* Llib/pgp_composition.scm 297 */
obj_t BgL_arg1794z00_361;
BgL_arg1794z00_361 = 
CAR(
((obj_t)BgL_packetsz00_345)); 
BgL_arg1793z00_360 = 
MAKE_YOUNG_PAIR(BgL_arg1794z00_361, BgL_sigsz00_346); } 
{ 
obj_t BgL_sigsz00_2559;obj_t BgL_packetsz00_2558;
BgL_packetsz00_2558 = BgL_arg1792z00_359; 
BgL_sigsz00_2559 = BgL_arg1793z00_360; 
BgL_sigsz00_346 = BgL_sigsz00_2559; 
BgL_packetsz00_345 = BgL_packetsz00_2558; 
goto BgL_zc3z04anonymousza31783ze3z87_347;} }  else 
{ /* Llib/pgp_composition.scm 298 */
bool_t BgL_test2518z00_2560;
{ /* Llib/pgp_composition.scm 298 */
obj_t BgL_arg1806z00_375;
BgL_arg1806z00_375 = 
CAR(
((obj_t)BgL_packetsz00_345)); 
BgL_test2518z00_2560 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1806z00_375, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2518z00_2560)
{ /* Llib/pgp_composition.scm 298 */
if(
NULLP(
CDR(
((obj_t)BgL_packetsz00_345))))
{ /* Llib/pgp_composition.scm 299 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 300 */
obj_t BgL_list1799z00_366;
BgL_list1799z00_366 = 
MAKE_YOUNG_PAIR(BGl_string2277z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1799z00_366); } 
{ /* Llib/pgp_composition.scm 301 */
BgL_pgpzd2signaturezd2_bglt BgL_new1186z00_368;
{ /* Llib/pgp_composition.scm 302 */
BgL_pgpzd2signaturezd2_bglt BgL_new1185z00_369;
BgL_new1185z00_369 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 302 */
long BgL_arg1801z00_370;
{ /* Llib/pgp_composition.scm 302 */
long BgL_res2164z00_1248;
BgL_res2164z00_1248 = 
BGL_CLASS_INDEX(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BgL_arg1801z00_370 = BgL_res2164z00_1248; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1185z00_369), BgL_arg1801z00_370); } 
BgL_new1186z00_368 = BgL_new1185z00_369; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1186z00_368))->BgL_msgz00)=((obj_t)
CAR(
((obj_t)BgL_packetsz00_345))),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1186z00_368))->BgL_sigsz00)=((obj_t)
bgl_reverse_bang(BgL_sigsz00_346)),BUNSPEC); 
return BgL_new1186z00_368;} }  else 
{ /* Llib/pgp_composition.scm 298 */
{ /* Llib/pgp_composition.scm 306 */
obj_t BgL_arg1802z00_371;
BgL_arg1802z00_371 = 
CAR(
((obj_t)BgL_packetsz00_345)); 
{ /* Llib/pgp_composition.scm 305 */
obj_t BgL_list1803z00_372;
{ /* Llib/pgp_composition.scm 305 */
obj_t BgL_arg1804z00_373;
BgL_arg1804z00_373 = 
MAKE_YOUNG_PAIR(BgL_arg1802z00_371, BNIL); 
BgL_list1803z00_372 = 
MAKE_YOUNG_PAIR(BGl_string2276z00zz__openpgpzd2compositionzd2, BgL_arg1804z00_373); } 
BGl_warningz00zz__errorz00(BgL_list1803z00_372); } } 
{ /* Llib/pgp_composition.scm 307 */
obj_t BgL_arg1805z00_374;
BgL_arg1805z00_374 = 
CDR(
((obj_t)BgL_packetsz00_345)); 
{ 
obj_t BgL_packetsz00_2586;
BgL_packetsz00_2586 = BgL_arg1805z00_374; 
BgL_packetsz00_345 = BgL_packetsz00_2586; 
goto BgL_zc3z04anonymousza31783ze3z87_347;} } } } } } } } 

}



/* parse-one-pass-signature */
obj_t BGl_parsezd2onezd2passzd2signaturezd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_10)
{
{ /* Llib/pgp_composition.scm 312 */
{ 
obj_t BgL_opzd2pktzd2_436;obj_t BgL_pktz00_437;
{ 
obj_t BgL_packetsz00_383;bool_t BgL_expectzd2onezd2passzf3zf3_384;obj_t BgL_onezd2passzd2sigsz00_385;obj_t BgL_msgz00_386;obj_t BgL_sigsz00_387;
BgL_packetsz00_383 = BgL_packetsz00_10; 
BgL_expectzd2onezd2passzf3zf3_384 = ((bool_t)1); 
BgL_onezd2passzd2sigsz00_385 = BNIL; 
BgL_msgz00_386 = BFALSE; 
BgL_sigsz00_387 = BNIL; 
BgL_zc3z04anonymousza31809ze3z87_388:
if(
NULLP(BgL_packetsz00_383))
{ /* Llib/pgp_composition.scm 336 */
obj_t BgL_onezd2passzd2sigsz00_390;
BgL_onezd2passzd2sigsz00_390 = 
bgl_reverse_bang(BgL_onezd2passzd2sigsz00_385); 
if(
(
bgl_list_length(BgL_onezd2passzd2sigsz00_390)==
bgl_list_length(BgL_sigsz00_387)))
{ /* Llib/pgp_composition.scm 337 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 337 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string2278z00zz__openpgpzd2compositionzd2, BFALSE); } 
{ 
obj_t BgL_ll1250z00_397;obj_t BgL_ll1251z00_398;
BgL_ll1250z00_397 = BgL_onezd2passzd2sigsz00_390; 
BgL_ll1251z00_398 = BgL_sigsz00_387; 
BgL_zc3z04anonymousza31816ze3z87_399:
if(
NULLP(BgL_ll1250z00_397))
{ /* Llib/pgp_composition.scm 342 */((bool_t)1); }  else 
{ /* Llib/pgp_composition.scm 342 */
{ /* Llib/pgp_composition.scm 343 */
obj_t BgL_opzd2pktzd2_401;obj_t BgL_sigzd2pktzd2_402;
BgL_opzd2pktzd2_401 = 
CAR(
((obj_t)BgL_ll1250z00_397)); 
BgL_sigzd2pktzd2_402 = 
CAR(
((obj_t)BgL_ll1251z00_398)); 
{ /* Llib/pgp_composition.scm 343 */
bool_t BgL_test2523z00_2602;
BgL_opzd2pktzd2_436 = BgL_opzd2pktzd2_401; 
BgL_pktz00_437 = BgL_sigzd2pktzd2_402; 
if(
BGl_equalzf3zf3zz__r4_equivalence_6_2z00(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_436))))->BgL_issuerz00), 
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_437))))->BgL_issuerz00)))
{ /* Llib/pgp_composition.scm 323 */
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_436))))->BgL_publiczd2keyzd2algoz00)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_437))))->BgL_publiczd2keyzd2algoz00)))
{ /* Llib/pgp_composition.scm 324 */
if(
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_436))))->BgL_hashzd2algozd2)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_437))))->BgL_hashzd2algozd2)))
{ /* Llib/pgp_composition.scm 325 */
BgL_test2523z00_2602 = 
(
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)BgL_opzd2pktzd2_436))))->BgL_signaturezd2typezd2)==
(((BgL_pgpzd2sigzd2packetz00_bglt)COBJECT(
((BgL_pgpzd2sigzd2packetz00_bglt)
((BgL_pgpzd2signaturezd2packetz00_bglt)BgL_pktz00_437))))->BgL_signaturezd2typezd2))
; }  else 
{ /* Llib/pgp_composition.scm 325 */
BgL_test2523z00_2602 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_composition.scm 324 */
BgL_test2523z00_2602 = ((bool_t)0)
; } }  else 
{ /* Llib/pgp_composition.scm 323 */
BgL_test2523z00_2602 = ((bool_t)0)
; } 
if(BgL_test2523z00_2602)
{ /* Llib/pgp_composition.scm 343 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 343 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string2279z00zz__openpgpzd2compositionzd2, BFALSE); } } } 
{ /* Llib/pgp_composition.scm 342 */
obj_t BgL_arg1819z00_404;obj_t BgL_arg1820z00_405;
BgL_arg1819z00_404 = 
CDR(
((obj_t)BgL_ll1250z00_397)); 
BgL_arg1820z00_405 = 
CDR(
((obj_t)BgL_ll1251z00_398)); 
{ 
obj_t BgL_ll1251z00_2641;obj_t BgL_ll1250z00_2640;
BgL_ll1250z00_2640 = BgL_arg1819z00_404; 
BgL_ll1251z00_2641 = BgL_arg1820z00_405; 
BgL_ll1251z00_398 = BgL_ll1251z00_2641; 
BgL_ll1250z00_397 = BgL_ll1250z00_2640; 
goto BgL_zc3z04anonymousza31816ze3z87_399;} } } } 
{ /* Llib/pgp_composition.scm 349 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1195z00_407;
{ /* Llib/pgp_composition.scm 351 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1194z00_408;
BgL_new1194z00_408 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 351 */
long BgL_arg1821z00_409;
{ /* Llib/pgp_composition.scm 351 */
long BgL_res2168z00_1264;
BgL_res2168z00_1264 = 
BGL_CLASS_INDEX(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BgL_arg1821z00_409 = BgL_res2168z00_1264; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1194z00_408), BgL_arg1821z00_409); } 
{ /* Llib/pgp_composition.scm 351 */
BgL_objectz00_bglt BgL_tmpz00_2646;
BgL_tmpz00_2646 = 
((BgL_objectz00_bglt)BgL_new1194z00_408); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2646, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1194z00_408); 
BgL_new1195z00_407 = BgL_new1194z00_408; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1195z00_407)))->BgL_msgz00)=((obj_t)BgL_msgz00_386),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1195z00_407)))->BgL_sigsz00)=((obj_t)BgL_sigsz00_387),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(BgL_new1195z00_407))->BgL_onezd2passzd2sigsz00)=((obj_t)BgL_onezd2passzd2sigsz00_390),BUNSPEC); 
return 
((obj_t)BgL_new1195z00_407);} }  else 
{ /* Llib/pgp_composition.scm 353 */
bool_t BgL_test2527z00_2656;
{ /* Llib/pgp_composition.scm 353 */
obj_t BgL_arg1844z00_434;
BgL_arg1844z00_434 = 
CAR(
((obj_t)BgL_packetsz00_383)); 
BgL_test2527z00_2656 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1844z00_434, BGl_PGPzd2Compressedzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2527z00_2656)
{ /* Llib/pgp_composition.scm 354 */
BgL_pgpzd2compressedzd2packetz00_bglt BgL_i1196z00_412;
BgL_i1196z00_412 = 
((BgL_pgpzd2compressedzd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_383))); 
{ 
obj_t BgL_packetsz00_2663;
BgL_packetsz00_2663 = 
BGl_appendzd221010zd2zz__openpgpzd2compositionzd2(
(((BgL_pgpzd2compressedzd2packetz00_bglt)COBJECT(BgL_i1196z00_412))->BgL_packetsz00), BgL_packetsz00_383); 
BgL_packetsz00_383 = BgL_packetsz00_2663; 
goto BgL_zc3z04anonymousza31809ze3z87_388;} }  else 
{ /* Llib/pgp_composition.scm 357 */
bool_t BgL_test2528z00_2666;
if(BgL_expectzd2onezd2passzf3zf3_384)
{ /* Llib/pgp_composition.scm 358 */
obj_t BgL_arg1843z00_433;
BgL_arg1843z00_433 = 
CAR(
((obj_t)BgL_packetsz00_383)); 
BgL_test2528z00_2666 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1843z00_433, BGl_PGPzd2Onezd2Passzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); }  else 
{ /* Llib/pgp_composition.scm 357 */
BgL_test2528z00_2666 = ((bool_t)0)
; } 
if(BgL_test2528z00_2666)
{ /* Llib/pgp_composition.scm 359 */
BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt BgL_i1197z00_417;
BgL_i1197z00_417 = 
((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)
CAR(
((obj_t)BgL_packetsz00_383))); 
{ /* Llib/pgp_composition.scm 361 */
obj_t BgL_arg1828z00_418;bool_t BgL_arg1829z00_419;obj_t BgL_arg1830z00_420;
BgL_arg1828z00_418 = 
CDR(
((obj_t)BgL_packetsz00_383)); 
BgL_arg1829z00_419 = 
(((BgL_pgpzd2onezd2passzd2signaturezd2packetz00_bglt)COBJECT(BgL_i1197z00_417))->BgL_containszd2nestedzd2sigzf3zf3); 
{ /* Llib/pgp_composition.scm 363 */
obj_t BgL_arg1831z00_421;
BgL_arg1831z00_421 = 
CAR(
((obj_t)BgL_packetsz00_383)); 
BgL_arg1830z00_420 = 
MAKE_YOUNG_PAIR(BgL_arg1831z00_421, BgL_onezd2passzd2sigsz00_385); } 
{ 
obj_t BgL_onezd2passzd2sigsz00_2682;bool_t BgL_expectzd2onezd2passzf3zf3_2681;obj_t BgL_packetsz00_2680;
BgL_packetsz00_2680 = BgL_arg1828z00_418; 
BgL_expectzd2onezd2passzf3zf3_2681 = BgL_arg1829z00_419; 
BgL_onezd2passzd2sigsz00_2682 = BgL_arg1830z00_420; 
BgL_onezd2passzd2sigsz00_385 = BgL_onezd2passzd2sigsz00_2682; 
BgL_expectzd2onezd2passzf3zf3_384 = BgL_expectzd2onezd2passzf3zf3_2681; 
BgL_packetsz00_383 = BgL_packetsz00_2680; 
goto BgL_zc3z04anonymousza31809ze3z87_388;} } }  else 
{ /* Llib/pgp_composition.scm 357 */
if(BgL_expectzd2onezd2passzf3zf3_384)
{ /* Llib/pgp_composition.scm 366 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string2278z00zz__openpgpzd2compositionzd2, BFALSE);}  else 
{ /* Llib/pgp_composition.scm 370 */
bool_t BgL_test2531z00_2686;
if(
CBOOL(BgL_msgz00_386))
{ /* Llib/pgp_composition.scm 370 */
BgL_test2531z00_2686 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 370 */
obj_t BgL_arg1842z00_432;
BgL_arg1842z00_432 = 
CAR(
((obj_t)BgL_packetsz00_383)); 
BgL_test2531z00_2686 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1842z00_432, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2531z00_2686)
{ /* Llib/pgp_composition.scm 371 */
obj_t BgL_arg1834z00_424;obj_t BgL_arg1835z00_425;
BgL_arg1834z00_424 = 
CDR(
((obj_t)BgL_packetsz00_383)); 
BgL_arg1835z00_425 = 
CAR(
((obj_t)BgL_packetsz00_383)); 
{ 
obj_t BgL_msgz00_2698;bool_t BgL_expectzd2onezd2passzf3zf3_2697;obj_t BgL_packetsz00_2696;
BgL_packetsz00_2696 = BgL_arg1834z00_424; 
BgL_expectzd2onezd2passzf3zf3_2697 = ((bool_t)0); 
BgL_msgz00_2698 = BgL_arg1835z00_425; 
BgL_msgz00_386 = BgL_msgz00_2698; 
BgL_expectzd2onezd2passzf3zf3_384 = BgL_expectzd2onezd2passzf3zf3_2697; 
BgL_packetsz00_383 = BgL_packetsz00_2696; 
goto BgL_zc3z04anonymousza31809ze3z87_388;} }  else 
{ /* Llib/pgp_composition.scm 370 */
if(
CBOOL(BgL_msgz00_386))
{ /* Llib/pgp_composition.scm 376 */
bool_t BgL_test2534z00_2701;
{ /* Llib/pgp_composition.scm 376 */
obj_t BgL_arg1841z00_431;
BgL_arg1841z00_431 = 
CAR(
((obj_t)BgL_packetsz00_383)); 
BgL_test2534z00_2701 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1841z00_431, BGl_PGPzd2Signaturezd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2534z00_2701)
{ /* Llib/pgp_composition.scm 377 */
obj_t BgL_arg1838z00_428;obj_t BgL_arg1839z00_429;
BgL_arg1838z00_428 = 
CDR(
((obj_t)BgL_packetsz00_383)); 
{ /* Llib/pgp_composition.scm 378 */
obj_t BgL_arg1840z00_430;
BgL_arg1840z00_430 = 
CAR(
((obj_t)BgL_packetsz00_383)); 
BgL_arg1839z00_429 = 
MAKE_YOUNG_PAIR(BgL_arg1840z00_430, BgL_sigsz00_387); } 
{ 
obj_t BgL_sigsz00_2712;bool_t BgL_expectzd2onezd2passzf3zf3_2711;obj_t BgL_packetsz00_2710;
BgL_packetsz00_2710 = BgL_arg1838z00_428; 
BgL_expectzd2onezd2passzf3zf3_2711 = ((bool_t)0); 
BgL_sigsz00_2712 = BgL_arg1839z00_429; 
BgL_sigsz00_387 = BgL_sigsz00_2712; 
BgL_expectzd2onezd2passzf3zf3_384 = BgL_expectzd2onezd2passzf3zf3_2711; 
BgL_packetsz00_383 = BgL_packetsz00_2710; 
goto BgL_zc3z04anonymousza31809ze3z87_388;} }  else 
{ /* Llib/pgp_composition.scm 376 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string2278z00zz__openpgpzd2compositionzd2, BFALSE);} }  else 
{ /* Llib/pgp_composition.scm 372 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)10)), BGl_string2278z00zz__openpgpzd2compositionzd2, BFALSE);} } } } } } } } } 

}



/* parse-literal */
BgL_pgpzd2literalzd2_bglt BGl_parsezd2literalzd2zz__openpgpzd2compositionzd2(obj_t BgL_packetsz00_11)
{
{ /* Llib/pgp_composition.scm 387 */
if(
NULLP(
CDR(BgL_packetsz00_11)))
{ /* Llib/pgp_composition.scm 388 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 389 */
obj_t BgL_list1856z00_455;
BgL_list1856z00_455 = 
MAKE_YOUNG_PAIR(BGl_string2267z00zz__openpgpzd2compositionzd2, BNIL); 
BGl_warningz00zz__errorz00(BgL_list1856z00_455); } 
{ /* Llib/pgp_composition.scm 390 */
bool_t BgL_test2536z00_2722;
{ /* Llib/pgp_composition.scm 391 */
bool_t BgL_test2537z00_2723;
{ /* Llib/pgp_composition.scm 391 */
obj_t BgL_arg1863z00_464;
BgL_arg1863z00_464 = 
CAR(BgL_packetsz00_11); 
BgL_test2537z00_2723 = 
BGl_isazf3zf3zz__objectz00(BgL_arg1863z00_464, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); } 
if(BgL_test2537z00_2723)
{ /* Llib/pgp_composition.scm 391 */
BgL_test2536z00_2722 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 391 */
BgL_test2536z00_2722 = ((bool_t)1)
; } } 
if(BgL_test2536z00_2722)
{ /* Llib/pgp_composition.scm 390 */
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)11)), BGl_string2280z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 390 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 395 */
BgL_pgpzd2literalzd2_bglt BgL_new1199z00_465;
{ /* Llib/pgp_composition.scm 396 */
BgL_pgpzd2literalzd2_bglt BgL_new1198z00_466;
BgL_new1198z00_466 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 396 */
long BgL_arg1864z00_467;
{ /* Llib/pgp_composition.scm 396 */
long BgL_res2171z00_1285;
BgL_res2171z00_1285 = 
BGL_CLASS_INDEX(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BgL_arg1864z00_467 = BgL_res2171z00_1285; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1198z00_466), BgL_arg1864z00_467); } 
{ /* Llib/pgp_composition.scm 396 */
BgL_objectz00_bglt BgL_tmpz00_2732;
BgL_tmpz00_2732 = 
((BgL_objectz00_bglt)BgL_new1198z00_466); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_2732, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1198z00_466); 
BgL_new1199z00_465 = BgL_new1198z00_466; } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(BgL_new1199z00_465))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)
CAR(BgL_packetsz00_11))),BUNSPEC); 
return BgL_new1199z00_465;} } 

}



/* create-chksum64 */
obj_t BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(obj_t BgL_dataz00_12)
{
{ /* Llib/pgp_composition.scm 401 */
{ /* Llib/pgp_composition.scm 402 */
obj_t BgL_computedzd2chksumzd2_468;
BgL_computedzd2chksumzd2_468 = 
BGl_crczd2stringzd2zz__crcz00(
CNST_TABLE_REF(((long)12)), BgL_dataz00_12, BTRUE, 
BINT(((long)0)), 
BINT(((long)11994318))); 
{ /* Llib/pgp_composition.scm 402 */
long BgL_b1z00_469;
BgL_b1z00_469 = 
(
(
(long)CINT(BgL_computedzd2chksumzd2_468) & ((long)16711680)) >> 
(int)(((long)16))); 
{ /* Llib/pgp_composition.scm 404 */
long BgL_b2z00_470;
BgL_b2z00_470 = 
(
(
(long)CINT(BgL_computedzd2chksumzd2_468) & ((long)65280)) >> 
(int)(((long)8))); 
{ /* Llib/pgp_composition.scm 405 */
long BgL_b3z00_471;
BgL_b3z00_471 = 
(
(long)CINT(BgL_computedzd2chksumzd2_468) & ((long)255)); 
{ /* Llib/pgp_composition.scm 406 */

{ /* Llib/pgp_composition.scm 407 */
obj_t BgL_arg1865z00_472;
{ /* Llib/pgp_composition.scm 407 */
unsigned char BgL_arg1866z00_475;unsigned char BgL_arg1867z00_476;unsigned char BgL_arg1868z00_477;
BgL_arg1866z00_475 = 
(BgL_b1z00_469); 
BgL_arg1867z00_476 = 
(BgL_b2z00_470); 
BgL_arg1868z00_477 = 
(BgL_b3z00_471); 
{ /* Llib/pgp_composition.scm 407 */
obj_t BgL_list1869z00_478;
{ /* Llib/pgp_composition.scm 407 */
obj_t BgL_arg1870z00_479;
{ /* Llib/pgp_composition.scm 407 */
obj_t BgL_arg1871z00_480;
BgL_arg1871z00_480 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1868z00_477), BNIL); 
BgL_arg1870z00_479 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1867z00_476), BgL_arg1871z00_480); } 
BgL_list1869z00_478 = 
MAKE_YOUNG_PAIR(
BCHAR(BgL_arg1866z00_475), BgL_arg1870z00_479); } 
BgL_arg1865z00_472 = 
BGl_listzd2ze3stringz31zz__r4_strings_6_7z00(BgL_list1869z00_478); } } 
{ /* Llib/pgp_composition.scm 407 */

return 
BGl_base64zd2encodezd2zz__base64z00(BgL_arg1865z00_472, 
BINT(((long)76)));} } } } } } } } 

}



/* armored-pipe-port */
obj_t BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(obj_t BgL_pz00_13)
{
{ /* Llib/pgp_composition.scm 414 */
{ 
obj_t BgL_lz00_547;obj_t BgL_dataz00_560;obj_t BgL_pz00_561;
{ /* Llib/pgp_composition.scm 460 */
obj_t BgL_lz00_489;
BgL_lz00_489 = 
BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(BgL_pz00_13); 
{ /* Llib/pgp_composition.scm 461 */
bool_t BgL_test2538z00_2766;
{ /* Llib/pgp_composition.scm 461 */
bool_t BgL_test2539z00_2767;
{ /* Llib/pgp_composition.scm 461 */

BgL_test2539z00_2767 = 
BGl_stringzd2prefixzf3z21zz__r4_strings_6_7z00(BGl_string2283z00zz__openpgpzd2compositionzd2, BgL_lz00_489, BFALSE, BFALSE, BFALSE, BFALSE); } 
if(BgL_test2539z00_2767)
{ /* Llib/pgp_composition.scm 462 */

BgL_test2538z00_2766 = 
BGl_stringzd2suffixzf3z21zz__r4_strings_6_7z00(BGl_string2284z00zz__openpgpzd2compositionzd2, BgL_lz00_489, BFALSE, BFALSE, BFALSE, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 461 */
BgL_test2538z00_2766 = ((bool_t)0)
; } } 
if(BgL_test2538z00_2766)
{ /* Llib/pgp_composition.scm 461 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 461 */
BGl_errorz00zz__errorz00(BGl_string2281z00zz__openpgpzd2compositionzd2, BGl_string2285z00zz__openpgpzd2compositionzd2, BgL_lz00_489); } } 
{ /* Llib/pgp_composition.scm 465 */
obj_t BgL_mainzd2headerzd2infoz00_523;
{ /* Llib/pgp_composition.scm 465 */
long BgL_arg1879z00_541;
BgL_arg1879z00_541 = 
(
STRING_LENGTH(
((obj_t)BgL_lz00_489))-((long)5)); 
{ /* Llib/pgp_composition.scm 465 */
obj_t BgL_res2193z00_1334;
BgL_res2193z00_1334 = 
c_substring(
((obj_t)BgL_lz00_489), ((long)11), BgL_arg1879z00_541); 
BgL_mainzd2headerzd2infoz00_523 = BgL_res2193z00_1334; } } 
{ 
obj_t BgL_headersz00_526;
BgL_headersz00_526 = BNIL; 
BgL_zc3z04anonymousza31876ze3z87_527:
{ /* Llib/pgp_composition.scm 467 */
obj_t BgL_lz00_528;
BgL_lz00_528 = 
BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(BgL_pz00_13); 
if(
(
STRING_LENGTH(
((obj_t)BgL_lz00_528))==((long)0)))
{ /* Llib/pgp_composition.scm 469 */
obj_t BgL_val2_1255z00_532;
{ /* Llib/pgp_composition.scm 470 */
obj_t BgL_p64z00_533;
BgL_p64z00_533 = 
BGl_base64zd2decodezd2pipezd2portzd2zz__openpgpzd2portzd2utilz00(BgL_pz00_13); 
{ /* Llib/pgp_composition.scm 470 */
obj_t BgL_dataz00_534;
BgL_dataz00_534 = 
BGl_readzd2stringzd2zz__r4_input_6_10_2z00(BgL_p64z00_533); 
{ /* Llib/pgp_composition.scm 471 */

BgL_dataz00_560 = BgL_dataz00_534; 
BgL_pz00_561 = BgL_pz00_13; 
{ /* Llib/pgp_composition.scm 447 */
obj_t BgL_cz00_564;
BgL_cz00_564 = 
BGl_readzd2charzd2zz__r4_input_6_10_2z00(BgL_pz00_561); 
{ /* Llib/pgp_composition.scm 448 */
bool_t BgL_test2541z00_2784;
if(
CHARP(BgL_cz00_564))
{ /* Llib/pgp_composition.scm 448 */
if(
(
CCHAR(BgL_cz00_564)==((unsigned char)'=')))
{ /* Llib/pgp_composition.scm 449 */
BgL_test2541z00_2784 = ((bool_t)0)
; }  else 
{ /* Llib/pgp_composition.scm 449 */
BgL_test2541z00_2784 = ((bool_t)1)
; } }  else 
{ /* Llib/pgp_composition.scm 448 */
BgL_test2541z00_2784 = ((bool_t)1)
; } 
if(BgL_test2541z00_2784)
{ /* Llib/pgp_composition.scm 448 */
BGl_errorz00zz__errorz00(BGl_string2281z00zz__openpgpzd2compositionzd2, BGl_string2282z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 448 */BFALSE; } } 
{ /* Llib/pgp_composition.scm 451 */
obj_t BgL_linez00_570;obj_t BgL_expectedz00_571;
BgL_linez00_570 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_pz00_561); 
BgL_expectedz00_571 = 
BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(BgL_dataz00_560); 
{ /* Llib/pgp_composition.scm 455 */
bool_t BgL_test2544z00_2793;
{ /* Llib/pgp_composition.scm 455 */
bool_t BgL_res2189z00_1324;
BgL_res2189z00_1324 = 
EOF_OBJECTP(BgL_linez00_570); 
BgL_test2544z00_2793 = BgL_res2189z00_1324; } 
if(BgL_test2544z00_2793)
{ /* Llib/pgp_composition.scm 455 */
BGl_errorz00zz__errorz00(BGl_string2281z00zz__openpgpzd2compositionzd2, BGl_string2282z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 455 */BFALSE; } } 
if(
bigloo_strcmp(
((obj_t)BgL_linez00_570), BgL_expectedz00_571))
{ /* Llib/pgp_composition.scm 456 */BFALSE; }  else 
{ /* Llib/pgp_composition.scm 456 */
BGl_errorz00zz__errorz00(BGl_string2281z00zz__openpgpzd2compositionzd2, BGl_string2282z00zz__openpgpzd2compositionzd2, BFALSE); } } } 
{ /* Llib/pgp_composition.scm 474 */
long BgL_endz00_537;
BgL_endz00_537 = 
STRING_LENGTH(BgL_dataz00_534); 
{ /* Llib/pgp_composition.scm 474 */

BgL_val2_1255z00_532 = 
BGl_openzd2inputzd2stringz00zz__r4_ports_6_10_1z00(BgL_dataz00_534, 
BINT(((long)0)), 
BINT(BgL_endz00_537)); } } } } } 
{ /* Llib/pgp_composition.scm 469 */
int BgL_res2198z00_1344;
{ /* Llib/pgp_composition.scm 469 */
int BgL_tmpz00_2804;
BgL_tmpz00_2804 = 
(int)(((long)3)); 
BgL_res2198z00_1344 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2804); } BgL_res2198z00_1344; } 
{ /* Llib/pgp_composition.scm 469 */
int BgL_tmpz00_2807;
BgL_tmpz00_2807 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2807, BgL_headersz00_526); } 
{ /* Llib/pgp_composition.scm 469 */
int BgL_tmpz00_2810;
BgL_tmpz00_2810 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2810, BgL_val2_1255z00_532); } 
return BgL_mainzd2headerzd2infoz00_523;}  else 
{ /* Llib/pgp_composition.scm 475 */
obj_t BgL_headerz00_538;
BgL_lz00_547 = BgL_lz00_528; 
{ /* Llib/pgp_composition.scm 439 */
obj_t BgL_posz00_549;
{ /* Llib/pgp_composition.scm 439 */

BgL_posz00_549 = 
BGl_stringzd2indexzd2zz__r4_strings_6_7z00(BgL_lz00_547, 
BCHAR(((unsigned char)':')), 
BINT(((long)0))); } 
if(
CBOOL(BgL_posz00_549))
{ /* Llib/pgp_composition.scm 441 */
obj_t BgL_arg1884z00_551;obj_t BgL_arg1885z00_552;
{ /* Llib/pgp_composition.scm 441 */
obj_t BgL_res2182z00_1310;
{ /* Llib/pgp_composition.scm 441 */
long BgL_endz00_1309;
BgL_endz00_1309 = 
(long)CINT(BgL_posz00_549); 
BgL_res2182z00_1310 = 
c_substring(
((obj_t)BgL_lz00_547), ((long)0), BgL_endz00_1309); } 
BgL_arg1884z00_551 = BgL_res2182z00_1310; } 
{ /* Llib/pgp_composition.scm 442 */
long BgL_arg1888z00_555;long BgL_arg1889z00_556;
BgL_arg1888z00_555 = 
(
(long)CINT(BgL_posz00_549)+((long)1)); 
BgL_arg1889z00_556 = 
STRING_LENGTH(
((obj_t)BgL_lz00_547)); 
{ /* Llib/pgp_composition.scm 442 */
obj_t BgL_res2185z00_1318;
BgL_res2185z00_1318 = 
c_substring(
((obj_t)BgL_lz00_547), BgL_arg1888z00_555, BgL_arg1889z00_556); 
BgL_arg1885z00_552 = BgL_res2185z00_1318; } } 
{ /* Llib/pgp_composition.scm 441 */
obj_t BgL_list1886z00_553;
{ /* Llib/pgp_composition.scm 441 */
obj_t BgL_arg1887z00_554;
BgL_arg1887z00_554 = 
MAKE_YOUNG_PAIR(BgL_arg1885z00_552, BNIL); 
BgL_list1886z00_553 = 
MAKE_YOUNG_PAIR(BgL_arg1884z00_551, BgL_arg1887z00_554); } 
BgL_headerz00_538 = BgL_list1886z00_553; } }  else 
{ /* Llib/pgp_composition.scm 440 */
BgL_headerz00_538 = BFALSE; } } 
if(
CBOOL(BgL_headerz00_538))
{ /* Llib/pgp_composition.scm 477 */
obj_t BgL_arg1878z00_539;
BgL_arg1878z00_539 = 
MAKE_YOUNG_PAIR(BgL_headerz00_538, BgL_headersz00_526); 
{ 
obj_t BgL_headersz00_2832;
BgL_headersz00_2832 = BgL_arg1878z00_539; 
BgL_headersz00_526 = BgL_headersz00_2832; 
goto BgL_zc3z04anonymousza31876ze3z87_527;} }  else 
{ 

goto BgL_zc3z04anonymousza31876ze3z87_527;} } } } } } } } 

}



/* safe-read-line~0 */
obj_t BGl_safezd2readzd2lineze70ze7zz__openpgpzd2compositionzd2(obj_t BgL_pz00_543)
{
{ /* Llib/pgp_composition.scm 436 */
{ /* Llib/pgp_composition.scm 433 */
obj_t BgL_lz00_545;
BgL_lz00_545 = 
BGl_readzd2linezd2zz__r4_input_6_10_2z00(BgL_pz00_543); 
{ /* Llib/pgp_composition.scm 434 */
bool_t BgL_test2548z00_2834;
{ /* Llib/pgp_composition.scm 434 */
bool_t BgL_res2181z00_1307;
BgL_res2181z00_1307 = 
EOF_OBJECTP(BgL_lz00_545); 
BgL_test2548z00_2834 = BgL_res2181z00_1307; } 
if(BgL_test2548z00_2834)
{ /* Llib/pgp_composition.scm 434 */
BGl_errorz00zz__errorz00(BGl_string2281z00zz__openpgpzd2compositionzd2, BGl_string2286z00zz__openpgpzd2compositionzd2, BFALSE); }  else 
{ /* Llib/pgp_composition.scm 434 */BFALSE; } } 
return BgL_lz00_545;} } 

}



/* decode-pgp */
BGL_EXPORTED_DEF obj_t BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(obj_t BgL_pz00_14)
{
{ /* Llib/pgp_composition.scm 483 */
{ /* Llib/pgp_composition.scm 486 */
obj_t BgL_firstzd2charszd2_579;
BgL_firstzd2charszd2_579 = 
BGl_readzd2charszd2zz__r4_input_6_10_2z00(
BINT(((long)10)), BgL_pz00_14); 
BGl_unreadzd2stringz12zc0zz__r4_input_6_10_2z00(BgL_firstzd2charszd2_579, BgL_pz00_14); 
if(
bigloo_strcmp(BGl_string2283z00zz__openpgpzd2compositionzd2, 
((obj_t)BgL_firstzd2charszd2_579)))
{ /* Llib/pgp_composition.scm 491 */
obj_t BgL_mainzd2headerzd2infoz00_581;
BgL_mainzd2headerzd2infoz00_581 = 
BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pz00_14); 
{ /* Llib/pgp_composition.scm 491 */
obj_t BgL_headersz00_582;obj_t BgL_compositionz00_583;
{ /* Llib/pgp_composition.scm 491 */
int BgL_tmpz00_2844;
BgL_tmpz00_2844 = 
(int)(((long)1)); 
BgL_headersz00_582 = 
BGL_MVALUES_VAL(BgL_tmpz00_2844); } 
{ /* Llib/pgp_composition.scm 491 */
int BgL_tmpz00_2847;
BgL_tmpz00_2847 = 
(int)(((long)2)); 
BgL_compositionz00_583 = 
BGL_MVALUES_VAL(BgL_tmpz00_2847); } 
return BgL_compositionz00_583;} }  else 
{ /* Llib/pgp_composition.scm 490 */
return 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(BgL_pz00_14));} } } 

}



/* &decode-pgp */
obj_t BGl_z62decodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1579, obj_t BgL_pz00_1580)
{
{ /* Llib/pgp_composition.scm 483 */
{ /* Llib/pgp_composition.scm 486 */
obj_t BgL_auxz00_2852;
if(
INPUT_PORTP(BgL_pz00_1580))
{ /* Llib/pgp_composition.scm 486 */
BgL_auxz00_2852 = BgL_pz00_1580
; }  else 
{ 
obj_t BgL_auxz00_2855;
BgL_auxz00_2855 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)18018)), BGl_string2287z00zz__openpgpzd2compositionzd2, BGl_string2288z00zz__openpgpzd2compositionzd2, BgL_pz00_1580); 
FAILURE(BgL_auxz00_2855,BFALSE,BFALSE);} 
return 
BGl_decodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_auxz00_2852);} } 

}



/* decode-armored-pgp */
obj_t BGl_decodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(obj_t BgL_pz00_15)
{
{ /* Llib/pgp_composition.scm 501 */
{ /* Llib/pgp_composition.scm 503 */
obj_t BgL_mainzd2headerzd2infoz00_584;
BgL_mainzd2headerzd2infoz00_584 = 
BGl_armoredzd2pipezd2portz00zz__openpgpzd2compositionzd2(BgL_pz00_15); 
{ /* Llib/pgp_composition.scm 505 */
obj_t BgL_headersz00_585;obj_t BgL_ppz00_586;
{ /* Llib/pgp_composition.scm 505 */
int BgL_tmpz00_2861;
BgL_tmpz00_2861 = 
(int)(((long)1)); 
BgL_headersz00_585 = 
BGL_MVALUES_VAL(BgL_tmpz00_2861); } 
{ /* Llib/pgp_composition.scm 505 */
int BgL_tmpz00_2864;
BgL_tmpz00_2864 = 
(int)(((long)2)); 
BgL_ppz00_586 = 
BGL_MVALUES_VAL(BgL_tmpz00_2864); } 
{ /* Llib/pgp_composition.scm 505 */
obj_t BgL_exitd1202z00_587;
BgL_exitd1202z00_587 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Llib/pgp_composition.scm 507 */
obj_t BgL_zc3z04anonymousza31898ze3z87_1581;
BgL_zc3z04anonymousza31898ze3z87_1581 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31898ze3ze5zz__openpgpzd2compositionzd2, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31898ze3z87_1581, 
(int)(((long)0)), BgL_ppz00_586); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1202z00_587, BgL_zc3z04anonymousza31898ze3z87_1581); 
{ /* Llib/pgp_composition.scm 506 */
obj_t BgL_tmp1204z00_589;
{ /* Llib/pgp_composition.scm 506 */
obj_t BgL_val2_1258z00_592;
{ /* Llib/pgp_composition.scm 65 */
obj_t BgL_packetsz00_1353;
BgL_packetsz00_1353 = 
BGl_decodezd2packetszd2zz__openpgpzd2decodezd2(
((obj_t)BgL_ppz00_586)); 
BgL_val2_1258z00_592 = 
BGl_parsezd2packetszd2zz__openpgpzd2compositionzd2(BgL_packetsz00_1353); } 
{ /* Llib/pgp_composition.scm 506 */
int BgL_res2200z00_1354;
{ /* Llib/pgp_composition.scm 506 */
int BgL_tmpz00_2877;
BgL_tmpz00_2877 = 
(int)(((long)3)); 
BgL_res2200z00_1354 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2877); } BgL_res2200z00_1354; } 
{ /* Llib/pgp_composition.scm 506 */
int BgL_tmpz00_2880;
BgL_tmpz00_2880 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2880, BgL_headersz00_585); } 
{ /* Llib/pgp_composition.scm 506 */
int BgL_tmpz00_2883;
BgL_tmpz00_2883 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2883, BgL_val2_1258z00_592); } 
BgL_tmp1204z00_589 = BgL_mainzd2headerzd2infoz00_584; } 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1202z00_587); 
bgl_close_input_port(
((obj_t)BgL_ppz00_586)); 
return BgL_tmp1204z00_589;} } } } } } 

}



/* &<@anonymous:1898> */
obj_t BGl_z62zc3z04anonymousza31898ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1582)
{
{ /* Llib/pgp_composition.scm 505 */
{ /* Llib/pgp_composition.scm 507 */
obj_t BgL_ppz00_1583;
BgL_ppz00_1583 = 
PROCEDURE_REF(BgL_envz00_1582, 
(int)(((long)0))); 
return 
bgl_close_input_port(
((obj_t)BgL_ppz00_1583));} } 

}



/* encode-native-pgp */
BGL_EXPORTED_DEF obj_t BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_pgpzd2compositionzd2_27, obj_t BgL_pz00_28)
{
{ /* Llib/pgp_composition.scm 590 */
return 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_27, BgL_pz00_28);} 

}



/* &encode-native-pgp */
obj_t BGl_z62encodezd2nativezd2pgpz62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1584, obj_t BgL_pgpzd2compositionzd2_1585, obj_t BgL_pz00_1586)
{
{ /* Llib/pgp_composition.scm 590 */
{ /* Llib/pgp_composition.scm 591 */
obj_t BgL_auxz00_2902;BgL_pgpzd2compositionzd2_bglt BgL_auxz00_2894;
if(
OUTPUT_PORTP(BgL_pz00_1586))
{ /* Llib/pgp_composition.scm 591 */
BgL_auxz00_2902 = BgL_pz00_1586
; }  else 
{ 
obj_t BgL_auxz00_2905;
BgL_auxz00_2905 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)22474)), BGl_string2289z00zz__openpgpzd2compositionzd2, BGl_string2291z00zz__openpgpzd2compositionzd2, BgL_pz00_1586); 
FAILURE(BgL_auxz00_2905,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2compositionzd2_1585, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_composition.scm 591 */
BgL_auxz00_2894 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_pgpzd2compositionzd2_1585)
; }  else 
{ 
obj_t BgL_auxz00_2898;
BgL_auxz00_2898 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)22474)), BGl_string2289z00zz__openpgpzd2compositionzd2, BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_pgpzd2compositionzd2_1585); 
FAILURE(BgL_auxz00_2898,BFALSE,BFALSE);} 
return 
BGl_encodezd2nativezd2pgpz00zz__openpgpzd2compositionzd2(BgL_auxz00_2894, BgL_auxz00_2902);} } 

}



/* encode-armored-pgp */
BGL_EXPORTED_DEF obj_t BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_pgpzd2compositionzd2_29, obj_t BgL_mainzd2headerzd2infoz00_30, obj_t BgL_headersz00_31, obj_t BgL_pz00_32)
{
{ /* Llib/pgp_composition.scm 598 */
{ /* Llib/pgp_composition.scm 602 */
obj_t BgL_pstrz00_595;
{ /* Llib/pgp_composition.scm 602 */

{ /* Llib/pgp_composition.scm 602 */

BgL_pstrz00_595 = 
BGl_openzd2outputzd2stringz00zz__r4_ports_6_10_1z00(BTRUE); } } 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_29, BgL_pstrz00_595); 
{ /* Llib/pgp_composition.scm 604 */
obj_t BgL_strz00_596;
BgL_strz00_596 = 
bgl_close_output_port(BgL_pstrz00_595); 
{ /* Llib/pgp_composition.scm 604 */
obj_t BgL_b64zd2encodedzd2_597;
{ /* Llib/pgp_composition.scm 605 */

BgL_b64zd2encodedzd2_597 = 
BGl_base64zd2encodezd2zz__base64z00(BgL_strz00_596, 
BINT(((long)76))); } 
{ /* Llib/pgp_composition.scm 605 */
obj_t BgL_crczd2b64zd2_598;
BgL_crczd2b64zd2_598 = 
BGl_createzd2chksum64zd2zz__openpgpzd2compositionzd2(BgL_strz00_596); 
{ /* Llib/pgp_composition.scm 606 */

{ /* Llib/pgp_composition.scm 609 */
obj_t BgL_zc3z04anonymousza31900ze3z87_1587;
BgL_zc3z04anonymousza31900ze3z87_1587 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31900ze3ze5zz__openpgpzd2compositionzd2, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31900ze3z87_1587, 
(int)(((long)0)), BgL_mainzd2headerzd2infoz00_30); 
PROCEDURE_SET(BgL_zc3z04anonymousza31900ze3z87_1587, 
(int)(((long)1)), BgL_headersz00_31); 
PROCEDURE_SET(BgL_zc3z04anonymousza31900ze3z87_1587, 
(int)(((long)2)), BgL_b64zd2encodedzd2_597); 
PROCEDURE_SET(BgL_zc3z04anonymousza31900ze3z87_1587, 
(int)(((long)3)), BgL_crczd2b64zd2_598); 
return 
BGl_withzd2outputzd2tozd2portzd2zz__r4_ports_6_10_1z00(BgL_pz00_32, BgL_zc3z04anonymousza31900ze3z87_1587);} } } } } } } 

}



/* &encode-armored-pgp */
obj_t BGl_z62encodezd2armoredzd2pgpz62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1588, obj_t BgL_pgpzd2compositionzd2_1589, obj_t BgL_mainzd2headerzd2infoz00_1590, obj_t BgL_headersz00_1591, obj_t BgL_pz00_1592)
{
{ /* Llib/pgp_composition.scm 598 */
{ /* Llib/pgp_composition.scm 602 */
obj_t BgL_auxz00_2950;obj_t BgL_auxz00_2943;obj_t BgL_auxz00_2936;BgL_pgpzd2compositionzd2_bglt BgL_auxz00_2928;
if(
OUTPUT_PORTP(BgL_pz00_1592))
{ /* Llib/pgp_composition.scm 602 */
BgL_auxz00_2950 = BgL_pz00_1592
; }  else 
{ 
obj_t BgL_auxz00_2953;
BgL_auxz00_2953 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)23022)), BGl_string2292z00zz__openpgpzd2compositionzd2, BGl_string2291z00zz__openpgpzd2compositionzd2, BgL_pz00_1592); 
FAILURE(BgL_auxz00_2953,BFALSE,BFALSE);} 
if(
BGl_pairzd2orzd2nullzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_headersz00_1591))
{ /* Llib/pgp_composition.scm 602 */
BgL_auxz00_2943 = BgL_headersz00_1591
; }  else 
{ 
obj_t BgL_auxz00_2946;
BgL_auxz00_2946 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)23022)), BGl_string2292z00zz__openpgpzd2compositionzd2, BGl_string2271z00zz__openpgpzd2compositionzd2, BgL_headersz00_1591); 
FAILURE(BgL_auxz00_2946,BFALSE,BFALSE);} 
if(
STRINGP(BgL_mainzd2headerzd2infoz00_1590))
{ /* Llib/pgp_composition.scm 602 */
BgL_auxz00_2936 = BgL_mainzd2headerzd2infoz00_1590
; }  else 
{ 
obj_t BgL_auxz00_2939;
BgL_auxz00_2939 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)23022)), BGl_string2292z00zz__openpgpzd2compositionzd2, BGl_string2293z00zz__openpgpzd2compositionzd2, BgL_mainzd2headerzd2infoz00_1590); 
FAILURE(BgL_auxz00_2939,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_pgpzd2compositionzd2_1589, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_composition.scm 602 */
BgL_auxz00_2928 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_pgpzd2compositionzd2_1589)
; }  else 
{ 
obj_t BgL_auxz00_2932;
BgL_auxz00_2932 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)23022)), BGl_string2292z00zz__openpgpzd2compositionzd2, BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_pgpzd2compositionzd2_1589); 
FAILURE(BgL_auxz00_2932,BFALSE,BFALSE);} 
return 
BGl_encodezd2armoredzd2pgpz00zz__openpgpzd2compositionzd2(BgL_auxz00_2928, BgL_auxz00_2936, BgL_auxz00_2943, BgL_auxz00_2950);} } 

}



/* &<@anonymous:1900> */
obj_t BGl_z62zc3z04anonymousza31900ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1593)
{
{ /* Llib/pgp_composition.scm 608 */
{ /* Llib/pgp_composition.scm 609 */
obj_t BgL_mainzd2headerzd2infoz00_1594;obj_t BgL_headersz00_1595;obj_t BgL_b64zd2encodedzd2_1596;obj_t BgL_crczd2b64zd2_1597;
BgL_mainzd2headerzd2infoz00_1594 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1593, 
(int)(((long)0)))); 
BgL_headersz00_1595 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1593, 
(int)(((long)1)))); 
BgL_b64zd2encodedzd2_1596 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1593, 
(int)(((long)2)))); 
BgL_crczd2b64zd2_1597 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1593, 
(int)(((long)3)))); 
{ /* Llib/pgp_composition.scm 609 */
obj_t BgL_port1288z00_1833;
{ /* Llib/pgp_composition.scm 609 */
obj_t BgL_res2201z00_1834;
{ /* Llib/pgp_composition.scm 609 */
obj_t BgL_tmpz00_2970;
BgL_tmpz00_2970 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2201z00_1834 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2970); } 
BgL_port1288z00_1833 = BgL_res2201z00_1834; } 
bgl_display_string(BGl_string2294z00zz__openpgpzd2compositionzd2, BgL_port1288z00_1833); 
bgl_display_obj(BgL_mainzd2headerzd2infoz00_1594, BgL_port1288z00_1833); 
bgl_display_string(BGl_string2284z00zz__openpgpzd2compositionzd2, BgL_port1288z00_1833); 
bgl_display_char(((unsigned char)10), BgL_port1288z00_1833); } 
{ 
obj_t BgL_l1290z00_1836;
BgL_l1290z00_1836 = BgL_headersz00_1595; 
BgL_zc3z04anonymousza31901ze3z87_1835:
if(
PAIRP(BgL_l1290z00_1836))
{ /* Llib/pgp_composition.scm 610 */
{ /* Llib/pgp_composition.scm 611 */
obj_t BgL_headerz00_1837;
BgL_headerz00_1837 = 
CAR(BgL_l1290z00_1836); 
{ /* Llib/pgp_composition.scm 611 */
obj_t BgL_port1289z00_1838;
{ /* Llib/pgp_composition.scm 611 */
obj_t BgL_res2203z00_1839;
{ /* Llib/pgp_composition.scm 611 */
obj_t BgL_tmpz00_2980;
BgL_tmpz00_2980 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2203z00_1839 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2980); } 
BgL_port1289z00_1838 = BgL_res2203z00_1839; } 
{ /* Llib/pgp_composition.scm 611 */
obj_t BgL_arg1903z00_1840;
BgL_arg1903z00_1840 = 
CAR(
((obj_t)BgL_headerz00_1837)); 
bgl_display_obj(BgL_arg1903z00_1840, BgL_port1289z00_1838); } 
bgl_display_string(BGl_string2295z00zz__openpgpzd2compositionzd2, BgL_port1289z00_1838); 
{ /* Llib/pgp_composition.scm 611 */
obj_t BgL_arg1904z00_1841;
{ /* Llib/pgp_composition.scm 611 */
obj_t BgL_pairz00_1842;
BgL_pairz00_1842 = 
CDR(
((obj_t)BgL_headerz00_1837)); 
BgL_arg1904z00_1841 = 
CAR(BgL_pairz00_1842); } 
bgl_display_obj(BgL_arg1904z00_1841, BgL_port1289z00_1838); } 
bgl_display_char(((unsigned char)10), BgL_port1289z00_1838); } } 
{ 
obj_t BgL_l1290z00_2992;
BgL_l1290z00_2992 = 
CDR(BgL_l1290z00_1836); 
BgL_l1290z00_1836 = BgL_l1290z00_2992; 
goto BgL_zc3z04anonymousza31901ze3z87_1835;} }  else 
{ /* Llib/pgp_composition.scm 610 */((bool_t)1); } } 
{ /* Llib/pgp_composition.scm 613 */
obj_t BgL_arg1906z00_1843;
{ /* Llib/pgp_composition.scm 613 */
obj_t BgL_res2204z00_1844;
{ /* Llib/pgp_composition.scm 613 */
obj_t BgL_tmpz00_2994;
BgL_tmpz00_2994 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2204z00_1844 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2994); } 
BgL_arg1906z00_1843 = BgL_res2204z00_1844; } 
bgl_display_char(((unsigned char)10), BgL_arg1906z00_1843); } 
{ /* Llib/pgp_composition.scm 614 */
obj_t BgL_port1292z00_1845;
{ /* Llib/pgp_composition.scm 614 */
obj_t BgL_res2205z00_1846;
{ /* Llib/pgp_composition.scm 614 */
obj_t BgL_tmpz00_2998;
BgL_tmpz00_2998 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2205z00_1846 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2998); } 
BgL_port1292z00_1845 = BgL_res2205z00_1846; } 
bgl_display_obj(BgL_b64zd2encodedzd2_1596, BgL_port1292z00_1845); 
bgl_display_char(((unsigned char)10), BgL_port1292z00_1845); } 
{ /* Llib/pgp_composition.scm 615 */
obj_t BgL_arg1907z00_1847;
{ /* Llib/pgp_composition.scm 615 */
obj_t BgL_res2206z00_1848;
{ /* Llib/pgp_composition.scm 615 */
obj_t BgL_tmpz00_3003;
BgL_tmpz00_3003 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2206z00_1848 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3003); } 
BgL_arg1907z00_1847 = BgL_res2206z00_1848; } 
bgl_display_string(BGl_string2296z00zz__openpgpzd2compositionzd2, BgL_arg1907z00_1847); } 
{ /* Llib/pgp_composition.scm 616 */
obj_t BgL_port1293z00_1849;
{ /* Llib/pgp_composition.scm 616 */
obj_t BgL_res2207z00_1850;
{ /* Llib/pgp_composition.scm 616 */
obj_t BgL_tmpz00_3007;
BgL_tmpz00_3007 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2207z00_1850 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3007); } 
BgL_port1293z00_1849 = BgL_res2207z00_1850; } 
bgl_display_obj(BgL_crczd2b64zd2_1597, BgL_port1293z00_1849); 
bgl_display_char(((unsigned char)10), BgL_port1293z00_1849); } 
{ /* Llib/pgp_composition.scm 617 */
obj_t BgL_port1294z00_1851;
{ /* Llib/pgp_composition.scm 617 */
obj_t BgL_res2208z00_1852;
{ /* Llib/pgp_composition.scm 617 */
obj_t BgL_tmpz00_3012;
BgL_tmpz00_3012 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2208z00_1852 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_3012); } 
BgL_port1294z00_1851 = BgL_res2208z00_1852; } 
bgl_display_string(BGl_string2297z00zz__openpgpzd2compositionzd2, BgL_port1294z00_1851); 
bgl_display_obj(BgL_mainzd2headerzd2infoz00_1594, BgL_port1294z00_1851); 
bgl_display_string(BGl_string2284z00zz__openpgpzd2compositionzd2, BgL_port1294z00_1851); 
return 
bgl_display_char(((unsigned char)10), BgL_port1294z00_1851);} } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
{ /* Llib/pgp_composition.scm 30 */
obj_t BgL_arg1911z00_624;obj_t BgL_arg1912z00_625;
{ /* Llib/pgp_composition.scm 30 */
obj_t BgL_v1295z00_637;
BgL_v1295z00_637 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 30 */
obj_t BgL_arg1918z00_638;
BgL_arg1918z00_638 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)13)), BGl_proc2299z00zz__openpgpzd2compositionzd2, BGl_proc2298z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1295z00_637,((long)0),BgL_arg1918z00_638); } 
{ /* Llib/pgp_composition.scm 30 */
obj_t BgL_arg1923z00_648;
BgL_arg1923z00_648 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2301z00zz__openpgpzd2compositionzd2, BGl_proc2300z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)15))); 
VECTOR_SET(BgL_v1295z00_637,((long)1),BgL_arg1923z00_648); } 
BgL_arg1911z00_624 = BgL_v1295z00_637; } 
{ /* Llib/pgp_composition.scm 30 */
obj_t BgL_v1296z00_658;
BgL_v1296z00_658 = 
create_vector(((long)0)); 
BgL_arg1912z00_625 = BgL_v1296z00_658; } 
BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)16)), 
CNST_TABLE_REF(((long)17)), BGl_objectz00zz__objectz00, ((long)38657), BGl_proc2304z00zz__openpgpzd2compositionzd2, BGl_proc2303z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2302z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1911z00_624, BgL_arg1912z00_625); } 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_arg1931z00_665;obj_t BgL_arg1932z00_666;
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_v1297z00_680;
BgL_v1297z00_680 = 
create_vector(((long)4)); 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_arg1938z00_681;
BgL_arg1938z00_681 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)18)), BGl_proc2306z00zz__openpgpzd2compositionzd2, BGl_proc2305z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1297z00_680,((long)0),BgL_arg1938z00_681); } 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_arg1943z00_691;
BgL_arg1943z00_691 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2308z00zz__openpgpzd2compositionzd2, BGl_proc2307z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)15))); 
VECTOR_SET(BgL_v1297z00_680,((long)1),BgL_arg1943z00_691); } 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_arg1948z00_701;
BgL_arg1948z00_701 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)19)), BGl_proc2310z00zz__openpgpzd2compositionzd2, BGl_proc2309z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)15))); 
VECTOR_SET(BgL_v1297z00_680,((long)2),BgL_arg1948z00_701); } 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_arg1953z00_711;
BgL_arg1953z00_711 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)20)), BGl_proc2312z00zz__openpgpzd2compositionzd2, BGl_proc2311z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
VECTOR_SET(BgL_v1297z00_680,((long)3),BgL_arg1953z00_711); } 
BgL_arg1931z00_665 = BgL_v1297z00_680; } 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_v1298z00_721;
BgL_v1298z00_721 = 
create_vector(((long)0)); 
BgL_arg1932z00_666 = BgL_v1298z00_721; } 
BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)21)), 
CNST_TABLE_REF(((long)17)), BGl_objectz00zz__objectz00, ((long)25398), BGl_proc2315z00zz__openpgpzd2compositionzd2, BGl_proc2314z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2313z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1931z00_665, BgL_arg1932z00_666); } 
{ /* Llib/pgp_composition.scm 38 */
obj_t BgL_arg1960z00_727;obj_t BgL_arg1961z00_728;
{ /* Llib/pgp_composition.scm 38 */
obj_t BgL_v1299z00_734;
BgL_v1299z00_734 = 
create_vector(((long)0)); 
BgL_arg1960z00_727 = BgL_v1299z00_734; } 
{ /* Llib/pgp_composition.scm 38 */
obj_t BgL_v1300z00_735;
BgL_v1300z00_735 = 
create_vector(((long)0)); 
BgL_arg1961z00_728 = BgL_v1300z00_735; } 
BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)22)), 
CNST_TABLE_REF(((long)17)), BGl_objectz00zz__objectz00, ((long)55354), BFALSE, BGl_proc2317z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2316z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1960z00_727, BgL_arg1961z00_728); } 
{ /* Llib/pgp_composition.scm 39 */
obj_t BgL_arg1968z00_741;obj_t BgL_arg1969z00_742;
{ /* Llib/pgp_composition.scm 39 */
obj_t BgL_v1301z00_754;
BgL_v1301z00_754 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 39 */
obj_t BgL_arg1975z00_755;
BgL_arg1975z00_755 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)23)), BGl_proc2319z00zz__openpgpzd2compositionzd2, BGl_proc2318z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)24))); 
VECTOR_SET(BgL_v1301z00_754,((long)0),BgL_arg1975z00_755); } 
{ /* Llib/pgp_composition.scm 39 */
obj_t BgL_arg1980z00_765;
BgL_arg1980z00_765 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)25)), BGl_proc2321z00zz__openpgpzd2compositionzd2, BGl_proc2320z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)15))); 
VECTOR_SET(BgL_v1301z00_754,((long)1),BgL_arg1980z00_765); } 
BgL_arg1968z00_741 = BgL_v1301z00_754; } 
{ /* Llib/pgp_composition.scm 39 */
obj_t BgL_v1302z00_775;
BgL_v1302z00_775 = 
create_vector(((long)0)); 
BgL_arg1969z00_742 = BgL_v1302z00_775; } 
BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)26)), 
CNST_TABLE_REF(((long)17)), BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, ((long)57195), BGl_proc2324z00zz__openpgpzd2compositionzd2, BGl_proc2323z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2322z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1968z00_741, BgL_arg1969z00_742); } 
{ /* Llib/pgp_composition.scm 42 */
obj_t BgL_arg1987z00_781;obj_t BgL_arg1988z00_782;
{ /* Llib/pgp_composition.scm 42 */
obj_t BgL_v1303z00_788;
BgL_v1303z00_788 = 
create_vector(((long)0)); 
BgL_arg1987z00_781 = BgL_v1303z00_788; } 
{ /* Llib/pgp_composition.scm 42 */
obj_t BgL_v1304z00_789;
BgL_v1304z00_789 = 
create_vector(((long)0)); 
BgL_arg1988z00_782 = BgL_v1304z00_789; } 
BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)27)), 
CNST_TABLE_REF(((long)17)), BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, ((long)36943), BFALSE, BGl_proc2326z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2325z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1987z00_781, BgL_arg1988z00_782); } 
{ /* Llib/pgp_composition.scm 43 */
obj_t BgL_arg1995z00_795;obj_t BgL_arg1996z00_796;
{ /* Llib/pgp_composition.scm 43 */
obj_t BgL_v1305z00_808;
BgL_v1305z00_808 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 43 */
obj_t BgL_arg2002z00_809;
BgL_arg2002z00_809 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)28)), BGl_proc2328z00zz__openpgpzd2compositionzd2, BGl_proc2327z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)15))); 
VECTOR_SET(BgL_v1305z00_808,((long)0),BgL_arg2002z00_809); } 
{ /* Llib/pgp_composition.scm 43 */
obj_t BgL_arg2007z00_819;
BgL_arg2007z00_819 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)29)), BGl_proc2330z00zz__openpgpzd2compositionzd2, BGl_proc2329z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1305z00_808,((long)1),BgL_arg2007z00_819); } 
BgL_arg1995z00_795 = BgL_v1305z00_808; } 
{ /* Llib/pgp_composition.scm 43 */
obj_t BgL_v1306z00_829;
BgL_v1306z00_829 = 
create_vector(((long)0)); 
BgL_arg1996z00_796 = BgL_v1306z00_829; } 
BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)30)), 
CNST_TABLE_REF(((long)17)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)34910), BGl_proc2333z00zz__openpgpzd2compositionzd2, BGl_proc2332z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2331z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg1995z00_795, BgL_arg1996z00_796); } 
{ /* Llib/pgp_composition.scm 47 */
obj_t BgL_arg2015z00_836;obj_t BgL_arg2016z00_837;
{ /* Llib/pgp_composition.scm 47 */
obj_t BgL_v1307z00_849;
BgL_v1307z00_849 = 
create_vector(((long)2)); 
{ /* Llib/pgp_composition.scm 47 */
obj_t BgL_arg2022z00_850;
BgL_arg2022z00_850 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)31)), BGl_proc2335z00zz__openpgpzd2compositionzd2, BGl_proc2334z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)32))); 
VECTOR_SET(BgL_v1307z00_849,((long)0),BgL_arg2022z00_850); } 
{ /* Llib/pgp_composition.scm 47 */
obj_t BgL_arg2027z00_860;
BgL_arg2027z00_860 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)14)), BGl_proc2337z00zz__openpgpzd2compositionzd2, BGl_proc2336z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)15))); 
VECTOR_SET(BgL_v1307z00_849,((long)1),BgL_arg2027z00_860); } 
BgL_arg2015z00_836 = BgL_v1307z00_849; } 
{ /* Llib/pgp_composition.scm 47 */
obj_t BgL_v1308z00_870;
BgL_v1308z00_870 = 
create_vector(((long)0)); 
BgL_arg2016z00_837 = BgL_v1308z00_870; } 
BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)33)), 
CNST_TABLE_REF(((long)17)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)53773), BGl_proc2340z00zz__openpgpzd2compositionzd2, BGl_proc2339z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2338z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2015z00_836, BgL_arg2016z00_837); } 
{ /* Llib/pgp_composition.scm 50 */
obj_t BgL_arg2035z00_877;obj_t BgL_arg2036z00_878;
{ /* Llib/pgp_composition.scm 50 */
obj_t BgL_v1309z00_891;
BgL_v1309z00_891 = 
create_vector(((long)1)); 
{ /* Llib/pgp_composition.scm 50 */
obj_t BgL_arg2042z00_892;
BgL_arg2042z00_892 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)34)), BGl_proc2342z00zz__openpgpzd2compositionzd2, BGl_proc2341z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, 
CNST_TABLE_REF(((long)15))); 
VECTOR_SET(BgL_v1309z00_891,((long)0),BgL_arg2042z00_892); } 
BgL_arg2035z00_877 = BgL_v1309z00_891; } 
{ /* Llib/pgp_composition.scm 50 */
obj_t BgL_v1310z00_902;
BgL_v1310z00_902 = 
create_vector(((long)0)); 
BgL_arg2036z00_878 = BgL_v1310z00_902; } 
BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)35)), 
CNST_TABLE_REF(((long)17)), BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2, ((long)43858), BGl_proc2345z00zz__openpgpzd2compositionzd2, BGl_proc2344z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2343z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2035z00_877, BgL_arg2036z00_878); } 
{ /* Llib/pgp_composition.scm 52 */
obj_t BgL_arg2050z00_909;obj_t BgL_arg2051z00_910;
{ /* Llib/pgp_composition.scm 52 */
obj_t BgL_v1311z00_921;
BgL_v1311z00_921 = 
create_vector(((long)1)); 
{ /* Llib/pgp_composition.scm 52 */
obj_t BgL_arg2057z00_922;
BgL_arg2057z00_922 = 
BGl_makezd2classzd2fieldz00zz__objectz00(
CNST_TABLE_REF(((long)36)), BGl_proc2347z00zz__openpgpzd2compositionzd2, BGl_proc2346z00zz__openpgpzd2compositionzd2, ((bool_t)0), ((bool_t)0), BFALSE, BFALSE, BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2); 
VECTOR_SET(BgL_v1311z00_921,((long)0),BgL_arg2057z00_922); } 
BgL_arg2050z00_909 = BgL_v1311z00_921; } 
{ /* Llib/pgp_composition.scm 52 */
obj_t BgL_v1312z00_932;
BgL_v1312z00_932 = 
create_vector(((long)0)); 
BgL_arg2051z00_910 = BgL_v1312z00_932; } 
return ( 
BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2 = 
BGl_registerzd2classz12zc0zz__objectz00(
CNST_TABLE_REF(((long)37)), 
CNST_TABLE_REF(((long)17)), BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2, ((long)54317), BGl_proc2350z00zz__openpgpzd2compositionzd2, BGl_proc2349z00zz__openpgpzd2compositionzd2, BFALSE, BGl_proc2348z00zz__openpgpzd2compositionzd2, BFALSE, BgL_arg2050z00_909, BgL_arg2051z00_910), BUNSPEC) ;} } 

}



/* &<@anonymous:2056> */
obj_t BGl_z62zc3z04anonymousza32056ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1651, obj_t BgL_new1130z00_1652)
{
{ /* Llib/pgp_composition.scm 52 */
{ 
BgL_pgpzd2literalzd2_bglt BgL_auxz00_3115;
{ 
BgL_pgpzd2literalzd2packetz00_bglt BgL_auxz00_3116;
{ /* Llib/pgp_composition.scm 52 */
obj_t BgL_classz00_1854;
BgL_classz00_1854 = BGl_PGPzd2Literalzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 52 */
obj_t BgL__ortest_1107z00_1855;
BgL__ortest_1107z00_1855 = 
BGL_CLASS_NIL(BgL_classz00_1854); 
if(
CBOOL(BgL__ortest_1107z00_1855))
{ /* Llib/pgp_composition.scm 52 */
BgL_auxz00_3116 = 
((BgL_pgpzd2literalzd2packetz00_bglt)BgL__ortest_1107z00_1855)
; }  else 
{ /* Llib/pgp_composition.scm 52 */
BgL_auxz00_3116 = 
((BgL_pgpzd2literalzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1854))
; } } } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_new1130z00_1652)))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)BgL_auxz00_3116),BUNSPEC); } 
BgL_auxz00_3115 = 
((BgL_pgpzd2literalzd2_bglt)BgL_new1130z00_1652); 
return 
((obj_t)BgL_auxz00_3115);} } 

}



/* &lambda2054 */
BgL_pgpzd2literalzd2_bglt BGl_z62lambda2054z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1653)
{
{ /* Llib/pgp_composition.scm 52 */
{ /* Llib/pgp_composition.scm 52 */
BgL_pgpzd2literalzd2_bglt BgL_new1129z00_1856;
BgL_new1129z00_1856 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 52 */
long BgL_arg2055z00_1857;
{ /* Llib/pgp_composition.scm 52 */
long BgL_res2224z00_1858;
BgL_res2224z00_1858 = 
BGL_CLASS_INDEX(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BgL_arg2055z00_1857 = BgL_res2224z00_1858; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1129z00_1856), BgL_arg2055z00_1857); } 
{ /* Llib/pgp_composition.scm 52 */
BgL_objectz00_bglt BgL_tmpz00_3131;
BgL_tmpz00_3131 = 
((BgL_objectz00_bglt)BgL_new1129z00_1856); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3131, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1129z00_1856); 
return BgL_new1129z00_1856;} } 

}



/* &lambda2052 */
BgL_pgpzd2literalzd2_bglt BGl_z62lambda2052z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1654, obj_t BgL_literal1128z00_1655)
{
{ /* Llib/pgp_composition.scm 52 */
{ /* Llib/pgp_composition.scm 52 */
BgL_pgpzd2literalzd2_bglt BgL_new1225z00_1860;
{ /* Llib/pgp_composition.scm 52 */
BgL_pgpzd2literalzd2_bglt BgL_new1224z00_1861;
BgL_new1224z00_1861 = 
((BgL_pgpzd2literalzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2literalzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 52 */
long BgL_arg2053z00_1862;
{ /* Llib/pgp_composition.scm 52 */
long BgL_res2223z00_1863;
BgL_res2223z00_1863 = 
BGL_CLASS_INDEX(BGl_PGPzd2Literalzd2zz__openpgpzd2compositionzd2); 
BgL_arg2053z00_1862 = BgL_res2223z00_1863; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1224z00_1861), BgL_arg2053z00_1862); } 
{ /* Llib/pgp_composition.scm 52 */
BgL_objectz00_bglt BgL_tmpz00_3139;
BgL_tmpz00_3139 = 
((BgL_objectz00_bglt)BgL_new1224z00_1861); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3139, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1224z00_1861); 
BgL_new1225z00_1860 = BgL_new1224z00_1861; } 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(BgL_new1225z00_1860))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_literal1128z00_1655)),BUNSPEC); 
return BgL_new1225z00_1860;} } 

}



/* &lambda2061 */
obj_t BGl_z62lambda2061z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1656, obj_t BgL_oz00_1657, obj_t BgL_vz00_1658)
{
{ /* Llib/pgp_composition.scm 52 */
return 
((((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_oz00_1657)))->BgL_literalz00)=((BgL_pgpzd2literalzd2packetz00_bglt)
((BgL_pgpzd2literalzd2packetz00_bglt)BgL_vz00_1658)),BUNSPEC);} 

}



/* &lambda2060 */
BgL_pgpzd2literalzd2packetz00_bglt BGl_z62lambda2060z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1659, obj_t BgL_oz00_1660)
{
{ /* Llib/pgp_composition.scm 52 */
return 
(((BgL_pgpzd2literalzd2_bglt)COBJECT(
((BgL_pgpzd2literalzd2_bglt)BgL_oz00_1660)))->BgL_literalz00);} 

}



/* &<@anonymous:2041> */
obj_t BGl_z62zc3z04anonymousza32041ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1661, obj_t BgL_new1126z00_1662)
{
{ /* Llib/pgp_composition.scm 50 */
{ 
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_auxz00_3150;
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_1662))))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_1662))))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_1662)))->BgL_onezd2passzd2sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_3150 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_new1126z00_1662); 
return 
((obj_t)BgL_auxz00_3150);} } 

}



/* &lambda2039 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2039z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1663)
{
{ /* Llib/pgp_composition.scm 50 */
{ /* Llib/pgp_composition.scm 50 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1125z00_1868;
BgL_new1125z00_1868 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 50 */
long BgL_arg2040z00_1869;
{ /* Llib/pgp_composition.scm 50 */
long BgL_res2222z00_1870;
BgL_res2222z00_1870 = 
BGL_CLASS_INDEX(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BgL_arg2040z00_1869 = BgL_res2222z00_1870; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1125z00_1868), BgL_arg2040z00_1869); } 
{ /* Llib/pgp_composition.scm 50 */
BgL_objectz00_bglt BgL_tmpz00_3165;
BgL_tmpz00_3165 = 
((BgL_objectz00_bglt)BgL_new1125z00_1868); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3165, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1125z00_1868); 
return BgL_new1125z00_1868;} } 

}



/* &lambda2037 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BGl_z62lambda2037z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1664, obj_t BgL_msg1122z00_1665, obj_t BgL_sigs1123z00_1666, obj_t BgL_onezd2passzd2sigs1124z00_1667)
{
{ /* Llib/pgp_composition.scm 50 */
{ /* Llib/pgp_composition.scm 50 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1223z00_1873;
{ /* Llib/pgp_composition.scm 50 */
BgL_pgpzd2onezd2passzd2signaturezd2_bglt BgL_new1222z00_1874;
BgL_new1222z00_1874 = 
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2onezd2passzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 50 */
long BgL_arg2038z00_1875;
{ /* Llib/pgp_composition.scm 50 */
long BgL_res2221z00_1876;
BgL_res2221z00_1876 = 
BGL_CLASS_INDEX(BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BgL_arg2038z00_1875 = BgL_res2221z00_1876; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1222z00_1874), BgL_arg2038z00_1875); } 
{ /* Llib/pgp_composition.scm 50 */
BgL_objectz00_bglt BgL_tmpz00_3173;
BgL_tmpz00_3173 = 
((BgL_objectz00_bglt)BgL_new1222z00_1874); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3173, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1222z00_1874); 
BgL_new1223z00_1873 = BgL_new1222z00_1874; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1223z00_1873)))->BgL_msgz00)=((obj_t)BgL_msg1122z00_1665),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1223z00_1873)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1123z00_1666)),BUNSPEC); 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(BgL_new1223z00_1873))->BgL_onezd2passzd2sigsz00)=((obj_t)
((obj_t)BgL_onezd2passzd2sigs1124z00_1667)),BUNSPEC); 
return BgL_new1223z00_1873;} } 

}



/* &lambda2046 */
obj_t BGl_z62lambda2046z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1668, obj_t BgL_oz00_1669, obj_t BgL_vz00_1670)
{
{ /* Llib/pgp_composition.scm 50 */
return 
((((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_oz00_1669)))->BgL_onezd2passzd2sigsz00)=((obj_t)
((obj_t)BgL_vz00_1670)),BUNSPEC);} 

}



/* &lambda2045 */
obj_t BGl_z62lambda2045z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1671, obj_t BgL_oz00_1672)
{
{ /* Llib/pgp_composition.scm 50 */
return 
(((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_oz00_1672)))->BgL_onezd2passzd2sigsz00);} 

}



/* &<@anonymous:2021> */
obj_t BGl_z62zc3z04anonymousza32021ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1673, obj_t BgL_new1120z00_1674)
{
{ /* Llib/pgp_composition.scm 47 */
{ 
BgL_pgpzd2signaturezd2_bglt BgL_auxz00_3189;
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1120z00_1674)))->BgL_msgz00)=((obj_t)BUNSPEC),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_new1120z00_1674)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_3189 = 
((BgL_pgpzd2signaturezd2_bglt)BgL_new1120z00_1674); 
return 
((obj_t)BgL_auxz00_3189);} } 

}



/* &lambda2019 */
BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2019z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1675)
{
{ /* Llib/pgp_composition.scm 47 */
{ /* Llib/pgp_composition.scm 47 */
BgL_pgpzd2signaturezd2_bglt BgL_new1119z00_1881;
BgL_new1119z00_1881 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 47 */
long BgL_arg2020z00_1882;
{ /* Llib/pgp_composition.scm 47 */
long BgL_res2220z00_1883;
BgL_res2220z00_1883 = 
BGL_CLASS_INDEX(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BgL_arg2020z00_1882 = BgL_res2220z00_1883; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1119z00_1881), BgL_arg2020z00_1882); } 
return BgL_new1119z00_1881;} } 

}



/* &lambda2017 */
BgL_pgpzd2signaturezd2_bglt BGl_z62lambda2017z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1676, obj_t BgL_msg1117z00_1677, obj_t BgL_sigs1118z00_1678)
{
{ /* Llib/pgp_composition.scm 47 */
{ /* Llib/pgp_composition.scm 47 */
BgL_pgpzd2signaturezd2_bglt BgL_new1221z00_1885;
{ /* Llib/pgp_composition.scm 47 */
BgL_pgpzd2signaturezd2_bglt BgL_new1220z00_1886;
BgL_new1220z00_1886 = 
((BgL_pgpzd2signaturezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2signaturezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 47 */
long BgL_arg2018z00_1887;
{ /* Llib/pgp_composition.scm 47 */
long BgL_res2219z00_1888;
BgL_res2219z00_1888 = 
BGL_CLASS_INDEX(BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2); 
BgL_arg2018z00_1887 = BgL_res2219z00_1888; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1220z00_1886), BgL_arg2018z00_1887); } 
BgL_new1221z00_1885 = BgL_new1220z00_1886; } 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1221z00_1885))->BgL_msgz00)=((obj_t)BgL_msg1117z00_1677),BUNSPEC); 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(BgL_new1221z00_1885))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1118z00_1678)),BUNSPEC); 
return BgL_new1221z00_1885;} } 

}



/* &lambda2031 */
obj_t BGl_z62lambda2031z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1679, obj_t BgL_oz00_1680, obj_t BgL_vz00_1681)
{
{ /* Llib/pgp_composition.scm 47 */
return 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_1680)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_1681)),BUNSPEC);} 

}



/* &lambda2030 */
obj_t BGl_z62lambda2030z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1682, obj_t BgL_oz00_1683)
{
{ /* Llib/pgp_composition.scm 47 */
return 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_1683)))->BgL_sigsz00);} 

}



/* &lambda2026 */
obj_t BGl_z62lambda2026z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1684, obj_t BgL_oz00_1685, obj_t BgL_vz00_1686)
{
{ /* Llib/pgp_composition.scm 47 */
return 
((((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_1685)))->BgL_msgz00)=((obj_t)BgL_vz00_1686),BUNSPEC);} 

}



/* &lambda2025 */
obj_t BGl_z62lambda2025z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1687, obj_t BgL_oz00_1688)
{
{ /* Llib/pgp_composition.scm 47 */
return 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_oz00_1688)))->BgL_msgz00);} 

}



/* &<@anonymous:2001> */
obj_t BGl_z62zc3z04anonymousza32001ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1689, obj_t BgL_new1115z00_1690)
{
{ /* Llib/pgp_composition.scm 43 */
{ 
BgL_pgpzd2encryptedzd2_bglt BgL_auxz00_3216;
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1115z00_1690)))->BgL_sessionzd2keyszd2)=((obj_t)BNIL),BUNSPEC); 
{ 
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_auxz00_3219;
{ /* Llib/pgp_composition.scm 43 */
obj_t BgL_classz00_1895;
BgL_classz00_1895 = BGl_PGPzd2Symmetricallyzd2Encryptedzd2Packetzd2zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 43 */
obj_t BgL__ortest_1107z00_1896;
BgL__ortest_1107z00_1896 = 
BGL_CLASS_NIL(BgL_classz00_1895); 
if(
CBOOL(BgL__ortest_1107z00_1896))
{ /* Llib/pgp_composition.scm 43 */
BgL_auxz00_3219 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL__ortest_1107z00_1896)
; }  else 
{ /* Llib/pgp_composition.scm 43 */
BgL_auxz00_3219 = 
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1895))
; } } } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1115z00_1690)))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_auxz00_3219),BUNSPEC); } 
BgL_auxz00_3216 = 
((BgL_pgpzd2encryptedzd2_bglt)BgL_new1115z00_1690); 
return 
((obj_t)BgL_auxz00_3216);} } 

}



/* &lambda1999 */
BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda1999z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1691)
{
{ /* Llib/pgp_composition.scm 43 */
{ /* Llib/pgp_composition.scm 43 */
BgL_pgpzd2encryptedzd2_bglt BgL_new1114z00_1897;
BgL_new1114z00_1897 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 43 */
long BgL_arg2000z00_1898;
{ /* Llib/pgp_composition.scm 43 */
long BgL_res2218z00_1899;
BgL_res2218z00_1899 = 
BGL_CLASS_INDEX(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BgL_arg2000z00_1898 = BgL_res2218z00_1899; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1114z00_1897), BgL_arg2000z00_1898); } 
{ /* Llib/pgp_composition.scm 43 */
BgL_objectz00_bglt BgL_tmpz00_3234;
BgL_tmpz00_3234 = 
((BgL_objectz00_bglt)BgL_new1114z00_1897); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3234, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1114z00_1897); 
return BgL_new1114z00_1897;} } 

}



/* &lambda1997 */
BgL_pgpzd2encryptedzd2_bglt BGl_z62lambda1997z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1692, obj_t BgL_sessionzd2keys1112zd2_1693, obj_t BgL_encryptedzd2data1113zd2_1694)
{
{ /* Llib/pgp_composition.scm 43 */
{ /* Llib/pgp_composition.scm 43 */
BgL_pgpzd2encryptedzd2_bglt BgL_new1219z00_1902;
{ /* Llib/pgp_composition.scm 43 */
BgL_pgpzd2encryptedzd2_bglt BgL_new1218z00_1903;
BgL_new1218z00_1903 = 
((BgL_pgpzd2encryptedzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2encryptedzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 43 */
long BgL_arg1998z00_1904;
{ /* Llib/pgp_composition.scm 43 */
long BgL_res2217z00_1905;
BgL_res2217z00_1905 = 
BGL_CLASS_INDEX(BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2); 
BgL_arg1998z00_1904 = BgL_res2217z00_1905; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1218z00_1903), BgL_arg1998z00_1904); } 
{ /* Llib/pgp_composition.scm 43 */
BgL_objectz00_bglt BgL_tmpz00_3242;
BgL_tmpz00_3242 = 
((BgL_objectz00_bglt)BgL_new1218z00_1903); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3242, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1218z00_1903); 
BgL_new1219z00_1902 = BgL_new1218z00_1903; } 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1219z00_1902))->BgL_sessionzd2keyszd2)=((obj_t)
((obj_t)BgL_sessionzd2keys1112zd2_1693)),BUNSPEC); 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(BgL_new1219z00_1902))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_encryptedzd2data1113zd2_1694)),BUNSPEC); 
return BgL_new1219z00_1902;} } 

}



/* &lambda2011 */
obj_t BGl_z62lambda2011z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1695, obj_t BgL_oz00_1696, obj_t BgL_vz00_1697)
{
{ /* Llib/pgp_composition.scm 43 */
return 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_1696)))->BgL_encryptedzd2datazd2)=((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)
((BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt)BgL_vz00_1697)),BUNSPEC);} 

}



/* &lambda2010 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BGl_z62lambda2010z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1698, obj_t BgL_oz00_1699)
{
{ /* Llib/pgp_composition.scm 43 */
return 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_1699)))->BgL_encryptedzd2datazd2);} 

}



/* &lambda2006 */
obj_t BGl_z62lambda2006z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1700, obj_t BgL_oz00_1701, obj_t BgL_vz00_1702)
{
{ /* Llib/pgp_composition.scm 43 */
return 
((((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_1701)))->BgL_sessionzd2keyszd2)=((obj_t)
((obj_t)BgL_vz00_1702)),BUNSPEC);} 

}



/* &lambda2005 */
obj_t BGl_z62lambda2005z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1703, obj_t BgL_oz00_1704)
{
{ /* Llib/pgp_composition.scm 43 */
return 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_oz00_1704)))->BgL_sessionzd2keyszd2);} 

}



/* &<@anonymous:1991> */
obj_t BGl_z62zc3z04anonymousza31991ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1705, obj_t BgL_new1110z00_1706)
{
{ /* Llib/pgp_composition.scm 42 */
return 
((obj_t)
((BgL_pgpzd2messagezd2_bglt)BgL_new1110z00_1706));} 

}



/* &lambda1989 */
BgL_pgpzd2messagezd2_bglt BGl_z62lambda1989z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1707)
{
{ /* Llib/pgp_composition.scm 42 */
{ /* Llib/pgp_composition.scm 42 */
BgL_pgpzd2messagezd2_bglt BgL_new1109z00_1913;
BgL_new1109z00_1913 = 
((BgL_pgpzd2messagezd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2messagezd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 42 */
long BgL_arg1990z00_1914;
{ /* Llib/pgp_composition.scm 42 */
long BgL_res2216z00_1915;
BgL_res2216z00_1915 = 
BGL_CLASS_INDEX(BGl_PGPzd2Messagezd2zz__openpgpzd2compositionzd2); 
BgL_arg1990z00_1914 = BgL_res2216z00_1915; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1109z00_1913), BgL_arg1990z00_1914); } 
return BgL_new1109z00_1913;} } 

}



/* &<@anonymous:1974> */
obj_t BGl_z62zc3z04anonymousza31974ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1708, obj_t BgL_new1107z00_1709)
{
{ /* Llib/pgp_composition.scm 39 */
{ 
BgL_pgpzd2keyzd2_bglt BgL_auxz00_3266;
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_new1107z00_1709)))->BgL_subkeysz00)=((obj_t)
MAKE_YOUNG_PAIR(BFALSE, BFALSE)),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_new1107z00_1709)))->BgL_userzd2idszd2)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_3266 = 
((BgL_pgpzd2keyzd2_bglt)BgL_new1107z00_1709); 
return 
((obj_t)BgL_auxz00_3266);} } 

}



/* &lambda1972 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda1972z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1710)
{
{ /* Llib/pgp_composition.scm 39 */
{ /* Llib/pgp_composition.scm 39 */
BgL_pgpzd2keyzd2_bglt BgL_new1106z00_1917;
BgL_new1106z00_1917 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 39 */
long BgL_arg1973z00_1918;
{ /* Llib/pgp_composition.scm 39 */
long BgL_res2215z00_1919;
BgL_res2215z00_1919 = 
BGL_CLASS_INDEX(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BgL_arg1973z00_1918 = BgL_res2215z00_1919; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1106z00_1917), BgL_arg1973z00_1918); } 
{ /* Llib/pgp_composition.scm 39 */
BgL_objectz00_bglt BgL_tmpz00_3278;
BgL_tmpz00_3278 = 
((BgL_objectz00_bglt)BgL_new1106z00_1917); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3278, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1106z00_1917); 
return BgL_new1106z00_1917;} } 

}



/* &lambda1970 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda1970z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1711, obj_t BgL_subkeys1104z00_1712, obj_t BgL_userzd2ids1105zd2_1713)
{
{ /* Llib/pgp_composition.scm 39 */
{ /* Llib/pgp_composition.scm 39 */
BgL_pgpzd2keyzd2_bglt BgL_new1217z00_1922;
{ /* Llib/pgp_composition.scm 39 */
BgL_pgpzd2keyzd2_bglt BgL_new1216z00_1923;
BgL_new1216z00_1923 = 
((BgL_pgpzd2keyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2keyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 39 */
long BgL_arg1971z00_1924;
{ /* Llib/pgp_composition.scm 39 */
long BgL_res2214z00_1925;
BgL_res2214z00_1925 = 
BGL_CLASS_INDEX(BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2); 
BgL_arg1971z00_1924 = BgL_res2214z00_1925; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1216z00_1923), BgL_arg1971z00_1924); } 
{ /* Llib/pgp_composition.scm 39 */
BgL_objectz00_bglt BgL_tmpz00_3286;
BgL_tmpz00_3286 = 
((BgL_objectz00_bglt)BgL_new1216z00_1923); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3286, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1216z00_1923); 
BgL_new1217z00_1922 = BgL_new1216z00_1923; } 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1217z00_1922))->BgL_subkeysz00)=((obj_t)
((obj_t)BgL_subkeys1104z00_1712)),BUNSPEC); 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(BgL_new1217z00_1922))->BgL_userzd2idszd2)=((obj_t)
((obj_t)BgL_userzd2ids1105zd2_1713)),BUNSPEC); 
return BgL_new1217z00_1922;} } 

}



/* &lambda1984 */
obj_t BGl_z62lambda1984z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1714, obj_t BgL_oz00_1715, obj_t BgL_vz00_1716)
{
{ /* Llib/pgp_composition.scm 39 */
return 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_1715)))->BgL_userzd2idszd2)=((obj_t)
((obj_t)BgL_vz00_1716)),BUNSPEC);} 

}



/* &lambda1983 */
obj_t BGl_z62lambda1983z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1717, obj_t BgL_oz00_1718)
{
{ /* Llib/pgp_composition.scm 39 */
return 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_1718)))->BgL_userzd2idszd2);} 

}



/* &lambda1979 */
obj_t BGl_z62lambda1979z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1719, obj_t BgL_oz00_1720, obj_t BgL_vz00_1721)
{
{ /* Llib/pgp_composition.scm 39 */
return 
((((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_1720)))->BgL_subkeysz00)=((obj_t)
((obj_t)BgL_vz00_1721)),BUNSPEC);} 

}



/* &lambda1978 */
obj_t BGl_z62lambda1978z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1722, obj_t BgL_oz00_1723)
{
{ /* Llib/pgp_composition.scm 39 */
return 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_oz00_1723)))->BgL_subkeysz00);} 

}



/* &<@anonymous:1964> */
obj_t BGl_z62zc3z04anonymousza31964ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1724, obj_t BgL_new1102z00_1725)
{
{ /* Llib/pgp_composition.scm 38 */
return 
((obj_t)
((BgL_pgpzd2compositionzd2_bglt)BgL_new1102z00_1725));} 

}



/* &lambda1962 */
BgL_pgpzd2compositionzd2_bglt BGl_z62lambda1962z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1726)
{
{ /* Llib/pgp_composition.scm 38 */
{ /* Llib/pgp_composition.scm 38 */
BgL_pgpzd2compositionzd2_bglt BgL_new1101z00_1933;
BgL_new1101z00_1933 = 
((BgL_pgpzd2compositionzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2compositionzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 38 */
long BgL_arg1963z00_1934;
{ /* Llib/pgp_composition.scm 38 */
long BgL_res2213z00_1935;
BgL_res2213z00_1935 = 
BGL_CLASS_INDEX(BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2); 
BgL_arg1963z00_1934 = BgL_res2213z00_1935; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1101z00_1933), BgL_arg1963z00_1934); } 
return BgL_new1101z00_1933;} } 

}



/* &<@anonymous:1937> */
obj_t BGl_z62zc3z04anonymousza31937ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1727, obj_t BgL_new1099z00_1728)
{
{ /* Llib/pgp_composition.scm 33 */
{ 
BgL_pgpzd2subkeyzd2_bglt BgL_auxz00_3310;
{ 
BgL_pgpzd2keyzd2packetz00_bglt BgL_auxz00_3311;
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_classz00_1937;
BgL_classz00_1937 = BGl_PGPzd2Keyzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL__ortest_1107z00_1938;
BgL__ortest_1107z00_1938 = 
BGL_CLASS_NIL(BgL_classz00_1937); 
if(
CBOOL(BgL__ortest_1107z00_1938))
{ /* Llib/pgp_composition.scm 33 */
BgL_auxz00_3311 = 
((BgL_pgpzd2keyzd2packetz00_bglt)BgL__ortest_1107z00_1938)
; }  else 
{ /* Llib/pgp_composition.scm 33 */
BgL_auxz00_3311 = 
((BgL_pgpzd2keyzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1937))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_1728)))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)BgL_auxz00_3311),BUNSPEC); } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_1728)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_1728)))->BgL_revocationzd2sigszd2)=((obj_t)BNIL),BUNSPEC); 
{ 
BgL_pgpzd2keyzd2_bglt BgL_auxz00_3324;
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL_classz00_1939;
BgL_classz00_1939 = BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2; 
{ /* Llib/pgp_composition.scm 33 */
obj_t BgL__ortest_1107z00_1940;
BgL__ortest_1107z00_1940 = 
BGL_CLASS_NIL(BgL_classz00_1939); 
if(
CBOOL(BgL__ortest_1107z00_1940))
{ /* Llib/pgp_composition.scm 33 */
BgL_auxz00_3324 = 
((BgL_pgpzd2keyzd2_bglt)BgL__ortest_1107z00_1940)
; }  else 
{ /* Llib/pgp_composition.scm 33 */
BgL_auxz00_3324 = 
((BgL_pgpzd2keyzd2_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1939))
; } } } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_1728)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)BgL_auxz00_3324),BUNSPEC); } 
BgL_auxz00_3310 = 
((BgL_pgpzd2subkeyzd2_bglt)BgL_new1099z00_1728); 
return 
((obj_t)BgL_auxz00_3310);} } 

}



/* &lambda1935 */
BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1935z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1729)
{
{ /* Llib/pgp_composition.scm 33 */
{ /* Llib/pgp_composition.scm 33 */
BgL_pgpzd2subkeyzd2_bglt BgL_new1098z00_1941;
BgL_new1098z00_1941 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 33 */
long BgL_arg1936z00_1942;
{ /* Llib/pgp_composition.scm 33 */
long BgL_res2212z00_1943;
BgL_res2212z00_1943 = 
BGL_CLASS_INDEX(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BgL_arg1936z00_1942 = BgL_res2212z00_1943; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1098z00_1941), BgL_arg1936z00_1942); } 
{ /* Llib/pgp_composition.scm 33 */
BgL_objectz00_bglt BgL_tmpz00_3339;
BgL_tmpz00_3339 = 
((BgL_objectz00_bglt)BgL_new1098z00_1941); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3339, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1098z00_1941); 
return BgL_new1098z00_1941;} } 

}



/* &lambda1933 */
BgL_pgpzd2subkeyzd2_bglt BGl_z62lambda1933z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1730, obj_t BgL_keyzd2packet1094zd2_1731, obj_t BgL_sigs1095z00_1732, obj_t BgL_revocationzd2sigs1096zd2_1733, obj_t BgL_pgpzd2key1097zd2_1734)
{
{ /* Llib/pgp_composition.scm 33 */
{ /* Llib/pgp_composition.scm 33 */
BgL_pgpzd2subkeyzd2_bglt BgL_new1215z00_1948;
{ /* Llib/pgp_composition.scm 33 */
BgL_pgpzd2subkeyzd2_bglt BgL_new1214z00_1949;
BgL_new1214z00_1949 = 
((BgL_pgpzd2subkeyzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_pgpzd2subkeyzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 33 */
long BgL_arg1934z00_1950;
{ /* Llib/pgp_composition.scm 33 */
long BgL_res2211z00_1951;
BgL_res2211z00_1951 = 
BGL_CLASS_INDEX(BGl_PGPzd2Subkeyzd2zz__openpgpzd2compositionzd2); 
BgL_arg1934z00_1950 = BgL_res2211z00_1951; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1214z00_1949), BgL_arg1934z00_1950); } 
{ /* Llib/pgp_composition.scm 33 */
BgL_objectz00_bglt BgL_tmpz00_3347;
BgL_tmpz00_3347 = 
((BgL_objectz00_bglt)BgL_new1214z00_1949); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3347, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1214z00_1949); 
BgL_new1215z00_1948 = BgL_new1214z00_1949; } 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1215z00_1948))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_keyzd2packet1094zd2_1731)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1215z00_1948))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1095z00_1732)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1215z00_1948))->BgL_revocationzd2sigszd2)=((obj_t)
((obj_t)BgL_revocationzd2sigs1096zd2_1733)),BUNSPEC); 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(BgL_new1215z00_1948))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)
((BgL_pgpzd2keyzd2_bglt)BgL_pgpzd2key1097zd2_1734)),BUNSPEC); 
return BgL_new1215z00_1948;} } 

}



/* &lambda1957 */
obj_t BGl_z62lambda1957z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1735, obj_t BgL_oz00_1736, obj_t BgL_vz00_1737)
{
{ /* Llib/pgp_composition.scm 33 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1736)))->BgL_pgpzd2keyzd2)=((BgL_pgpzd2keyzd2_bglt)
((BgL_pgpzd2keyzd2_bglt)BgL_vz00_1737)),BUNSPEC);} 

}



/* &lambda1956 */
BgL_pgpzd2keyzd2_bglt BGl_z62lambda1956z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1738, obj_t BgL_oz00_1739)
{
{ /* Llib/pgp_composition.scm 33 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1739)))->BgL_pgpzd2keyzd2);} 

}



/* &lambda1952 */
obj_t BGl_z62lambda1952z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1740, obj_t BgL_oz00_1741, obj_t BgL_vz00_1742)
{
{ /* Llib/pgp_composition.scm 33 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1741)))->BgL_revocationzd2sigszd2)=((obj_t)
((obj_t)BgL_vz00_1742)),BUNSPEC);} 

}



/* &lambda1951 */
obj_t BGl_z62lambda1951z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1743, obj_t BgL_oz00_1744)
{
{ /* Llib/pgp_composition.scm 33 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1744)))->BgL_revocationzd2sigszd2);} 

}



/* &lambda1947 */
obj_t BGl_z62lambda1947z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1745, obj_t BgL_oz00_1746, obj_t BgL_vz00_1747)
{
{ /* Llib/pgp_composition.scm 33 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1746)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_1747)),BUNSPEC);} 

}



/* &lambda1946 */
obj_t BGl_z62lambda1946z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1748, obj_t BgL_oz00_1749)
{
{ /* Llib/pgp_composition.scm 33 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1749)))->BgL_sigsz00);} 

}



/* &lambda1942 */
obj_t BGl_z62lambda1942z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1750, obj_t BgL_oz00_1751, obj_t BgL_vz00_1752)
{
{ /* Llib/pgp_composition.scm 33 */
return 
((((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1751)))->BgL_keyzd2packetzd2)=((BgL_pgpzd2keyzd2packetz00_bglt)
((BgL_pgpzd2keyzd2packetz00_bglt)BgL_vz00_1752)),BUNSPEC);} 

}



/* &lambda1941 */
BgL_pgpzd2keyzd2packetz00_bglt BGl_z62lambda1941z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1753, obj_t BgL_oz00_1754)
{
{ /* Llib/pgp_composition.scm 33 */
return 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_oz00_1754)))->BgL_keyzd2packetzd2);} 

}



/* &<@anonymous:1917> */
obj_t BGl_z62zc3z04anonymousza31917ze3ze5zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1755, obj_t BgL_new1092z00_1756)
{
{ /* Llib/pgp_composition.scm 30 */
{ 
BgL_signedzd2idzd2_bglt BgL_auxz00_3379;
{ 
BgL_pgpzd2idzd2packetz00_bglt BgL_auxz00_3380;
{ /* Llib/pgp_composition.scm 30 */
obj_t BgL_classz00_1965;
BgL_classz00_1965 = BGl_PGPzd2IDzd2Packetz00zz__openpgpzd2packetszd2; 
{ /* Llib/pgp_composition.scm 30 */
obj_t BgL__ortest_1107z00_1966;
BgL__ortest_1107z00_1966 = 
BGL_CLASS_NIL(BgL_classz00_1965); 
if(
CBOOL(BgL__ortest_1107z00_1966))
{ /* Llib/pgp_composition.scm 30 */
BgL_auxz00_3380 = 
((BgL_pgpzd2idzd2packetz00_bglt)BgL__ortest_1107z00_1966)
; }  else 
{ /* Llib/pgp_composition.scm 30 */
BgL_auxz00_3380 = 
((BgL_pgpzd2idzd2packetz00_bglt)
BGl_classzd2nilzd2initz12z12zz__objectz00(BgL_classz00_1965))
; } } } 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_new1092z00_1756)))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)BgL_auxz00_3380),BUNSPEC); } 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_new1092z00_1756)))->BgL_sigsz00)=((obj_t)BNIL),BUNSPEC); 
BgL_auxz00_3379 = 
((BgL_signedzd2idzd2_bglt)BgL_new1092z00_1756); 
return 
((obj_t)BgL_auxz00_3379);} } 

}



/* &lambda1915 */
BgL_signedzd2idzd2_bglt BGl_z62lambda1915z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1757)
{
{ /* Llib/pgp_composition.scm 30 */
{ /* Llib/pgp_composition.scm 30 */
BgL_signedzd2idzd2_bglt BgL_new1091z00_1967;
BgL_new1091z00_1967 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 30 */
long BgL_arg1916z00_1968;
{ /* Llib/pgp_composition.scm 30 */
long BgL_res2210z00_1969;
BgL_res2210z00_1969 = 
BGL_CLASS_INDEX(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BgL_arg1916z00_1968 = BgL_res2210z00_1969; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1091z00_1967), BgL_arg1916z00_1968); } 
{ /* Llib/pgp_composition.scm 30 */
BgL_objectz00_bglt BgL_tmpz00_3397;
BgL_tmpz00_3397 = 
((BgL_objectz00_bglt)BgL_new1091z00_1967); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3397, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1091z00_1967); 
return BgL_new1091z00_1967;} } 

}



/* &lambda1913 */
BgL_signedzd2idzd2_bglt BGl_z62lambda1913z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1758, obj_t BgL_id1089z00_1759, obj_t BgL_sigs1090z00_1760)
{
{ /* Llib/pgp_composition.scm 30 */
{ /* Llib/pgp_composition.scm 30 */
BgL_signedzd2idzd2_bglt BgL_new1213z00_1972;
{ /* Llib/pgp_composition.scm 30 */
BgL_signedzd2idzd2_bglt BgL_new1212z00_1973;
BgL_new1212z00_1973 = 
((BgL_signedzd2idzd2_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_signedzd2idzd2_bgl) ))); 
{ /* Llib/pgp_composition.scm 30 */
long BgL_arg1914z00_1974;
{ /* Llib/pgp_composition.scm 30 */
long BgL_res2209z00_1975;
BgL_res2209z00_1975 = 
BGL_CLASS_INDEX(BGl_Signedzd2IDzd2zz__openpgpzd2compositionzd2); 
BgL_arg1914z00_1974 = BgL_res2209z00_1975; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1212z00_1973), BgL_arg1914z00_1974); } 
{ /* Llib/pgp_composition.scm 30 */
BgL_objectz00_bglt BgL_tmpz00_3405;
BgL_tmpz00_3405 = 
((BgL_objectz00_bglt)BgL_new1212z00_1973); 
BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3405, BFALSE); } 
((BgL_objectz00_bglt)BgL_new1212z00_1973); 
BgL_new1213z00_1972 = BgL_new1212z00_1973; } 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1213z00_1972))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)BgL_id1089z00_1759)),BUNSPEC); 
((((BgL_signedzd2idzd2_bglt)COBJECT(BgL_new1213z00_1972))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_sigs1090z00_1760)),BUNSPEC); 
return BgL_new1213z00_1972;} } 

}



/* &lambda1927 */
obj_t BGl_z62lambda1927z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1761, obj_t BgL_oz00_1762, obj_t BgL_vz00_1763)
{
{ /* Llib/pgp_composition.scm 30 */
return 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_1762)))->BgL_sigsz00)=((obj_t)
((obj_t)BgL_vz00_1763)),BUNSPEC);} 

}



/* &lambda1926 */
obj_t BGl_z62lambda1926z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1764, obj_t BgL_oz00_1765)
{
{ /* Llib/pgp_composition.scm 30 */
return 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_1765)))->BgL_sigsz00);} 

}



/* &lambda1922 */
obj_t BGl_z62lambda1922z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1766, obj_t BgL_oz00_1767, obj_t BgL_vz00_1768)
{
{ /* Llib/pgp_composition.scm 30 */
return 
((((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_1767)))->BgL_idz00)=((BgL_pgpzd2idzd2packetz00_bglt)
((BgL_pgpzd2idzd2packetz00_bglt)BgL_vz00_1768)),BUNSPEC);} 

}



/* &lambda1921 */
BgL_pgpzd2idzd2packetz00_bglt BGl_z62lambda1921z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1769, obj_t BgL_oz00_1770)
{
{ /* Llib/pgp_composition.scm 30 */
return 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_oz00_1770)))->BgL_idz00);} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_proc2351z00zz__openpgpzd2compositionzd2, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2, BGl_string2352z00zz__openpgpzd2compositionzd2);} 

}



/* &encode-pgp1313 */
obj_t BGl_z62encodezd2pgp1313zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1772, obj_t BgL_thisz00_1773, obj_t BgL_pz00_1774)
{
{ /* Llib/pgp_composition.scm 519 */
return 
BGl_errorz00zz__errorz00(
CNST_TABLE_REF(((long)38)), BGl_string2353z00zz__openpgpzd2compositionzd2, 
((obj_t)
((BgL_pgpzd2compositionzd2_bglt)BgL_thisz00_1773)));} 

}



/* encode-pgp */
obj_t BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_pgpzd2compositionzd2_bglt BgL_thisz00_17, obj_t BgL_pz00_18)
{
{ /* Llib/pgp_composition.scm 519 */
{ /* Llib/pgp_composition.scm 519 */
obj_t BgL_method1314z00_941;
{ /* Llib/pgp_composition.scm 519 */
obj_t BgL_res2235z00_1544;
{ /* Llib/pgp_composition.scm 519 */
long BgL_objzd2classzd2numz00_1509;
{ /* Llib/pgp_composition.scm 519 */
long BgL_res2225z00_1512;
BgL_res2225z00_1512 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_thisz00_17)); 
BgL_objzd2classzd2numz00_1509 = BgL_res2225z00_1512; } 
{ /* Llib/pgp_composition.scm 519 */
obj_t BgL_arg1741z00_1510;
BgL_arg1741z00_1510 = 
PROCEDURE_REF(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, 
(int)(((long)1))); 
{ /* Llib/pgp_composition.scm 519 */
int BgL_offsetz00_1514;
BgL_offsetz00_1514 = 
(int)(BgL_objzd2classzd2numz00_1509); 
{ /* Llib/pgp_composition.scm 519 */
long BgL_offsetz00_1515;
BgL_offsetz00_1515 = 
(
(long)(BgL_offsetz00_1514)-OBJECT_TYPE); 
{ /* Llib/pgp_composition.scm 519 */
long BgL_modz00_1516;
BgL_modz00_1516 = 
(BgL_offsetz00_1515 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Llib/pgp_composition.scm 519 */
long BgL_restz00_1518;
BgL_restz00_1518 = 
(BgL_offsetz00_1515 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Llib/pgp_composition.scm 519 */

{ /* Llib/pgp_composition.scm 519 */
obj_t BgL_bucketz00_1520;
BgL_bucketz00_1520 = 
VECTOR_REF(
((obj_t)BgL_arg1741z00_1510),BgL_modz00_1516); 
BgL_res2235z00_1544 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_1520),BgL_restz00_1518); } } } } } } } } 
BgL_method1314z00_941 = BgL_res2235z00_1544; } 
return 
PROCEDURE_ENTRY(BgL_method1314z00_941)(BgL_method1314z00_941, 
((obj_t)BgL_thisz00_17), BgL_pz00_18, BEOA);} } 

}



/* &encode-pgp */
obj_t BGl_z62encodezd2pgpzb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1775, obj_t BgL_thisz00_1776, obj_t BgL_pz00_1777)
{
{ /* Llib/pgp_composition.scm 519 */
{ /* Llib/pgp_composition.scm 519 */
obj_t BgL_auxz00_3467;BgL_pgpzd2compositionzd2_bglt BgL_auxz00_3459;
if(
OUTPUT_PORTP(BgL_pz00_1777))
{ /* Llib/pgp_composition.scm 519 */
BgL_auxz00_3467 = BgL_pz00_1777
; }  else 
{ 
obj_t BgL_auxz00_3470;
BgL_auxz00_3470 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)19433)), BGl_string2354z00zz__openpgpzd2compositionzd2, BGl_string2291z00zz__openpgpzd2compositionzd2, BgL_pz00_1777); 
FAILURE(BgL_auxz00_3470,BFALSE,BFALSE);} 
if(
BGl_isazf3zf3zz__objectz00(BgL_thisz00_1776, BGl_PGPzd2Compositionzd2zz__openpgpzd2compositionzd2))
{ /* Llib/pgp_composition.scm 519 */
BgL_auxz00_3459 = 
((BgL_pgpzd2compositionzd2_bglt)BgL_thisz00_1776)
; }  else 
{ 
obj_t BgL_auxz00_3463;
BgL_auxz00_3463 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2269z00zz__openpgpzd2compositionzd2, 
BINT(((long)19433)), BGl_string2354z00zz__openpgpzd2compositionzd2, BGl_string2290z00zz__openpgpzd2compositionzd2, BgL_thisz00_1776); 
FAILURE(BgL_auxz00_3463,BFALSE,BFALSE);} 
return 
BGl_encodezd2pgpzd2zz__openpgpzd2compositionzd2(BgL_auxz00_3459, BgL_auxz00_3467);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Keyzd2zz__openpgpzd2compositionzd2, BGl_proc2355z00zz__openpgpzd2compositionzd2, BGl_string2356z00zz__openpgpzd2compositionzd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Onezd2Passzd2Signaturezd2zz__openpgpzd2compositionzd2, BGl_proc2357z00zz__openpgpzd2compositionzd2, BGl_string2356z00zz__openpgpzd2compositionzd2); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Signaturezd2zz__openpgpzd2compositionzd2, BGl_proc2358z00zz__openpgpzd2compositionzd2, BGl_string2356z00zz__openpgpzd2compositionzd2); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_encodezd2pgpzd2envz00zz__openpgpzd2compositionzd2, BGl_PGPzd2Encryptedzd2zz__openpgpzd2compositionzd2, BGl_proc2359z00zz__openpgpzd2compositionzd2, BGl_string2356z00zz__openpgpzd2compositionzd2);} 

}



/* &encode-pgp-PGP-Encry1322 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Encry1322zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1782, obj_t BgL_thisz00_1783, obj_t BgL_pz00_1784)
{
{ /* Llib/pgp_composition.scm 580 */
{ /* Llib/pgp_composition.scm 582 */
obj_t BgL_g1287z00_1986;
BgL_g1287z00_1986 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_thisz00_1783)))->BgL_sessionzd2keyszd2); 
{ 
obj_t BgL_l1285z00_1988;
BgL_l1285z00_1988 = BgL_g1287z00_1986; 
BgL_zc3z04anonymousza32099ze3z87_1987:
if(
PAIRP(BgL_l1285z00_1988))
{ /* Llib/pgp_composition.scm 582 */
{ /* Llib/pgp_composition.scm 583 */
obj_t BgL_sessionzd2keyzd2_1989;
BgL_sessionzd2keyzd2_1989 = 
CAR(BgL_l1285z00_1988); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sessionzd2keyzd2_1989), 
((obj_t)BgL_pz00_1784)); } 
{ 
obj_t BgL_l1285z00_3487;
BgL_l1285z00_3487 = 
CDR(BgL_l1285z00_1988); 
BgL_l1285z00_1988 = BgL_l1285z00_3487; 
goto BgL_zc3z04anonymousza32099ze3z87_1987;} }  else 
{ /* Llib/pgp_composition.scm 582 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 585 */
BgL_pgpzd2symmetricallyzd2encryptedzd2packetzd2_bglt BgL_arg2102z00_1990;
BgL_arg2102z00_1990 = 
(((BgL_pgpzd2encryptedzd2_bglt)COBJECT(
((BgL_pgpzd2encryptedzd2_bglt)BgL_thisz00_1783)))->BgL_encryptedzd2datazd2); 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2102z00_1990), 
((obj_t)BgL_pz00_1784));} } 

}



/* &encode-pgp-PGP-Signa1320 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Signa1320zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1785, obj_t BgL_thisz00_1786, obj_t BgL_pz00_1787)
{
{ /* Llib/pgp_composition.scm 570 */
{ /* Llib/pgp_composition.scm 572 */
obj_t BgL_g1284z00_1993;
BgL_g1284z00_1993 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_1786)))->BgL_sigsz00); 
{ 
obj_t BgL_l1282z00_1995;
BgL_l1282z00_1995 = BgL_g1284z00_1993; 
BgL_zc3z04anonymousza32094ze3z87_1994:
if(
PAIRP(BgL_l1282z00_1995))
{ /* Llib/pgp_composition.scm 572 */
{ /* Llib/pgp_composition.scm 573 */
obj_t BgL_sigz00_1996;
BgL_sigz00_1996 = 
CAR(BgL_l1282z00_1995); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_1996), 
((obj_t)BgL_pz00_1787)); } 
{ 
obj_t BgL_l1282z00_3502;
BgL_l1282z00_3502 = 
CDR(BgL_l1282z00_1995); 
BgL_l1282z00_1995 = BgL_l1282z00_3502; 
goto BgL_zc3z04anonymousza32094ze3z87_1994;} }  else 
{ /* Llib/pgp_composition.scm 572 */((bool_t)1); } } } 
if(
CBOOL(
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_1786)))->BgL_msgz00)))
{ /* Llib/pgp_composition.scm 575 */
obj_t BgL_arg2098z00_1997;
BgL_arg2098z00_1997 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)BgL_thisz00_1786)))->BgL_msgz00); 
return 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2098z00_1997), 
((obj_t)BgL_pz00_1787));}  else 
{ /* Llib/pgp_composition.scm 575 */
return BFALSE;} } 

}



/* &encode-pgp-PGP-One-P1318 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Onezd2P1318z62zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1788, obj_t BgL_thisz00_1789, obj_t BgL_pz00_1790)
{
{ /* Llib/pgp_composition.scm 557 */
{ /* Llib/pgp_composition.scm 558 */
bool_t BgL_tmpz00_3513;
{ /* Llib/pgp_composition.scm 559 */
obj_t BgL_g1278z00_2000;
BgL_g1278z00_2000 = 
bgl_reverse(
(((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_1789)))->BgL_onezd2passzd2sigsz00)); 
{ 
obj_t BgL_l1276z00_2002;
BgL_l1276z00_2002 = BgL_g1278z00_2000; 
BgL_zc3z04anonymousza32086ze3z87_2001:
if(
PAIRP(BgL_l1276z00_2002))
{ /* Llib/pgp_composition.scm 561 */
{ /* Llib/pgp_composition.scm 560 */
obj_t BgL_opsz00_2003;
BgL_opsz00_2003 = 
CAR(BgL_l1276z00_2002); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_opsz00_2003), 
((obj_t)BgL_pz00_1790)); } 
{ 
obj_t BgL_l1276z00_3523;
BgL_l1276z00_3523 = 
CDR(BgL_l1276z00_2002); 
BgL_l1276z00_2002 = BgL_l1276z00_3523; 
goto BgL_zc3z04anonymousza32086ze3z87_2001;} }  else 
{ /* Llib/pgp_composition.scm 561 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 562 */
obj_t BgL_arg2090z00_2004;
BgL_arg2090z00_2004 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_1789))))->BgL_msgz00); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2090z00_2004), 
((obj_t)BgL_pz00_1790)); } 
{ /* Llib/pgp_composition.scm 563 */
obj_t BgL_g1281z00_2005;
BgL_g1281z00_2005 = 
(((BgL_pgpzd2signaturezd2_bglt)COBJECT(
((BgL_pgpzd2signaturezd2_bglt)
((BgL_pgpzd2onezd2passzd2signaturezd2_bglt)BgL_thisz00_1789))))->BgL_sigsz00); 
{ 
obj_t BgL_l1279z00_2007;
BgL_l1279z00_2007 = BgL_g1281z00_2005; 
BgL_zc3z04anonymousza32091ze3z87_2006:
if(
PAIRP(BgL_l1279z00_2007))
{ /* Llib/pgp_composition.scm 563 */
{ /* Llib/pgp_composition.scm 564 */
obj_t BgL_sigz00_2008;
BgL_sigz00_2008 = 
CAR(BgL_l1279z00_2007); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2008), 
((obj_t)BgL_pz00_1790)); } 
{ 
obj_t BgL_l1279z00_3540;
BgL_l1279z00_3540 = 
CDR(BgL_l1279z00_2007); 
BgL_l1279z00_2007 = BgL_l1279z00_3540; 
goto BgL_zc3z04anonymousza32091ze3z87_2006;} }  else 
{ /* Llib/pgp_composition.scm 563 */
BgL_tmpz00_3513 = ((bool_t)1)
; } } } 
return 
BBOOL(BgL_tmpz00_3513);} } 

}



/* &encode-pgp-PGP-Key1316 */
obj_t BGl_z62encodezd2pgpzd2PGPzd2Key1316zb0zz__openpgpzd2compositionzd2(obj_t BgL_envz00_1791, obj_t BgL_thisz00_1792, obj_t BgL_pz00_1793)
{
{ /* Llib/pgp_composition.scm 527 */
{ /* Llib/pgp_composition.scm 528 */
bool_t BgL_tmpz00_3543;
{ /* Llib/pgp_composition.scm 529 */
obj_t BgL_mainzd2keyzd2_2011;
BgL_mainzd2keyzd2_2011 = 
CAR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_1792)))->BgL_subkeysz00)); 
{ /* Llib/pgp_composition.scm 529 */
obj_t BgL_otherzd2subkeyszd2_2012;
BgL_otherzd2subkeyszd2_2012 = 
CDR(
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_1792)))->BgL_subkeysz00)); 
{ /* Llib/pgp_composition.scm 530 */

{ /* Llib/pgp_composition.scm 532 */
BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2063z00_2013;
BgL_arg2063z00_2013 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_mainzd2keyzd2_2011)))->BgL_keyzd2packetzd2); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2063z00_2013), 
((obj_t)BgL_pz00_1793)); } 
{ /* Llib/pgp_composition.scm 533 */
obj_t BgL_g1261z00_2014;
BgL_g1261z00_2014 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_mainzd2keyzd2_2011)))->BgL_revocationzd2sigszd2); 
{ 
obj_t BgL_l1259z00_2016;
BgL_l1259z00_2016 = BgL_g1261z00_2014; 
BgL_zc3z04anonymousza32064ze3z87_2015:
if(
PAIRP(BgL_l1259z00_2016))
{ /* Llib/pgp_composition.scm 533 */
{ /* Llib/pgp_composition.scm 533 */
obj_t BgL_revoczd2sigzd2_2017;
BgL_revoczd2sigzd2_2017 = 
CAR(BgL_l1259z00_2016); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_revoczd2sigzd2_2017), 
((obj_t)BgL_pz00_1793)); } 
{ 
obj_t BgL_l1259z00_3563;
BgL_l1259z00_3563 = 
CDR(BgL_l1259z00_2016); 
BgL_l1259z00_2016 = BgL_l1259z00_3563; 
goto BgL_zc3z04anonymousza32064ze3z87_2015;} }  else 
{ /* Llib/pgp_composition.scm 533 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 535 */
obj_t BgL_g1267z00_2018;
BgL_g1267z00_2018 = 
(((BgL_pgpzd2keyzd2_bglt)COBJECT(
((BgL_pgpzd2keyzd2_bglt)BgL_thisz00_1792)))->BgL_userzd2idszd2); 
{ 
obj_t BgL_l1265z00_2020;
BgL_l1265z00_2020 = BgL_g1267z00_2018; 
BgL_zc3z04anonymousza32067ze3z87_2019:
if(
PAIRP(BgL_l1265z00_2020))
{ /* Llib/pgp_composition.scm 535 */
{ /* Llib/pgp_composition.scm 536 */
obj_t BgL_userzd2idzd2_2021;
BgL_userzd2idzd2_2021 = 
CAR(BgL_l1265z00_2020); 
{ /* Llib/pgp_composition.scm 537 */
BgL_pgpzd2idzd2packetz00_bglt BgL_arg2069z00_2022;
BgL_arg2069z00_2022 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_2021)))->BgL_idz00); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2069z00_2022), 
((obj_t)BgL_pz00_1793)); } 
{ /* Llib/pgp_composition.scm 538 */
obj_t BgL_g1264z00_2023;
BgL_g1264z00_2023 = 
(((BgL_signedzd2idzd2_bglt)COBJECT(
((BgL_signedzd2idzd2_bglt)BgL_userzd2idzd2_2021)))->BgL_sigsz00); 
{ 
obj_t BgL_l1262z00_2025;
BgL_l1262z00_2025 = BgL_g1264z00_2023; 
BgL_zc3z04anonymousza32070ze3z87_2024:
if(
PAIRP(BgL_l1262z00_2025))
{ /* Llib/pgp_composition.scm 538 */
{ /* Llib/pgp_composition.scm 539 */
obj_t BgL_sigz00_2026;
BgL_sigz00_2026 = 
CAR(BgL_l1262z00_2025); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2026), 
((obj_t)BgL_pz00_1793)); } 
{ 
obj_t BgL_l1262z00_3583;
BgL_l1262z00_3583 = 
CDR(BgL_l1262z00_2025); 
BgL_l1262z00_2025 = BgL_l1262z00_3583; 
goto BgL_zc3z04anonymousza32070ze3z87_2024;} }  else 
{ /* Llib/pgp_composition.scm 538 */((bool_t)1); } } } } 
{ 
obj_t BgL_l1265z00_3585;
BgL_l1265z00_3585 = 
CDR(BgL_l1265z00_2020); 
BgL_l1265z00_2020 = BgL_l1265z00_3585; 
goto BgL_zc3z04anonymousza32067ze3z87_2019;} }  else 
{ /* Llib/pgp_composition.scm 535 */((bool_t)1); } } } 
{ 
obj_t BgL_l1274z00_2028;
BgL_l1274z00_2028 = BgL_otherzd2subkeyszd2_2012; 
BgL_zc3z04anonymousza32074ze3z87_2027:
if(
PAIRP(BgL_l1274z00_2028))
{ /* Llib/pgp_composition.scm 542 */
{ /* Llib/pgp_composition.scm 543 */
obj_t BgL_subkeyz00_2029;
BgL_subkeyz00_2029 = 
CAR(BgL_l1274z00_2028); 
{ /* Llib/pgp_composition.scm 545 */
BgL_pgpzd2keyzd2packetz00_bglt BgL_arg2076z00_2030;
BgL_arg2076z00_2030 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2029)))->BgL_keyzd2packetzd2); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_arg2076z00_2030), 
((obj_t)BgL_pz00_1793)); } 
{ /* Llib/pgp_composition.scm 546 */
obj_t BgL_g1270z00_2031;
BgL_g1270z00_2031 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2029)))->BgL_sigsz00); 
{ 
obj_t BgL_l1268z00_2033;
BgL_l1268z00_2033 = BgL_g1270z00_2031; 
BgL_zc3z04anonymousza32077ze3z87_2032:
if(
PAIRP(BgL_l1268z00_2033))
{ /* Llib/pgp_composition.scm 546 */
{ /* Llib/pgp_composition.scm 547 */
obj_t BgL_sigz00_2034;
BgL_sigz00_2034 = 
CAR(BgL_l1268z00_2033); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_sigz00_2034), 
((obj_t)BgL_pz00_1793)); } 
{ 
obj_t BgL_l1268z00_3603;
BgL_l1268z00_3603 = 
CDR(BgL_l1268z00_2033); 
BgL_l1268z00_2033 = BgL_l1268z00_3603; 
goto BgL_zc3z04anonymousza32077ze3z87_2032;} }  else 
{ /* Llib/pgp_composition.scm 546 */((bool_t)1); } } } 
{ /* Llib/pgp_composition.scm 549 */
obj_t BgL_g1273z00_2035;
BgL_g1273z00_2035 = 
(((BgL_pgpzd2subkeyzd2_bglt)COBJECT(
((BgL_pgpzd2subkeyzd2_bglt)BgL_subkeyz00_2029)))->BgL_revocationzd2sigszd2); 
{ 
obj_t BgL_l1271z00_2037;
BgL_l1271z00_2037 = BgL_g1273z00_2035; 
BgL_zc3z04anonymousza32080ze3z87_2036:
if(
PAIRP(BgL_l1271z00_2037))
{ /* Llib/pgp_composition.scm 549 */
{ /* Llib/pgp_composition.scm 550 */
obj_t BgL_revoczd2sigzd2_2038;
BgL_revoczd2sigzd2_2038 = 
CAR(BgL_l1271z00_2037); 
BGl_encodezd2packetzd2zz__openpgpzd2encodezd2(
((BgL_pgpzd2packetzd2_bglt)BgL_revoczd2sigzd2_2038), 
((obj_t)BgL_pz00_1793)); } 
{ 
obj_t BgL_l1271z00_3613;
BgL_l1271z00_3613 = 
CDR(BgL_l1271z00_2037); 
BgL_l1271z00_2037 = BgL_l1271z00_3613; 
goto BgL_zc3z04anonymousza32080ze3z87_2036;} }  else 
{ /* Llib/pgp_composition.scm 549 */((bool_t)1); } } } } 
{ 
obj_t BgL_l1274z00_3615;
BgL_l1274z00_3615 = 
CDR(BgL_l1274z00_2028); 
BgL_l1274z00_2028 = BgL_l1274z00_3615; 
goto BgL_zc3z04anonymousza32074ze3z87_2027;} }  else 
{ /* Llib/pgp_composition.scm 542 */
BgL_tmpz00_3543 = ((bool_t)1)
; } } } } } 
return 
BBOOL(BgL_tmpz00_3543);} } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__openpgpzd2compositionzd2()
{
{ /* Llib/pgp_composition.scm 15 */
BGl_modulezd2initializa7ationz75zz__openpgpzd2utilzd2(((long)211416812), 
BSTRING_TO_STRING(BGl_string2360z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2packetszd2(((long)485669724), 
BSTRING_TO_STRING(BGl_string2360z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2decodezd2(((long)216390694), 
BSTRING_TO_STRING(BGl_string2360z00zz__openpgpzd2compositionzd2)); 
BGl_modulezd2initializa7ationz75zz__openpgpzd2encodezd2(((long)466864889), 
BSTRING_TO_STRING(BGl_string2360z00zz__openpgpzd2compositionzd2)); 
return 
BGl_modulezd2initializa7ationz75zz__openpgpzd2portzd2utilz00(((long)98035382), 
BSTRING_TO_STRING(BGl_string2360z00zz__openpgpzd2compositionzd2));} 

}

#ifdef __cplusplus
}
#endif
