/*===========================================================================*/
/*   (bmem/bmem.scm)                                                         */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -ld-relative -g -I bmem bmem/bmem.scm -o bmem/bmem.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_z62errorz62_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_fnamez00;
   obj_t BgL_locationz00;
   obj_t BgL_stackz00;
   obj_t BgL_procz00;
   obj_t BgL_msgz00;
   obj_t BgL_objz00;
} *BgL_z62errorz62_bglt;

typedef struct BgL_z52htmlzd2elementz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
} *BgL_z52htmlzd2elementz80_bglt;

typedef struct BgL_z52htmlzd2documentz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   obj_t BgL_attrza2za2;
   obj_t BgL_dtdz00;
   obj_t BgL_bodyz00;
   obj_t BgL_cssz00;
   obj_t BgL_stylez00;
} *BgL_z52htmlzd2documentz80_bglt;

typedef struct BgL_z52htmlzd2brz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
} *BgL_z52htmlzd2brz80_bglt;

typedef struct BgL_z52htmlzd2boxz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   obj_t BgL_kindz00;
   obj_t BgL_inlineza2za2;
   obj_t BgL_alignz00;
} *BgL_z52htmlzd2boxz80_bglt;

typedef struct BgL_z52htmlzd2headingz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   int BgL_levelz00;
   obj_t BgL_alignmentz00;
   obj_t BgL_inlineza2za2;
} *BgL_z52htmlzd2headingz80_bglt;

typedef struct BgL_z52htmlzd2tablez80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   obj_t BgL_captionz00;
   obj_t BgL_colgroupzf3zf3;
   obj_t BgL_tfootzf3zf3;
   obj_t BgL_theadzf3zf3;
   obj_t BgL_widthz00;
   obj_t BgL_borderz00;
   obj_t BgL_framez00;
   obj_t BgL_rulesz00;
   obj_t BgL_cellspacingz00;
   obj_t BgL_cellpaddingz00;
   obj_t BgL_tbodyzb2zb2;
} *BgL_z52htmlzd2tablez80_bglt;

typedef struct BgL_z52htmlzd2trz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   obj_t BgL_tcellzb2zb2;
} *BgL_z52htmlzd2trz80_bglt;

typedef struct BgL_z52htmlzd2colgroupz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   obj_t BgL_widthz00;
   obj_t BgL_spanz00;
   obj_t BgL_alignz00;
   obj_t BgL_valignz00;
   obj_t BgL_charz00;
   obj_t BgL_colza2za2;
} *BgL_z52htmlzd2colgroupz80_bglt;

typedef struct BgL_z52htmlzd2tcellz80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   obj_t BgL_kindz00;
   int BgL_colspanz00;
   int BgL_rowspanz00;
   obj_t BgL_alignz00;
   obj_t BgL_valignz00;
   obj_t BgL_charz00;
   obj_t BgL_widthz00;
   obj_t BgL_flowza2za2;
} *BgL_z52htmlzd2tcellz80_bglt;

typedef struct BgL_z52htmlzd2az80_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_classz00;
   obj_t BgL_titlez00;
   obj_t BgL_typez00;
   obj_t BgL_hrefz00;
   obj_t BgL_namez00;
   obj_t BgL_inlineza2za2;
} *BgL_z52htmlzd2az80_bglt;

typedef struct BgL_z52cssz52_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_typez00;
} *BgL_z52cssz52_bglt;

typedef struct BgL_funinfoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_identz00;
   bool_t BgL_usez00;
   int BgL_numz00;
   BGL_LONGLONG_T BgL_dsiza7eza7;
   BGL_LONGLONG_T BgL_isiza7eza7;
   obj_t BgL_gcza2za2;
   obj_t BgL_dtypez00;
   obj_t BgL_itypez00;
} *BgL_funinfoz00_bglt;


extern obj_t BGl_z52htmlzd2az80zzhtmlz00;
extern obj_t BGl_z52htmlzd2tablez80zzhtmlz00;
static obj_t BGl_z62zc3z04anonymousza31647za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_raisez00zz__errorz00(obj_t);
extern obj_t BGl_csszd2colorzd2zzbmem_toolsz00(int, int, int, int);
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
extern obj_t BGl_addzd2functionz12zc0zzbmem_functionz00(obj_t);
extern obj_t BGl_za2uriza2z00zzbmem_paramz00;
BGL_IMPORT bool_t BGl_classzd2fieldzf3z21zz__objectz00(obj_t);
BGL_IMPORT obj_t bgl_display_obj(obj_t, obj_t);
static obj_t BGl_findzd2monitorzd2zzbmemz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31806za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3194z04ze3z33zzbmemz00(obj_t);
extern obj_t BGl_za2siza7eofzd2wordza2z75zzbmem_paramz00;
extern obj_t BGl_z52htmlzd2documentz80zzhtmlz00;
extern obj_t BGl_funinfoz00zzbmem_functionz00;
static obj_t BGl_z62zc3z04anonymousza31683za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_getenvz00zz__osz00(obj_t);
BGL_IMPORT obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zzbmemz00();
BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31772za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_dynamiczd2csszd2zzbmemz00(obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t BGl_htmlzd2pluginzd2versionz00zzhtmlz00(obj_t, obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zzbmemz00();
extern obj_t BGl_za2foutza2z00zzbmem_paramz00;
BGL_IMPORT obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
static obj_t BGl_z62zc3z04anonymousza31779za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z33zzbmemz00(obj_t, obj_t);
extern obj_t BGl_bmemzd2typezd2zzbmem_typez00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2bmemza2z00zzbmem_paramz00;
extern obj_t BGl_za2portza2z00zzbmem_paramz00;
static obj_t BGl_z62dynamiczd2csszb0zzbmemz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z52htmlzd2brz80zzhtmlz00;
extern obj_t BGl_z52htmlzd2boxz80zzhtmlz00;
BGL_IMPORT obj_t BGl_errorzd2notifyzd2zz__errorz00(obj_t);
extern obj_t BGl_makezd2gczd2tablesz00zzbmem_gcz00(obj_t, obj_t, obj_t);
extern obj_t BGl_htmlzd2pluginzd2usagez00zzhtmlz00(obj_t, obj_t, obj_t, BgL_z52htmlzd2elementz80_bglt);
static obj_t BGl_z62zc3z04anonymousza32055za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3351z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2bmemzd2versionza2zd2zzbmem_paramz00;
extern obj_t BGl_z52htmlzd2headingz80zzhtmlz00;
BGL_IMPORT obj_t BGl_bigloozd2initializa7edz12z67zz__paramz00();
BGL_IMPORT obj_t bgl_debug_set(int);
extern obj_t BGl_htmlzd2stringzd2zzhtmlz00(obj_t);
BGL_IMPORT bool_t BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(obj_t);
BGL_IMPORT long bgl_list_length(obj_t);
static obj_t BGl_gczd2rootszd2initz00zzbmemz00();
extern obj_t BGl_getzd2functionszd2zzbmem_functionz00();
static obj_t BGl_z62mainz62zzbmemz00(obj_t, obj_t);
extern obj_t BGl_makezd2typezd2tablesz00zzbmem_typez00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_findzd2filezf2pathz20zz__osz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31697za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
extern obj_t BGl_z52htmlzd2colgroupz80zzhtmlz00;
BGL_IMPORT obj_t BGl_pregexpzd2matchzd2zz__regexpz00(obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(obj_t, obj_t);
BGL_IMPORT bool_t bigloo_strcmp(obj_t, obj_t);
extern obj_t BGl_bmemzd2functionzd2zzbmem_functionz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_IMPORT bool_t BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(long, long);
BGL_IMPORT long BGl_bitzd2andzd2zz__bitz00(long, long);
static obj_t BGl_z62zc3z04anonymousza31757za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
static obj_t BGl_pregexp1552z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1553z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1557z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1558z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1559z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1560z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1561z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1562z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1563z00zzbmemz00 = BUNSPEC;
static obj_t BGl_pregexp1564z00zzbmemz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzbmemz00 = BUNSPEC;
static obj_t BGl_z62functionzd2identzd2ppz62zzbmemz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzbmemz00();
extern obj_t BGl_z52htmlzd2trz80zzhtmlz00;
BGL_IMPORT obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zzbmemz00();
BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
static BgL_z52htmlzd2documentz80_bglt BGl_bmemzd2allzd2zzbmemz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31644za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t bigloo_main(obj_t);
static obj_t BGl_usagez00zzbmemz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31715za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_pregexpz00zz__regexpz00(obj_t, obj_t);
BGL_IMPORT obj_t bgl_reverse_bang(obj_t);
BGL_IMPORT obj_t BGl_errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2typeza2z00zzbmem_paramz00;
BGL_EXPORTED_DECL obj_t BGl_functionzd2refzd2zzbmemz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31671za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
extern obj_t BGl_za2hostnameza2z00zzbmem_paramz00;
BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t, obj_t, obj_t);
BGL_IMPORT obj_t BGl_modulezd2initzd2errorz00zz__errorz00(char *, char *);
BGL_IMPORT obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern BgL_z52cssz52_bglt BGl_listzd2ze3cssz31zzhtmlz00(obj_t);
extern obj_t BGl_htmlzd2legendzd2zzbmem_toolsz00(int, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_z52htmlzd2tcellz80zzhtmlz00;
BGL_IMPORT obj_t string_append(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31740za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
extern obj_t BGl_za2functionza2z00zzbmem_paramz00;
static obj_t BGl_z62zc3z04anonymousza31786za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z33zzbmemz00(obj_t);
static obj_t BGl_parsezd2cmdlinez12zc0zzbmemz00(obj_t);
extern obj_t BGl_htmlzd2vboxzd2zzhtmlz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_exitz00zz__errorz00(obj_t);
BGL_IMPORT bool_t bigloo_string_lt(obj_t, obj_t);
BGL_IMPORT obj_t bgl_list_ref(obj_t, long);
extern obj_t BGl_printzd2htmlzd2zzhtmlz00(BgL_z52htmlzd2documentz80_bglt);
extern obj_t BGl_za2csszd2pathza2zd2zzbmem_paramz00;
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzbmemz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbmem_threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbmem_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbmem_gcz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbmem_functionz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbmem_toolsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzbmem_paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzhtmlz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__expander_argsz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__regexpz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
BGL_IMPORT obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_z62errorz62zz__objectz00;
BGL_IMPORT obj_t BGl_stringzd2appendzd2zz__r4_strings_6_7z00(obj_t);
static obj_t BGl_z62typezd2refzb0zzbmemz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_functionzd2identzd2ppz00zzbmemz00(obj_t);
BGL_IMPORT obj_t BGl_argszd2parsezd2usagez00zz__expander_argsz00(obj_t);
static obj_t BGl_cnstzd2initzd2zzbmemz00();
static obj_t BGl_libraryzd2moduleszd2initz00zzbmemz00();
static obj_t BGl_z62zc3z04anonymousza32033za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3334z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzbmemz00();
BGL_IMPORT obj_t BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(obj_t);
extern obj_t BGl_za2fileza2z00zzbmem_paramz00;
static obj_t BGl_z62zc3z04anonymousza31789za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3139z04ze3z33zzbmemz00(obj_t, obj_t);
static obj_t BGl_z62functionzd2refzb0zzbmemz00(obj_t, obj_t);
static obj_t BGl_bmemzd2requestzd2zzbmemz00();
static obj_t BGl_parsezd2uriz12zc0zzbmemz00(obj_t);
BGL_IMPORT obj_t BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31624za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza360z04ze3z33zzbmemz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_mainz00zzbmemz00(obj_t);
extern obj_t BGl_htmlzd2pluginzd2errorz00zzhtmlz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_makezd2functionzd2tablesz00zzbmem_functionz00(obj_t, obj_t, obj_t);
static bool_t BGl_httpzd2requestzf3z21zzbmemz00();
BGL_IMPORT obj_t BGl_withzd2exceptionzd2handlerz00zz__errorz00(obj_t, obj_t);
extern obj_t BGl_makezd2gczd2summaryz00zzbmem_gcz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza31658za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_typezd2refzd2zzbmemz00(obj_t);
extern obj_t BGl_makezd2threadzd2tablez00zzbmem_threadz00(obj_t);
static obj_t __cnst[ 82 ] ;


DEFINE_STRING( BGl_string3010z00zzbmemz00, BgL_bgl_string3010za700za7za7b3113za7, "div.profile td.gc~a", 19 );
DEFINE_STRING( BGl_string3011z00zzbmemz00, BgL_bgl_string3011za700za7za7b3114za7, "#ccc", 4 );
DEFINE_STRING( BGl_string3012z00zzbmemz00, BgL_bgl_string3012za700za7za7b3115za7, "#ddf", 4 );
DEFINE_STRING( BGl_string3013z00zzbmemz00, BgL_bgl_string3013za700za7za7b3116za7, "div.profile td.function-1", 25 );
DEFINE_STRING( BGl_string3014z00zzbmemz00, BgL_bgl_string3014za700za7za7b3117za7, "<@anonymous:2090:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:403@>", 79 );
DEFINE_STRING( BGl_string3015z00zzbmemz00, BgL_bgl_string3015za700za7za7b3118za7, "div.profile td.function~a", 25 );
DEFINE_STRING( BGl_string3016z00zzbmemz00, BgL_bgl_string3016za700za7za7b3119za7, "div.profile td.type-1", 21 );
DEFINE_STRING( BGl_string3017z00zzbmemz00, BgL_bgl_string3017za700za7za7b3120za7, "<@anonymous:2110:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:411@>", 79 );
DEFINE_STRING( BGl_string3018z00zzbmemz00, BgL_bgl_string3018za700za7za7b3121za7, "div.profile td.type~a", 21 );
DEFINE_STRING( BGl_string3019z00zzbmemz00, BgL_bgl_string3019za700za7za7b3122za7, "byte", 4 );
DEFINE_STRING( BGl_string3020z00zzbmemz00, BgL_bgl_string3020za700za7za7b3123za7, "rgb( 60, 60, 60 )", 17 );
DEFINE_STRING( BGl_string3021z00zzbmemz00, BgL_bgl_string3021za700za7za7b3124za7, "dynamic-css", 11 );
DEFINE_STRING( BGl_string3022z00zzbmemz00, BgL_bgl_string3022za700za7za7b3125za7, "loop", 4 );
DEFINE_STRING( BGl_string3023z00zzbmemz00, BgL_bgl_string3023za700za7za7b3126za7, "bmem", 4 );
DEFINE_STRING( BGl_string3024z00zzbmemz00, BgL_bgl_string3024za700za7za7b3127za7, "%import@bmem method-init@bmem generic-init@bmem object-init@bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 15285) find-monitor@bmem :background :cursor help (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 13843) dynamic-css@bmem td (\"Garbage collections\") (\"Threads information\") (\"Types\") (\"Functions\") (\"Statistics\") exec bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 10759) bmem-all@bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 10198) type-ref@bmem span (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 9077) function-ref@bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 8360) function-ident-pp@bmem sizeof-word bglmem (\".\") thread type function gc info (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 5677) bmem-request@bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 5069) main@bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem."
"scm\" 4460) parse-uri!@bmem (((\"-p\" \"--port\") ?p (help \"Port number of the request\")) (set! *port* p)) ?p (((\"-h\" \"--hostname\") ?h (help \"Hostname of the request\")) (set! *hostname* h)) ?h (((\"-t\" \"--type\") ?type (help \"Show the type information\")) (set! *type* type)) ?type (((\"-f\" \"--function\") ?function (help \"Show the function information\")) (set! *function* function)) ?function (((\"-o\" \"--output\") ?fout (help \"Output file\")) (set! *fout* fout)) ?fout (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 1902) plugin-exit@bmem args-parse end fail next (funcall fun1769 fun1769 a* v) ((\"--help\" . \"This help message\") (\"-v,--version\" . \"Version number\") (\"-o,--output FOUT\" . \"Output file\") (\"-f,--function FUNCTION\" . \"Show the function information\") (\"-t,--type TYPE\" . \"Show the type information\") (\"-h,--hostname H\" . \"Hostname of the request\") (\"-p,--port P\" . \"Port number of the request\")) (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/b"
"mem/bmem.scm\" 3070) parse-cmdline!@bmem _ (funcall proc proc #f) div (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 2455) usage@bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 2168) http-request?@bmem pregexp1552@bmem pregexp1553@bmem pregexp1557@bmem pregexp1558@bmem pregexp1559@bmem pregexp1560@bmem pregexp1561@bmem pregexp1562@bmem pregexp1563@bmem pregexp1564@bmem %toplevel@bmem (at \"/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm\" 1037) gc-roots-init@bmem ", 2467 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_functionzd2refzd2envz00zzbmemz00, BgL_bgl_za762functionza7d2re3128z00, BGl_z62functionzd2refzb0zzbmemz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2900z00zzbmemz00, BgL_bgl_string2900za700za7za7b3129za7, "bstring", 7 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_typezd2refzd2envz00zzbmemz00, BgL_bgl_za762typeza7d2refza7b03130za7, BGl_z62typezd2refzb0zzbmemz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2901z00zzbmemz00, BgL_bgl_string2901za700za7za7b3131za7, "--help", 6 );
DEFINE_STRING( BGl_string2902z00zzbmemz00, BgL_bgl_string2902za700za7za7b3132za7, "<@anonymous:1740:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STRING( BGl_string2903z00zzbmemz00, BgL_bgl_string2903za700za7za7b3133za7, "-v", 2 );
DEFINE_STRING( BGl_string2904z00zzbmemz00, BgL_bgl_string2904za700za7za7b3134za7, "--version", 9 );
DEFINE_STRING( BGl_string2905z00zzbmemz00, BgL_bgl_string2905za700za7za7b3135za7, ": ", 2 );
DEFINE_STRING( BGl_string2906z00zzbmemz00, BgL_bgl_string2906za700za7za7b3136za7, "<@anonymous:1715:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STRING( BGl_string2907z00zzbmemz00, BgL_bgl_string2907za700za7za7b3137za7, "-o", 2 );
DEFINE_STRING( BGl_string2908z00zzbmemz00, BgL_bgl_string2908za700za7za7b3138za7, "--output", 8 );
DEFINE_STRING( BGl_string2909z00zzbmemz00, BgL_bgl_string2909za700za7za7b3139za7, "missing argument", 16 );
DEFINE_STRING( BGl_string2910z00zzbmemz00, BgL_bgl_string2910za700za7za7b3140za7, "<@anonymous:1697:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STRING( BGl_string2911z00zzbmemz00, BgL_bgl_string2911za700za7za7b3141za7, "-f", 2 );
DEFINE_STRING( BGl_string2912z00zzbmemz00, BgL_bgl_string2912za700za7za7b3142za7, "--function", 10 );
DEFINE_STRING( BGl_string2913z00zzbmemz00, BgL_bgl_string2913za700za7za7b3143za7, "<@anonymous:1683:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STRING( BGl_string2914z00zzbmemz00, BgL_bgl_string2914za700za7za7b3144za7, "-t", 2 );
DEFINE_STRING( BGl_string2915z00zzbmemz00, BgL_bgl_string2915za700za7za7b3145za7, "--type", 6 );
DEFINE_STRING( BGl_string2916z00zzbmemz00, BgL_bgl_string2916za700za7za7b3146za7, "<@anonymous:1671:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STRING( BGl_string2917z00zzbmemz00, BgL_bgl_string2917za700za7za7b3147za7, "-h", 2 );
DEFINE_STRING( BGl_string2918z00zzbmemz00, BgL_bgl_string2918za700za7za7b3148za7, "--hostname", 10 );
DEFINE_STRING( BGl_string2919z00zzbmemz00, BgL_bgl_string2919za700za7za7b3149za7, "<@anonymous:1658:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STRING( BGl_string2920z00zzbmemz00, BgL_bgl_string2920za700za7za7b3150za7, "-p", 2 );
DEFINE_STRING( BGl_string2921z00zzbmemz00, BgL_bgl_string2921za700za7za7b3151za7, "--port", 6 );
DEFINE_STRING( BGl_string2922z00zzbmemz00, BgL_bgl_string2922za700za7za7b3152za7, "<@anonymous:1772:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STRING( BGl_string2923z00zzbmemz00, BgL_bgl_string2923za700za7za7b3153za7, "Illegal option", 14 );
DEFINE_STRING( BGl_string2924z00zzbmemz00, BgL_bgl_string2924za700za7za7b3154za7, "see -help", 9 );
DEFINE_STRING( BGl_string2925z00zzbmemz00, BgL_bgl_string2925za700za7za7b3155za7, "parse-uri!", 10 );
DEFINE_STRING( BGl_string2927z00zzbmemz00, BgL_bgl_string2927za700za7za7b3156za7, "&main", 5 );
DEFINE_STRING( BGl_string2929z00zzbmemz00, BgL_bgl_string2929za700za7za7b3157za7, "<@anonymous:1779:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:125@>", 79 );
DEFINE_STRING( BGl_string2930z00zzbmemz00, BgL_bgl_string2930za700za7za7b3158za7, "/usr/lib/bigloo/4.3h/bmem", 25 );
DEFINE_STRING( BGl_string2931z00zzbmemz00, BgL_bgl_string2931za700za7za7b3159za7, "bmem.css", 8 );
DEFINE_STRING( BGl_string2932z00zzbmemz00, BgL_bgl_string2932za700za7za7b3160za7, "bmem-request", 12 );
DEFINE_STRING( BGl_string2933z00zzbmemz00, BgL_bgl_string2933za700za7za7b3161za7, "Illegal monitor file (empty gc section)", 39 );
DEFINE_STRING( BGl_string2934z00zzbmemz00, BgL_bgl_string2934za700za7za7b3162za7, "pair-nil", 8 );
DEFINE_STRING( BGl_string2935z00zzbmemz00, BgL_bgl_string2935za700za7za7b3163za7, "bint", 4 );
DEFINE_STRING( BGl_string2936z00zzbmemz00, BgL_bgl_string2936za700za7za7b3164za7, "<@anonymous:1799:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:175@>", 79 );
DEFINE_STRING( BGl_string2937z00zzbmemz00, BgL_bgl_string2937za700za7za7b3165za7, "for-each", 8 );
DEFINE_STRING( BGl_string2938z00zzbmemz00, BgL_bgl_string2938za700za7za7b3166za7, "list", 4 );
DEFINE_STRING( BGl_string2939z00zzbmemz00, BgL_bgl_string2939za700za7za7b3167za7, "Can't find function", 19 );
DEFINE_STRING( BGl_string2940z00zzbmemz00, BgL_bgl_string2940za700za7za7b3168za7, "Can't find type", 15 );
DEFINE_STRING( BGl_string2941z00zzbmemz00, BgL_bgl_string2941za700za7za7b3169za7, "<@anonymous:1806:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:194@>", 79 );
DEFINE_STRING( BGl_string2942z00zzbmemz00, BgL_bgl_string2942za700za7za7b3170za7, "function-ident-pp", 17 );
DEFINE_STRING( BGl_string2943z00zzbmemz00, BgL_bgl_string2943za700za7za7b3171za7, ")", 1 );
DEFINE_STRING( BGl_string2944z00zzbmemz00, BgL_bgl_string2944za700za7za7b3172za7, ":", 1 );
DEFINE_STRING( BGl_string2945z00zzbmemz00, BgL_bgl_string2945za700za7za7b3173za7, "&#955; (", 8 );
DEFINE_STRING( BGl_string2946z00zzbmemz00, BgL_bgl_string2946za700za7za7b3174za7, "&#923; (", 8 );
DEFINE_STRING( BGl_string2947z00zzbmemz00, BgL_bgl_string2947za700za7za7b3175za7, "function-ref", 12 );
DEFINE_STRING( BGl_string2948z00zzbmemz00, BgL_bgl_string2948za700za7za7b3176za7, "function-index", 14 );
DEFINE_STRING( BGl_string2949z00zzbmemz00, BgL_bgl_string2949za700za7za7b3177za7, "&#955;", 6 );
DEFINE_STRING( BGl_string2950z00zzbmemz00, BgL_bgl_string2950za700za7za7b3178za7, "&#923;", 6 );
DEFINE_STRING( BGl_string2951z00zzbmemz00, BgL_bgl_string2951za700za7za7b3179za7, "XX function-ident", 17 );
DEFINE_STRING( BGl_string2952z00zzbmemz00, BgL_bgl_string2952za700za7za7b3180za7, "http://~a:~a/~a?fun=~a", 22 );
DEFINE_STRING( BGl_string2953z00zzbmemz00, BgL_bgl_string2953za700za7za7b3181za7, "type-ref", 8 );
DEFINE_STRING( BGl_string2954z00zzbmemz00, BgL_bgl_string2954za700za7za7b3182za7, "type-ident", 10 );
DEFINE_STRING( BGl_string2955z00zzbmemz00, BgL_bgl_string2955za700za7za7b3183za7, "http://~a:~a/~a?type=~a", 23 );
DEFINE_STRING( BGl_string2956z00zzbmemz00, BgL_bgl_string2956za700za7za7b3184za7, "bmem-all", 8 );
DEFINE_STRING( BGl_string2957z00zzbmemz00, BgL_bgl_string2957za700za7za7b3185za7, "Can't find gc monitor", 21 );
DEFINE_STRING( BGl_string2958z00zzbmemz00, BgL_bgl_string2958za700za7za7b3186za7, "Can't find function monitor", 27 );
DEFINE_STRING( BGl_string2959z00zzbmemz00, BgL_bgl_string2959za700za7za7b3187za7, "Can't find type monitor", 23 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_dynamiczd2csszd2envz00zzbmemz00, BgL_bgl_za762dynamicza7d2css3188z00, BGl_z62dynamiczd2csszb0zzbmemz00, 0L, BUNSPEC, 3 );
DEFINE_STRING( BGl_string2960z00zzbmemz00, BgL_bgl_string2960za700za7za7b3189za7, "", 0 );
DEFINE_STRING( BGl_string2961z00zzbmemz00, BgL_bgl_string2961za700za7za7b3190za7, "Bglmem", 6 );
DEFINE_STRING( BGl_string2962z00zzbmemz00, BgL_bgl_string2962za700za7za7b3191za7, "Contents", 8 );
DEFINE_STRING( BGl_string2963z00zzbmemz00, BgL_bgl_string2963za700za7za7b3192za7, "contents", 8 );
DEFINE_STRING( BGl_string2964z00zzbmemz00, BgL_bgl_string2964za700za7za7b3193za7, "#functions", 10 );
DEFINE_STRING( BGl_string2965z00zzbmemz00, BgL_bgl_string2965za700za7za7b3194za7, "Functions", 9 );
DEFINE_STRING( BGl_string2966z00zzbmemz00, BgL_bgl_string2966za700za7za7b3195za7, "#types", 6 );
DEFINE_STRING( BGl_string2967z00zzbmemz00, BgL_bgl_string2967za700za7za7b3196za7, "Types", 5 );
DEFINE_STRING( BGl_string2968z00zzbmemz00, BgL_bgl_string2968za700za7za7b3197za7, "#threads", 8 );
DEFINE_STRING( BGl_string2969z00zzbmemz00, BgL_bgl_string2969za700za7za7b3198za7, "Threads", 7 );
DEFINE_STRING( BGl_string2970z00zzbmemz00, BgL_bgl_string2970za700za7za7b3199za7, "#gcs", 4 );
DEFINE_STRING( BGl_string2971z00zzbmemz00, BgL_bgl_string2971za700za7za7b3200za7, "Garbage Collections", 19 );
DEFINE_STRING( BGl_string2972z00zzbmemz00, BgL_bgl_string2972za700za7za7b3201za7, "Legends", 7 );
DEFINE_STRING( BGl_string2973z00zzbmemz00, BgL_bgl_string2973za700za7za7b3202za7, "<@anonymous:1995:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:322@>", 79 );
DEFINE_STRING( BGl_string2974z00zzbmemz00, BgL_bgl_string2974za700za7za7b3203za7, "gc~a", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2887z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3204za7, BGl_z62zc3z04anonymousza31772za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2975z00zzbmemz00, BgL_bgl_string2975za700za7za7b3205za7, "gc #~a", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2888z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3206za7, BGl_z62zc3z04anonymousza31644za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2976z00zzbmemz00, BgL_bgl_string2976za700za7za7b3207za7, "map", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2889z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3208za7, BGl_z62zc3z04anonymousza31658za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2977z00zzbmemz00, BgL_bgl_string2977za700za7za7b3209za7, "90%", 3 );
DEFINE_STRING( BGl_string2978z00zzbmemz00, BgL_bgl_string2978za700za7za7b3210za7, "Gcs", 3 );
DEFINE_STRING( BGl_string2979z00zzbmemz00, BgL_bgl_string2979za700za7za7b3211za7, "gc-legend", 9 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2890z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3212za7, BGl_z62zc3z04anonymousza31671za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2891z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3213za7, BGl_z62zc3z04anonymousza31683za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2892z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3214za7, BGl_z62zc3z04anonymousza31697za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2980z00zzbmemz00, BgL_bgl_string2980za700za7za7b3215za7, "<@anonymous:2027:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:334@>", 79 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2893z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3216za7, BGl_z62zc3z04anonymousza31715za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2981z00zzbmemz00, BgL_bgl_string2981za700za7za7b3217za7, "funinfo", 7 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2894z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3218za7, BGl_z62zc3z04anonymousza31740za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string2983z00zzbmemz00, BgL_bgl_string2983za700za7za7b3219za7, "<@anonymous:2013:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:330@>", 79 );
DEFINE_STRING( BGl_string2984z00zzbmemz00, BgL_bgl_string2984za700za7za7b3220za7, "function~a", 10 );
DEFINE_STRING( BGl_string2985z00zzbmemz00, BgL_bgl_string2985za700za7za7b3221za7, "function-legend", 15 );
DEFINE_STRING( BGl_string2987z00zzbmemz00, BgL_bgl_string2987za700za7za7b3222za7, "<@anonymous:2041:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:348@>", 79 );
DEFINE_STRING( BGl_string2988z00zzbmemz00, BgL_bgl_string2988za700za7za7b3223za7, "type~a", 6 );
DEFINE_STRING( BGl_string2989z00zzbmemz00, BgL_bgl_string2989za700za7za7b3224za7, "type-legend", 11 );
DEFINE_STRING( BGl_string2990z00zzbmemz00, BgL_bgl_string2990za700za7za7b3225za7, "functions", 9 );
DEFINE_STRING( BGl_string2991z00zzbmemz00, BgL_bgl_string2991za700za7za7b3226za7, "types", 5 );
DEFINE_STRING( BGl_string2992z00zzbmemz00, BgL_bgl_string2992za700za7za7b3227za7, "threads", 7 );
DEFINE_STRING( BGl_string2993z00zzbmemz00, BgL_bgl_string2993za700za7za7b3228za7, "gcs", 3 );
DEFINE_STRING( BGl_string2994z00zzbmemz00, BgL_bgl_string2994za700za7za7b3229za7, "main", 4 );
DEFINE_STRING( BGl_string2995z00zzbmemz00, BgL_bgl_string2995za700za7za7b3230za7, "hop", 3 );
DEFINE_STRING( BGl_string2996z00zzbmemz00, BgL_bgl_string2996za700za7za7b3231za7, "bglmem: ", 8 );
DEFINE_STRING( BGl_string2997z00zzbmemz00, BgL_bgl_string2997za700za7za7b3232za7, "class-field", 11 );
DEFINE_STRING( BGl_string2998z00zzbmemz00, BgL_bgl_string2998za700za7za7b3233za7, "20%", 3 );
DEFINE_STRING( BGl_string2999z00zzbmemz00, BgL_bgl_string2999za700za7za7b3234za7, "80%", 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_functionzd2identzd2ppzd2envzd2zzbmemz00, BgL_bgl_za762functionza7d2id3235z00, BGl_z62functionzd2identzd2ppz62zzbmemz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_mainzd2envzd2zzbmemz00, BgL_bgl_za762mainza762za7za7bmem3236z00, BGl_z62mainz62zzbmemz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2926z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3237za7, BGl_z62zc3z04anonymousza31779za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z33zzbmemz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2928z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3238za7, BGl_z62zc3z04anonymousza31789za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3139z04ze3z33zzbmemz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string2867z00zzbmemz00, BgL_bgl_string2867za700za7za7b3239za7, "<exit:([^>]+)>", 14 );
DEFINE_STRING( BGl_string2868z00zzbmemz00, BgL_bgl_string2868za700za7za7b3240za7, "<exit:[^:]+:([^:]+):([0-9]+)>", 29 );
DEFINE_STRING( BGl_string2869z00zzbmemz00, BgL_bgl_string2869za700za7za7b3241za7, "<anonymous:([^>]+)>", 19 );
DEFINE_STRING( BGl_string2870z00zzbmemz00, BgL_bgl_string2870za700za7za7b3242za7, "<anonymous:[^:]+:([^:]+):([0-9]+)>", 34 );
DEFINE_STRING( BGl_string2871z00zzbmemz00, BgL_bgl_string2871za700za7za7b3243za7, "([^?]+)[?]type=(.+)", 19 );
DEFINE_STRING( BGl_string2872z00zzbmemz00, BgL_bgl_string2872za700za7za7b3244za7, "([^?]+)[?]fun=(.+)", 18 );
DEFINE_STRING( BGl_string2873z00zzbmemz00, BgL_bgl_string2873za700za7za7b3245za7, "hop-usage", 9 );
DEFINE_STRING( BGl_string2874z00zzbmemz00, BgL_bgl_string2874za700za7za7b3246za7, "bglmem", 6 );
DEFINE_STRING( BGl_string2875z00zzbmemz00, BgL_bgl_string2875za700za7za7b3247za7, "bglmem [options]", 16 );
DEFINE_STRING( BGl_string2876z00zzbmemz00, BgL_bgl_string2876za700za7za7b3248za7, "/builddir/build/BUILD/bigloo-4.3h/bde/bmem/bmem/bmem.scm", 56 );
DEFINE_STRING( BGl_string2877z00zzbmemz00, BgL_bgl_string2877za700za7za7b3249za7, "usage", 5 );
DEFINE_STRING( BGl_string2878z00zzbmemz00, BgL_bgl_string2878za700za7za7b3250za7, "%html-document", 14 );
DEFINE_STRING( BGl_string2879z00zzbmemz00, BgL_bgl_string2879za700za7za7b3251za7, "usage: bglmem [options] name.bmem", 33 );
DEFINE_STRING( BGl_string2880z00zzbmemz00, BgL_bgl_string2880za700za7za7b3252za7, "procedure", 9 );
DEFINE_STRING( BGl_string2881z00zzbmemz00, BgL_bgl_string2881za700za7za7b3253za7, "usage:Wrong number of arguments", 31 );
DEFINE_STRING( BGl_string2882z00zzbmemz00, BgL_bgl_string2882za700za7za7b3254za7, "<@anonymous:1624:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:60@>", 78 );
DEFINE_STRING( BGl_string2883z00zzbmemz00, BgL_bgl_string2883za700za7za7b3255za7, "<@anonymous:1624:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:60@>:Wrong number of arguments", 104 );
DEFINE_STRING( BGl_string2884z00zzbmemz00, BgL_bgl_string2884za700za7za7b3256za7, "QUERY_STRING", 12 );
DEFINE_STRING( BGl_string2885z00zzbmemz00, BgL_bgl_string2885za700za7za7b3257za7, "SERVER_NAME", 11 );
DEFINE_STRING( BGl_string2886z00zzbmemz00, BgL_bgl_string2886za700za7za7b3258za7, "SERVER_PORT", 11 );
DEFINE_STRING( BGl_string2895z00zzbmemz00, BgL_bgl_string2895za700za7za7b3259za7, "liip", 4 );
DEFINE_STRING( BGl_string2896z00zzbmemz00, BgL_bgl_string2896za700za7za7b3260za7, "pair", 4 );
DEFINE_STRING( BGl_string2897z00zzbmemz00, BgL_bgl_string2897za700za7za7b3261za7, "liip:Wrong number of arguments", 30 );
DEFINE_STRING( BGl_string2898z00zzbmemz00, BgL_bgl_string2898za700za7za7b3262za7, "Illegal argument list", 21 );
DEFINE_STRING( BGl_string2899z00zzbmemz00, BgL_bgl_string2899za700za7za7b3263za7, "<@anonymous:1757:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@>", 78 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2982z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3264za7, BGl_z62zc3z04anonymousza32033za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3334z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc2986z00zzbmemz00, BgL_bgl_za762za7c3za704anonymo3265za7, BGl_z62zc3z04anonymousza32055za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3351z04ze3z33zzbmemz00, 0L, BUNSPEC, 2 );
BGL_IMPORT obj_t BGl_readzd2envzd2zz__readerz00;
DEFINE_STRING( BGl_string3000z00zzbmemz00, BgL_bgl_string3000za700za7za7b3266za7, "100%", 4 );
DEFINE_STRING( BGl_string3001z00zzbmemz00, BgL_bgl_string3001za700za7za7b3267za7, "1px solid black", 15 );
DEFINE_STRING( BGl_string3002z00zzbmemz00, BgL_bgl_string3002za700za7za7b3268za7, "left", 4 );
DEFINE_STRING( BGl_string3003z00zzbmemz00, BgL_bgl_string3003za700za7za7b3269za7, "top", 3 );
DEFINE_STRING( BGl_string3004z00zzbmemz00, BgL_bgl_string3004za700za7za7b3270za7, "hop-margin", 10 );
DEFINE_STRING( BGl_string3005z00zzbmemz00, BgL_bgl_string3005za700za7za7b3271za7, "hop-title", 9 );
DEFINE_STRING( BGl_string3006z00zzbmemz00, BgL_bgl_string3006za700za7za7b3272za7, "hop-page", 8 );
DEFINE_STRING( BGl_string3007z00zzbmemz00, BgL_bgl_string3007za700za7za7b3273za7, "<@anonymous:2055:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:351@>", 79 );
DEFINE_STRING( BGl_string3008z00zzbmemz00, BgL_bgl_string3008za700za7za7b3274za7, "<@anonymous:2033:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:334@>", 79 );
DEFINE_STRING( BGl_string3009z00zzbmemz00, BgL_bgl_string3009za700za7za7b3275za7, "gc-css", 6 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_pregexp1552z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1553z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1557z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1558z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1559z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1560z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1561z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1562z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1563z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_pregexp1564z00zzbmemz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zzbmemz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}


/* Libraries setup */
static int bigloo_libinit( int argc, char *argv[], char *env[] ) {
return 0; }


long bigloo_abort(long n) { return n; }

int BIGLOO_MAIN(int argc, char *argv[], char *env[]) { 
return _bigloo_main(argc, argv, env, &bigloo_main, &bigloo_libinit, 0);}


/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzbmemz00(long BgL_checksumz00_2547, char * BgL_fromz00_2548)
{
{ 
if(
BGl_zd3fxzd3zz__r4_numbers_6_5_fixnumz00(
(long)CINT(
BINT(
BGl_bitzd2andzd2zz__bitz00(BgL_checksumz00_2547, ((long)78678107)))), BgL_checksumz00_2547))
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzbmemz00))
{ 
BGl_requirezd2initializa7ationz75zzbmemz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zzbmemz00(); 
BGl_libraryzd2moduleszd2initz00zzbmemz00(); 
BGl_cnstzd2initzd2zzbmemz00(); 
BGl_importedzd2moduleszd2initz00zzbmemz00(); 
BGl_objectzd2initzd2zzbmemz00(); 
BGl_genericzd2initzd2zzbmemz00(); 
BGl_methodzd2initzd2zzbmemz00(); 
return 
BGl_toplevelzd2initzd2zzbmemz00();}  else 
{ 
return BUNSPEC;} }  else 
{ 
char * BgL_sz00_2551;
BgL_sz00_2551 = 
"bmem"; 
return 
BGl_modulezd2initzd2errorz00zz__errorz00(BgL_sz00_2551, BgL_fromz00_2548);} } 

}



/* bigloo_main */
BGL_EXPORTED_DEF obj_t bigloo_main(obj_t BgL_argvz00_2553)
{
{ 
BGl_modulezd2initializa7ationz75zzbmemz00(((long)0), "bmem"); 
BGl_bigloozd2initializa7edz12z67zz__paramz00(); 
{ 
obj_t BgL_tmpz00_2575;
BgL_tmpz00_2575 = 
BGl_mainz00zzbmemz00(BgL_argvz00_2553); 
return 
BIGLOO_EXIT(BgL_tmpz00_2575);} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
BGl_modulezd2initializa7ationz75zz__errorz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__regexpz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__expander_argsz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)0), "bmem"); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)0), "bmem"); 
return BUNSPEC;} 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_cportz00_2269;
{ /* bmem/bmem.scm 16 */
obj_t BgL_stringz00_2277;
BgL_stringz00_2277 = BGl_string3024z00zzbmemz00; 
{ /* bmem/bmem.scm 16 */
obj_t BgL_startz00_2278;
BgL_startz00_2278 = 
BINT(((long)0)); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_endz00_2279;
BgL_endz00_2279 = 
BINT(
STRING_LENGTH(
((obj_t)BgL_stringz00_2277))); 
{ /* bmem/bmem.scm 16 */

BgL_cportz00_2269 = 
BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(BgL_stringz00_2277, BgL_startz00_2278, BgL_endz00_2279); } } } } 
{ 
long BgL_iz00_2270;
BgL_iz00_2270 = ((long)81); 
BgL_loopz00_2271:
if(
(BgL_iz00_2270==((long)-1)))
{ /* bmem/bmem.scm 16 */
return BUNSPEC;}  else 
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_arg3026z00_2273;
{ /* bmem/bmem.scm 16 */

{ /* bmem/bmem.scm 16 */
obj_t BgL_locationz00_2275;
BgL_locationz00_2275 = 
BBOOL(((bool_t)0)); 
{ /* bmem/bmem.scm 16 */

BgL_arg3026z00_2273 = 
BGl_readz00zz__readerz00(BgL_cportz00_2269, BgL_locationz00_2275); } } } 
{ /* bmem/bmem.scm 16 */
int BgL_tmpz00_2604;
BgL_tmpz00_2604 = 
(int)(BgL_iz00_2270); 
CNST_TABLE_SET(BgL_tmpz00_2604, BgL_arg3026z00_2273); } } 
{ /* bmem/bmem.scm 16 */
int BgL_auxz00_2276;
BgL_auxz00_2276 = 
(int)(
(BgL_iz00_2270-((long)1))); 
{ 
long BgL_iz00_2609;
BgL_iz00_2609 = 
(long)(BgL_auxz00_2276); 
BgL_iz00_2270 = BgL_iz00_2609; 
goto BgL_loopz00_2271;} } } } } } 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2176z00_1041;obj_t BgL_loc2177z00_1042;obj_t BgL_env2178z00_1043;
BgL_name2176z00_1041 = 
CNST_TABLE_REF(((long)0)); 
BgL_loc2177z00_1042 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2178z00_1043 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2178z00_1043, BgL_name2176z00_1041, BgL_loc2177z00_1042); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2175z00_1044;
BgL_aux2175z00_1044 = 
bgl_gc_roots_register(); 
BGL_ENV_POP_TRACE(BgL_env2178z00_1043); 
return BgL_aux2175z00_1044;} } } } 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2180z00_1045;obj_t BgL_loc2181z00_1046;obj_t BgL_env2182z00_1047;
BgL_name2180z00_1045 = 
CNST_TABLE_REF(((long)2)); 
BgL_loc2181z00_1046 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2182z00_1047 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2182z00_1047, BgL_name2180z00_1045, BgL_loc2181z00_1046); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2179z00_1048;
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2136z00_1001;obj_t BgL_loc2137z00_1002;obj_t BgL_env2138z00_1003;
BgL_name2136z00_1001 = 
CNST_TABLE_REF(((long)3)); 
BgL_loc2137z00_1002 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2138z00_1003 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2138z00_1003, BgL_name2136z00_1001, BgL_loc2137z00_1002); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2135z00_1004;
BgL_aux2135z00_1004 = 
BGl_pregexpz00zz__regexpz00(BGl_string2867z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2138z00_1003); 
BGl_pregexp1564z00zzbmemz00 = BgL_aux2135z00_1004; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2140z00_1005;obj_t BgL_loc2141z00_1006;obj_t BgL_env2142z00_1007;
BgL_name2140z00_1005 = 
CNST_TABLE_REF(((long)4)); 
BgL_loc2141z00_1006 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2142z00_1007 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2142z00_1007, BgL_name2140z00_1005, BgL_loc2141z00_1006); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2139z00_1008;
BgL_aux2139z00_1008 = 
BGl_pregexpz00zz__regexpz00(BGl_string2868z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2142z00_1007); 
BGl_pregexp1563z00zzbmemz00 = BgL_aux2139z00_1008; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2144z00_1009;obj_t BgL_loc2145z00_1010;obj_t BgL_env2146z00_1011;
BgL_name2144z00_1009 = 
CNST_TABLE_REF(((long)5)); 
BgL_loc2145z00_1010 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2146z00_1011 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2146z00_1011, BgL_name2144z00_1009, BgL_loc2145z00_1010); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2143z00_1012;
BgL_aux2143z00_1012 = 
BGl_pregexpz00zz__regexpz00(BGl_string2869z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2146z00_1011); 
BGl_pregexp1562z00zzbmemz00 = BgL_aux2143z00_1012; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2148z00_1013;obj_t BgL_loc2149z00_1014;obj_t BgL_env2150z00_1015;
BgL_name2148z00_1013 = 
CNST_TABLE_REF(((long)6)); 
BgL_loc2149z00_1014 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2150z00_1015 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2150z00_1015, BgL_name2148z00_1013, BgL_loc2149z00_1014); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2147z00_1016;
BgL_aux2147z00_1016 = 
BGl_pregexpz00zz__regexpz00(BGl_string2870z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2150z00_1015); 
BGl_pregexp1561z00zzbmemz00 = BgL_aux2147z00_1016; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2152z00_1017;obj_t BgL_loc2153z00_1018;obj_t BgL_env2154z00_1019;
BgL_name2152z00_1017 = 
CNST_TABLE_REF(((long)7)); 
BgL_loc2153z00_1018 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2154z00_1019 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2154z00_1019, BgL_name2152z00_1017, BgL_loc2153z00_1018); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2151z00_1020;
BgL_aux2151z00_1020 = 
BGl_pregexpz00zz__regexpz00(BGl_string2867z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2154z00_1019); 
BGl_pregexp1560z00zzbmemz00 = BgL_aux2151z00_1020; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2156z00_1021;obj_t BgL_loc2157z00_1022;obj_t BgL_env2158z00_1023;
BgL_name2156z00_1021 = 
CNST_TABLE_REF(((long)8)); 
BgL_loc2157z00_1022 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2158z00_1023 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2158z00_1023, BgL_name2156z00_1021, BgL_loc2157z00_1022); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2155z00_1024;
BgL_aux2155z00_1024 = 
BGl_pregexpz00zz__regexpz00(BGl_string2868z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2158z00_1023); 
BGl_pregexp1559z00zzbmemz00 = BgL_aux2155z00_1024; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2160z00_1025;obj_t BgL_loc2161z00_1026;obj_t BgL_env2162z00_1027;
BgL_name2160z00_1025 = 
CNST_TABLE_REF(((long)9)); 
BgL_loc2161z00_1026 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2162z00_1027 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2162z00_1027, BgL_name2160z00_1025, BgL_loc2161z00_1026); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2159z00_1028;
BgL_aux2159z00_1028 = 
BGl_pregexpz00zz__regexpz00(BGl_string2869z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2162z00_1027); 
BGl_pregexp1558z00zzbmemz00 = BgL_aux2159z00_1028; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2164z00_1029;obj_t BgL_loc2165z00_1030;obj_t BgL_env2166z00_1031;
BgL_name2164z00_1029 = 
CNST_TABLE_REF(((long)10)); 
BgL_loc2165z00_1030 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2166z00_1031 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2166z00_1031, BgL_name2164z00_1029, BgL_loc2165z00_1030); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2163z00_1032;
BgL_aux2163z00_1032 = 
BGl_pregexpz00zz__regexpz00(BGl_string2870z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2166z00_1031); 
BGl_pregexp1557z00zzbmemz00 = BgL_aux2163z00_1032; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2168z00_1033;obj_t BgL_loc2169z00_1034;obj_t BgL_env2170z00_1035;
BgL_name2168z00_1033 = 
CNST_TABLE_REF(((long)11)); 
BgL_loc2169z00_1034 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2170z00_1035 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2170z00_1035, BgL_name2168z00_1033, BgL_loc2169z00_1034); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2167z00_1036;
BgL_aux2167z00_1036 = 
BGl_pregexpz00zz__regexpz00(BGl_string2871z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2170z00_1035); 
BGl_pregexp1553z00zzbmemz00 = BgL_aux2167z00_1036; } } } 
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2172z00_1037;obj_t BgL_loc2173z00_1038;obj_t BgL_env2174z00_1039;
BgL_name2172z00_1037 = 
CNST_TABLE_REF(((long)12)); 
BgL_loc2173z00_1038 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2174z00_1039 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2174z00_1039, BgL_name2172z00_1037, BgL_loc2173z00_1038); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2171z00_1040;
BgL_aux2171z00_1040 = 
BGl_pregexpz00zz__regexpz00(BGl_string2872z00zzbmemz00, BNIL); 
BGL_ENV_POP_TRACE(BgL_env2174z00_1039); 
BGl_pregexp1552z00zzbmemz00 = BgL_aux2171z00_1040; } } } 
BgL_aux2179z00_1048 = 
bgl_debug_set(
(int)(((long)1))); 
BGL_ENV_POP_TRACE(BgL_env2182z00_1047); 
return BgL_aux2179z00_1048;} } } } 

}



/* http-request? */
bool_t BGl_httpzd2requestzf3z21zzbmemz00()
{
{ /* bmem/bmem.scm 46 */
{ /* bmem/bmem.scm 47 */
obj_t BgL_name2188z00_1053;obj_t BgL_loc2189z00_1054;obj_t BgL_env2190z00_1055;
BgL_name2188z00_1053 = 
CNST_TABLE_REF(((long)13)); 
BgL_loc2189z00_1054 = 
CNST_TABLE_REF(((long)14)); 
BgL_env2190z00_1055 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 47 */

BGL_ENV_PUSH_TRACE(BgL_env2190z00_1055, BgL_name2188z00_1053, BgL_loc2189z00_1054); 
{ /* bmem/bmem.scm 47 */
bool_t BgL_aux2187z00_1056;
if(
STRINGP(BGl_za2hostnameza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 47 */
BgL_aux2187z00_1056 = 
STRINGP(BGl_za2portza2z00zzbmem_paramz00); }  else 
{ /* bmem/bmem.scm 47 */
BgL_aux2187z00_1056 = ((bool_t)0); } 
BGL_ENV_POP_TRACE(BgL_env2190z00_1055); 
return BgL_aux2187z00_1056;} } } } 

}



/* usage */
obj_t BGl_usagez00zzbmemz00(obj_t BgL_procz00_4)
{
{ /* bmem/bmem.scm 52 */
{ /* bmem/bmem.scm 53 */
obj_t BgL_name2192z00_1057;obj_t BgL_loc2193z00_1058;obj_t BgL_env2194z00_1059;
BgL_name2192z00_1057 = 
CNST_TABLE_REF(((long)15)); 
BgL_loc2193z00_1058 = 
CNST_TABLE_REF(((long)16)); 
BgL_env2194z00_1059 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 53 */

BGL_ENV_PUSH_TRACE(BgL_env2194z00_1059, BgL_name2192z00_1057, BgL_loc2193z00_1058); 
{ /* bmem/bmem.scm 53 */
obj_t BgL_aux2191z00_1060;
if(
BGl_httpzd2requestzf3z21zzbmemz00())
{ /* bmem/bmem.scm 58 */
obj_t BgL_arg1617z00_43;
{ /* bmem/bmem.scm 58 */
BgL_z52htmlzd2boxz80_bglt BgL_arg1619z00_44;
{ /* bmem/bmem.scm 58 */
BgL_z52htmlzd2boxz80_bglt BgL_new1282z00_45;
{ /* bmem/bmem.scm 58 */
obj_t BgL_env1280z00_50;
BgL_env1280z00_50 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 58 */

{ 
long BgL_auxz00_2699;
{ /* bmem/bmem.scm 58 */
long BgL_res2269z00_1138;
{ /* bmem/bmem.scm 58 */
obj_t BgL_classz00_1137;
BgL_classz00_1137 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2269z00_1138 = 
BGL_CLASS_INDEX(BgL_classz00_1137); } 
BgL_auxz00_2699 = BgL_res2269z00_1138; } 
bmem_set_allocation_type( BgL_auxz00_2699, 0 ); } 
{ /* bmem/bmem.scm 58 */
BgL_z52htmlzd2boxz80_bglt BgL_new1279z00_52;
BgL_new1279z00_52 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 58 */
long BgL_arg1630z00_53;
{ /* bmem/bmem.scm 58 */
long BgL_res2270z00_1140;
BgL_res2270z00_1140 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1630z00_53 = BgL_res2270z00_1140; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1279z00_52), BgL_arg1630z00_53); } 
BgL_new1282z00_45 = BgL_new1279z00_52; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1282z00_45)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1282z00_45)))->BgL_classz00)=((obj_t)BGl_string2873z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1282z00_45)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1282z00_45))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
{ 
obj_t BgL_auxz00_2714;
{ /* bmem/bmem.scm 62 */
obj_t BgL_arg1620z00_46;
{ /* bmem/bmem.scm 62 */
obj_t BgL_zc3z04anonymousza31624za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza360z04ze3z51_1872;
BgL_zc3z04anonymousza31624za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza360z04ze3z51_1872 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31624za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza360z04ze3z33zzbmemz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31624za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza360z04ze3z51_1872, 
(int)(((long)0)), BgL_procz00_4); 
BgL_arg1620z00_46 = 
BGl_withzd2outputzd2tozd2stringzd2zz__r4_ports_6_10_1z00(BgL_zc3z04anonymousza31624za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza360z04ze3z51_1872); } 
BgL_auxz00_2714 = 
BGl_htmlzd2stringzd2zzhtmlz00(BgL_arg1620z00_46); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1282z00_45))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_2714),BUNSPEC); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1282z00_45))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1619z00_44 = BgL_new1282z00_45; } 
BgL_arg1617z00_43 = 
BGl_htmlzd2pluginzd2usagez00zzhtmlz00(BFALSE, BGl_string2874z00zzbmemz00, BGl_string2875z00zzbmemz00, 
((BgL_z52htmlzd2elementz80_bglt)BgL_arg1619z00_44)); } 
{ /* bmem/bmem.scm 54 */
BgL_z52htmlzd2documentz80_bglt BgL_auxz00_2726;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1617z00_43, BGl_z52htmlzd2documentz80zzhtmlz00))
{ /* bmem/bmem.scm 62 */
BgL_auxz00_2726 = 
((BgL_z52htmlzd2documentz80_bglt)BgL_arg1617z00_43)
; }  else 
{ 
obj_t BgL_auxz00_2730;
BgL_auxz00_2730 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)2679)), BGl_string2877z00zzbmemz00, BGl_string2878z00zzbmemz00, BgL_arg1617z00_43); 
FAILURE(BgL_auxz00_2730,BFALSE,BFALSE);} 
BgL_aux2191z00_1060 = 
BGl_printzd2htmlzd2zzhtmlz00(BgL_auxz00_2726); } }  else 
{ /* bmem/bmem.scm 53 */
{ /* bmem/bmem.scm 64 */
obj_t BgL_port1493z00_54;
{ /* bmem/bmem.scm 64 */
obj_t BgL_res2271z00_1144;
{ /* bmem/bmem.scm 64 */
obj_t BgL_tmpz00_2735;
BgL_tmpz00_2735 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2271z00_1144 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2735); } 
BgL_port1493z00_54 = BgL_res2271z00_1144; } 
bgl_display_string(BGl_string2879z00zzbmemz00, BgL_port1493z00_54); 
bgl_display_char(((unsigned char)10), BgL_port1493z00_54); } 
{ /* bmem/bmem.scm 65 */
obj_t BgL_funz00_1958;
if(
PROCEDUREP(BgL_procz00_4))
{ /* bmem/bmem.scm 65 */
BgL_funz00_1958 = BgL_procz00_4; }  else 
{ 
obj_t BgL_auxz00_2742;
BgL_auxz00_2742 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)2746)), BGl_string2877z00zzbmemz00, BGl_string2880z00zzbmemz00, BgL_procz00_4); 
FAILURE(BgL_auxz00_2742,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1958, ((long)1)))
{ /* bmem/bmem.scm 65 */
BgL_aux2191z00_1060 = 
PROCEDURE_ENTRY(BgL_funz00_1958)(BgL_procz00_4, BFALSE, BEOA); }  else 
{ /* bmem/bmem.scm 65 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2881z00zzbmemz00, 
CNST_TABLE_REF(((long)18)), BgL_funz00_1958, BGl_string2876z00zzbmemz00, 
BINT(((long)2746))); 
{ 
obj_t BgL_auxz00_2759;obj_t BgL_auxz00_2757;obj_t BgL_auxz00_2755;
BgL_auxz00_2759 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_2757 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_2755 = 
CNST_TABLE_REF(((long)19)); 
FAILURE(BgL_auxz00_2755,BgL_auxz00_2757,BgL_auxz00_2759);} } } } 
BGL_ENV_POP_TRACE(BgL_env2194z00_1059); 
return BgL_aux2191z00_1060;} } } } 

}



/* &<@anonymous:1624:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:60@> */
obj_t BGl_z62zc3z04anonymousza31624za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza360z04ze3z33zzbmemz00(obj_t BgL_envz00_1873)
{
{ /* bmem/bmem.scm 61 */
{ /* bmem/bmem.scm 62 */
obj_t BgL_procz00_1874;
BgL_procz00_1874 = 
PROCEDURE_REF(BgL_envz00_1873, 
(int)(((long)0))); 
{ /* bmem/bmem.scm 62 */
obj_t BgL_funz00_2282;
if(
PROCEDUREP(BgL_procz00_1874))
{ /* bmem/bmem.scm 62 */
BgL_funz00_2282 = BgL_procz00_1874; }  else 
{ 
obj_t BgL_auxz00_2767;
BgL_auxz00_2767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)2666)), BGl_string2882z00zzbmemz00, BGl_string2880z00zzbmemz00, BgL_procz00_1874); 
FAILURE(BgL_auxz00_2767,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_2282, ((long)1)))
{ /* bmem/bmem.scm 62 */
return 
PROCEDURE_ENTRY(BgL_funz00_2282)(BgL_procz00_1874, BFALSE, BEOA);}  else 
{ /* bmem/bmem.scm 62 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2883z00zzbmemz00, 
CNST_TABLE_REF(((long)18)), BgL_funz00_2282, BGl_string2876z00zzbmemz00, 
BINT(((long)2666))); 
{ 
obj_t BgL_auxz00_2784;obj_t BgL_auxz00_2782;obj_t BgL_auxz00_2780;
BgL_auxz00_2784 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_2782 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_2780 = 
CNST_TABLE_REF(((long)19)); 
FAILURE(BgL_auxz00_2780,BgL_auxz00_2782,BgL_auxz00_2784);} } } } } 

}



/* parse-cmdline! */
obj_t BGl_parsezd2cmdlinez12zc0zzbmemz00(obj_t BgL_argvz00_5)
{
{ /* bmem/bmem.scm 70 */
{ /* bmem/bmem.scm 72 */
obj_t BgL_name2196z00_1061;obj_t BgL_loc2197z00_1062;obj_t BgL_env2198z00_1063;
BgL_name2196z00_1061 = 
CNST_TABLE_REF(((long)20)); 
BgL_loc2197z00_1062 = 
CNST_TABLE_REF(((long)21)); 
BgL_env2198z00_1063 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 72 */

BGL_ENV_PUSH_TRACE(BgL_env2198z00_1063, BgL_name2196z00_1061, BgL_loc2197z00_1062); 
{ /* bmem/bmem.scm 72 */
obj_t BgL_aux2195z00_1064;
BGl_za2uriza2z00zzbmem_paramz00 = 
BGl_getenvz00zz__osz00(BGl_string2884z00zzbmemz00); 
BGl_za2hostnameza2z00zzbmem_paramz00 = 
BGl_getenvz00zz__osz00(BGl_string2885z00zzbmemz00); 
BGl_za2portza2z00zzbmem_paramz00 = 
BGl_getenvz00zz__osz00(BGl_string2886z00zzbmemz00); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_argszd2parsezd2usagez00_55;
BgL_argszd2parsezd2usagez00_55 = 
BGl_argszd2parsezd2usagez00zz__expander_argsz00(
CNST_TABLE_REF(((long)22))); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_pza2za2_56;
{ /* bmem/bmem.scm 76 */
obj_t BgL_list1771z00_277;
BgL_list1771z00_277 = 
MAKE_YOUNG_PAIR(BGl_proc2887z00zzbmemz00, BNIL); 
BgL_pza2za2_56 = BgL_list1771z00_277; } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_aza2za2_57;
BgL_aza2za2_57 = 
CDR(BgL_argvz00_5); 
{ /* bmem/bmem.scm 76 */

BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BGl_proc2888z00zzbmemz00, BgL_pza2za2_56); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_zc3z04anonymousza31647za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1882;
BgL_zc3z04anonymousza31647za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1882 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31647za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 
(int)(((long)2)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31647za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1882, 
(int)(((long)0)), BgL_argszd2parsezd2usagez00_55); 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31647za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1882, BgL_pza2za2_56); } 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BGl_proc2889z00zzbmemz00, BgL_pza2za2_56); 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BGl_proc2890z00zzbmemz00, BgL_pza2za2_56); 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BGl_proc2891z00zzbmemz00, BgL_pza2za2_56); 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BGl_proc2892z00zzbmemz00, BgL_pza2za2_56); 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BGl_proc2893z00zzbmemz00, BgL_pza2za2_56); 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BGl_proc2894z00zzbmemz00, BgL_pza2za2_56); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_zc3z04anonymousza31757za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1875;
BgL_zc3z04anonymousza31757za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1875 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31757za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00, 
(int)(((long)2)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31757za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1875, 
(int)(((long)0)), BgL_argszd2parsezd2usagez00_55); 
BgL_pza2za2_56 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza31757za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_1875, BgL_pza2za2_56); } 
if(
BGl_listzf3zf3zz__r4_pairs_and_lists_6_3z00(BgL_aza2za2_57))
{ 
obj_t BgL_aza2za2_259;obj_t BgL_vz00_260;
BgL_aza2za2_259 = BgL_aza2za2_57; 
BgL_vz00_260 = BFALSE; 
BgL_zc3z04anonymousza31763za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_261:
{ 
obj_t BgL_pza2za2_263;
BgL_pza2za2_263 = BgL_pza2za2_56; 
BgL_zc3z04anonymousza31764za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_264:
{ /* bmem/bmem.scm 76 */
obj_t BgL_actionz00_265;
{ /* bmem/bmem.scm 76 */
obj_t BgL_fun1769z00_273;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_1286;
if(
PAIRP(BgL_pza2za2_263))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_1286 = BgL_pza2za2_263; }  else 
{ 
obj_t BgL_auxz00_2821;
BgL_auxz00_2821 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2895z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_pza2za2_263); 
FAILURE(BgL_auxz00_2821,BFALSE,BFALSE);} 
BgL_fun1769z00_273 = 
CAR(BgL_pairz00_1286); } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_funz00_1970;
if(
PROCEDUREP(BgL_fun1769z00_273))
{ /* bmem/bmem.scm 76 */
BgL_funz00_1970 = BgL_fun1769z00_273; }  else 
{ 
obj_t BgL_auxz00_2828;
BgL_auxz00_2828 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2895z00zzbmemz00, BGl_string2880z00zzbmemz00, BgL_fun1769z00_273); 
FAILURE(BgL_auxz00_2828,BFALSE,BFALSE);} 
if(
PROCEDURE_CORRECT_ARITYP(BgL_funz00_1970, ((long)2)))
{ /* bmem/bmem.scm 76 */
BgL_actionz00_265 = 
PROCEDURE_ENTRY(BgL_funz00_1970)(BgL_fun1769z00_273, BgL_aza2za2_259, BgL_vz00_260, BEOA); }  else 
{ /* bmem/bmem.scm 76 */
BGl_errorzf2locationzf2zz__errorz00(BGl_string2897z00zzbmemz00, 
CNST_TABLE_REF(((long)23)), BgL_funz00_1970, BGl_string2876z00zzbmemz00, 
BINT(((long)3182))); 
{ 
obj_t BgL_auxz00_2846;obj_t BgL_auxz00_2844;obj_t BgL_auxz00_2842;
BgL_auxz00_2846 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_2844 = 
CNST_TABLE_REF(((long)19)); 
BgL_auxz00_2842 = 
CNST_TABLE_REF(((long)19)); 
FAILURE(BgL_auxz00_2842,BgL_auxz00_2844,BgL_auxz00_2846);} } } } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_naza2za2_266;obj_t BgL_nvz00_267;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2849;
BgL_tmpz00_2849 = 
(int)(((long)1)); 
BgL_naza2za2_266 = 
BGL_MVALUES_VAL(BgL_tmpz00_2849); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2852;
BgL_tmpz00_2852 = 
(int)(((long)2)); 
BgL_nvz00_267 = 
BGL_MVALUES_VAL(BgL_tmpz00_2852); } 
if(
(BgL_actionz00_265==
CNST_TABLE_REF(((long)24))))
{ 
obj_t BgL_vz00_2859;obj_t BgL_aza2za2_2858;
BgL_aza2za2_2858 = BgL_naza2za2_266; 
BgL_vz00_2859 = BgL_nvz00_267; 
BgL_vz00_260 = BgL_vz00_2859; 
BgL_aza2za2_259 = BgL_aza2za2_2858; 
goto BgL_zc3z04anonymousza31763za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_261;}  else 
{ /* bmem/bmem.scm 76 */
if(
(BgL_actionz00_265==
CNST_TABLE_REF(((long)25))))
{ /* bmem/bmem.scm 76 */
obj_t BgL_arg1767z00_271;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_1291;
if(
PAIRP(BgL_pza2za2_263))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_1291 = BgL_pza2za2_263; }  else 
{ 
obj_t BgL_auxz00_2865;
BgL_auxz00_2865 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2895z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_pza2za2_263); 
FAILURE(BgL_auxz00_2865,BFALSE,BFALSE);} 
BgL_arg1767z00_271 = 
CDR(BgL_pairz00_1291); } 
{ 
obj_t BgL_pza2za2_2870;
BgL_pza2za2_2870 = BgL_arg1767z00_271; 
BgL_pza2za2_263 = BgL_pza2za2_2870; 
goto BgL_zc3z04anonymousza31764za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z51_264;} }  else 
{ /* bmem/bmem.scm 76 */
if(
(BgL_actionz00_265==
CNST_TABLE_REF(((long)26))))
{ /* bmem/bmem.scm 76 */
BgL_aux2195z00_1064 = BgL_nvz00_267; }  else 
{ /* bmem/bmem.scm 76 */
BgL_aux2195z00_1064 = BUNSPEC; } } } } } } }  else 
{ /* bmem/bmem.scm 76 */
BgL_aux2195z00_1064 = 
BGl_errorzf2locationzf2zz__errorz00(
CNST_TABLE_REF(((long)27)), BGl_string2898z00zzbmemz00, BgL_aza2za2_57, BGl_string2876z00zzbmemz00, 
BINT(((long)3182))); } } } } } 
BGL_ENV_POP_TRACE(BgL_env2198z00_1063); 
return BgL_aux2195z00_1064;} } } } 

}



/* &<@anonymous:1757:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31757za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1885, obj_t BgL_g1305z00_1887, obj_t BgL_g1306z00_1888)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
obj_t BgL_argszd2parsezd2usagez00_1886;
BgL_argszd2parsezd2usagez00_1886 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1885, 
(int)(((long)0)))); 
{ /* bmem/bmem.scm 76 */
bool_t BgL_test3294z00_2881;
if(
PAIRP(BgL_g1305z00_1887))
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2283;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2593z00_2284;
BgL_aux2593z00_2284 = 
CAR(BgL_g1305z00_1887); 
if(
STRINGP(BgL_aux2593z00_2284))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2283 = BgL_aux2593z00_2284; }  else 
{ 
obj_t BgL_auxz00_2887;
BgL_auxz00_2887 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2899z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2593z00_2284); 
FAILURE(BgL_auxz00_2887,BFALSE,BFALSE);} } 
BgL_test3294z00_2881 = 
bigloo_strcmp(BGl_string2901z00zzbmemz00, BgL_string2z00_2283); }  else 
{ /* bmem/bmem.scm 76 */
BgL_test3294z00_2881 = ((bool_t)0)
; } 
if(BgL_test3294z00_2881)
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2285;
BgL_thezd2remainingzd2argsz00_2285 = 
CDR(BgL_g1305z00_1887); 
{ /* bmem/bmem.scm 78 */
obj_t BgL_nvz00_2286;
BGl_usagez00zzbmemz00(BgL_argszd2parsezd2usagez00_1886); 
{ /* bmem/bmem.scm 41 */
obj_t BgL_name2184z00_2287;obj_t BgL_loc2185z00_2288;obj_t BgL_env2186z00_2289;
BgL_name2184z00_2287 = 
CNST_TABLE_REF(((long)28)); 
BgL_loc2185z00_2288 = 
CNST_TABLE_REF(((long)29)); 
BgL_env2186z00_2289 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 41 */

BGL_ENV_PUSH_TRACE(BgL_env2186z00_2289, BgL_name2184z00_2287, BgL_loc2185z00_2288); 
{ /* bmem/bmem.scm 41 */
obj_t BgL_aux2183z00_2290;
{ /* bmem/bmem.scm 41 */
obj_t BgL_list1613z00_2291;
BgL_list1613z00_2291 = 
MAKE_YOUNG_PAIR(
BINT(((long)-1)), BNIL); 
BgL_aux2183z00_2290 = 
BGl_exitz00zz__errorz00(BgL_list1613z00_2291); } 
BGL_ENV_POP_TRACE(BgL_env2186z00_2289); 
BgL_nvz00_2286 = BgL_aux2183z00_2290; } } } 
{ /* bmem/bmem.scm 76 */

{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1546z00_2292;
BgL_val0_1546z00_2292 = 
CNST_TABLE_REF(((long)24)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2323z00_2293;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2903;
BgL_tmpz00_2903 = 
(int)(((long)3)); 
BgL_res2323z00_2293 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2903); } BgL_res2323z00_2293; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2906;
BgL_tmpz00_2906 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2906, BgL_thezd2remainingzd2argsz00_2285); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2909;
BgL_tmpz00_2909 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2909, BgL_nvz00_2286); } 
return BgL_val0_1546z00_2292;} } } }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1549z00_2294;
BgL_val0_1549z00_2294 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2324z00_2295;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2913;
BgL_tmpz00_2913 = 
(int)(((long)3)); 
BgL_res2324z00_2295 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2913); } BgL_res2324z00_2295; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2916;
BgL_tmpz00_2916 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2916, BgL_g1305z00_1887); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2919;
BgL_tmpz00_2919 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2919, BgL_g1306z00_1888); } 
return BgL_val0_1549z00_2294;} } } } 

}



/* &<@anonymous:1740:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31740za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1889, obj_t BgL_g1302z00_1890, obj_t BgL_g1303z00_1891)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
bool_t BgL_test3297z00_2922;
if(
PAIRP(BgL_g1302z00_1890))
{ /* bmem/bmem.scm 76 */
bool_t BgL__ortest_1304z00_2296;
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2297;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2595z00_2298;
BgL_aux2595z00_2298 = 
CAR(BgL_g1302z00_1890); 
if(
STRINGP(BgL_aux2595z00_2298))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2297 = BgL_aux2595z00_2298; }  else 
{ 
obj_t BgL_auxz00_2928;
BgL_auxz00_2928 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2902z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2595z00_2298); 
FAILURE(BgL_auxz00_2928,BFALSE,BFALSE);} } 
BgL__ortest_1304z00_2296 = 
bigloo_strcmp(BGl_string2903z00zzbmemz00, BgL_string2z00_2297); } 
if(BgL__ortest_1304z00_2296)
{ /* bmem/bmem.scm 76 */
BgL_test3297z00_2922 = BgL__ortest_1304z00_2296
; }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2299;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2597z00_2300;
BgL_aux2597z00_2300 = 
CAR(BgL_g1302z00_1890); 
if(
STRINGP(BgL_aux2597z00_2300))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2299 = BgL_aux2597z00_2300; }  else 
{ 
obj_t BgL_auxz00_2937;
BgL_auxz00_2937 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2902z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2597z00_2300); 
FAILURE(BgL_auxz00_2937,BFALSE,BFALSE);} } 
BgL_test3297z00_2922 = 
bigloo_strcmp(BGl_string2904z00zzbmemz00, BgL_string2z00_2299); } }  else 
{ /* bmem/bmem.scm 76 */
BgL_test3297z00_2922 = ((bool_t)0)
; } 
if(BgL_test3297z00_2922)
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2301;
BgL_thezd2remainingzd2argsz00_2301 = 
CDR(BgL_g1302z00_1890); 
{ /* bmem/bmem.scm 83 */
obj_t BgL_nvz00_2302;
if(
BGl_httpzd2requestzf3z21zzbmemz00())
{ /* bmem/bmem.scm 82 */
obj_t BgL_arg1753z00_2303;
{ /* bmem/bmem.scm 82 */
obj_t BgL_auxz00_2952;obj_t BgL_auxz00_2945;
{ /* bmem/bmem.scm 82 */
obj_t BgL_aux2601z00_2305;
BgL_aux2601z00_2305 = BGl_za2bmemzd2versionza2zd2zzbmem_paramz00; 
if(
STRINGP(BgL_aux2601z00_2305))
{ /* bmem/bmem.scm 82 */
BgL_auxz00_2952 = BgL_aux2601z00_2305
; }  else 
{ 
obj_t BgL_auxz00_2955;
BgL_auxz00_2955 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3434)), BGl_string2902z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2601z00_2305); 
FAILURE(BgL_auxz00_2955,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 82 */
obj_t BgL_aux2599z00_2304;
BgL_aux2599z00_2304 = BGl_za2bmemza2z00zzbmem_paramz00; 
if(
STRINGP(BgL_aux2599z00_2304))
{ /* bmem/bmem.scm 82 */
BgL_auxz00_2945 = BgL_aux2599z00_2304
; }  else 
{ 
obj_t BgL_auxz00_2948;
BgL_auxz00_2948 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3427)), BGl_string2902z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2599z00_2304); 
FAILURE(BgL_auxz00_2948,BFALSE,BFALSE);} } 
BgL_arg1753z00_2303 = 
BGl_htmlzd2pluginzd2versionz00zzhtmlz00(BFALSE, BgL_auxz00_2945, BgL_auxz00_2952); } 
{ /* bmem/bmem.scm 82 */
BgL_z52htmlzd2documentz80_bglt BgL_auxz00_2960;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1753z00_2303, BGl_z52htmlzd2documentz80zzhtmlz00))
{ /* bmem/bmem.scm 82 */
BgL_auxz00_2960 = 
((BgL_z52htmlzd2documentz80_bglt)BgL_arg1753z00_2303)
; }  else 
{ 
obj_t BgL_auxz00_2964;
BgL_auxz00_2964 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3448)), BGl_string2902z00zzbmemz00, BGl_string2878z00zzbmemz00, BgL_arg1753z00_2303); 
FAILURE(BgL_auxz00_2964,BFALSE,BFALSE);} 
BGl_printzd2htmlzd2zzhtmlz00(BgL_auxz00_2960); } }  else 
{ /* bmem/bmem.scm 83 */
obj_t BgL_port1539z00_2306;
{ /* bmem/bmem.scm 83 */
obj_t BgL_res2318z00_2307;
{ /* bmem/bmem.scm 83 */
obj_t BgL_tmpz00_2969;
BgL_tmpz00_2969 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2318z00_2307 = 
BGL_ENV_CURRENT_ERROR_PORT(BgL_tmpz00_2969); } 
BgL_port1539z00_2306 = BgL_res2318z00_2307; } 
bgl_display_obj(BGl_za2bmemza2z00zzbmem_paramz00, BgL_port1539z00_2306); 
bgl_display_string(BGl_string2905z00zzbmemz00, BgL_port1539z00_2306); 
bgl_display_obj(BGl_za2bmemzd2versionza2zd2zzbmem_paramz00, BgL_port1539z00_2306); 
bgl_display_char(((unsigned char)10), BgL_port1539z00_2306); } 
{ /* bmem/bmem.scm 41 */
obj_t BgL_name2184z00_2308;obj_t BgL_loc2185z00_2309;obj_t BgL_env2186z00_2310;
BgL_name2184z00_2308 = 
CNST_TABLE_REF(((long)28)); 
BgL_loc2185z00_2309 = 
CNST_TABLE_REF(((long)29)); 
BgL_env2186z00_2310 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 41 */

BGL_ENV_PUSH_TRACE(BgL_env2186z00_2310, BgL_name2184z00_2308, BgL_loc2185z00_2309); 
{ /* bmem/bmem.scm 41 */
obj_t BgL_aux2183z00_2311;
{ /* bmem/bmem.scm 41 */
obj_t BgL_list1613z00_2312;
BgL_list1613z00_2312 = 
MAKE_YOUNG_PAIR(
BINT(((long)-1)), BNIL); 
BgL_aux2183z00_2311 = 
BGl_exitz00zz__errorz00(BgL_list1613z00_2312); } 
BGL_ENV_POP_TRACE(BgL_env2186z00_2310); 
BgL_nvz00_2302 = BgL_aux2183z00_2311; } } } 
{ /* bmem/bmem.scm 76 */

{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1540z00_2313;
BgL_val0_1540z00_2313 = 
CNST_TABLE_REF(((long)24)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2319z00_2314;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2985;
BgL_tmpz00_2985 = 
(int)(((long)3)); 
BgL_res2319z00_2314 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2985); } BgL_res2319z00_2314; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2988;
BgL_tmpz00_2988 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2988, BgL_thezd2remainingzd2argsz00_2301); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2991;
BgL_tmpz00_2991 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2991, BgL_nvz00_2302); } 
return BgL_val0_1540z00_2313;} } } }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1543z00_2315;
BgL_val0_1543z00_2315 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2320z00_2316;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2995;
BgL_tmpz00_2995 = 
(int)(((long)3)); 
BgL_res2320z00_2316 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_2995); } BgL_res2320z00_2316; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_2998;
BgL_tmpz00_2998 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_2998, BgL_g1302z00_1890); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3001;
BgL_tmpz00_3001 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3001, BgL_g1303z00_1891); } 
return BgL_val0_1543z00_2315;} } } 

}



/* &<@anonymous:1715:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31715za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1892, obj_t BgL_g1299z00_1893, obj_t BgL_g1300z00_1894)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
bool_t BgL_test3306z00_3004;
if(
PAIRP(BgL_g1299z00_1893))
{ /* bmem/bmem.scm 76 */
bool_t BgL__ortest_1301z00_2317;
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2318;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2605z00_2319;
BgL_aux2605z00_2319 = 
CAR(BgL_g1299z00_1893); 
if(
STRINGP(BgL_aux2605z00_2319))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2318 = BgL_aux2605z00_2319; }  else 
{ 
obj_t BgL_auxz00_3010;
BgL_auxz00_3010 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2906z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2605z00_2319); 
FAILURE(BgL_auxz00_3010,BFALSE,BFALSE);} } 
BgL__ortest_1301z00_2317 = 
bigloo_strcmp(BGl_string2907z00zzbmemz00, BgL_string2z00_2318); } 
if(BgL__ortest_1301z00_2317)
{ /* bmem/bmem.scm 76 */
BgL_test3306z00_3004 = BgL__ortest_1301z00_2317
; }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2320;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2607z00_2321;
BgL_aux2607z00_2321 = 
CAR(BgL_g1299z00_1893); 
if(
STRINGP(BgL_aux2607z00_2321))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2320 = BgL_aux2607z00_2321; }  else 
{ 
obj_t BgL_auxz00_3019;
BgL_auxz00_3019 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2906z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2607z00_2321); 
FAILURE(BgL_auxz00_3019,BFALSE,BFALSE);} } 
BgL_test3306z00_3004 = 
bigloo_strcmp(BGl_string2908z00zzbmemz00, BgL_string2z00_2320); } }  else 
{ /* bmem/bmem.scm 76 */
BgL_test3306z00_3004 = ((bool_t)0)
; } 
if(BgL_test3306z00_3004)
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2322;
BgL_thezd2remainingzd2argsz00_2322 = 
CDR(BgL_g1299z00_1893); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_foutz00_2323;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2322))
{ /* bmem/bmem.scm 76 */
BgL_foutz00_2323 = 
CAR(BgL_thezd2remainingzd2argsz00_2322); }  else 
{ /* bmem/bmem.scm 76 */
BgL_foutz00_2323 = 
BGl_errorzf2locationzf2zz__errorz00(
CNST_TABLE_REF(((long)30)), BGl_string2909z00zzbmemz00, 
CNST_TABLE_REF(((long)31)), BGl_string2876z00zzbmemz00, 
BINT(((long)3182))); } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2324;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_2325;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2322))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_2325 = BgL_thezd2remainingzd2argsz00_2322; }  else 
{ 
obj_t BgL_auxz00_3034;
BgL_auxz00_3034 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2906z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_thezd2remainingzd2argsz00_2322); 
FAILURE(BgL_auxz00_3034,BFALSE,BFALSE);} 
BgL_thezd2remainingzd2argsz00_2324 = 
CDR(BgL_pairz00_2325); } 
{ /* bmem/bmem.scm 86 */
obj_t BgL_nvz00_2326;
BgL_nvz00_2326 = ( 
BGl_za2foutza2z00zzbmem_paramz00 = BgL_foutz00_2323, BUNSPEC) ; 
{ /* bmem/bmem.scm 76 */

{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1533z00_2327;
BgL_val0_1533z00_2327 = 
CNST_TABLE_REF(((long)24)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2313z00_2328;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3040;
BgL_tmpz00_3040 = 
(int)(((long)3)); 
BgL_res2313z00_2328 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3040); } BgL_res2313z00_2328; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3043;
BgL_tmpz00_3043 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3043, BgL_thezd2remainingzd2argsz00_2324); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3046;
BgL_tmpz00_3046 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3046, BgL_nvz00_2326); } 
return BgL_val0_1533z00_2327;} } } } } }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1536z00_2329;
BgL_val0_1536z00_2329 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2314z00_2330;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3050;
BgL_tmpz00_3050 = 
(int)(((long)3)); 
BgL_res2314z00_2330 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3050); } BgL_res2314z00_2330; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3053;
BgL_tmpz00_3053 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3053, BgL_g1299z00_1893); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3056;
BgL_tmpz00_3056 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3056, BgL_g1300z00_1894); } 
return BgL_val0_1536z00_2329;} } } 

}



/* &<@anonymous:1697:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31697za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1895, obj_t BgL_g1296z00_1896, obj_t BgL_g1297z00_1897)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
bool_t BgL_test3313z00_3059;
if(
PAIRP(BgL_g1296z00_1896))
{ /* bmem/bmem.scm 76 */
bool_t BgL__ortest_1298z00_2331;
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2332;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2611z00_2333;
BgL_aux2611z00_2333 = 
CAR(BgL_g1296z00_1896); 
if(
STRINGP(BgL_aux2611z00_2333))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2332 = BgL_aux2611z00_2333; }  else 
{ 
obj_t BgL_auxz00_3065;
BgL_auxz00_3065 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2910z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2611z00_2333); 
FAILURE(BgL_auxz00_3065,BFALSE,BFALSE);} } 
BgL__ortest_1298z00_2331 = 
bigloo_strcmp(BGl_string2911z00zzbmemz00, BgL_string2z00_2332); } 
if(BgL__ortest_1298z00_2331)
{ /* bmem/bmem.scm 76 */
BgL_test3313z00_3059 = BgL__ortest_1298z00_2331
; }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2334;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2613z00_2335;
BgL_aux2613z00_2335 = 
CAR(BgL_g1296z00_1896); 
if(
STRINGP(BgL_aux2613z00_2335))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2334 = BgL_aux2613z00_2335; }  else 
{ 
obj_t BgL_auxz00_3074;
BgL_auxz00_3074 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2910z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2613z00_2335); 
FAILURE(BgL_auxz00_3074,BFALSE,BFALSE);} } 
BgL_test3313z00_3059 = 
bigloo_strcmp(BGl_string2912z00zzbmemz00, BgL_string2z00_2334); } }  else 
{ /* bmem/bmem.scm 76 */
BgL_test3313z00_3059 = ((bool_t)0)
; } 
if(BgL_test3313z00_3059)
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2336;
BgL_thezd2remainingzd2argsz00_2336 = 
CDR(BgL_g1296z00_1896); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_functionz00_2337;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2336))
{ /* bmem/bmem.scm 76 */
BgL_functionz00_2337 = 
CAR(BgL_thezd2remainingzd2argsz00_2336); }  else 
{ /* bmem/bmem.scm 76 */
BgL_functionz00_2337 = 
BGl_errorzf2locationzf2zz__errorz00(
CNST_TABLE_REF(((long)32)), BGl_string2909z00zzbmemz00, 
CNST_TABLE_REF(((long)33)), BGl_string2876z00zzbmemz00, 
BINT(((long)3182))); } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2338;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_2339;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2336))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_2339 = BgL_thezd2remainingzd2argsz00_2336; }  else 
{ 
obj_t BgL_auxz00_3089;
BgL_auxz00_3089 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2910z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_thezd2remainingzd2argsz00_2336); 
FAILURE(BgL_auxz00_3089,BFALSE,BFALSE);} 
BgL_thezd2remainingzd2argsz00_2338 = 
CDR(BgL_pairz00_2339); } 
{ /* bmem/bmem.scm 88 */
obj_t BgL_nvz00_2340;
BgL_nvz00_2340 = ( 
BGl_za2functionza2z00zzbmem_paramz00 = BgL_functionz00_2337, BUNSPEC) ; 
{ /* bmem/bmem.scm 76 */

{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1527z00_2341;
BgL_val0_1527z00_2341 = 
CNST_TABLE_REF(((long)24)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2307z00_2342;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3095;
BgL_tmpz00_3095 = 
(int)(((long)3)); 
BgL_res2307z00_2342 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3095); } BgL_res2307z00_2342; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3098;
BgL_tmpz00_3098 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3098, BgL_thezd2remainingzd2argsz00_2338); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3101;
BgL_tmpz00_3101 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3101, BgL_nvz00_2340); } 
return BgL_val0_1527z00_2341;} } } } } }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1530z00_2343;
BgL_val0_1530z00_2343 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2308z00_2344;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3105;
BgL_tmpz00_3105 = 
(int)(((long)3)); 
BgL_res2308z00_2344 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3105); } BgL_res2308z00_2344; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3108;
BgL_tmpz00_3108 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3108, BgL_g1296z00_1896); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3111;
BgL_tmpz00_3111 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3111, BgL_g1297z00_1897); } 
return BgL_val0_1530z00_2343;} } } 

}



/* &<@anonymous:1683:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31683za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1898, obj_t BgL_g1293z00_1899, obj_t BgL_g1294z00_1900)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
bool_t BgL_test3320z00_3114;
if(
PAIRP(BgL_g1293z00_1899))
{ /* bmem/bmem.scm 76 */
bool_t BgL__ortest_1295z00_2345;
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2346;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2617z00_2347;
BgL_aux2617z00_2347 = 
CAR(BgL_g1293z00_1899); 
if(
STRINGP(BgL_aux2617z00_2347))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2346 = BgL_aux2617z00_2347; }  else 
{ 
obj_t BgL_auxz00_3120;
BgL_auxz00_3120 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2913z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2617z00_2347); 
FAILURE(BgL_auxz00_3120,BFALSE,BFALSE);} } 
BgL__ortest_1295z00_2345 = 
bigloo_strcmp(BGl_string2914z00zzbmemz00, BgL_string2z00_2346); } 
if(BgL__ortest_1295z00_2345)
{ /* bmem/bmem.scm 76 */
BgL_test3320z00_3114 = BgL__ortest_1295z00_2345
; }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2348;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2619z00_2349;
BgL_aux2619z00_2349 = 
CAR(BgL_g1293z00_1899); 
if(
STRINGP(BgL_aux2619z00_2349))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2348 = BgL_aux2619z00_2349; }  else 
{ 
obj_t BgL_auxz00_3129;
BgL_auxz00_3129 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2913z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2619z00_2349); 
FAILURE(BgL_auxz00_3129,BFALSE,BFALSE);} } 
BgL_test3320z00_3114 = 
bigloo_strcmp(BGl_string2915z00zzbmemz00, BgL_string2z00_2348); } }  else 
{ /* bmem/bmem.scm 76 */
BgL_test3320z00_3114 = ((bool_t)0)
; } 
if(BgL_test3320z00_3114)
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2350;
BgL_thezd2remainingzd2argsz00_2350 = 
CDR(BgL_g1293z00_1899); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_typez00_2351;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2350))
{ /* bmem/bmem.scm 76 */
BgL_typez00_2351 = 
CAR(BgL_thezd2remainingzd2argsz00_2350); }  else 
{ /* bmem/bmem.scm 76 */
BgL_typez00_2351 = 
BGl_errorzf2locationzf2zz__errorz00(
CNST_TABLE_REF(((long)34)), BGl_string2909z00zzbmemz00, 
CNST_TABLE_REF(((long)35)), BGl_string2876z00zzbmemz00, 
BINT(((long)3182))); } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2352;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_2353;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2350))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_2353 = BgL_thezd2remainingzd2argsz00_2350; }  else 
{ 
obj_t BgL_auxz00_3144;
BgL_auxz00_3144 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2913z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_thezd2remainingzd2argsz00_2350); 
FAILURE(BgL_auxz00_3144,BFALSE,BFALSE);} 
BgL_thezd2remainingzd2argsz00_2352 = 
CDR(BgL_pairz00_2353); } 
{ /* bmem/bmem.scm 90 */
obj_t BgL_nvz00_2354;
BgL_nvz00_2354 = ( 
BGl_za2typeza2z00zzbmem_paramz00 = BgL_typez00_2351, BUNSPEC) ; 
{ /* bmem/bmem.scm 76 */

{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1521z00_2355;
BgL_val0_1521z00_2355 = 
CNST_TABLE_REF(((long)24)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2301z00_2356;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3150;
BgL_tmpz00_3150 = 
(int)(((long)3)); 
BgL_res2301z00_2356 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3150); } BgL_res2301z00_2356; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3153;
BgL_tmpz00_3153 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3153, BgL_thezd2remainingzd2argsz00_2352); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3156;
BgL_tmpz00_3156 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3156, BgL_nvz00_2354); } 
return BgL_val0_1521z00_2355;} } } } } }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1524z00_2357;
BgL_val0_1524z00_2357 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2302z00_2358;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3160;
BgL_tmpz00_3160 = 
(int)(((long)3)); 
BgL_res2302z00_2358 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3160); } BgL_res2302z00_2358; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3163;
BgL_tmpz00_3163 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3163, BgL_g1293z00_1899); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3166;
BgL_tmpz00_3166 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3166, BgL_g1294z00_1900); } 
return BgL_val0_1524z00_2357;} } } 

}



/* &<@anonymous:1671:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31671za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1901, obj_t BgL_g1290z00_1902, obj_t BgL_g1291z00_1903)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
bool_t BgL_test3327z00_3169;
if(
PAIRP(BgL_g1290z00_1902))
{ /* bmem/bmem.scm 76 */
bool_t BgL__ortest_1292z00_2359;
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2360;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2623z00_2361;
BgL_aux2623z00_2361 = 
CAR(BgL_g1290z00_1902); 
if(
STRINGP(BgL_aux2623z00_2361))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2360 = BgL_aux2623z00_2361; }  else 
{ 
obj_t BgL_auxz00_3175;
BgL_auxz00_3175 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2916z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2623z00_2361); 
FAILURE(BgL_auxz00_3175,BFALSE,BFALSE);} } 
BgL__ortest_1292z00_2359 = 
bigloo_strcmp(BGl_string2917z00zzbmemz00, BgL_string2z00_2360); } 
if(BgL__ortest_1292z00_2359)
{ /* bmem/bmem.scm 76 */
BgL_test3327z00_3169 = BgL__ortest_1292z00_2359
; }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2362;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2625z00_2363;
BgL_aux2625z00_2363 = 
CAR(BgL_g1290z00_1902); 
if(
STRINGP(BgL_aux2625z00_2363))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2362 = BgL_aux2625z00_2363; }  else 
{ 
obj_t BgL_auxz00_3184;
BgL_auxz00_3184 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2916z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2625z00_2363); 
FAILURE(BgL_auxz00_3184,BFALSE,BFALSE);} } 
BgL_test3327z00_3169 = 
bigloo_strcmp(BGl_string2918z00zzbmemz00, BgL_string2z00_2362); } }  else 
{ /* bmem/bmem.scm 76 */
BgL_test3327z00_3169 = ((bool_t)0)
; } 
if(BgL_test3327z00_3169)
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2364;
BgL_thezd2remainingzd2argsz00_2364 = 
CDR(BgL_g1290z00_1902); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_hz00_2365;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2364))
{ /* bmem/bmem.scm 76 */
BgL_hz00_2365 = 
CAR(BgL_thezd2remainingzd2argsz00_2364); }  else 
{ /* bmem/bmem.scm 76 */
BgL_hz00_2365 = 
BGl_errorzf2locationzf2zz__errorz00(
CNST_TABLE_REF(((long)36)), BGl_string2909z00zzbmemz00, 
CNST_TABLE_REF(((long)37)), BGl_string2876z00zzbmemz00, 
BINT(((long)3182))); } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2366;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_2367;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2364))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_2367 = BgL_thezd2remainingzd2argsz00_2364; }  else 
{ 
obj_t BgL_auxz00_3199;
BgL_auxz00_3199 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2916z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_thezd2remainingzd2argsz00_2364); 
FAILURE(BgL_auxz00_3199,BFALSE,BFALSE);} 
BgL_thezd2remainingzd2argsz00_2366 = 
CDR(BgL_pairz00_2367); } 
{ /* bmem/bmem.scm 92 */
obj_t BgL_nvz00_2368;
BgL_nvz00_2368 = ( 
BGl_za2hostnameza2z00zzbmem_paramz00 = BgL_hz00_2365, BUNSPEC) ; 
{ /* bmem/bmem.scm 76 */

{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1515z00_2369;
BgL_val0_1515z00_2369 = 
CNST_TABLE_REF(((long)24)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2295z00_2370;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3205;
BgL_tmpz00_3205 = 
(int)(((long)3)); 
BgL_res2295z00_2370 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3205); } BgL_res2295z00_2370; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3208;
BgL_tmpz00_3208 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3208, BgL_thezd2remainingzd2argsz00_2366); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3211;
BgL_tmpz00_3211 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3211, BgL_nvz00_2368); } 
return BgL_val0_1515z00_2369;} } } } } }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1518z00_2371;
BgL_val0_1518z00_2371 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2296z00_2372;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3215;
BgL_tmpz00_3215 = 
(int)(((long)3)); 
BgL_res2296z00_2372 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3215); } BgL_res2296z00_2372; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3218;
BgL_tmpz00_3218 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3218, BgL_g1290z00_1902); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3221;
BgL_tmpz00_3221 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3221, BgL_g1291z00_1903); } 
return BgL_val0_1518z00_2371;} } } 

}



/* &<@anonymous:1658:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31658za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1904, obj_t BgL_g1287z00_1905, obj_t BgL_g1288z00_1906)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
bool_t BgL_test3334z00_3224;
if(
PAIRP(BgL_g1287z00_1905))
{ /* bmem/bmem.scm 76 */
bool_t BgL__ortest_1289z00_2373;
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2374;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2629z00_2375;
BgL_aux2629z00_2375 = 
CAR(BgL_g1287z00_1905); 
if(
STRINGP(BgL_aux2629z00_2375))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2374 = BgL_aux2629z00_2375; }  else 
{ 
obj_t BgL_auxz00_3230;
BgL_auxz00_3230 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2919z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2629z00_2375); 
FAILURE(BgL_auxz00_3230,BFALSE,BFALSE);} } 
BgL__ortest_1289z00_2373 = 
bigloo_strcmp(BGl_string2920z00zzbmemz00, BgL_string2z00_2374); } 
if(BgL__ortest_1289z00_2373)
{ /* bmem/bmem.scm 76 */
BgL_test3334z00_3224 = BgL__ortest_1289z00_2373
; }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_string2z00_2376;
{ /* bmem/bmem.scm 76 */
obj_t BgL_aux2631z00_2377;
BgL_aux2631z00_2377 = 
CAR(BgL_g1287z00_1905); 
if(
STRINGP(BgL_aux2631z00_2377))
{ /* bmem/bmem.scm 76 */
BgL_string2z00_2376 = BgL_aux2631z00_2377; }  else 
{ 
obj_t BgL_auxz00_3239;
BgL_auxz00_3239 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2919z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2631z00_2377); 
FAILURE(BgL_auxz00_3239,BFALSE,BFALSE);} } 
BgL_test3334z00_3224 = 
bigloo_strcmp(BGl_string2921z00zzbmemz00, BgL_string2z00_2376); } }  else 
{ /* bmem/bmem.scm 76 */
BgL_test3334z00_3224 = ((bool_t)0)
; } 
if(BgL_test3334z00_3224)
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2378;
BgL_thezd2remainingzd2argsz00_2378 = 
CDR(BgL_g1287z00_1905); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_pz00_2379;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2378))
{ /* bmem/bmem.scm 76 */
BgL_pz00_2379 = 
CAR(BgL_thezd2remainingzd2argsz00_2378); }  else 
{ /* bmem/bmem.scm 76 */
BgL_pz00_2379 = 
BGl_errorzf2locationzf2zz__errorz00(
CNST_TABLE_REF(((long)38)), BGl_string2909z00zzbmemz00, 
CNST_TABLE_REF(((long)39)), BGl_string2876z00zzbmemz00, 
BINT(((long)3182))); } 
{ /* bmem/bmem.scm 76 */
obj_t BgL_thezd2remainingzd2argsz00_2380;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_2381;
if(
PAIRP(BgL_thezd2remainingzd2argsz00_2378))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_2381 = BgL_thezd2remainingzd2argsz00_2378; }  else 
{ 
obj_t BgL_auxz00_3254;
BgL_auxz00_3254 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2919z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_thezd2remainingzd2argsz00_2378); 
FAILURE(BgL_auxz00_3254,BFALSE,BFALSE);} 
BgL_thezd2remainingzd2argsz00_2380 = 
CDR(BgL_pairz00_2381); } 
{ /* bmem/bmem.scm 94 */
obj_t BgL_nvz00_2382;
BgL_nvz00_2382 = ( 
BGl_za2portza2z00zzbmem_paramz00 = BgL_pz00_2379, BUNSPEC) ; 
{ /* bmem/bmem.scm 76 */

{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1509z00_2383;
BgL_val0_1509z00_2383 = 
CNST_TABLE_REF(((long)24)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2289z00_2384;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3260;
BgL_tmpz00_3260 = 
(int)(((long)3)); 
BgL_res2289z00_2384 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3260); } BgL_res2289z00_2384; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3263;
BgL_tmpz00_3263 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3263, BgL_thezd2remainingzd2argsz00_2380); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3266;
BgL_tmpz00_3266 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3266, BgL_nvz00_2382); } 
return BgL_val0_1509z00_2383;} } } } } }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1512z00_2385;
BgL_val0_1512z00_2385 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2290z00_2386;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3270;
BgL_tmpz00_3270 = 
(int)(((long)3)); 
BgL_res2290z00_2386 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3270); } BgL_res2290z00_2386; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3273;
BgL_tmpz00_3273 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3273, BgL_g1287z00_1905); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3276;
BgL_tmpz00_3276 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3276, BgL_g1288z00_1906); } 
return BgL_val0_1512z00_2385;} } } 

}



/* &<@anonymous:1647:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31647za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1907, obj_t BgL_g1285z00_1909, obj_t BgL_g1286z00_1910)
{
{ /* bmem/bmem.scm 76 */
{ /* bmem/bmem.scm 76 */
obj_t BgL_argszd2parsezd2usagez00_1908;
BgL_argszd2parsezd2usagez00_1908 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1907, 
(int)(((long)0)))); 
if(
NULLP(BgL_g1285z00_1909))
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1503z00_2387;obj_t BgL_val2_1505z00_2388;
BgL_val0_1503z00_2387 = 
CNST_TABLE_REF(((long)26)); 
{ /* bmem/bmem.scm 96 */
bool_t BgL_test3342z00_3285;
if(
STRINGP(BGl_za2uriza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 96 */
BgL_test3342z00_3285 = ((bool_t)0)
; }  else 
{ /* bmem/bmem.scm 96 */
if(
STRINGP(BGl_za2hostnameza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 97 */
BgL_test3342z00_3285 = 
STRINGP(BGl_za2portza2z00zzbmem_paramz00)
; }  else 
{ /* bmem/bmem.scm 97 */
BgL_test3342z00_3285 = ((bool_t)0)
; } } 
if(BgL_test3342z00_3285)
{ /* bmem/bmem.scm 96 */
BGl_usagez00zzbmemz00(BgL_argszd2parsezd2usagez00_1908); 
{ /* bmem/bmem.scm 41 */
obj_t BgL_name2184z00_2389;obj_t BgL_loc2185z00_2390;obj_t BgL_env2186z00_2391;
BgL_name2184z00_2389 = 
CNST_TABLE_REF(((long)28)); 
BgL_loc2185z00_2390 = 
CNST_TABLE_REF(((long)29)); 
BgL_env2186z00_2391 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 41 */

BGL_ENV_PUSH_TRACE(BgL_env2186z00_2391, BgL_name2184z00_2389, BgL_loc2185z00_2390); 
{ /* bmem/bmem.scm 41 */
obj_t BgL_aux2183z00_2392;
{ /* bmem/bmem.scm 41 */
obj_t BgL_list1613z00_2393;
BgL_list1613z00_2393 = 
MAKE_YOUNG_PAIR(
BINT(((long)-1)), BNIL); 
BgL_aux2183z00_2392 = 
BGl_exitz00zz__errorz00(BgL_list1613z00_2393); } 
BGL_ENV_POP_TRACE(BgL_env2186z00_2391); 
BgL_val2_1505z00_2388 = BgL_aux2183z00_2392; } } } }  else 
{ /* bmem/bmem.scm 96 */
BgL_val2_1505z00_2388 = BFALSE; } } 
{ /* bmem/bmem.scm 76 */
int BgL_res2283z00_2394;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3300;
BgL_tmpz00_3300 = 
(int)(((long)3)); 
BgL_res2283z00_2394 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3300); } BgL_res2283z00_2394; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3303;
BgL_tmpz00_3303 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3303, BgL_g1285z00_1909); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3306;
BgL_tmpz00_3306 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3306, BgL_val2_1505z00_2388); } 
return BgL_val0_1503z00_2387;}  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1506z00_2395;
BgL_val0_1506z00_2395 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2284z00_2396;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3310;
BgL_tmpz00_3310 = 
(int)(((long)3)); 
BgL_res2284z00_2396 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3310); } BgL_res2284z00_2396; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3313;
BgL_tmpz00_3313 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3313, BgL_g1285z00_1909); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3316;
BgL_tmpz00_3316 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3316, BgL_g1286z00_1910); } 
return BgL_val0_1506z00_2395;} } } 

}



/* &<@anonymous:1644:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31644za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1911, obj_t BgL_g1283z00_1912, obj_t BgL_g1284z00_1913)
{
{ /* bmem/bmem.scm 76 */
if(
PAIRP(BgL_g1283z00_1912))
{ /* bmem/bmem.scm 76 */
obj_t BgL_elsez00_2397;
BgL_elsez00_2397 = 
CAR(BgL_g1283z00_1912); 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1497z00_2398;obj_t BgL_val1_1498z00_2399;obj_t BgL_val2_1499z00_2400;
BgL_val0_1497z00_2398 = 
CNST_TABLE_REF(((long)24)); 
BgL_val1_1498z00_2399 = 
CDR(BgL_g1283z00_1912); 
BgL_val2_1499z00_2400 = ( 
BGl_za2uriza2z00zzbmem_paramz00 = BgL_elsez00_2397, BUNSPEC) ; 
{ /* bmem/bmem.scm 76 */
int BgL_res2277z00_2401;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3324;
BgL_tmpz00_3324 = 
(int)(((long)3)); 
BgL_res2277z00_2401 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3324); } BgL_res2277z00_2401; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3327;
BgL_tmpz00_3327 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3327, BgL_val1_1498z00_2399); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3330;
BgL_tmpz00_3330 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3330, BgL_val2_1499z00_2400); } 
return BgL_val0_1497z00_2398;} }  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1500z00_2402;
BgL_val0_1500z00_2402 = 
CNST_TABLE_REF(((long)25)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2278z00_2403;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3334;
BgL_tmpz00_3334 = 
(int)(((long)3)); 
BgL_res2278z00_2403 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3334); } BgL_res2278z00_2403; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3337;
BgL_tmpz00_3337 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3337, BgL_g1283z00_1912); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3340;
BgL_tmpz00_3340 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3340, BgL_g1284z00_1913); } 
return BgL_val0_1500z00_2402;} } 

}



/* &<@anonymous:1772:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:76@> */
obj_t BGl_z62zc3z04anonymousza31772za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza376z04ze3z33zzbmemz00(obj_t BgL_envz00_1914, obj_t BgL_az00_1915, obj_t BgL_vz00_1916)
{
{ /* bmem/bmem.scm 76 */
if(
NULLP(BgL_az00_1915))
{ /* bmem/bmem.scm 76 */
obj_t BgL_val0_1494z00_2404;
BgL_val0_1494z00_2404 = 
CNST_TABLE_REF(((long)26)); 
{ /* bmem/bmem.scm 76 */
int BgL_res2274z00_2405;
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3346;
BgL_tmpz00_3346 = 
(int)(((long)3)); 
BgL_res2274z00_2405 = 
BGL_MVALUES_NUMBER_SET(BgL_tmpz00_3346); } BgL_res2274z00_2405; } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3349;
BgL_tmpz00_3349 = 
(int)(((long)1)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3349, BgL_az00_1915); } 
{ /* bmem/bmem.scm 76 */
int BgL_tmpz00_3352;
BgL_tmpz00_3352 = 
(int)(((long)2)); 
BGL_MVALUES_VAL_SET(BgL_tmpz00_3352, BgL_vz00_1916); } 
return BgL_val0_1494z00_2404;}  else 
{ /* bmem/bmem.scm 76 */
obj_t BgL_arg1774z00_2406;
{ /* bmem/bmem.scm 76 */
obj_t BgL_pairz00_2407;
if(
PAIRP(BgL_az00_1915))
{ /* bmem/bmem.scm 76 */
BgL_pairz00_2407 = BgL_az00_1915; }  else 
{ 
obj_t BgL_auxz00_3357;
BgL_auxz00_3357 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)3182)), BGl_string2922z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_az00_1915); 
FAILURE(BgL_auxz00_3357,BFALSE,BFALSE);} 
BgL_arg1774z00_2406 = 
CAR(BgL_pairz00_2407); } 
return 
BGl_errorzf2locationzf2zz__errorz00(BgL_arg1774z00_2406, BGl_string2923z00zzbmemz00, BGl_string2924z00zzbmemz00, BGl_string2876z00zzbmemz00, 
BINT(((long)3182)));} } 

}



/* parse-uri! */
obj_t BGl_parsezd2uriz12zc0zzbmemz00(obj_t BgL_uriz00_6)
{
{ /* bmem/bmem.scm 108 */
{ /* bmem/bmem.scm 109 */
obj_t BgL_name2200z00_1065;obj_t BgL_loc2201z00_1066;obj_t BgL_env2202z00_1067;
BgL_name2200z00_1065 = 
CNST_TABLE_REF(((long)40)); 
BgL_loc2201z00_1066 = 
CNST_TABLE_REF(((long)41)); 
BgL_env2202z00_1067 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 109 */

BGL_ENV_PUSH_TRACE(BgL_env2202z00_1067, BgL_name2200z00_1065, BgL_loc2201z00_1066); 
{ /* bmem/bmem.scm 109 */
obj_t BgL_aux2199z00_1068;
{ /* bmem/bmem.scm 109 */
obj_t BgL_pz00_287;
{ /* bmem/bmem.scm 109 */
obj_t BgL_patz00_295;
BgL_patz00_295 = BGl_pregexp1552z00zzbmemz00; 
{ /* bmem/bmem.scm 109 */
long BgL_endz00_298;
{ /* bmem/bmem.scm 109 */
obj_t BgL_stringz00_1295;
if(
STRINGP(BgL_uriz00_6))
{ /* bmem/bmem.scm 109 */
BgL_stringz00_1295 = BgL_uriz00_6; }  else 
{ 
obj_t BgL_auxz00_3370;
BgL_auxz00_3370 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4469)), BGl_string2925z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_uriz00_6); 
FAILURE(BgL_auxz00_3370,BFALSE,BFALSE);} 
BgL_endz00_298 = 
STRING_LENGTH(BgL_stringz00_1295); } 
{ /* bmem/bmem.scm 109 */

{ /* bmem/bmem.scm 109 */
obj_t BgL_auxz00_3375;
if(
STRINGP(BgL_uriz00_6))
{ /* bmem/bmem.scm 109 */
BgL_auxz00_3375 = BgL_uriz00_6
; }  else 
{ 
obj_t BgL_auxz00_3378;
BgL_auxz00_3378 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4469)), BGl_string2925z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_uriz00_6); 
FAILURE(BgL_auxz00_3378,BFALSE,BFALSE);} 
BgL_pz00_287 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_295, BgL_auxz00_3375, 
BINT(((long)0)), 
BINT(BgL_endz00_298)); } } } } 
if(
PAIRP(BgL_pz00_287))
{ /* bmem/bmem.scm 110 */
{ /* bmem/bmem.scm 112 */
obj_t BgL_pairz00_1301;
{ /* bmem/bmem.scm 112 */
obj_t BgL_aux2641z00_2025;
BgL_aux2641z00_2025 = 
CDR(BgL_pz00_287); 
if(
PAIRP(BgL_aux2641z00_2025))
{ /* bmem/bmem.scm 112 */
BgL_pairz00_1301 = BgL_aux2641z00_2025; }  else 
{ 
obj_t BgL_auxz00_3390;
BgL_auxz00_3390 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4562)), BGl_string2925z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2641z00_2025); 
FAILURE(BgL_auxz00_3390,BFALSE,BFALSE);} } 
BGl_za2fileza2z00zzbmem_paramz00 = 
CAR(BgL_pairz00_1301); } 
{ /* bmem/bmem.scm 113 */
obj_t BgL_pairz00_1307;
{ /* bmem/bmem.scm 113 */
obj_t BgL_pairz00_1306;
{ /* bmem/bmem.scm 113 */
obj_t BgL_aux2643z00_2027;
BgL_aux2643z00_2027 = 
CDR(BgL_pz00_287); 
if(
PAIRP(BgL_aux2643z00_2027))
{ /* bmem/bmem.scm 113 */
BgL_pairz00_1306 = BgL_aux2643z00_2027; }  else 
{ 
obj_t BgL_auxz00_3398;
BgL_auxz00_3398 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4595)), BGl_string2925z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2643z00_2027); 
FAILURE(BgL_auxz00_3398,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 113 */
obj_t BgL_aux2645z00_2029;
BgL_aux2645z00_2029 = 
CDR(BgL_pairz00_1306); 
if(
PAIRP(BgL_aux2645z00_2029))
{ /* bmem/bmem.scm 113 */
BgL_pairz00_1307 = BgL_aux2645z00_2029; }  else 
{ 
obj_t BgL_auxz00_3405;
BgL_auxz00_3405 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4595)), BGl_string2925z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2645z00_2029); 
FAILURE(BgL_auxz00_3405,BFALSE,BFALSE);} } } 
BgL_aux2199z00_1068 = ( 
BGl_za2functionza2z00zzbmem_paramz00 = 
CAR(BgL_pairz00_1307), BUNSPEC) ; } }  else 
{ /* bmem/bmem.scm 114 */
obj_t BgL_pz00_289;
{ /* bmem/bmem.scm 114 */
obj_t BgL_patz00_291;
BgL_patz00_291 = BGl_pregexp1553z00zzbmemz00; 
{ /* bmem/bmem.scm 114 */
long BgL_endz00_294;
{ /* bmem/bmem.scm 114 */
obj_t BgL_stringz00_1308;
if(
STRINGP(BgL_uriz00_6))
{ /* bmem/bmem.scm 114 */
BgL_stringz00_1308 = BgL_uriz00_6; }  else 
{ 
obj_t BgL_auxz00_3412;
BgL_auxz00_3412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4619)), BGl_string2925z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_uriz00_6); 
FAILURE(BgL_auxz00_3412,BFALSE,BFALSE);} 
BgL_endz00_294 = 
STRING_LENGTH(BgL_stringz00_1308); } 
{ /* bmem/bmem.scm 114 */

{ /* bmem/bmem.scm 114 */
obj_t BgL_auxz00_3417;
if(
STRINGP(BgL_uriz00_6))
{ /* bmem/bmem.scm 114 */
BgL_auxz00_3417 = BgL_uriz00_6
; }  else 
{ 
obj_t BgL_auxz00_3420;
BgL_auxz00_3420 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4619)), BGl_string2925z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_uriz00_6); 
FAILURE(BgL_auxz00_3420,BFALSE,BFALSE);} 
BgL_pz00_289 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_291, BgL_auxz00_3417, 
BINT(((long)0)), 
BINT(BgL_endz00_294)); } } } } 
if(
PAIRP(BgL_pz00_289))
{ /* bmem/bmem.scm 115 */
{ /* bmem/bmem.scm 117 */
obj_t BgL_pairz00_1314;
{ /* bmem/bmem.scm 117 */
obj_t BgL_aux2651z00_2035;
BgL_aux2651z00_2035 = 
CDR(BgL_pz00_289); 
if(
PAIRP(BgL_aux2651z00_2035))
{ /* bmem/bmem.scm 117 */
BgL_pairz00_1314 = BgL_aux2651z00_2035; }  else 
{ 
obj_t BgL_auxz00_3432;
BgL_auxz00_3432 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4712)), BGl_string2925z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2651z00_2035); 
FAILURE(BgL_auxz00_3432,BFALSE,BFALSE);} } 
BGl_za2fileza2z00zzbmem_paramz00 = 
CAR(BgL_pairz00_1314); } 
{ /* bmem/bmem.scm 118 */
obj_t BgL_pairz00_1320;
{ /* bmem/bmem.scm 118 */
obj_t BgL_pairz00_1319;
{ /* bmem/bmem.scm 118 */
obj_t BgL_aux2653z00_2037;
BgL_aux2653z00_2037 = 
CDR(BgL_pz00_289); 
if(
PAIRP(BgL_aux2653z00_2037))
{ /* bmem/bmem.scm 118 */
BgL_pairz00_1319 = BgL_aux2653z00_2037; }  else 
{ 
obj_t BgL_auxz00_3440;
BgL_auxz00_3440 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4741)), BGl_string2925z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2653z00_2037); 
FAILURE(BgL_auxz00_3440,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 118 */
obj_t BgL_aux2655z00_2039;
BgL_aux2655z00_2039 = 
CDR(BgL_pairz00_1319); 
if(
PAIRP(BgL_aux2655z00_2039))
{ /* bmem/bmem.scm 118 */
BgL_pairz00_1320 = BgL_aux2655z00_2039; }  else 
{ 
obj_t BgL_auxz00_3447;
BgL_auxz00_3447 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)4741)), BGl_string2925z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2655z00_2039); 
FAILURE(BgL_auxz00_3447,BFALSE,BFALSE);} } } 
BgL_aux2199z00_1068 = ( 
BGl_za2typeza2z00zzbmem_paramz00 = 
CAR(BgL_pairz00_1320), BUNSPEC) ; } }  else 
{ /* bmem/bmem.scm 115 */
BgL_aux2199z00_1068 = ( 
BGl_za2fileza2z00zzbmem_paramz00 = BgL_uriz00_6, BUNSPEC) ; } } } 
BGL_ENV_POP_TRACE(BgL_env2202z00_1067); 
return BgL_aux2199z00_1068;} } } } 

}



/* main */
BGL_EXPORTED_DEF obj_t BGl_mainz00zzbmemz00(obj_t BgL_argvz00_7)
{
{ /* bmem/bmem.scm 124 */
{ /* bmem/bmem.scm 127 */
obj_t BgL_name2204z00_1069;obj_t BgL_loc2205z00_1070;obj_t BgL_env2206z00_1071;
BgL_name2204z00_1069 = 
CNST_TABLE_REF(((long)42)); 
BgL_loc2205z00_1070 = 
CNST_TABLE_REF(((long)43)); 
BgL_env2206z00_1071 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 127 */

BGL_ENV_PUSH_TRACE(BgL_env2206z00_1071, BgL_name2204z00_1069, BgL_loc2205z00_1070); 
{ /* bmem/bmem.scm 127 */
obj_t BgL_aux2203z00_1072;
{ /* bmem/bmem.scm 127 */
obj_t BgL_zc3z04anonymousza31786za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z51_1918;
BgL_zc3z04anonymousza31786za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z51_1918 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31786za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z33zzbmemz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31786za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z51_1918, 
(int)(((long)0)), BgL_argvz00_7); 
BgL_aux2203z00_1072 = 
BGl_withzd2exceptionzd2handlerz00zz__errorz00(BGl_proc2926z00zzbmemz00, BgL_zc3z04anonymousza31786za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z51_1918); } 
BGL_ENV_POP_TRACE(BgL_env2206z00_1071); 
return BgL_aux2203z00_1072;} } } } 

}



/* &main */
obj_t BGl_z62mainz62zzbmemz00(obj_t BgL_envz00_1920, obj_t BgL_argvz00_1921)
{
{ /* bmem/bmem.scm 124 */
{ /* bmem/bmem.scm 127 */
obj_t BgL_auxz00_3464;
if(
PAIRP(BgL_argvz00_1921))
{ /* bmem/bmem.scm 127 */
BgL_auxz00_3464 = BgL_argvz00_1921
; }  else 
{ 
obj_t BgL_auxz00_3467;
BgL_auxz00_3467 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)5069)), BGl_string2927z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_argvz00_1921); 
FAILURE(BgL_auxz00_3467,BFALSE,BFALSE);} 
return 
BGl_mainz00zzbmemz00(BgL_auxz00_3464);} } 

}



/* &<@anonymous:1786:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:125@> */
obj_t BGl_z62zc3z04anonymousza31786za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z33zzbmemz00(obj_t BgL_envz00_1922)
{
{ /* bmem/bmem.scm 136 */
{ /* bmem/bmem.scm 137 */
obj_t BgL_argvz00_1923;
BgL_argvz00_1923 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_1922, 
(int)(((long)0)))); 
BGl_parsezd2cmdlinez12zc0zzbmemz00(BgL_argvz00_1923); 
if(
STRINGP(BGl_za2uriza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 138 */BFALSE; }  else 
{ /* bmem/bmem.scm 138 */
BGl_usagez00zzbmemz00(BGl_proc2928z00zzbmemz00); } 
BGl_parsezd2uriz12zc0zzbmemz00(BGl_za2uriza2z00zzbmem_paramz00); 
return 
BGl_bmemzd2requestzd2zzbmemz00();} } 

}



/* &<@anonymous:1779:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:125@> */
obj_t BGl_z62zc3z04anonymousza31779za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3125z04ze3z33zzbmemz00(obj_t BgL_envz00_1924, obj_t BgL_ez00_1925)
{
{ /* bmem/bmem.scm 126 */
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_1925, BGl_z62errorz62zz__objectz00))
{ /* bmem/bmem.scm 127 */
BGl_errorzd2notifyzd2zz__errorz00(BgL_ez00_1925); 
if(
BGl_httpzd2requestzf3z21zzbmemz00())
{ /* bmem/bmem.scm 132 */
obj_t BgL_arg1782z00_2408;
{ /* bmem/bmem.scm 132 */
obj_t BgL_arg1783z00_2409;obj_t BgL_arg1784z00_2410;obj_t BgL_arg1785z00_2411;
BgL_arg1783z00_2409 = 
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_1925)))->BgL_objz00); 
BgL_arg1784z00_2410 = 
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_1925)))->BgL_procz00); 
BgL_arg1785z00_2411 = 
(((BgL_z62errorz62_bglt)COBJECT(
((BgL_z62errorz62_bglt)BgL_ez00_1925)))->BgL_msgz00); 
{ /* bmem/bmem.scm 132 */
obj_t BgL_auxz00_3492;
{ /* bmem/bmem.scm 132 */
obj_t BgL_aux2659z00_2412;
BgL_aux2659z00_2412 = BGl_za2bmemza2z00zzbmem_paramz00; 
if(
STRINGP(BgL_aux2659z00_2412))
{ /* bmem/bmem.scm 132 */
BgL_auxz00_3492 = BgL_aux2659z00_2412
; }  else 
{ 
obj_t BgL_auxz00_3495;
BgL_auxz00_3495 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)5221)), BGl_string2929z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2659z00_2412); 
FAILURE(BgL_auxz00_3495,BFALSE,BFALSE);} } 
BgL_arg1782z00_2408 = 
BGl_htmlzd2pluginzd2errorz00zzhtmlz00(BFALSE, BgL_auxz00_3492, BgL_arg1783z00_2409, BgL_arg1784z00_2410, BgL_arg1785z00_2411); } } 
{ /* bmem/bmem.scm 131 */
BgL_z52htmlzd2documentz80_bglt BgL_auxz00_3500;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1782z00_2408, BGl_z52htmlzd2documentz80zzhtmlz00))
{ /* bmem/bmem.scm 132 */
BgL_auxz00_3500 = 
((BgL_z52htmlzd2documentz80_bglt)BgL_arg1782z00_2408)
; }  else 
{ 
obj_t BgL_auxz00_3504;
BgL_auxz00_3504 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)5240)), BGl_string2929z00zzbmemz00, BGl_string2878z00zzbmemz00, BgL_arg1782z00_2408); 
FAILURE(BgL_auxz00_3504,BFALSE,BFALSE);} 
BGl_printzd2htmlzd2zzhtmlz00(BgL_auxz00_3500); } }  else 
{ /* bmem/bmem.scm 130 */BFALSE; } 
{ /* bmem/bmem.scm 41 */
obj_t BgL_name2184z00_2413;obj_t BgL_loc2185z00_2414;obj_t BgL_env2186z00_2415;
BgL_name2184z00_2413 = 
CNST_TABLE_REF(((long)28)); 
BgL_loc2185z00_2414 = 
CNST_TABLE_REF(((long)29)); 
BgL_env2186z00_2415 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 41 */

BGL_ENV_PUSH_TRACE(BgL_env2186z00_2415, BgL_name2184z00_2413, BgL_loc2185z00_2414); 
{ /* bmem/bmem.scm 41 */
obj_t BgL_aux2183z00_2416;
{ /* bmem/bmem.scm 41 */
obj_t BgL_list1613z00_2417;
BgL_list1613z00_2417 = 
MAKE_YOUNG_PAIR(
BINT(((long)-1)), BNIL); 
BgL_aux2183z00_2416 = 
BGl_exitz00zz__errorz00(BgL_list1613z00_2417); } 
BGL_ENV_POP_TRACE(BgL_env2186z00_2415); BgL_aux2183z00_2416; } } } ((bool_t)0); }  else 
{ /* bmem/bmem.scm 127 */((bool_t)0); } 
return 
BGl_raisez00zz__errorz00(BgL_ez00_1925);} 

}



/* &<@anonymous:1789:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:139@> */
obj_t BGl_z62zc3z04anonymousza31789za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3139z04ze3z33zzbmemz00(obj_t BgL_envz00_1926, obj_t BgL__z00_1927)
{
{ /* bmem/bmem.scm 139 */
{ /* bmem/bmem.scm 139 */
obj_t BgL_list1790z00_2418;
BgL_list1790z00_2418 = 
MAKE_YOUNG_PAIR(
BINT(((long)0)), BNIL); 
return 
BGl_exitz00zz__errorz00(BgL_list1790z00_2418);} } 

}



/* bmem-request */
obj_t BGl_bmemzd2requestzd2zzbmemz00()
{
{ /* bmem/bmem.scm 146 */
{ /* bmem/bmem.scm 147 */
obj_t BgL_name2208z00_1073;obj_t BgL_loc2209z00_1074;obj_t BgL_env2210z00_1075;
BgL_name2208z00_1073 = 
CNST_TABLE_REF(((long)44)); 
BgL_loc2209z00_1074 = 
CNST_TABLE_REF(((long)45)); 
BgL_env2210z00_1075 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 147 */

BGL_ENV_PUSH_TRACE(BgL_env2210z00_1075, BgL_name2208z00_1073, BgL_loc2209z00_1074); 
{ /* bmem/bmem.scm 147 */
obj_t BgL_aux2207z00_1076;
{ /* bmem/bmem.scm 147 */
obj_t BgL_monz00_319;
if(
STRINGP(BGl_za2fileza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 147 */
BgL_monz00_319 = 
BGl_withzd2inputzd2fromzd2filezd2zz__r4_ports_6_10_1z00(BGl_za2fileza2z00zzbmem_paramz00, BGl_readzd2envzd2zz__readerz00); }  else 
{ /* bmem/bmem.scm 149 */
obj_t BgL_arg1813z00_360;
{ /* bmem/bmem.scm 149 */
obj_t BgL_res2337z00_1335;
{ /* bmem/bmem.scm 149 */
obj_t BgL_tmpz00_3528;
BgL_tmpz00_3528 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_res2337z00_1335 = 
BGL_ENV_CURRENT_INPUT_PORT(BgL_tmpz00_3528); } 
BgL_arg1813z00_360 = BgL_res2337z00_1335; } 
{ /* bmem/bmem.scm 149 */

{ /* bmem/bmem.scm 149 */

BgL_monz00_319 = 
BGl_readz00zz__readerz00(BgL_arg1813z00_360, BFALSE); } } } 
{ /* bmem/bmem.scm 147 */
obj_t BgL_infoz00_320;
BgL_infoz00_320 = 
BGl_findzd2monitorzd2zzbmemz00(BgL_monz00_319, 
CNST_TABLE_REF(((long)46))); 
{ /* bmem/bmem.scm 150 */
obj_t BgL_gcmonz00_321;
BgL_gcmonz00_321 = 
BGl_findzd2monitorzd2zzbmemz00(BgL_monz00_319, 
CNST_TABLE_REF(((long)47))); 
{ /* bmem/bmem.scm 151 */
obj_t BgL_funmonz00_322;
BgL_funmonz00_322 = 
BGl_findzd2monitorzd2zzbmemz00(BgL_monz00_319, 
CNST_TABLE_REF(((long)48))); 
{ /* bmem/bmem.scm 152 */
obj_t BgL_typesz00_323;
BgL_typesz00_323 = 
BGl_findzd2monitorzd2zzbmemz00(BgL_monz00_319, 
CNST_TABLE_REF(((long)49))); 
{ /* bmem/bmem.scm 153 */
obj_t BgL_threadz00_324;
BgL_threadz00_324 = 
BGl_findzd2monitorzd2zzbmemz00(BgL_monz00_319, 
CNST_TABLE_REF(((long)50))); 
{ /* bmem/bmem.scm 154 */
obj_t BgL_cssz00_325;
{ /* bmem/bmem.scm 155 */
obj_t BgL_pz00_352;
{ /* bmem/bmem.scm 155 */
obj_t BgL_arg1808z00_355;
BgL_arg1808z00_355 = 
MAKE_YOUNG_PAIR(BGl_string2930z00zzbmemz00, BNIL); 
{ /* bmem/bmem.scm 155 */
obj_t BgL_list1809z00_356;
{ /* bmem/bmem.scm 155 */
obj_t BgL_arg1810z00_357;
{ /* bmem/bmem.scm 155 */
obj_t BgL_arg1811z00_358;
BgL_arg1811z00_358 = 
MAKE_YOUNG_PAIR(BgL_arg1808z00_355, BNIL); 
BgL_arg1810z00_357 = 
MAKE_YOUNG_PAIR(BGl_za2csszd2pathza2zd2zzbmem_paramz00, BgL_arg1811z00_358); } 
BgL_list1809z00_356 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)51)), BgL_arg1810z00_357); } 
BgL_pz00_352 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1809z00_356); } } 
{ /* bmem/bmem.scm 156 */
obj_t BgL_fz00_353;
BgL_fz00_353 = 
BGl_findzd2filezf2pathz20zz__osz00(BGl_string2931z00zzbmemz00, BgL_pz00_352); 
if(
STRINGP(BgL_fz00_353))
{ /* bmem/bmem.scm 157 */
BgL_cssz00_325 = BgL_fz00_353; }  else 
{ /* bmem/bmem.scm 157 */
BgL_cssz00_325 = BFALSE; } } } 
{ /* bmem/bmem.scm 155 */

{ /* bmem/bmem.scm 161 */
bool_t BgL_test3368z00_3551;
if(
NULLP(BgL_gcmonz00_321))
{ /* bmem/bmem.scm 161 */
BgL_test3368z00_3551 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 161 */
obj_t BgL_tmpz00_3554;
{ /* bmem/bmem.scm 161 */
obj_t BgL_pairz00_1338;
if(
PAIRP(BgL_gcmonz00_321))
{ /* bmem/bmem.scm 161 */
BgL_pairz00_1338 = BgL_gcmonz00_321; }  else 
{ 
obj_t BgL_auxz00_3557;
BgL_auxz00_3557 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6164)), BGl_string2932z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_gcmonz00_321); 
FAILURE(BgL_auxz00_3557,BFALSE,BFALSE);} 
BgL_tmpz00_3554 = 
CDR(BgL_pairz00_1338); } 
BgL_test3368z00_3551 = 
NULLP(BgL_tmpz00_3554); } 
if(BgL_test3368z00_3551)
{ /* bmem/bmem.scm 161 */
{ /* bmem/bmem.scm 164 */
obj_t BgL_arg1794z00_329;
BgL_arg1794z00_329 = 
BGl_htmlzd2pluginzd2errorz00zzhtmlz00(BFALSE, BGl_string2874z00zzbmemz00, 
CNST_TABLE_REF(((long)52)), BGl_string2933z00zzbmemz00, BNIL); 
{ /* bmem/bmem.scm 163 */
BgL_z52htmlzd2documentz80_bglt BgL_auxz00_3565;
if(
BGl_isazf3zf3zz__objectz00(BgL_arg1794z00_329, BGl_z52htmlzd2documentz80zzhtmlz00))
{ /* bmem/bmem.scm 168 */
BgL_auxz00_3565 = 
((BgL_z52htmlzd2documentz80_bglt)BgL_arg1794z00_329)
; }  else 
{ 
obj_t BgL_auxz00_3569;
BgL_auxz00_3569 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6312)), BGl_string2932z00zzbmemz00, BGl_string2878z00zzbmemz00, BgL_arg1794z00_329); 
FAILURE(BgL_auxz00_3569,BFALSE,BFALSE);} 
BGl_printzd2htmlzd2zzhtmlz00(BgL_auxz00_3565); } } 
{ /* bmem/bmem.scm 41 */
obj_t BgL_name2184z00_1340;obj_t BgL_loc2185z00_1341;obj_t BgL_env2186z00_1342;
BgL_name2184z00_1340 = 
CNST_TABLE_REF(((long)28)); 
BgL_loc2185z00_1341 = 
CNST_TABLE_REF(((long)29)); 
BgL_env2186z00_1342 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 41 */

BGL_ENV_PUSH_TRACE(BgL_env2186z00_1342, BgL_name2184z00_1340, BgL_loc2185z00_1341); 
{ /* bmem/bmem.scm 41 */
obj_t BgL_aux2183z00_1344;
{ /* bmem/bmem.scm 41 */
obj_t BgL_list1613z00_1345;
BgL_list1613z00_1345 = 
MAKE_YOUNG_PAIR(
BINT(((long)-1)), BNIL); 
BgL_aux2183z00_1344 = 
BGl_exitz00zz__errorz00(BgL_list1613z00_1345); } 
BGL_ENV_POP_TRACE(BgL_env2186z00_1342); BgL_aux2183z00_1344; } } } }  else 
{ /* bmem/bmem.scm 161 */((bool_t)0); } } 
{ /* bmem/bmem.scm 171 */
obj_t BgL_cz00_332;
{ /* bmem/bmem.scm 171 */
obj_t BgL_auxz00_3582;
{ /* bmem/bmem.scm 171 */
obj_t BgL_pairz00_1346;
if(
PAIRP(BgL_infoz00_320))
{ /* bmem/bmem.scm 171 */
BgL_pairz00_1346 = BgL_infoz00_320; }  else 
{ 
obj_t BgL_auxz00_3586;
BgL_auxz00_3586 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6409)), BGl_string2932z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_infoz00_320); 
FAILURE(BgL_auxz00_3586,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 171 */
obj_t BgL_aux2669z00_2057;
BgL_aux2669z00_2057 = 
CDR(BgL_pairz00_1346); 
{ /* bmem/bmem.scm 171 */
bool_t BgL_test3373z00_3591;
if(
PAIRP(BgL_aux2669z00_2057))
{ /* bmem/bmem.scm 171 */
BgL_test3373z00_3591 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 171 */
BgL_test3373z00_3591 = 
NULLP(BgL_aux2669z00_2057)
; } 
if(BgL_test3373z00_3591)
{ /* bmem/bmem.scm 171 */
BgL_auxz00_3582 = BgL_aux2669z00_2057
; }  else 
{ 
obj_t BgL_auxz00_3595;
BgL_auxz00_3595 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6404)), BGl_string2932z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2669z00_2057); 
FAILURE(BgL_auxz00_3595,BFALSE,BFALSE);} } } } 
BgL_cz00_332 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)53)), BgL_auxz00_3582); } 
if(
PAIRP(BgL_cz00_332))
{ /* bmem/bmem.scm 173 */
obj_t BgL_arg1797z00_334;
{ /* bmem/bmem.scm 173 */
obj_t BgL_pairz00_1351;
{ /* bmem/bmem.scm 173 */
obj_t BgL_aux2671z00_2059;
BgL_aux2671z00_2059 = 
CDR(BgL_cz00_332); 
if(
PAIRP(BgL_aux2671z00_2059))
{ /* bmem/bmem.scm 173 */
BgL_pairz00_1351 = BgL_aux2671z00_2059; }  else 
{ 
obj_t BgL_auxz00_3605;
BgL_auxz00_3605 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6475)), BGl_string2932z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2671z00_2059); 
FAILURE(BgL_auxz00_3605,BFALSE,BFALSE);} } 
BgL_arg1797z00_334 = 
CAR(BgL_pairz00_1351); } 
{ /* bmem/bmem.scm 173 */
BGL_LONGLONG_T BgL_res2342z00_1353;
{ /* bmem/bmem.scm 173 */
long BgL_xz00_1352;
{ /* bmem/bmem.scm 173 */
obj_t BgL_tmpz00_3610;
if(
INTEGERP(BgL_arg1797z00_334))
{ /* bmem/bmem.scm 173 */
BgL_tmpz00_3610 = BgL_arg1797z00_334
; }  else 
{ 
obj_t BgL_auxz00_3613;
BgL_auxz00_3613 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6482)), BGl_string2932z00zzbmemz00, BGl_string2935z00zzbmemz00, BgL_arg1797z00_334); 
FAILURE(BgL_auxz00_3613,BFALSE,BFALSE);} 
BgL_xz00_1352 = 
(long)CINT(BgL_tmpz00_3610); } 
BgL_res2342z00_1353 = 
LONG_TO_LLONG(BgL_xz00_1352); } 
BGl_za2siza7eofzd2wordza2z75zzbmem_paramz00 = 
make_bllong(BgL_res2342z00_1353); } }  else 
{ /* bmem/bmem.scm 172 */BFALSE; } } 
{ /* bmem/bmem.scm 175 */
obj_t BgL_g1556z00_336;
{ /* bmem/bmem.scm 175 */
obj_t BgL_pairz00_1354;
if(
PAIRP(BgL_funmonz00_322))
{ /* bmem/bmem.scm 175 */
BgL_pairz00_1354 = BgL_funmonz00_322; }  else 
{ 
obj_t BgL_auxz00_3622;
BgL_auxz00_3622 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6556)), BGl_string2932z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_funmonz00_322); 
FAILURE(BgL_auxz00_3622,BFALSE,BFALSE);} 
BgL_g1556z00_336 = 
CDR(BgL_pairz00_1354); } 
{ 
obj_t BgL_l1554z00_338;
BgL_l1554z00_338 = BgL_g1556z00_336; 
BgL_zc3z04anonymousza31799za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3175z04ze3z51_339:
if(
PAIRP(BgL_l1554z00_338))
{ /* bmem/bmem.scm 175 */
{ /* bmem/bmem.scm 175 */
obj_t BgL_arg1801z00_341;
BgL_arg1801z00_341 = 
CAR(BgL_l1554z00_338); 
{ /* bmem/bmem.scm 175 */
obj_t BgL_auxz00_3630;
if(
PAIRP(BgL_arg1801z00_341))
{ /* bmem/bmem.scm 175 */
BgL_auxz00_3630 = BgL_arg1801z00_341
; }  else 
{ 
obj_t BgL_auxz00_3633;
BgL_auxz00_3633 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6551)), BGl_string2936z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_arg1801z00_341); 
FAILURE(BgL_auxz00_3633,BFALSE,BFALSE);} 
BGl_addzd2functionz12zc0zzbmem_functionz00(BgL_auxz00_3630); } } 
{ 
obj_t BgL_l1554z00_3638;
BgL_l1554z00_3638 = 
CDR(BgL_l1554z00_338); 
BgL_l1554z00_338 = BgL_l1554z00_3638; 
goto BgL_zc3z04anonymousza31799za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3175z04ze3z51_339;} }  else 
{ /* bmem/bmem.scm 175 */
if(
NULLP(BgL_l1554z00_338))
{ /* bmem/bmem.scm 175 */BTRUE; }  else 
{ /* bmem/bmem.scm 175 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_string2937z00zzbmemz00, BGl_string2938z00zzbmemz00, BgL_l1554z00_338, BGl_string2876z00zzbmemz00, 
BINT(((long)6527))); } } } } 
{ /* bmem/bmem.scm 176 */
obj_t BgL_docz00_345;
if(
CBOOL(BGl_za2functionza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 178 */
obj_t BgL__ortest_1308z00_350;
{ /* bmem/bmem.scm 178 */
obj_t BgL_auxz00_3671;obj_t BgL_auxz00_3662;obj_t BgL_auxz00_3653;obj_t BgL_auxz00_3646;
{ /* bmem/bmem.scm 178 */
bool_t BgL_test3388z00_3672;
if(
PAIRP(BgL_typesz00_323))
{ /* bmem/bmem.scm 178 */
BgL_test3388z00_3672 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 178 */
BgL_test3388z00_3672 = 
NULLP(BgL_typesz00_323)
; } 
if(BgL_test3388z00_3672)
{ /* bmem/bmem.scm 178 */
BgL_auxz00_3671 = BgL_typesz00_323
; }  else 
{ 
obj_t BgL_auxz00_3676;
BgL_auxz00_3676 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6665)), BGl_string2932z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_typesz00_323); 
FAILURE(BgL_auxz00_3676,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 178 */
bool_t BgL_test3386z00_3663;
if(
PAIRP(BgL_funmonz00_322))
{ /* bmem/bmem.scm 178 */
BgL_test3386z00_3663 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 178 */
BgL_test3386z00_3663 = 
NULLP(BgL_funmonz00_322)
; } 
if(BgL_test3386z00_3663)
{ /* bmem/bmem.scm 178 */
BgL_auxz00_3662 = BgL_funmonz00_322
; }  else 
{ 
obj_t BgL_auxz00_3667;
BgL_auxz00_3667 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6658)), BGl_string2932z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_funmonz00_322); 
FAILURE(BgL_auxz00_3667,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 178 */
bool_t BgL_test3384z00_3654;
if(
PAIRP(BgL_gcmonz00_321))
{ /* bmem/bmem.scm 178 */
BgL_test3384z00_3654 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 178 */
BgL_test3384z00_3654 = 
NULLP(BgL_gcmonz00_321)
; } 
if(BgL_test3384z00_3654)
{ /* bmem/bmem.scm 178 */
BgL_auxz00_3653 = BgL_gcmonz00_321
; }  else 
{ 
obj_t BgL_auxz00_3658;
BgL_auxz00_3658 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6652)), BGl_string2932z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_gcmonz00_321); 
FAILURE(BgL_auxz00_3658,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 178 */
obj_t BgL_aux2679z00_2067;
BgL_aux2679z00_2067 = BGl_za2functionza2z00zzbmem_paramz00; 
if(
STRINGP(BgL_aux2679z00_2067))
{ /* bmem/bmem.scm 178 */
BgL_auxz00_3646 = BgL_aux2679z00_2067
; }  else 
{ 
obj_t BgL_auxz00_3649;
BgL_auxz00_3649 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6632)), BGl_string2932z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2679z00_2067); 
FAILURE(BgL_auxz00_3649,BFALSE,BFALSE);} } 
BgL__ortest_1308z00_350 = 
BGl_bmemzd2functionzd2zzbmem_functionz00(BgL_auxz00_3646, BgL_cssz00_325, BgL_infoz00_320, BgL_auxz00_3653, BgL_auxz00_3662, BgL_auxz00_3671); } 
if(
CBOOL(BgL__ortest_1308z00_350))
{ /* bmem/bmem.scm 178 */
BgL_docz00_345 = BgL__ortest_1308z00_350; }  else 
{ /* bmem/bmem.scm 178 */
BgL_docz00_345 = 
BGl_htmlzd2pluginzd2errorz00zzhtmlz00(BFALSE, BGl_string2874z00zzbmemz00, 
CNST_TABLE_REF(((long)52)), BGl_string2939z00zzbmemz00, BGl_za2functionza2z00zzbmem_paramz00); } }  else 
{ /* bmem/bmem.scm 177 */
if(
CBOOL(BGl_za2typeza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 185 */
obj_t BgL__ortest_1309z00_351;
{ /* bmem/bmem.scm 185 */
obj_t BgL_auxz00_3712;obj_t BgL_auxz00_3703;obj_t BgL_auxz00_3694;obj_t BgL_auxz00_3687;
{ /* bmem/bmem.scm 185 */
bool_t BgL_test3397z00_3713;
if(
PAIRP(BgL_typesz00_323))
{ /* bmem/bmem.scm 185 */
BgL_test3397z00_3713 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 185 */
BgL_test3397z00_3713 = 
NULLP(BgL_typesz00_323)
; } 
if(BgL_test3397z00_3713)
{ /* bmem/bmem.scm 185 */
BgL_auxz00_3712 = BgL_typesz00_323
; }  else 
{ 
obj_t BgL_auxz00_3717;
BgL_auxz00_3717 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6852)), BGl_string2932z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_typesz00_323); 
FAILURE(BgL_auxz00_3717,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 185 */
bool_t BgL_test3395z00_3704;
if(
PAIRP(BgL_funmonz00_322))
{ /* bmem/bmem.scm 185 */
BgL_test3395z00_3704 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 185 */
BgL_test3395z00_3704 = 
NULLP(BgL_funmonz00_322)
; } 
if(BgL_test3395z00_3704)
{ /* bmem/bmem.scm 185 */
BgL_auxz00_3703 = BgL_funmonz00_322
; }  else 
{ 
obj_t BgL_auxz00_3708;
BgL_auxz00_3708 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6845)), BGl_string2932z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_funmonz00_322); 
FAILURE(BgL_auxz00_3708,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 185 */
bool_t BgL_test3393z00_3695;
if(
PAIRP(BgL_gcmonz00_321))
{ /* bmem/bmem.scm 185 */
BgL_test3393z00_3695 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 185 */
BgL_test3393z00_3695 = 
NULLP(BgL_gcmonz00_321)
; } 
if(BgL_test3393z00_3695)
{ /* bmem/bmem.scm 185 */
BgL_auxz00_3694 = BgL_gcmonz00_321
; }  else 
{ 
obj_t BgL_auxz00_3699;
BgL_auxz00_3699 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6839)), BGl_string2932z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_gcmonz00_321); 
FAILURE(BgL_auxz00_3699,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 185 */
obj_t BgL_aux2687z00_2075;
BgL_aux2687z00_2075 = BGl_za2typeza2z00zzbmem_paramz00; 
if(
STRINGP(BgL_aux2687z00_2075))
{ /* bmem/bmem.scm 185 */
BgL_auxz00_3687 = BgL_aux2687z00_2075
; }  else 
{ 
obj_t BgL_auxz00_3690;
BgL_auxz00_3690 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)6823)), BGl_string2932z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2687z00_2075); 
FAILURE(BgL_auxz00_3690,BFALSE,BFALSE);} } 
BgL__ortest_1309z00_351 = 
BGl_bmemzd2typezd2zzbmem_typez00(BgL_auxz00_3687, BgL_cssz00_325, BgL_infoz00_320, BgL_auxz00_3694, BgL_auxz00_3703, BgL_auxz00_3712); } 
if(
CBOOL(BgL__ortest_1309z00_351))
{ /* bmem/bmem.scm 185 */
BgL_docz00_345 = BgL__ortest_1309z00_351; }  else 
{ /* bmem/bmem.scm 185 */
BgL_docz00_345 = 
BGl_htmlzd2pluginzd2errorz00zzhtmlz00(BFALSE, BGl_string2874z00zzbmemz00, 
CNST_TABLE_REF(((long)52)), BGl_string2940z00zzbmemz00, BGl_za2typeza2z00zzbmem_paramz00); } }  else 
{ /* bmem/bmem.scm 184 */
BgL_docz00_345 = 
((obj_t)
BGl_bmemzd2allzd2zzbmemz00(BgL_cssz00_325, BgL_infoz00_320, BgL_gcmonz00_321, BgL_funmonz00_322, BgL_typesz00_323, BgL_threadz00_324)); } } 
if(
STRINGP(BGl_za2foutza2z00zzbmem_paramz00))
{ /* bmem/bmem.scm 194 */
obj_t BgL_zc3z04anonymousza31806za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3194z04ze3z51_1928;
BgL_zc3z04anonymousza31806za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3194z04ze3z51_1928 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31806za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3194z04ze3z33zzbmemz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31806za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3194z04ze3z51_1928, 
(int)(((long)0)), BgL_docz00_345); 
BgL_aux2207z00_1076 = 
BGl_withzd2outputzd2tozd2filezd2zz__r4_ports_6_10_1z00(BGl_za2foutza2z00zzbmem_paramz00, BgL_zc3z04anonymousza31806za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3194z04ze3z51_1928); }  else 
{ /* bmem/bmem.scm 195 */
BgL_z52htmlzd2documentz80_bglt BgL_auxz00_3736;
if(
BGl_isazf3zf3zz__objectz00(BgL_docz00_345, BGl_z52htmlzd2documentz80zzhtmlz00))
{ /* bmem/bmem.scm 195 */
BgL_auxz00_3736 = 
((BgL_z52htmlzd2documentz80_bglt)BgL_docz00_345)
; }  else 
{ 
obj_t BgL_auxz00_3740;
BgL_auxz00_3740 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)7140)), BGl_string2932z00zzbmemz00, BGl_string2878z00zzbmemz00, BgL_docz00_345); 
FAILURE(BgL_auxz00_3740,BFALSE,BFALSE);} 
BgL_aux2207z00_1076 = 
BGl_printzd2htmlzd2zzhtmlz00(BgL_auxz00_3736); } } } } } } } } } } 
BGL_ENV_POP_TRACE(BgL_env2210z00_1075); 
return BgL_aux2207z00_1076;} } } } 

}



/* &<@anonymous:1806:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:194@> */
obj_t BGl_z62zc3z04anonymousza31806za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3194z04ze3z33zzbmemz00(obj_t BgL_envz00_1929)
{
{ /* bmem/bmem.scm 194 */
{ /* bmem/bmem.scm 194 */
obj_t BgL_docz00_1930;
BgL_docz00_1930 = 
PROCEDURE_REF(BgL_envz00_1929, 
(int)(((long)0))); 
{ /* bmem/bmem.scm 194 */
BgL_z52htmlzd2documentz80_bglt BgL_auxz00_3748;
if(
BGl_isazf3zf3zz__objectz00(BgL_docz00_1930, BGl_z52htmlzd2documentz80zzhtmlz00))
{ /* bmem/bmem.scm 194 */
BgL_auxz00_3748 = 
((BgL_z52htmlzd2documentz80_bglt)BgL_docz00_1930)
; }  else 
{ 
obj_t BgL_auxz00_3752;
BgL_auxz00_3752 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)7115)), BGl_string2941z00zzbmemz00, BGl_string2878z00zzbmemz00, BgL_docz00_1930); 
FAILURE(BgL_auxz00_3752,BFALSE,BFALSE);} 
return 
BGl_printzd2htmlzd2zzhtmlz00(BgL_auxz00_3748);} } } 

}



/* function-ident-pp */
BGL_EXPORTED_DEF obj_t BGl_functionzd2identzd2ppz00zzbmemz00(obj_t BgL_identz00_8)
{
{ /* bmem/bmem.scm 223 */
{ /* bmem/bmem.scm 224 */
obj_t BgL_name2212z00_1077;obj_t BgL_loc2213z00_1078;obj_t BgL_env2214z00_1079;
BgL_name2212z00_1077 = 
CNST_TABLE_REF(((long)54)); 
BgL_loc2213z00_1078 = 
CNST_TABLE_REF(((long)55)); 
BgL_env2214z00_1079 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 224 */

BGL_ENV_PUSH_TRACE(BgL_env2214z00_1079, BgL_name2212z00_1077, BgL_loc2213z00_1078); 
{ /* bmem/bmem.scm 224 */
obj_t BgL_aux2211z00_1080;
{ /* bmem/bmem.scm 224 */
obj_t BgL_iz00_363;
if(
SYMBOLP(BgL_identz00_8))
{ /* bmem/bmem.scm 224 */
obj_t BgL_res2348z00_1365;
{ /* bmem/bmem.scm 224 */
obj_t BgL_arg1424z00_1364;
BgL_arg1424z00_1364 = 
SYMBOL_TO_STRING(BgL_identz00_8); 
BgL_res2348z00_1365 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1424z00_1364); } 
BgL_iz00_363 = BgL_res2348z00_1365; }  else 
{ /* bmem/bmem.scm 224 */
BgL_iz00_363 = BgL_identz00_8; } 
{ /* bmem/bmem.scm 224 */

{ /* bmem/bmem.scm 225 */
obj_t BgL_pregexpzd2tmp1313zd2_365;
BgL_pregexpzd2tmp1313zd2_365 = BNIL; 
{ /* bmem/bmem.scm 225 */

{ /* bmem/bmem.scm 225 */
obj_t BgL_patz00_367;
BgL_patz00_367 = BGl_pregexp1557z00zzbmemz00; 
{ /* bmem/bmem.scm 225 */
long BgL_endz00_370;
{ /* bmem/bmem.scm 225 */
obj_t BgL_stringz00_1369;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_stringz00_1369 = BgL_iz00_363; }  else 
{ 
obj_t BgL_auxz00_3767;
BgL_auxz00_3767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3767,BFALSE,BFALSE);} 
BgL_endz00_370 = 
STRING_LENGTH(BgL_stringz00_1369); } 
{ /* bmem/bmem.scm 225 */

{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3772;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3772 = BgL_iz00_363
; }  else 
{ 
obj_t BgL_auxz00_3775;
BgL_auxz00_3775 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3775,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1313zd2_365 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_367, BgL_auxz00_3772, 
BINT(((long)0)), 
BINT(BgL_endz00_370)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1313zd2_365))
{ /* bmem/bmem.scm 228 */
obj_t BgL_arg1814z00_371;obj_t BgL_arg1815z00_372;
{ /* bmem/bmem.scm 225 */
long BgL_arg1831z00_1371;
BgL_arg1831z00_1371 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3785;
{ /* bmem/bmem.scm 225 */
obj_t BgL_aux2703z00_2095;
BgL_aux2703z00_2095 = BgL_pregexpzd2tmp1313zd2_365; 
{ /* bmem/bmem.scm 225 */
bool_t BgL_test3407z00_3786;
if(
PAIRP(BgL_aux2703z00_2095))
{ /* bmem/bmem.scm 225 */
BgL_test3407z00_3786 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 225 */
BgL_test3407z00_3786 = 
NULLP(BgL_aux2703z00_2095)
; } 
if(BgL_test3407z00_3786)
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3785 = BgL_aux2703z00_2095
; }  else 
{ 
obj_t BgL_auxz00_3790;
BgL_auxz00_3790 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2703z00_2095); 
FAILURE(BgL_auxz00_3790,BFALSE,BFALSE);} } } 
BgL_arg1814z00_371 = 
bgl_list_ref(BgL_auxz00_3785, BgL_arg1831z00_1371); } } 
{ /* bmem/bmem.scm 225 */
long BgL_arg1831z00_1373;
BgL_arg1831z00_1373 = 
(((long)1)+((long)1)); 
{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3796;
{ /* bmem/bmem.scm 225 */
obj_t BgL_aux2705z00_2097;
BgL_aux2705z00_2097 = BgL_pregexpzd2tmp1313zd2_365; 
{ /* bmem/bmem.scm 225 */
bool_t BgL_test3409z00_3797;
if(
PAIRP(BgL_aux2705z00_2097))
{ /* bmem/bmem.scm 225 */
BgL_test3409z00_3797 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 225 */
BgL_test3409z00_3797 = 
NULLP(BgL_aux2705z00_2097)
; } 
if(BgL_test3409z00_3797)
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3796 = BgL_aux2705z00_2097
; }  else 
{ 
obj_t BgL_auxz00_3801;
BgL_auxz00_3801 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2705z00_2097); 
FAILURE(BgL_auxz00_3801,BFALSE,BFALSE);} } } 
BgL_arg1815z00_372 = 
bgl_list_ref(BgL_auxz00_3796, BgL_arg1831z00_1373); } } 
{ /* bmem/bmem.scm 228 */
obj_t BgL_list1816z00_373;
{ /* bmem/bmem.scm 228 */
obj_t BgL_arg1817z00_374;
{ /* bmem/bmem.scm 228 */
obj_t BgL_arg1818z00_375;
{ /* bmem/bmem.scm 228 */
obj_t BgL_arg1819z00_376;
{ /* bmem/bmem.scm 228 */
obj_t BgL_arg1820z00_377;
BgL_arg1820z00_377 = 
MAKE_YOUNG_PAIR(BGl_string2943z00zzbmemz00, BNIL); 
BgL_arg1819z00_376 = 
MAKE_YOUNG_PAIR(BgL_arg1815z00_372, BgL_arg1820z00_377); } 
BgL_arg1818z00_375 = 
MAKE_YOUNG_PAIR(BGl_string2944z00zzbmemz00, BgL_arg1819z00_376); } 
BgL_arg1817z00_374 = 
MAKE_YOUNG_PAIR(BgL_arg1814z00_371, BgL_arg1818z00_375); } 
BgL_list1816z00_373 = 
MAKE_YOUNG_PAIR(BGl_string2945z00zzbmemz00, BgL_arg1817z00_374); } 
BgL_aux2211z00_1080 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1816z00_373); } }  else 
{ /* bmem/bmem.scm 225 */
{ /* bmem/bmem.scm 225 */
obj_t BgL_patz00_378;
BgL_patz00_378 = BGl_pregexp1558z00zzbmemz00; 
{ /* bmem/bmem.scm 225 */
long BgL_endz00_381;
{ /* bmem/bmem.scm 225 */
obj_t BgL_stringz00_1375;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_stringz00_1375 = BgL_iz00_363; }  else 
{ 
obj_t BgL_auxz00_3814;
BgL_auxz00_3814 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3814,BFALSE,BFALSE);} 
BgL_endz00_381 = 
STRING_LENGTH(BgL_stringz00_1375); } 
{ /* bmem/bmem.scm 225 */

{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3819;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3819 = BgL_iz00_363
; }  else 
{ 
obj_t BgL_auxz00_3822;
BgL_auxz00_3822 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3822,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1313zd2_365 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_378, BgL_auxz00_3819, 
BINT(((long)0)), 
BINT(BgL_endz00_381)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1313zd2_365))
{ /* bmem/bmem.scm 230 */
obj_t BgL_arg1821z00_382;
{ /* bmem/bmem.scm 225 */
long BgL_arg1831z00_1377;
BgL_arg1831z00_1377 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3832;
{ /* bmem/bmem.scm 225 */
obj_t BgL_aux2711z00_2103;
BgL_aux2711z00_2103 = BgL_pregexpzd2tmp1313zd2_365; 
{ /* bmem/bmem.scm 225 */
bool_t BgL_test3414z00_3833;
if(
PAIRP(BgL_aux2711z00_2103))
{ /* bmem/bmem.scm 225 */
BgL_test3414z00_3833 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 225 */
BgL_test3414z00_3833 = 
NULLP(BgL_aux2711z00_2103)
; } 
if(BgL_test3414z00_3833)
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3832 = BgL_aux2711z00_2103
; }  else 
{ 
obj_t BgL_auxz00_3837;
BgL_auxz00_3837 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2711z00_2103); 
FAILURE(BgL_auxz00_3837,BFALSE,BFALSE);} } } 
BgL_arg1821z00_382 = 
bgl_list_ref(BgL_auxz00_3832, BgL_arg1831z00_1377); } } 
{ /* bmem/bmem.scm 230 */
obj_t BgL_tmpz00_3842;
if(
STRINGP(BgL_arg1821z00_382))
{ /* bmem/bmem.scm 230 */
BgL_tmpz00_3842 = BgL_arg1821z00_382
; }  else 
{ 
obj_t BgL_auxz00_3845;
BgL_auxz00_3845 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8590)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_arg1821z00_382); 
FAILURE(BgL_auxz00_3845,BFALSE,BFALSE);} 
BgL_aux2211z00_1080 = 
string_append_3(BGl_string2945z00zzbmemz00, BgL_tmpz00_3842, BGl_string2943z00zzbmemz00); } }  else 
{ /* bmem/bmem.scm 225 */
{ /* bmem/bmem.scm 225 */
obj_t BgL_patz00_383;
BgL_patz00_383 = BGl_pregexp1559z00zzbmemz00; 
{ /* bmem/bmem.scm 225 */
long BgL_endz00_386;
{ /* bmem/bmem.scm 225 */
obj_t BgL_stringz00_1379;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_stringz00_1379 = BgL_iz00_363; }  else 
{ 
obj_t BgL_auxz00_3852;
BgL_auxz00_3852 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3852,BFALSE,BFALSE);} 
BgL_endz00_386 = 
STRING_LENGTH(BgL_stringz00_1379); } 
{ /* bmem/bmem.scm 225 */

{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3857;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3857 = BgL_iz00_363
; }  else 
{ 
obj_t BgL_auxz00_3860;
BgL_auxz00_3860 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3860,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1313zd2_365 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_383, BgL_auxz00_3857, 
BINT(((long)0)), 
BINT(BgL_endz00_386)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1313zd2_365))
{ /* bmem/bmem.scm 232 */
obj_t BgL_arg1822z00_387;obj_t BgL_arg1823z00_388;
{ /* bmem/bmem.scm 225 */
long BgL_arg1831z00_1381;
BgL_arg1831z00_1381 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3870;
{ /* bmem/bmem.scm 225 */
obj_t BgL_aux2719z00_2111;
BgL_aux2719z00_2111 = BgL_pregexpzd2tmp1313zd2_365; 
{ /* bmem/bmem.scm 225 */
bool_t BgL_test3420z00_3871;
if(
PAIRP(BgL_aux2719z00_2111))
{ /* bmem/bmem.scm 225 */
BgL_test3420z00_3871 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 225 */
BgL_test3420z00_3871 = 
NULLP(BgL_aux2719z00_2111)
; } 
if(BgL_test3420z00_3871)
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3870 = BgL_aux2719z00_2111
; }  else 
{ 
obj_t BgL_auxz00_3875;
BgL_auxz00_3875 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2719z00_2111); 
FAILURE(BgL_auxz00_3875,BFALSE,BFALSE);} } } 
BgL_arg1822z00_387 = 
bgl_list_ref(BgL_auxz00_3870, BgL_arg1831z00_1381); } } 
{ /* bmem/bmem.scm 225 */
long BgL_arg1831z00_1383;
BgL_arg1831z00_1383 = 
(((long)1)+((long)1)); 
{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3881;
{ /* bmem/bmem.scm 225 */
obj_t BgL_aux2721z00_2113;
BgL_aux2721z00_2113 = BgL_pregexpzd2tmp1313zd2_365; 
{ /* bmem/bmem.scm 225 */
bool_t BgL_test3422z00_3882;
if(
PAIRP(BgL_aux2721z00_2113))
{ /* bmem/bmem.scm 225 */
BgL_test3422z00_3882 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 225 */
BgL_test3422z00_3882 = 
NULLP(BgL_aux2721z00_2113)
; } 
if(BgL_test3422z00_3882)
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3881 = BgL_aux2721z00_2113
; }  else 
{ 
obj_t BgL_auxz00_3886;
BgL_auxz00_3886 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2721z00_2113); 
FAILURE(BgL_auxz00_3886,BFALSE,BFALSE);} } } 
BgL_arg1823z00_388 = 
bgl_list_ref(BgL_auxz00_3881, BgL_arg1831z00_1383); } } 
{ /* bmem/bmem.scm 232 */
obj_t BgL_list1824z00_389;
{ /* bmem/bmem.scm 232 */
obj_t BgL_arg1825z00_390;
{ /* bmem/bmem.scm 232 */
obj_t BgL_arg1826z00_391;
{ /* bmem/bmem.scm 232 */
obj_t BgL_arg1827z00_392;
{ /* bmem/bmem.scm 232 */
obj_t BgL_arg1828z00_393;
BgL_arg1828z00_393 = 
MAKE_YOUNG_PAIR(BGl_string2943z00zzbmemz00, BNIL); 
BgL_arg1827z00_392 = 
MAKE_YOUNG_PAIR(BgL_arg1823z00_388, BgL_arg1828z00_393); } 
BgL_arg1826z00_391 = 
MAKE_YOUNG_PAIR(BGl_string2944z00zzbmemz00, BgL_arg1827z00_392); } 
BgL_arg1825z00_390 = 
MAKE_YOUNG_PAIR(BgL_arg1822z00_387, BgL_arg1826z00_391); } 
BgL_list1824z00_389 = 
MAKE_YOUNG_PAIR(BGl_string2946z00zzbmemz00, BgL_arg1825z00_390); } 
BgL_aux2211z00_1080 = 
BGl_stringzd2appendzd2zz__r4_strings_6_7z00(BgL_list1824z00_389); } }  else 
{ /* bmem/bmem.scm 225 */
{ /* bmem/bmem.scm 225 */
obj_t BgL_patz00_394;
BgL_patz00_394 = BGl_pregexp1560z00zzbmemz00; 
{ /* bmem/bmem.scm 225 */
long BgL_endz00_397;
{ /* bmem/bmem.scm 225 */
obj_t BgL_stringz00_1385;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_stringz00_1385 = BgL_iz00_363; }  else 
{ 
obj_t BgL_auxz00_3899;
BgL_auxz00_3899 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3899,BFALSE,BFALSE);} 
BgL_endz00_397 = 
STRING_LENGTH(BgL_stringz00_1385); } 
{ /* bmem/bmem.scm 225 */

{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3904;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3904 = BgL_iz00_363
; }  else 
{ 
obj_t BgL_auxz00_3907;
BgL_auxz00_3907 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3907,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1313zd2_365 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_394, BgL_auxz00_3904, 
BINT(((long)0)), 
BINT(BgL_endz00_397)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1313zd2_365))
{ /* bmem/bmem.scm 234 */
obj_t BgL_arg1829z00_398;
{ /* bmem/bmem.scm 225 */
long BgL_arg1831z00_1387;
BgL_arg1831z00_1387 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 225 */
obj_t BgL_auxz00_3917;
{ /* bmem/bmem.scm 225 */
obj_t BgL_aux2727z00_2119;
BgL_aux2727z00_2119 = BgL_pregexpzd2tmp1313zd2_365; 
{ /* bmem/bmem.scm 225 */
bool_t BgL_test3427z00_3918;
if(
PAIRP(BgL_aux2727z00_2119))
{ /* bmem/bmem.scm 225 */
BgL_test3427z00_3918 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 225 */
BgL_test3427z00_3918 = 
NULLP(BgL_aux2727z00_2119)
; } 
if(BgL_test3427z00_3918)
{ /* bmem/bmem.scm 225 */
BgL_auxz00_3917 = BgL_aux2727z00_2119
; }  else 
{ 
obj_t BgL_auxz00_3922;
BgL_auxz00_3922 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8428)), BGl_string2942z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2727z00_2119); 
FAILURE(BgL_auxz00_3922,BFALSE,BFALSE);} } } 
BgL_arg1829z00_398 = 
bgl_list_ref(BgL_auxz00_3917, BgL_arg1831z00_1387); } } 
{ /* bmem/bmem.scm 234 */
obj_t BgL_tmpz00_3927;
if(
STRINGP(BgL_arg1829z00_398))
{ /* bmem/bmem.scm 234 */
BgL_tmpz00_3927 = BgL_arg1829z00_398
; }  else 
{ 
obj_t BgL_auxz00_3930;
BgL_auxz00_3930 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8749)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_arg1829z00_398); 
FAILURE(BgL_auxz00_3930,BFALSE,BFALSE);} 
BgL_aux2211z00_1080 = 
string_append_3(BGl_string2946z00zzbmemz00, BgL_tmpz00_3927, BGl_string2943z00zzbmemz00); } }  else 
{ /* bmem/bmem.scm 236 */
obj_t BgL_auxz00_3935;
if(
STRINGP(BgL_iz00_363))
{ /* bmem/bmem.scm 236 */
BgL_auxz00_3935 = BgL_iz00_363
; }  else 
{ 
obj_t BgL_auxz00_3938;
BgL_auxz00_3938 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)8815)), BGl_string2942z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_363); 
FAILURE(BgL_auxz00_3938,BFALSE,BFALSE);} 
BgL_aux2211z00_1080 = 
BGl_htmlzd2stringzd2zzhtmlz00(BgL_auxz00_3935); } } } } } } } } 
BGL_ENV_POP_TRACE(BgL_env2214z00_1079); 
return BgL_aux2211z00_1080;} } } } 

}



/* &function-ident-pp */
obj_t BGl_z62functionzd2identzd2ppz62zzbmemz00(obj_t BgL_envz00_1934, obj_t BgL_identz00_1935)
{
{ /* bmem/bmem.scm 223 */
return 
BGl_functionzd2identzd2ppz00zzbmemz00(BgL_identz00_1935);} 

}



/* function-ref */
BGL_EXPORTED_DEF obj_t BGl_functionzd2refzd2zzbmemz00(obj_t BgL_identz00_9)
{
{ /* bmem/bmem.scm 241 */
{ /* bmem/bmem.scm 242 */
obj_t BgL_name2216z00_1081;obj_t BgL_loc2217z00_1082;obj_t BgL_env2218z00_1083;
BgL_name2216z00_1081 = 
CNST_TABLE_REF(((long)56)); 
BgL_loc2217z00_1082 = 
CNST_TABLE_REF(((long)57)); 
BgL_env2218z00_1083 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 242 */

BGL_ENV_PUSH_TRACE(BgL_env2218z00_1083, BgL_name2216z00_1081, BgL_loc2217z00_1082); 
{ /* bmem/bmem.scm 242 */
BgL_z52htmlzd2elementz80_bglt BgL_aux2215z00_1084;
{ /* bmem/bmem.scm 242 */
obj_t BgL_iz00_404;
if(
SYMBOLP(BgL_identz00_9))
{ /* bmem/bmem.scm 242 */
obj_t BgL_res2362z00_1393;
{ /* bmem/bmem.scm 242 */
obj_t BgL_arg1424z00_1392;
BgL_arg1424z00_1392 = 
SYMBOL_TO_STRING(BgL_identz00_9); 
BgL_res2362z00_1393 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1424z00_1392); } 
BgL_iz00_404 = BgL_res2362z00_1393; }  else 
{ /* bmem/bmem.scm 242 */
BgL_iz00_404 = BgL_identz00_9; } 
{ /* bmem/bmem.scm 242 */
obj_t BgL_idz00_405;
{ /* bmem/bmem.scm 243 */
obj_t BgL_pregexpzd2tmp1315zd2_424;
BgL_pregexpzd2tmp1315zd2_424 = BNIL; 
{ /* bmem/bmem.scm 243 */

{ /* bmem/bmem.scm 243 */
obj_t BgL_patz00_426;
BgL_patz00_426 = BGl_pregexp1561z00zzbmemz00; 
{ /* bmem/bmem.scm 243 */
long BgL_endz00_429;
{ /* bmem/bmem.scm 243 */
obj_t BgL_stringz00_1397;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_stringz00_1397 = BgL_iz00_404; }  else 
{ 
obj_t BgL_auxz00_3955;
BgL_auxz00_3955 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_3955,BFALSE,BFALSE);} 
BgL_endz00_429 = 
STRING_LENGTH(BgL_stringz00_1397); } 
{ /* bmem/bmem.scm 243 */

{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_3960;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_auxz00_3960 = BgL_iz00_404
; }  else 
{ 
obj_t BgL_auxz00_3963;
BgL_auxz00_3963 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_3963,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1315zd2_424 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_426, BgL_auxz00_3960, 
BINT(((long)0)), 
BINT(BgL_endz00_429)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1315zd2_424))
{ /* bmem/bmem.scm 247 */
BgL_z52htmlzd2boxz80_bglt BgL_arg1840z00_430;
{ /* bmem/bmem.scm 247 */
BgL_z52htmlzd2boxz80_bglt BgL_new1319z00_433;
{ /* bmem/bmem.scm 247 */
obj_t BgL_env1317z00_439;
BgL_env1317z00_439 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 247 */

{ 
long BgL_auxz00_3973;
{ /* bmem/bmem.scm 247 */
long BgL_res2366z00_1401;
{ /* bmem/bmem.scm 247 */
obj_t BgL_classz00_1400;
BgL_classz00_1400 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2366z00_1401 = 
BGL_CLASS_INDEX(BgL_classz00_1400); } 
BgL_auxz00_3973 = BgL_res2366z00_1401; } 
bmem_set_allocation_type( BgL_auxz00_3973, 0 ); } 
{ /* bmem/bmem.scm 247 */
BgL_z52htmlzd2boxz80_bglt BgL_new1316z00_441;
BgL_new1316z00_441 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 247 */
long BgL_arg1848z00_442;
{ /* bmem/bmem.scm 247 */
long BgL_res2367z00_1403;
BgL_res2367z00_1403 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1848z00_442 = BgL_res2367z00_1403; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1316z00_441), BgL_arg1848z00_442); } 
BgL_new1319z00_433 = BgL_new1316z00_441; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1319z00_433)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1319z00_433)))->BgL_classz00)=((obj_t)BGl_string2948z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1319z00_433)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1319z00_433))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)58))),BUNSPEC); 
{ 
obj_t BgL_auxz00_3988;
{ /* bmem/bmem.scm 248 */
obj_t BgL_arg1843z00_434;obj_t BgL_arg1844z00_435;
{ /* bmem/bmem.scm 243 */
long BgL_arg1867z00_1406;
BgL_arg1867z00_1406 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_3990;
{ /* bmem/bmem.scm 243 */
obj_t BgL_aux2737z00_2129;
BgL_aux2737z00_2129 = BgL_pregexpzd2tmp1315zd2_424; 
{ /* bmem/bmem.scm 243 */
bool_t BgL_test3435z00_3991;
if(
PAIRP(BgL_aux2737z00_2129))
{ /* bmem/bmem.scm 243 */
BgL_test3435z00_3991 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 243 */
BgL_test3435z00_3991 = 
NULLP(BgL_aux2737z00_2129)
; } 
if(BgL_test3435z00_3991)
{ /* bmem/bmem.scm 243 */
BgL_auxz00_3990 = BgL_aux2737z00_2129
; }  else 
{ 
obj_t BgL_auxz00_3995;
BgL_auxz00_3995 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2737z00_2129); 
FAILURE(BgL_auxz00_3995,BFALSE,BFALSE);} } } 
BgL_arg1843z00_434 = 
bgl_list_ref(BgL_auxz00_3990, BgL_arg1867z00_1406); } } 
{ /* bmem/bmem.scm 243 */
long BgL_arg1867z00_1408;
BgL_arg1867z00_1408 = 
(((long)1)+((long)1)); 
{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4001;
{ /* bmem/bmem.scm 243 */
obj_t BgL_aux2739z00_2131;
BgL_aux2739z00_2131 = BgL_pregexpzd2tmp1315zd2_424; 
{ /* bmem/bmem.scm 243 */
bool_t BgL_test3437z00_4002;
if(
PAIRP(BgL_aux2739z00_2131))
{ /* bmem/bmem.scm 243 */
BgL_test3437z00_4002 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 243 */
BgL_test3437z00_4002 = 
NULLP(BgL_aux2739z00_2131)
; } 
if(BgL_test3437z00_4002)
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4001 = BgL_aux2739z00_2131
; }  else 
{ 
obj_t BgL_auxz00_4006;
BgL_auxz00_4006 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2739z00_2131); 
FAILURE(BgL_auxz00_4006,BFALSE,BFALSE);} } } 
BgL_arg1844z00_435 = 
bgl_list_ref(BgL_auxz00_4001, BgL_arg1867z00_1408); } } 
{ /* bmem/bmem.scm 248 */
obj_t BgL_list1845z00_436;
{ /* bmem/bmem.scm 248 */
obj_t BgL_arg1846z00_437;
{ /* bmem/bmem.scm 248 */
obj_t BgL_arg1847z00_438;
BgL_arg1847z00_438 = 
MAKE_YOUNG_PAIR(BgL_arg1844z00_435, BNIL); 
BgL_arg1846z00_437 = 
MAKE_YOUNG_PAIR(BGl_string2944z00zzbmemz00, BgL_arg1847z00_438); } 
BgL_list1845z00_436 = 
MAKE_YOUNG_PAIR(BgL_arg1843z00_434, BgL_arg1846z00_437); } 
BgL_auxz00_3988 = BgL_list1845z00_436; } } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1319z00_433))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_3988),BUNSPEC); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1319z00_433))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1840z00_430 = BgL_new1319z00_433; } 
{ /* bmem/bmem.scm 246 */
obj_t BgL_list1841z00_431;
{ /* bmem/bmem.scm 246 */
obj_t BgL_arg1842z00_432;
BgL_arg1842z00_432 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1840z00_430), BNIL); 
BgL_list1841z00_431 = 
MAKE_YOUNG_PAIR(BGl_string2949z00zzbmemz00, BgL_arg1842z00_432); } 
BgL_idz00_405 = BgL_list1841z00_431; } }  else 
{ /* bmem/bmem.scm 243 */
{ /* bmem/bmem.scm 243 */
obj_t BgL_patz00_443;
BgL_patz00_443 = BGl_pregexp1562z00zzbmemz00; 
{ /* bmem/bmem.scm 243 */
long BgL_endz00_446;
{ /* bmem/bmem.scm 243 */
obj_t BgL_stringz00_1412;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_stringz00_1412 = BgL_iz00_404; }  else 
{ 
obj_t BgL_auxz00_4021;
BgL_auxz00_4021 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_4021,BFALSE,BFALSE);} 
BgL_endz00_446 = 
STRING_LENGTH(BgL_stringz00_1412); } 
{ /* bmem/bmem.scm 243 */

{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4026;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4026 = BgL_iz00_404
; }  else 
{ 
obj_t BgL_auxz00_4029;
BgL_auxz00_4029 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_4029,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1315zd2_424 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_443, BgL_auxz00_4026, 
BINT(((long)0)), 
BINT(BgL_endz00_446)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1315zd2_424))
{ /* bmem/bmem.scm 251 */
BgL_z52htmlzd2boxz80_bglt BgL_arg1849z00_447;
{ /* bmem/bmem.scm 251 */
BgL_z52htmlzd2boxz80_bglt BgL_new1323z00_450;
{ /* bmem/bmem.scm 251 */
obj_t BgL_env1321z00_451;
BgL_env1321z00_451 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 251 */

{ 
long BgL_auxz00_4039;
{ /* bmem/bmem.scm 251 */
long BgL_res2374z00_1416;
{ /* bmem/bmem.scm 251 */
obj_t BgL_classz00_1415;
BgL_classz00_1415 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2374z00_1416 = 
BGL_CLASS_INDEX(BgL_classz00_1415); } 
BgL_auxz00_4039 = BgL_res2374z00_1416; } 
bmem_set_allocation_type( BgL_auxz00_4039, 0 ); } 
{ /* bmem/bmem.scm 251 */
BgL_z52htmlzd2boxz80_bglt BgL_new1320z00_453;
BgL_new1320z00_453 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 251 */
long BgL_arg1852z00_454;
{ /* bmem/bmem.scm 251 */
long BgL_res2375z00_1418;
BgL_res2375z00_1418 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1852z00_454 = BgL_res2375z00_1418; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1320z00_453), BgL_arg1852z00_454); } 
BgL_new1323z00_450 = BgL_new1320z00_453; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1323z00_450)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1323z00_450)))->BgL_classz00)=((obj_t)BGl_string2948z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1323z00_450)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1323z00_450))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)58))),BUNSPEC); 
{ 
obj_t BgL_auxz00_4054;
{ /* bmem/bmem.scm 243 */
long BgL_arg1867z00_1421;
BgL_arg1867z00_1421 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4056;
{ /* bmem/bmem.scm 243 */
obj_t BgL_aux2745z00_2137;
BgL_aux2745z00_2137 = BgL_pregexpzd2tmp1315zd2_424; 
{ /* bmem/bmem.scm 243 */
bool_t BgL_test3442z00_4057;
if(
PAIRP(BgL_aux2745z00_2137))
{ /* bmem/bmem.scm 243 */
BgL_test3442z00_4057 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 243 */
BgL_test3442z00_4057 = 
NULLP(BgL_aux2745z00_2137)
; } 
if(BgL_test3442z00_4057)
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4056 = BgL_aux2745z00_2137
; }  else 
{ 
obj_t BgL_auxz00_4061;
BgL_auxz00_4061 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2745z00_2137); 
FAILURE(BgL_auxz00_4061,BFALSE,BFALSE);} } } 
BgL_auxz00_4054 = 
bgl_list_ref(BgL_auxz00_4056, BgL_arg1867z00_1421); } } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1323z00_450))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_4054),BUNSPEC); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1323z00_450))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1849z00_447 = BgL_new1323z00_450; } 
{ /* bmem/bmem.scm 250 */
obj_t BgL_list1850z00_448;
{ /* bmem/bmem.scm 250 */
obj_t BgL_arg1851z00_449;
BgL_arg1851z00_449 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1849z00_447), BNIL); 
BgL_list1850z00_448 = 
MAKE_YOUNG_PAIR(BGl_string2949z00zzbmemz00, BgL_arg1851z00_449); } 
BgL_idz00_405 = BgL_list1850z00_448; } }  else 
{ /* bmem/bmem.scm 243 */
{ /* bmem/bmem.scm 243 */
obj_t BgL_patz00_455;
BgL_patz00_455 = BGl_pregexp1563z00zzbmemz00; 
{ /* bmem/bmem.scm 243 */
long BgL_endz00_458;
{ /* bmem/bmem.scm 243 */
obj_t BgL_stringz00_1424;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_stringz00_1424 = BgL_iz00_404; }  else 
{ 
obj_t BgL_auxz00_4073;
BgL_auxz00_4073 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_4073,BFALSE,BFALSE);} 
BgL_endz00_458 = 
STRING_LENGTH(BgL_stringz00_1424); } 
{ /* bmem/bmem.scm 243 */

{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4078;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4078 = BgL_iz00_404
; }  else 
{ 
obj_t BgL_auxz00_4081;
BgL_auxz00_4081 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_4081,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1315zd2_424 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_455, BgL_auxz00_4078, 
BINT(((long)0)), 
BINT(BgL_endz00_458)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1315zd2_424))
{ /* bmem/bmem.scm 254 */
BgL_z52htmlzd2boxz80_bglt BgL_arg1853z00_459;
{ /* bmem/bmem.scm 254 */
BgL_z52htmlzd2boxz80_bglt BgL_new1327z00_462;
{ /* bmem/bmem.scm 254 */
obj_t BgL_env1325z00_468;
BgL_env1325z00_468 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 254 */

{ 
long BgL_auxz00_4091;
{ /* bmem/bmem.scm 254 */
long BgL_res2380z00_1428;
{ /* bmem/bmem.scm 254 */
obj_t BgL_classz00_1427;
BgL_classz00_1427 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2380z00_1428 = 
BGL_CLASS_INDEX(BgL_classz00_1427); } 
BgL_auxz00_4091 = BgL_res2380z00_1428; } 
bmem_set_allocation_type( BgL_auxz00_4091, 0 ); } 
{ /* bmem/bmem.scm 254 */
BgL_z52htmlzd2boxz80_bglt BgL_new1324z00_470;
BgL_new1324z00_470 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 254 */
long BgL_arg1861z00_471;
{ /* bmem/bmem.scm 254 */
long BgL_res2381z00_1430;
BgL_res2381z00_1430 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1861z00_471 = BgL_res2381z00_1430; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1324z00_470), BgL_arg1861z00_471); } 
BgL_new1327z00_462 = BgL_new1324z00_470; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1327z00_462)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1327z00_462)))->BgL_classz00)=((obj_t)BGl_string2948z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1327z00_462)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1327z00_462))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)58))),BUNSPEC); 
{ 
obj_t BgL_auxz00_4106;
{ /* bmem/bmem.scm 255 */
obj_t BgL_arg1856z00_463;obj_t BgL_arg1857z00_464;
{ /* bmem/bmem.scm 243 */
long BgL_arg1867z00_1433;
BgL_arg1867z00_1433 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4108;
{ /* bmem/bmem.scm 243 */
obj_t BgL_aux2751z00_2143;
BgL_aux2751z00_2143 = BgL_pregexpzd2tmp1315zd2_424; 
{ /* bmem/bmem.scm 243 */
bool_t BgL_test3447z00_4109;
if(
PAIRP(BgL_aux2751z00_2143))
{ /* bmem/bmem.scm 243 */
BgL_test3447z00_4109 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 243 */
BgL_test3447z00_4109 = 
NULLP(BgL_aux2751z00_2143)
; } 
if(BgL_test3447z00_4109)
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4108 = BgL_aux2751z00_2143
; }  else 
{ 
obj_t BgL_auxz00_4113;
BgL_auxz00_4113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2751z00_2143); 
FAILURE(BgL_auxz00_4113,BFALSE,BFALSE);} } } 
BgL_arg1856z00_463 = 
bgl_list_ref(BgL_auxz00_4108, BgL_arg1867z00_1433); } } 
{ /* bmem/bmem.scm 243 */
long BgL_arg1867z00_1435;
BgL_arg1867z00_1435 = 
(((long)1)+((long)1)); 
{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4119;
{ /* bmem/bmem.scm 243 */
obj_t BgL_aux2753z00_2145;
BgL_aux2753z00_2145 = BgL_pregexpzd2tmp1315zd2_424; 
{ /* bmem/bmem.scm 243 */
bool_t BgL_test3449z00_4120;
if(
PAIRP(BgL_aux2753z00_2145))
{ /* bmem/bmem.scm 243 */
BgL_test3449z00_4120 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 243 */
BgL_test3449z00_4120 = 
NULLP(BgL_aux2753z00_2145)
; } 
if(BgL_test3449z00_4120)
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4119 = BgL_aux2753z00_2145
; }  else 
{ 
obj_t BgL_auxz00_4124;
BgL_auxz00_4124 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2753z00_2145); 
FAILURE(BgL_auxz00_4124,BFALSE,BFALSE);} } } 
BgL_arg1857z00_464 = 
bgl_list_ref(BgL_auxz00_4119, BgL_arg1867z00_1435); } } 
{ /* bmem/bmem.scm 255 */
obj_t BgL_list1858z00_465;
{ /* bmem/bmem.scm 255 */
obj_t BgL_arg1859z00_466;
{ /* bmem/bmem.scm 255 */
obj_t BgL_arg1860z00_467;
BgL_arg1860z00_467 = 
MAKE_YOUNG_PAIR(BgL_arg1857z00_464, BNIL); 
BgL_arg1859z00_466 = 
MAKE_YOUNG_PAIR(BGl_string2944z00zzbmemz00, BgL_arg1860z00_467); } 
BgL_list1858z00_465 = 
MAKE_YOUNG_PAIR(BgL_arg1856z00_463, BgL_arg1859z00_466); } 
BgL_auxz00_4106 = BgL_list1858z00_465; } } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1327z00_462))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_4106),BUNSPEC); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1327z00_462))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1853z00_459 = BgL_new1327z00_462; } 
{ /* bmem/bmem.scm 253 */
obj_t BgL_list1854z00_460;
{ /* bmem/bmem.scm 253 */
obj_t BgL_arg1855z00_461;
BgL_arg1855z00_461 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1853z00_459), BNIL); 
BgL_list1854z00_460 = 
MAKE_YOUNG_PAIR(BGl_string2950z00zzbmemz00, BgL_arg1855z00_461); } 
BgL_idz00_405 = BgL_list1854z00_460; } }  else 
{ /* bmem/bmem.scm 243 */
{ /* bmem/bmem.scm 243 */
obj_t BgL_patz00_472;
BgL_patz00_472 = BGl_pregexp1564z00zzbmemz00; 
{ /* bmem/bmem.scm 243 */
long BgL_endz00_475;
{ /* bmem/bmem.scm 243 */
obj_t BgL_stringz00_1439;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_stringz00_1439 = BgL_iz00_404; }  else 
{ 
obj_t BgL_auxz00_4139;
BgL_auxz00_4139 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_4139,BFALSE,BFALSE);} 
BgL_endz00_475 = 
STRING_LENGTH(BgL_stringz00_1439); } 
{ /* bmem/bmem.scm 243 */

{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4144;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4144 = BgL_iz00_404
; }  else 
{ 
obj_t BgL_auxz00_4147;
BgL_auxz00_4147 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_4147,BFALSE,BFALSE);} 
BgL_pregexpzd2tmp1315zd2_424 = 
BGl_pregexpzd2matchzd2zz__regexpz00(BgL_patz00_472, BgL_auxz00_4144, 
BINT(((long)0)), 
BINT(BgL_endz00_475)); } } } } 
if(
CBOOL(BgL_pregexpzd2tmp1315zd2_424))
{ /* bmem/bmem.scm 258 */
BgL_z52htmlzd2boxz80_bglt BgL_arg1862z00_476;
{ /* bmem/bmem.scm 258 */
BgL_z52htmlzd2boxz80_bglt BgL_new1331z00_479;
{ /* bmem/bmem.scm 258 */
obj_t BgL_env1329z00_480;
BgL_env1329z00_480 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 258 */

{ 
long BgL_auxz00_4157;
{ /* bmem/bmem.scm 258 */
long BgL_res2388z00_1443;
{ /* bmem/bmem.scm 258 */
obj_t BgL_classz00_1442;
BgL_classz00_1442 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2388z00_1443 = 
BGL_CLASS_INDEX(BgL_classz00_1442); } 
BgL_auxz00_4157 = BgL_res2388z00_1443; } 
bmem_set_allocation_type( BgL_auxz00_4157, 0 ); } 
{ /* bmem/bmem.scm 258 */
BgL_z52htmlzd2boxz80_bglt BgL_new1328z00_482;
BgL_new1328z00_482 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 258 */
long BgL_arg1865z00_483;
{ /* bmem/bmem.scm 258 */
long BgL_res2389z00_1445;
BgL_res2389z00_1445 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1865z00_483 = BgL_res2389z00_1445; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1328z00_482), BgL_arg1865z00_483); } 
BgL_new1331z00_479 = BgL_new1328z00_482; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1331z00_479)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1331z00_479)))->BgL_classz00)=((obj_t)BGl_string2948z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1331z00_479)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1331z00_479))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)58))),BUNSPEC); 
{ 
obj_t BgL_auxz00_4172;
{ /* bmem/bmem.scm 243 */
long BgL_arg1867z00_1448;
BgL_arg1867z00_1448 = 
(((long)1)+((long)0)); 
{ /* bmem/bmem.scm 243 */
obj_t BgL_auxz00_4174;
{ /* bmem/bmem.scm 243 */
obj_t BgL_aux2759z00_2151;
BgL_aux2759z00_2151 = BgL_pregexpzd2tmp1315zd2_424; 
{ /* bmem/bmem.scm 243 */
bool_t BgL_test3454z00_4175;
if(
PAIRP(BgL_aux2759z00_2151))
{ /* bmem/bmem.scm 243 */
BgL_test3454z00_4175 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 243 */
BgL_test3454z00_4175 = 
NULLP(BgL_aux2759z00_2151)
; } 
if(BgL_test3454z00_4175)
{ /* bmem/bmem.scm 243 */
BgL_auxz00_4174 = BgL_aux2759z00_2151
; }  else 
{ 
obj_t BgL_auxz00_4179;
BgL_auxz00_4179 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9145)), BGl_string2947z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2759z00_2151); 
FAILURE(BgL_auxz00_4179,BFALSE,BFALSE);} } } 
BgL_auxz00_4172 = 
bgl_list_ref(BgL_auxz00_4174, BgL_arg1867z00_1448); } } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1331z00_479))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_4172),BUNSPEC); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1331z00_479))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1862z00_476 = BgL_new1331z00_479; } 
{ /* bmem/bmem.scm 257 */
obj_t BgL_list1863z00_477;
{ /* bmem/bmem.scm 257 */
obj_t BgL_arg1864z00_478;
BgL_arg1864z00_478 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1862z00_476), BNIL); 
BgL_list1863z00_477 = 
MAKE_YOUNG_PAIR(BGl_string2950z00zzbmemz00, BgL_arg1864z00_478); } 
BgL_idz00_405 = BgL_list1863z00_477; } }  else 
{ /* bmem/bmem.scm 260 */
obj_t BgL_auxz00_4189;
if(
STRINGP(BgL_iz00_404))
{ /* bmem/bmem.scm 260 */
BgL_auxz00_4189 = BgL_iz00_404
; }  else 
{ 
obj_t BgL_auxz00_4192;
BgL_auxz00_4192 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)9674)), BGl_string2947z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_iz00_404); 
FAILURE(BgL_auxz00_4192,BFALSE,BFALSE);} 
BgL_idz00_405 = 
BGl_htmlzd2stringzd2zzhtmlz00(BgL_auxz00_4189); } } } } } } 
{ /* bmem/bmem.scm 243 */
BgL_z52htmlzd2boxz80_bglt BgL_hidz00_406;
{ /* bmem/bmem.scm 261 */
BgL_z52htmlzd2boxz80_bglt BgL_new1335z00_418;
{ /* bmem/bmem.scm 261 */
obj_t BgL_env1333z00_419;
BgL_env1333z00_419 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 261 */

{ 
long BgL_auxz00_4198;
{ /* bmem/bmem.scm 261 */
long BgL_res2393z00_1453;
{ /* bmem/bmem.scm 261 */
obj_t BgL_classz00_1452;
BgL_classz00_1452 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2393z00_1453 = 
BGL_CLASS_INDEX(BgL_classz00_1452); } 
BgL_auxz00_4198 = BgL_res2393z00_1453; } 
bmem_set_allocation_type( BgL_auxz00_4198, 0 ); } 
{ /* bmem/bmem.scm 261 */
BgL_z52htmlzd2boxz80_bglt BgL_new1332z00_421;
BgL_new1332z00_421 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 261 */
long BgL_arg1839z00_422;
{ /* bmem/bmem.scm 261 */
long BgL_res2394z00_1455;
BgL_res2394z00_1455 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1839z00_422 = BgL_res2394z00_1455; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1332z00_421), BgL_arg1839z00_422); } 
BgL_new1335z00_418 = BgL_new1332z00_421; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1335z00_418)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1335z00_418)))->BgL_classz00)=((obj_t)BGl_string2951z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1335z00_418)))->BgL_titlez00)=((obj_t)BgL_iz00_404),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1335z00_418))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1335z00_418))->BgL_inlineza2za2)=((obj_t)BgL_idz00_405),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1335z00_418))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_hidz00_406 = BgL_new1335z00_418; } 
{ /* bmem/bmem.scm 261 */

if(
BGl_httpzd2requestzf3z21zzbmemz00())
{ /* bmem/bmem.scm 264 */
obj_t BgL_urlz00_408;
{ /* bmem/bmem.scm 264 */
obj_t BgL_list1835z00_414;
{ /* bmem/bmem.scm 264 */
obj_t BgL_arg1836z00_415;
{ /* bmem/bmem.scm 264 */
obj_t BgL_arg1837z00_416;
{ /* bmem/bmem.scm 264 */
obj_t BgL_arg1838z00_417;
BgL_arg1838z00_417 = 
MAKE_YOUNG_PAIR(BgL_identz00_9, BNIL); 
BgL_arg1837z00_416 = 
MAKE_YOUNG_PAIR(BGl_za2fileza2z00zzbmem_paramz00, BgL_arg1838z00_417); } 
BgL_arg1836z00_415 = 
MAKE_YOUNG_PAIR(BGl_za2portza2z00zzbmem_paramz00, BgL_arg1837z00_416); } 
BgL_list1835z00_414 = 
MAKE_YOUNG_PAIR(BGl_za2hostnameza2z00zzbmem_paramz00, BgL_arg1836z00_415); } 
BgL_urlz00_408 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2952z00zzbmemz00, BgL_list1835z00_414); } 
{ /* bmem/bmem.scm 269 */
BgL_z52htmlzd2az80_bglt BgL_new1339z00_409;
{ /* bmem/bmem.scm 269 */
obj_t BgL_env1337z00_410;
BgL_env1337z00_410 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 269 */

{ 
long BgL_auxz00_4223;
{ /* bmem/bmem.scm 269 */
long BgL_res2396z00_1460;
{ /* bmem/bmem.scm 269 */
obj_t BgL_classz00_1459;
BgL_classz00_1459 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2396z00_1460 = 
BGL_CLASS_INDEX(BgL_classz00_1459); } 
BgL_auxz00_4223 = BgL_res2396z00_1460; } 
bmem_set_allocation_type( BgL_auxz00_4223, 0 ); } 
{ /* bmem/bmem.scm 269 */
BgL_z52htmlzd2az80_bglt BgL_new1336z00_412;
BgL_new1336z00_412 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 269 */
long BgL_arg1834z00_413;
{ /* bmem/bmem.scm 269 */
long BgL_res2397z00_1462;
BgL_res2397z00_1462 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2az80zzhtmlz00); 
BgL_arg1834z00_413 = BgL_res2397z00_1462; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1336z00_412), BgL_arg1834z00_413); } 
BgL_new1339z00_409 = BgL_new1336z00_412; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1339z00_409)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1339z00_409)))->BgL_classz00)=((obj_t)BGl_string2947z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1339z00_409)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1339z00_409))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1339z00_409))->BgL_hrefz00)=((obj_t)BgL_urlz00_408),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1339z00_409))->BgL_namez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1339z00_409))->BgL_inlineza2za2)=((obj_t)
((obj_t)BgL_hidz00_406)),BUNSPEC); 
BgL_aux2215z00_1084 = 
((BgL_z52htmlzd2elementz80_bglt)BgL_new1339z00_409); } }  else 
{ /* bmem/bmem.scm 262 */
BgL_aux2215z00_1084 = 
((BgL_z52htmlzd2elementz80_bglt)BgL_hidz00_406); } } } } } 
BGL_ENV_POP_TRACE(BgL_env2218z00_1083); 
return 
((obj_t)BgL_aux2215z00_1084);} } } } 

}



/* &function-ref */
obj_t BGl_z62functionzd2refzb0zzbmemz00(obj_t BgL_envz00_1936, obj_t BgL_identz00_1937)
{
{ /* bmem/bmem.scm 241 */
return 
BGl_functionzd2refzd2zzbmemz00(BgL_identz00_1937);} 

}



/* type-ref */
BGL_EXPORTED_DEF obj_t BGl_typezd2refzd2zzbmemz00(obj_t BgL_identz00_10)
{
{ /* bmem/bmem.scm 274 */
{ /* bmem/bmem.scm 275 */
obj_t BgL_name2220z00_1085;obj_t BgL_loc2221z00_1086;obj_t BgL_env2222z00_1087;
BgL_name2220z00_1085 = 
CNST_TABLE_REF(((long)59)); 
BgL_loc2221z00_1086 = 
CNST_TABLE_REF(((long)60)); 
BgL_env2222z00_1087 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 275 */

BGL_ENV_PUSH_TRACE(BgL_env2222z00_1087, BgL_name2220z00_1085, BgL_loc2221z00_1086); 
{ /* bmem/bmem.scm 275 */
BgL_z52htmlzd2elementz80_bglt BgL_aux2219z00_1088;
{ /* bmem/bmem.scm 275 */
obj_t BgL_identz00_489;
{ /* bmem/bmem.scm 275 */
obj_t BgL_auxz00_4250;
if(
STRINGP(BgL_identz00_10))
{ /* bmem/bmem.scm 275 */
BgL_auxz00_4250 = BgL_identz00_10
; }  else 
{ 
obj_t BgL_auxz00_4253;
BgL_auxz00_4253 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)10225)), BGl_string2953z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_identz00_10); 
FAILURE(BgL_auxz00_4253,BFALSE,BFALSE);} 
BgL_identz00_489 = 
BGl_htmlzd2stringzd2zzhtmlz00(BgL_auxz00_4250); } 
{ /* bmem/bmem.scm 275 */
BgL_z52htmlzd2boxz80_bglt BgL_hidz00_490;
{ /* bmem/bmem.scm 276 */
BgL_z52htmlzd2boxz80_bglt BgL_new1343z00_502;
{ /* bmem/bmem.scm 276 */
obj_t BgL_env1341z00_503;
BgL_env1341z00_503 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 276 */

{ 
long BgL_auxz00_4259;
{ /* bmem/bmem.scm 276 */
long BgL_res2400z00_1468;
{ /* bmem/bmem.scm 276 */
obj_t BgL_classz00_1467;
BgL_classz00_1467 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2400z00_1468 = 
BGL_CLASS_INDEX(BgL_classz00_1467); } 
BgL_auxz00_4259 = BgL_res2400z00_1468; } 
bmem_set_allocation_type( BgL_auxz00_4259, 0 ); } 
{ /* bmem/bmem.scm 276 */
BgL_z52htmlzd2boxz80_bglt BgL_new1340z00_505;
BgL_new1340z00_505 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 276 */
long BgL_arg1875z00_506;
{ /* bmem/bmem.scm 276 */
long BgL_res2401z00_1470;
BgL_res2401z00_1470 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1875z00_506 = BgL_res2401z00_1470; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1340z00_505), BgL_arg1875z00_506); } 
BgL_new1343z00_502 = BgL_new1340z00_505; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1343z00_502)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1343z00_502)))->BgL_classz00)=((obj_t)BGl_string2954z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1343z00_502)))->BgL_titlez00)=((obj_t)BgL_identz00_489),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1343z00_502))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1343z00_502))->BgL_inlineza2za2)=((obj_t)BgL_identz00_489),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1343z00_502))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_hidz00_490 = BgL_new1343z00_502; } 
{ /* bmem/bmem.scm 276 */

if(
BGl_httpzd2requestzf3z21zzbmemz00())
{ /* bmem/bmem.scm 279 */
obj_t BgL_urlz00_492;
{ /* bmem/bmem.scm 279 */
obj_t BgL_list1871z00_498;
{ /* bmem/bmem.scm 279 */
obj_t BgL_arg1872z00_499;
{ /* bmem/bmem.scm 279 */
obj_t BgL_arg1873z00_500;
{ /* bmem/bmem.scm 279 */
obj_t BgL_arg1874z00_501;
BgL_arg1874z00_501 = 
MAKE_YOUNG_PAIR(BgL_identz00_489, BNIL); 
BgL_arg1873z00_500 = 
MAKE_YOUNG_PAIR(BGl_za2fileza2z00zzbmem_paramz00, BgL_arg1874z00_501); } 
BgL_arg1872z00_499 = 
MAKE_YOUNG_PAIR(BGl_za2portza2z00zzbmem_paramz00, BgL_arg1873z00_500); } 
BgL_list1871z00_498 = 
MAKE_YOUNG_PAIR(BGl_za2hostnameza2z00zzbmem_paramz00, BgL_arg1872z00_499); } 
BgL_urlz00_492 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2955z00zzbmemz00, BgL_list1871z00_498); } 
{ /* bmem/bmem.scm 284 */
BgL_z52htmlzd2az80_bglt BgL_new1347z00_493;
{ /* bmem/bmem.scm 284 */
obj_t BgL_env1345z00_494;
BgL_env1345z00_494 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 284 */

{ 
long BgL_auxz00_4284;
{ /* bmem/bmem.scm 284 */
long BgL_res2403z00_1475;
{ /* bmem/bmem.scm 284 */
obj_t BgL_classz00_1474;
BgL_classz00_1474 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2403z00_1475 = 
BGL_CLASS_INDEX(BgL_classz00_1474); } 
BgL_auxz00_4284 = BgL_res2403z00_1475; } 
bmem_set_allocation_type( BgL_auxz00_4284, 0 ); } 
{ /* bmem/bmem.scm 284 */
BgL_z52htmlzd2az80_bglt BgL_new1344z00_496;
BgL_new1344z00_496 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 284 */
long BgL_arg1870z00_497;
{ /* bmem/bmem.scm 284 */
long BgL_res2404z00_1477;
BgL_res2404z00_1477 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2az80zzhtmlz00); 
BgL_arg1870z00_497 = BgL_res2404z00_1477; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1344z00_496), BgL_arg1870z00_497); } 
BgL_new1347z00_493 = BgL_new1344z00_496; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1347z00_493)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1347z00_493)))->BgL_classz00)=((obj_t)BGl_string2953z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1347z00_493)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1347z00_493))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1347z00_493))->BgL_hrefz00)=((obj_t)BgL_urlz00_492),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1347z00_493))->BgL_namez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1347z00_493))->BgL_inlineza2za2)=((obj_t)
((obj_t)BgL_hidz00_490)),BUNSPEC); 
BgL_aux2219z00_1088 = 
((BgL_z52htmlzd2elementz80_bglt)BgL_new1347z00_493); } }  else 
{ /* bmem/bmem.scm 277 */
BgL_aux2219z00_1088 = 
((BgL_z52htmlzd2elementz80_bglt)BgL_hidz00_490); } } } } 
BGL_ENV_POP_TRACE(BgL_env2222z00_1087); 
return 
((obj_t)BgL_aux2219z00_1088);} } } } 

}



/* &type-ref */
obj_t BGl_z62typezd2refzb0zzbmemz00(obj_t BgL_envz00_1938, obj_t BgL_identz00_1939)
{
{ /* bmem/bmem.scm 274 */
return 
BGl_typezd2refzd2zzbmemz00(BgL_identz00_1939);} 

}



/* bmem-all */
BgL_z52htmlzd2documentz80_bglt BGl_bmemzd2allzd2zzbmemz00(obj_t BgL_cssz00_11, obj_t BgL_infoz00_12, obj_t BgL_gcmonz00_13, obj_t BgL_funmonz00_14, obj_t BgL_typesz00_15, obj_t BgL_threadz00_16)
{
{ /* bmem/bmem.scm 290 */
{ /* bmem/bmem.scm 291 */
obj_t BgL_name2224z00_1089;obj_t BgL_loc2225z00_1090;obj_t BgL_env2226z00_1091;
BgL_name2224z00_1089 = 
CNST_TABLE_REF(((long)61)); 
BgL_loc2225z00_1090 = 
CNST_TABLE_REF(((long)62)); 
BgL_env2226z00_1091 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 291 */

BGL_ENV_PUSH_TRACE(BgL_env2226z00_1091, BgL_name2224z00_1089, BgL_loc2225z00_1090); 
{ /* bmem/bmem.scm 291 */
BgL_z52htmlzd2documentz80_bglt BgL_aux2223z00_1092;
{ /* bmem/bmem.scm 291 */
obj_t BgL_functionsz00_507;
BgL_functionsz00_507 = 
BGl_getzd2functionszd2zzbmem_functionz00(); 
{ /* bmem/bmem.scm 291 */
obj_t BgL_gctablez00_508;
if(
PAIRP(BgL_gcmonz00_13))
{ /* bmem/bmem.scm 293 */
obj_t BgL_auxz00_4314;
{ /* bmem/bmem.scm 293 */
bool_t BgL_test3461z00_4315;
if(
PAIRP(BgL_typesz00_15))
{ /* bmem/bmem.scm 293 */
BgL_test3461z00_4315 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 293 */
BgL_test3461z00_4315 = 
NULLP(BgL_typesz00_15)
; } 
if(BgL_test3461z00_4315)
{ /* bmem/bmem.scm 293 */
BgL_auxz00_4314 = BgL_typesz00_15
; }  else 
{ 
obj_t BgL_auxz00_4319;
BgL_auxz00_4319 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)10865)), BGl_string2956z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_typesz00_15); 
FAILURE(BgL_auxz00_4319,BFALSE,BFALSE);} } 
BgL_gctablez00_508 = 
BGl_makezd2gczd2tablesz00zzbmem_gcz00(BgL_gcmonz00_13, BgL_functionsz00_507, BgL_auxz00_4314); }  else 
{ /* bmem/bmem.scm 292 */
BGl_errorzf2czd2locationz20zz__errorz00(
CNST_TABLE_REF(((long)63)), BGl_string2957z00zzbmemz00, BFALSE, 
BSTRING_TO_STRING(BGl_string2876z00zzbmemz00), ((long)10881)); 
BgL_gctablez00_508 = 
BGl_errorzf2locationzf2zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2876z00zzbmemz00, 
BINT(((long)10881))); } 
{ /* bmem/bmem.scm 292 */
obj_t BgL_funtablez00_509;
if(
PAIRP(BgL_funmonz00_14))
{ /* bmem/bmem.scm 297 */
BgL_funtablez00_509 = 
BGl_makezd2functionzd2tablesz00zzbmem_functionz00(BgL_gcmonz00_13, BgL_functionsz00_507, BgL_typesz00_15); }  else 
{ /* bmem/bmem.scm 297 */
BGl_errorzf2czd2locationz20zz__errorz00(
CNST_TABLE_REF(((long)63)), BGl_string2958z00zzbmemz00, BFALSE, 
BSTRING_TO_STRING(BGl_string2876z00zzbmemz00), ((long)11025)); 
BgL_funtablez00_509 = 
BGl_errorzf2locationzf2zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2876z00zzbmemz00, 
BINT(((long)11025))); } 
{ /* bmem/bmem.scm 297 */
obj_t BgL_typetablez00_510;
if(
PAIRP(BgL_typesz00_15))
{ /* bmem/bmem.scm 303 */
obj_t BgL_auxz00_4339;
{ /* bmem/bmem.scm 303 */
bool_t BgL_test3465z00_4340;
if(
PAIRP(BgL_gcmonz00_13))
{ /* bmem/bmem.scm 303 */
BgL_test3465z00_4340 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 303 */
BgL_test3465z00_4340 = 
NULLP(BgL_gcmonz00_13)
; } 
if(BgL_test3465z00_4340)
{ /* bmem/bmem.scm 303 */
BgL_auxz00_4339 = BgL_gcmonz00_13
; }  else 
{ 
obj_t BgL_auxz00_4344;
BgL_auxz00_4344 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11148)), BGl_string2956z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_gcmonz00_13); 
FAILURE(BgL_auxz00_4344,BFALSE,BFALSE);} } 
BgL_typetablez00_510 = 
BGl_makezd2typezd2tablesz00zzbmem_typez00(BgL_auxz00_4339, BgL_functionsz00_507, BgL_typesz00_15); }  else 
{ /* bmem/bmem.scm 302 */
BGl_errorzf2czd2locationz20zz__errorz00(
CNST_TABLE_REF(((long)63)), BGl_string2959z00zzbmemz00, BFALSE, 
BSTRING_TO_STRING(BGl_string2876z00zzbmemz00), ((long)11175)); 
BgL_typetablez00_510 = 
BGl_errorzf2locationzf2zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string2876z00zzbmemz00, 
BINT(((long)11175))); } 
{ /* bmem/bmem.scm 302 */
obj_t BgL_threadtablez00_511;
if(
PAIRP(BgL_threadz00_16))
{ /* bmem/bmem.scm 307 */
BgL_threadtablez00_511 = 
BGl_makezd2threadzd2tablez00zzbmem_threadz00(BgL_threadz00_16); }  else 
{ /* bmem/bmem.scm 307 */
BgL_threadtablez00_511 = BGl_string2960z00zzbmemz00; } 
{ /* bmem/bmem.scm 307 */
obj_t BgL_dcssz00_512;
BgL_dcssz00_512 = 
BGl_dynamiczd2csszd2zzbmemz00(BgL_gcmonz00_13, BgL_functionsz00_507, BgL_typesz00_15); 
{ /* bmem/bmem.scm 310 */
obj_t BgL_marginz00_513;
{ /* bmem/bmem.scm 311 */
BgL_z52htmlzd2headingz80_bglt BgL_arg1960z00_697;BgL_z52htmlzd2headingz80_bglt BgL_arg1961z00_698;BgL_z52htmlzd2boxz80_bglt BgL_arg1962z00_699;BgL_z52htmlzd2headingz80_bglt BgL_arg1963z00_700;obj_t BgL_arg1964z00_701;BgL_z52htmlzd2brz80_bglt BgL_arg1965z00_702;obj_t BgL_arg1966z00_703;BgL_z52htmlzd2brz80_bglt BgL_arg1967z00_704;obj_t BgL_arg1968z00_705;
{ /* bmem/bmem.scm 311 */
BgL_z52htmlzd2headingz80_bglt BgL_new1351z00_715;
{ /* bmem/bmem.scm 311 */
obj_t BgL_env1349z00_716;
BgL_env1349z00_716 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 311 */

{ 
long BgL_auxz00_4359;
{ /* bmem/bmem.scm 311 */
long BgL_res2411z00_1487;
{ /* bmem/bmem.scm 311 */
obj_t BgL_classz00_1486;
BgL_classz00_1486 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2411z00_1487 = 
BGL_CLASS_INDEX(BgL_classz00_1486); } 
BgL_auxz00_4359 = BgL_res2411z00_1487; } 
bmem_set_allocation_type( BgL_auxz00_4359, 0 ); } 
{ /* bmem/bmem.scm 311 */
BgL_z52htmlzd2headingz80_bglt BgL_new1348z00_718;
BgL_new1348z00_718 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 311 */
long BgL_arg1978z00_719;
{ /* bmem/bmem.scm 311 */
long BgL_res2412z00_1489;
BgL_res2412z00_1489 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1978z00_719 = BgL_res2412z00_1489; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1348z00_718), BgL_arg1978z00_719); } 
BgL_new1351z00_715 = BgL_new1348z00_718; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1351z00_715)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1351z00_715)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1351z00_715)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1351z00_715))->BgL_levelz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1351z00_715))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_4375;
{ /* bmem/bmem.scm 311 */
obj_t BgL_tmpz00_4376;
{ /* bmem/bmem.scm 311 */
obj_t BgL_aux2769z00_2161;
BgL_aux2769z00_2161 = BGl_za2bmemzd2versionza2zd2zzbmem_paramz00; 
if(
STRINGP(BgL_aux2769z00_2161))
{ /* bmem/bmem.scm 311 */
BgL_tmpz00_4376 = BgL_aux2769z00_2161
; }  else 
{ 
obj_t BgL_auxz00_4379;
BgL_auxz00_4379 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11375)), BGl_string2956z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2769z00_2161); 
FAILURE(BgL_auxz00_4379,BFALSE,BFALSE);} } 
BgL_auxz00_4375 = 
string_append(BGl_string2961z00zzbmemz00, BgL_tmpz00_4376); } 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1351z00_715))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_4375),BUNSPEC); } 
BgL_arg1960z00_697 = BgL_new1351z00_715; } 
{ /* bmem/bmem.scm 312 */
BgL_z52htmlzd2headingz80_bglt BgL_new1355z00_720;
{ /* bmem/bmem.scm 312 */
obj_t BgL_env1353z00_721;
BgL_env1353z00_721 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 312 */

{ 
long BgL_auxz00_4386;
{ /* bmem/bmem.scm 312 */
long BgL_res2414z00_1494;
{ /* bmem/bmem.scm 312 */
obj_t BgL_classz00_1493;
BgL_classz00_1493 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2414z00_1494 = 
BGL_CLASS_INDEX(BgL_classz00_1493); } 
BgL_auxz00_4386 = BgL_res2414z00_1494; } 
bmem_set_allocation_type( BgL_auxz00_4386, 0 ); } 
{ /* bmem/bmem.scm 312 */
BgL_z52htmlzd2headingz80_bglt BgL_new1352z00_723;
BgL_new1352z00_723 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 312 */
long BgL_arg1979z00_724;
{ /* bmem/bmem.scm 312 */
long BgL_res2415z00_1496;
BgL_res2415z00_1496 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1979z00_724 = BgL_res2415z00_1496; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1352z00_723), BgL_arg1979z00_724); } 
BgL_new1355z00_720 = BgL_new1352z00_723; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1355z00_720)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1355z00_720)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1355z00_720)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1355z00_720))->BgL_levelz00)=((int)
(int)(((long)2))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1355z00_720))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1355z00_720))->BgL_inlineza2za2)=((obj_t)BGl_string2962z00zzbmemz00),BUNSPEC); 
BgL_arg1961z00_698 = BgL_new1355z00_720; } 
{ /* bmem/bmem.scm 313 */
BgL_z52htmlzd2boxz80_bglt BgL_new1359z00_725;
{ /* bmem/bmem.scm 313 */
obj_t BgL_env1357z00_753;
BgL_env1357z00_753 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 313 */

{ 
long BgL_auxz00_4404;
{ /* bmem/bmem.scm 313 */
long BgL_res2417z00_1501;
{ /* bmem/bmem.scm 313 */
obj_t BgL_classz00_1500;
BgL_classz00_1500 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2417z00_1501 = 
BGL_CLASS_INDEX(BgL_classz00_1500); } 
BgL_auxz00_4404 = BgL_res2417z00_1501; } 
bmem_set_allocation_type( BgL_auxz00_4404, 0 ); } 
{ /* bmem/bmem.scm 313 */
BgL_z52htmlzd2boxz80_bglt BgL_new1356z00_755;
BgL_new1356z00_755 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 313 */
long BgL_arg1991z00_756;
{ /* bmem/bmem.scm 313 */
long BgL_res2418z00_1503;
BgL_res2418z00_1503 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2boxz80zzhtmlz00); 
BgL_arg1991z00_756 = BgL_res2418z00_1503; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1356z00_755), BgL_arg1991z00_756); } 
BgL_new1359z00_725 = BgL_new1356z00_755; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1359z00_725)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1359z00_725)))->BgL_classz00)=((obj_t)BGl_string2963z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1359z00_725)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1359z00_725))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
{ 
obj_t BgL_auxz00_4419;
{ /* bmem/bmem.scm 315 */
BgL_z52htmlzd2az80_bglt BgL_arg1980z00_726;BgL_z52htmlzd2az80_bglt BgL_arg1981z00_727;BgL_z52htmlzd2az80_bglt BgL_arg1982z00_728;BgL_z52htmlzd2az80_bglt BgL_arg1983z00_729;
{ /* bmem/bmem.scm 315 */
BgL_z52htmlzd2az80_bglt BgL_new1363z00_733;
{ /* bmem/bmem.scm 315 */
obj_t BgL_env1361z00_734;
{ /* bmem/bmem.scm 315 */
obj_t BgL_res2419z00_1506;
BgL_res2419z00_1506 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1361z00_734 = BgL_res2419z00_1506; } 
{ /* bmem/bmem.scm 315 */

{ 
long BgL_auxz00_4421;
{ /* bmem/bmem.scm 315 */
long BgL_res2420z00_1508;
{ /* bmem/bmem.scm 315 */
obj_t BgL_classz00_1507;
BgL_classz00_1507 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2420z00_1508 = 
BGL_CLASS_INDEX(BgL_classz00_1507); } 
BgL_auxz00_4421 = BgL_res2420z00_1508; } 
bmem_set_allocation_type( BgL_auxz00_4421, 0 ); } 
{ /* bmem/bmem.scm 315 */
BgL_z52htmlzd2az80_bglt BgL_new1360z00_736;
BgL_new1360z00_736 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 315 */
long BgL_arg1987z00_737;
{ /* bmem/bmem.scm 315 */
long BgL_res2421z00_1510;
{ /* bmem/bmem.scm 315 */
obj_t BgL_classz00_1509;
BgL_classz00_1509 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2421z00_1510 = 
BGL_CLASS_INDEX(BgL_classz00_1509); } 
BgL_arg1987z00_737 = BgL_res2421z00_1510; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1360z00_736), BgL_arg1987z00_737); } 
BgL_new1363z00_733 = BgL_new1360z00_736; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1363z00_733)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1363z00_733)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1363z00_733)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1363z00_733))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1363z00_733))->BgL_hrefz00)=((obj_t)BGl_string2964z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1363z00_733))->BgL_namez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1363z00_733))->BgL_inlineza2za2)=((obj_t)BGl_string2965z00zzbmemz00),BUNSPEC); 
BgL_arg1980z00_726 = BgL_new1363z00_733; } 
{ /* bmem/bmem.scm 316 */
BgL_z52htmlzd2az80_bglt BgL_new1367z00_738;
{ /* bmem/bmem.scm 316 */
obj_t BgL_env1365z00_739;
{ /* bmem/bmem.scm 316 */
obj_t BgL_res2422z00_1513;
BgL_res2422z00_1513 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1365z00_739 = BgL_res2422z00_1513; } 
{ /* bmem/bmem.scm 316 */

{ 
long BgL_auxz00_4439;
{ /* bmem/bmem.scm 316 */
long BgL_res2423z00_1515;
{ /* bmem/bmem.scm 316 */
obj_t BgL_classz00_1514;
BgL_classz00_1514 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2423z00_1515 = 
BGL_CLASS_INDEX(BgL_classz00_1514); } 
BgL_auxz00_4439 = BgL_res2423z00_1515; } 
bmem_set_allocation_type( BgL_auxz00_4439, 0 ); } 
{ /* bmem/bmem.scm 316 */
BgL_z52htmlzd2az80_bglt BgL_new1364z00_741;
BgL_new1364z00_741 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 316 */
long BgL_arg1988z00_742;
{ /* bmem/bmem.scm 316 */
long BgL_res2424z00_1517;
{ /* bmem/bmem.scm 316 */
obj_t BgL_classz00_1516;
BgL_classz00_1516 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2424z00_1517 = 
BGL_CLASS_INDEX(BgL_classz00_1516); } 
BgL_arg1988z00_742 = BgL_res2424z00_1517; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1364z00_741), BgL_arg1988z00_742); } 
BgL_new1367z00_738 = BgL_new1364z00_741; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1367z00_738)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1367z00_738)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1367z00_738)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1367z00_738))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1367z00_738))->BgL_hrefz00)=((obj_t)BGl_string2966z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1367z00_738))->BgL_namez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1367z00_738))->BgL_inlineza2za2)=((obj_t)BGl_string2967z00zzbmemz00),BUNSPEC); 
BgL_arg1981z00_727 = BgL_new1367z00_738; } 
{ /* bmem/bmem.scm 317 */
BgL_z52htmlzd2az80_bglt BgL_new1371z00_743;
{ /* bmem/bmem.scm 317 */
obj_t BgL_env1369z00_744;
{ /* bmem/bmem.scm 317 */
obj_t BgL_res2425z00_1520;
BgL_res2425z00_1520 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1369z00_744 = BgL_res2425z00_1520; } 
{ /* bmem/bmem.scm 317 */

{ 
long BgL_auxz00_4457;
{ /* bmem/bmem.scm 317 */
long BgL_res2426z00_1522;
{ /* bmem/bmem.scm 317 */
obj_t BgL_classz00_1521;
BgL_classz00_1521 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2426z00_1522 = 
BGL_CLASS_INDEX(BgL_classz00_1521); } 
BgL_auxz00_4457 = BgL_res2426z00_1522; } 
bmem_set_allocation_type( BgL_auxz00_4457, 0 ); } 
{ /* bmem/bmem.scm 317 */
BgL_z52htmlzd2az80_bglt BgL_new1368z00_746;
BgL_new1368z00_746 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 317 */
long BgL_arg1989z00_747;
{ /* bmem/bmem.scm 317 */
long BgL_res2427z00_1524;
{ /* bmem/bmem.scm 317 */
obj_t BgL_classz00_1523;
BgL_classz00_1523 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2427z00_1524 = 
BGL_CLASS_INDEX(BgL_classz00_1523); } 
BgL_arg1989z00_747 = BgL_res2427z00_1524; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1368z00_746), BgL_arg1989z00_747); } 
BgL_new1371z00_743 = BgL_new1368z00_746; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1371z00_743)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1371z00_743)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1371z00_743)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1371z00_743))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1371z00_743))->BgL_hrefz00)=((obj_t)BGl_string2968z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1371z00_743))->BgL_namez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1371z00_743))->BgL_inlineza2za2)=((obj_t)BGl_string2969z00zzbmemz00),BUNSPEC); 
BgL_arg1982z00_728 = BgL_new1371z00_743; } 
{ /* bmem/bmem.scm 318 */
BgL_z52htmlzd2az80_bglt BgL_new1375z00_748;
{ /* bmem/bmem.scm 318 */
obj_t BgL_env1373z00_749;
{ /* bmem/bmem.scm 318 */
obj_t BgL_res2428z00_1527;
BgL_res2428z00_1527 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1373z00_749 = BgL_res2428z00_1527; } 
{ /* bmem/bmem.scm 318 */

{ 
long BgL_auxz00_4475;
{ /* bmem/bmem.scm 318 */
long BgL_res2429z00_1529;
{ /* bmem/bmem.scm 318 */
obj_t BgL_classz00_1528;
BgL_classz00_1528 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2429z00_1529 = 
BGL_CLASS_INDEX(BgL_classz00_1528); } 
BgL_auxz00_4475 = BgL_res2429z00_1529; } 
bmem_set_allocation_type( BgL_auxz00_4475, 0 ); } 
{ /* bmem/bmem.scm 318 */
BgL_z52htmlzd2az80_bglt BgL_new1372z00_751;
BgL_new1372z00_751 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 318 */
long BgL_arg1990z00_752;
{ /* bmem/bmem.scm 318 */
long BgL_res2430z00_1531;
{ /* bmem/bmem.scm 318 */
obj_t BgL_classz00_1530;
BgL_classz00_1530 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2430z00_1531 = 
BGL_CLASS_INDEX(BgL_classz00_1530); } 
BgL_arg1990z00_752 = BgL_res2430z00_1531; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1372z00_751), BgL_arg1990z00_752); } 
BgL_new1375z00_748 = BgL_new1372z00_751; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1375z00_748)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1375z00_748)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1375z00_748)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1375z00_748))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1375z00_748))->BgL_hrefz00)=((obj_t)BGl_string2970z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1375z00_748))->BgL_namez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1375z00_748))->BgL_inlineza2za2)=((obj_t)BGl_string2971z00zzbmemz00),BUNSPEC); 
BgL_arg1983z00_729 = BgL_new1375z00_748; } 
{ /* bmem/bmem.scm 314 */
obj_t BgL_list1984z00_730;
{ /* bmem/bmem.scm 314 */
obj_t BgL_arg1985z00_731;
{ /* bmem/bmem.scm 314 */
obj_t BgL_arg1986z00_732;
BgL_arg1986z00_732 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1983z00_729), BNIL); 
BgL_arg1985z00_731 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1982z00_728), BgL_arg1986z00_732); } 
BgL_list1984z00_730 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1981z00_727), BgL_arg1985z00_731); } 
BgL_auxz00_4419 = 
BGl_htmlzd2vboxzd2zzhtmlz00(
((obj_t)BgL_arg1980z00_726), BgL_list1984z00_730); } } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1359z00_725))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_4419),BUNSPEC); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1359z00_725))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1962z00_699 = BgL_new1359z00_725; } 
{ /* bmem/bmem.scm 319 */
BgL_z52htmlzd2headingz80_bglt BgL_new1379z00_757;
{ /* bmem/bmem.scm 319 */
obj_t BgL_env1377z00_758;
BgL_env1377z00_758 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 319 */

{ 
long BgL_auxz00_4503;
{ /* bmem/bmem.scm 319 */
long BgL_res2432z00_1536;
{ /* bmem/bmem.scm 319 */
obj_t BgL_classz00_1535;
BgL_classz00_1535 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2432z00_1536 = 
BGL_CLASS_INDEX(BgL_classz00_1535); } 
BgL_auxz00_4503 = BgL_res2432z00_1536; } 
bmem_set_allocation_type( BgL_auxz00_4503, 0 ); } 
{ /* bmem/bmem.scm 319 */
BgL_z52htmlzd2headingz80_bglt BgL_new1376z00_760;
BgL_new1376z00_760 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 319 */
long BgL_arg1992z00_761;
{ /* bmem/bmem.scm 319 */
long BgL_res2433z00_1538;
BgL_res2433z00_1538 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1992z00_761 = BgL_res2433z00_1538; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1376z00_760), BgL_arg1992z00_761); } 
BgL_new1379z00_757 = BgL_new1376z00_760; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1379z00_757)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1379z00_757)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1379z00_757)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1379z00_757))->BgL_levelz00)=((int)
(int)(((long)2))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1379z00_757))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1379z00_757))->BgL_inlineza2za2)=((obj_t)BGl_string2972z00zzbmemz00),BUNSPEC); 
BgL_arg1963z00_700 = BgL_new1379z00_757; } 
{ /* bmem/bmem.scm 322 */
obj_t BgL_arg1993z00_762;
{ /* bmem/bmem.scm 322 */
obj_t BgL_l1565z00_763;
{ /* bmem/bmem.scm 325 */
obj_t BgL_pairz00_1541;
if(
PAIRP(BgL_gcmonz00_13))
{ /* bmem/bmem.scm 325 */
BgL_pairz00_1541 = BgL_gcmonz00_13; }  else 
{ 
obj_t BgL_auxz00_4522;
BgL_auxz00_4522 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11846)), BGl_string2956z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_gcmonz00_13); 
FAILURE(BgL_auxz00_4522,BFALSE,BFALSE);} 
BgL_l1565z00_763 = 
CDR(BgL_pairz00_1541); } 
if(
NULLP(BgL_l1565z00_763))
{ /* bmem/bmem.scm 322 */
BgL_arg1993z00_762 = BNIL; }  else 
{ /* bmem/bmem.scm 322 */
obj_t BgL_head1567z00_765;
{ /* bmem/bmem.scm 322 */
obj_t BgL_res2435z00_1543;
BgL_res2435z00_1543 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1567z00_765 = BgL_res2435z00_1543; } 
{ 
obj_t BgL_l1565z00_767;obj_t BgL_tail1568z00_768;
BgL_l1565z00_767 = BgL_l1565z00_763; 
BgL_tail1568z00_768 = BgL_head1567z00_765; 
BgL_zc3z04anonymousza31995za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3322z04ze3z51_769:
if(
PAIRP(BgL_l1565z00_767))
{ /* bmem/bmem.scm 322 */
obj_t BgL_newtail1569z00_771;
{ /* bmem/bmem.scm 322 */
obj_t BgL_arg1998z00_773;
{ /* bmem/bmem.scm 322 */
obj_t BgL_tz00_774;
BgL_tz00_774 = 
CAR(BgL_l1565z00_767); 
{ /* bmem/bmem.scm 323 */
obj_t BgL_arg1999z00_775;obj_t BgL_arg2000z00_776;
{ /* bmem/bmem.scm 323 */
long BgL_arg2003z00_779;
{ /* bmem/bmem.scm 323 */
long BgL_za72za7_1547;
{ /* bmem/bmem.scm 323 */
obj_t BgL_pairz00_1546;
if(
PAIRP(BgL_tz00_774))
{ /* bmem/bmem.scm 323 */
BgL_pairz00_1546 = BgL_tz00_774; }  else 
{ 
obj_t BgL_auxz00_4535;
BgL_auxz00_4535 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11780)), BGl_string2973z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_tz00_774); 
FAILURE(BgL_auxz00_4535,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 323 */
obj_t BgL_tmpz00_4539;
{ /* bmem/bmem.scm 323 */
obj_t BgL_aux2775z00_2167;
BgL_aux2775z00_2167 = 
CAR(BgL_pairz00_1546); 
if(
INTEGERP(BgL_aux2775z00_2167))
{ /* bmem/bmem.scm 323 */
BgL_tmpz00_4539 = BgL_aux2775z00_2167
; }  else 
{ 
obj_t BgL_auxz00_4543;
BgL_auxz00_4543 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11775)), BGl_string2973z00zzbmemz00, BGl_string2935z00zzbmemz00, BgL_aux2775z00_2167); 
FAILURE(BgL_auxz00_4543,BFALSE,BFALSE);} } 
BgL_za72za7_1547 = 
(long)CINT(BgL_tmpz00_4539); } } 
BgL_arg2003z00_779 = 
(((long)1)+BgL_za72za7_1547); } 
{ /* bmem/bmem.scm 323 */
obj_t BgL_list2004z00_780;
BgL_list2004z00_780 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2003z00_779), BNIL); 
BgL_arg1999z00_775 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2974z00zzbmemz00, BgL_list2004z00_780); } } 
{ /* bmem/bmem.scm 324 */
long BgL_arg2006z00_782;
{ /* bmem/bmem.scm 324 */
long BgL_za72za7_1550;
{ /* bmem/bmem.scm 324 */
obj_t BgL_pairz00_1549;
if(
PAIRP(BgL_tz00_774))
{ /* bmem/bmem.scm 324 */
BgL_pairz00_1549 = BgL_tz00_774; }  else 
{ 
obj_t BgL_auxz00_4554;
BgL_auxz00_4554 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11825)), BGl_string2973z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_tz00_774); 
FAILURE(BgL_auxz00_4554,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 324 */
obj_t BgL_tmpz00_4558;
{ /* bmem/bmem.scm 324 */
obj_t BgL_aux2779z00_2171;
BgL_aux2779z00_2171 = 
CAR(BgL_pairz00_1549); 
if(
INTEGERP(BgL_aux2779z00_2171))
{ /* bmem/bmem.scm 324 */
BgL_tmpz00_4558 = BgL_aux2779z00_2171
; }  else 
{ 
obj_t BgL_auxz00_4562;
BgL_auxz00_4562 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11820)), BGl_string2973z00zzbmemz00, BGl_string2935z00zzbmemz00, BgL_aux2779z00_2171); 
FAILURE(BgL_auxz00_4562,BFALSE,BFALSE);} } 
BgL_za72za7_1550 = 
(long)CINT(BgL_tmpz00_4558); } } 
BgL_arg2006z00_782 = 
(((long)1)+BgL_za72za7_1550); } 
{ /* bmem/bmem.scm 324 */
obj_t BgL_list2007z00_783;
BgL_list2007z00_783 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2006z00_782), BNIL); 
BgL_arg2000z00_776 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2975z00zzbmemz00, BgL_list2007z00_783); } } 
{ /* bmem/bmem.scm 323 */
obj_t BgL_list2001z00_777;
{ /* bmem/bmem.scm 323 */
obj_t BgL_arg2002z00_778;
BgL_arg2002z00_778 = 
MAKE_YOUNG_PAIR(BgL_arg2000z00_776, BNIL); 
BgL_list2001z00_777 = 
MAKE_YOUNG_PAIR(BgL_arg1999z00_775, BgL_arg2002z00_778); } 
BgL_arg1998z00_773 = BgL_list2001z00_777; } } } 
{ /* bmem/bmem.scm 322 */
obj_t BgL_res2440z00_1553;
BgL_res2440z00_1553 = 
MAKE_YOUNG_PAIR(BgL_arg1998z00_773, BNIL); 
BgL_newtail1569z00_771 = BgL_res2440z00_1553; } } 
SET_CDR(BgL_tail1568z00_768, BgL_newtail1569z00_771); 
{ 
obj_t BgL_tail1568z00_4577;obj_t BgL_l1565z00_4575;
BgL_l1565z00_4575 = 
CDR(BgL_l1565z00_767); 
BgL_tail1568z00_4577 = BgL_newtail1569z00_771; 
BgL_tail1568z00_768 = BgL_tail1568z00_4577; 
BgL_l1565z00_767 = BgL_l1565z00_4575; 
goto BgL_zc3z04anonymousza31995za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3322z04ze3z51_769;} }  else 
{ /* bmem/bmem.scm 322 */
if(
NULLP(BgL_l1565z00_767))
{ /* bmem/bmem.scm 322 */
BgL_arg1993z00_762 = 
CDR(BgL_head1567z00_765); }  else 
{ /* bmem/bmem.scm 322 */
BgL_arg1993z00_762 = 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_string2976z00zzbmemz00, BGl_string2938z00zzbmemz00, BgL_l1565z00_767, BGl_string2876z00zzbmemz00, 
BINT(((long)11725))); } } } } } 
{ /* bmem/bmem.scm 320 */
obj_t BgL_auxz00_4583;
{ /* bmem/bmem.scm 325 */
bool_t BgL_test3477z00_4585;
if(
PAIRP(BgL_arg1993z00_762))
{ /* bmem/bmem.scm 325 */
BgL_test3477z00_4585 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 325 */
BgL_test3477z00_4585 = 
NULLP(BgL_arg1993z00_762)
; } 
if(BgL_test3477z00_4585)
{ /* bmem/bmem.scm 325 */
BgL_auxz00_4583 = BgL_arg1993z00_762
; }  else 
{ 
obj_t BgL_auxz00_4589;
BgL_auxz00_4589 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11852)), BGl_string2956z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_arg1993z00_762); 
FAILURE(BgL_auxz00_4589,BFALSE,BFALSE);} } 
BgL_arg1964z00_701 = 
BGl_htmlzd2legendzd2zzbmem_toolsz00(
(int)(((long)1)), BGl_string2977z00zzbmemz00, BgL_auxz00_4583, BGl_string2978z00zzbmemz00, BGl_string2979z00zzbmemz00); } } 
{ /* bmem/bmem.scm 327 */
BgL_z52htmlzd2brz80_bglt BgL_new1383z00_787;
{ /* bmem/bmem.scm 327 */
obj_t BgL_env1381z00_788;
BgL_env1381z00_788 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 327 */

{ 
long BgL_auxz00_4595;
{ /* bmem/bmem.scm 327 */
long BgL_res2443z00_1560;
{ /* bmem/bmem.scm 327 */
obj_t BgL_classz00_1559;
BgL_classz00_1559 = BGl_z52htmlzd2brz80zzhtmlz00; 
BgL_res2443z00_1560 = 
BGL_CLASS_INDEX(BgL_classz00_1559); } 
BgL_auxz00_4595 = BgL_res2443z00_1560; } 
bmem_set_allocation_type( BgL_auxz00_4595, 0 ); } 
{ /* bmem/bmem.scm 327 */
BgL_z52htmlzd2brz80_bglt BgL_new1380z00_790;
BgL_new1380z00_790 = 
((BgL_z52htmlzd2brz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2brz80_bgl) ))); 
{ /* bmem/bmem.scm 327 */
long BgL_arg2010z00_791;
{ /* bmem/bmem.scm 327 */
long BgL_res2444z00_1562;
BgL_res2444z00_1562 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2brz80zzhtmlz00); 
BgL_arg2010z00_791 = BgL_res2444z00_1562; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1380z00_790), BgL_arg2010z00_791); } 
BgL_new1383z00_787 = BgL_new1380z00_790; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1383z00_787)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1383z00_787)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1383z00_787)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1965z00_702 = BgL_new1383z00_787; } 
{ /* bmem/bmem.scm 330 */
obj_t BgL_arg2011z00_792;
{ /* bmem/bmem.scm 330 */
obj_t BgL_l1575z00_793;
{ /* bmem/bmem.scm 334 */
obj_t BgL_arg2025z00_815;
{ /* bmem/bmem.scm 334 */
obj_t BgL_hook1574z00_817;
BgL_hook1574z00_817 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
{ 
obj_t BgL_l1571z00_819;obj_t BgL_h1572z00_820;
BgL_l1571z00_819 = BgL_functionsz00_507; 
BgL_h1572z00_820 = BgL_hook1574z00_817; 
BgL_zc3z04anonymousza32027za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3334z04ze3z51_821:
if(
NULLP(BgL_l1571z00_819))
{ /* bmem/bmem.scm 334 */
BgL_arg2025z00_815 = 
CDR(BgL_hook1574z00_817); }  else 
{ /* bmem/bmem.scm 334 */
bool_t BgL_test3480z00_4612;
{ /* bmem/bmem.scm 335 */
BgL_funinfoz00_bglt BgL_i1385z00_831;
{ /* bmem/bmem.scm 335 */
obj_t BgL_pairz00_1567;
if(
PAIRP(BgL_l1571z00_819))
{ /* bmem/bmem.scm 335 */
BgL_pairz00_1567 = BgL_l1571z00_819; }  else 
{ 
obj_t BgL_auxz00_4615;
BgL_auxz00_4615 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12098)), BGl_string2980z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_l1571z00_819); 
FAILURE(BgL_auxz00_4615,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 335 */
obj_t BgL_aux2785z00_2177;
BgL_aux2785z00_2177 = 
CAR(BgL_pairz00_1567); 
if(
BGl_isazf3zf3zz__objectz00(BgL_aux2785z00_2177, BGl_funinfoz00zzbmem_functionz00))
{ /* bmem/bmem.scm 335 */
BgL_i1385z00_831 = 
((BgL_funinfoz00_bglt)BgL_aux2785z00_2177); }  else 
{ 
obj_t BgL_auxz00_4623;
BgL_auxz00_4623 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12098)), BGl_string2980z00zzbmemz00, BGl_string2981z00zzbmemz00, BgL_aux2785z00_2177); 
FAILURE(BgL_auxz00_4623,BFALSE,BFALSE);} } } 
BgL_test3480z00_4612 = 
(((BgL_funinfoz00_bglt)COBJECT(BgL_i1385z00_831))->BgL_usez00); } 
if(BgL_test3480z00_4612)
{ /* bmem/bmem.scm 334 */
obj_t BgL_nh1573z00_826;
{ /* bmem/bmem.scm 334 */
obj_t BgL_arg2031z00_828;
{ /* bmem/bmem.scm 334 */
obj_t BgL_pairz00_1568;
if(
PAIRP(BgL_l1571z00_819))
{ /* bmem/bmem.scm 334 */
BgL_pairz00_1568 = BgL_l1571z00_819; }  else 
{ 
obj_t BgL_auxz00_4630;
BgL_auxz00_4630 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12066)), BGl_string2980z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_l1571z00_819); 
FAILURE(BgL_auxz00_4630,BFALSE,BFALSE);} 
BgL_arg2031z00_828 = 
CAR(BgL_pairz00_1568); } 
{ /* bmem/bmem.scm 334 */
obj_t BgL_res2446z00_1569;
BgL_res2446z00_1569 = 
MAKE_YOUNG_PAIR(BgL_arg2031z00_828, BNIL); 
BgL_nh1573z00_826 = BgL_res2446z00_1569; } } 
SET_CDR(BgL_h1572z00_820, BgL_nh1573z00_826); 
{ /* bmem/bmem.scm 334 */
obj_t BgL_arg2030z00_827;
{ /* bmem/bmem.scm 334 */
obj_t BgL_pairz00_1571;
if(
PAIRP(BgL_l1571z00_819))
{ /* bmem/bmem.scm 334 */
BgL_pairz00_1571 = BgL_l1571z00_819; }  else 
{ 
obj_t BgL_auxz00_4639;
BgL_auxz00_4639 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12066)), BGl_string2980z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_l1571z00_819); 
FAILURE(BgL_auxz00_4639,BFALSE,BFALSE);} 
BgL_arg2030z00_827 = 
CDR(BgL_pairz00_1571); } 
{ 
obj_t BgL_h1572z00_4645;obj_t BgL_l1571z00_4644;
BgL_l1571z00_4644 = BgL_arg2030z00_827; 
BgL_h1572z00_4645 = BgL_nh1573z00_826; 
BgL_h1572z00_820 = BgL_h1572z00_4645; 
BgL_l1571z00_819 = BgL_l1571z00_4644; 
goto BgL_zc3z04anonymousza32027za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3334z04ze3z51_821;} } }  else 
{ /* bmem/bmem.scm 334 */
obj_t BgL_arg2032z00_829;
{ /* bmem/bmem.scm 334 */
obj_t BgL_pairz00_1572;
if(
PAIRP(BgL_l1571z00_819))
{ /* bmem/bmem.scm 334 */
BgL_pairz00_1572 = BgL_l1571z00_819; }  else 
{ 
obj_t BgL_auxz00_4648;
BgL_auxz00_4648 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12066)), BGl_string2980z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_l1571z00_819); 
FAILURE(BgL_auxz00_4648,BFALSE,BFALSE);} 
BgL_arg2032z00_829 = 
CDR(BgL_pairz00_1572); } 
{ 
obj_t BgL_l1571z00_4653;
BgL_l1571z00_4653 = BgL_arg2032z00_829; 
BgL_l1571z00_819 = BgL_l1571z00_4653; 
goto BgL_zc3z04anonymousza32027za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3334z04ze3z51_821;} } } } } 
BgL_l1575z00_793 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg2025z00_815, BGl_proc2982z00zzbmemz00); } 
if(
NULLP(BgL_l1575z00_793))
{ /* bmem/bmem.scm 330 */
BgL_arg2011z00_792 = BNIL; }  else 
{ /* bmem/bmem.scm 330 */
obj_t BgL_head1577z00_795;
{ /* bmem/bmem.scm 330 */
obj_t BgL_res2451z00_1589;
BgL_res2451z00_1589 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1577z00_795 = BgL_res2451z00_1589; } 
{ 
obj_t BgL_l1575z00_797;obj_t BgL_tail1578z00_798;
BgL_l1575z00_797 = BgL_l1575z00_793; 
BgL_tail1578z00_798 = BgL_head1577z00_795; 
BgL_zc3z04anonymousza32013za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3330z04ze3z51_799:
if(
PAIRP(BgL_l1575z00_797))
{ /* bmem/bmem.scm 330 */
obj_t BgL_newtail1579z00_801;
{ /* bmem/bmem.scm 330 */
obj_t BgL_arg2016z00_803;
{ /* bmem/bmem.scm 330 */
obj_t BgL_fz00_804;
BgL_fz00_804 = 
CAR(BgL_l1575z00_797); 
{ /* bmem/bmem.scm 331 */
BgL_funinfoz00_bglt BgL_i1384z00_805;
if(
BGl_isazf3zf3zz__objectz00(BgL_fz00_804, BGl_funinfoz00zzbmem_functionz00))
{ /* bmem/bmem.scm 332 */
BgL_i1384z00_805 = 
((BgL_funinfoz00_bglt)BgL_fz00_804); }  else 
{ 
obj_t BgL_auxz00_4664;
BgL_auxz00_4664 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)11988)), BGl_string2983z00zzbmemz00, BGl_string2981z00zzbmemz00, BgL_fz00_804); 
FAILURE(BgL_auxz00_4664,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 332 */
obj_t BgL_arg2017z00_806;obj_t BgL_arg2018z00_807;
{ /* bmem/bmem.scm 332 */
int BgL_arg2021z00_810;
BgL_arg2021z00_810 = 
(((BgL_funinfoz00_bglt)COBJECT(BgL_i1384z00_805))->BgL_numz00); 
{ /* bmem/bmem.scm 332 */
obj_t BgL_list2022z00_811;
BgL_list2022z00_811 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2021z00_810), BNIL); 
BgL_arg2017z00_806 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2984z00zzbmemz00, BgL_list2022z00_811); } } 
BgL_arg2018z00_807 = 
BGl_functionzd2refzd2zzbmemz00(
(((BgL_funinfoz00_bglt)COBJECT(BgL_i1384z00_805))->BgL_identz00)); 
{ /* bmem/bmem.scm 332 */
obj_t BgL_list2019z00_808;
{ /* bmem/bmem.scm 332 */
obj_t BgL_arg2020z00_809;
BgL_arg2020z00_809 = 
MAKE_YOUNG_PAIR(BgL_arg2018z00_807, BNIL); 
BgL_list2019z00_808 = 
MAKE_YOUNG_PAIR(BgL_arg2017z00_806, BgL_arg2020z00_809); } 
BgL_arg2016z00_803 = BgL_list2019z00_808; } } } } 
{ /* bmem/bmem.scm 330 */
obj_t BgL_res2454z00_1593;
BgL_res2454z00_1593 = 
MAKE_YOUNG_PAIR(BgL_arg2016z00_803, BNIL); 
BgL_newtail1579z00_801 = BgL_res2454z00_1593; } } 
SET_CDR(BgL_tail1578z00_798, BgL_newtail1579z00_801); 
{ 
obj_t BgL_tail1578z00_4680;obj_t BgL_l1575z00_4678;
BgL_l1575z00_4678 = 
CDR(BgL_l1575z00_797); 
BgL_tail1578z00_4680 = BgL_newtail1579z00_801; 
BgL_tail1578z00_798 = BgL_tail1578z00_4680; 
BgL_l1575z00_797 = BgL_l1575z00_4678; 
goto BgL_zc3z04anonymousza32013za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3330z04ze3z51_799;} }  else 
{ /* bmem/bmem.scm 330 */
if(
NULLP(BgL_l1575z00_797))
{ /* bmem/bmem.scm 330 */
BgL_arg2011z00_792 = 
CDR(BgL_head1577z00_795); }  else 
{ /* bmem/bmem.scm 330 */
BgL_arg2011z00_792 = 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_string2976z00zzbmemz00, BGl_string2938z00zzbmemz00, BgL_l1575z00_797, BGl_string2876z00zzbmemz00, 
BINT(((long)11922))); } } } } } 
{ /* bmem/bmem.scm 328 */
obj_t BgL_auxz00_4686;
{ /* bmem/bmem.scm 343 */
bool_t BgL_test3490z00_4688;
if(
PAIRP(BgL_arg2011z00_792))
{ /* bmem/bmem.scm 343 */
BgL_test3490z00_4688 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 343 */
BgL_test3490z00_4688 = 
NULLP(BgL_arg2011z00_792)
; } 
if(BgL_test3490z00_4688)
{ /* bmem/bmem.scm 343 */
BgL_auxz00_4686 = BgL_arg2011z00_792
; }  else 
{ 
obj_t BgL_auxz00_4692;
BgL_auxz00_4692 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12362)), BGl_string2956z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_arg2011z00_792); 
FAILURE(BgL_auxz00_4692,BFALSE,BFALSE);} } 
BgL_arg1966z00_703 = 
BGl_htmlzd2legendzd2zzbmem_toolsz00(
(int)(((long)1)), BGl_string2977z00zzbmemz00, BgL_auxz00_4686, BGl_string2965z00zzbmemz00, BGl_string2985z00zzbmemz00); } } 
{ /* bmem/bmem.scm 345 */
BgL_z52htmlzd2brz80_bglt BgL_new1391z00_843;
{ /* bmem/bmem.scm 345 */
obj_t BgL_env1389z00_844;
BgL_env1389z00_844 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 345 */

{ 
long BgL_auxz00_4698;
{ /* bmem/bmem.scm 345 */
long BgL_res2457z00_1600;
{ /* bmem/bmem.scm 345 */
obj_t BgL_classz00_1599;
BgL_classz00_1599 = BGl_z52htmlzd2brz80zzhtmlz00; 
BgL_res2457z00_1600 = 
BGL_CLASS_INDEX(BgL_classz00_1599); } 
BgL_auxz00_4698 = BgL_res2457z00_1600; } 
bmem_set_allocation_type( BgL_auxz00_4698, 0 ); } 
{ /* bmem/bmem.scm 345 */
BgL_z52htmlzd2brz80_bglt BgL_new1388z00_846;
BgL_new1388z00_846 = 
((BgL_z52htmlzd2brz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2brz80_bgl) ))); 
{ /* bmem/bmem.scm 345 */
long BgL_arg2038z00_847;
{ /* bmem/bmem.scm 345 */
long BgL_res2458z00_1602;
BgL_res2458z00_1602 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2brz80zzhtmlz00); 
BgL_arg2038z00_847 = BgL_res2458z00_1602; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1388z00_846), BgL_arg2038z00_847); } 
BgL_new1391z00_843 = BgL_new1388z00_846; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1391z00_843)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1391z00_843)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1391z00_843)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1967z00_704 = BgL_new1391z00_843; } 
{ /* bmem/bmem.scm 348 */
obj_t BgL_arg2039z00_848;
{ /* bmem/bmem.scm 348 */
obj_t BgL_l1580z00_849;
{ /* bmem/bmem.scm 351 */
obj_t BgL_arg2053z00_870;
{ /* bmem/bmem.scm 351 */
obj_t BgL_pairz00_1605;
if(
PAIRP(BgL_typesz00_15))
{ /* bmem/bmem.scm 351 */
BgL_pairz00_1605 = BgL_typesz00_15; }  else 
{ 
obj_t BgL_auxz00_4713;
BgL_auxz00_4713 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12551)), BGl_string2956z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_typesz00_15); 
FAILURE(BgL_auxz00_4713,BFALSE,BFALSE);} 
BgL_arg2053z00_870 = 
CDR(BgL_pairz00_1605); } 
BgL_l1580z00_849 = 
BGl_sortz00zz__r4_vectors_6_8z00(BgL_arg2053z00_870, BGl_proc2986z00zzbmemz00); } 
if(
NULLP(BgL_l1580z00_849))
{ /* bmem/bmem.scm 348 */
BgL_arg2039z00_848 = BNIL; }  else 
{ /* bmem/bmem.scm 348 */
obj_t BgL_head1582z00_851;
{ /* bmem/bmem.scm 348 */
obj_t BgL_res2461z00_1620;
BgL_res2461z00_1620 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1582z00_851 = BgL_res2461z00_1620; } 
{ 
obj_t BgL_l1580z00_853;obj_t BgL_tail1583z00_854;
BgL_l1580z00_853 = BgL_l1580z00_849; 
BgL_tail1583z00_854 = BgL_head1582z00_851; 
BgL_zc3z04anonymousza32041za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3348z04ze3z51_855:
if(
PAIRP(BgL_l1580z00_853))
{ /* bmem/bmem.scm 348 */
obj_t BgL_newtail1584z00_857;
{ /* bmem/bmem.scm 348 */
obj_t BgL_arg2044z00_859;
{ /* bmem/bmem.scm 348 */
obj_t BgL_tz00_860;
BgL_tz00_860 = 
CAR(BgL_l1580z00_853); 
{ /* bmem/bmem.scm 349 */
obj_t BgL_arg2045z00_861;obj_t BgL_arg2046z00_862;
{ /* bmem/bmem.scm 349 */
obj_t BgL_arg2049z00_865;
{ /* bmem/bmem.scm 349 */
obj_t BgL_pairz00_1623;
if(
PAIRP(BgL_tz00_860))
{ /* bmem/bmem.scm 349 */
BgL_pairz00_1623 = BgL_tz00_860; }  else 
{ 
obj_t BgL_auxz00_4727;
BgL_auxz00_4727 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12494)), BGl_string2987z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_tz00_860); 
FAILURE(BgL_auxz00_4727,BFALSE,BFALSE);} 
BgL_arg2049z00_865 = 
CAR(BgL_pairz00_1623); } 
{ /* bmem/bmem.scm 349 */
obj_t BgL_list2050z00_866;
BgL_list2050z00_866 = 
MAKE_YOUNG_PAIR(BgL_arg2049z00_865, BNIL); 
BgL_arg2045z00_861 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string2988z00zzbmemz00, BgL_list2050z00_866); } } 
{ /* bmem/bmem.scm 350 */
obj_t BgL_arg2051z00_867;
{ /* bmem/bmem.scm 350 */
obj_t BgL_pairz00_1624;
if(
PAIRP(BgL_tz00_860))
{ /* bmem/bmem.scm 350 */
BgL_pairz00_1624 = BgL_tz00_860; }  else 
{ 
obj_t BgL_auxz00_4736;
BgL_auxz00_4736 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12525)), BGl_string2987z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_tz00_860); 
FAILURE(BgL_auxz00_4736,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 350 */
obj_t BgL_pairz00_1627;
{ /* bmem/bmem.scm 350 */
obj_t BgL_aux2803z00_2199;
BgL_aux2803z00_2199 = 
CDR(BgL_pairz00_1624); 
if(
PAIRP(BgL_aux2803z00_2199))
{ /* bmem/bmem.scm 350 */
BgL_pairz00_1627 = BgL_aux2803z00_2199; }  else 
{ 
obj_t BgL_auxz00_4743;
BgL_auxz00_4743 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12519)), BGl_string2987z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2803z00_2199); 
FAILURE(BgL_auxz00_4743,BFALSE,BFALSE);} } 
BgL_arg2051z00_867 = 
CAR(BgL_pairz00_1627); } } 
BgL_arg2046z00_862 = 
BGl_typezd2refzd2zzbmemz00(BgL_arg2051z00_867); } 
{ /* bmem/bmem.scm 349 */
obj_t BgL_list2047z00_863;
{ /* bmem/bmem.scm 349 */
obj_t BgL_arg2048z00_864;
BgL_arg2048z00_864 = 
MAKE_YOUNG_PAIR(BgL_arg2046z00_862, BNIL); 
BgL_list2047z00_863 = 
MAKE_YOUNG_PAIR(BgL_arg2045z00_861, BgL_arg2048z00_864); } 
BgL_arg2044z00_859 = BgL_list2047z00_863; } } } 
{ /* bmem/bmem.scm 348 */
obj_t BgL_res2464z00_1629;
BgL_res2464z00_1629 = 
MAKE_YOUNG_PAIR(BgL_arg2044z00_859, BNIL); 
BgL_newtail1584z00_857 = BgL_res2464z00_1629; } } 
SET_CDR(BgL_tail1583z00_854, BgL_newtail1584z00_857); 
{ 
obj_t BgL_tail1583z00_4755;obj_t BgL_l1580z00_4753;
BgL_l1580z00_4753 = 
CDR(BgL_l1580z00_853); 
BgL_tail1583z00_4755 = BgL_newtail1584z00_857; 
BgL_tail1583z00_854 = BgL_tail1583z00_4755; 
BgL_l1580z00_853 = BgL_l1580z00_4753; 
goto BgL_zc3z04anonymousza32041za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3348z04ze3z51_855;} }  else 
{ /* bmem/bmem.scm 348 */
if(
NULLP(BgL_l1580z00_853))
{ /* bmem/bmem.scm 348 */
BgL_arg2039z00_848 = 
CDR(BgL_head1582z00_851); }  else 
{ /* bmem/bmem.scm 348 */
BgL_arg2039z00_848 = 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_string2976z00zzbmemz00, BGl_string2938z00zzbmemz00, BgL_l1580z00_853, BGl_string2876z00zzbmemz00, 
BINT(((long)12444))); } } } } } 
{ /* bmem/bmem.scm 346 */
obj_t BgL_auxz00_4761;
{ /* bmem/bmem.scm 353 */
bool_t BgL_test3499z00_4763;
if(
PAIRP(BgL_arg2039z00_848))
{ /* bmem/bmem.scm 353 */
BgL_test3499z00_4763 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 353 */
BgL_test3499z00_4763 = 
NULLP(BgL_arg2039z00_848)
; } 
if(BgL_test3499z00_4763)
{ /* bmem/bmem.scm 353 */
BgL_auxz00_4761 = BgL_arg2039z00_848
; }  else 
{ 
obj_t BgL_auxz00_4767;
BgL_auxz00_4767 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12625)), BGl_string2956z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_arg2039z00_848); 
FAILURE(BgL_auxz00_4767,BFALSE,BFALSE);} } 
BgL_arg1968z00_705 = 
BGl_htmlzd2legendzd2zzbmem_toolsz00(
(int)(((long)1)), BGl_string2977z00zzbmemz00, BgL_auxz00_4761, BGl_string2967z00zzbmemz00, BGl_string2989z00zzbmemz00); } } 
{ /* bmem/bmem.scm 311 */
obj_t BgL_list1969z00_706;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1970z00_707;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1971z00_708;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1972z00_709;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1973z00_710;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1974z00_711;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1975z00_712;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1976z00_713;
{ /* bmem/bmem.scm 311 */
obj_t BgL_arg1977z00_714;
BgL_arg1977z00_714 = 
MAKE_YOUNG_PAIR(BgL_arg1968z00_705, BNIL); 
BgL_arg1976z00_713 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1967z00_704), BgL_arg1977z00_714); } 
BgL_arg1975z00_712 = 
MAKE_YOUNG_PAIR(BgL_arg1966z00_703, BgL_arg1976z00_713); } 
BgL_arg1974z00_711 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1965z00_702), BgL_arg1975z00_712); } 
BgL_arg1973z00_710 = 
MAKE_YOUNG_PAIR(BgL_arg1964z00_701, BgL_arg1974z00_711); } 
BgL_arg1972z00_709 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1963z00_700), BgL_arg1973z00_710); } 
BgL_arg1971z00_708 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1962z00_699), BgL_arg1972z00_709); } 
BgL_arg1970z00_707 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1961z00_698), BgL_arg1971z00_708); } 
BgL_list1969z00_706 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1960z00_697), BgL_arg1970z00_707); } 
BgL_marginz00_513 = BgL_list1969z00_706; } } 
{ /* bmem/bmem.scm 311 */
obj_t BgL_titlez00_514;
if(
PAIRP(BgL_infoz00_12))
{ /* bmem/bmem.scm 356 */
obj_t BgL_cz00_694;
{ /* bmem/bmem.scm 356 */
obj_t BgL_auxz00_4789;
{ /* bmem/bmem.scm 356 */
obj_t BgL_aux2807z00_2203;
BgL_aux2807z00_2203 = 
CDR(BgL_infoz00_12); 
{ /* bmem/bmem.scm 356 */
bool_t BgL_test3502z00_4792;
if(
PAIRP(BgL_aux2807z00_2203))
{ /* bmem/bmem.scm 356 */
BgL_test3502z00_4792 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 356 */
BgL_test3502z00_4792 = 
NULLP(BgL_aux2807z00_2203)
; } 
if(BgL_test3502z00_4792)
{ /* bmem/bmem.scm 356 */
BgL_auxz00_4789 = BgL_aux2807z00_2203
; }  else 
{ 
obj_t BgL_auxz00_4796;
BgL_auxz00_4796 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12711)), BGl_string2956z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_aux2807z00_2203); 
FAILURE(BgL_auxz00_4796,BFALSE,BFALSE);} } } 
BgL_cz00_694 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
CNST_TABLE_REF(((long)64)), BgL_auxz00_4789); } 
if(
PAIRP(BgL_cz00_694))
{ /* bmem/bmem.scm 358 */
obj_t BgL_pairz00_1641;
{ /* bmem/bmem.scm 358 */
obj_t BgL_aux2809z00_2205;
BgL_aux2809z00_2205 = 
CDR(BgL_cz00_694); 
if(
PAIRP(BgL_aux2809z00_2205))
{ /* bmem/bmem.scm 358 */
BgL_pairz00_1641 = BgL_aux2809z00_2205; }  else 
{ 
obj_t BgL_auxz00_4806;
BgL_auxz00_4806 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12749)), BGl_string2956z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2809z00_2205); 
FAILURE(BgL_auxz00_4806,BFALSE,BFALSE);} } 
BgL_titlez00_514 = 
CAR(BgL_pairz00_1641); }  else 
{ /* bmem/bmem.scm 357 */
BgL_titlez00_514 = BGl_string2874z00zzbmemz00; } }  else 
{ /* bmem/bmem.scm 355 */
BgL_titlez00_514 = BGl_string2874z00zzbmemz00; } 
{ /* bmem/bmem.scm 355 */
obj_t BgL_pagez00_515;
{ /* bmem/bmem.scm 361 */
BgL_z52htmlzd2headingz80_bglt BgL_arg1912z00_596;obj_t BgL_arg1913z00_597;BgL_z52htmlzd2brz80_bglt BgL_arg1914z00_598;BgL_z52htmlzd2headingz80_bglt BgL_arg1915z00_599;BgL_z52htmlzd2az80_bglt BgL_arg1916z00_600;BgL_z52htmlzd2brz80_bglt BgL_arg1917z00_601;BgL_z52htmlzd2headingz80_bglt BgL_arg1918z00_602;BgL_z52htmlzd2az80_bglt BgL_arg1919z00_603;BgL_z52htmlzd2brz80_bglt BgL_arg1920z00_604;BgL_z52htmlzd2headingz80_bglt BgL_arg1921z00_605;BgL_z52htmlzd2az80_bglt BgL_arg1922z00_606;BgL_z52htmlzd2brz80_bglt BgL_arg1923z00_607;BgL_z52htmlzd2headingz80_bglt BgL_arg1924z00_608;BgL_z52htmlzd2az80_bglt BgL_arg1925z00_609;
{ /* bmem/bmem.scm 361 */
BgL_z52htmlzd2headingz80_bglt BgL_new1395z00_628;
{ /* bmem/bmem.scm 361 */
obj_t BgL_env1393z00_629;
BgL_env1393z00_629 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 361 */

{ 
long BgL_auxz00_4812;
{ /* bmem/bmem.scm 361 */
long BgL_res2470z00_1644;
{ /* bmem/bmem.scm 361 */
obj_t BgL_classz00_1643;
BgL_classz00_1643 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2470z00_1644 = 
BGL_CLASS_INDEX(BgL_classz00_1643); } 
BgL_auxz00_4812 = BgL_res2470z00_1644; } 
bmem_set_allocation_type( BgL_auxz00_4812, 0 ); } 
{ /* bmem/bmem.scm 361 */
BgL_z52htmlzd2headingz80_bglt BgL_new1392z00_631;
BgL_new1392z00_631 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 361 */
long BgL_arg1944z00_632;
{ /* bmem/bmem.scm 361 */
long BgL_res2471z00_1646;
BgL_res2471z00_1646 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1944z00_632 = BgL_res2471z00_1646; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1392z00_631), BgL_arg1944z00_632); } 
BgL_new1395z00_628 = BgL_new1392z00_631; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1395z00_628)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1395z00_628)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1395z00_628)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1395z00_628))->BgL_levelz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1395z00_628))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1395z00_628))->BgL_inlineza2za2)=((obj_t)
CNST_TABLE_REF(((long)65))),BUNSPEC); 
BgL_arg1912z00_596 = BgL_new1395z00_628; } 
{ /* bmem/bmem.scm 362 */
obj_t BgL_auxz00_4830;
{ /* bmem/bmem.scm 362 */
bool_t BgL_test3506z00_4831;
if(
PAIRP(BgL_gcmonz00_13))
{ /* bmem/bmem.scm 362 */
BgL_test3506z00_4831 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 362 */
BgL_test3506z00_4831 = 
NULLP(BgL_gcmonz00_13)
; } 
if(BgL_test3506z00_4831)
{ /* bmem/bmem.scm 362 */
BgL_auxz00_4830 = BgL_gcmonz00_13
; }  else 
{ 
obj_t BgL_auxz00_4835;
BgL_auxz00_4835 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12857)), BGl_string2956z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_gcmonz00_13); 
FAILURE(BgL_auxz00_4835,BFALSE,BFALSE);} } 
BgL_arg1913z00_597 = 
BGl_makezd2gczd2summaryz00zzbmem_gcz00(BgL_auxz00_4830); } 
{ /* bmem/bmem.scm 363 */
BgL_z52htmlzd2brz80_bglt BgL_new1399z00_633;
{ /* bmem/bmem.scm 363 */
obj_t BgL_env1397z00_634;
BgL_env1397z00_634 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 363 */

{ 
long BgL_auxz00_4841;
{ /* bmem/bmem.scm 363 */
long BgL_res2473z00_1651;
{ /* bmem/bmem.scm 363 */
obj_t BgL_classz00_1650;
BgL_classz00_1650 = BGl_z52htmlzd2brz80zzhtmlz00; 
BgL_res2473z00_1651 = 
BGL_CLASS_INDEX(BgL_classz00_1650); } 
BgL_auxz00_4841 = BgL_res2473z00_1651; } 
bmem_set_allocation_type( BgL_auxz00_4841, 0 ); } 
{ /* bmem/bmem.scm 363 */
BgL_z52htmlzd2brz80_bglt BgL_new1396z00_636;
BgL_new1396z00_636 = 
((BgL_z52htmlzd2brz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2brz80_bgl) ))); 
{ /* bmem/bmem.scm 363 */
long BgL_arg1945z00_637;
{ /* bmem/bmem.scm 363 */
long BgL_res2474z00_1653;
BgL_res2474z00_1653 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2brz80zzhtmlz00); 
BgL_arg1945z00_637 = BgL_res2474z00_1653; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1396z00_636), BgL_arg1945z00_637); } 
BgL_new1399z00_633 = BgL_new1396z00_636; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1399z00_633)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1399z00_633)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1399z00_633)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1914z00_598 = BgL_new1399z00_633; } 
{ /* bmem/bmem.scm 364 */
BgL_z52htmlzd2headingz80_bglt BgL_new1403z00_638;
{ /* bmem/bmem.scm 364 */
obj_t BgL_env1401z00_639;
BgL_env1401z00_639 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 364 */

{ 
long BgL_auxz00_4855;
{ /* bmem/bmem.scm 364 */
long BgL_res2476z00_1658;
{ /* bmem/bmem.scm 364 */
obj_t BgL_classz00_1657;
BgL_classz00_1657 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2476z00_1658 = 
BGL_CLASS_INDEX(BgL_classz00_1657); } 
BgL_auxz00_4855 = BgL_res2476z00_1658; } 
bmem_set_allocation_type( BgL_auxz00_4855, 0 ); } 
{ /* bmem/bmem.scm 364 */
BgL_z52htmlzd2headingz80_bglt BgL_new1400z00_641;
BgL_new1400z00_641 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 364 */
long BgL_arg1946z00_642;
{ /* bmem/bmem.scm 364 */
long BgL_res2477z00_1660;
BgL_res2477z00_1660 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1946z00_642 = BgL_res2477z00_1660; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1400z00_641), BgL_arg1946z00_642); } 
BgL_new1403z00_638 = BgL_new1400z00_641; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1403z00_638)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1403z00_638)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1403z00_638)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1403z00_638))->BgL_levelz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1403z00_638))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1403z00_638))->BgL_inlineza2za2)=((obj_t)
CNST_TABLE_REF(((long)66))),BUNSPEC); 
BgL_arg1915z00_599 = BgL_new1403z00_638; } 
{ /* bmem/bmem.scm 364 */
BgL_z52htmlzd2az80_bglt BgL_new1407z00_643;
{ /* bmem/bmem.scm 364 */
obj_t BgL_env1405z00_644;
BgL_env1405z00_644 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 364 */

{ 
long BgL_auxz00_4874;
{ /* bmem/bmem.scm 364 */
long BgL_res2479z00_1665;
{ /* bmem/bmem.scm 364 */
obj_t BgL_classz00_1664;
BgL_classz00_1664 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2479z00_1665 = 
BGL_CLASS_INDEX(BgL_classz00_1664); } 
BgL_auxz00_4874 = BgL_res2479z00_1665; } 
bmem_set_allocation_type( BgL_auxz00_4874, 0 ); } 
{ /* bmem/bmem.scm 364 */
BgL_z52htmlzd2az80_bglt BgL_new1404z00_646;
BgL_new1404z00_646 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 364 */
long BgL_arg1947z00_647;
{ /* bmem/bmem.scm 364 */
long BgL_res2480z00_1667;
BgL_res2480z00_1667 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2az80zzhtmlz00); 
BgL_arg1947z00_647 = BgL_res2480z00_1667; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1404z00_646), BgL_arg1947z00_647); } 
BgL_new1407z00_643 = BgL_new1404z00_646; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1407z00_643)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1407z00_643)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1407z00_643)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1407z00_643))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1407z00_643))->BgL_hrefz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1407z00_643))->BgL_namez00)=((obj_t)BGl_string2990z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1407z00_643))->BgL_inlineza2za2)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1916z00_600 = BgL_new1407z00_643; } 
{ /* bmem/bmem.scm 365 */
BgL_z52htmlzd2brz80_bglt BgL_new1411z00_648;
{ /* bmem/bmem.scm 365 */
obj_t BgL_env1409z00_649;
BgL_env1409z00_649 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 365 */

{ 
long BgL_auxz00_4892;
{ /* bmem/bmem.scm 365 */
long BgL_res2482z00_1672;
{ /* bmem/bmem.scm 365 */
obj_t BgL_classz00_1671;
BgL_classz00_1671 = BGl_z52htmlzd2brz80zzhtmlz00; 
BgL_res2482z00_1672 = 
BGL_CLASS_INDEX(BgL_classz00_1671); } 
BgL_auxz00_4892 = BgL_res2482z00_1672; } 
bmem_set_allocation_type( BgL_auxz00_4892, 0 ); } 
{ /* bmem/bmem.scm 365 */
BgL_z52htmlzd2brz80_bglt BgL_new1408z00_651;
BgL_new1408z00_651 = 
((BgL_z52htmlzd2brz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2brz80_bgl) ))); 
{ /* bmem/bmem.scm 365 */
long BgL_arg1948z00_652;
{ /* bmem/bmem.scm 365 */
long BgL_res2483z00_1674;
BgL_res2483z00_1674 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2brz80zzhtmlz00); 
BgL_arg1948z00_652 = BgL_res2483z00_1674; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1408z00_651), BgL_arg1948z00_652); } 
BgL_new1411z00_648 = BgL_new1408z00_651; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1411z00_648)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1411z00_648)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1411z00_648)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1917z00_601 = BgL_new1411z00_648; } 
{ /* bmem/bmem.scm 366 */
BgL_z52htmlzd2headingz80_bglt BgL_new1415z00_653;
{ /* bmem/bmem.scm 366 */
obj_t BgL_env1413z00_654;
BgL_env1413z00_654 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 366 */

{ 
long BgL_auxz00_4906;
{ /* bmem/bmem.scm 366 */
long BgL_res2485z00_1679;
{ /* bmem/bmem.scm 366 */
obj_t BgL_classz00_1678;
BgL_classz00_1678 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2485z00_1679 = 
BGL_CLASS_INDEX(BgL_classz00_1678); } 
BgL_auxz00_4906 = BgL_res2485z00_1679; } 
bmem_set_allocation_type( BgL_auxz00_4906, 0 ); } 
{ /* bmem/bmem.scm 366 */
BgL_z52htmlzd2headingz80_bglt BgL_new1412z00_656;
BgL_new1412z00_656 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 366 */
long BgL_arg1949z00_657;
{ /* bmem/bmem.scm 366 */
long BgL_res2486z00_1681;
BgL_res2486z00_1681 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1949z00_657 = BgL_res2486z00_1681; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1412z00_656), BgL_arg1949z00_657); } 
BgL_new1415z00_653 = BgL_new1412z00_656; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1415z00_653)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1415z00_653)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1415z00_653)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1415z00_653))->BgL_levelz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1415z00_653))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1415z00_653))->BgL_inlineza2za2)=((obj_t)
CNST_TABLE_REF(((long)67))),BUNSPEC); 
BgL_arg1918z00_602 = BgL_new1415z00_653; } 
{ /* bmem/bmem.scm 366 */
BgL_z52htmlzd2az80_bglt BgL_new1419z00_658;
{ /* bmem/bmem.scm 366 */
obj_t BgL_env1417z00_659;
BgL_env1417z00_659 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 366 */

{ 
long BgL_auxz00_4925;
{ /* bmem/bmem.scm 366 */
long BgL_res2488z00_1686;
{ /* bmem/bmem.scm 366 */
obj_t BgL_classz00_1685;
BgL_classz00_1685 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2488z00_1686 = 
BGL_CLASS_INDEX(BgL_classz00_1685); } 
BgL_auxz00_4925 = BgL_res2488z00_1686; } 
bmem_set_allocation_type( BgL_auxz00_4925, 0 ); } 
{ /* bmem/bmem.scm 366 */
BgL_z52htmlzd2az80_bglt BgL_new1416z00_661;
BgL_new1416z00_661 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 366 */
long BgL_arg1950z00_662;
{ /* bmem/bmem.scm 366 */
long BgL_res2489z00_1688;
BgL_res2489z00_1688 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2az80zzhtmlz00); 
BgL_arg1950z00_662 = BgL_res2489z00_1688; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1416z00_661), BgL_arg1950z00_662); } 
BgL_new1419z00_658 = BgL_new1416z00_661; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1419z00_658)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1419z00_658)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1419z00_658)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1419z00_658))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1419z00_658))->BgL_hrefz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1419z00_658))->BgL_namez00)=((obj_t)BGl_string2991z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1419z00_658))->BgL_inlineza2za2)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1919z00_603 = BgL_new1419z00_658; } 
{ /* bmem/bmem.scm 367 */
BgL_z52htmlzd2brz80_bglt BgL_new1423z00_663;
{ /* bmem/bmem.scm 367 */
obj_t BgL_env1421z00_664;
BgL_env1421z00_664 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 367 */

{ 
long BgL_auxz00_4943;
{ /* bmem/bmem.scm 367 */
long BgL_res2491z00_1693;
{ /* bmem/bmem.scm 367 */
obj_t BgL_classz00_1692;
BgL_classz00_1692 = BGl_z52htmlzd2brz80zzhtmlz00; 
BgL_res2491z00_1693 = 
BGL_CLASS_INDEX(BgL_classz00_1692); } 
BgL_auxz00_4943 = BgL_res2491z00_1693; } 
bmem_set_allocation_type( BgL_auxz00_4943, 0 ); } 
{ /* bmem/bmem.scm 367 */
BgL_z52htmlzd2brz80_bglt BgL_new1420z00_666;
BgL_new1420z00_666 = 
((BgL_z52htmlzd2brz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2brz80_bgl) ))); 
{ /* bmem/bmem.scm 367 */
long BgL_arg1951z00_667;
{ /* bmem/bmem.scm 367 */
long BgL_res2492z00_1695;
BgL_res2492z00_1695 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2brz80zzhtmlz00); 
BgL_arg1951z00_667 = BgL_res2492z00_1695; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1420z00_666), BgL_arg1951z00_667); } 
BgL_new1423z00_663 = BgL_new1420z00_666; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1423z00_663)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1423z00_663)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1423z00_663)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1920z00_604 = BgL_new1423z00_663; } 
{ /* bmem/bmem.scm 368 */
BgL_z52htmlzd2headingz80_bglt BgL_new1427z00_668;
{ /* bmem/bmem.scm 368 */
obj_t BgL_env1425z00_669;
BgL_env1425z00_669 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 368 */

{ 
long BgL_auxz00_4957;
{ /* bmem/bmem.scm 368 */
long BgL_res2494z00_1700;
{ /* bmem/bmem.scm 368 */
obj_t BgL_classz00_1699;
BgL_classz00_1699 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2494z00_1700 = 
BGL_CLASS_INDEX(BgL_classz00_1699); } 
BgL_auxz00_4957 = BgL_res2494z00_1700; } 
bmem_set_allocation_type( BgL_auxz00_4957, 0 ); } 
{ /* bmem/bmem.scm 368 */
BgL_z52htmlzd2headingz80_bglt BgL_new1424z00_671;
BgL_new1424z00_671 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 368 */
long BgL_arg1952z00_672;
{ /* bmem/bmem.scm 368 */
long BgL_res2495z00_1702;
BgL_res2495z00_1702 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1952z00_672 = BgL_res2495z00_1702; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1424z00_671), BgL_arg1952z00_672); } 
BgL_new1427z00_668 = BgL_new1424z00_671; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1427z00_668)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1427z00_668)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1427z00_668)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1427z00_668))->BgL_levelz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1427z00_668))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1427z00_668))->BgL_inlineza2za2)=((obj_t)
CNST_TABLE_REF(((long)68))),BUNSPEC); 
BgL_arg1921z00_605 = BgL_new1427z00_668; } 
{ /* bmem/bmem.scm 368 */
BgL_z52htmlzd2az80_bglt BgL_new1431z00_673;
{ /* bmem/bmem.scm 368 */
obj_t BgL_env1429z00_674;
BgL_env1429z00_674 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 368 */

{ 
long BgL_auxz00_4976;
{ /* bmem/bmem.scm 368 */
long BgL_res2497z00_1707;
{ /* bmem/bmem.scm 368 */
obj_t BgL_classz00_1706;
BgL_classz00_1706 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2497z00_1707 = 
BGL_CLASS_INDEX(BgL_classz00_1706); } 
BgL_auxz00_4976 = BgL_res2497z00_1707; } 
bmem_set_allocation_type( BgL_auxz00_4976, 0 ); } 
{ /* bmem/bmem.scm 368 */
BgL_z52htmlzd2az80_bglt BgL_new1428z00_676;
BgL_new1428z00_676 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 368 */
long BgL_arg1953z00_677;
{ /* bmem/bmem.scm 368 */
long BgL_res2498z00_1709;
BgL_res2498z00_1709 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2az80zzhtmlz00); 
BgL_arg1953z00_677 = BgL_res2498z00_1709; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1428z00_676), BgL_arg1953z00_677); } 
BgL_new1431z00_673 = BgL_new1428z00_676; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1431z00_673)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1431z00_673)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1431z00_673)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1431z00_673))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1431z00_673))->BgL_hrefz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1431z00_673))->BgL_namez00)=((obj_t)BGl_string2992z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1431z00_673))->BgL_inlineza2za2)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1922z00_606 = BgL_new1431z00_673; } 
{ /* bmem/bmem.scm 369 */
BgL_z52htmlzd2brz80_bglt BgL_new1435z00_678;
{ /* bmem/bmem.scm 369 */
obj_t BgL_env1433z00_679;
BgL_env1433z00_679 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 369 */

{ 
long BgL_auxz00_4994;
{ /* bmem/bmem.scm 369 */
long BgL_res2500z00_1714;
{ /* bmem/bmem.scm 369 */
obj_t BgL_classz00_1713;
BgL_classz00_1713 = BGl_z52htmlzd2brz80zzhtmlz00; 
BgL_res2500z00_1714 = 
BGL_CLASS_INDEX(BgL_classz00_1713); } 
BgL_auxz00_4994 = BgL_res2500z00_1714; } 
bmem_set_allocation_type( BgL_auxz00_4994, 0 ); } 
{ /* bmem/bmem.scm 369 */
BgL_z52htmlzd2brz80_bglt BgL_new1432z00_681;
BgL_new1432z00_681 = 
((BgL_z52htmlzd2brz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2brz80_bgl) ))); 
{ /* bmem/bmem.scm 369 */
long BgL_arg1954z00_682;
{ /* bmem/bmem.scm 369 */
long BgL_res2501z00_1716;
BgL_res2501z00_1716 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2brz80zzhtmlz00); 
BgL_arg1954z00_682 = BgL_res2501z00_1716; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1432z00_681), BgL_arg1954z00_682); } 
BgL_new1435z00_678 = BgL_new1432z00_681; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1435z00_678)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1435z00_678)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1435z00_678)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1923z00_607 = BgL_new1435z00_678; } 
{ /* bmem/bmem.scm 370 */
BgL_z52htmlzd2headingz80_bglt BgL_new1439z00_683;
{ /* bmem/bmem.scm 370 */
obj_t BgL_env1437z00_684;
BgL_env1437z00_684 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 370 */

{ 
long BgL_auxz00_5008;
{ /* bmem/bmem.scm 370 */
long BgL_res2503z00_1721;
{ /* bmem/bmem.scm 370 */
obj_t BgL_classz00_1720;
BgL_classz00_1720 = BGl_z52htmlzd2headingz80zzhtmlz00; 
BgL_res2503z00_1721 = 
BGL_CLASS_INDEX(BgL_classz00_1720); } 
BgL_auxz00_5008 = BgL_res2503z00_1721; } 
bmem_set_allocation_type( BgL_auxz00_5008, 0 ); } 
{ /* bmem/bmem.scm 370 */
BgL_z52htmlzd2headingz80_bglt BgL_new1436z00_686;
BgL_new1436z00_686 = 
((BgL_z52htmlzd2headingz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2headingz80_bgl) ))); 
{ /* bmem/bmem.scm 370 */
long BgL_arg1955z00_687;
{ /* bmem/bmem.scm 370 */
long BgL_res2504z00_1723;
BgL_res2504z00_1723 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2headingz80zzhtmlz00); 
BgL_arg1955z00_687 = BgL_res2504z00_1723; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1436z00_686), BgL_arg1955z00_687); } 
BgL_new1439z00_683 = BgL_new1436z00_686; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1439z00_683)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1439z00_683)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1439z00_683)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1439z00_683))->BgL_levelz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1439z00_683))->BgL_alignmentz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2headingz80_bglt)COBJECT(BgL_new1439z00_683))->BgL_inlineza2za2)=((obj_t)
CNST_TABLE_REF(((long)69))),BUNSPEC); 
BgL_arg1924z00_608 = BgL_new1439z00_683; } 
{ /* bmem/bmem.scm 370 */
BgL_z52htmlzd2az80_bglt BgL_new1443z00_688;
{ /* bmem/bmem.scm 370 */
obj_t BgL_env1441z00_689;
BgL_env1441z00_689 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 370 */

{ 
long BgL_auxz00_5027;
{ /* bmem/bmem.scm 370 */
long BgL_res2506z00_1728;
{ /* bmem/bmem.scm 370 */
obj_t BgL_classz00_1727;
BgL_classz00_1727 = BGl_z52htmlzd2az80zzhtmlz00; 
BgL_res2506z00_1728 = 
BGL_CLASS_INDEX(BgL_classz00_1727); } 
BgL_auxz00_5027 = BgL_res2506z00_1728; } 
bmem_set_allocation_type( BgL_auxz00_5027, 0 ); } 
{ /* bmem/bmem.scm 370 */
BgL_z52htmlzd2az80_bglt BgL_new1440z00_691;
BgL_new1440z00_691 = 
((BgL_z52htmlzd2az80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2az80_bgl) ))); 
{ /* bmem/bmem.scm 370 */
long BgL_arg1956z00_692;
{ /* bmem/bmem.scm 370 */
long BgL_res2507z00_1730;
BgL_res2507z00_1730 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2az80zzhtmlz00); 
BgL_arg1956z00_692 = BgL_res2507z00_1730; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1440z00_691), BgL_arg1956z00_692); } 
BgL_new1443z00_688 = BgL_new1440z00_691; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1443z00_688)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1443z00_688)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1443z00_688)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1443z00_688))->BgL_typez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1443z00_688))->BgL_hrefz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1443z00_688))->BgL_namez00)=((obj_t)BGl_string2993z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2az80_bglt)COBJECT(BgL_new1443z00_688))->BgL_inlineza2za2)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1925z00_609 = BgL_new1443z00_688; } 
{ /* bmem/bmem.scm 361 */
obj_t BgL_list1926z00_610;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1927z00_611;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1928z00_612;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1929z00_613;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1930z00_614;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1931z00_615;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1932z00_616;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1933z00_617;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1934z00_618;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1935z00_619;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1936z00_620;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1937z00_621;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1938z00_622;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1939z00_623;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1940z00_624;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1941z00_625;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1942z00_626;
{ /* bmem/bmem.scm 361 */
obj_t BgL_arg1943z00_627;
BgL_arg1943z00_627 = 
MAKE_YOUNG_PAIR(BgL_gctablez00_508, BNIL); 
BgL_arg1942z00_626 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1925z00_609), BgL_arg1943z00_627); } 
BgL_arg1941z00_625 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1924z00_608), BgL_arg1942z00_626); } 
BgL_arg1940z00_624 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1923z00_607), BgL_arg1941z00_625); } 
BgL_arg1939z00_623 = 
MAKE_YOUNG_PAIR(BgL_threadtablez00_511, BgL_arg1940z00_624); } 
BgL_arg1938z00_622 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1922z00_606), BgL_arg1939z00_623); } 
BgL_arg1937z00_621 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1921z00_605), BgL_arg1938z00_622); } 
BgL_arg1936z00_620 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1920z00_604), BgL_arg1937z00_621); } 
BgL_arg1935z00_619 = 
MAKE_YOUNG_PAIR(BgL_typetablez00_510, BgL_arg1936z00_620); } 
BgL_arg1934z00_618 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1919z00_603), BgL_arg1935z00_619); } 
BgL_arg1933z00_617 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1918z00_602), BgL_arg1934z00_618); } 
BgL_arg1932z00_616 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1917z00_601), BgL_arg1933z00_617); } 
BgL_arg1931z00_615 = 
MAKE_YOUNG_PAIR(BgL_funtablez00_509, BgL_arg1932z00_616); } 
BgL_arg1930z00_614 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1916z00_600), BgL_arg1931z00_615); } 
BgL_arg1929z00_613 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1915z00_599), BgL_arg1930z00_614); } 
BgL_arg1928z00_612 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1914z00_598), BgL_arg1929z00_613); } 
BgL_arg1927z00_611 = 
MAKE_YOUNG_PAIR(BgL_arg1913z00_597, BgL_arg1928z00_612); } 
BgL_list1926z00_610 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1912z00_596), BgL_arg1927z00_611); } 
BgL_pagez00_515 = BgL_list1926z00_610; } } 
{ /* bmem/bmem.scm 361 */

{ /* bmem/bmem.scm 372 */
BgL_z52htmlzd2documentz80_bglt BgL_new1447z00_516;
{ /* bmem/bmem.scm 372 */
obj_t BgL_env1445z00_592;
BgL_env1445z00_592 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 372 */

{ 
long BgL_auxz00_5076;
{ /* bmem/bmem.scm 372 */
long BgL_res2510z00_1736;
{ /* bmem/bmem.scm 372 */
obj_t BgL_classz00_1735;
BgL_classz00_1735 = BGl_z52htmlzd2documentz80zzhtmlz00; 
BgL_res2510z00_1736 = 
BGL_CLASS_INDEX(BgL_classz00_1735); } 
BgL_auxz00_5076 = BgL_res2510z00_1736; } 
bmem_set_allocation_type( BgL_auxz00_5076, 0 ); } 
{ /* bmem/bmem.scm 372 */
BgL_z52htmlzd2documentz80_bglt BgL_new1444z00_594;
BgL_new1444z00_594 = 
((BgL_z52htmlzd2documentz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2documentz80_bgl) ))); 
{ /* bmem/bmem.scm 372 */
long BgL_arg1911z00_595;
{ /* bmem/bmem.scm 372 */
long BgL_res2511z00_1738;
BgL_res2511z00_1738 = 
BGL_CLASS_INDEX(BGl_z52htmlzd2documentz80zzhtmlz00); 
BgL_arg1911z00_595 = BgL_res2511z00_1738; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1444z00_594), BgL_arg1911z00_595); } 
BgL_new1447z00_516 = BgL_new1444z00_594; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1447z00_516)))->BgL_idz00)=((obj_t)BGl_string2994z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1447z00_516)))->BgL_classz00)=((obj_t)BGl_string2995z00zzbmemz00),BUNSPEC); 
{ 
obj_t BgL_auxz00_5087;
{ /* bmem/bmem.scm 372 */
bool_t BgL_test3508z00_5089;
{ /* bmem/bmem.scm 372 */
obj_t BgL_string1z00_1741;
if(
STRINGP(BgL_titlez00_514))
{ /* bmem/bmem.scm 372 */
BgL_string1z00_1741 = BgL_titlez00_514; }  else 
{ 
obj_t BgL_auxz00_5092;
BgL_auxz00_5092 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)13245)), BGl_string2956z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_titlez00_514); 
FAILURE(BgL_auxz00_5092,BFALSE,BFALSE);} 
BgL_test3508z00_5089 = 
bigloo_strcmp(BgL_string1z00_1741, BGl_string2874z00zzbmemz00); } 
if(BgL_test3508z00_5089)
{ /* bmem/bmem.scm 372 */
BgL_auxz00_5087 = BGl_string2874z00zzbmemz00
; }  else 
{ /* bmem/bmem.scm 374 */
obj_t BgL_tmpz00_5097;
if(
STRINGP(BgL_titlez00_514))
{ /* bmem/bmem.scm 374 */
BgL_tmpz00_5097 = BgL_titlez00_514
; }  else 
{ 
obj_t BgL_auxz00_5100;
BgL_auxz00_5100 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)13278)), BGl_string2956z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_titlez00_514); 
FAILURE(BgL_auxz00_5100,BFALSE,BFALSE);} 
BgL_auxz00_5087 = 
string_append(BGl_string2996z00zzbmemz00, BgL_tmpz00_5097); } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1447z00_516)))->BgL_titlez00)=((obj_t)BgL_auxz00_5087),BUNSPEC); } 
((((BgL_z52htmlzd2documentz80_bglt)COBJECT(BgL_new1447z00_516))->BgL_attrza2za2)=((obj_t)BNIL),BUNSPEC); 
{ 
obj_t BgL_auxz00_5107;
{ /* bmem/bmem.scm 372 */
obj_t BgL_arg1877z00_518;
{ /* bmem/bmem.scm 372 */
obj_t BgL_arg1878z00_519;
{ /* bmem/bmem.scm 372 */
obj_t BgL_res2513z00_1745;
{ /* bmem/bmem.scm 372 */
obj_t BgL_classz00_1744;
BgL_classz00_1744 = BGl_z52htmlzd2documentz80zzhtmlz00; 
BgL_res2513z00_1745 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1744); } 
BgL_arg1878z00_519 = BgL_res2513z00_1745; } 
BgL_arg1877z00_518 = 
VECTOR_REF(BgL_arg1878z00_519,((long)4)); } 
{ /* bmem/bmem.scm 372 */
obj_t BgL_auxz00_5110;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1877z00_518))
{ /* bmem/bmem.scm 372 */
BgL_auxz00_5110 = BgL_arg1877z00_518
; }  else 
{ 
obj_t BgL_auxz00_5113;
BgL_auxz00_5113 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)13209)), BGl_string2956z00zzbmemz00, BGl_string2997z00zzbmemz00, BgL_arg1877z00_518); 
FAILURE(BgL_auxz00_5113,BFALSE,BFALSE);} 
BgL_auxz00_5107 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_5110); } } 
((((BgL_z52htmlzd2documentz80_bglt)COBJECT(BgL_new1447z00_516))->BgL_dtdz00)=((obj_t)BgL_auxz00_5107),BUNSPEC); } 
{ 
obj_t BgL_auxz00_5119;
{ /* bmem/bmem.scm 377 */
BgL_z52htmlzd2boxz80_bglt BgL_arg1879z00_520;
{ /* bmem/bmem.scm 377 */
BgL_z52htmlzd2boxz80_bglt BgL_new1451z00_522;
{ /* bmem/bmem.scm 377 */
obj_t BgL_env1449z00_584;
{ /* bmem/bmem.scm 377 */
obj_t BgL_res2514z00_1747;
BgL_res2514z00_1747 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1449z00_584 = BgL_res2514z00_1747; } 
{ /* bmem/bmem.scm 377 */

{ 
long BgL_auxz00_5121;
{ /* bmem/bmem.scm 377 */
long BgL_res2515z00_1749;
{ /* bmem/bmem.scm 377 */
obj_t BgL_classz00_1748;
BgL_classz00_1748 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2515z00_1749 = 
BGL_CLASS_INDEX(BgL_classz00_1748); } 
BgL_auxz00_5121 = BgL_res2515z00_1749; } 
bmem_set_allocation_type( BgL_auxz00_5121, 0 ); } 
{ /* bmem/bmem.scm 377 */
BgL_z52htmlzd2boxz80_bglt BgL_new1448z00_586;
BgL_new1448z00_586 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/bmem.scm 377 */
long BgL_arg1906z00_587;
{ /* bmem/bmem.scm 377 */
long BgL_res2516z00_1751;
{ /* bmem/bmem.scm 377 */
obj_t BgL_classz00_1750;
BgL_classz00_1750 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2516z00_1751 = 
BGL_CLASS_INDEX(BgL_classz00_1750); } 
BgL_arg1906z00_587 = BgL_res2516z00_1751; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1448z00_586), BgL_arg1906z00_587); } 
BgL_new1451z00_522 = BgL_new1448z00_586; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1451z00_522)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1451z00_522)))->BgL_classz00)=((obj_t)BGl_string2874z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1451z00_522)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1451z00_522))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
{ 
obj_t BgL_auxz00_5136;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tablez80_bglt BgL_arg1881z00_523;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tablez80_bglt BgL_new1455z00_525;
{ /* bmem/bmem.scm 378 */
obj_t BgL_env1453z00_580;
{ /* bmem/bmem.scm 378 */
obj_t BgL_res2517z00_1754;
BgL_res2517z00_1754 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1453z00_580 = BgL_res2517z00_1754; } 
{ /* bmem/bmem.scm 378 */

{ 
long BgL_auxz00_5138;
{ /* bmem/bmem.scm 378 */
long BgL_res2518z00_1756;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1755;
BgL_classz00_1755 = BGl_z52htmlzd2tablez80zzhtmlz00; 
BgL_res2518z00_1756 = 
BGL_CLASS_INDEX(BgL_classz00_1755); } 
BgL_auxz00_5138 = BgL_res2518z00_1756; } 
bmem_set_allocation_type( BgL_auxz00_5138, 0 ); } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tablez80_bglt BgL_new1452z00_582;
BgL_new1452z00_582 = 
((BgL_z52htmlzd2tablez80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2tablez80_bgl) ))); 
{ /* bmem/bmem.scm 378 */
long BgL_arg1905z00_583;
{ /* bmem/bmem.scm 378 */
long BgL_res2519z00_1758;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1757;
BgL_classz00_1757 = BGl_z52htmlzd2tablez80zzhtmlz00; 
BgL_res2519z00_1758 = 
BGL_CLASS_INDEX(BgL_classz00_1757); } 
BgL_arg1905z00_583 = BgL_res2519z00_1758; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1452z00_582), BgL_arg1905z00_583); } 
BgL_new1455z00_525 = BgL_new1452z00_582; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1455z00_525)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1455z00_525)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1455z00_525)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_captionz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5152;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2colgroupz80_bglt BgL_arg1883z00_526;BgL_z52htmlzd2colgroupz80_bglt BgL_arg1884z00_527;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2colgroupz80_bglt BgL_new1459z00_530;
{ /* bmem/bmem.scm 378 */
obj_t BgL_env1457z00_531;
{ /* bmem/bmem.scm 378 */
obj_t BgL_res2520z00_1761;
BgL_res2520z00_1761 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1457z00_531 = BgL_res2520z00_1761; } 
{ /* bmem/bmem.scm 378 */

{ 
long BgL_auxz00_5154;
{ /* bmem/bmem.scm 378 */
long BgL_res2521z00_1763;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1762;
BgL_classz00_1762 = BGl_z52htmlzd2colgroupz80zzhtmlz00; 
BgL_res2521z00_1763 = 
BGL_CLASS_INDEX(BgL_classz00_1762); } 
BgL_auxz00_5154 = BgL_res2521z00_1763; } 
bmem_set_allocation_type( BgL_auxz00_5154, 0 ); } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2colgroupz80_bglt BgL_new1456z00_533;
BgL_new1456z00_533 = 
((BgL_z52htmlzd2colgroupz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2colgroupz80_bgl) ))); 
{ /* bmem/bmem.scm 378 */
long BgL_arg1887z00_534;
{ /* bmem/bmem.scm 378 */
long BgL_res2522z00_1765;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1764;
BgL_classz00_1764 = BGl_z52htmlzd2colgroupz80zzhtmlz00; 
BgL_res2522z00_1765 = 
BGL_CLASS_INDEX(BgL_classz00_1764); } 
BgL_arg1887z00_534 = BgL_res2522z00_1765; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1456z00_533), BgL_arg1887z00_534); } 
BgL_new1459z00_530 = BgL_new1456z00_533; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1459z00_530)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1459z00_530)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1459z00_530)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1459z00_530))->BgL_widthz00)=((obj_t)BGl_string2998z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1459z00_530))->BgL_spanz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1459z00_530))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1459z00_530))->BgL_valignz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1459z00_530))->BgL_charz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1459z00_530))->BgL_colza2za2)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1883z00_526 = BgL_new1459z00_530; } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2colgroupz80_bglt BgL_new1463z00_535;
{ /* bmem/bmem.scm 378 */
obj_t BgL_env1461z00_536;
{ /* bmem/bmem.scm 378 */
obj_t BgL_res2523z00_1768;
BgL_res2523z00_1768 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1461z00_536 = BgL_res2523z00_1768; } 
{ /* bmem/bmem.scm 378 */

{ 
long BgL_auxz00_5174;
{ /* bmem/bmem.scm 378 */
long BgL_res2524z00_1770;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1769;
BgL_classz00_1769 = BGl_z52htmlzd2colgroupz80zzhtmlz00; 
BgL_res2524z00_1770 = 
BGL_CLASS_INDEX(BgL_classz00_1769); } 
BgL_auxz00_5174 = BgL_res2524z00_1770; } 
bmem_set_allocation_type( BgL_auxz00_5174, 0 ); } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2colgroupz80_bglt BgL_new1460z00_538;
BgL_new1460z00_538 = 
((BgL_z52htmlzd2colgroupz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2colgroupz80_bgl) ))); 
{ /* bmem/bmem.scm 378 */
long BgL_arg1888z00_539;
{ /* bmem/bmem.scm 378 */
long BgL_res2525z00_1772;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1771;
BgL_classz00_1771 = BGl_z52htmlzd2colgroupz80zzhtmlz00; 
BgL_res2525z00_1772 = 
BGL_CLASS_INDEX(BgL_classz00_1771); } 
BgL_arg1888z00_539 = BgL_res2525z00_1772; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1460z00_538), BgL_arg1888z00_539); } 
BgL_new1463z00_535 = BgL_new1460z00_538; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1463z00_535)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1463z00_535)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1463z00_535)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1463z00_535))->BgL_widthz00)=((obj_t)BGl_string2999z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1463z00_535))->BgL_spanz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1463z00_535))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1463z00_535))->BgL_valignz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1463z00_535))->BgL_charz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2colgroupz80_bglt)COBJECT(BgL_new1463z00_535))->BgL_colza2za2)=((obj_t)BNIL),BUNSPEC); 
BgL_arg1884z00_527 = BgL_new1463z00_535; } 
{ /* bmem/bmem.scm 378 */
obj_t BgL_list1885z00_528;
{ /* bmem/bmem.scm 378 */
obj_t BgL_arg1886z00_529;
BgL_arg1886z00_529 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1884z00_527), BNIL); 
BgL_list1885z00_528 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1883z00_526), BgL_arg1886z00_529); } 
BgL_auxz00_5152 = BgL_list1885z00_528; } } 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_colgroupzf3zf3)=((obj_t)BgL_auxz00_5152),BUNSPEC); } 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_tfootzf3zf3)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_theadzf3zf3)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_widthz00)=((obj_t)BGl_string3000z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_borderz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_framez00)=((obj_t)BGl_string3001z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_rulesz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_cellspacingz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_cellpaddingz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5206;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2trz80_bglt BgL_arg1889z00_540;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2trz80_bglt BgL_new1467z00_542;
{ /* bmem/bmem.scm 378 */
obj_t BgL_env1465z00_576;
{ /* bmem/bmem.scm 378 */
obj_t BgL_res2527z00_1776;
BgL_res2527z00_1776 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1465z00_576 = BgL_res2527z00_1776; } 
{ /* bmem/bmem.scm 378 */

{ 
long BgL_auxz00_5208;
{ /* bmem/bmem.scm 378 */
long BgL_res2528z00_1778;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1777;
BgL_classz00_1777 = BGl_z52htmlzd2trz80zzhtmlz00; 
BgL_res2528z00_1778 = 
BGL_CLASS_INDEX(BgL_classz00_1777); } 
BgL_auxz00_5208 = BgL_res2528z00_1778; } 
bmem_set_allocation_type( BgL_auxz00_5208, 0 ); } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2trz80_bglt BgL_new1464z00_578;
BgL_new1464z00_578 = 
((BgL_z52htmlzd2trz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2trz80_bgl) ))); 
{ /* bmem/bmem.scm 378 */
long BgL_arg1904z00_579;
{ /* bmem/bmem.scm 378 */
long BgL_res2529z00_1780;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1779;
BgL_classz00_1779 = BGl_z52htmlzd2trz80zzhtmlz00; 
BgL_res2529z00_1780 = 
BGL_CLASS_INDEX(BgL_classz00_1779); } 
BgL_arg1904z00_579 = BgL_res2529z00_1780; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1464z00_578), BgL_arg1904z00_579); } 
BgL_new1467z00_542 = BgL_new1464z00_578; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1467z00_542)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1467z00_542)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1467z00_542)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5221;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tcellz80_bglt BgL_arg1891z00_543;BgL_z52htmlzd2tcellz80_bglt BgL_arg1892z00_544;
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tcellz80_bglt BgL_new1471z00_547;
{ /* bmem/bmem.scm 378 */
obj_t BgL_env1469z00_553;
{ /* bmem/bmem.scm 378 */
obj_t BgL_res2530z00_1783;
BgL_res2530z00_1783 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1469z00_553 = BgL_res2530z00_1783; } 
{ /* bmem/bmem.scm 378 */

{ 
long BgL_auxz00_5223;
{ /* bmem/bmem.scm 378 */
long BgL_res2531z00_1785;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1784;
BgL_classz00_1784 = BGl_z52htmlzd2tcellz80zzhtmlz00; 
BgL_res2531z00_1785 = 
BGL_CLASS_INDEX(BgL_classz00_1784); } 
BgL_auxz00_5223 = BgL_res2531z00_1785; } 
bmem_set_allocation_type( BgL_auxz00_5223, 0 ); } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tcellz80_bglt BgL_new1468z00_555;
BgL_new1468z00_555 = 
((BgL_z52htmlzd2tcellz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2tcellz80_bgl) ))); 
{ /* bmem/bmem.scm 378 */
long BgL_arg1896z00_556;
{ /* bmem/bmem.scm 378 */
long BgL_res2532z00_1787;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1786;
BgL_classz00_1786 = BGl_z52htmlzd2tcellz80zzhtmlz00; 
BgL_res2532z00_1787 = 
BGL_CLASS_INDEX(BgL_classz00_1786); } 
BgL_arg1896z00_556 = BgL_res2532z00_1787; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1468z00_555), BgL_arg1896z00_556); } 
BgL_new1471z00_547 = BgL_new1468z00_555; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1471z00_547)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1471z00_547)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1471z00_547)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)70))),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_colspanz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_rowspanz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_alignz00)=((obj_t)BGl_string3002z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_valignz00)=((obj_t)BGl_string3003z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_charz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_widthz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5246;
{ /* bmem/html.sch 105 */
BgL_z52htmlzd2boxz80_bglt BgL_new1475z00_548;
{ /* bmem/html.sch 105 */
obj_t BgL_env1473z00_549;
{ /* bmem/html.sch 105 */
obj_t BgL_res2533z00_1790;
BgL_res2533z00_1790 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1473z00_549 = BgL_res2533z00_1790; } 
{ /* bmem/html.sch 105 */

{ 
long BgL_auxz00_5248;
{ /* bmem/html.sch 105 */
long BgL_res2534z00_1792;
{ /* bmem/html.sch 105 */
obj_t BgL_classz00_1791;
BgL_classz00_1791 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2534z00_1792 = 
BGL_CLASS_INDEX(BgL_classz00_1791); } 
BgL_auxz00_5248 = BgL_res2534z00_1792; } 
bmem_set_allocation_type( BgL_auxz00_5248, 0 ); } 
{ /* bmem/html.sch 105 */
BgL_z52htmlzd2boxz80_bglt BgL_new1472z00_551;
BgL_new1472z00_551 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/html.sch 105 */
long BgL_arg1895z00_552;
{ /* bmem/html.sch 105 */
long BgL_res2535z00_1794;
{ /* bmem/html.sch 105 */
obj_t BgL_classz00_1793;
BgL_classz00_1793 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2535z00_1794 = 
BGL_CLASS_INDEX(BgL_classz00_1793); } 
BgL_arg1895z00_552 = BgL_res2535z00_1794; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1472z00_551), BgL_arg1895z00_552); } 
BgL_new1475z00_548 = BgL_new1472z00_551; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1475z00_548)))->BgL_idz00)=((obj_t)BGl_string3002z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1475z00_548)))->BgL_classz00)=((obj_t)BGl_string3004z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1475z00_548)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1475z00_548))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1475z00_548))->BgL_inlineza2za2)=((obj_t)BgL_marginz00_513),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1475z00_548))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_auxz00_5246 = 
((obj_t)BgL_new1475z00_548); } 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1471z00_547))->BgL_flowza2za2)=((obj_t)BgL_auxz00_5246),BUNSPEC); } 
BgL_arg1891z00_543 = BgL_new1471z00_547; } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tcellz80_bglt BgL_new1479z00_557;
{ /* bmem/bmem.scm 378 */
obj_t BgL_env1477z00_572;
{ /* bmem/bmem.scm 378 */
obj_t BgL_res2536z00_1797;
BgL_res2536z00_1797 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1477z00_572 = BgL_res2536z00_1797; } 
{ /* bmem/bmem.scm 378 */

{ 
long BgL_auxz00_5268;
{ /* bmem/bmem.scm 378 */
long BgL_res2537z00_1799;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1798;
BgL_classz00_1798 = BGl_z52htmlzd2tcellz80zzhtmlz00; 
BgL_res2537z00_1799 = 
BGL_CLASS_INDEX(BgL_classz00_1798); } 
BgL_auxz00_5268 = BgL_res2537z00_1799; } 
bmem_set_allocation_type( BgL_auxz00_5268, 0 ); } 
{ /* bmem/bmem.scm 378 */
BgL_z52htmlzd2tcellz80_bglt BgL_new1476z00_574;
BgL_new1476z00_574 = 
((BgL_z52htmlzd2tcellz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2tcellz80_bgl) ))); 
{ /* bmem/bmem.scm 378 */
long BgL_arg1903z00_575;
{ /* bmem/bmem.scm 378 */
long BgL_res2538z00_1801;
{ /* bmem/bmem.scm 378 */
obj_t BgL_classz00_1800;
BgL_classz00_1800 = BGl_z52htmlzd2tcellz80zzhtmlz00; 
BgL_res2538z00_1801 = 
BGL_CLASS_INDEX(BgL_classz00_1800); } 
BgL_arg1903z00_575 = BgL_res2538z00_1801; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1476z00_574), BgL_arg1903z00_575); } 
BgL_new1479z00_557 = BgL_new1476z00_574; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1479z00_557)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1479z00_557)))->BgL_classz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1479z00_557)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)70))),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_colspanz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_rowspanz00)=((int)
(int)(((long)1))),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_alignz00)=((obj_t)BGl_string3002z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_valignz00)=((obj_t)BGl_string3003z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_charz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_widthz00)=((obj_t)BFALSE),BUNSPEC); 
{ 
obj_t BgL_auxz00_5291;
{ /* bmem/html.sch 133 */
BgL_z52htmlzd2boxz80_bglt BgL_arg1897z00_558;BgL_z52htmlzd2boxz80_bglt BgL_arg1898z00_559;
{ /* bmem/html.sch 133 */
BgL_z52htmlzd2boxz80_bglt BgL_new1483z00_562;
{ /* bmem/html.sch 133 */
obj_t BgL_env1481z00_563;
{ /* bmem/html.sch 133 */
obj_t BgL_res2539z00_1804;
BgL_res2539z00_1804 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1481z00_563 = BgL_res2539z00_1804; } 
{ /* bmem/html.sch 133 */

{ 
long BgL_auxz00_5293;
{ /* bmem/html.sch 133 */
long BgL_res2540z00_1806;
{ /* bmem/html.sch 133 */
obj_t BgL_classz00_1805;
BgL_classz00_1805 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2540z00_1806 = 
BGL_CLASS_INDEX(BgL_classz00_1805); } 
BgL_auxz00_5293 = BgL_res2540z00_1806; } 
bmem_set_allocation_type( BgL_auxz00_5293, 0 ); } 
{ /* bmem/html.sch 133 */
BgL_z52htmlzd2boxz80_bglt BgL_new1480z00_565;
BgL_new1480z00_565 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/html.sch 133 */
long BgL_arg1901z00_566;
{ /* bmem/html.sch 133 */
long BgL_res2541z00_1808;
{ /* bmem/html.sch 133 */
obj_t BgL_classz00_1807;
BgL_classz00_1807 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2541z00_1808 = 
BGL_CLASS_INDEX(BgL_classz00_1807); } 
BgL_arg1901z00_566 = BgL_res2541z00_1808; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1480z00_565), BgL_arg1901z00_566); } 
BgL_new1483z00_562 = BgL_new1480z00_565; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1483z00_562)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1483z00_562)))->BgL_classz00)=((obj_t)BGl_string3005z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1483z00_562)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1483z00_562))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1483z00_562))->BgL_inlineza2za2)=((obj_t)BgL_titlez00_514),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1483z00_562))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1897z00_558 = BgL_new1483z00_562; } 
{ /* bmem/html.sch 133 */
BgL_z52htmlzd2boxz80_bglt BgL_new1487z00_567;
{ /* bmem/html.sch 133 */
obj_t BgL_env1485z00_568;
{ /* bmem/html.sch 133 */
obj_t BgL_res2542z00_1811;
BgL_res2542z00_1811 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_env1485z00_568 = BgL_res2542z00_1811; } 
{ /* bmem/html.sch 133 */

{ 
long BgL_auxz00_5311;
{ /* bmem/html.sch 133 */
long BgL_res2543z00_1813;
{ /* bmem/html.sch 133 */
obj_t BgL_classz00_1812;
BgL_classz00_1812 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2543z00_1813 = 
BGL_CLASS_INDEX(BgL_classz00_1812); } 
BgL_auxz00_5311 = BgL_res2543z00_1813; } 
bmem_set_allocation_type( BgL_auxz00_5311, 0 ); } 
{ /* bmem/html.sch 133 */
BgL_z52htmlzd2boxz80_bglt BgL_new1484z00_570;
BgL_new1484z00_570 = 
((BgL_z52htmlzd2boxz80_bglt)BOBJECT( GC_MALLOC( sizeof(struct BgL_z52htmlzd2boxz80_bgl) ))); 
{ /* bmem/html.sch 133 */
long BgL_arg1902z00_571;
{ /* bmem/html.sch 133 */
long BgL_res2544z00_1815;
{ /* bmem/html.sch 133 */
obj_t BgL_classz00_1814;
BgL_classz00_1814 = BGl_z52htmlzd2boxz80zzhtmlz00; 
BgL_res2544z00_1815 = 
BGL_CLASS_INDEX(BgL_classz00_1814); } 
BgL_arg1902z00_571 = BgL_res2544z00_1815; } 
BGL_OBJECT_CLASS_NUM_SET(
((BgL_objectz00_bglt)BgL_new1484z00_570), BgL_arg1902z00_571); } 
BgL_new1487z00_567 = BgL_new1484z00_570; } } } 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1487z00_567)))->BgL_idz00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1487z00_567)))->BgL_classz00)=((obj_t)BGl_string3006z00zzbmemz00),BUNSPEC); 
((((BgL_z52htmlzd2elementz80_bglt)COBJECT(
((BgL_z52htmlzd2elementz80_bglt)BgL_new1487z00_567)))->BgL_titlez00)=((obj_t)BFALSE),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1487z00_567))->BgL_kindz00)=((obj_t)
CNST_TABLE_REF(((long)17))),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1487z00_567))->BgL_inlineza2za2)=((obj_t)BgL_pagez00_515),BUNSPEC); 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1487z00_567))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1898z00_559 = BgL_new1487z00_567; } 
{ /* bmem/html.sch 133 */
obj_t BgL_list1899z00_560;
{ /* bmem/html.sch 133 */
obj_t BgL_arg1900z00_561;
BgL_arg1900z00_561 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1898z00_559), BNIL); 
BgL_list1899z00_560 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1897z00_558), BgL_arg1900z00_561); } 
BgL_auxz00_5291 = BgL_list1899z00_560; } } 
((((BgL_z52htmlzd2tcellz80_bglt)COBJECT(BgL_new1479z00_557))->BgL_flowza2za2)=((obj_t)BgL_auxz00_5291),BUNSPEC); } 
BgL_arg1892z00_544 = BgL_new1479z00_557; } 
{ /* bmem/bmem.scm 378 */
obj_t BgL_list1893z00_545;
{ /* bmem/bmem.scm 378 */
obj_t BgL_arg1894z00_546;
BgL_arg1894z00_546 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1892z00_544), BNIL); 
BgL_list1893z00_545 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1891z00_543), BgL_arg1894z00_546); } 
BgL_auxz00_5221 = BgL_list1893z00_545; } } 
((((BgL_z52htmlzd2trz80_bglt)COBJECT(BgL_new1467z00_542))->BgL_tcellzb2zb2)=((obj_t)BgL_auxz00_5221),BUNSPEC); } 
BgL_arg1889z00_540 = BgL_new1467z00_542; } 
{ /* bmem/bmem.scm 378 */
obj_t BgL_list1890z00_541;
BgL_list1890z00_541 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1889z00_540), BNIL); 
BgL_auxz00_5206 = BgL_list1890z00_541; } } 
((((BgL_z52htmlzd2tablez80_bglt)COBJECT(BgL_new1455z00_525))->BgL_tbodyzb2zb2)=((obj_t)BgL_auxz00_5206),BUNSPEC); } 
BgL_arg1881z00_523 = BgL_new1455z00_525; } 
{ /* bmem/bmem.scm 378 */
obj_t BgL_list1882z00_524;
BgL_list1882z00_524 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1881z00_523), BNIL); 
BgL_auxz00_5136 = BgL_list1882z00_524; } } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1451z00_522))->BgL_inlineza2za2)=((obj_t)BgL_auxz00_5136),BUNSPEC); } 
((((BgL_z52htmlzd2boxz80_bglt)COBJECT(BgL_new1451z00_522))->BgL_alignz00)=((obj_t)BFALSE),BUNSPEC); 
BgL_arg1879z00_520 = BgL_new1451z00_522; } 
{ /* bmem/bmem.scm 377 */
obj_t BgL_list1880z00_521;
BgL_list1880z00_521 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg1879z00_520), BNIL); 
BgL_auxz00_5119 = BgL_list1880z00_521; } } 
((((BgL_z52htmlzd2documentz80_bglt)COBJECT(BgL_new1447z00_516))->BgL_bodyz00)=((obj_t)BgL_auxz00_5119),BUNSPEC); } 
{ 
obj_t BgL_auxz00_5348;
{ /* bmem/bmem.scm 372 */
obj_t BgL_arg1907z00_588;
{ /* bmem/bmem.scm 372 */
obj_t BgL_arg1908z00_589;
{ /* bmem/bmem.scm 372 */
obj_t BgL_res2550z00_1824;
{ /* bmem/bmem.scm 372 */
obj_t BgL_classz00_1823;
BgL_classz00_1823 = BGl_z52htmlzd2documentz80zzhtmlz00; 
BgL_res2550z00_1824 = 
BGL_CLASS_ALL_FIELDS(BgL_classz00_1823); } 
BgL_arg1908z00_589 = BgL_res2550z00_1824; } 
BgL_arg1907z00_588 = 
VECTOR_REF(BgL_arg1908z00_589,((long)6)); } 
{ /* bmem/bmem.scm 372 */
obj_t BgL_auxz00_5351;
if(
BGl_classzd2fieldzf3z21zz__objectz00(BgL_arg1907z00_588))
{ /* bmem/bmem.scm 372 */
BgL_auxz00_5351 = BgL_arg1907z00_588
; }  else 
{ 
obj_t BgL_auxz00_5354;
BgL_auxz00_5354 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)13209)), BGl_string2956z00zzbmemz00, BGl_string2997z00zzbmemz00, BgL_arg1907z00_588); 
FAILURE(BgL_auxz00_5354,BFALSE,BFALSE);} 
BgL_auxz00_5348 = 
BGl_classzd2fieldzd2defaultzd2valuezd2zz__objectz00(BgL_auxz00_5351); } } 
((((BgL_z52htmlzd2documentz80_bglt)COBJECT(BgL_new1447z00_516))->BgL_cssz00)=((obj_t)BgL_auxz00_5348),BUNSPEC); } 
{ 
obj_t BgL_auxz00_5360;
{ /* bmem/bmem.scm 375 */
obj_t BgL_list1909z00_590;
{ /* bmem/bmem.scm 375 */
obj_t BgL_arg1910z00_591;
BgL_arg1910z00_591 = 
MAKE_YOUNG_PAIR(BgL_dcssz00_512, BNIL); 
BgL_list1909z00_590 = 
MAKE_YOUNG_PAIR(BgL_cssz00_11, BgL_arg1910z00_591); } 
BgL_auxz00_5360 = BgL_list1909z00_590; } 
((((BgL_z52htmlzd2documentz80_bglt)COBJECT(BgL_new1447z00_516))->BgL_stylez00)=((obj_t)BgL_auxz00_5360),BUNSPEC); } 
BgL_aux2223z00_1092 = BgL_new1447z00_516; } } } } } } } } } } } 
BGL_ENV_POP_TRACE(BgL_env2226z00_1091); 
return BgL_aux2223z00_1092;} } } } 

}



/* &<@anonymous:2055:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:351@> */
obj_t BGl_z62zc3z04anonymousza32055za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3351z04ze3z33zzbmemz00(obj_t BgL_envz00_1942, obj_t BgL_t1z00_1943, obj_t BgL_t2z00_1944)
{
{ /* bmem/bmem.scm 352 */
{ /* bmem/bmem.scm 353 */
bool_t BgL_tmpz00_5365;
{ /* bmem/bmem.scm 353 */
obj_t BgL_string1z00_2523;obj_t BgL_string2z00_2524;
{ /* bmem/bmem.scm 353 */
obj_t BgL_pairz00_2525;
if(
PAIRP(BgL_t1z00_1943))
{ /* bmem/bmem.scm 353 */
BgL_pairz00_2525 = BgL_t1z00_1943; }  else 
{ 
obj_t BgL_auxz00_5368;
BgL_auxz00_5368 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12609)), BGl_string3007z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_t1z00_1943); 
FAILURE(BgL_auxz00_5368,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 353 */
obj_t BgL_pairz00_2526;
{ /* bmem/bmem.scm 353 */
obj_t BgL_aux2823z00_2527;
BgL_aux2823z00_2527 = 
CDR(BgL_pairz00_2525); 
if(
PAIRP(BgL_aux2823z00_2527))
{ /* bmem/bmem.scm 353 */
BgL_pairz00_2526 = BgL_aux2823z00_2527; }  else 
{ 
obj_t BgL_auxz00_5375;
BgL_auxz00_5375 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12603)), BGl_string3007z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2823z00_2527); 
FAILURE(BgL_auxz00_5375,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 353 */
obj_t BgL_aux2825z00_2528;
BgL_aux2825z00_2528 = 
CAR(BgL_pairz00_2526); 
if(
STRINGP(BgL_aux2825z00_2528))
{ /* bmem/bmem.scm 353 */
BgL_string1z00_2523 = BgL_aux2825z00_2528; }  else 
{ 
obj_t BgL_auxz00_5382;
BgL_auxz00_5382 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12603)), BGl_string3007z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2825z00_2528); 
FAILURE(BgL_auxz00_5382,BFALSE,BFALSE);} } } } 
{ /* bmem/bmem.scm 353 */
obj_t BgL_pairz00_2529;
if(
PAIRP(BgL_t2z00_1944))
{ /* bmem/bmem.scm 353 */
BgL_pairz00_2529 = BgL_t2z00_1944; }  else 
{ 
obj_t BgL_auxz00_5388;
BgL_auxz00_5388 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12619)), BGl_string3007z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_t2z00_1944); 
FAILURE(BgL_auxz00_5388,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 353 */
obj_t BgL_pairz00_2530;
{ /* bmem/bmem.scm 353 */
obj_t BgL_aux2829z00_2531;
BgL_aux2829z00_2531 = 
CDR(BgL_pairz00_2529); 
if(
PAIRP(BgL_aux2829z00_2531))
{ /* bmem/bmem.scm 353 */
BgL_pairz00_2530 = BgL_aux2829z00_2531; }  else 
{ 
obj_t BgL_auxz00_5395;
BgL_auxz00_5395 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12613)), BGl_string3007z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2829z00_2531); 
FAILURE(BgL_auxz00_5395,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 353 */
obj_t BgL_aux2831z00_2532;
BgL_aux2831z00_2532 = 
CAR(BgL_pairz00_2530); 
if(
STRINGP(BgL_aux2831z00_2532))
{ /* bmem/bmem.scm 353 */
BgL_string2z00_2524 = BgL_aux2831z00_2532; }  else 
{ 
obj_t BgL_auxz00_5402;
BgL_auxz00_5402 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12613)), BGl_string3007z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2831z00_2532); 
FAILURE(BgL_auxz00_5402,BFALSE,BFALSE);} } } } 
BgL_tmpz00_5365 = 
bigloo_string_lt(BgL_string1z00_2523, BgL_string2z00_2524); } 
return 
BBOOL(BgL_tmpz00_5365);} } 

}



/* &<@anonymous:2033:/builddir/build/BUILD/bigloo-4,3h/bde/bmem/bmem/bmem,scm:334@> */
obj_t BGl_z62zc3z04anonymousza32033za3zf2builddirzf2buildzf2BUILDzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3334z04ze3z33zzbmemz00(obj_t BgL_envz00_1945, obj_t BgL_f1z00_1946, obj_t BgL_f2z00_1947)
{
{ /* bmem/bmem.scm 338 */
{ /* bmem/bmem.scm 339 */
bool_t BgL_tmpz00_5408;
{ /* bmem/bmem.scm 339 */
BgL_funinfoz00_bglt BgL_i1386z00_2533;
if(
BGl_isazf3zf3zz__objectz00(BgL_f1z00_1946, BGl_funinfoz00zzbmem_functionz00))
{ /* bmem/bmem.scm 340 */
BgL_i1386z00_2533 = 
((BgL_funinfoz00_bglt)BgL_f1z00_1946); }  else 
{ 
obj_t BgL_auxz00_5412;
BgL_auxz00_5412 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12245)), BGl_string3008z00zzbmemz00, BGl_string2981z00zzbmemz00, BgL_f1z00_1946); 
FAILURE(BgL_auxz00_5412,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 340 */
BgL_funinfoz00_bglt BgL_i1387z00_2534;
if(
BGl_isazf3zf3zz__objectz00(BgL_f1z00_1946, BGl_funinfoz00zzbmem_functionz00))
{ /* bmem/bmem.scm 341 */
BgL_i1387z00_2534 = 
((BgL_funinfoz00_bglt)BgL_f1z00_1946); }  else 
{ 
obj_t BgL_auxz00_5419;
BgL_auxz00_5419 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)12294)), BGl_string3008z00zzbmemz00, BGl_string2981z00zzbmemz00, BgL_f1z00_1946); 
FAILURE(BgL_auxz00_5419,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 342 */
obj_t BgL_arg2034z00_2535;obj_t BgL_arg2035z00_2536;
{ /* bmem/bmem.scm 342 */
obj_t BgL_arg2036z00_2537;
BgL_arg2036z00_2537 = 
(((BgL_funinfoz00_bglt)COBJECT(BgL_i1386z00_2533))->BgL_identz00); 
{ /* bmem/bmem.scm 342 */
obj_t BgL_res2447z00_2538;
{ /* bmem/bmem.scm 342 */
obj_t BgL_arg1424z00_2539;
BgL_arg1424z00_2539 = 
SYMBOL_TO_STRING(BgL_arg2036z00_2537); 
BgL_res2447z00_2538 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1424z00_2539); } 
BgL_arg2034z00_2535 = BgL_res2447z00_2538; } } 
{ /* bmem/bmem.scm 343 */
obj_t BgL_arg2037z00_2540;
BgL_arg2037z00_2540 = 
(((BgL_funinfoz00_bglt)COBJECT(BgL_i1387z00_2534))->BgL_identz00); 
{ /* bmem/bmem.scm 343 */
obj_t BgL_res2448z00_2541;
{ /* bmem/bmem.scm 343 */
obj_t BgL_arg1424z00_2542;
BgL_arg1424z00_2542 = 
SYMBOL_TO_STRING(BgL_arg2037z00_2540); 
BgL_res2448z00_2541 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg1424z00_2542); } 
BgL_arg2035z00_2536 = BgL_res2448z00_2541; } } 
BgL_tmpz00_5408 = 
bigloo_string_lt(BgL_arg2034z00_2535, BgL_arg2035z00_2536); } } } 
return 
BBOOL(BgL_tmpz00_5408);} } 

}



/* dynamic-css */
BGL_EXPORTED_DEF obj_t BGl_dynamiczd2csszd2zzbmemz00(obj_t BgL_gcmonz00_17, obj_t BgL_functionz00_18, obj_t BgL_typesz00_19)
{
{ /* bmem/bmem.scm 388 */
{ /* bmem/bmem.scm 390 */
obj_t BgL_name2228z00_1093;obj_t BgL_loc2229z00_1094;obj_t BgL_env2230z00_1095;
BgL_name2228z00_1093 = 
CNST_TABLE_REF(((long)71)); 
BgL_loc2229z00_1094 = 
CNST_TABLE_REF(((long)72)); 
BgL_env2230z00_1095 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 390 */

BGL_ENV_PUSH_TRACE(BgL_env2230z00_1095, BgL_name2228z00_1093, BgL_loc2229z00_1094); 
{ /* bmem/bmem.scm 390 */
BgL_z52cssz52_bglt BgL_aux2227z00_1096;
{ 
obj_t BgL_typesz00_949;obj_t BgL_funz00_917;obj_t BgL_gcmonz00_894;
{ /* bmem/bmem.scm 420 */
obj_t BgL_arg2062z00_885;
{ /* bmem/bmem.scm 420 */
obj_t BgL_arg2063z00_886;obj_t BgL_arg2064z00_887;obj_t BgL_arg2065z00_888;
{ /* bmem/bmem.scm 420 */
obj_t BgL_arg2069z00_892;
{ /* bmem/bmem.scm 420 */
obj_t BgL_pairz00_1858;
if(
PAIRP(BgL_gcmonz00_17))
{ /* bmem/bmem.scm 420 */
BgL_pairz00_1858 = BgL_gcmonz00_17; }  else 
{ 
obj_t BgL_auxz00_5437;
BgL_auxz00_5437 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14924)), BGl_string3021z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_gcmonz00_17); 
FAILURE(BgL_auxz00_5437,BFALSE,BFALSE);} 
BgL_arg2069z00_892 = 
CDR(BgL_pairz00_1858); } 
BgL_gcmonz00_894 = BgL_arg2069z00_892; 
{ /* bmem/bmem.scm 390 */
long BgL_g1488z00_896;
{ /* bmem/bmem.scm 390 */
obj_t BgL_auxz00_5442;
{ /* bmem/bmem.scm 390 */
bool_t BgL_test3522z00_5443;
if(
PAIRP(BgL_gcmonz00_894))
{ /* bmem/bmem.scm 390 */
BgL_test3522z00_5443 = ((bool_t)1)
; }  else 
{ /* bmem/bmem.scm 390 */
BgL_test3522z00_5443 = 
NULLP(BgL_gcmonz00_894)
; } 
if(BgL_test3522z00_5443)
{ /* bmem/bmem.scm 390 */
BgL_auxz00_5442 = BgL_gcmonz00_894
; }  else 
{ 
obj_t BgL_auxz00_5447;
BgL_auxz00_5447 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)13865)), BGl_string3009z00zzbmemz00, BGl_string2934z00zzbmemz00, BgL_gcmonz00_894); 
FAILURE(BgL_auxz00_5447,BFALSE,BFALSE);} } 
BgL_g1488z00_896 = 
bgl_list_length(BgL_auxz00_5442); } 
{ 
long BgL_iz00_899;obj_t BgL_resz00_900;
BgL_iz00_899 = BgL_g1488z00_896; 
BgL_resz00_900 = BNIL; 
BgL_zc3z04anonymousza32072za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3390z04ze3z51_901:
if(
(BgL_iz00_899>=((long)-1)))
{ /* bmem/bmem.scm 393 */
obj_t BgL_selectorz00_903;
{ /* bmem/bmem.scm 393 */
obj_t BgL_list2081z00_915;
BgL_list2081z00_915 = 
MAKE_YOUNG_PAIR(
BINT(BgL_iz00_899), BNIL); 
BgL_selectorz00_903 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3010z00zzbmemz00, BgL_list2081z00_915); } 
{ /* bmem/bmem.scm 393 */
obj_t BgL_colorz00_904;
switch( BgL_iz00_899) { case ((long)-1) : 

BgL_colorz00_904 = BGl_string3011z00zzbmemz00; break;case ((long)0) : 

BgL_colorz00_904 = BGl_string3012z00zzbmemz00; break;
default: 
BgL_colorz00_904 = 
BGl_csszd2colorzd2zzbmem_toolsz00(
(int)(BgL_iz00_899), 
(int)(((long)117)), 
(int)(((long)128)), 
(int)(((long)162))); } 
{ /* bmem/bmem.scm 394 */
obj_t BgL_entryz00_905;
{ /* bmem/bmem.scm 398 */
obj_t BgL_arg2076z00_908;
{ /* bmem/bmem.scm 398 */
obj_t BgL_arg2077z00_909;
{ /* bmem/bmem.scm 398 */
obj_t BgL_arg2078z00_910;
{ /* bmem/bmem.scm 398 */
obj_t BgL_arg2079z00_911;
BgL_arg2079z00_911 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)73)), BNIL); 
BgL_arg2078z00_910 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)74)), BgL_arg2079z00_911); } 
BgL_arg2077z00_909 = 
MAKE_YOUNG_PAIR(BgL_colorz00_904, BgL_arg2078z00_910); } 
BgL_arg2076z00_908 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)75)), BgL_arg2077z00_909); } 
BgL_entryz00_905 = 
MAKE_YOUNG_PAIR(BgL_selectorz00_903, BgL_arg2076z00_908); } 
{ /* bmem/bmem.scm 398 */

{ /* bmem/bmem.scm 399 */
long BgL_arg2074z00_906;obj_t BgL_arg2075z00_907;
BgL_arg2074z00_906 = 
(BgL_iz00_899-((long)1)); 
BgL_arg2075z00_907 = 
MAKE_YOUNG_PAIR(BgL_entryz00_905, BgL_resz00_900); 
{ 
obj_t BgL_resz00_5474;long BgL_iz00_5473;
BgL_iz00_5473 = BgL_arg2074z00_906; 
BgL_resz00_5474 = BgL_arg2075z00_907; 
BgL_resz00_900 = BgL_resz00_5474; 
BgL_iz00_899 = BgL_iz00_5473; 
goto BgL_zc3z04anonymousza32072za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3390z04ze3z51_901;} } } } } }  else 
{ /* bmem/bmem.scm 392 */
BgL_arg2063z00_886 = 
bgl_reverse_bang(BgL_resz00_900); } } } } 
BgL_funz00_917 = BgL_functionz00_18; 
{ /* bmem/bmem.scm 402 */
obj_t BgL_arg2083z00_919;obj_t BgL_arg2084z00_920;
{ /* bmem/bmem.scm 402 */
obj_t BgL_arg2085z00_921;
{ /* bmem/bmem.scm 402 */
obj_t BgL_arg2086z00_922;
{ /* bmem/bmem.scm 402 */
obj_t BgL_arg2087z00_923;
{ /* bmem/bmem.scm 402 */
obj_t BgL_arg2088z00_924;
BgL_arg2088z00_924 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)73)), BNIL); 
BgL_arg2087z00_923 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)74)), BgL_arg2088z00_924); } 
BgL_arg2086z00_922 = 
MAKE_YOUNG_PAIR(BGl_string3011z00zzbmemz00, BgL_arg2087z00_923); } 
BgL_arg2085z00_921 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)75)), BgL_arg2086z00_922); } 
BgL_arg2083z00_919 = 
MAKE_YOUNG_PAIR(BGl_string3013z00zzbmemz00, BgL_arg2085z00_921); } 
if(
NULLP(BgL_funz00_917))
{ /* bmem/bmem.scm 403 */
BgL_arg2084z00_920 = BNIL; }  else 
{ /* bmem/bmem.scm 403 */
obj_t BgL_head1587z00_927;
{ /* bmem/bmem.scm 403 */
obj_t BgL_res2556z00_1833;
BgL_res2556z00_1833 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1587z00_927 = BgL_res2556z00_1833; } 
{ 
obj_t BgL_l1585z00_929;obj_t BgL_tail1588z00_930;
BgL_l1585z00_929 = BgL_funz00_917; 
BgL_tail1588z00_930 = BgL_head1587z00_927; 
BgL_zc3z04anonymousza32090za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3403z04ze3z51_931:
if(
PAIRP(BgL_l1585z00_929))
{ /* bmem/bmem.scm 403 */
obj_t BgL_newtail1589z00_933;
{ /* bmem/bmem.scm 403 */
obj_t BgL_arg2093z00_935;
{ /* bmem/bmem.scm 403 */
obj_t BgL_fz00_936;
BgL_fz00_936 = 
CAR(BgL_l1585z00_929); 
{ /* bmem/bmem.scm 404 */
BgL_funinfoz00_bglt BgL_i1492z00_937;
if(
BGl_isazf3zf3zz__objectz00(BgL_fz00_936, BGl_funinfoz00zzbmem_functionz00))
{ /* bmem/bmem.scm 405 */
BgL_i1492z00_937 = 
((BgL_funinfoz00_bglt)BgL_fz00_936); }  else 
{ 
obj_t BgL_auxz00_5493;
BgL_auxz00_5493 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14356)), BGl_string3014z00zzbmemz00, BGl_string2981z00zzbmemz00, BgL_fz00_936); 
FAILURE(BgL_auxz00_5493,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 405 */
obj_t BgL_selectorz00_938;
{ /* bmem/bmem.scm 405 */
int BgL_arg2099z00_945;
BgL_arg2099z00_945 = 
(((BgL_funinfoz00_bglt)COBJECT(BgL_i1492z00_937))->BgL_numz00); 
{ /* bmem/bmem.scm 405 */
obj_t BgL_list2100z00_946;
BgL_list2100z00_946 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg2099z00_945), BNIL); 
BgL_selectorz00_938 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3015z00zzbmemz00, BgL_list2100z00_946); } } 
{ /* bmem/bmem.scm 405 */
obj_t BgL_colorz00_939;
BgL_colorz00_939 = 
BGl_csszd2colorzd2zzbmem_toolsz00(
(((BgL_funinfoz00_bglt)COBJECT(BgL_i1492z00_937))->BgL_numz00), 
(int)(((long)143)), 
(int)(((long)255)), 
(int)(((long)128))); 
{ /* bmem/bmem.scm 406 */

{ /* bmem/bmem.scm 407 */
obj_t BgL_arg2094z00_940;
{ /* bmem/bmem.scm 407 */
obj_t BgL_arg2095z00_941;
{ /* bmem/bmem.scm 407 */
obj_t BgL_arg2096z00_942;
{ /* bmem/bmem.scm 407 */
obj_t BgL_arg2097z00_943;
BgL_arg2097z00_943 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)73)), BNIL); 
BgL_arg2096z00_942 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)74)), BgL_arg2097z00_943); } 
BgL_arg2095z00_941 = 
MAKE_YOUNG_PAIR(BgL_colorz00_939, BgL_arg2096z00_942); } 
BgL_arg2094z00_940 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)75)), BgL_arg2095z00_941); } 
BgL_arg2093z00_935 = 
MAKE_YOUNG_PAIR(BgL_selectorz00_938, BgL_arg2094z00_940); } } } } } } 
{ /* bmem/bmem.scm 403 */
obj_t BgL_res2558z00_1836;
BgL_res2558z00_1836 = 
MAKE_YOUNG_PAIR(BgL_arg2093z00_935, BNIL); 
BgL_newtail1589z00_933 = BgL_res2558z00_1836; } } 
SET_CDR(BgL_tail1588z00_930, BgL_newtail1589z00_933); 
{ 
obj_t BgL_tail1588z00_5518;obj_t BgL_l1585z00_5516;
BgL_l1585z00_5516 = 
CDR(BgL_l1585z00_929); 
BgL_tail1588z00_5518 = BgL_newtail1589z00_933; 
BgL_tail1588z00_930 = BgL_tail1588z00_5518; 
BgL_l1585z00_929 = BgL_l1585z00_5516; 
goto BgL_zc3z04anonymousza32090za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3403z04ze3z51_931;} }  else 
{ /* bmem/bmem.scm 403 */
if(
NULLP(BgL_l1585z00_929))
{ /* bmem/bmem.scm 403 */
BgL_arg2084z00_920 = 
CDR(BgL_head1587z00_927); }  else 
{ /* bmem/bmem.scm 403 */
BgL_arg2084z00_920 = 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_string2976z00zzbmemz00, BGl_string2938z00zzbmemz00, BgL_l1585z00_929, BGl_string2876z00zzbmemz00, 
BINT(((long)14300))); } } } } 
BgL_arg2064z00_887 = 
MAKE_YOUNG_PAIR(BgL_arg2083z00_919, BgL_arg2084z00_920); } 
{ /* bmem/bmem.scm 422 */
obj_t BgL_arg2070z00_893;
{ /* bmem/bmem.scm 422 */
obj_t BgL_pairz00_1859;
if(
PAIRP(BgL_typesz00_19))
{ /* bmem/bmem.scm 422 */
BgL_pairz00_1859 = BgL_typesz00_19; }  else 
{ 
obj_t BgL_auxz00_5527;
BgL_auxz00_5527 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14981)), BGl_string3021z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_typesz00_19); 
FAILURE(BgL_auxz00_5527,BFALSE,BFALSE);} 
BgL_arg2070z00_893 = 
CDR(BgL_pairz00_1859); } 
BgL_typesz00_949 = BgL_arg2070z00_893; 
{ /* bmem/bmem.scm 410 */
obj_t BgL_arg2103z00_951;obj_t BgL_arg2104z00_952;
{ /* bmem/bmem.scm 410 */
obj_t BgL_arg2105z00_953;
{ /* bmem/bmem.scm 410 */
obj_t BgL_arg2106z00_954;
{ /* bmem/bmem.scm 410 */
obj_t BgL_arg2107z00_955;
{ /* bmem/bmem.scm 410 */
obj_t BgL_arg2108z00_956;
BgL_arg2108z00_956 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)73)), BNIL); 
BgL_arg2107z00_955 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)74)), BgL_arg2108z00_956); } 
BgL_arg2106z00_954 = 
MAKE_YOUNG_PAIR(BGl_string3011z00zzbmemz00, BgL_arg2107z00_955); } 
BgL_arg2105z00_953 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)75)), BgL_arg2106z00_954); } 
BgL_arg2103z00_951 = 
MAKE_YOUNG_PAIR(BGl_string3016z00zzbmemz00, BgL_arg2105z00_953); } 
if(
NULLP(BgL_typesz00_949))
{ /* bmem/bmem.scm 411 */
BgL_arg2104z00_952 = BNIL; }  else 
{ /* bmem/bmem.scm 411 */
obj_t BgL_head1592z00_959;
{ /* bmem/bmem.scm 411 */
obj_t BgL_res2561z00_1842;
BgL_res2561z00_1842 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1592z00_959 = BgL_res2561z00_1842; } 
{ 
obj_t BgL_l1590z00_961;obj_t BgL_tail1593z00_962;
BgL_l1590z00_961 = BgL_typesz00_949; 
BgL_tail1593z00_962 = BgL_head1592z00_959; 
BgL_zc3z04anonymousza32110za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3411z04ze3z51_963:
if(
PAIRP(BgL_l1590z00_961))
{ /* bmem/bmem.scm 411 */
obj_t BgL_newtail1594z00_965;
{ /* bmem/bmem.scm 411 */
obj_t BgL_arg2113z00_967;
{ /* bmem/bmem.scm 411 */
obj_t BgL_tz00_968;
BgL_tz00_968 = 
CAR(BgL_l1590z00_961); 
{ /* bmem/bmem.scm 412 */
obj_t BgL_iz00_969;
{ /* bmem/bmem.scm 412 */
obj_t BgL_pairz00_1845;
if(
PAIRP(BgL_tz00_968))
{ /* bmem/bmem.scm 412 */
BgL_pairz00_1845 = BgL_tz00_968; }  else 
{ 
obj_t BgL_auxz00_5548;
BgL_auxz00_5548 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14663)), BGl_string3017z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_tz00_968); 
FAILURE(BgL_auxz00_5548,BFALSE,BFALSE);} 
BgL_iz00_969 = 
CAR(BgL_pairz00_1845); } 
{ /* bmem/bmem.scm 412 */
obj_t BgL_selectorz00_970;
{ /* bmem/bmem.scm 413 */
obj_t BgL_list2121z00_979;
BgL_list2121z00_979 = 
MAKE_YOUNG_PAIR(BgL_iz00_969, BNIL); 
BgL_selectorz00_970 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string3018z00zzbmemz00, BgL_list2121z00_979); } 
{ /* bmem/bmem.scm 413 */
obj_t BgL_colorz00_971;
{ /* bmem/bmem.scm 414 */
bool_t BgL_test3533z00_5555;
{ /* bmem/bmem.scm 414 */
obj_t BgL_string1z00_1850;
{ /* bmem/bmem.scm 414 */
obj_t BgL_pairz00_1846;
if(
PAIRP(BgL_tz00_968))
{ /* bmem/bmem.scm 414 */
BgL_pairz00_1846 = BgL_tz00_968; }  else 
{ 
obj_t BgL_auxz00_5558;
BgL_auxz00_5558 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14746)), BGl_string3017z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_tz00_968); 
FAILURE(BgL_auxz00_5558,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 414 */
obj_t BgL_pairz00_1849;
{ /* bmem/bmem.scm 414 */
obj_t BgL_aux2845z00_2247;
BgL_aux2845z00_2247 = 
CDR(BgL_pairz00_1846); 
if(
PAIRP(BgL_aux2845z00_2247))
{ /* bmem/bmem.scm 414 */
BgL_pairz00_1849 = BgL_aux2845z00_2247; }  else 
{ 
obj_t BgL_auxz00_5565;
BgL_auxz00_5565 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14740)), BGl_string3017z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2845z00_2247); 
FAILURE(BgL_auxz00_5565,BFALSE,BFALSE);} } 
{ /* bmem/bmem.scm 414 */
obj_t BgL_aux2847z00_2249;
BgL_aux2847z00_2249 = 
CAR(BgL_pairz00_1849); 
if(
STRINGP(BgL_aux2847z00_2249))
{ /* bmem/bmem.scm 414 */
BgL_string1z00_1850 = BgL_aux2847z00_2249; }  else 
{ 
obj_t BgL_auxz00_5572;
BgL_auxz00_5572 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14740)), BGl_string3017z00zzbmemz00, BGl_string2900z00zzbmemz00, BgL_aux2847z00_2249); 
FAILURE(BgL_auxz00_5572,BFALSE,BFALSE);} } } } 
BgL_test3533z00_5555 = 
bigloo_strcmp(BgL_string1z00_1850, BGl_string3019z00zzbmemz00); } 
if(BgL_test3533z00_5555)
{ /* bmem/bmem.scm 414 */
BgL_colorz00_971 = BGl_string3020z00zzbmemz00; }  else 
{ /* bmem/bmem.scm 416 */
int BgL_auxz00_5577;
{ /* bmem/bmem.scm 416 */
obj_t BgL_tmpz00_5578;
if(
INTEGERP(BgL_iz00_969))
{ /* bmem/bmem.scm 416 */
BgL_tmpz00_5578 = BgL_iz00_969
; }  else 
{ 
obj_t BgL_auxz00_5581;
BgL_auxz00_5581 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14802)), BGl_string3017z00zzbmemz00, BGl_string2935z00zzbmemz00, BgL_iz00_969); 
FAILURE(BgL_auxz00_5581,BFALSE,BFALSE);} 
BgL_auxz00_5577 = 
CINT(BgL_tmpz00_5578); } 
BgL_colorz00_971 = 
BGl_csszd2colorzd2zzbmem_toolsz00(BgL_auxz00_5577, 
(int)(((long)200)), 
(int)(((long)40)), 
(int)(((long)80))); } } 
{ /* bmem/bmem.scm 414 */

{ /* bmem/bmem.scm 417 */
obj_t BgL_arg2114z00_972;
{ /* bmem/bmem.scm 417 */
obj_t BgL_arg2115z00_973;
{ /* bmem/bmem.scm 417 */
obj_t BgL_arg2116z00_974;
{ /* bmem/bmem.scm 417 */
obj_t BgL_arg2117z00_975;
BgL_arg2117z00_975 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)73)), BNIL); 
BgL_arg2116z00_974 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)74)), BgL_arg2117z00_975); } 
BgL_arg2115z00_973 = 
MAKE_YOUNG_PAIR(BgL_colorz00_971, BgL_arg2116z00_974); } 
BgL_arg2114z00_972 = 
MAKE_YOUNG_PAIR(
CNST_TABLE_REF(((long)75)), BgL_arg2115z00_973); } 
BgL_arg2113z00_967 = 
MAKE_YOUNG_PAIR(BgL_selectorz00_970, BgL_arg2114z00_972); } } } } } } 
{ /* bmem/bmem.scm 411 */
obj_t BgL_res2564z00_1853;
BgL_res2564z00_1853 = 
MAKE_YOUNG_PAIR(BgL_arg2113z00_967, BNIL); 
BgL_newtail1594z00_965 = BgL_res2564z00_1853; } } 
SET_CDR(BgL_tail1593z00_962, BgL_newtail1594z00_965); 
{ 
obj_t BgL_tail1593z00_5602;obj_t BgL_l1590z00_5600;
BgL_l1590z00_5600 = 
CDR(BgL_l1590z00_961); 
BgL_tail1593z00_5602 = BgL_newtail1594z00_965; 
BgL_tail1593z00_962 = BgL_tail1593z00_5602; 
BgL_l1590z00_961 = BgL_l1590z00_5600; 
goto BgL_zc3z04anonymousza32110za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3411z04ze3z51_963;} }  else 
{ /* bmem/bmem.scm 411 */
if(
NULLP(BgL_l1590z00_961))
{ /* bmem/bmem.scm 411 */
BgL_arg2104z00_952 = 
CDR(BgL_head1592z00_959); }  else 
{ /* bmem/bmem.scm 411 */
BgL_arg2104z00_952 = 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_string2976z00zzbmemz00, BGl_string2938z00zzbmemz00, BgL_l1590z00_961, BGl_string2876z00zzbmemz00, 
BINT(((long)14628))); } } } } 
BgL_arg2065z00_888 = 
MAKE_YOUNG_PAIR(BgL_arg2103z00_951, BgL_arg2104z00_952); } } 
{ /* bmem/bmem.scm 420 */
obj_t BgL_list2066z00_889;
{ /* bmem/bmem.scm 420 */
obj_t BgL_arg2067z00_890;
{ /* bmem/bmem.scm 420 */
obj_t BgL_arg2068z00_891;
BgL_arg2068z00_891 = 
MAKE_YOUNG_PAIR(BgL_arg2065z00_888, BNIL); 
BgL_arg2067z00_890 = 
MAKE_YOUNG_PAIR(BgL_arg2064z00_887, BgL_arg2068z00_891); } 
BgL_list2066z00_889 = 
MAKE_YOUNG_PAIR(BgL_arg2063z00_886, BgL_arg2067z00_890); } 
BgL_arg2062z00_885 = 
BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list2066z00_889); } } 
{ /* bmem/bmem.scm 419 */
obj_t BgL_auxz00_5613;
if(
PAIRP(BgL_arg2062z00_885))
{ /* bmem/bmem.scm 422 */
BgL_auxz00_5613 = BgL_arg2062z00_885
; }  else 
{ 
obj_t BgL_auxz00_5616;
BgL_auxz00_5616 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)14988)), BGl_string3021z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_arg2062z00_885); 
FAILURE(BgL_auxz00_5616,BFALSE,BFALSE);} 
BgL_aux2227z00_1096 = 
BGl_listzd2ze3cssz31zzhtmlz00(BgL_auxz00_5613); } } } 
BGL_ENV_POP_TRACE(BgL_env2230z00_1095); 
return 
((obj_t)BgL_aux2227z00_1096);} } } } 

}



/* &dynamic-css */
obj_t BGl_z62dynamiczd2csszb0zzbmemz00(obj_t BgL_envz00_1948, obj_t BgL_gcmonz00_1949, obj_t BgL_functionz00_1950, obj_t BgL_typesz00_1951)
{
{ /* bmem/bmem.scm 388 */
return 
BGl_dynamiczd2csszd2zzbmemz00(BgL_gcmonz00_1949, BgL_functionz00_1950, BgL_typesz00_1951);} 

}



/* find-monitor */
obj_t BGl_findzd2monitorzd2zzbmemz00(obj_t BgL_monz00_20, obj_t BgL_keyz00_21)
{
{ /* bmem/bmem.scm 427 */
{ /* bmem/bmem.scm 430 */
obj_t BgL_name2232z00_1097;obj_t BgL_loc2233z00_1098;obj_t BgL_env2234z00_1099;
BgL_name2232z00_1097 = 
CNST_TABLE_REF(((long)76)); 
BgL_loc2233z00_1098 = 
CNST_TABLE_REF(((long)77)); 
BgL_env2234z00_1099 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 430 */

BGL_ENV_PUSH_TRACE(BgL_env2234z00_1099, BgL_name2232z00_1097, BgL_loc2233z00_1098); 
{ /* bmem/bmem.scm 430 */
obj_t BgL_aux2231z00_1100;
{ 
obj_t BgL_monz00_986;
BgL_monz00_986 = BgL_monz00_20; 
BgL_zc3z04anonymousza32123za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3428z04ze3z51_987:
if(
NULLP(BgL_monz00_986))
{ /* bmem/bmem.scm 430 */
BgL_aux2231z00_1100 = BFALSE; }  else 
{ /* bmem/bmem.scm 432 */
bool_t BgL_test3541z00_5630;
{ /* bmem/bmem.scm 432 */
bool_t BgL_test3542z00_5631;
{ /* bmem/bmem.scm 432 */
obj_t BgL_tmpz00_5632;
{ /* bmem/bmem.scm 432 */
obj_t BgL_pairz00_1862;
if(
PAIRP(BgL_monz00_986))
{ /* bmem/bmem.scm 432 */
BgL_pairz00_1862 = BgL_monz00_986; }  else 
{ 
obj_t BgL_auxz00_5635;
BgL_auxz00_5635 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)15325)), BGl_string3022z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_monz00_986); 
FAILURE(BgL_auxz00_5635,BFALSE,BFALSE);} 
BgL_tmpz00_5632 = 
CAR(BgL_pairz00_1862); } 
BgL_test3542z00_5631 = 
PAIRP(BgL_tmpz00_5632); } 
if(BgL_test3542z00_5631)
{ /* bmem/bmem.scm 432 */
obj_t BgL_tmpz00_5641;
{ /* bmem/bmem.scm 432 */
obj_t BgL_pairz00_1865;
{ /* bmem/bmem.scm 432 */
obj_t BgL_pairz00_1864;
if(
PAIRP(BgL_monz00_986))
{ /* bmem/bmem.scm 432 */
BgL_pairz00_1864 = BgL_monz00_986; }  else 
{ 
obj_t BgL_auxz00_5644;
BgL_auxz00_5644 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)15346)), BGl_string3022z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_monz00_986); 
FAILURE(BgL_auxz00_5644,BFALSE,BFALSE);} 
{ /* bmem/bmem.scm 432 */
obj_t BgL_aux2861z00_2263;
BgL_aux2861z00_2263 = 
CAR(BgL_pairz00_1864); 
if(
PAIRP(BgL_aux2861z00_2263))
{ /* bmem/bmem.scm 432 */
BgL_pairz00_1865 = BgL_aux2861z00_2263; }  else 
{ 
obj_t BgL_auxz00_5651;
BgL_auxz00_5651 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)15341)), BGl_string3022z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_aux2861z00_2263); 
FAILURE(BgL_auxz00_5651,BFALSE,BFALSE);} } } 
BgL_tmpz00_5641 = 
CAR(BgL_pairz00_1865); } 
BgL_test3541z00_5630 = 
(BgL_tmpz00_5641==BgL_keyz00_21); }  else 
{ /* bmem/bmem.scm 432 */
BgL_test3541z00_5630 = ((bool_t)0)
; } } 
if(BgL_test3541z00_5630)
{ /* bmem/bmem.scm 433 */
obj_t BgL_pairz00_1866;
if(
PAIRP(BgL_monz00_986))
{ /* bmem/bmem.scm 433 */
BgL_pairz00_1866 = BgL_monz00_986; }  else 
{ 
obj_t BgL_auxz00_5659;
BgL_auxz00_5659 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)15366)), BGl_string3022z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_monz00_986); 
FAILURE(BgL_auxz00_5659,BFALSE,BFALSE);} 
BgL_aux2231z00_1100 = 
CAR(BgL_pairz00_1866); }  else 
{ 
obj_t BgL_monz00_5664;
{ /* bmem/bmem.scm 435 */
obj_t BgL_pairz00_1867;
if(
PAIRP(BgL_monz00_986))
{ /* bmem/bmem.scm 435 */
BgL_pairz00_1867 = BgL_monz00_986; }  else 
{ 
obj_t BgL_auxz00_5667;
BgL_auxz00_5667 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string2876z00zzbmemz00, 
BINT(((long)15394)), BGl_string3022z00zzbmemz00, BGl_string2896z00zzbmemz00, BgL_monz00_986); 
FAILURE(BgL_auxz00_5667,BFALSE,BFALSE);} 
BgL_monz00_5664 = 
CDR(BgL_pairz00_1867); } 
BgL_monz00_986 = BgL_monz00_5664; 
goto BgL_zc3z04anonymousza32123za3zf2builddirzf2buildzf2buildzf2bigloozd24zc23hzf2bdezf2bmemzf2bmemzf2bmemzc2scmza3428z04ze3z51_987;} } } 
BGL_ENV_POP_TRACE(BgL_env2234z00_1099); 
return BgL_aux2231z00_1100;} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2236z00_1101;obj_t BgL_loc2237z00_1102;obj_t BgL_env2238z00_1103;
BgL_name2236z00_1101 = 
CNST_TABLE_REF(((long)78)); 
BgL_loc2237z00_1102 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2238z00_1103 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2238z00_1103, BgL_name2236z00_1101, BgL_loc2237z00_1102); 
BGL_ENV_POP_TRACE(BgL_env2238z00_1103); 
return BUNSPEC;} } } 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2240z00_1105;obj_t BgL_loc2241z00_1106;obj_t BgL_env2242z00_1107;
BgL_name2240z00_1105 = 
CNST_TABLE_REF(((long)79)); 
BgL_loc2241z00_1106 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2242z00_1107 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2242z00_1107, BgL_name2240z00_1105, BgL_loc2241z00_1106); 
BGL_ENV_POP_TRACE(BgL_env2242z00_1107); 
return BUNSPEC;} } } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2244z00_1109;obj_t BgL_loc2245z00_1110;obj_t BgL_env2246z00_1111;
BgL_name2244z00_1109 = 
CNST_TABLE_REF(((long)80)); 
BgL_loc2245z00_1110 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2246z00_1111 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2246z00_1111, BgL_name2244z00_1109, BgL_loc2245z00_1110); 
BGL_ENV_POP_TRACE(BgL_env2246z00_1111); 
return BUNSPEC;} } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzbmemz00()
{
{ /* bmem/bmem.scm 16 */
{ /* bmem/bmem.scm 16 */
obj_t BgL_name2248z00_1113;obj_t BgL_loc2249z00_1114;obj_t BgL_env2250z00_1115;
BgL_name2248z00_1113 = 
CNST_TABLE_REF(((long)81)); 
BgL_loc2249z00_1114 = 
CNST_TABLE_REF(((long)1)); 
BgL_env2250z00_1115 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* bmem/bmem.scm 16 */

BGL_ENV_PUSH_TRACE(BgL_env2250z00_1115, BgL_name2248z00_1113, BgL_loc2249z00_1114); 
{ /* bmem/bmem.scm 16 */
obj_t BgL_aux2247z00_1116;
BGl_modulezd2initializa7ationz75zzhtmlz00(((long)75074024), 
BSTRING_TO_STRING(BGl_string3023z00zzbmemz00)); 
BGl_modulezd2initializa7ationz75zzbmem_paramz00(((long)145760956), 
BSTRING_TO_STRING(BGl_string3023z00zzbmemz00)); 
BGl_modulezd2initializa7ationz75zzbmem_toolsz00(((long)254492394), 
BSTRING_TO_STRING(BGl_string3023z00zzbmemz00)); 
BGl_modulezd2initializa7ationz75zzbmem_functionz00(((long)88630197), 
BSTRING_TO_STRING(BGl_string3023z00zzbmemz00)); 
BGl_modulezd2initializa7ationz75zzbmem_gcz00(((long)471623548), 
BSTRING_TO_STRING(BGl_string3023z00zzbmemz00)); 
BGl_modulezd2initializa7ationz75zzbmem_typez00(((long)176367264), 
BSTRING_TO_STRING(BGl_string3023z00zzbmemz00)); 
BgL_aux2247z00_1116 = 
BGl_modulezd2initializa7ationz75zzbmem_threadz00(((long)222586157), 
BSTRING_TO_STRING(BGl_string3023z00zzbmemz00)); 
BGL_ENV_POP_TRACE(BgL_env2250z00_1115); 
return BgL_aux2247z00_1116;} } } } 

}

#ifdef __cplusplus
}
#endif
