/*===========================================================================*/
/*   (Cfa/tvector.scm)                                                       */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/tvector.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_literalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}                 *BgL_literalz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_vlengthz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_vtypez00;
		obj_t BgL_ftypez00;
	}                 *BgL_vlengthz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_kwotezf2nodezf2_bgl
	{
		struct BgL_nodez00_bgl *BgL_nodez00;
	}                      *BgL_kwotezf2nodezf2_bglt;

	typedef struct BgL_kwotezf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                       *BgL_kwotezf2cinfozf2_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_vrefzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                      *BgL_vrefzf2cinfozf2_bglt;

	typedef struct BgL_vsetz12zf2cinfoze0_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vsetz12zf2cinfoze0_bglt;

	typedef struct BgL_vlengthzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_tvectorzf3zf3;
	}                         *BgL_vlengthzf2cinfozf2_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;


	BGL_IMPORT obj_t BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(obj_t,
		obj_t);
	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern BgL_nodez00_bglt
		BGl_inlinezd2nodezd2zzinline_inlinez00(BgL_nodez00_bglt, long, obj_t);
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_tvectorz00();
	static obj_t BGl_z62patchz12zd2atom1629za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t bstring_to_symbol(obj_t);
	static obj_t BGl_methodzd2initzd2zzcfa_tvectorz00();
	extern obj_t BGl_externz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2conditional1653za2zzcfa_tvectorz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static obj_t BGl_z62patchz12zd2var1635za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	extern obj_t BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00(obj_t);
	extern obj_t BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
	static obj_t BGl_patchzd2funz12zc0zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_kwotezf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62patchz12zd2vlength1676za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62getzd2vectorzd2itemzd2type1620zb0zzcfa_tvectorz00(obj_t,
		obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1623zb0zzcfa_tvectorz00(obj_t, obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1625zb0zzcfa_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t create_struct(obj_t, int);
	static obj_t BGl_patchz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_kwotezf2nodezf2zzcfa_infoz00;
	static obj_t BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2sequence1639za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00(obj_t);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_za2optimza2z00zzengine_paramz00;
	extern obj_t BGl_vlengthz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2kwote1631za2zzcfa_tvectorz00(obj_t, obj_t);
	static bool_t BGl_patchzd2treez12zc0zzcfa_tvectorz00(obj_t);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	static BgL_nodez00_bglt
		BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(BgL_appz00_bglt);
	extern obj_t BGl_za2boolza2z00zztype_cachez00;
	static obj_t BGl_getzd2tvectorszd2zzcfa_tvectorz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	extern obj_t BGl_za2libzd2modeza2zd2zzengine_paramz00;
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_findzd2globalzd2zzast_envz00(obj_t, obj_t);
	extern obj_t BGl_setzd2defaultzd2typez12z12zztype_cachez00(BgL_typez00_bglt);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	static obj_t BGl_z62patchz12zd2jumpzd2exzd2it1665za2zzcfa_tvectorz00(obj_t,
		obj_t);
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_walkz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_approxz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_cfaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_lvtypez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_buildz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_envz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	static obj_t BGl_z62patchz12zd2boxzd2setz121669z62zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2makezd2box1667z70zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	static obj_t BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2letzd2fun1659z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2cast1649za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00();
	static obj_t BGl_z62patchz12zd2valloczf2Cinfozb21680ze2zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2setq1651za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2app1674za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
	static obj_t BGl_declarezd2tvectorszd2zzcfa_tvectorz00(obj_t);
	static obj_t BGl_z62patchz12zd2vsetz12zf2Cinfo1684z42zzcfa_tvectorz00(obj_t,
		obj_t);
	extern obj_t BGl_modulezd2tvectorzd2clausez00zzmodule_typez00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_literalz00zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	static obj_t BGl_z62patchz12zd2setzd2exzd2it1663za2zzcfa_tvectorz00(obj_t,
		obj_t);
	extern BgL_approxz00_bglt BGl_cfaz12z12zzcfa_cfaz00(BgL_nodez00_bglt);
	extern obj_t BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7(obj_t, obj_t);
	extern obj_t BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt,
		obj_t);
	static obj_t BGl_z62patchz12zd2letzd2var1661z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2closure1637za2zzcfa_tvectorz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(BgL_appz00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62patchz121626z70zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62patchz12zd2makezd2vectorzd2a1678za2zzcfa_tvectorz00(obj_t,
		obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	extern obj_t BGl_inlinezd2setupz12zc0zzinline_walkz00(obj_t);
	static obj_t BGl_z62patchz12zd2appzd2ly1643z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t);
	static obj_t BGl_z62patchz12zd2kwotezf2node1633z50zzcfa_tvectorz00(obj_t,
		obj_t);
	static obj_t BGl_z62patchz12zd2extern1647za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t);
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	BGL_EXPORTED_DECL obj_t BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00();
	extern obj_t BGl_cfunz00zzast_varz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	extern obj_t BGl_vsetz12zf2Cinfoze0zzcfa_info3z00;
	static obj_t BGl_patchza2z12zb0zzcfa_tvectorz00(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_tvectorz00();
	BGL_EXPORTED_DECL obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_lvtypezd2astz12zc0zzast_lvtypez00(obj_t);
	static obj_t BGl_z62patchz12zd2sync1641za2zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2fail1655za2zzcfa_tvectorz00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_showzd2tvectorzd2zzcfa_tvectorz00(obj_t);
	static obj_t BGl_z62patchz12zd2funcall1645za2zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	extern obj_t BGl_za2intza2z00zztype_cachez00;
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_tvectorz00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_tvectorz00();
	static obj_t BGl_z62patchz12zd2boxzd2ref1672z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t);
	static BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00(obj_t, obj_t);
	extern obj_t BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nodez00_bglt);
	static obj_t BGl_genericzd2initzd2zzcfa_tvectorz00();
	BGL_IMPORT obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
	BGL_EXPORTED_DECL BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_typez00zztype_typez00;
	extern bool_t BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_vrefzf2Cinfozf2zzcfa_info3z00;
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2vrefzf2Cinfo1682z50zzcfa_tvectorz00(obj_t,
		obj_t);
	BGL_IMPORT obj_t string_append(obj_t, obj_t);
	static obj_t BGl_z62patchz12zd2switch1657za2zzcfa_tvectorz00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2atomz00zztype_typeofz00(obj_t);
	static obj_t BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 = BUNSPEC;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	extern obj_t BGl_tvectorzd2finaliza7erz75zzmodule_typez00();
	static obj_t BGl_cnstzd2initzd2zzcfa_tvectorz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	extern BgL_nodez00_bglt BGl_sexpzd2ze3nodez31zzast_sexpz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static obj_t BGl_z62patchz12z70zzcfa_tvectorz00(obj_t, obj_t);
	static obj_t __cnst[23];


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_patchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762patchza7d2vecto2384z00,
		BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_vectorzd2ze3tvectorz12zd2envzf1zzcfa_tvectorz00,
		BgL_bgl_za762vectorza7d2za7e3t2385za7,
		BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za770za7za72386za7,
		BGl_z62patchz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string2338z00zzcfa_tvectorz00,
		BgL_bgl_string2338za700za7za7c2387za7, "   . Vector -> Tvector", 22);
	      DEFINE_STRING(BGl_string2339z00zzcfa_tvectorz00,
		BgL_bgl_string2339za700za7za7c2388za7, " -> vector of ", 14);
	      DEFINE_STRING(BGl_string2340z00zzcfa_tvectorz00,
		BgL_bgl_string2340za700za7za7c2389za7, "        vector of ", 18);
	      DEFINE_STRING(BGl_string2342z00zzcfa_tvectorz00,
		BgL_bgl_string2342za700za7za7c2390za7, "get-vector-item-type1620", 24);
	      DEFINE_STRING(BGl_string2344z00zzcfa_tvectorz00,
		BgL_bgl_string2344za700za7za7c2391za7, "patch!1626", 10);
	      DEFINE_STRING(BGl_string2345z00zzcfa_tvectorz00,
		BgL_bgl_string2345za700za7za7c2392za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2347z00zzcfa_tvectorz00,
		BgL_bgl_string2347za700za7za7c2393za7, "get-vector-item-type", 20);
	      DEFINE_STRING(BGl_string2350z00zzcfa_tvectorz00,
		BgL_bgl_string2350za700za7za7c2394za7, "patch!", 6);
	      DEFINE_STRING(BGl_string2378z00zzcfa_tvectorz00,
		BgL_bgl_string2378za700za7za7c2395za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2379z00zzcfa_tvectorz00,
		BgL_bgl_string2379za700za7za7c2396za7, "cfa_tvector", 11);
	      DEFINE_STRING(BGl_string2380z00zzcfa_tvectorz00,
		BgL_bgl_string2380za700za7za7c2397za7,
		"a-tvector __r4_vectors_6_8 vector->list -length make- allocate- -ref -set! get-vector-item-type1620 patch!1626 value ->list done no-remove unit cfa tv-of- all (vector-set! c-vector-set! vector-set-ur!) vector? $vector? c-vector? (vector-set! vector-set-ur! c-vector-set! $vector-set! $vector-set-ur!) ",
		301);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_tvectorzd2optimiza7ationzf3zd2envz54zzcfa_tvectorz00,
		BgL_bgl_za762tvectorza7d2opt2398z00,
		BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_addzd2makezd2vectorz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762addza7d2makeza7d22399za7,
		BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_unpatchzd2vectorzd2setz12zd2envzc0zzcfa_tvectorz00,
		BgL_bgl_za762unpatchza7d2vec2400z00,
		BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00, 0L, BUNSPEC, 0);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2341z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72401za7,
		BGl_z62getzd2vectorzd2itemzd2type1620zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2343z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza7121626za72402za7,
		BGl_z62patchz121626z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2346z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72403za7,
		BGl_z62getzd2vectorzd2itemzd2type1623zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2348z00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72404za7,
		BGl_z62getzd2vectorzd2itemzd2type1625zb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2349z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2at2405za7,
		BGl_z62patchz12zd2atom1629za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2351z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2kw2406za7,
		BGl_z62patchz12zd2kwote1631za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2352z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2kw2407za7,
		BGl_z62patchz12zd2kwotezf2node1633z50zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2353z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2va2408za7,
		BGl_z62patchz12zd2var1635za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2354z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2cl2409za7,
		BGl_z62patchz12zd2closure1637za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2355z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2410za7,
		BGl_z62patchz12zd2sequence1639za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2356z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2sy2411za7,
		BGl_z62patchz12zd2sync1641za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2357z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ap2412za7,
		BGl_z62patchz12zd2appzd2ly1643z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2358z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2fu2413za7,
		BGl_z62patchz12zd2funcall1645za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2359z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ex2414za7,
		BGl_z62patchz12zd2extern1647za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2360z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ca2415za7,
		BGl_z62patchz12zd2cast1649za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2361z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2416za7,
		BGl_z62patchz12zd2setq1651za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2362z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2co2417za7,
		BGl_z62patchz12zd2conditional1653za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2363z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2fa2418za7,
		BGl_z62patchz12zd2fail1655za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2364z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2sw2419za7,
		BGl_z62patchz12zd2switch1657za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2365z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2le2420za7,
		BGl_z62patchz12zd2letzd2fun1659z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2366z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2le2421za7,
		BGl_z62patchz12zd2letzd2var1661z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2367z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2se2422za7,
		BGl_z62patchz12zd2setzd2exzd2it1663za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2368z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ju2423za7,
		BGl_z62patchz12zd2jumpzd2exzd2it1665za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2369z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ma2424za7,
		BGl_z62patchz12zd2makezd2box1667z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2370z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2bo2425za7,
		BGl_z62patchz12zd2boxzd2setz121669z62zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2371z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2bo2426za7,
		BGl_z62patchz12zd2boxzd2ref1672z70zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2372z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ap2427za7,
		BGl_z62patchz12zd2app1674za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2373z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vl2428za7,
		BGl_z62patchz12zd2vlength1676za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2374z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2ma2429za7,
		BGl_z62patchz12zd2makezd2vectorzd2a1678za2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2375z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2va2430za7,
		BGl_z62patchz12zd2valloczf2Cinfozb21680ze2zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2376z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vr2431za7,
		BGl_z62patchz12zd2vrefzf2Cinfo1682z50zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2377z00zzcfa_tvectorz00,
		BgL_bgl_za762patchza712za7d2vs2432za7,
		BGl_z62patchz12zd2vsetz12zf2Cinfo1684z42zzcfa_tvectorz00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_GENERIC
		(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
		BgL_bgl_za762getza7d2vectorza72433za7,
		BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_tvectorz00));
		   
			 ADD_ROOT((void *) (&BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long
		BgL_checksumz00_5288, char *BgL_fromz00_5289)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_tvectorz00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_tvectorz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_tvectorz00();
					BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00();
					BGl_cnstzd2initzd2zzcfa_tvectorz00();
					BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00();
					BGl_genericzd2initzd2zzcfa_tvectorz00();
					BGl_methodzd2initzd2zzcfa_tvectorz00();
					return BGl_toplevelzd2initzd2zzcfa_tvectorz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__structurez00(((long) 0),
				"cfa_tvector");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0), "cfa_tvector");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			{	/* Cfa/tvector.scm 15 */
				obj_t BgL_cportz00_5055;

				{	/* Cfa/tvector.scm 15 */
					obj_t BgL_stringz00_5063;

					BgL_stringz00_5063 = BGl_string2380z00zzcfa_tvectorz00;
					{	/* Cfa/tvector.scm 15 */
						obj_t BgL_startz00_5064;

						BgL_startz00_5064 = BINT(((long) 0));
						{	/* Cfa/tvector.scm 15 */
							obj_t BgL_endz00_5065;

							BgL_endz00_5065 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5063)));
							{	/* Cfa/tvector.scm 15 */

								BgL_cportz00_5055 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5063, BgL_startz00_5064, BgL_endz00_5065);
				}}}}
				{
					long BgL_iz00_5056;

					BgL_iz00_5056 = ((long) 22);
				BgL_loopz00_5057:
					if ((BgL_iz00_5056 == ((long) -1)))
						{	/* Cfa/tvector.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/tvector.scm 15 */
							{	/* Cfa/tvector.scm 15 */
								obj_t BgL_arg2382z00_5059;

								{	/* Cfa/tvector.scm 15 */

									{	/* Cfa/tvector.scm 15 */
										obj_t BgL_locationz00_5061;

										BgL_locationz00_5061 = BBOOL(((bool_t) 0));
										{	/* Cfa/tvector.scm 15 */

											BgL_arg2382z00_5059 =
												BGl_readz00zz__readerz00(BgL_cportz00_5055,
												BgL_locationz00_5061);
										}
									}
								}
								{	/* Cfa/tvector.scm 15 */
									int BgL_tmpz00_5323;

									BgL_tmpz00_5323 = (int) (BgL_iz00_5056);
									CNST_TABLE_SET(BgL_tmpz00_5323, BgL_arg2382z00_5059);
							}}
							{	/* Cfa/tvector.scm 15 */
								int BgL_auxz00_5062;

								BgL_auxz00_5062 = (int) ((BgL_iz00_5056 - ((long) 1)));
								{
									long BgL_iz00_5328;

									BgL_iz00_5328 = (long) (BgL_auxz00_5062);
									BgL_iz00_5056 = BgL_iz00_5328;
									goto BgL_loopz00_5057;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 = BNIL;
			return BUNSPEC;
		}

	}



/* tvector-optimization? */
	BGL_EXPORTED_DEF obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 61 */
			if (((long) CINT(BGl_za2optimza2z00zzengine_paramz00) >= ((long) 3)))
				{	/* Cfa/tvector.scm 62 */
					if (CBOOL(BGl_za2libzd2modeza2zd2zzengine_paramz00))
						{	/* Cfa/tvector.scm 62 */
							return BFALSE;
						}
					else
						{	/* Cfa/tvector.scm 62 */
							return BTRUE;
						}
				}
			else
				{	/* Cfa/tvector.scm 62 */
					return BFALSE;
				}
		}

	}



/* &tvector-optimization? */
	obj_t BGl_z62tvectorzd2optimiza7ationzf3ze4zzcfa_tvectorz00(obj_t
		BgL_envz00_4946)
	{
		{	/* Cfa/tvector.scm 61 */
			return BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
		}

	}



/* patch-vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 70 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 71 */
					{	/* Cfa/tvector.scm 72 */
						obj_t BgL_g1597z00_3431;

						BgL_g1597z00_3431 = CNST_TABLE_REF(((long) 0));
						{
							obj_t BgL_l1595z00_3433;

							BgL_l1595z00_3433 = BgL_g1597z00_3431;
						BgL_zc3z04anonymousza31721ze3z87_3434:
							if (PAIRP(BgL_l1595z00_3433))
								{	/* Cfa/tvector.scm 83 */
									{	/* Cfa/tvector.scm 73 */
										obj_t BgL_setz00_3436;

										BgL_setz00_3436 = CAR(BgL_l1595z00_3433);
										{	/* Cfa/tvector.scm 73 */
											obj_t BgL_gz00_3437;

											BgL_gz00_3437 =
												BGl_findzd2globalzd2zzast_envz00(BgL_setz00_3436, BNIL);
											if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3437,
													BGl_globalz00zzast_varz00))
												{	/* Cfa/tvector.scm 75 */
													BgL_valuez00_bglt BgL_funz00_3439;

													BgL_funz00_3439 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_3437))))->
														BgL_valuez00);
													{	/* Cfa/tvector.scm 77 */
														bool_t BgL_test2441z00_5350;

														{	/* Cfa/tvector.scm 77 */
															bool_t BgL_res2247z00_4573;

															BgL_res2247z00_4573 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_funz00_3439),
																BGl_cfunz00zzast_varz00);
															BgL_test2441z00_5350 = BgL_res2247z00_4573;
														}
														if (BgL_test2441z00_5350)
															{	/* Cfa/tvector.scm 78 */
																obj_t BgL_arg1725z00_3441;
																BgL_typez00_bglt BgL_arg1737z00_3442;

																{	/* Cfa/tvector.scm 78 */
																	obj_t BgL_pairz00_4575;

																	BgL_pairz00_4575 =
																		(((BgL_cfunz00_bglt) COBJECT(
																				((BgL_cfunz00_bglt) BgL_funz00_3439)))->
																		BgL_argszd2typezd2);
																	BgL_arg1725z00_3441 =
																		CDR(CDR(BgL_pairz00_4575));
																}
																BgL_arg1737z00_3442 =
																	BGl_getzd2defaultzd2typez00zztype_cachez00();
																{	/* Cfa/tvector.scm 78 */
																	obj_t BgL_auxz00_5360;
																	obj_t BgL_tmpz00_5358;

																	BgL_auxz00_5360 =
																		((obj_t) BgL_arg1737z00_3442);
																	BgL_tmpz00_5358 =
																		((obj_t) BgL_arg1725z00_3441);
																	SET_CAR(BgL_tmpz00_5358, BgL_auxz00_5360);
																}
															}
														else
															{	/* Cfa/tvector.scm 80 */
																bool_t BgL_test2442z00_5363;

																{	/* Cfa/tvector.scm 80 */
																	bool_t BgL_res2248z00_4580;

																	BgL_res2248z00_4580 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_funz00_3439),
																		BGl_sfunz00zzast_varz00);
																	BgL_test2442z00_5363 = BgL_res2248z00_4580;
																}
																if (BgL_test2442z00_5363)
																	{	/* Cfa/tvector.scm 81 */
																		obj_t BgL_arg1749z00_3445;
																		BgL_typez00_bglt BgL_arg1750z00_3446;

																		{	/* Cfa/tvector.scm 81 */
																			obj_t BgL_pairz00_4582;

																			BgL_pairz00_4582 =
																				(((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_funz00_3439)))->BgL_argsz00);
																			BgL_arg1749z00_3445 =
																				CAR(CDR(CDR(BgL_pairz00_4582)));
																		}
																		BgL_arg1750z00_3446 =
																			BGl_getzd2defaultzd2typez00zztype_cachez00
																			();
																		((((BgL_variablez00_bglt)
																					COBJECT(((BgL_variablez00_bglt) (
																								(BgL_localz00_bglt)
																								BgL_arg1749z00_3445))))->
																				BgL_typez00) =
																			((BgL_typez00_bglt) BgL_arg1750z00_3446),
																			BUNSPEC);
																	}
																else
																	{	/* Cfa/tvector.scm 80 */
																		BFALSE;
																	}
															}
													}
												}
											else
												{	/* Cfa/tvector.scm 74 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1595z00_5375;

										BgL_l1595z00_5375 = CDR(BgL_l1595z00_3433);
										BgL_l1595z00_3433 = BgL_l1595z00_5375;
										goto BgL_zc3z04anonymousza31721ze3z87_3434;
									}
								}
							else
								{	/* Cfa/tvector.scm 83 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/tvector.scm 85 */
						obj_t BgL_gz00_3451;

						BgL_gz00_3451 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3451,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/tvector.scm 87 */
								BgL_valuez00_bglt BgL_fz00_3453;

								BgL_fz00_3453 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3451))))->BgL_valuez00);
								{	/* Cfa/tvector.scm 88 */
									obj_t BgL_arg1755z00_3454;
									BgL_typez00_bglt BgL_arg1757z00_3455;

									BgL_arg1755z00_3454 =
										(((BgL_cfunz00_bglt) COBJECT(
												((BgL_cfunz00_bglt) BgL_fz00_3453)))->
										BgL_argszd2typezd2);
									BgL_arg1757z00_3455 =
										BGl_getzd2defaultzd2typez00zztype_cachez00();
									{	/* Cfa/tvector.scm 88 */
										obj_t BgL_auxz00_5389;
										obj_t BgL_tmpz00_5387;

										BgL_auxz00_5389 = ((obj_t) BgL_arg1757z00_3455);
										BgL_tmpz00_5387 = ((obj_t) BgL_arg1755z00_3454);
										SET_CAR(BgL_tmpz00_5387, BgL_auxz00_5389);
									}
								}
							}
						else
							{	/* Cfa/tvector.scm 86 */
								BFALSE;
							}
					}
					{	/* Cfa/tvector.scm 89 */
						obj_t BgL_gz00_3457;

						BgL_gz00_3457 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3457,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/tvector.scm 91 */
								BgL_valuez00_bglt BgL_fz00_3459;

								BgL_fz00_3459 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3457))))->BgL_valuez00);
								{	/* Cfa/tvector.scm 92 */
									obj_t BgL_arg1760z00_3460;
									BgL_typez00_bglt BgL_arg1761z00_3461;

									BgL_arg1760z00_3460 =
										(((BgL_cfunz00_bglt) COBJECT(
												((BgL_cfunz00_bglt) BgL_fz00_3459)))->
										BgL_argszd2typezd2);
									BgL_arg1761z00_3461 =
										BGl_getzd2defaultzd2typez00zztype_cachez00();
									{	/* Cfa/tvector.scm 92 */
										obj_t BgL_auxz00_5404;
										obj_t BgL_tmpz00_5402;

										BgL_auxz00_5404 = ((obj_t) BgL_arg1761z00_3461);
										BgL_tmpz00_5402 = ((obj_t) BgL_arg1760z00_3460);
										SET_CAR(BgL_tmpz00_5402, BgL_auxz00_5404);
									}
								}
							}
						else
							{	/* Cfa/tvector.scm 90 */
								BFALSE;
							}
					}
					{	/* Cfa/tvector.scm 93 */
						obj_t BgL_gz00_3463;

						BgL_gz00_3463 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 3)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3463,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/tvector.scm 95 */
								BgL_valuez00_bglt BgL_fz00_3465;

								BgL_fz00_3465 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3463))))->BgL_valuez00);
								{	/* Cfa/tvector.scm 96 */
									obj_t BgL_arg1764z00_3466;
									BgL_typez00_bglt BgL_arg1765z00_3467;

									{	/* Cfa/tvector.scm 96 */
										obj_t BgL_pairz00_4602;

										BgL_pairz00_4602 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_3465)))->BgL_argsz00);
										BgL_arg1764z00_3466 = CAR(BgL_pairz00_4602);
									}
									BgL_arg1765z00_3467 =
										BGl_getzd2defaultzd2typez00zztype_cachez00();
									return
										((((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_arg1764z00_3466))))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_arg1765z00_3467), BUNSPEC);
								}
							}
						else
							{	/* Cfa/tvector.scm 94 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Cfa/tvector.scm 71 */
					return BFALSE;
				}
		}

	}



/* &patch-vector-set! */
	obj_t BGl_z62patchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t BgL_envz00_4947)
	{
		{	/* Cfa/tvector.scm 70 */
			return BGl_patchzd2vectorzd2setz12z12zzcfa_tvectorz00();
		}

	}



/* unpatch-vector-set! */
	BGL_EXPORTED_DEF obj_t BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 101 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 102 */
					{	/* Cfa/tvector.scm 104 */
						obj_t BgL_g1600z00_3471;

						BgL_g1600z00_3471 = CNST_TABLE_REF(((long) 4));
						{
							obj_t BgL_l1598z00_3473;

							BgL_l1598z00_3473 = BgL_g1600z00_3471;
						BgL_zc3z04anonymousza31769ze3z87_3474:
							if (PAIRP(BgL_l1598z00_3473))
								{	/* Cfa/tvector.scm 115 */
									{	/* Cfa/tvector.scm 105 */
										obj_t BgL_setz00_3476;

										BgL_setz00_3476 = CAR(BgL_l1598z00_3473);
										{	/* Cfa/tvector.scm 105 */
											obj_t BgL_gz00_3477;

											BgL_gz00_3477 =
												BGl_findzd2globalzd2zzast_envz00(BgL_setz00_3476, BNIL);
											if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3477,
													BGl_globalz00zzast_varz00))
												{	/* Cfa/tvector.scm 107 */
													BgL_valuez00_bglt BgL_funz00_3479;

													BgL_funz00_3479 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_globalz00_bglt) BgL_gz00_3477))))->
														BgL_valuez00);
													{	/* Cfa/tvector.scm 109 */
														bool_t BgL_test2449z00_5435;

														{	/* Cfa/tvector.scm 109 */
															bool_t BgL_res2254z00_4609;

															BgL_res2254z00_4609 =
																BGl_isazf3zf3zz__objectz00(
																((obj_t) BgL_funz00_3479),
																BGl_cfunz00zzast_varz00);
															BgL_test2449z00_5435 = BgL_res2254z00_4609;
														}
														if (BgL_test2449z00_5435)
															{	/* Cfa/tvector.scm 110 */
																obj_t BgL_arg1773z00_3481;

																{	/* Cfa/tvector.scm 110 */
																	obj_t BgL_pairz00_4611;

																	BgL_pairz00_4611 =
																		(((BgL_cfunz00_bglt) COBJECT(
																				((BgL_cfunz00_bglt) BgL_funz00_3479)))->
																		BgL_argszd2typezd2);
																	BgL_arg1773z00_3481 =
																		CDR(CDR(BgL_pairz00_4611));
																}
																{	/* Cfa/tvector.scm 110 */
																	obj_t BgL_objz00_4616;

																	BgL_objz00_4616 =
																		BGl_za2objza2z00zztype_cachez00;
																	{	/* Cfa/tvector.scm 110 */
																		obj_t BgL_tmpz00_5442;

																		BgL_tmpz00_5442 =
																			((obj_t) BgL_arg1773z00_3481);
																		SET_CAR(BgL_tmpz00_5442, BgL_objz00_4616);
																	}
																}
															}
														else
															{	/* Cfa/tvector.scm 112 */
																bool_t BgL_test2450z00_5445;

																{	/* Cfa/tvector.scm 112 */
																	bool_t BgL_res2255z00_4617;

																	BgL_res2255z00_4617 =
																		BGl_isazf3zf3zz__objectz00(
																		((obj_t) BgL_funz00_3479),
																		BGl_sfunz00zzast_varz00);
																	BgL_test2450z00_5445 = BgL_res2255z00_4617;
																}
																if (BgL_test2450z00_5445)
																	{	/* Cfa/tvector.scm 113 */
																		obj_t BgL_arg1777z00_3484;

																		{	/* Cfa/tvector.scm 113 */
																			obj_t BgL_pairz00_4619;

																			BgL_pairz00_4619 =
																				(((BgL_sfunz00_bglt) COBJECT(
																						((BgL_sfunz00_bglt)
																							BgL_funz00_3479)))->BgL_argsz00);
																			BgL_arg1777z00_3484 =
																				CAR(CDR(CDR(BgL_pairz00_4619)));
																		}
																		{	/* Cfa/tvector.scm 113 */
																			BgL_typez00_bglt BgL_vz00_4626;

																			BgL_vz00_4626 =
																				((BgL_typez00_bglt)
																				BGl_za2objza2z00zztype_cachez00);
																			((((BgL_variablez00_bglt)
																						COBJECT(((BgL_variablez00_bglt) (
																									(BgL_localz00_bglt)
																									BgL_arg1777z00_3484))))->
																					BgL_typez00) =
																				((BgL_typez00_bglt) BgL_vz00_4626),
																				BUNSPEC);
																		}
																	}
																else
																	{	/* Cfa/tvector.scm 112 */
																		BFALSE;
																	}
															}
													}
												}
											else
												{	/* Cfa/tvector.scm 106 */
													BFALSE;
												}
										}
									}
									{
										obj_t BgL_l1598z00_5457;

										BgL_l1598z00_5457 = CDR(BgL_l1598z00_3473);
										BgL_l1598z00_3473 = BgL_l1598z00_5457;
										goto BgL_zc3z04anonymousza31769ze3z87_3474;
									}
								}
							else
								{	/* Cfa/tvector.scm 115 */
									((bool_t) 1);
								}
						}
					}
					{	/* Cfa/tvector.scm 116 */
						obj_t BgL_gz00_3489;

						BgL_gz00_3489 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 1)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3489,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/tvector.scm 118 */
								BgL_valuez00_bglt BgL_fz00_3491;

								BgL_fz00_3491 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3489))))->BgL_valuez00);
								{	/* Cfa/tvector.scm 119 */
									obj_t BgL_arg1784z00_3492;

									BgL_arg1784z00_3492 =
										(((BgL_cfunz00_bglt) COBJECT(
												((BgL_cfunz00_bglt) BgL_fz00_3491)))->
										BgL_argszd2typezd2);
									{	/* Cfa/tvector.scm 119 */
										obj_t BgL_objz00_4632;

										BgL_objz00_4632 = BGl_za2objza2z00zztype_cachez00;
										{	/* Cfa/tvector.scm 119 */
											obj_t BgL_tmpz00_5468;

											BgL_tmpz00_5468 = ((obj_t) BgL_arg1784z00_3492);
											SET_CAR(BgL_tmpz00_5468, BgL_objz00_4632);
										}
									}
								}
							}
						else
							{	/* Cfa/tvector.scm 117 */
								BFALSE;
							}
					}
					{	/* Cfa/tvector.scm 120 */
						obj_t BgL_gz00_3494;

						BgL_gz00_3494 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 2)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3494,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/tvector.scm 122 */
								BgL_valuez00_bglt BgL_fz00_3496;

								BgL_fz00_3496 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3494))))->BgL_valuez00);
								{	/* Cfa/tvector.scm 123 */
									obj_t BgL_arg1787z00_3497;

									BgL_arg1787z00_3497 =
										(((BgL_cfunz00_bglt) COBJECT(
												((BgL_cfunz00_bglt) BgL_fz00_3496)))->
										BgL_argszd2typezd2);
									{	/* Cfa/tvector.scm 123 */
										obj_t BgL_objz00_4637;

										BgL_objz00_4637 = BGl_za2objza2z00zztype_cachez00;
										{	/* Cfa/tvector.scm 123 */
											obj_t BgL_tmpz00_5480;

											BgL_tmpz00_5480 = ((obj_t) BgL_arg1787z00_3497);
											SET_CAR(BgL_tmpz00_5480, BgL_objz00_4637);
										}
									}
								}
							}
						else
							{	/* Cfa/tvector.scm 121 */
								BFALSE;
							}
					}
					{	/* Cfa/tvector.scm 124 */
						obj_t BgL_gz00_3499;

						BgL_gz00_3499 =
							BGl_findzd2globalzd2zzast_envz00(CNST_TABLE_REF(((long) 3)),
							BNIL);
						if (BGl_isazf3zf3zz__objectz00(BgL_gz00_3499,
								BGl_globalz00zzast_varz00))
							{	/* Cfa/tvector.scm 126 */
								BgL_valuez00_bglt BgL_fz00_3501;

								BgL_fz00_3501 =
									(((BgL_variablez00_bglt) COBJECT(
											((BgL_variablez00_bglt)
												((BgL_globalz00_bglt) BgL_gz00_3499))))->BgL_valuez00);
								{	/* Cfa/tvector.scm 127 */
									obj_t BgL_arg1790z00_3502;

									{	/* Cfa/tvector.scm 127 */
										obj_t BgL_pairz00_4641;

										BgL_pairz00_4641 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_fz00_3501)))->BgL_argsz00);
										BgL_arg1790z00_3502 = CAR(BgL_pairz00_4641);
									}
									{	/* Cfa/tvector.scm 127 */
										BgL_typez00_bglt BgL_vz00_4643;

										BgL_vz00_4643 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										return
											((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_arg1790z00_3502))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4643), BUNSPEC);
									}
								}
							}
						else
							{	/* Cfa/tvector.scm 125 */
								return BFALSE;
							}
					}
				}
			else
				{	/* Cfa/tvector.scm 102 */
					return BUNSPEC;
				}
		}

	}



/* &unpatch-vector-set! */
	obj_t BGl_z62unpatchzd2vectorzd2setz12z70zzcfa_tvectorz00(obj_t
		BgL_envz00_4948)
	{
		{	/* Cfa/tvector.scm 101 */
			return BGl_unpatchzd2vectorzd2setz12z12zzcfa_tvectorz00();
		}

	}



/* vector->tvector! */
	BGL_EXPORTED_DEF obj_t BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(obj_t
		BgL_globalsz00_35)
	{
		{	/* Cfa/tvector.scm 133 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 134 */
					BGl_inlinezd2setupz12zc0zzinline_walkz00(CNST_TABLE_REF(((long) 5)));
					{	/* Cfa/tvector.scm 143 */
						obj_t BgL_vectorsz00_3506;

						BgL_vectorsz00_3506 = BGl_getzd2tvectorszd2zzcfa_tvectorz00();
						{	/* Cfa/tvector.scm 144 */
							obj_t BgL_tvectorsz00_3507;

							{	/* Cfa/tvector.scm 148 */
								int BgL_tmpz00_5504;

								BgL_tmpz00_5504 = (int) (((long) 1));
								BgL_tvectorsz00_3507 = BGL_MVALUES_VAL(BgL_tmpz00_5504);
							}
							{
								obj_t BgL_l1601z00_3509;

								BgL_l1601z00_3509 = BgL_vectorsz00_3506;
							BgL_zc3z04anonymousza31794ze3z87_3510:
								if (PAIRP(BgL_l1601z00_3509))
									{	/* Cfa/tvector.scm 145 */
										{	/* Cfa/tvector.scm 146 */
											obj_t BgL_vz00_3512;

											BgL_vz00_3512 = CAR(BgL_l1601z00_3509);
											{	/* Cfa/tvector.scm 146 */
												bool_t BgL_test2456z00_5510;

												{	/* Cfa/tvector.scm 146 */
													BgL_typez00_bglt BgL_arg1798z00_3515;

													BgL_arg1798z00_3515 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_vz00_3512)))->
														BgL_typez00);
													BgL_test2456z00_5510 =
														(((obj_t) BgL_arg1798z00_3515) ==
														BGl_za2_za2z00zztype_cachez00);
												}
												if (BgL_test2456z00_5510)
													{	/* Cfa/tvector.scm 147 */
														BgL_typez00_bglt BgL_vz00_4648;

														BgL_vz00_4648 =
															((BgL_typez00_bglt)
															BGl_za2vectorza2z00zztype_cachez00);
														((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
																			BgL_vz00_3512)))->BgL_typez00) =
															((BgL_typez00_bglt) BgL_vz00_4648), BUNSPEC);
													}
												else
													{	/* Cfa/tvector.scm 146 */
														BFALSE;
													}
											}
										}
										{
											obj_t BgL_l1601z00_5518;

											BgL_l1601z00_5518 = CDR(BgL_l1601z00_3509);
											BgL_l1601z00_3509 = BgL_l1601z00_5518;
											goto BgL_zc3z04anonymousza31794ze3z87_3510;
										}
									}
								else
									{	/* Cfa/tvector.scm 145 */
										((bool_t) 1);
									}
							}
							BGl_showzd2tvectorzd2zzcfa_tvectorz00(BgL_tvectorsz00_3507);
							if (PAIRP(BgL_tvectorsz00_3507))
								{	/* Cfa/tvector.scm 152 */
									obj_t BgL_addzd2treezd2_3519;

									BgL_addzd2treezd2_3519 =
										BGl_declarezd2tvectorszd2zzcfa_tvectorz00
										(BgL_tvectorsz00_3507);
									BGl_patchzd2treez12zc0zzcfa_tvectorz00(BgL_globalsz00_35);
									BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_addzd2treezd2_3519);
									return BgL_addzd2treezd2_3519;
								}
							else
								{	/* Cfa/tvector.scm 151 */
									BGl_patchzd2treez12zc0zzcfa_tvectorz00(BgL_globalsz00_35);
									return BNIL;
								}
						}
					}
				}
			else
				{	/* Cfa/tvector.scm 134 */
					return BNIL;
				}
		}

	}



/* &vector->tvector! */
	obj_t BGl_z62vectorzd2ze3tvectorz12z41zzcfa_tvectorz00(obj_t BgL_envz00_4949,
		obj_t BgL_globalsz00_4950)
	{
		{	/* Cfa/tvector.scm 133 */
			return BGl_vectorzd2ze3tvectorz12z23zzcfa_tvectorz00(BgL_globalsz00_4950);
		}

	}



/* add-make-vector! */
	BGL_EXPORTED_DEF obj_t
		BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(BgL_nodez00_bglt
		BgL_nodez00_36)
	{
		{	/* Cfa/tvector.scm 171 */
			if (CBOOL(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00()))
				{	/* Cfa/tvector.scm 172 */
					return (BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00 =
						MAKE_YOUNG_PAIR(
							((obj_t) BgL_nodez00_36),
							BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00), BUNSPEC);
				}
			else
				{	/* Cfa/tvector.scm 172 */
					return BFALSE;
				}
		}

	}



/* &add-make-vector! */
	obj_t BGl_z62addzd2makezd2vectorz12z70zzcfa_tvectorz00(obj_t BgL_envz00_4951,
		obj_t BgL_nodez00_4952)
	{
		{	/* Cfa/tvector.scm 171 */
			return
				BGl_addzd2makezd2vectorz12z12zzcfa_tvectorz00(
				((BgL_nodez00_bglt) BgL_nodez00_4952));
		}

	}



/* get-tvectors */
	obj_t BGl_getzd2tvectorszd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 181 */
			{
				obj_t BgL_appsz00_3524;
				obj_t BgL_vectorsz00_3525;
				obj_t BgL_tvectorsz00_3526;

				BgL_appsz00_3524 = BGl_za2makezd2vectorzd2listza2z00zzcfa_tvectorz00;
				BgL_vectorsz00_3525 = BNIL;
				BgL_tvectorsz00_3526 = BNIL;
			BgL_zc3z04anonymousza31802ze3z87_3527:
				if (NULLP(BgL_appsz00_3524))
					{	/* Cfa/tvector.scm 185 */
						{	/* Cfa/tvector.scm 186 */
							int BgL_res2262z00_4652;

							{	/* Cfa/tvector.scm 186 */
								int BgL_tmpz00_5537;

								BgL_tmpz00_5537 = (int) (((long) 2));
								BgL_res2262z00_4652 = BGL_MVALUES_NUMBER_SET(BgL_tmpz00_5537);
							} BgL_res2262z00_4652;
						}
						{	/* Cfa/tvector.scm 186 */
							int BgL_tmpz00_5540;

							BgL_tmpz00_5540 = (int) (((long) 1));
							BGL_MVALUES_VAL_SET(BgL_tmpz00_5540, BgL_tvectorsz00_3526);
						}
						return BgL_vectorsz00_3525;
					}
				else
					{	/* Cfa/tvector.scm 187 */
						obj_t BgL_appz00_3531;

						BgL_appz00_3531 = CAR(((obj_t) BgL_appsz00_3524));
						{	/* Cfa/tvector.scm 187 */
							BgL_typez00_bglt BgL_typez00_3532;

							BgL_typez00_3532 =
								BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_appz00_3531));
							{	/* Cfa/tvector.scm 188 */

								{	/* Cfa/tvector.scm 192 */
									bool_t BgL_test2460z00_5547;

									if (
										(((obj_t) BgL_typez00_3532) ==
											BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/tvector.scm 192 */
											BgL_test2460z00_5547 = ((bool_t) 0);
										}
									else
										{	/* Cfa/tvector.scm 192 */
											if (BGl_subzd2typezf3z21zztype_envz00(BgL_typez00_3532,
													((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00)))
												{	/* Cfa/tvector.scm 192 */
													BgL_test2460z00_5547 = ((bool_t) 0);
												}
											else
												{	/* Cfa/tvector.scm 192 */
													BgL_test2460z00_5547 = ((bool_t) 1);
												}
										}
									if (BgL_test2460z00_5547)
										{	/* Cfa/tvector.scm 193 */
											obj_t BgL_arg1808z00_3536;
											obj_t BgL_arg1810z00_3537;

											BgL_arg1808z00_3536 = CDR(((obj_t) BgL_appsz00_3524));
											BgL_arg1810z00_3537 =
												MAKE_YOUNG_PAIR(BgL_appz00_3531, BgL_tvectorsz00_3526);
											{
												obj_t BgL_tvectorsz00_5558;
												obj_t BgL_appsz00_5557;

												BgL_appsz00_5557 = BgL_arg1808z00_3536;
												BgL_tvectorsz00_5558 = BgL_arg1810z00_3537;
												BgL_tvectorsz00_3526 = BgL_tvectorsz00_5558;
												BgL_appsz00_3524 = BgL_appsz00_5557;
												goto BgL_zc3z04anonymousza31802ze3z87_3527;
											}
										}
									else
										{	/* Cfa/tvector.scm 194 */
											obj_t BgL_arg1811z00_3538;
											obj_t BgL_arg1812z00_3539;

											BgL_arg1811z00_3538 = CDR(((obj_t) BgL_appsz00_3524));
											BgL_arg1812z00_3539 =
												MAKE_YOUNG_PAIR(BgL_appz00_3531, BgL_vectorsz00_3525);
											{
												obj_t BgL_vectorsz00_5563;
												obj_t BgL_appsz00_5562;

												BgL_appsz00_5562 = BgL_arg1811z00_3538;
												BgL_vectorsz00_5563 = BgL_arg1812z00_3539;
												BgL_vectorsz00_3525 = BgL_vectorsz00_5563;
												BgL_appsz00_3524 = BgL_appsz00_5562;
												goto BgL_zc3z04anonymousza31802ze3z87_3527;
											}
										}
								}
							}
						}
					}
			}
		}

	}



/* show-tvector */
	bool_t BGl_showzd2tvectorzd2zzcfa_tvectorz00(obj_t BgL_tvectorz00_40)
	{
		{	/* Cfa/tvector.scm 222 */
			{	/* Cfa/tvector.scm 223 */
				obj_t BgL_list1813z00_3543;

				{	/* Cfa/tvector.scm 223 */
					obj_t BgL_arg1814z00_3544;

					BgL_arg1814z00_3544 =
						MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
					BgL_list1813z00_3543 =
						MAKE_YOUNG_PAIR(BGl_string2338z00zzcfa_tvectorz00,
						BgL_arg1814z00_3544);
				}
				BGl_verbosez00zztools_speekz00(BINT(((long) 1)), BgL_list1813z00_3543);
			}
			{
				obj_t BgL_l1605z00_3546;

				BgL_l1605z00_3546 = BgL_tvectorz00_40;
			BgL_zc3z04anonymousza31815ze3z87_3547:
				if (PAIRP(BgL_l1605z00_3546))
					{	/* Cfa/tvector.scm 224 */
						{	/* Cfa/tvector.scm 225 */
							obj_t BgL_appz00_3549;

							BgL_appz00_3549 = CAR(BgL_l1605z00_3546);
							{	/* Cfa/tvector.scm 226 */
								obj_t BgL_arg1817z00_3550;
								obj_t BgL_arg1819z00_3551;

								BgL_arg1817z00_3550 =
									BGl_shapez00zztools_shapez00(BGl_za2objza2z00zztype_cachez00);
								{	/* Cfa/tvector.scm 228 */
									BgL_typez00_bglt BgL_arg1826z00_3557;

									BgL_arg1826z00_3557 =
										BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
										((BgL_nodez00_bglt) BgL_appz00_3549));
									BgL_arg1819z00_3551 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_arg1826z00_3557));
								}
								{	/* Cfa/tvector.scm 225 */
									obj_t BgL_list1820z00_3552;

									{	/* Cfa/tvector.scm 225 */
										obj_t BgL_arg1821z00_3553;

										{	/* Cfa/tvector.scm 225 */
											obj_t BgL_arg1822z00_3554;

											{	/* Cfa/tvector.scm 225 */
												obj_t BgL_arg1823z00_3555;

												{	/* Cfa/tvector.scm 225 */
													obj_t BgL_arg1825z00_3556;

													BgL_arg1825z00_3556 =
														MAKE_YOUNG_PAIR(BCHAR(((unsigned char) 10)), BNIL);
													BgL_arg1823z00_3555 =
														MAKE_YOUNG_PAIR(BgL_arg1819z00_3551,
														BgL_arg1825z00_3556);
												}
												BgL_arg1822z00_3554 =
													MAKE_YOUNG_PAIR(BGl_string2339z00zzcfa_tvectorz00,
													BgL_arg1823z00_3555);
											}
											BgL_arg1821z00_3553 =
												MAKE_YOUNG_PAIR(BgL_arg1817z00_3550,
												BgL_arg1822z00_3554);
										}
										BgL_list1820z00_3552 =
											MAKE_YOUNG_PAIR(BGl_string2340z00zzcfa_tvectorz00,
											BgL_arg1821z00_3553);
									}
									BGl_verbosez00zztools_speekz00(BINT(((long) 2)),
										BgL_list1820z00_3552);
						}}}
						{
							obj_t BgL_l1605z00_5585;

							BgL_l1605z00_5585 = CDR(BgL_l1605z00_3546);
							BgL_l1605z00_3546 = BgL_l1605z00_5585;
							goto BgL_zc3z04anonymousza31815ze3z87_3547;
						}
					}
				else
					{	/* Cfa/tvector.scm 224 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* declare-tvectors */
	obj_t BGl_declarezd2tvectorszd2zzcfa_tvectorz00(obj_t BgL_tvectorz00_41)
	{
		{	/* Cfa/tvector.scm 235 */
			{
				obj_t BgL_l1607z00_3561;

				BgL_l1607z00_3561 = BgL_tvectorz00_41;
			BgL_zc3z04anonymousza31828ze3z87_3562:
				if (PAIRP(BgL_l1607z00_3561))
					{	/* Cfa/tvector.scm 237 */
						{	/* Cfa/tvector.scm 238 */
							obj_t BgL_appz00_3564;

							BgL_appz00_3564 = CAR(BgL_l1607z00_3561);
							{	/* Cfa/tvector.scm 238 */
								BgL_typez00_bglt BgL_typez00_3565;

								BgL_typez00_3565 =
									BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
									((BgL_nodez00_bglt) BgL_appz00_3564));
								{	/* Cfa/tvector.scm 240 */
									bool_t BgL_test2465z00_5592;

									{	/* Cfa/tvector.scm 240 */
										obj_t BgL_arg1838z00_3575;

										BgL_arg1838z00_3575 =
											(((BgL_typez00_bglt) COBJECT(BgL_typez00_3565))->
											BgL_tvectorz00);
										BgL_test2465z00_5592 =
											BGl_isazf3zf3zz__objectz00(BgL_arg1838z00_3575,
											BGl_typez00zztype_typez00);
									}
									if (BgL_test2465z00_5592)
										{	/* Cfa/tvector.scm 240 */
											BFALSE;
										}
									else
										{	/* Cfa/tvector.scm 241 */
											obj_t BgL_tvzd2idzd2_3569;

											{	/* Cfa/tvector.scm 241 */
												obj_t BgL_arg1834z00_3571;

												{	/* Cfa/tvector.scm 241 */
													obj_t BgL_arg1835z00_3572;
													obj_t BgL_arg1836z00_3573;

													{	/* Cfa/tvector.scm 241 */
														obj_t BgL_res2266z00_4664;

														{	/* Cfa/tvector.scm 241 */
															obj_t BgL_symbolz00_4662;

															BgL_symbolz00_4662 = CNST_TABLE_REF(((long) 6));
															{	/* Cfa/tvector.scm 241 */
																obj_t BgL_arg1412z00_4663;

																BgL_arg1412z00_4663 =
																	SYMBOL_TO_STRING(BgL_symbolz00_4662);
																BgL_res2266z00_4664 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1412z00_4663);
														}}
														BgL_arg1835z00_3572 = BgL_res2266z00_4664;
													}
													{	/* Cfa/tvector.scm 241 */
														obj_t BgL_arg1837z00_3574;

														BgL_arg1837z00_3574 =
															(((BgL_typez00_bglt) COBJECT(BgL_typez00_3565))->
															BgL_idz00);
														{	/* Cfa/tvector.scm 241 */
															obj_t BgL_res2267z00_4667;

															{	/* Cfa/tvector.scm 241 */
																obj_t BgL_arg1412z00_4666;

																BgL_arg1412z00_4666 =
																	SYMBOL_TO_STRING(BgL_arg1837z00_3574);
																BgL_res2267z00_4667 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1412z00_4666);
															}
															BgL_arg1836z00_3573 = BgL_res2267z00_4667;
													}}
													BgL_arg1834z00_3571 =
														string_append(BgL_arg1835z00_3572,
														BgL_arg1836z00_3573);
												}
												BgL_tvzd2idzd2_3569 =
													bstring_to_symbol(BgL_arg1834z00_3571);
											}
											{
												obj_t BgL_auxz00_5603;

												{	/* Cfa/tvector.scm 243 */
													obj_t BgL_arg1833z00_3570;

													BgL_arg1833z00_3570 =
														(((BgL_typez00_bglt) COBJECT(BgL_typez00_3565))->
														BgL_idz00);
													BgL_auxz00_5603 =
														BGl_modulezd2tvectorzd2clausez00zzmodule_typez00
														(BgL_tvzd2idzd2_3569, BgL_arg1833z00_3570,
														CNST_TABLE_REF(((long) 7)), BFALSE);
												}
												((((BgL_typez00_bglt) COBJECT(BgL_typez00_3565))->
														BgL_tvectorz00) =
													((obj_t) BgL_auxz00_5603), BUNSPEC);
						}}}}}
						{
							obj_t BgL_l1607z00_5608;

							BgL_l1607z00_5608 = CDR(BgL_l1607z00_3561);
							BgL_l1607z00_3561 = BgL_l1607z00_5608;
							goto BgL_zc3z04anonymousza31828ze3z87_3562;
						}
					}
				else
					{	/* Cfa/tvector.scm 237 */
						((bool_t) 1);
					}
			}
			{	/* Cfa/tvector.scm 246 */
				BgL_typez00_bglt BgL_oldzd2defaultzd2typez00_3578;

				BgL_oldzd2defaultzd2typez00_3578 =
					BGl_getzd2defaultzd2typez00zztype_cachez00();
				BGl_setzd2defaultzd2typez12z12zztype_cachez00(
					((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00));
				{	/* Cfa/tvector.scm 248 */
					obj_t BgL_tvectorzd2unitzd2_3579;

					BgL_tvectorzd2unitzd2_3579 =
						BGl_tvectorzd2finaliza7erz75zzmodule_typez00();
					BGl_pragmazd2finaliza7erz75zzmodule_pragmaz00();
					{	/* Cfa/tvector.scm 250 */
						obj_t BgL_resz00_3580;

						{	/* Cfa/tvector.scm 250 */
							bool_t BgL_test2466z00_5615;

							if (STRUCTP(BgL_tvectorzd2unitzd2_3579))
								{	/* Cfa/tvector.scm 250 */
									BgL_test2466z00_5615 =
										(STRUCT_KEY(BgL_tvectorzd2unitzd2_3579) ==
										CNST_TABLE_REF(((long) 8)));
								}
							else
								{	/* Cfa/tvector.scm 250 */
									BgL_test2466z00_5615 = ((bool_t) 0);
								}
							if (BgL_test2466z00_5615)
								{	/* Cfa/tvector.scm 251 */
									obj_t BgL_astz00_3582;

									{	/* Cfa/tvector.scm 251 */
										obj_t BgL_arg1843z00_3583;

										{	/* Cfa/tvector.scm 251 */
											obj_t BgL_list1844z00_3584;

											BgL_list1844z00_3584 =
												MAKE_YOUNG_PAIR(BgL_tvectorzd2unitzd2_3579, BNIL);
											BgL_arg1843z00_3583 = BgL_list1844z00_3584;
										}
										BgL_astz00_3582 =
											BGl_buildzd2astzd2sanszd2removezd2zzast_buildz00
											(BgL_arg1843z00_3583);
									}
									BgL_resz00_3580 =
										BGl_globaliza7ezd2walkz12z67zzglobaliza7e_walkza7
										(BgL_astz00_3582, CNST_TABLE_REF(((long) 9)));
								}
							else
								{	/* Cfa/tvector.scm 250 */
									BgL_resz00_3580 = BNIL;
								}
						}
						BGl_lvtypezd2astz12zc0zzast_lvtypez00(BgL_resz00_3580);
						BGl_setzd2defaultzd2typez12z12zztype_cachez00
							(BgL_oldzd2defaultzd2typez00_3578);
						return BgL_resz00_3580;
					}
				}
			}
		}

	}



/* patch-tree! */
	bool_t BGl_patchzd2treez12zc0zzcfa_tvectorz00(obj_t BgL_globalsz00_42)
	{
		{	/* Cfa/tvector.scm 265 */
			{
				obj_t BgL_l1609z00_3586;

				BgL_l1609z00_3586 = BgL_globalsz00_42;
			BgL_zc3z04anonymousza31845ze3z87_3587:
				if (PAIRP(BgL_l1609z00_3586))
					{	/* Cfa/tvector.scm 266 */
						BGl_patchzd2funz12zc0zzcfa_tvectorz00(CAR(BgL_l1609z00_3586));
						{
							obj_t BgL_l1609z00_5631;

							BgL_l1609z00_5631 = CDR(BgL_l1609z00_3586);
							BgL_l1609z00_3586 = BgL_l1609z00_5631;
							goto BgL_zc3z04anonymousza31845ze3z87_3587;
						}
					}
				else
					{	/* Cfa/tvector.scm 266 */
						return ((bool_t) 1);
					}
			}
		}

	}



/* patch-fun! */
	obj_t BGl_patchzd2funz12zc0zzcfa_tvectorz00(obj_t BgL_variablez00_43)
	{
		{	/* Cfa/tvector.scm 271 */
			{	/* Cfa/tvector.scm 272 */
				BgL_valuez00_bglt BgL_funz00_3592;

				BgL_funz00_3592 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_43)))->BgL_valuez00);
				{	/* Cfa/tvector.scm 275 */
					obj_t BgL_arg1849z00_3593;

					{	/* Cfa/tvector.scm 275 */
						obj_t BgL_arg1850z00_3594;

						BgL_arg1850z00_3594 =
							(((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_3592)))->BgL_bodyz00);
						BgL_arg1849z00_3593 =
							BGl_patchz12z12zzcfa_tvectorz00(
							((BgL_nodez00_bglt) BgL_arg1850z00_3594));
					}
					return
						((((BgL_sfunz00_bglt) COBJECT(
									((BgL_sfunz00_bglt) BgL_funz00_3592)))->BgL_bodyz00) =
						((obj_t) BgL_arg1849z00_3593), BUNSPEC);
				}
			}
		}

	}



/* patch*! */
	obj_t BGl_patchza2z12zb0zzcfa_tvectorz00(obj_t BgL_nodeza2za2_67)
	{
		{	/* Cfa/tvector.scm 482 */
			{
				obj_t BgL_nodeza2za2_3596;

				BgL_nodeza2za2_3596 = BgL_nodeza2za2_67;
			BgL_zc3z04anonymousza31851ze3z87_3597:
				if (NULLP(BgL_nodeza2za2_3596))
					{	/* Cfa/tvector.scm 484 */
						return CNST_TABLE_REF(((long) 10));
					}
				else
					{	/* Cfa/tvector.scm 484 */
						{	/* Cfa/tvector.scm 487 */
							obj_t BgL_arg1853z00_3599;

							{	/* Cfa/tvector.scm 487 */
								obj_t BgL_arg1854z00_3600;

								BgL_arg1854z00_3600 = CAR(((obj_t) BgL_nodeza2za2_3596));
								BgL_arg1853z00_3599 =
									BGl_patchz12z12zzcfa_tvectorz00(
									((BgL_nodez00_bglt) BgL_arg1854z00_3600));
							}
							{	/* Cfa/tvector.scm 487 */
								obj_t BgL_tmpz00_5648;

								BgL_tmpz00_5648 = ((obj_t) BgL_nodeza2za2_3596);
								SET_CAR(BgL_tmpz00_5648, BgL_arg1853z00_3599);
							}
						}
						{	/* Cfa/tvector.scm 488 */
							obj_t BgL_arg1856z00_3601;

							BgL_arg1856z00_3601 = CDR(((obj_t) BgL_nodeza2za2_3596));
							{
								obj_t BgL_nodeza2za2_5653;

								BgL_nodeza2za2_5653 = BgL_arg1856z00_3601;
								BgL_nodeza2za2_3596 = BgL_nodeza2za2_5653;
								goto BgL_zc3z04anonymousza31851ze3z87_3597;
							}
						}
					}
			}
		}

	}



/* patch-vector?! */
	BgL_nodez00_bglt BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(BgL_appz00_bglt
		BgL_nodez00_70)
	{
		{	/* Cfa/tvector.scm 531 */
			BGl_patchza2z12zb0zzcfa_tvectorz00(
				(((BgL_appz00_bglt) COBJECT(BgL_nodez00_70))->BgL_argsz00));
			{	/* Cfa/tvector.scm 534 */
				BgL_approxz00_bglt BgL_approxz00_3605;

				{	/* Cfa/tvector.scm 534 */
					obj_t BgL_arg1863z00_3612;

					BgL_arg1863z00_3612 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_70))->BgL_argsz00));
					BgL_approxz00_3605 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1863z00_3612));
				}
				{	/* Cfa/tvector.scm 534 */
					BgL_typez00_bglt BgL_typez00_3606;

					BgL_typez00_3606 =
						(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_3605))->BgL_typez00);
					{	/* Cfa/tvector.scm 535 */

						if (
							(((obj_t) BgL_typez00_3606) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/tvector.scm 537 */
								BgL_literalz00_bglt BgL_new1215z00_3608;

								{	/* Cfa/tvector.scm 538 */
									BgL_literalz00_bglt BgL_new1214z00_3610;

									BgL_new1214z00_3610 =
										((BgL_literalz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
													BgL_literalz00_bgl))));
									{	/* Cfa/tvector.scm 538 */
										long BgL_arg1862z00_3611;

										{	/* Cfa/tvector.scm 538 */
											long BgL_res2274z00_4690;

											BgL_res2274z00_4690 =
												BGL_CLASS_INDEX(BGl_literalz00zzast_nodez00);
											BgL_arg1862z00_3611 = BgL_res2274z00_4690;
										}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt) BgL_new1214z00_3610),
											BgL_arg1862z00_3611);
									}
									{	/* Cfa/tvector.scm 538 */
										BgL_objectz00_bglt BgL_tmpz00_5668;

										BgL_tmpz00_5668 =
											((BgL_objectz00_bglt) BgL_new1214z00_3610);
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5668, BFALSE);
									}
									((BgL_objectz00_bglt) BgL_new1214z00_3610);
									BgL_new1215z00_3608 = BgL_new1214z00_3610;
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_new1215z00_3608)))->
										BgL_locz00) =
									((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_nodez00_70)))->BgL_locz00)), BUNSPEC);
								{
									BgL_typez00_bglt BgL_auxz00_5676;

									{	/* Cfa/tvector.scm 539 */
										BgL_typez00_bglt BgL_arg1861z00_3609;

										BgL_arg1861z00_3609 =
											BGl_getzd2typezd2atomz00zztype_typeofz00(BTRUE);
										BgL_auxz00_5676 =
											BGl_strictzd2nodezd2typez00zzast_nodez00
											(BgL_arg1861z00_3609,
											((BgL_typez00_bglt) BGl_za2boolza2z00zztype_cachez00));
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1215z00_3608)))->
											BgL_typez00) =
										((BgL_typez00_bglt) BgL_auxz00_5676), BUNSPEC);
								}
								((((BgL_atomz00_bglt) COBJECT(
												((BgL_atomz00_bglt) BgL_new1215z00_3608)))->
										BgL_valuez00) = ((obj_t) BTRUE), BUNSPEC);
								return ((BgL_nodez00_bglt) BgL_new1215z00_3608);
							}
						else
							{	/* Cfa/tvector.scm 536 */
								return ((BgL_nodez00_bglt) BgL_nodez00_70);
							}
					}
				}
			}
		}

	}



/* patch-vector->list! */
	BgL_nodez00_bglt
		BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(BgL_appz00_bglt
		BgL_nodez00_71)
	{
		{	/* Cfa/tvector.scm 546 */
			BGl_patchza2z12zb0zzcfa_tvectorz00(
				(((BgL_appz00_bglt) COBJECT(BgL_nodez00_71))->BgL_argsz00));
			{	/* Cfa/tvector.scm 549 */
				BgL_approxz00_bglt BgL_approxz00_3616;

				{	/* Cfa/tvector.scm 549 */
					obj_t BgL_arg1878z00_3630;

					BgL_arg1878z00_3630 =
						CAR((((BgL_appz00_bglt) COBJECT(BgL_nodez00_71))->BgL_argsz00));
					BgL_approxz00_3616 =
						BGl_cfaz12z12zzcfa_cfaz00(((BgL_nodez00_bglt) BgL_arg1878z00_3630));
				}
				{	/* Cfa/tvector.scm 549 */
					obj_t BgL_tvz00_3617;

					BgL_tvz00_3617 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_3616,
						((obj_t) BgL_nodez00_71));
					{	/* Cfa/tvector.scm 550 */

						if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_3617,
								BGl_tvecz00zztvector_tvectorz00))
							{	/* Cfa/tvector.scm 552 */
								obj_t BgL_tvzd2ze3listz31_3619;

								{	/* Cfa/tvector.scm 552 */
									obj_t BgL_arg1874z00_3626;

									{	/* Cfa/tvector.scm 552 */
										obj_t BgL_arg1875z00_3627;
										obj_t BgL_arg1876z00_3628;

										{	/* Cfa/tvector.scm 552 */
											obj_t BgL_arg1877z00_3629;

											BgL_arg1877z00_3629 =
												(((BgL_typez00_bglt) COBJECT(
														((BgL_typez00_bglt)
															((BgL_typez00_bglt) BgL_tvz00_3617))))->
												BgL_idz00);
											{	/* Cfa/tvector.scm 552 */
												obj_t BgL_res2276z00_4699;

												{	/* Cfa/tvector.scm 552 */
													obj_t BgL_arg1412z00_4698;

													BgL_arg1412z00_4698 =
														SYMBOL_TO_STRING(BgL_arg1877z00_3629);
													BgL_res2276z00_4699 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1412z00_4698);
												}
												BgL_arg1875z00_3627 = BgL_res2276z00_4699;
											}
										}
										{	/* Cfa/tvector.scm 552 */
											obj_t BgL_res2277z00_4702;

											{	/* Cfa/tvector.scm 552 */
												obj_t BgL_symbolz00_4700;

												BgL_symbolz00_4700 = CNST_TABLE_REF(((long) 11));
												{	/* Cfa/tvector.scm 552 */
													obj_t BgL_arg1412z00_4701;

													BgL_arg1412z00_4701 =
														SYMBOL_TO_STRING(BgL_symbolz00_4700);
													BgL_res2277z00_4702 =
														BGl_stringzd2copyzd2zz__r4_strings_6_7z00
														(BgL_arg1412z00_4701);
											}}
											BgL_arg1876z00_3628 = BgL_res2277z00_4702;
										}
										BgL_arg1874z00_3626 =
											string_append(BgL_arg1875z00_3627, BgL_arg1876z00_3628);
									}
									BgL_tvzd2ze3listz31_3619 =
										bstring_to_symbol(BgL_arg1874z00_3626);
								}
								{	/* Cfa/tvector.scm 552 */
									BgL_nodez00_bglt BgL_newzd2nodezd2_3620;

									{	/* Cfa/tvector.scm 553 */
										obj_t BgL_arg1870z00_3622;
										obj_t BgL_arg1871z00_3623;

										BgL_arg1870z00_3622 =
											MAKE_YOUNG_PAIR(BgL_tvzd2ze3listz31_3619,
											BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
												(((BgL_appz00_bglt) COBJECT(BgL_nodez00_71))->
													BgL_argsz00), BNIL));
										BgL_arg1871z00_3623 =
											(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_nodez00_71)))->BgL_locz00);
										BgL_newzd2nodezd2_3620 =
											BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1870z00_3622,
											BNIL, BgL_arg1871z00_3623, CNST_TABLE_REF(((long) 12)));
									}
									{	/* Cfa/tvector.scm 553 */

										{	/* Cfa/tvector.scm 557 */
											BgL_typez00_bglt BgL_arg1868z00_3621;

											BgL_arg1868z00_3621 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_nodez00_71)))->BgL_typez00);
											((((BgL_nodez00_bglt) COBJECT(BgL_newzd2nodezd2_3620))->
													BgL_typez00) =
												((BgL_typez00_bglt) BgL_arg1868z00_3621), BUNSPEC);
										}
										return BgL_newzd2nodezd2_3620;
									}
								}
							}
						else
							{	/* Cfa/tvector.scm 551 */
								return ((BgL_nodez00_bglt) BgL_nodez00_71);
							}
					}
				}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_proc2341z00zzcfa_tvectorz00, BGl_nodez00zzast_nodez00,
				BGl_string2342z00zzcfa_tvectorz00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_proc2343z00zzcfa_tvectorz00,
				BGl_nodez00zzast_nodez00, BGl_string2344z00zzcfa_tvectorz00);
		}

	}



/* &patch!1626 */
	obj_t BGl_z62patchz121626z70zzcfa_tvectorz00(obj_t BgL_envz00_4955,
		obj_t BgL_nodez00_4956)
	{
		{	/* Cfa/tvector.scm 280 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 13)),
				BGl_string2345z00zzcfa_tvectorz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4956)));
		}

	}



/* &get-vector-item-type1620 */
	obj_t BGl_z62getzd2vectorzd2itemzd2type1620zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_4957, obj_t BgL_nodez00_4958)
	{
		{	/* Cfa/tvector.scm 199 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 14)),
				BGl_string2345z00zzcfa_tvectorz00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4958)));
		}

	}



/* get-vector-item-type */
	BGL_EXPORTED_DEF BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt
		BgL_nodez00_37)
	{
		{	/* Cfa/tvector.scm 199 */
			{	/* Cfa/tvector.scm 199 */
				obj_t BgL_method1621z00_3640;

				{	/* Cfa/tvector.scm 199 */
					obj_t BgL_res2289z00_4744;

					{	/* Cfa/tvector.scm 199 */
						long BgL_objzd2classzd2numz00_4709;

						{	/* Cfa/tvector.scm 199 */
							long BgL_res2279z00_4712;

							BgL_res2279z00_4712 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_37));
							BgL_objzd2classzd2numz00_4709 = BgL_res2279z00_4712;
						}
						{	/* Cfa/tvector.scm 199 */
							obj_t BgL_arg1742z00_4710;

							BgL_arg1742z00_4710 =
								PROCEDURE_REF
								(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
								(int) (((long) 1)));
							{	/* Cfa/tvector.scm 199 */
								int BgL_offsetz00_4714;

								BgL_offsetz00_4714 = (int) (BgL_objzd2classzd2numz00_4709);
								{	/* Cfa/tvector.scm 199 */
									long BgL_offsetz00_4715;

									BgL_offsetz00_4715 =
										((long) (BgL_offsetz00_4714) - OBJECT_TYPE);
									{	/* Cfa/tvector.scm 199 */
										long BgL_modz00_4716;

										BgL_modz00_4716 =
											(BgL_offsetz00_4715 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/tvector.scm 199 */
											long BgL_restz00_4718;

											BgL_restz00_4718 =
												(BgL_offsetz00_4715 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/tvector.scm 199 */

												{	/* Cfa/tvector.scm 199 */
													obj_t BgL_bucketz00_4720;

													BgL_bucketz00_4720 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_4710), BgL_modz00_4716);
													BgL_res2289z00_4744 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4720), BgL_restz00_4718);
					}}}}}}}}
					BgL_method1621z00_3640 = BgL_res2289z00_4744;
				}
				return
					((BgL_typez00_bglt)
					PROCEDURE_ENTRY(BgL_method1621z00_3640) (BgL_method1621z00_3640,
						((obj_t) BgL_nodez00_37), BEOA));
			}
		}

	}



/* &get-vector-item-type */
	BgL_typez00_bglt BGl_z62getzd2vectorzd2itemzd2typezb0zzcfa_tvectorz00(obj_t
		BgL_envz00_4959, obj_t BgL_nodez00_4960)
	{
		{	/* Cfa/tvector.scm 199 */
			return
				BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
				((BgL_nodez00_bglt) BgL_nodez00_4960));
		}

	}



/* patch! */
	obj_t BGl_patchz12z12zzcfa_tvectorz00(BgL_nodez00_bglt BgL_nodez00_44)
	{
		{	/* Cfa/tvector.scm 280 */
			{	/* Cfa/tvector.scm 280 */
				obj_t BgL_method1627z00_3641;

				{	/* Cfa/tvector.scm 280 */
					obj_t BgL_res2300z00_4781;

					{	/* Cfa/tvector.scm 280 */
						long BgL_objzd2classzd2numz00_4746;

						{	/* Cfa/tvector.scm 280 */
							long BgL_res2290z00_4749;

							BgL_res2290z00_4749 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_44));
							BgL_objzd2classzd2numz00_4746 = BgL_res2290z00_4749;
						}
						{	/* Cfa/tvector.scm 280 */
							obj_t BgL_arg1742z00_4747;

							BgL_arg1742z00_4747 =
								PROCEDURE_REF(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
								(int) (((long) 1)));
							{	/* Cfa/tvector.scm 280 */
								int BgL_offsetz00_4751;

								BgL_offsetz00_4751 = (int) (BgL_objzd2classzd2numz00_4746);
								{	/* Cfa/tvector.scm 280 */
									long BgL_offsetz00_4752;

									BgL_offsetz00_4752 =
										((long) (BgL_offsetz00_4751) - OBJECT_TYPE);
									{	/* Cfa/tvector.scm 280 */
										long BgL_modz00_4753;

										BgL_modz00_4753 =
											(BgL_offsetz00_4752 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/tvector.scm 280 */
											long BgL_restz00_4755;

											BgL_restz00_4755 =
												(BgL_offsetz00_4752 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/tvector.scm 280 */

												{	/* Cfa/tvector.scm 280 */
													obj_t BgL_bucketz00_4757;

													BgL_bucketz00_4757 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_4747), BgL_modz00_4753);
													BgL_res2300z00_4781 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4757), BgL_restz00_4755);
					}}}}}}}}
					BgL_method1627z00_3641 = BgL_res2300z00_4781;
				}
				return
					PROCEDURE_ENTRY(BgL_method1627z00_3641) (BgL_method1627z00_3641,
					((obj_t) BgL_nodez00_44), BEOA);
			}
		}

	}



/* &patch! */
	obj_t BGl_z62patchz12z70zzcfa_tvectorz00(obj_t BgL_envz00_4961,
		obj_t BgL_nodez00_4962)
	{
		{	/* Cfa/tvector.scm 280 */
			return
				BGl_patchz12z12zzcfa_tvectorz00(((BgL_nodez00_bglt) BgL_nodez00_4962));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2346z00zzcfa_tvectorz00, BGl_string2347z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_getzd2vectorzd2itemzd2typezd2envz00zzcfa_tvectorz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2348z00zzcfa_tvectorz00, BGl_string2347z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_atomz00zzast_nodez00,
				BGl_proc2349z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_kwotez00zzast_nodez00,
				BGl_proc2351z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_kwotezf2nodezf2zzcfa_infoz00, BGl_proc2352z00zzcfa_tvectorz00,
				BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_varz00zzast_nodez00,
				BGl_proc2353z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_closurez00zzast_nodez00,
				BGl_proc2354z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_sequencez00zzast_nodez00,
				BGl_proc2355z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_syncz00zzast_nodez00,
				BGl_proc2356z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2357z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_funcallz00zzast_nodez00,
				BGl_proc2358z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_externz00zzast_nodez00,
				BGl_proc2359z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_castz00zzast_nodez00,
				BGl_proc2360z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_setqz00zzast_nodez00,
				BGl_proc2361z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_conditionalz00zzast_nodez00,
				BGl_proc2362z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_failz00zzast_nodez00,
				BGl_proc2363z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_switchz00zzast_nodez00,
				BGl_proc2364z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_letzd2funzd2zzast_nodez00,
				BGl_proc2365z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_letzd2varzd2zzast_nodez00,
				BGl_proc2366z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2367z00zzcfa_tvectorz00,
				BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2368z00zzcfa_tvectorz00,
				BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_makezd2boxzd2zzast_nodez00,
				BGl_proc2369z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2370z00zzcfa_tvectorz00,
				BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_boxzd2refzd2zzast_nodez00,
				BGl_proc2371z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_appz00zzast_nodez00,
				BGl_proc2372z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00, BGl_vlengthz00zzast_nodez00,
				BGl_proc2373z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_makezd2vectorzd2appz00zzcfa_info2z00,
				BGl_proc2374z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00,
				BGl_proc2375z00zzcfa_tvectorz00, BGl_string2350z00zzcfa_tvectorz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_vrefzf2Cinfozf2zzcfa_info3z00, BGl_proc2376z00zzcfa_tvectorz00,
				BGl_string2350z00zzcfa_tvectorz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_patchz12zd2envzc0zzcfa_tvectorz00,
				BGl_vsetz12zf2Cinfoze0zzcfa_info3z00, BGl_proc2377z00zzcfa_tvectorz00,
				BGl_string2350z00zzcfa_tvectorz00);
		}

	}



/* &patch!-vset!/Cinfo1684 */
	obj_t BGl_z62patchz12zd2vsetz12zf2Cinfo1684z42zzcfa_tvectorz00(obj_t
		BgL_envz00_4993, obj_t BgL_nodez00_4994)
	{
		{	/* Cfa/tvector.scm 626 */
			{
				BgL_nodez00_bglt BgL_auxz00_5822;

				{	/* Cfa/tvector.scm 628 */
					obj_t BgL_arg2027z00_5071;

					BgL_arg2027z00_5071 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_4994))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2027z00_5071);
				}
				{	/* Cfa/tvector.scm 629 */
					bool_t BgL_test2472z00_5827;

					{
						BgL_vsetz12zf2cinfoze0_bglt BgL_auxz00_5828;

						{
							obj_t BgL_auxz00_5829;

							{	/* Cfa/tvector.scm 629 */
								BgL_objectz00_bglt BgL_tmpz00_5830;

								BgL_tmpz00_5830 =
									((BgL_objectz00_bglt)
									((BgL_vsetz12z12_bglt) BgL_nodez00_4994));
								BgL_auxz00_5829 = BGL_OBJECT_WIDENING(BgL_tmpz00_5830);
							}
							BgL_auxz00_5828 = ((BgL_vsetz12zf2cinfoze0_bglt) BgL_auxz00_5829);
						}
						BgL_test2472z00_5827 =
							(((BgL_vsetz12zf2cinfoze0_bglt) COBJECT(BgL_auxz00_5828))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2472z00_5827)
						{	/* Cfa/tvector.scm 629 */
							BgL_auxz00_5822 =
								((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_4994));
						}
					else
						{	/* Cfa/tvector.scm 631 */
							BgL_approxz00_bglt BgL_veczd2approxzd2_5072;

							{	/* Cfa/tvector.scm 631 */
								obj_t BgL_arg2040z00_5073;

								{	/* Cfa/tvector.scm 631 */
									obj_t BgL_pairz00_5074;

									BgL_pairz00_5074 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vsetz12z12_bglt) BgL_nodez00_4994))))->
										BgL_exprza2za2);
									BgL_arg2040z00_5073 = CAR(BgL_pairz00_5074);
								}
								BgL_veczd2approxzd2_5072 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg2040z00_5073));
							}
							{	/* Cfa/tvector.scm 631 */
								obj_t BgL_tvz00_5075;

								BgL_tvz00_5075 =
									BGl_getzd2approxzd2typez00zzcfa_typez00
									(BgL_veczd2approxzd2_5072,
									((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_4994)));
								{	/* Cfa/tvector.scm 632 */

									if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_5075,
											BGl_tvecz00zztvector_tvectorz00))
										{	/* Cfa/tvector.scm 635 */
											obj_t BgL_tvzd2setz12zc0_5076;

											{	/* Cfa/tvector.scm 635 */
												obj_t BgL_arg2036z00_5077;

												{	/* Cfa/tvector.scm 635 */
													obj_t BgL_arg2037z00_5078;
													obj_t BgL_arg2038z00_5079;

													{	/* Cfa/tvector.scm 635 */
														obj_t BgL_arg2039z00_5080;

														BgL_arg2039z00_5080 =
															(((BgL_typez00_bglt) COBJECT(
																	((BgL_typez00_bglt)
																		((BgL_typez00_bglt) BgL_tvz00_5075))))->
															BgL_idz00);
														{	/* Cfa/tvector.scm 635 */
															obj_t BgL_res2335z00_5081;

															{	/* Cfa/tvector.scm 635 */
																obj_t BgL_arg1412z00_5082;

																BgL_arg1412z00_5082 =
																	SYMBOL_TO_STRING(BgL_arg2039z00_5080);
																BgL_res2335z00_5081 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1412z00_5082);
															}
															BgL_arg2037z00_5078 = BgL_res2335z00_5081;
														}
													}
													{	/* Cfa/tvector.scm 635 */
														obj_t BgL_res2336z00_5083;

														{	/* Cfa/tvector.scm 635 */
															obj_t BgL_symbolz00_5084;

															BgL_symbolz00_5084 = CNST_TABLE_REF(((long) 15));
															{	/* Cfa/tvector.scm 635 */
																obj_t BgL_arg1412z00_5085;

																BgL_arg1412z00_5085 =
																	SYMBOL_TO_STRING(BgL_symbolz00_5084);
																BgL_res2336z00_5083 =
																	BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																	(BgL_arg1412z00_5085);
														}}
														BgL_arg2038z00_5079 = BgL_res2336z00_5083;
													}
													BgL_arg2036z00_5077 =
														string_append(BgL_arg2037z00_5078,
														BgL_arg2038z00_5079);
												}
												BgL_tvzd2setz12zc0_5076 =
													bstring_to_symbol(BgL_arg2036z00_5077);
											}
											{	/* Cfa/tvector.scm 635 */
												BgL_nodez00_bglt BgL_newzd2nodezd2_5086;

												{	/* Cfa/tvector.scm 636 */
													obj_t BgL_arg2030z00_5087;
													obj_t BgL_arg2032z00_5088;

													{	/* Cfa/tvector.scm 636 */
														obj_t BgL_arg2033z00_5089;

														BgL_arg2033z00_5089 =
															BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
															(((BgL_externz00_bglt) COBJECT(
																		((BgL_externz00_bglt)
																			((BgL_vsetz12z12_bglt)
																				BgL_nodez00_4994))))->BgL_exprza2za2),
															BNIL);
														BgL_arg2030z00_5087 =
															MAKE_YOUNG_PAIR(BgL_tvzd2setz12zc0_5076,
															BgL_arg2033z00_5089);
													}
													BgL_arg2032z00_5088 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt)
																	((BgL_vsetz12z12_bglt) BgL_nodez00_4994))))->
														BgL_locz00);
													BgL_newzd2nodezd2_5086 =
														BGl_sexpzd2ze3nodez31zzast_sexpz00
														(BgL_arg2030z00_5087, BNIL, BgL_arg2032z00_5088,
														CNST_TABLE_REF(((long) 12)));
												}
												{	/* Cfa/tvector.scm 636 */

													BgL_auxz00_5822 =
														BGl_inlinezd2nodezd2zzinline_inlinez00
														(BgL_newzd2nodezd2_5086, ((long) 1), BNIL);
										}}}
									else
										{	/* Cfa/tvector.scm 633 */
											BgL_auxz00_5822 =
												((BgL_nodez00_bglt)
												((BgL_vsetz12z12_bglt) BgL_nodez00_4994));
										}
								}
							}
						}
				}
				return ((obj_t) BgL_auxz00_5822);
			}
		}

	}



/* &patch!-vref/Cinfo1682 */
	obj_t BGl_z62patchz12zd2vrefzf2Cinfo1682z50zzcfa_tvectorz00(obj_t
		BgL_envz00_4995, obj_t BgL_nodez00_4996)
	{
		{	/* Cfa/tvector.scm 603 */
			{
				BgL_nodez00_bglt BgL_auxz00_5873;

				{	/* Cfa/tvector.scm 605 */
					obj_t BgL_arg2009z00_5091;

					BgL_arg2009z00_5091 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_4996))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg2009z00_5091);
				}
				{	/* Cfa/tvector.scm 606 */
					bool_t BgL_test2474z00_5878;

					{
						BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5879;

						{
							obj_t BgL_auxz00_5880;

							{	/* Cfa/tvector.scm 606 */
								BgL_objectz00_bglt BgL_tmpz00_5881;

								BgL_tmpz00_5881 =
									((BgL_objectz00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4996));
								BgL_auxz00_5880 = BGL_OBJECT_WIDENING(BgL_tmpz00_5881);
							}
							BgL_auxz00_5879 = ((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5880);
						}
						BgL_test2474z00_5878 =
							(((BgL_vrefzf2cinfozf2_bglt) COBJECT(BgL_auxz00_5879))->
							BgL_tvectorzf3zf3);
					}
					if (BgL_test2474z00_5878)
						{	/* Cfa/tvector.scm 607 */
							BgL_typez00_bglt BgL_tyz00_5092;

							BgL_tyz00_5092 =
								(((BgL_vrefz00_bglt) COBJECT(
										((BgL_vrefz00_bglt)
											((BgL_vrefz00_bglt) BgL_nodez00_4996))))->BgL_ftypez00);
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_vrefz00_bglt) BgL_nodez00_4996))))->BgL_typez00) =
								((BgL_typez00_bglt) BgL_tyz00_5092), BUNSPEC);
							BgL_auxz00_5873 =
								((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_4996));
						}
					else
						{	/* Cfa/tvector.scm 610 */
							BgL_approxz00_bglt BgL_veczd2approxzd2_5093;

							{	/* Cfa/tvector.scm 610 */
								obj_t BgL_arg2025z00_5094;

								{	/* Cfa/tvector.scm 610 */
									obj_t BgL_pairz00_5095;

									BgL_pairz00_5095 =
										(((BgL_externz00_bglt) COBJECT(
												((BgL_externz00_bglt)
													((BgL_vrefz00_bglt) BgL_nodez00_4996))))->
										BgL_exprza2za2);
									BgL_arg2025z00_5094 = CAR(BgL_pairz00_5095);
								}
								BgL_veczd2approxzd2_5093 =
									BGl_cfaz12z12zzcfa_cfaz00(
									((BgL_nodez00_bglt) BgL_arg2025z00_5094));
							}
							{	/* Cfa/tvector.scm 610 */
								obj_t BgL_tvz00_5096;

								BgL_tvz00_5096 =
									BGl_getzd2approxzd2typez00zzcfa_typez00
									(BgL_veczd2approxzd2_5093,
									((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4996)));
								{	/* Cfa/tvector.scm 611 */

									if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_5096,
											BGl_tvecz00zztvector_tvectorz00))
										{	/* Cfa/tvector.scm 617 */
											obj_t BgL_tyz00_5097;

											{	/* Cfa/tvector.scm 617 */
												BgL_approxz00_bglt BgL_arg2023z00_5098;

												{
													BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5906;

													{
														obj_t BgL_auxz00_5907;

														{	/* Cfa/tvector.scm 617 */
															BgL_objectz00_bglt BgL_tmpz00_5908;

															BgL_tmpz00_5908 =
																((BgL_objectz00_bglt)
																((BgL_vrefz00_bglt) BgL_nodez00_4996));
															BgL_auxz00_5907 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5908);
														}
														BgL_auxz00_5906 =
															((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5907);
													}
													BgL_arg2023z00_5098 =
														(((BgL_vrefzf2cinfozf2_bglt)
															COBJECT(BgL_auxz00_5906))->BgL_approxz00);
												}
												BgL_tyz00_5097 =
													BGl_getzd2approxzd2typez00zzcfa_typez00
													(BgL_arg2023z00_5098,
													((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4996)));
											}
											{	/* Cfa/tvector.scm 617 */
												obj_t BgL_tvzd2refzd2_5099;

												{	/* Cfa/tvector.scm 618 */
													obj_t BgL_arg2019z00_5100;

													{	/* Cfa/tvector.scm 618 */
														obj_t BgL_arg2020z00_5101;
														obj_t BgL_arg2021z00_5102;

														{	/* Cfa/tvector.scm 618 */
															obj_t BgL_arg2022z00_5103;

															BgL_arg2022z00_5103 =
																(((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt)
																			((BgL_typez00_bglt) BgL_tvz00_5096))))->
																BgL_idz00);
															{	/* Cfa/tvector.scm 618 */
																obj_t BgL_res2331z00_5104;

																{	/* Cfa/tvector.scm 618 */
																	obj_t BgL_arg1412z00_5105;

																	BgL_arg1412z00_5105 =
																		SYMBOL_TO_STRING(BgL_arg2022z00_5103);
																	BgL_res2331z00_5104 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1412z00_5105);
																}
																BgL_arg2020z00_5101 = BgL_res2331z00_5104;
															}
														}
														{	/* Cfa/tvector.scm 618 */
															obj_t BgL_res2332z00_5106;

															{	/* Cfa/tvector.scm 618 */
																obj_t BgL_symbolz00_5107;

																BgL_symbolz00_5107 =
																	CNST_TABLE_REF(((long) 16));
																{	/* Cfa/tvector.scm 618 */
																	obj_t BgL_arg1412z00_5108;

																	BgL_arg1412z00_5108 =
																		SYMBOL_TO_STRING(BgL_symbolz00_5107);
																	BgL_res2332z00_5106 =
																		BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																		(BgL_arg1412z00_5108);
															}}
															BgL_arg2021z00_5102 = BgL_res2332z00_5106;
														}
														BgL_arg2019z00_5100 =
															string_append(BgL_arg2020z00_5101,
															BgL_arg2021z00_5102);
													}
													BgL_tvzd2refzd2_5099 =
														bstring_to_symbol(BgL_arg2019z00_5100);
												}
												{	/* Cfa/tvector.scm 618 */
													BgL_nodez00_bglt BgL_newzd2nodezd2_5109;

													{	/* Cfa/tvector.scm 619 */
														obj_t BgL_arg2015z00_5110;
														obj_t BgL_arg2016z00_5111;

														{	/* Cfa/tvector.scm 619 */
															obj_t BgL_arg2017z00_5112;

															BgL_arg2017z00_5112 =
																BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
																(((BgL_externz00_bglt) COBJECT(
																			((BgL_externz00_bglt)
																				((BgL_vrefz00_bglt)
																					BgL_nodez00_4996))))->BgL_exprza2za2),
																BNIL);
															BgL_arg2015z00_5110 =
																MAKE_YOUNG_PAIR(BgL_tvzd2refzd2_5099,
																BgL_arg2017z00_5112);
														}
														BgL_arg2016z00_5111 =
															(((BgL_nodez00_bglt) COBJECT(
																	((BgL_nodez00_bglt)
																		((BgL_vrefz00_bglt) BgL_nodez00_4996))))->
															BgL_locz00);
														BgL_newzd2nodezd2_5109 =
															BGl_sexpzd2ze3nodez31zzast_sexpz00
															(BgL_arg2015z00_5110, BNIL, BgL_arg2016z00_5111,
															CNST_TABLE_REF(((long) 12)));
													}
													{	/* Cfa/tvector.scm 619 */

														{	/* Cfa/tvector.scm 620 */
															BgL_typez00_bglt BgL_arg2012z00_5113;

															BgL_arg2012z00_5113 =
																BGl_strictzd2nodezd2typez00zzast_nodez00(
																((BgL_typez00_bglt)
																	((BgL_typez00_bglt) BgL_tvz00_5096)),
																((BgL_typez00_bglt) BgL_tyz00_5097));
															((((BgL_nodez00_bglt)
																		COBJECT(BgL_newzd2nodezd2_5109))->
																	BgL_typez00) =
																((BgL_typez00_bglt) BgL_arg2012z00_5113),
																BUNSPEC);
														}
														BgL_auxz00_5873 =
															BGl_inlinezd2nodezd2zzinline_inlinez00
															(BgL_newzd2nodezd2_5109, ((long) 1), BNIL);
										}}}}
									else
										{	/* Cfa/tvector.scm 613 */
											obj_t BgL_tyz00_5114;

											{	/* Cfa/tvector.scm 613 */
												BgL_approxz00_bglt BgL_arg2024z00_5115;

												{
													BgL_vrefzf2cinfozf2_bglt BgL_auxz00_5943;

													{
														obj_t BgL_auxz00_5944;

														{	/* Cfa/tvector.scm 613 */
															BgL_objectz00_bglt BgL_tmpz00_5945;

															BgL_tmpz00_5945 =
																((BgL_objectz00_bglt)
																((BgL_vrefz00_bglt) BgL_nodez00_4996));
															BgL_auxz00_5944 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5945);
														}
														BgL_auxz00_5943 =
															((BgL_vrefzf2cinfozf2_bglt) BgL_auxz00_5944);
													}
													BgL_arg2024z00_5115 =
														(((BgL_vrefzf2cinfozf2_bglt)
															COBJECT(BgL_auxz00_5943))->BgL_approxz00);
												}
												BgL_tyz00_5114 =
													BGl_getzd2approxzd2typez00zzcfa_typez00
													(BgL_arg2024z00_5115,
													((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_4996)));
											}
											((((BgL_vrefz00_bglt) COBJECT(
															((BgL_vrefz00_bglt)
																((BgL_vrefz00_bglt) BgL_nodez00_4996))))->
													BgL_ftypez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_tyz00_5114)), BUNSPEC);
											((((BgL_nodez00_bglt)
														COBJECT(((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
																	BgL_nodez00_4996))))->BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_tyz00_5114)), BUNSPEC);
											BgL_auxz00_5873 =
												((BgL_nodez00_bglt) ((BgL_vrefz00_bglt)
													BgL_nodez00_4996));
										}
								}
							}
						}
				}
				return ((obj_t) BgL_auxz00_5873);
			}
		}

	}



/* &patch!-valloc/Cinfo+1680 */
	obj_t BGl_z62patchz12zd2valloczf2Cinfozb21680ze2zzcfa_tvectorz00(obj_t
		BgL_envz00_4997, obj_t BgL_nodez00_4998)
	{
		{	/* Cfa/tvector.scm 582 */
			{
				BgL_nodez00_bglt BgL_auxz00_5965;

				{	/* Cfa/tvector.scm 584 */
					obj_t BgL_arg1992z00_5117;

					BgL_arg1992z00_5117 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_4998))))->BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg1992z00_5117);
				}
				{	/* Cfa/tvector.scm 585 */
					BgL_typez00_bglt BgL_typez00_5118;

					{	/* Cfa/tvector.scm 585 */
						BgL_approxz00_bglt BgL_arg2008z00_5119;

						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_5970;

							{
								obj_t BgL_auxz00_5971;

								{	/* Cfa/tvector.scm 585 */
									BgL_objectz00_bglt BgL_tmpz00_5972;

									BgL_tmpz00_5972 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_4998));
									BgL_auxz00_5971 = BGL_OBJECT_WIDENING(BgL_tmpz00_5972);
								}
								BgL_auxz00_5970 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_5971);
							}
							BgL_arg2008z00_5119 =
								(((BgL_valloczf2cinfozb2optimz40_bglt)
									COBJECT(BgL_auxz00_5970))->BgL_valuezd2approxzd2);
						}
						BgL_typez00_5118 =
							(((BgL_approxz00_bglt) COBJECT(BgL_arg2008z00_5119))->
							BgL_typez00);
					}
					{	/* Cfa/tvector.scm 585 */
						obj_t BgL_tvz00_5120;

						BgL_tvz00_5120 =
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_5118))->BgL_tvectorz00);
						{	/* Cfa/tvector.scm 586 */

							{	/* Cfa/tvector.scm 587 */
								bool_t BgL_test2476z00_5980;

								if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_5120,
										BGl_typez00zztype_typez00))
									{	/* Cfa/tvector.scm 587 */
										BgL_typez00_bglt BgL_arg2007z00_5121;

										BgL_arg2007z00_5121 =
											(((BgL_vallocz00_bglt) COBJECT(
													((BgL_vallocz00_bglt)
														((BgL_vallocz00_bglt) BgL_nodez00_4998))))->
											BgL_ftypez00);
										BgL_test2476z00_5980 =
											(((obj_t) BgL_arg2007z00_5121) ==
											BGl_za2_za2z00zztype_cachez00);
									}
								else
									{	/* Cfa/tvector.scm 587 */
										BgL_test2476z00_5980 = ((bool_t) 0);
									}
								if (BgL_test2476z00_5980)
									{	/* Cfa/tvector.scm 588 */
										obj_t BgL_createzd2tvzd2_5122;

										{	/* Cfa/tvector.scm 588 */
											obj_t BgL_arg2001z00_5123;

											{	/* Cfa/tvector.scm 588 */
												obj_t BgL_arg2003z00_5124;
												obj_t BgL_arg2004z00_5125;

												{	/* Cfa/tvector.scm 588 */
													obj_t BgL_res2327z00_5126;

													{	/* Cfa/tvector.scm 588 */
														obj_t BgL_symbolz00_5127;

														BgL_symbolz00_5127 = CNST_TABLE_REF(((long) 17));
														{	/* Cfa/tvector.scm 588 */
															obj_t BgL_arg1412z00_5128;

															BgL_arg1412z00_5128 =
																SYMBOL_TO_STRING(BgL_symbolz00_5127);
															BgL_res2327z00_5126 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1412z00_5128);
													}}
													BgL_arg2003z00_5124 = BgL_res2327z00_5126;
												}
												{	/* Cfa/tvector.scm 588 */
													obj_t BgL_arg2005z00_5129;

													BgL_arg2005z00_5129 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt) BgL_tvz00_5120)))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 588 */
														obj_t BgL_res2328z00_5130;

														{	/* Cfa/tvector.scm 588 */
															obj_t BgL_arg1412z00_5131;

															BgL_arg1412z00_5131 =
																SYMBOL_TO_STRING(BgL_arg2005z00_5129);
															BgL_res2328z00_5130 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1412z00_5131);
														}
														BgL_arg2004z00_5125 = BgL_res2328z00_5130;
												}}
												BgL_arg2001z00_5123 =
													string_append(BgL_arg2003z00_5124,
													BgL_arg2004z00_5125);
											}
											BgL_createzd2tvzd2_5122 =
												bstring_to_symbol(BgL_arg2001z00_5123);
										}
										{	/* Cfa/tvector.scm 588 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_5132;

											{	/* Cfa/tvector.scm 589 */
												obj_t BgL_arg1996z00_5133;
												obj_t BgL_arg1997z00_5134;

												{	/* Cfa/tvector.scm 589 */
													obj_t BgL_arg1998z00_5135;

													BgL_arg1998z00_5135 =
														BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
														(((BgL_externz00_bglt) COBJECT(
																	((BgL_externz00_bglt)
																		((BgL_vallocz00_bglt) BgL_nodez00_4998))))->
															BgL_exprza2za2), BNIL);
													BgL_arg1996z00_5133 =
														MAKE_YOUNG_PAIR(BgL_createzd2tvzd2_5122,
														BgL_arg1998z00_5135);
												}
												BgL_arg1997z00_5134 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_4998))))->
													BgL_locz00);
												BgL_newzd2nodezd2_5132 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg1996z00_5133, BNIL, BgL_arg1997z00_5134,
													CNST_TABLE_REF(((long) 12)));
											}
											{	/* Cfa/tvector.scm 589 */

												{	/* Cfa/tvector.scm 593 */
													BgL_nodez00_bglt BgL_nz00_5136;

													BgL_nz00_5136 =
														BGl_inlinezd2nodezd2zzinline_inlinez00
														(BgL_newzd2nodezd2_5132, ((long) 1), BNIL);
													BGl_lvtypezd2nodez12zc0zzast_lvtypez00(BgL_nz00_5136);
													BgL_auxz00_5965 = BgL_nz00_5136;
									}}}}
								else
									{	/* Cfa/tvector.scm 587 */
										{
											BgL_typez00_bglt BgL_auxz00_6009;

											{	/* Cfa/tvector.scm 597 */
												BgL_approxz00_bglt BgL_arg2006z00_5137;

												{
													BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_6012;

													{
														obj_t BgL_auxz00_6013;

														{	/* Cfa/tvector.scm 597 */
															BgL_objectz00_bglt BgL_tmpz00_6014;

															BgL_tmpz00_6014 =
																((BgL_objectz00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_4998));
															BgL_auxz00_6013 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_6014);
														}
														BgL_auxz00_6012 =
															((BgL_valloczf2cinfozb2optimz40_bglt)
															BgL_auxz00_6013);
													}
													BgL_arg2006z00_5137 =
														(((BgL_valloczf2cinfozb2optimz40_bglt)
															COBJECT(BgL_auxz00_6012))->BgL_valuezd2approxzd2);
												}
												BgL_auxz00_6009 =
													((BgL_typez00_bglt)
													BGl_getzd2approxzd2typez00zzcfa_typez00
													(BgL_arg2006z00_5137,
														((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_4998))));
											}
											((((BgL_vallocz00_bglt) COBJECT(
															((BgL_vallocz00_bglt)
																((BgL_vallocz00_bglt) BgL_nodez00_4998))))->
													BgL_ftypez00) =
												((BgL_typez00_bglt) BgL_auxz00_6009), BUNSPEC);
										}
										BgL_auxz00_5965 =
											((BgL_nodez00_bglt)
											((BgL_vallocz00_bglt) BgL_nodez00_4998));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_5965);
			}
		}

	}



/* &patch!-make-vector-a1678 */
	obj_t BGl_z62patchz12zd2makezd2vectorzd2a1678za2zzcfa_tvectorz00(obj_t
		BgL_envz00_4999, obj_t BgL_nodez00_5000)
	{
		{	/* Cfa/tvector.scm 564 */
			{
				BgL_nodez00_bglt BgL_auxz00_6028;

				{	/* Cfa/tvector.scm 566 */
					obj_t BgL_arg1980z00_5139;

					BgL_arg1980z00_5139 =
						(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_5000))))->BgL_argsz00);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg1980z00_5139);
				}
				{	/* Cfa/tvector.scm 567 */
					BgL_typez00_bglt BgL_typez00_5140;

					{	/* Cfa/tvector.scm 567 */
						BgL_approxz00_bglt BgL_arg1990z00_5141;

						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6033;

							{
								obj_t BgL_auxz00_6034;

								{	/* Cfa/tvector.scm 567 */
									BgL_objectz00_bglt BgL_tmpz00_6035;

									BgL_tmpz00_6035 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5000));
									BgL_auxz00_6034 = BGL_OBJECT_WIDENING(BgL_tmpz00_6035);
								}
								BgL_auxz00_6033 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_6034);
							}
							BgL_arg1990z00_5141 =
								(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_6033))->
								BgL_valuezd2approxzd2);
						}
						BgL_typez00_5140 =
							(((BgL_approxz00_bglt) COBJECT(BgL_arg1990z00_5141))->
							BgL_typez00);
					}
					{	/* Cfa/tvector.scm 567 */
						obj_t BgL_tvz00_5142;

						BgL_tvz00_5142 =
							(((BgL_typez00_bglt) COBJECT(BgL_typez00_5140))->BgL_tvectorz00);
						{	/* Cfa/tvector.scm 568 */

							if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_5142,
									BGl_typez00zztype_typez00))
								{	/* Cfa/tvector.scm 570 */
									obj_t BgL_makezd2tvzd2_5143;

									{	/* Cfa/tvector.scm 570 */
										obj_t BgL_arg1986z00_5144;

										{	/* Cfa/tvector.scm 570 */
											obj_t BgL_arg1987z00_5145;
											obj_t BgL_arg1988z00_5146;

											{	/* Cfa/tvector.scm 570 */
												obj_t BgL_res2323z00_5147;

												{	/* Cfa/tvector.scm 570 */
													obj_t BgL_symbolz00_5148;

													BgL_symbolz00_5148 = CNST_TABLE_REF(((long) 18));
													{	/* Cfa/tvector.scm 570 */
														obj_t BgL_arg1412z00_5149;

														BgL_arg1412z00_5149 =
															SYMBOL_TO_STRING(BgL_symbolz00_5148);
														BgL_res2323z00_5147 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1412z00_5149);
												}}
												BgL_arg1987z00_5145 = BgL_res2323z00_5147;
											}
											{	/* Cfa/tvector.scm 570 */
												obj_t BgL_arg1989z00_5150;

												BgL_arg1989z00_5150 =
													(((BgL_typez00_bglt) COBJECT(
															((BgL_typez00_bglt) BgL_tvz00_5142)))->BgL_idz00);
												{	/* Cfa/tvector.scm 570 */
													obj_t BgL_res2324z00_5151;

													{	/* Cfa/tvector.scm 570 */
														obj_t BgL_arg1412z00_5152;

														BgL_arg1412z00_5152 =
															SYMBOL_TO_STRING(BgL_arg1989z00_5150);
														BgL_res2324z00_5151 =
															BGl_stringzd2copyzd2zz__r4_strings_6_7z00
															(BgL_arg1412z00_5152);
													}
													BgL_arg1988z00_5146 = BgL_res2324z00_5151;
											}}
											BgL_arg1986z00_5144 =
												string_append(BgL_arg1987z00_5145, BgL_arg1988z00_5146);
										}
										BgL_makezd2tvzd2_5143 =
											bstring_to_symbol(BgL_arg1986z00_5144);
									}
									{	/* Cfa/tvector.scm 570 */
										BgL_nodez00_bglt BgL_newzd2nodezd2_5153;

										{	/* Cfa/tvector.scm 571 */
											obj_t BgL_arg1982z00_5154;
											obj_t BgL_arg1983z00_5155;

											{	/* Cfa/tvector.scm 571 */
												obj_t BgL_arg1984z00_5156;

												BgL_arg1984z00_5156 =
													BGl_eappendzd22zd2zz__r4_pairs_and_lists_6_3z00(
													(((BgL_appz00_bglt) COBJECT(
																((BgL_appz00_bglt)
																	((BgL_appz00_bglt) BgL_nodez00_5000))))->
														BgL_argsz00), BNIL);
												BgL_arg1982z00_5154 =
													MAKE_YOUNG_PAIR(BgL_makezd2tvzd2_5143,
													BgL_arg1984z00_5156);
											}
											BgL_arg1983z00_5155 =
												(((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5000))))->
												BgL_locz00);
											BgL_newzd2nodezd2_5153 =
												BGl_sexpzd2ze3nodez31zzast_sexpz00(BgL_arg1982z00_5154,
												BNIL, BgL_arg1983z00_5155, CNST_TABLE_REF(((long) 12)));
										}
										{	/* Cfa/tvector.scm 571 */

											((((BgL_nodez00_bglt) COBJECT(BgL_newzd2nodezd2_5153))->
													BgL_typez00) =
												((BgL_typez00_bglt) ((BgL_typez00_bglt)
														BgL_tvz00_5142)), BUNSPEC);
											BgL_auxz00_6028 =
												BGl_inlinezd2nodezd2zzinline_inlinez00
												(BgL_newzd2nodezd2_5153, ((long) 1), BNIL);
								}}}
							else
								{	/* Cfa/tvector.scm 569 */
									BgL_auxz00_6028 =
										((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5000));
								}
						}
					}
				}
				return ((obj_t) BgL_auxz00_6028);
			}
		}

	}



/* &patch!-vlength1676 */
	obj_t BGl_z62patchz12zd2vlength1676za2zzcfa_tvectorz00(obj_t BgL_envz00_5001,
		obj_t BgL_nodez00_5002)
	{
		{	/* Cfa/tvector.scm 513 */
			{
				BgL_nodez00_bglt BgL_auxz00_6070;

				{	/* Cfa/tvector.scm 515 */
					obj_t BgL_arg1963z00_5158;

					BgL_arg1963z00_5158 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vlengthz00_bglt)
										((BgL_vlengthz00_bglt) BgL_nodez00_5002)))))->
						BgL_exprza2za2);
					BGl_patchza2z12zb0zzcfa_tvectorz00(BgL_arg1963z00_5158);
				}
				{	/* Cfa/tvector.scm 516 */
					BgL_approxz00_bglt BgL_approxz00_5159;

					{	/* Cfa/tvector.scm 516 */
						obj_t BgL_arg1978z00_5160;

						{	/* Cfa/tvector.scm 516 */
							obj_t BgL_pairz00_5161;

							BgL_pairz00_5161 =
								(((BgL_externz00_bglt) COBJECT(
										((BgL_externz00_bglt)
											((BgL_vlengthz00_bglt)
												((BgL_vlengthz00_bglt) BgL_nodez00_5002)))))->
								BgL_exprza2za2);
							BgL_arg1978z00_5160 = CAR(BgL_pairz00_5161);
						}
						BgL_approxz00_5159 =
							BGl_cfaz12z12zzcfa_cfaz00(
							((BgL_nodez00_bglt) BgL_arg1978z00_5160));
					}
					{	/* Cfa/tvector.scm 516 */
						obj_t BgL_tvz00_5162;

						BgL_tvz00_5162 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_5159,
							((obj_t) ((BgL_vlengthz00_bglt) BgL_nodez00_5002)));
						{	/* Cfa/tvector.scm 517 */

							{	/* Cfa/tvector.scm 518 */
								bool_t BgL_test2479z00_6086;

								if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_5162,
										BGl_tvecz00zztvector_tvectorz00))
									{	/* Cfa/tvector.scm 518 */
										bool_t BgL_test2481z00_6089;

										{
											BgL_vlengthzf2cinfozf2_bglt BgL_auxz00_6090;

											{
												obj_t BgL_auxz00_6091;

												{	/* Cfa/tvector.scm 518 */
													BgL_objectz00_bglt BgL_tmpz00_6092;

													BgL_tmpz00_6092 =
														((BgL_objectz00_bglt)
														((BgL_vlengthz00_bglt)
															((BgL_vlengthz00_bglt) BgL_nodez00_5002)));
													BgL_auxz00_6091 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_6092);
												}
												BgL_auxz00_6090 =
													((BgL_vlengthzf2cinfozf2_bglt) BgL_auxz00_6091);
											}
											BgL_test2481z00_6089 =
												(((BgL_vlengthzf2cinfozf2_bglt)
													COBJECT(BgL_auxz00_6090))->BgL_tvectorzf3zf3);
										}
										if (BgL_test2481z00_6089)
											{	/* Cfa/tvector.scm 518 */
												BgL_test2479z00_6086 = ((bool_t) 0);
											}
										else
											{	/* Cfa/tvector.scm 518 */
												BgL_test2479z00_6086 = ((bool_t) 1);
											}
									}
								else
									{	/* Cfa/tvector.scm 518 */
										BgL_test2479z00_6086 = ((bool_t) 0);
									}
								if (BgL_test2479z00_6086)
									{	/* Cfa/tvector.scm 519 */
										obj_t BgL_lengthzd2tvzd2_5163;

										{	/* Cfa/tvector.scm 519 */
											obj_t BgL_arg1974z00_5164;

											{	/* Cfa/tvector.scm 519 */
												obj_t BgL_arg1975z00_5165;
												obj_t BgL_arg1976z00_5166;

												{	/* Cfa/tvector.scm 519 */
													obj_t BgL_arg1977z00_5167;

													BgL_arg1977z00_5167 =
														(((BgL_typez00_bglt) COBJECT(
																((BgL_typez00_bglt)
																	((BgL_typez00_bglt) BgL_tvz00_5162))))->
														BgL_idz00);
													{	/* Cfa/tvector.scm 519 */
														obj_t BgL_res2319z00_5168;

														{	/* Cfa/tvector.scm 519 */
															obj_t BgL_arg1412z00_5169;

															BgL_arg1412z00_5169 =
																SYMBOL_TO_STRING(BgL_arg1977z00_5167);
															BgL_res2319z00_5168 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1412z00_5169);
														}
														BgL_arg1975z00_5165 = BgL_res2319z00_5168;
													}
												}
												{	/* Cfa/tvector.scm 519 */
													obj_t BgL_res2320z00_5170;

													{	/* Cfa/tvector.scm 519 */
														obj_t BgL_symbolz00_5171;

														BgL_symbolz00_5171 = CNST_TABLE_REF(((long) 19));
														{	/* Cfa/tvector.scm 519 */
															obj_t BgL_arg1412z00_5172;

															BgL_arg1412z00_5172 =
																SYMBOL_TO_STRING(BgL_symbolz00_5171);
															BgL_res2320z00_5170 =
																BGl_stringzd2copyzd2zz__r4_strings_6_7z00
																(BgL_arg1412z00_5172);
													}}
													BgL_arg1976z00_5166 = BgL_res2320z00_5170;
												}
												BgL_arg1974z00_5164 =
													string_append(BgL_arg1975z00_5165,
													BgL_arg1976z00_5166);
											}
											BgL_lengthzd2tvzd2_5163 =
												bstring_to_symbol(BgL_arg1974z00_5164);
										}
										{	/* Cfa/tvector.scm 519 */
											BgL_nodez00_bglt BgL_newzd2nodezd2_5173;

											{	/* Cfa/tvector.scm 520 */
												obj_t BgL_arg1967z00_5174;
												obj_t BgL_arg1968z00_5175;

												{	/* Cfa/tvector.scm 520 */
													obj_t BgL_arg1969z00_5176;

													{	/* Cfa/tvector.scm 520 */
														obj_t BgL_arg1970z00_5177;

														{	/* Cfa/tvector.scm 520 */
															obj_t BgL_pairz00_5178;

															BgL_pairz00_5178 =
																(((BgL_externz00_bglt) COBJECT(
																		((BgL_externz00_bglt)
																			((BgL_vlengthz00_bglt)
																				((BgL_vlengthz00_bglt)
																					BgL_nodez00_5002)))))->
																BgL_exprza2za2);
															BgL_arg1970z00_5177 = CAR(BgL_pairz00_5178);
														}
														BgL_arg1969z00_5176 =
															MAKE_YOUNG_PAIR(BgL_arg1970z00_5177, BNIL);
													}
													BgL_arg1967z00_5174 =
														MAKE_YOUNG_PAIR(BgL_lengthzd2tvzd2_5163,
														BgL_arg1969z00_5176);
												}
												BgL_arg1968z00_5175 =
													(((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt)
																((BgL_vlengthz00_bglt)
																	((BgL_vlengthz00_bglt) BgL_nodez00_5002)))))->
													BgL_locz00);
												BgL_newzd2nodezd2_5173 =
													BGl_sexpzd2ze3nodez31zzast_sexpz00
													(BgL_arg1967z00_5174, BNIL, BgL_arg1968z00_5175,
													CNST_TABLE_REF(((long) 12)));
											}
											{	/* Cfa/tvector.scm 520 */

												{	/* Cfa/tvector.scm 524 */
													BgL_typez00_bglt BgL_vz00_5179;

													BgL_vz00_5179 =
														((BgL_typez00_bglt)
														BGl_za2intza2z00zztype_cachez00);
													((((BgL_nodez00_bglt)
																COBJECT(BgL_newzd2nodezd2_5173))->BgL_typez00) =
														((BgL_typez00_bglt) BgL_vz00_5179), BUNSPEC);
												}
												BgL_auxz00_6070 =
													BGl_inlinezd2nodezd2zzinline_inlinez00
													(BgL_newzd2nodezd2_5173, ((long) 1), BNIL);
									}}}
								else
									{	/* Cfa/tvector.scm 518 */
										BgL_auxz00_6070 =
											((BgL_nodez00_bglt)
											((BgL_vlengthz00_bglt) BgL_nodez00_5002));
									}
							}
						}
					}
				}
				return ((obj_t) BgL_auxz00_6070);
			}
		}

	}



/* &patch!-app1674 */
	obj_t BGl_z62patchz12zd2app1674za2zzcfa_tvectorz00(obj_t BgL_envz00_5003,
		obj_t BgL_nodez00_5004)
	{
		{	/* Cfa/tvector.scm 493 */
			{
				BgL_nodez00_bglt BgL_auxz00_6128;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_5004)))->BgL_argsz00));
				{
					BgL_varz00_bglt BgL_auxz00_6132;

					{	/* Cfa/tvector.scm 496 */
						BgL_varz00_bglt BgL_arg1948z00_5181;

						BgL_arg1948z00_5181 =
							(((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_5004)))->BgL_funz00);
						BgL_auxz00_6132 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg1948z00_5181)));
					}
					((((BgL_appz00_bglt) COBJECT(
									((BgL_appz00_bglt) BgL_nodez00_5004)))->BgL_funz00) =
						((BgL_varz00_bglt) BgL_auxz00_6132), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 497 */
					BgL_variablez00_bglt BgL_vz00_5182;

					BgL_vz00_5182 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt) BgL_nodez00_5004)))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/tvector.scm 498 */
						bool_t BgL_test2482z00_6143;

						{	/* Cfa/tvector.scm 498 */
							bool_t BgL_res2314z00_5183;

							BgL_res2314z00_5183 =
								BGl_isazf3zf3zz__objectz00(
								((obj_t) BgL_vz00_5182), BGl_globalz00zzast_varz00);
							BgL_test2482z00_6143 = BgL_res2314z00_5183;
						}
						if (BgL_test2482z00_6143)
							{	/* Cfa/tvector.scm 499 */
								bool_t BgL_test2483z00_6146;

								{	/* Cfa/tvector.scm 499 */
									BgL_valuez00_bglt BgL_arg1961z00_5184;

									BgL_arg1961z00_5184 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5182))->
										BgL_valuez00);
									{	/* Cfa/tvector.scm 499 */
										bool_t BgL_res2315z00_5185;

										BgL_res2315z00_5185 =
											BGl_isazf3zf3zz__objectz00(
											((obj_t) BgL_arg1961z00_5184), BGl_cfunz00zzast_varz00);
										BgL_test2483z00_6146 = BgL_res2315z00_5185;
									}
								}
								if (BgL_test2483z00_6146)
									{	/* Cfa/tvector.scm 500 */
										obj_t BgL_casezd2valuezd2_5186;

										BgL_casezd2valuezd2_5186 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_vz00_5182))))->BgL_idz00);
										if (
											(BgL_casezd2valuezd2_5186 == CNST_TABLE_REF(((long) 1))))
											{	/* Cfa/tvector.scm 500 */
												BgL_auxz00_6128 =
													BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(
													((BgL_appz00_bglt) BgL_nodez00_5004));
											}
										else
											{	/* Cfa/tvector.scm 500 */
												if (
													(BgL_casezd2valuezd2_5186 ==
														CNST_TABLE_REF(((long) 2))))
													{	/* Cfa/tvector.scm 500 */
														BgL_auxz00_6128 =
															BGl_patchzd2vectorzf3z12z33zzcfa_tvectorz00(
															((BgL_appz00_bglt) BgL_nodez00_5004));
													}
												else
													{	/* Cfa/tvector.scm 500 */
														BgL_auxz00_6128 =
															((BgL_nodez00_bglt)
															((BgL_appz00_bglt) BgL_nodez00_5004));
													}
											}
									}
								else
									{	/* Cfa/tvector.scm 504 */
										bool_t BgL_test2486z00_6165;

										if (
											((((BgL_variablez00_bglt) COBJECT(
															((BgL_variablez00_bglt)
																((BgL_globalz00_bglt) BgL_vz00_5182))))->
													BgL_idz00) == CNST_TABLE_REF(((long) 20))))
											{	/* Cfa/tvector.scm 504 */
												BgL_test2486z00_6165 =
													(
													(((BgL_globalz00_bglt) COBJECT(
																((BgL_globalz00_bglt) BgL_vz00_5182)))->
														BgL_modulez00) == CNST_TABLE_REF(((long) 21)));
											}
										else
											{	/* Cfa/tvector.scm 504 */
												BgL_test2486z00_6165 = ((bool_t) 0);
											}
										if (BgL_test2486z00_6165)
											{	/* Cfa/tvector.scm 504 */
												BgL_auxz00_6128 =
													BGl_patchzd2vectorzd2ze3listz12zf1zzcfa_tvectorz00(
													((BgL_appz00_bglt) BgL_nodez00_5004));
											}
										else
											{	/* Cfa/tvector.scm 504 */
												BgL_auxz00_6128 =
													((BgL_nodez00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_5004));
											}
									}
							}
						else
							{	/* Cfa/tvector.scm 498 */
								BgL_auxz00_6128 =
									((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5004));
							}
					}
				}
				return ((obj_t) BgL_auxz00_6128);
			}
		}

	}



/* &patch!-box-ref1672 */
	obj_t BGl_z62patchz12zd2boxzd2ref1672z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5005, obj_t BgL_nodez00_5006)
	{
		{	/* Cfa/tvector.scm 474 */
			{
				BgL_boxzd2refzd2_bglt BgL_auxz00_6183;

				{
					BgL_varz00_bglt BgL_auxz00_6184;

					{	/* Cfa/tvector.scm 476 */
						BgL_varz00_bglt BgL_arg1946z00_5188;

						BgL_arg1946z00_5188 =
							(((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_5006)))->BgL_varz00);
						BgL_auxz00_6184 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg1946z00_5188)));
					}
					((((BgL_boxzd2refzd2_bglt) COBJECT(
									((BgL_boxzd2refzd2_bglt) BgL_nodez00_5006)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6184), BUNSPEC);
				}
				BgL_auxz00_6183 = ((BgL_boxzd2refzd2_bglt) BgL_nodez00_5006);
				return ((obj_t) BgL_auxz00_6183);
			}
		}

	}



/* &patch!-box-set!1669 */
	obj_t BGl_z62patchz12zd2boxzd2setz121669z62zzcfa_tvectorz00(obj_t
		BgL_envz00_5007, obj_t BgL_nodez00_5008)
	{
		{	/* Cfa/tvector.scm 465 */
			{
				BgL_boxzd2setz12zc0_bglt BgL_auxz00_6194;

				{
					BgL_varz00_bglt BgL_auxz00_6195;

					{	/* Cfa/tvector.scm 467 */
						BgL_varz00_bglt BgL_arg1943z00_5190;

						BgL_arg1943z00_5190 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5008)))->BgL_varz00);
						BgL_auxz00_6195 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg1943z00_5190)));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5008)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6195), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6203;

					{	/* Cfa/tvector.scm 468 */
						BgL_nodez00_bglt BgL_arg1945z00_5191;

						BgL_arg1945z00_5191 =
							(((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5008)))->
							BgL_valuez00);
						BgL_auxz00_6203 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1945z00_5191));
					}
					((((BgL_boxzd2setz12zc0_bglt) COBJECT(
									((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5008)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6203), BUNSPEC);
				}
				BgL_auxz00_6194 = ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_5008);
				return ((obj_t) BgL_auxz00_6194);
			}
		}

	}



/* &patch!-make-box1667 */
	obj_t BGl_z62patchz12zd2makezd2box1667z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5009, obj_t BgL_nodez00_5010)
	{
		{	/* Cfa/tvector.scm 457 */
			{
				BgL_makezd2boxzd2_bglt BgL_auxz00_6212;

				{
					BgL_nodez00_bglt BgL_auxz00_6213;

					{	/* Cfa/tvector.scm 459 */
						BgL_nodez00_bglt BgL_arg1942z00_5193;

						BgL_arg1942z00_5193 =
							(((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_5010)))->BgL_valuez00);
						BgL_auxz00_6213 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1942z00_5193));
					}
					((((BgL_makezd2boxzd2_bglt) COBJECT(
									((BgL_makezd2boxzd2_bglt) BgL_nodez00_5010)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6213), BUNSPEC);
				}
				BgL_auxz00_6212 = ((BgL_makezd2boxzd2_bglt) BgL_nodez00_5010);
				return ((obj_t) BgL_auxz00_6212);
			}
		}

	}



/* &patch!-jump-ex-it1665 */
	obj_t BGl_z62patchz12zd2jumpzd2exzd2it1665za2zzcfa_tvectorz00(obj_t
		BgL_envz00_5011, obj_t BgL_nodez00_5012)
	{
		{	/* Cfa/tvector.scm 448 */
			{
				BgL_jumpzd2exzd2itz00_bglt BgL_auxz00_6222;

				{
					BgL_nodez00_bglt BgL_auxz00_6223;

					{	/* Cfa/tvector.scm 450 */
						BgL_nodez00_bglt BgL_arg1940z00_5195;

						BgL_arg1940z00_5195 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5012)))->
							BgL_exitz00);
						BgL_auxz00_6223 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1940z00_5195));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5012)))->
							BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_6223), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6230;

					{	/* Cfa/tvector.scm 451 */
						BgL_nodez00_bglt BgL_arg1941z00_5196;

						BgL_arg1941z00_5196 =
							(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5012)))->
							BgL_valuez00);
						BgL_auxz00_6230 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1941z00_5196));
					}
					((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
									((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5012)))->
							BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_6230), BUNSPEC);
				}
				BgL_auxz00_6222 = ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_5012);
				return ((obj_t) BgL_auxz00_6222);
			}
		}

	}



/* &patch!-set-ex-it1663 */
	obj_t BGl_z62patchz12zd2setzd2exzd2it1663za2zzcfa_tvectorz00(obj_t
		BgL_envz00_5013, obj_t BgL_nodez00_5014)
	{
		{	/* Cfa/tvector.scm 439 */
			{
				BgL_setzd2exzd2itz00_bglt BgL_auxz00_6239;

				{
					BgL_nodez00_bglt BgL_auxz00_6240;

					{	/* Cfa/tvector.scm 441 */
						BgL_nodez00_bglt BgL_arg1938z00_5198;

						BgL_arg1938z00_5198 =
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5014)))->
							BgL_bodyz00);
						BgL_auxz00_6240 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1938z00_5198));
					}
					((((BgL_setzd2exzd2itz00_bglt) COBJECT(
									((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5014)))->
							BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_6240), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 442 */
					BgL_varz00_bglt BgL_arg1939z00_5199;

					BgL_arg1939z00_5199 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5014)))->BgL_varz00);
					BGl_patchz12z12zzcfa_tvectorz00(
						((BgL_nodez00_bglt) BgL_arg1939z00_5199));
				}
				BgL_auxz00_6239 = ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_5014);
				return ((obj_t) BgL_auxz00_6239);
			}
		}

	}



/* &patch!-let-var1661 */
	obj_t BGl_z62patchz12zd2letzd2var1661z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5015, obj_t BgL_nodez00_5016)
	{
		{	/* Cfa/tvector.scm 427 */
			{
				BgL_letzd2varzd2_bglt BgL_auxz00_6253;

				{	/* Cfa/tvector.scm 429 */
					obj_t BgL_g1619z00_5201;

					BgL_g1619z00_5201 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_5016)))->BgL_bindingsz00);
					{
						obj_t BgL_l1617z00_5203;

						BgL_l1617z00_5203 = BgL_g1619z00_5201;
					BgL_zc3z04anonymousza31933ze3z87_5202:
						if (PAIRP(BgL_l1617z00_5203))
							{	/* Cfa/tvector.scm 429 */
								{	/* Cfa/tvector.scm 430 */
									obj_t BgL_bindingz00_5204;

									BgL_bindingz00_5204 = CAR(BgL_l1617z00_5203);
									{	/* Cfa/tvector.scm 430 */
										obj_t BgL_valz00_5205;

										BgL_valz00_5205 = CDR(((obj_t) BgL_bindingz00_5204));
										{	/* Cfa/tvector.scm 431 */
											obj_t BgL_arg1935z00_5206;

											BgL_arg1935z00_5206 =
												BGl_patchz12z12zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_valz00_5205));
											{	/* Cfa/tvector.scm 431 */
												obj_t BgL_tmpz00_6263;

												BgL_tmpz00_6263 = ((obj_t) BgL_bindingz00_5204);
												SET_CDR(BgL_tmpz00_6263, BgL_arg1935z00_5206);
											}
										}
									}
								}
								{
									obj_t BgL_l1617z00_6266;

									BgL_l1617z00_6266 = CDR(BgL_l1617z00_5203);
									BgL_l1617z00_5203 = BgL_l1617z00_6266;
									goto BgL_zc3z04anonymousza31933ze3z87_5202;
								}
							}
						else
							{	/* Cfa/tvector.scm 429 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6268;

					{	/* Cfa/tvector.scm 433 */
						BgL_nodez00_bglt BgL_arg1937z00_5207;

						BgL_arg1937z00_5207 =
							(((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_5016)))->BgL_bodyz00);
						BgL_auxz00_6268 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1937z00_5207));
					}
					((((BgL_letzd2varzd2_bglt) COBJECT(
									((BgL_letzd2varzd2_bglt) BgL_nodez00_5016)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6268), BUNSPEC);
				}
				BgL_auxz00_6253 = ((BgL_letzd2varzd2_bglt) BgL_nodez00_5016);
				return ((obj_t) BgL_auxz00_6253);
			}
		}

	}



/* &patch!-let-fun1659 */
	obj_t BGl_z62patchz12zd2letzd2fun1659z70zzcfa_tvectorz00(obj_t
		BgL_envz00_5017, obj_t BgL_nodez00_5018)
	{
		{	/* Cfa/tvector.scm 418 */
			{
				BgL_letzd2funzd2_bglt BgL_auxz00_6277;

				{	/* Cfa/tvector.scm 420 */
					obj_t BgL_g1616z00_5209;

					BgL_g1616z00_5209 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5018)))->BgL_localsz00);
					{
						obj_t BgL_l1614z00_5211;

						BgL_l1614z00_5211 = BgL_g1616z00_5209;
					BgL_zc3z04anonymousza31928ze3z87_5210:
						if (PAIRP(BgL_l1614z00_5211))
							{	/* Cfa/tvector.scm 420 */
								BGl_patchzd2funz12zc0zzcfa_tvectorz00(CAR(BgL_l1614z00_5211));
								{
									obj_t BgL_l1614z00_6284;

									BgL_l1614z00_6284 = CDR(BgL_l1614z00_5211);
									BgL_l1614z00_5211 = BgL_l1614z00_6284;
									goto BgL_zc3z04anonymousza31928ze3z87_5210;
								}
							}
						else
							{	/* Cfa/tvector.scm 420 */
								((bool_t) 1);
							}
					}
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6286;

					{	/* Cfa/tvector.scm 421 */
						BgL_nodez00_bglt BgL_arg1932z00_5212;

						BgL_arg1932z00_5212 =
							(((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_5018)))->BgL_bodyz00);
						BgL_auxz00_6286 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1932z00_5212));
					}
					((((BgL_letzd2funzd2_bglt) COBJECT(
									((BgL_letzd2funzd2_bglt) BgL_nodez00_5018)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6286), BUNSPEC);
				}
				BgL_auxz00_6277 = ((BgL_letzd2funzd2_bglt) BgL_nodez00_5018);
				return ((obj_t) BgL_auxz00_6277);
			}
		}

	}



/* &patch!-switch1657 */
	obj_t BGl_z62patchz12zd2switch1657za2zzcfa_tvectorz00(obj_t BgL_envz00_5019,
		obj_t BgL_nodez00_5020)
	{
		{	/* Cfa/tvector.scm 407 */
			{
				BgL_switchz00_bglt BgL_auxz00_6295;

				{
					BgL_nodez00_bglt BgL_auxz00_6296;

					{	/* Cfa/tvector.scm 409 */
						BgL_nodez00_bglt BgL_arg1922z00_5214;

						BgL_arg1922z00_5214 =
							(((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_5020)))->BgL_testz00);
						BgL_auxz00_6296 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1922z00_5214));
					}
					((((BgL_switchz00_bglt) COBJECT(
									((BgL_switchz00_bglt) BgL_nodez00_5020)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6296), BUNSPEC);
				}
				{	/* Cfa/tvector.scm 410 */
					obj_t BgL_g1613z00_5215;

					BgL_g1613z00_5215 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5020)))->BgL_clausesz00);
					{
						obj_t BgL_l1611z00_5217;

						BgL_l1611z00_5217 = BgL_g1613z00_5215;
					BgL_zc3z04anonymousza31923ze3z87_5216:
						if (PAIRP(BgL_l1611z00_5217))
							{	/* Cfa/tvector.scm 410 */
								{	/* Cfa/tvector.scm 411 */
									obj_t BgL_clausez00_5218;

									BgL_clausez00_5218 = CAR(BgL_l1611z00_5217);
									{	/* Cfa/tvector.scm 411 */
										obj_t BgL_arg1925z00_5219;

										{	/* Cfa/tvector.scm 411 */
											obj_t BgL_arg1926z00_5220;

											BgL_arg1926z00_5220 = CDR(((obj_t) BgL_clausez00_5218));
											BgL_arg1925z00_5219 =
												BGl_patchz12z12zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_arg1926z00_5220));
										}
										{	/* Cfa/tvector.scm 411 */
											obj_t BgL_tmpz00_6312;

											BgL_tmpz00_6312 = ((obj_t) BgL_clausez00_5218);
											SET_CDR(BgL_tmpz00_6312, BgL_arg1925z00_5219);
										}
									}
								}
								{
									obj_t BgL_l1611z00_6315;

									BgL_l1611z00_6315 = CDR(BgL_l1611z00_5217);
									BgL_l1611z00_5217 = BgL_l1611z00_6315;
									goto BgL_zc3z04anonymousza31923ze3z87_5216;
								}
							}
						else
							{	/* Cfa/tvector.scm 410 */
								((bool_t) 1);
							}
					}
				}
				BgL_auxz00_6295 = ((BgL_switchz00_bglt) BgL_nodez00_5020);
				return ((obj_t) BgL_auxz00_6295);
			}
		}

	}



/* &patch!-fail1655 */
	obj_t BGl_z62patchz12zd2fail1655za2zzcfa_tvectorz00(obj_t BgL_envz00_5021,
		obj_t BgL_nodez00_5022)
	{
		{	/* Cfa/tvector.scm 397 */
			{
				BgL_failz00_bglt BgL_auxz00_6319;

				{
					BgL_nodez00_bglt BgL_auxz00_6320;

					{	/* Cfa/tvector.scm 399 */
						BgL_nodez00_bglt BgL_arg1919z00_5222;

						BgL_arg1919z00_5222 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5022)))->BgL_procz00);
						BgL_auxz00_6320 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1919z00_5222));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5022)))->BgL_procz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6320), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6327;

					{	/* Cfa/tvector.scm 400 */
						BgL_nodez00_bglt BgL_arg1920z00_5223;

						BgL_arg1920z00_5223 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5022)))->BgL_msgz00);
						BgL_auxz00_6327 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1920z00_5223));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5022)))->BgL_msgz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6327), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6334;

					{	/* Cfa/tvector.scm 401 */
						BgL_nodez00_bglt BgL_arg1921z00_5224;

						BgL_arg1921z00_5224 =
							(((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5022)))->BgL_objz00);
						BgL_auxz00_6334 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1921z00_5224));
					}
					((((BgL_failz00_bglt) COBJECT(
									((BgL_failz00_bglt) BgL_nodez00_5022)))->BgL_objz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6334), BUNSPEC);
				}
				BgL_auxz00_6319 = ((BgL_failz00_bglt) BgL_nodez00_5022);
				return ((obj_t) BgL_auxz00_6319);
			}
		}

	}



/* &patch!-conditional1653 */
	obj_t BGl_z62patchz12zd2conditional1653za2zzcfa_tvectorz00(obj_t
		BgL_envz00_5023, obj_t BgL_nodez00_5024)
	{
		{	/* Cfa/tvector.scm 387 */
			{
				BgL_conditionalz00_bglt BgL_auxz00_6343;

				{
					BgL_nodez00_bglt BgL_auxz00_6344;

					{	/* Cfa/tvector.scm 389 */
						BgL_nodez00_bglt BgL_arg1915z00_5226;

						BgL_arg1915z00_5226 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5024)))->BgL_testz00);
						BgL_auxz00_6344 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1915z00_5226));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5024)))->BgL_testz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6344), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6351;

					{	/* Cfa/tvector.scm 390 */
						BgL_nodez00_bglt BgL_arg1916z00_5227;

						BgL_arg1916z00_5227 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5024)))->BgL_truez00);
						BgL_auxz00_6351 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1916z00_5227));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5024)))->BgL_truez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6351), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6358;

					{	/* Cfa/tvector.scm 391 */
						BgL_nodez00_bglt BgL_arg1917z00_5228;

						BgL_arg1917z00_5228 =
							(((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5024)))->BgL_falsez00);
						BgL_auxz00_6358 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1917z00_5228));
					}
					((((BgL_conditionalz00_bglt) COBJECT(
									((BgL_conditionalz00_bglt) BgL_nodez00_5024)))->
							BgL_falsez00) = ((BgL_nodez00_bglt) BgL_auxz00_6358), BUNSPEC);
				}
				BgL_auxz00_6343 = ((BgL_conditionalz00_bglt) BgL_nodez00_5024);
				return ((obj_t) BgL_auxz00_6343);
			}
		}

	}



/* &patch!-setq1651 */
	obj_t BGl_z62patchz12zd2setq1651za2zzcfa_tvectorz00(obj_t BgL_envz00_5025,
		obj_t BgL_nodez00_5026)
	{
		{	/* Cfa/tvector.scm 378 */
			{
				BgL_setqz00_bglt BgL_auxz00_6367;

				{
					BgL_nodez00_bglt BgL_auxz00_6368;

					{	/* Cfa/tvector.scm 380 */
						BgL_nodez00_bglt BgL_arg1913z00_5230;

						BgL_arg1913z00_5230 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5026)))->BgL_valuez00);
						BgL_auxz00_6368 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1913z00_5230));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5026)))->BgL_valuez00) =
						((BgL_nodez00_bglt) BgL_auxz00_6368), BUNSPEC);
				}
				{
					BgL_varz00_bglt BgL_auxz00_6375;

					{	/* Cfa/tvector.scm 381 */
						BgL_varz00_bglt BgL_arg1914z00_5231;

						BgL_arg1914z00_5231 =
							(((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5026)))->BgL_varz00);
						BgL_auxz00_6375 =
							((BgL_varz00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(
								((BgL_nodez00_bglt) BgL_arg1914z00_5231)));
					}
					((((BgL_setqz00_bglt) COBJECT(
									((BgL_setqz00_bglt) BgL_nodez00_5026)))->BgL_varz00) =
						((BgL_varz00_bglt) BgL_auxz00_6375), BUNSPEC);
				}
				BgL_auxz00_6367 = ((BgL_setqz00_bglt) BgL_nodez00_5026);
				return ((obj_t) BgL_auxz00_6367);
			}
		}

	}



/* &patch!-cast1649 */
	obj_t BGl_z62patchz12zd2cast1649za2zzcfa_tvectorz00(obj_t BgL_envz00_5027,
		obj_t BgL_nodez00_5028)
	{
		{	/* Cfa/tvector.scm 370 */
			{
				BgL_castz00_bglt BgL_auxz00_6385;

				BGl_patchz12z12zzcfa_tvectorz00(
					(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_5028)))->BgL_argz00));
				BgL_auxz00_6385 = ((BgL_castz00_bglt) BgL_nodez00_5028);
				return ((obj_t) BgL_auxz00_6385);
			}
		}

	}



/* &patch!-extern1647 */
	obj_t BGl_z62patchz12zd2extern1647za2zzcfa_tvectorz00(obj_t BgL_envz00_5029,
		obj_t BgL_nodez00_5030)
	{
		{	/* Cfa/tvector.scm 362 */
			{
				BgL_externz00_bglt BgL_auxz00_6391;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt) BgL_nodez00_5030)))->BgL_exprza2za2));
				BgL_auxz00_6391 = ((BgL_externz00_bglt) BgL_nodez00_5030);
				return ((obj_t) BgL_auxz00_6391);
			}
		}

	}



/* &patch!-funcall1645 */
	obj_t BGl_z62patchz12zd2funcall1645za2zzcfa_tvectorz00(obj_t BgL_envz00_5031,
		obj_t BgL_nodez00_5032)
	{
		{	/* Cfa/tvector.scm 353 */
			{
				BgL_funcallz00_bglt BgL_auxz00_6397;

				{
					BgL_nodez00_bglt BgL_auxz00_6398;

					{	/* Cfa/tvector.scm 355 */
						BgL_nodez00_bglt BgL_arg1909z00_5235;

						BgL_arg1909z00_5235 =
							(((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_5032)))->BgL_funz00);
						BgL_auxz00_6398 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1909z00_5235));
					}
					((((BgL_funcallz00_bglt) COBJECT(
									((BgL_funcallz00_bglt) BgL_nodez00_5032)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6398), BUNSPEC);
				}
				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5032)))->BgL_argsz00));
				BgL_auxz00_6397 = ((BgL_funcallz00_bglt) BgL_nodez00_5032);
				return ((obj_t) BgL_auxz00_6397);
			}
		}

	}



/* &patch!-app-ly1643 */
	obj_t BGl_z62patchz12zd2appzd2ly1643z70zzcfa_tvectorz00(obj_t BgL_envz00_5033,
		obj_t BgL_nodez00_5034)
	{
		{	/* Cfa/tvector.scm 344 */
			{
				BgL_appzd2lyzd2_bglt BgL_auxz00_6410;

				{
					BgL_nodez00_bglt BgL_auxz00_6411;

					{	/* Cfa/tvector.scm 346 */
						BgL_nodez00_bglt BgL_arg1907z00_5237;

						BgL_arg1907z00_5237 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5034)))->BgL_funz00);
						BgL_auxz00_6411 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1907z00_5237));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5034)))->BgL_funz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6411), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6418;

					{	/* Cfa/tvector.scm 347 */
						BgL_nodez00_bglt BgL_arg1908z00_5238;

						BgL_arg1908z00_5238 =
							(((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5034)))->BgL_argz00);
						BgL_auxz00_6418 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1908z00_5238));
					}
					((((BgL_appzd2lyzd2_bglt) COBJECT(
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5034)))->BgL_argz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6418), BUNSPEC);
				}
				BgL_auxz00_6410 = ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5034);
				return ((obj_t) BgL_auxz00_6410);
			}
		}

	}



/* &patch!-sync1641 */
	obj_t BGl_z62patchz12zd2sync1641za2zzcfa_tvectorz00(obj_t BgL_envz00_5035,
		obj_t BgL_nodez00_5036)
	{
		{	/* Cfa/tvector.scm 334 */
			{
				BgL_syncz00_bglt BgL_auxz00_6427;

				{
					BgL_nodez00_bglt BgL_auxz00_6428;

					{	/* Cfa/tvector.scm 336 */
						BgL_nodez00_bglt BgL_arg1904z00_5240;

						BgL_arg1904z00_5240 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5036)))->BgL_mutexz00);
						BgL_auxz00_6428 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1904z00_5240));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5036)))->BgL_mutexz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6428), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6435;

					{	/* Cfa/tvector.scm 337 */
						BgL_nodez00_bglt BgL_arg1905z00_5241;

						BgL_arg1905z00_5241 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5036)))->BgL_prelockz00);
						BgL_auxz00_6435 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1905z00_5241));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5036)))->BgL_prelockz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6435), BUNSPEC);
				}
				{
					BgL_nodez00_bglt BgL_auxz00_6442;

					{	/* Cfa/tvector.scm 338 */
						BgL_nodez00_bglt BgL_arg1906z00_5242;

						BgL_arg1906z00_5242 =
							(((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5036)))->BgL_bodyz00);
						BgL_auxz00_6442 =
							((BgL_nodez00_bglt)
							BGl_patchz12z12zzcfa_tvectorz00(BgL_arg1906z00_5242));
					}
					((((BgL_syncz00_bglt) COBJECT(
									((BgL_syncz00_bglt) BgL_nodez00_5036)))->BgL_bodyz00) =
						((BgL_nodez00_bglt) BgL_auxz00_6442), BUNSPEC);
				}
				BgL_auxz00_6427 = ((BgL_syncz00_bglt) BgL_nodez00_5036);
				return ((obj_t) BgL_auxz00_6427);
			}
		}

	}



/* &patch!-sequence1639 */
	obj_t BGl_z62patchz12zd2sequence1639za2zzcfa_tvectorz00(obj_t BgL_envz00_5037,
		obj_t BgL_nodez00_5038)
	{
		{	/* Cfa/tvector.scm 326 */
			{
				BgL_sequencez00_bglt BgL_auxz00_6451;

				BGl_patchza2z12zb0zzcfa_tvectorz00(
					(((BgL_sequencez00_bglt) COBJECT(
								((BgL_sequencez00_bglt) BgL_nodez00_5038)))->BgL_nodesz00));
				BgL_auxz00_6451 = ((BgL_sequencez00_bglt) BgL_nodez00_5038);
				return ((obj_t) BgL_auxz00_6451);
			}
		}

	}



/* &patch!-closure1637 */
	obj_t BGl_z62patchz12zd2closure1637za2zzcfa_tvectorz00(obj_t BgL_envz00_5039,
		obj_t BgL_nodez00_5040)
	{
		{	/* Cfa/tvector.scm 320 */
			{	/* Cfa/tvector.scm 321 */
				obj_t BgL_arg1902z00_5245;

				BgL_arg1902z00_5245 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_5040)));
				return
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2350z00zzcfa_tvectorz00, BGl_string2378z00zzcfa_tvectorz00,
					BgL_arg1902z00_5245);
			}
		}

	}



/* &patch!-var1635 */
	obj_t BGl_z62patchz12zd2var1635za2zzcfa_tvectorz00(obj_t BgL_envz00_5041,
		obj_t BgL_nodez00_5042)
	{
		{	/* Cfa/tvector.scm 314 */
			return ((obj_t) ((BgL_varz00_bglt) BgL_nodez00_5042));
		}

	}



/* &patch!-kwote/node1633 */
	obj_t BGl_z62patchz12zd2kwotezf2node1633z50zzcfa_tvectorz00(obj_t
		BgL_envz00_5043, obj_t BgL_knodez00_5044)
	{
		{	/* Cfa/tvector.scm 297 */
			{
				BgL_kwotez00_bglt BgL_auxz00_6463;

				{	/* Cfa/tvector.scm 299 */
					BgL_approxz00_bglt BgL_approxz00_5248;

					{	/* Cfa/tvector.scm 299 */
						BgL_nodez00_bglt BgL_arg1901z00_5249;

						{
							BgL_kwotezf2nodezf2_bglt BgL_auxz00_6464;

							{
								obj_t BgL_auxz00_6465;

								{	/* Cfa/tvector.scm 299 */
									BgL_objectz00_bglt BgL_tmpz00_6466;

									BgL_tmpz00_6466 =
										((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_knodez00_5044));
									BgL_auxz00_6465 = BGL_OBJECT_WIDENING(BgL_tmpz00_6466);
								}
								BgL_auxz00_6464 = ((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_6465);
							}
							BgL_arg1901z00_5249 =
								(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_6464))->
								BgL_nodez00);
						}
						BgL_approxz00_5248 = BGl_cfaz12z12zzcfa_cfaz00(BgL_arg1901z00_5249);
					}
					{	/* Cfa/tvector.scm 299 */
						obj_t BgL_tvz00_5250;

						{	/* Cfa/tvector.scm 300 */
							BgL_nodez00_bglt BgL_arg1900z00_5251;

							{
								BgL_kwotezf2nodezf2_bglt BgL_auxz00_6473;

								{
									obj_t BgL_auxz00_6474;

									{	/* Cfa/tvector.scm 300 */
										BgL_objectz00_bglt BgL_tmpz00_6475;

										BgL_tmpz00_6475 =
											((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_5044));
										BgL_auxz00_6474 = BGL_OBJECT_WIDENING(BgL_tmpz00_6475);
									}
									BgL_auxz00_6473 =
										((BgL_kwotezf2nodezf2_bglt) BgL_auxz00_6474);
								}
								BgL_arg1900z00_5251 =
									(((BgL_kwotezf2nodezf2_bglt) COBJECT(BgL_auxz00_6473))->
									BgL_nodez00);
							}
							BgL_tvz00_5250 =
								BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_5248,
								((obj_t) BgL_arg1900z00_5251));
						}
						{	/* Cfa/tvector.scm 300 */

							if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_5250,
									BGl_tvecz00zztvector_tvectorz00))
								{	/* Cfa/tvector.scm 302 */
									BgL_kwotez00_bglt BgL_knodez00_5252;

									{	/* Cfa/tvector.scm 302 */
										long BgL_arg1893z00_5253;

										{	/* Cfa/tvector.scm 302 */
											obj_t BgL_arg1894z00_5254;

											{	/* Cfa/tvector.scm 302 */
												obj_t BgL_arg1895z00_5255;

												{	/* Cfa/tvector.scm 302 */
													long BgL_arg1745z00_5256;

													{	/* Cfa/tvector.scm 302 */
														long BgL_arg1746z00_5257;

														{	/* Cfa/tvector.scm 302 */
															long BgL_res2302z00_5258;

															BgL_res2302z00_5258 =
																BGL_OBJECT_CLASS_NUM(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt) BgL_knodez00_5044)));
															BgL_arg1746z00_5257 = BgL_res2302z00_5258;
														}
														BgL_arg1745z00_5256 =
															(BgL_arg1746z00_5257 - OBJECT_TYPE);
													}
													BgL_arg1895z00_5255 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1745z00_5256);
												}
												BgL_arg1894z00_5254 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg1895z00_5255);
											}
											{	/* Cfa/tvector.scm 302 */
												long BgL_res2304z00_5259;

												{	/* Cfa/tvector.scm 302 */
													obj_t BgL_tmpz00_6491;

													BgL_tmpz00_6491 = ((obj_t) BgL_arg1894z00_5254);
													BgL_res2304z00_5259 =
														BGL_CLASS_INDEX(BgL_tmpz00_6491);
												}
												BgL_arg1893z00_5253 = BgL_res2304z00_5259;
										}}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_knodez00_5044)),
											BgL_arg1893z00_5253);
									}
									{	/* Cfa/tvector.scm 302 */
										BgL_objectz00_bglt BgL_tmpz00_6497;

										BgL_tmpz00_6497 =
											((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_5044));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6497, BFALSE);
									}
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_knodez00_5044));
									BgL_knodez00_5252 = ((BgL_kwotez00_bglt) BgL_knodez00_5044);
									{	/* Cfa/tvector.scm 302 */
										BgL_kwotez00_bglt BgL_nz00_5260;

										{	/* Cfa/tvector.scm 303 */
											BgL_kwotez00_bglt BgL_new1180z00_5261;

											{	/* Cfa/tvector.scm 303 */
												BgL_kwotez00_bglt BgL_new1184z00_5262;

												BgL_new1184z00_5262 =
													((BgL_kwotez00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
																BgL_kwotez00_bgl))));
												{	/* Cfa/tvector.scm 303 */
													long BgL_arg1892z00_5263;

													{	/* Cfa/tvector.scm 303 */
														long BgL_res2305z00_5264;

														BgL_res2305z00_5264 =
															BGL_CLASS_INDEX(BGl_kwotez00zzast_nodez00);
														BgL_arg1892z00_5263 = BgL_res2305z00_5264;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt) BgL_new1184z00_5262),
														BgL_arg1892z00_5263);
												}
												{	/* Cfa/tvector.scm 303 */
													BgL_objectz00_bglt BgL_tmpz00_6508;

													BgL_tmpz00_6508 =
														((BgL_objectz00_bglt) BgL_new1184z00_5262);
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6508, BFALSE);
												}
												((BgL_objectz00_bglt) BgL_new1184z00_5262);
												BgL_new1180z00_5261 = BgL_new1184z00_5262;
											}
											((((BgL_nodez00_bglt) COBJECT(
															((BgL_nodez00_bglt) BgL_new1180z00_5261)))->
													BgL_locz00) =
												((obj_t) (((BgL_nodez00_bglt)
															COBJECT(((BgL_nodez00_bglt) BgL_knodez00_5252)))->
														BgL_locz00)), BUNSPEC);
											{
												BgL_typez00_bglt BgL_auxz00_6516;

												{	/* Cfa/tvector.scm 304 */
													BgL_typez00_bglt BgL_arg1889z00_5265;

													BgL_arg1889z00_5265 =
														(((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_knodez00_5252)))->
														BgL_typez00);
													BgL_auxz00_6516 =
														BGl_strictzd2nodezd2typez00zzast_nodez00((
															(BgL_typez00_bglt) ((BgL_typez00_bglt)
																BgL_tvz00_5250)), BgL_arg1889z00_5265);
												}
												((((BgL_nodez00_bglt) COBJECT(
																((BgL_nodez00_bglt) BgL_new1180z00_5261)))->
														BgL_typez00) =
													((BgL_typez00_bglt) BgL_auxz00_6516), BUNSPEC);
											}
											{
												obj_t BgL_auxz00_6524;

												{	/* Cfa/tvector.scm 305 */
													obj_t BgL_arg1891z00_5266;

													BgL_arg1891z00_5266 =
														(((BgL_kwotez00_bglt) COBJECT(
																((BgL_kwotez00_bglt)
																	((BgL_kwotez00_bglt) BgL_knodez00_5044))))->
														BgL_valuez00);
													{	/* Cfa/tvector.scm 305 */
														obj_t BgL_newz00_5267;

														BgL_newz00_5267 =
															create_struct(CNST_TABLE_REF(((long) 22)),
															(int) (((long) 2)));
														{	/* Cfa/tvector.scm 305 */
															int BgL_tmpz00_6531;

															BgL_tmpz00_6531 = (int) (((long) 1));
															STRUCT_SET(BgL_newz00_5267, BgL_tmpz00_6531,
																BgL_arg1891z00_5266);
														}
														{	/* Cfa/tvector.scm 305 */
															int BgL_tmpz00_6534;

															BgL_tmpz00_6534 = (int) (((long) 0));
															STRUCT_SET(BgL_newz00_5267, BgL_tmpz00_6534,
																BgL_tvz00_5250);
														}
														BgL_auxz00_6524 = BgL_newz00_5267;
												}}
												((((BgL_kwotez00_bglt) COBJECT(BgL_new1180z00_5261))->
														BgL_valuez00) = ((obj_t) BgL_auxz00_6524), BUNSPEC);
											}
											BgL_nz00_5260 = BgL_new1180z00_5261;
										}
										{	/* Cfa/tvector.scm 303 */

											{	/* Cfa/tvector.scm 306 */
												BgL_kwotezf2cinfozf2_bglt BgL_wide1187z00_5268;

												BgL_wide1187z00_5268 =
													((BgL_kwotezf2cinfozf2_bglt)
													BOBJECT(GC_MALLOC(sizeof(struct
																BgL_kwotezf2cinfozf2_bgl))));
												{	/* Cfa/tvector.scm 306 */
													obj_t BgL_auxz00_6542;
													BgL_objectz00_bglt BgL_tmpz00_6539;

													BgL_auxz00_6542 = ((obj_t) BgL_wide1187z00_5268);
													BgL_tmpz00_6539 =
														((BgL_objectz00_bglt)
														((BgL_kwotez00_bglt) BgL_nz00_5260));
													BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6539,
														BgL_auxz00_6542);
												}
												((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_nz00_5260));
												{	/* Cfa/tvector.scm 306 */
													long BgL_arg1888z00_5269;

													{	/* Cfa/tvector.scm 306 */
														long BgL_res2306z00_5270;

														BgL_res2306z00_5270 =
															BGL_CLASS_INDEX
															(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
														BgL_arg1888z00_5269 = BgL_res2306z00_5270;
													}
													BGL_OBJECT_CLASS_NUM_SET(
														((BgL_objectz00_bglt)
															((BgL_kwotez00_bglt) BgL_nz00_5260)),
														BgL_arg1888z00_5269);
												}
												((BgL_kwotez00_bglt)
													((BgL_kwotez00_bglt) BgL_nz00_5260));
											}
											{
												BgL_kwotezf2cinfozf2_bglt BgL_auxz00_6553;

												{
													obj_t BgL_auxz00_6554;

													{	/* Cfa/tvector.scm 307 */
														BgL_objectz00_bglt BgL_tmpz00_6555;

														BgL_tmpz00_6555 =
															((BgL_objectz00_bglt)
															((BgL_kwotez00_bglt) BgL_nz00_5260));
														BgL_auxz00_6554 =
															BGL_OBJECT_WIDENING(BgL_tmpz00_6555);
													}
													BgL_auxz00_6553 =
														((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_6554);
												}
												((((BgL_kwotezf2cinfozf2_bglt)
															COBJECT(BgL_auxz00_6553))->BgL_approxz00) =
													((BgL_approxz00_bglt) BgL_approxz00_5248), BUNSPEC);
											}
											BgL_auxz00_6463 = ((BgL_kwotez00_bglt) BgL_nz00_5260);
								}}}
							else
								{	/* Cfa/tvector.scm 308 */
									BgL_kwotez00_bglt BgL_tmp1189z00_5271;

									{	/* Cfa/tvector.scm 308 */
										long BgL_arg1897z00_5272;

										{	/* Cfa/tvector.scm 308 */
											obj_t BgL_arg1898z00_5273;

											{	/* Cfa/tvector.scm 308 */
												obj_t BgL_arg1899z00_5274;

												{	/* Cfa/tvector.scm 308 */
													long BgL_arg1745z00_5275;

													{	/* Cfa/tvector.scm 308 */
														long BgL_arg1746z00_5276;

														{	/* Cfa/tvector.scm 308 */
															long BgL_res2307z00_5277;

															BgL_res2307z00_5277 =
																BGL_OBJECT_CLASS_NUM(
																((BgL_objectz00_bglt)
																	((BgL_kwotez00_bglt) BgL_knodez00_5044)));
															BgL_arg1746z00_5276 = BgL_res2307z00_5277;
														}
														BgL_arg1745z00_5275 =
															(BgL_arg1746z00_5276 - OBJECT_TYPE);
													}
													BgL_arg1899z00_5274 =
														VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
														BgL_arg1745z00_5275);
												}
												BgL_arg1898z00_5273 =
													BGl_classzd2superzd2zz__objectz00
													(BgL_arg1899z00_5274);
											}
											{	/* Cfa/tvector.scm 308 */
												long BgL_res2309z00_5278;

												{	/* Cfa/tvector.scm 308 */
													obj_t BgL_tmpz00_6568;

													BgL_tmpz00_6568 = ((obj_t) BgL_arg1898z00_5273);
													BgL_res2309z00_5278 =
														BGL_CLASS_INDEX(BgL_tmpz00_6568);
												}
												BgL_arg1897z00_5272 = BgL_res2309z00_5278;
										}}
										BGL_OBJECT_CLASS_NUM_SET(
											((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_knodez00_5044)),
											BgL_arg1897z00_5272);
									}
									{	/* Cfa/tvector.scm 308 */
										BgL_objectz00_bglt BgL_tmpz00_6574;

										BgL_tmpz00_6574 =
											((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_knodez00_5044));
										BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6574, BFALSE);
									}
									((BgL_objectz00_bglt)
										((BgL_kwotez00_bglt) BgL_knodez00_5044));
									BgL_tmp1189z00_5271 =
										((BgL_kwotez00_bglt)
										((BgL_kwotez00_bglt) BgL_knodez00_5044));
									{	/* Cfa/tvector.scm 308 */
										BgL_kwotezf2cinfozf2_bglt BgL_wide1191z00_5279;

										BgL_wide1191z00_5279 =
											((BgL_kwotezf2cinfozf2_bglt)
											BOBJECT(GC_MALLOC(sizeof(struct
														BgL_kwotezf2cinfozf2_bgl))));
										{	/* Cfa/tvector.scm 308 */
											obj_t BgL_auxz00_6586;
											BgL_objectz00_bglt BgL_tmpz00_6583;

											BgL_auxz00_6586 = ((obj_t) BgL_wide1191z00_5279);
											BgL_tmpz00_6583 =
												((BgL_objectz00_bglt)
												((BgL_kwotez00_bglt) BgL_tmp1189z00_5271));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6583, BgL_auxz00_6586);
										}
										((BgL_objectz00_bglt)
											((BgL_kwotez00_bglt) BgL_tmp1189z00_5271));
										{	/* Cfa/tvector.scm 308 */
											long BgL_arg1896z00_5280;

											{	/* Cfa/tvector.scm 308 */
												long BgL_res2310z00_5281;

												BgL_res2310z00_5281 =
													BGL_CLASS_INDEX(BGl_kwotezf2Cinfozf2zzcfa_infoz00);
												BgL_arg1896z00_5280 = BgL_res2310z00_5281;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_tmp1189z00_5271)),
												BgL_arg1896z00_5280);
										}
										((BgL_kwotez00_bglt)
											((BgL_kwotez00_bglt) BgL_tmp1189z00_5271));
									}
									{
										BgL_kwotezf2cinfozf2_bglt BgL_auxz00_6597;

										{
											obj_t BgL_auxz00_6598;

											{	/* Cfa/tvector.scm 309 */
												BgL_objectz00_bglt BgL_tmpz00_6599;

												BgL_tmpz00_6599 =
													((BgL_objectz00_bglt)
													((BgL_kwotez00_bglt) BgL_tmp1189z00_5271));
												BgL_auxz00_6598 = BGL_OBJECT_WIDENING(BgL_tmpz00_6599);
											}
											BgL_auxz00_6597 =
												((BgL_kwotezf2cinfozf2_bglt) BgL_auxz00_6598);
										}
										((((BgL_kwotezf2cinfozf2_bglt) COBJECT(BgL_auxz00_6597))->
												BgL_approxz00) =
											((BgL_approxz00_bglt) BgL_approxz00_5248), BUNSPEC);
									}
									BgL_auxz00_6463 = ((BgL_kwotez00_bglt) BgL_tmp1189z00_5271);
				}}}}
				return ((obj_t) BgL_auxz00_6463);
			}
		}

	}



/* &patch!-kwote1631 */
	obj_t BGl_z62patchz12zd2kwote1631za2zzcfa_tvectorz00(obj_t BgL_envz00_5045,
		obj_t BgL_nodez00_5046)
	{
		{	/* Cfa/tvector.scm 291 */
			return ((obj_t) ((BgL_kwotez00_bglt) BgL_nodez00_5046));
		}

	}



/* &patch!-atom1629 */
	obj_t BGl_z62patchz12zd2atom1629za2zzcfa_tvectorz00(obj_t BgL_envz00_5047,
		obj_t BgL_nodez00_5048)
	{
		{	/* Cfa/tvector.scm 285 */
			return ((obj_t) ((BgL_atomz00_bglt) BgL_nodez00_5048));
		}

	}



/* &get-vector-item-type1625 */
	BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1625zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_5049, obj_t BgL_nodez00_5050)
	{
		{	/* Cfa/tvector.scm 213 */
			{	/* Cfa/tvector.scm 215 */
				bool_t BgL_test2492z00_6611;

				{
					BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_6612;

					{
						obj_t BgL_auxz00_6613;

						{	/* Cfa/tvector.scm 215 */
							BgL_objectz00_bglt BgL_tmpz00_6614;

							BgL_tmpz00_6614 =
								((BgL_objectz00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5050));
							BgL_auxz00_6613 = BGL_OBJECT_WIDENING(BgL_tmpz00_6614);
						}
						BgL_auxz00_6612 =
							((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_6613);
					}
					BgL_test2492z00_6611 =
						(((BgL_valloczf2cinfozb2optimz40_bglt) COBJECT(BgL_auxz00_6612))->
						BgL_seenzf3zf3);
				}
				if (BgL_test2492z00_6611)
					{	/* Cfa/tvector.scm 217 */
						BgL_approxz00_bglt BgL_arg1885z00_5285;

						{
							BgL_valloczf2cinfozb2optimz40_bglt BgL_auxz00_6620;

							{
								obj_t BgL_auxz00_6621;

								{	/* Cfa/tvector.scm 217 */
									BgL_objectz00_bglt BgL_tmpz00_6622;

									BgL_tmpz00_6622 =
										((BgL_objectz00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5050));
									BgL_auxz00_6621 = BGL_OBJECT_WIDENING(BgL_tmpz00_6622);
								}
								BgL_auxz00_6620 =
									((BgL_valloczf2cinfozb2optimz40_bglt) BgL_auxz00_6621);
							}
							BgL_arg1885z00_5285 =
								(((BgL_valloczf2cinfozb2optimz40_bglt)
									COBJECT(BgL_auxz00_6620))->BgL_valuezd2approxzd2);
						}
						return
							(((BgL_approxz00_bglt) COBJECT(BgL_arg1885z00_5285))->
							BgL_typez00);
					}
				else
					{	/* Cfa/tvector.scm 215 */
						return ((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00);
					}
			}
		}

	}



/* &get-vector-item-type1623 */
	BgL_typez00_bglt
		BGl_z62getzd2vectorzd2itemzd2type1623zb0zzcfa_tvectorz00(obj_t
		BgL_envz00_5051, obj_t BgL_appz00_5052)
	{
		{	/* Cfa/tvector.scm 204 */
			{	/* Cfa/tvector.scm 206 */
				bool_t BgL_test2493z00_6630;

				{
					BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6631;

					{
						obj_t BgL_auxz00_6632;

						{	/* Cfa/tvector.scm 206 */
							BgL_objectz00_bglt BgL_tmpz00_6633;

							BgL_tmpz00_6633 =
								((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_appz00_5052));
							BgL_auxz00_6632 = BGL_OBJECT_WIDENING(BgL_tmpz00_6633);
						}
						BgL_auxz00_6631 =
							((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_6632);
					}
					BgL_test2493z00_6630 =
						(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_6631))->
						BgL_seenzf3zf3);
				}
				if (BgL_test2493z00_6630)
					{	/* Cfa/tvector.scm 208 */
						BgL_approxz00_bglt BgL_arg1883z00_5287;

						{
							BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_6639;

							{
								obj_t BgL_auxz00_6640;

								{	/* Cfa/tvector.scm 208 */
									BgL_objectz00_bglt BgL_tmpz00_6641;

									BgL_tmpz00_6641 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_appz00_5052));
									BgL_auxz00_6640 = BGL_OBJECT_WIDENING(BgL_tmpz00_6641);
								}
								BgL_auxz00_6639 =
									((BgL_makezd2vectorzd2appz00_bglt) BgL_auxz00_6640);
							}
							BgL_arg1883z00_5287 =
								(((BgL_makezd2vectorzd2appz00_bglt) COBJECT(BgL_auxz00_6639))->
								BgL_valuezd2approxzd2);
						}
						return
							(((BgL_approxz00_bglt) COBJECT(BgL_arg1883z00_5287))->
							BgL_typez00);
					}
				else
					{	/* Cfa/tvector.scm 206 */
						return ((BgL_typez00_bglt) BGl_za2vectorza2z00zztype_cachez00);
					}
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_tvectorz00()
	{
		{	/* Cfa/tvector.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_typez00(((long) 410405073),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzmodule_pragmaz00(((long) 433305536),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_envz00(((long) 296457443),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_buildz00(((long) 428035925),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_envz00(((long) 146730773),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzast_lvtypez00(((long) 189769752),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_cfaz00(((long) 400853817),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_approxz00(((long) 468997863),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzcfa_typez00(((long) 93933605),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzglobaliza7e_walkza7(((long) 69163963),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
			return
				BGl_modulezd2initializa7ationz75zzinline_walkz00(((long) 385476819),
				BSTRING_TO_STRING(BGl_string2379z00zzcfa_tvectorz00));
		}

	}

#ifdef __cplusplus
}
#endif
