/*===========================================================================*/
/*   (Cfa/type.scm)                                                          */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Cfa/type.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_cfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_argszd2typezd2;
		bool_t BgL_macrozf3zf3;
		bool_t BgL_infixzf3zf3;
		obj_t BgL_methodz00;
	}              *BgL_cfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_cvarz00_bgl
	{
		header_t header;
		obj_t widening;
		bool_t BgL_macrozf3zf3;
	}              *BgL_cvarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_atomz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}              *BgL_atomz00_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_closurez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}                 *BgL_closurez00_bglt;

	typedef struct BgL_kwotez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_valuez00;
	}               *BgL_kwotez00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_vallocz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
	}                *BgL_vallocz00_bglt;

	typedef struct BgL_vrefz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}              *BgL_vrefz00_bglt;

	typedef struct BgL_vsetz12z12_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
		obj_t BgL_czd2formatzd2;
		struct BgL_typez00_bgl *BgL_ftypez00;
		struct BgL_typez00_bgl *BgL_otypez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
		bool_t BgL_unsafez00;
	}                 *BgL_vsetz12z12_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_approxz00_bgl
	{
		header_t header;
		obj_t widening;
		struct BgL_typez00_bgl *BgL_typez00;
		bool_t BgL_typezd2lockedzf3z21;
		obj_t BgL_allocsz00;
		bool_t BgL_topzf3zf3;
		long BgL_lostzd2stampzd2;
		obj_t BgL_dupz00;
	}                *BgL_approxz00_bglt;

	typedef struct BgL_internzd2sfunzf2cinfoz20_bgl
	{
		bool_t BgL_polymorphiczf3zf3;
		struct BgL_approxz00_bgl *BgL_approxz00;
		long BgL_stampz00;
	}                               *BgL_internzd2sfunzf2cinfoz20_bglt;

	typedef struct BgL_svarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		bool_t BgL_clozd2envzf3z21;
		long BgL_stampz00;
	}                      *BgL_svarzf2cinfozf2_bglt;

	typedef struct BgL_cvarzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                      *BgL_cvarzf2cinfozf2_bglt;

	typedef struct BgL_appzd2lyzf2cinfoz20_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                          *BgL_appzd2lyzf2cinfoz20_bglt;

	typedef struct BgL_funcallzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_vazd2approxzd2;
		bool_t BgL_arityzd2errorzd2noticedzf3zf3;
		bool_t BgL_typezd2errorzd2noticedzf3zf3;
	}                         *BgL_funcallzf2cinfozf2_bglt;

	typedef struct BgL_conditionalzf2cinfozf2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                             *BgL_conditionalzf2cinfozf2_bglt;

	typedef struct BgL_arithmeticzd2appzd2_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_speczd2typeszd2;
	}                          *BgL_arithmeticzd2appzd2_bglt;

	typedef struct BgL_procedurezd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
	}                               *BgL_procedurezd2refzd2appz00_bglt;

	typedef struct BgL_procedurezd2setz12zd2appz12_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_vapproxz00;
	}                                  *BgL_procedurezd2setz12zd2appz12_bglt;

	typedef struct BgL_makezd2vectorzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                             *BgL_makezd2vectorzd2appz00_bglt;

	typedef struct BgL_conszd2refzd2appz00_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		obj_t BgL_getz00;
	}                          *BgL_conszd2refzd2appz00_bglt;

	typedef struct BgL_valloczf2cinfozb2optimz40_bgl
	{
		struct BgL_approxz00_bgl *BgL_approxz00;
		struct BgL_approxz00_bgl *BgL_valuezd2approxzd2;
		long BgL_lostzd2stampzd2;
		struct BgL_variablez00_bgl *BgL_ownerz00;
		bool_t BgL_stackablezf3zf3;
		obj_t BgL_stackzd2stampzd2;
		bool_t BgL_seenzf3zf3;
	}                                *BgL_valloczf2cinfozb2optimz40_bglt;

	typedef struct BgL_tvecz00_bgl
	{
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}              *BgL_tvecz00_bglt;


	extern obj_t BGl_closurez00zzast_nodez00;
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_za2optimzd2cfazf3za2z21zzengine_paramz00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzcfa_typez00();
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	static obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt);
	extern obj_t BGl_cvarzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_methodzd2initzd2zzcfa_typez00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern BgL_typez00_bglt
		BGl_getzd2bigloozd2typez00zztype_cachez00(BgL_typez00_bglt);
	static obj_t BGl_z62typezd2variablez121629za2zzcfa_typez00(obj_t, obj_t,
		obj_t);
	extern obj_t BGl_typezd2closuresz12zc0zzcfa_closurez00();
	extern obj_t BGl_procedurezd2refzd2appz00zzcfa_info2z00;
	BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
	extern obj_t BGl_za2_za2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1660z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2procedure1662z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2objza2z00zztype_cachez00;
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1656z70zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t);
	extern obj_t BGl_za2unsafezd2typeza2zd2zzengine_paramz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcall1670z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2funcallzf2C1672z82zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_za2epairza2z00zztype_cachez00;
	extern obj_t BGl_svarzf2Cinfozf2zzcfa_infoz00;
	extern bool_t BGl_bigloozd2typezf3z21zztype_typez00(BgL_typez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	BGL_IMPORT obj_t
		BGl_findzd2superzd2classzd2methodzd2zz__objectz00(BgL_objectz00_bglt, obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12zd2inter1640z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sync1654z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vsetz121680z62zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_funcallzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2fail1690z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_funz00zzast_varz00;
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern obj_t BGl_internalzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2defaultzd2typez00zztype_cachez00();
	extern obj_t BGl_conszd2refzd2appz00zzcfa_info2z00;
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern obj_t BGl_makezd2vectorzd2appz00zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2vref1678z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2scnst1634z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	extern obj_t BGl_varz00zzast_nodez00;
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	extern obj_t BGl_za2pairza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1686z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2condition1688z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztvector_tvectorz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_closurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_setz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_info2z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzcfa_infoz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typeofz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_cachez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2ref1707za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2sequence1652z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_vrefz00zzast_nodez00;
	static BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_kwotez00zzast_nodez00;
	extern obj_t BGl_localz00zzast_varz00;
	static obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt);
	static obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00();
	static BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_conditionalzf2Cinfozf2zzcfa_infoz00;
	extern obj_t BGl_valuez00zzast_varz00;
	extern obj_t BGl_za2unspecza2z00zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2ly1666za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21664z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_switchz00zzast_nodez00;
	extern BgL_typez00_bglt BGl_getzd2typezd2kwotez00zztype_typeofz00(obj_t);
	BGL_IMPORT obj_t BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern obj_t BGl_vsetz12z12zzast_nodez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2extern1674z70zzcfa_typez00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2sexit1638z70zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t
		BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_z62typezd2variablez12zd2cvarzf21636z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	static obj_t BGl_z62typezd2variablez12zd2svarzf21632z82zzcfa_typez00(obj_t,
		obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	extern obj_t BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00;
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2atom1644z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00;
	extern BgL_typez00_bglt
		BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1701z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_cfunz00zzast_varz00;
	extern bool_t BGl_typezd2subclasszf3z21zzobject_classz00(BgL_typez00_bglt,
		BgL_typez00_bglt);
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t BGl_z62typezd2nodez121641za2zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzcfa_typez00();
	static obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt,
		BgL_variablez00_bglt);
	extern obj_t BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00;
	extern obj_t BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00();
	extern obj_t BGl_vallocz00zzast_nodez00;
	extern obj_t BGl_sexitzf2Cinfozf2zzcfa_infoz00;
	static obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1698z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2switch1692z70zzcfa_typez00(obj_t, obj_t);
	static obj_t BGl_requirezd2initializa7ationz75zzcfa_typez00 = BUNSPEC;
	extern obj_t BGl_za2vectorza2z00zztype_cachez00;
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	BGL_IMPORT obj_t BGl_za2classesza2z00zz__objectz00;
	extern obj_t BGl_tclassz00zzobject_classz00;
	extern obj_t BGl_atomz00zzast_nodez00;
	static obj_t BGl_toplevelzd2initzd2zzcfa_typez00();
	extern obj_t BGl_setzd2ze3listz31zzcfa_setz00(obj_t);
	static obj_t BGl_genericzd2initzd2zzcfa_typez00();
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121705zb0zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2makezd2box1703za2zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt
		BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(BgL_nodez00_bglt);
	extern obj_t BGl_arithmeticzd2appzd2zzcfa_info2z00;
	extern obj_t BGl_typez00zztype_typez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2arithmeti1658z70zzcfa_typez00(obj_t, obj_t);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern bool_t
		BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(BgL_approxz00_bglt);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2fun1694za2zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2kwote1646z70zzcfa_typez00(obj_t, obj_t);
	extern BgL_typez00_bglt BGl_getzd2typezd2zztype_typeofz00(BgL_nodez00_bglt,
		bool_t);
	static BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1648z70zzcfa_typez00(obj_t,
		obj_t);
	static obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t, obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1668z50zzcfa_typez00(obj_t, obj_t);
	extern obj_t
		BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_cnstzd2initzd2zzcfa_typez00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
	extern obj_t BGl_tvecz00zztvector_tvectorz00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2valloc1676z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_procedurezd2setz12zd2appz12zzcfa_info2z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2closure1650z70zzcfa_typez00(obj_t, obj_t);
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2letzd2var1696za2zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_scnstzf2Cinfozf2zzcfa_infoz00;
	BGL_IMPORT obj_t BGl_classzd2superzd2zz__objectz00(obj_t);
	extern obj_t BGl_za2procedurezd2elza2zd2zztype_cachez00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2cast1682z70zzcfa_typez00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	extern obj_t BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00;
	static BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setq1684z70zzcfa_typez00(obj_t, obj_t);
	static obj_t __cnst[5];


	   
		 
		DEFINE_STRING(BGl_string2291z00zzcfa_typez00,
		BgL_bgl_string2291za700za7za7c2344za7, "type-fun!", 9);
	      DEFINE_STRING(BGl_string2292z00zzcfa_typez00,
		BgL_bgl_string2292za700za7za7c2345za7, "Unknown value", 13);
	      DEFINE_STRING(BGl_string2294z00zzcfa_typez00,
		BgL_bgl_string2294za700za7za7c2346za7, "type-variable!1629", 18);
	      DEFINE_STRING(BGl_string2296z00zzcfa_typez00,
		BgL_bgl_string2296za700za7za7c2347za7, "type-node!1641", 14);
	      DEFINE_STRING(BGl_string2297z00zzcfa_typez00,
		BgL_bgl_string2297za700za7za7c2348za7, "No method for this object", 25);
	      DEFINE_STRING(BGl_string2299z00zzcfa_typez00,
		BgL_bgl_string2299za700za7za7c2349za7, "type-variable!", 14);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_typezd2settingsz12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2settin2350z00,
		BGl_z62typezd2settingsz12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712351za7,
		BGl_z62typezd2nodez12za2zzcfa_typez00, 0L, BUNSPEC, 1);
	     
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_getzd2approxzd2typezd2envzd2zzcfa_typez00,
		BgL_bgl_za762getza7d2approxza72352za7,
		BGl_z62getzd2approxzd2typez62zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STRING(BGl_string2305z00zzcfa_typez00,
		BgL_bgl_string2305za700za7za7c2353za7, "type-node!", 10);
	      DEFINE_STRING(BGl_string2337z00zzcfa_typez00,
		BgL_bgl_string2337za700za7za7c2354za7, "unexpected node", 15);
	      DEFINE_STRING(BGl_string2338z00zzcfa_typez00,
		BgL_bgl_string2338za700za7za7c2355za7, "Unexpected closure", 18);
	      DEFINE_STRING(BGl_string2339z00zzcfa_typez00,
		BgL_bgl_string2339za700za7za7c2356za7, "cfa_type", 8);
	      DEFINE_STRING(BGl_string2340z00zzcfa_typez00,
		BgL_bgl_string2340za700za7za7c2357za7,
		"nothing static (light elight) type-node!1641 bigloo ", 52);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2293z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2358z00,
		BGl_z62typezd2variablez121629za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2295z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712359za7,
		BGl_z62typezd2nodez121641za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2298z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2360z00,
		BGl_z62typezd2variablez12zd2svarzf21632z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_GENERIC(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2361z00,
		BGl_z62typezd2variablez12za2zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2300z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2362z00,
		BGl_z62typezd2variablez12zd2scnst1634z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2301z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2363z00,
		BGl_z62typezd2variablez12zd2cvarzf21636z82zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2302z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2364z00,
		BGl_z62typezd2variablez12zd2sexit1638z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2303z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2variab2365z00,
		BGl_z62typezd2variablez12zd2inter1640z70zzcfa_typez00, 0L, BUNSPEC, 2);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2304z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712366za7,
		BGl_z62typezd2nodez12zd2atom1644z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2306z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712367za7,
		BGl_z62typezd2nodez12zd2kwote1646z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2307z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712368za7,
		BGl_z62typezd2nodez12zd2var1648z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2308z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712369za7,
		BGl_z62typezd2nodez12zd2closure1650z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2309z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712370za7,
		BGl_z62typezd2nodez12zd2sequence1652z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2310z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712371za7,
		BGl_z62typezd2nodez12zd2sync1654z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2311z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712372za7,
		BGl_z62typezd2nodez12zd2app1656z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2312z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712373za7,
		BGl_z62typezd2nodez12zd2arithmeti1658z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2313z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712374za7,
		BGl_z62typezd2nodez12zd2procedure1660z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2314z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712375za7,
		BGl_z62typezd2nodez12zd2procedure1662z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2315z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712376za7,
		BGl_z62typezd2nodez12zd2conszd2refzd21664z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2316z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712377za7,
		BGl_z62typezd2nodez12zd2appzd2ly1666za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2317z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712378za7,
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1668z50zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2318z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712379za7,
		BGl_z62typezd2nodez12zd2funcall1670z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2319z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712380za7,
		BGl_z62typezd2nodez12zd2funcallzf2C1672z82zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2320z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712381za7,
		BGl_z62typezd2nodez12zd2extern1674z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2321z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712382za7,
		BGl_z62typezd2nodez12zd2valloc1676z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2322z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712383za7,
		BGl_z62typezd2nodez12zd2vref1678z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2323z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712384za7,
		BGl_z62typezd2nodez12zd2vsetz121680z62zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2324z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712385za7,
		BGl_z62typezd2nodez12zd2cast1682z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2325z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712386za7,
		BGl_z62typezd2nodez12zd2setq1684z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2326z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712387za7,
		BGl_z62typezd2nodez12zd2condition1686z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2327z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712388za7,
		BGl_z62typezd2nodez12zd2condition1688z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2328z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712389za7,
		BGl_z62typezd2nodez12zd2fail1690z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2329z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712390za7,
		BGl_z62typezd2nodez12zd2switch1692z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2330z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712391za7,
		BGl_z62typezd2nodez12zd2letzd2fun1694za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2331z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712392za7,
		BGl_z62typezd2nodez12zd2letzd2var1696za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2332z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712393za7,
		BGl_z62typezd2nodez12zd2setzd2exzd2it1698z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2333z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712394za7,
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1701z70zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2334z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712395za7,
		BGl_z62typezd2nodez12zd2makezd2box1703za2zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2335z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712396za7,
		BGl_z62typezd2nodez12zd2boxzd2setz121705zb0zzcfa_typez00, 0L, BUNSPEC, 1);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc2336z00zzcfa_typez00,
		BgL_bgl_za762typeza7d2nodeza712397za7,
		BGl_z62typezd2nodez12zd2boxzd2ref1707za2zzcfa_typez00, 0L, BUNSPEC, 1);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		     ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zzcfa_typez00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzcfa_typez00(long
		BgL_checksumz00_5271, char *BgL_fromz00_5272)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzcfa_typez00))
				{
					BGl_requirezd2initializa7ationz75zzcfa_typez00 = BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzcfa_typez00();
					BGl_libraryzd2moduleszd2initz00zzcfa_typez00();
					BGl_cnstzd2initzd2zzcfa_typez00();
					BGl_importedzd2moduleszd2initz00zzcfa_typez00();
					BGl_genericzd2initzd2zzcfa_typez00();
					BGl_methodzd2initzd2zzcfa_typez00();
					return BGl_toplevelzd2initzd2zzcfa_typez00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__errorz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0), "cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"cfa_type");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"cfa_type");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			{	/* Cfa/type.scm 15 */
				obj_t BgL_cportz00_5066;

				{	/* Cfa/type.scm 15 */
					obj_t BgL_stringz00_5074;

					BgL_stringz00_5074 = BGl_string2340z00zzcfa_typez00;
					{	/* Cfa/type.scm 15 */
						obj_t BgL_startz00_5075;

						BgL_startz00_5075 = BINT(((long) 0));
						{	/* Cfa/type.scm 15 */
							obj_t BgL_endz00_5076;

							BgL_endz00_5076 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_5074)));
							{	/* Cfa/type.scm 15 */

								BgL_cportz00_5066 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_5074, BgL_startz00_5075, BgL_endz00_5076);
				}}}}
				{
					long BgL_iz00_5067;

					BgL_iz00_5067 = ((long) 4);
				BgL_loopz00_5068:
					if ((BgL_iz00_5067 == ((long) -1)))
						{	/* Cfa/type.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Cfa/type.scm 15 */
							{	/* Cfa/type.scm 15 */
								obj_t BgL_arg2342z00_5070;

								{	/* Cfa/type.scm 15 */

									{	/* Cfa/type.scm 15 */
										obj_t BgL_locationz00_5072;

										BgL_locationz00_5072 = BBOOL(((bool_t) 0));
										{	/* Cfa/type.scm 15 */

											BgL_arg2342z00_5070 =
												BGl_readz00zz__readerz00(BgL_cportz00_5066,
												BgL_locationz00_5072);
										}
									}
								}
								{	/* Cfa/type.scm 15 */
									int BgL_tmpz00_5301;

									BgL_tmpz00_5301 = (int) (BgL_iz00_5067);
									CNST_TABLE_SET(BgL_tmpz00_5301, BgL_arg2342z00_5070);
							}}
							{	/* Cfa/type.scm 15 */
								int BgL_auxz00_5073;

								BgL_auxz00_5073 = (int) ((BgL_iz00_5067 - ((long) 1)));
								{
									long BgL_iz00_5306;

									BgL_iz00_5306 = (long) (BgL_auxz00_5073);
									BgL_iz00_5067 = BgL_iz00_5306;
									goto BgL_loopz00_5068;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* type-settings! */
	BGL_EXPORTED_DEF obj_t BGl_typezd2settingsz12zc0zzcfa_typez00(obj_t
		BgL_globalsz00_3)
	{
		{	/* Cfa/type.scm 39 */
			BGl_typezd2closuresz12zc0zzcfa_closurez00();
			{
				obj_t BgL_l1600z00_3539;

				{	/* Cfa/type.scm 44 */
					bool_t BgL_tmpz00_5310;

					BgL_l1600z00_3539 = BgL_globalsz00_3;
				BgL_zc3z04anonymousza31716ze3z87_3540:
					if (PAIRP(BgL_l1600z00_3539))
						{	/* Cfa/type.scm 44 */
							{	/* Cfa/type.scm 44 */
								obj_t BgL_arg1719z00_3542;

								BgL_arg1719z00_3542 = CAR(BgL_l1600z00_3539);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg1719z00_3542));
							}
							{
								obj_t BgL_l1600z00_5316;

								BgL_l1600z00_5316 = CDR(BgL_l1600z00_3539);
								BgL_l1600z00_3539 = BgL_l1600z00_5316;
								goto BgL_zc3z04anonymousza31716ze3z87_3540;
							}
						}
					else
						{	/* Cfa/type.scm 44 */
							BgL_tmpz00_5310 = ((bool_t) 1);
						}
					return BBOOL(BgL_tmpz00_5310);
				}
			}
		}

	}



/* &type-settings! */
	obj_t BGl_z62typezd2settingsz12za2zzcfa_typez00(obj_t BgL_envz00_4933,
		obj_t BgL_globalsz00_4934)
	{
		{	/* Cfa/type.scm 39 */
			return BGl_typezd2settingsz12zc0zzcfa_typez00(BgL_globalsz00_4934);
		}

	}



/* type-fun! */
	obj_t BGl_typezd2funz12zc0zzcfa_typez00(BgL_variablez00_bglt BgL_varz00_4)
	{
		{	/* Cfa/type.scm 49 */
			{	/* Cfa/type.scm 50 */
				BgL_valuez00_bglt BgL_funz00_3545;

				BgL_funz00_3545 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_4))->BgL_valuez00);
				{	/* Cfa/type.scm 54 */
					bool_t BgL_test2401z00_5321;

					{	/* Cfa/type.scm 54 */
						bool_t BgL_res2235z00_4689;

						BgL_res2235z00_4689 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_funz00_3545),
							BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
						BgL_test2401z00_5321 = BgL_res2235z00_4689;
					}
					if (BgL_test2401z00_5321)
						{	/* Cfa/type.scm 54 */
							{	/* Cfa/type.scm 59 */
								obj_t BgL_g1604z00_3548;

								BgL_g1604z00_3548 =
									(((BgL_sfunz00_bglt) COBJECT(
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_funz00_3545))))->BgL_argsz00);
								{
									obj_t BgL_l1602z00_3550;

									BgL_l1602z00_3550 = BgL_g1604z00_3548;
								BgL_zc3z04anonymousza31727ze3z87_3551:
									if (PAIRP(BgL_l1602z00_3550))
										{	/* Cfa/type.scm 59 */
											{	/* Cfa/type.scm 61 */
												obj_t BgL_varz00_3553;

												BgL_varz00_3553 = CAR(BgL_l1602z00_3550);
												{	/* Cfa/type.scm 62 */
													BgL_valuez00_bglt BgL_arg1737z00_3554;

													BgL_arg1737z00_3554 =
														(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt) BgL_varz00_3553))))->
														BgL_valuez00);
													BGl_typezd2variablez12zc0zzcfa_typez00
														(BgL_arg1737z00_3554,
														((BgL_variablez00_bglt) BgL_varz00_3553));
												}
											}
											{
												obj_t BgL_l1602z00_5335;

												BgL_l1602z00_5335 = CDR(BgL_l1602z00_3550);
												BgL_l1602z00_3550 = BgL_l1602z00_5335;
												goto BgL_zc3z04anonymousza31727ze3z87_3551;
											}
										}
									else
										{	/* Cfa/type.scm 59 */
											((bool_t) 1);
										}
								}
							}
							{	/* Cfa/type.scm 65 */
								obj_t BgL_arg1749z00_3557;

								{	/* Cfa/type.scm 65 */
									BgL_approxz00_bglt BgL_arg1750z00_3558;

									{
										BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5337;

										{
											obj_t BgL_auxz00_5338;

											{	/* Cfa/type.scm 65 */
												BgL_objectz00_bglt BgL_tmpz00_5339;

												BgL_tmpz00_5339 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3545));
												BgL_auxz00_5338 = BGL_OBJECT_WIDENING(BgL_tmpz00_5339);
											}
											BgL_auxz00_5337 =
												((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5338);
										}
										BgL_arg1750z00_3558 =
											(((BgL_internzd2sfunzf2cinfoz20_bglt)
												COBJECT(BgL_auxz00_5337))->BgL_approxz00);
									}
									BgL_arg1749z00_3557 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1750z00_3558,
										((obj_t) BgL_varz00_4));
								}
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_varz00_4,
									((BgL_typez00_bglt) BgL_arg1749z00_3557));
							}
							{	/* Cfa/type.scm 66 */
								long BgL_arg1751z00_3560;

								{	/* Cfa/type.scm 66 */
									obj_t BgL_arg1752z00_3561;

									{	/* Cfa/type.scm 66 */
										obj_t BgL_arg1753z00_3562;

										{	/* Cfa/type.scm 66 */
											long BgL_arg1745z00_4696;

											{	/* Cfa/type.scm 66 */
												long BgL_arg1746z00_4697;

												{	/* Cfa/type.scm 66 */
													long BgL_res2237z00_4699;

													BgL_res2237z00_4699 =
														BGL_OBJECT_CLASS_NUM(
														((BgL_objectz00_bglt)
															((BgL_sfunz00_bglt) BgL_funz00_3545)));
													BgL_arg1746z00_4697 = BgL_res2237z00_4699;
												}
												BgL_arg1745z00_4696 =
													(BgL_arg1746z00_4697 - OBJECT_TYPE);
											}
											BgL_arg1753z00_3562 =
												VECTOR_REF(BGl_za2classesza2z00zz__objectz00,
												BgL_arg1745z00_4696);
										}
										BgL_arg1752z00_3561 =
											BGl_classzd2superzd2zz__objectz00(BgL_arg1753z00_3562);
									}
									{	/* Cfa/type.scm 66 */
										long BgL_res2239z00_4706;

										{	/* Cfa/type.scm 66 */
											obj_t BgL_tmpz00_5355;

											BgL_tmpz00_5355 = ((obj_t) BgL_arg1752z00_3561);
											BgL_res2239z00_4706 = BGL_CLASS_INDEX(BgL_tmpz00_5355);
										}
										BgL_arg1751z00_3560 = BgL_res2239z00_4706;
								}}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt)
										((BgL_sfunz00_bglt) BgL_funz00_3545)), BgL_arg1751z00_3560);
							}
							{	/* Cfa/type.scm 66 */
								BgL_objectz00_bglt BgL_tmpz00_5361;

								BgL_tmpz00_5361 =
									((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_3545));
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_5361, BFALSE);
							}
							((BgL_objectz00_bglt) ((BgL_sfunz00_bglt) BgL_funz00_3545));
							((BgL_sfunz00_bglt) BgL_funz00_3545);
							{
								obj_t BgL_auxz00_5368;

								{	/* Cfa/type.scm 68 */
									obj_t BgL_arg1754z00_3563;

									BgL_arg1754z00_3563 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3545))))->BgL_bodyz00);
									BgL_auxz00_5368 =
										((obj_t)
										BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg1754z00_3563)));
								}
								return
									((((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_funz00_3545))))->
										BgL_bodyz00) = ((obj_t) BgL_auxz00_5368), BUNSPEC);
							}
						}
					else
						{	/* Cfa/type.scm 69 */
							bool_t BgL_test2403z00_5378;

							{	/* Cfa/type.scm 69 */
								bool_t BgL_res2240z00_4710;

								BgL_res2240z00_4710 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_3545), BGl_sfunz00zzast_varz00);
								BgL_test2403z00_5378 = BgL_res2240z00_4710;
							}
							if (BgL_test2403z00_5378)
								{
									obj_t BgL_auxz00_5381;

									{	/* Cfa/type.scm 71 */
										obj_t BgL_arg1757z00_3566;

										BgL_arg1757z00_3566 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3545)))->BgL_bodyz00);
										BgL_auxz00_5381 =
											((obj_t)
											BGl_typezd2nodez12zc0zzcfa_typez00(
												((BgL_nodez00_bglt) BgL_arg1757z00_3566)));
									}
									return
										((((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_funz00_3545)))->BgL_bodyz00) =
										((obj_t) BgL_auxz00_5381), BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 73 */
									obj_t BgL_arg1758z00_3567;

									BgL_arg1758z00_3567 =
										BGl_shapez00zztools_shapez00(((obj_t) BgL_varz00_4));
									return
										BGl_internalzd2errorzd2zztools_errorz00
										(BGl_string2291z00zzcfa_typez00,
										BGl_string2292z00zzcfa_typez00, BgL_arg1758z00_3567);
								}
						}
				}
			}
		}

	}



/* type-fun-node! */
	obj_t BGl_typezd2funzd2nodez12z12zzcfa_typez00(BgL_varz00_bglt BgL_vz00_5)
	{
		{	/* Cfa/type.scm 78 */
			{	/* Cfa/type.scm 79 */
				BgL_variablez00_bglt BgL_varz00_3568;

				BgL_varz00_3568 =
					(((BgL_varz00_bglt) COBJECT(BgL_vz00_5))->BgL_variablez00);
				{	/* Cfa/type.scm 79 */
					BgL_valuez00_bglt BgL_funz00_3569;

					BgL_funz00_3569 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_3568))->BgL_valuez00);
					{	/* Cfa/type.scm 80 */

						{	/* Cfa/type.scm 81 */
							bool_t BgL_test2404z00_5394;

							{	/* Cfa/type.scm 81 */
								bool_t BgL_res2241z00_4713;

								BgL_res2241z00_4713 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_funz00_3569),
									BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00);
								BgL_test2404z00_5394 = BgL_res2241z00_4713;
							}
							if (BgL_test2404z00_5394)
								{	/* Cfa/type.scm 83 */
									obj_t BgL_arg1760z00_3572;

									{	/* Cfa/type.scm 83 */
										BgL_approxz00_bglt BgL_arg1761z00_3573;

										{
											BgL_internzd2sfunzf2cinfoz20_bglt BgL_auxz00_5397;

											{
												obj_t BgL_auxz00_5398;

												{	/* Cfa/type.scm 83 */
													BgL_objectz00_bglt BgL_tmpz00_5399;

													BgL_tmpz00_5399 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_funz00_3569));
													BgL_auxz00_5398 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_5399);
												}
												BgL_auxz00_5397 =
													((BgL_internzd2sfunzf2cinfoz20_bglt) BgL_auxz00_5398);
											}
											BgL_arg1761z00_3573 =
												(((BgL_internzd2sfunzf2cinfoz20_bglt)
													COBJECT(BgL_auxz00_5397))->BgL_approxz00);
										}
										BgL_arg1760z00_3572 =
											BGl_getzd2approxzd2typez00zzcfa_typez00
											(BgL_arg1761z00_3573, ((obj_t) BgL_vz00_5));
									}
									return
										BGl_setzd2variablezd2typez12z12zzcfa_typez00
										(BgL_varz00_3568, ((BgL_typez00_bglt) BgL_arg1760z00_3572));
								}
							else
								{	/* Cfa/type.scm 81 */
									return BFALSE;
								}
						}
					}
				}
			}
		}

	}



/* get-approx-type */
	BGL_EXPORTED_DEF obj_t
		BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_approxz00_bglt BgL_approxz00_6,
		obj_t BgL_nodez00_7)
	{
		{	/* Cfa/type.scm 88 */
			{	/* Cfa/type.scm 89 */
				BgL_typez00_bglt BgL_typez00_3574;
				obj_t BgL_alloczd2listzd2_3575;

				BgL_typez00_3574 =
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_6))->BgL_typez00);
				BgL_alloczd2listzd2_3575 =
					BGl_setzd2ze3listz31zzcfa_setz00(
					(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_6))->BgL_allocsz00));
				if (PAIRP(BgL_alloczd2listzd2_3575))
					{	/* Cfa/type.scm 92 */
						if (
							(((BgL_approxz00_bglt) COBJECT(BgL_approxz00_6))->BgL_topzf3zf3))
							{	/* Cfa/type.scm 94 */
								return BGl_za2objza2z00zztype_cachez00;
							}
						else
							{	/* Cfa/type.scm 96 */
								bool_t BgL_test2407z00_5416;

								{
									obj_t BgL_l1605z00_3624;

									BgL_l1605z00_3624 = BgL_alloczd2listzd2_3575;
								BgL_zc3z04anonymousza31785ze3z87_3625:
									if (NULLP(BgL_l1605z00_3624))
										{	/* Cfa/type.scm 96 */
											BgL_test2407z00_5416 = ((bool_t) 1);
										}
									else
										{	/* Cfa/type.scm 96 */
											bool_t BgL_test2409z00_5419;

											{	/* Cfa/type.scm 96 */
												obj_t BgL_arg1787z00_3630;

												BgL_arg1787z00_3630 = CAR(((obj_t) BgL_l1605z00_3624));
												BgL_test2409z00_5419 =
													BGl_isazf3zf3zz__objectz00(BgL_arg1787z00_3630,
													BGl_makezd2vectorzd2appz00zzcfa_info2z00);
											}
											if (BgL_test2409z00_5419)
												{	/* Cfa/type.scm 96 */
													obj_t BgL_arg1786z00_3629;

													BgL_arg1786z00_3629 =
														CDR(((obj_t) BgL_l1605z00_3624));
													{
														obj_t BgL_l1605z00_5425;

														BgL_l1605z00_5425 = BgL_arg1786z00_3629;
														BgL_l1605z00_3624 = BgL_l1605z00_5425;
														goto BgL_zc3z04anonymousza31785ze3z87_3625;
													}
												}
											else
												{	/* Cfa/type.scm 96 */
													BgL_test2407z00_5416 = ((bool_t) 0);
												}
										}
								}
								if (BgL_test2407z00_5416)
									{	/* Cfa/type.scm 97 */
										obj_t BgL_appz00_3588;

										BgL_appz00_3588 = CAR(BgL_alloczd2listzd2_3575);
										{	/* Cfa/type.scm 97 */
											BgL_typez00_bglt BgL_tvzd2typezd2_3589;

											BgL_tvzd2typezd2_3589 =
												BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00(
												((BgL_nodez00_bglt) BgL_appz00_3588));
											{	/* Cfa/type.scm 98 */
												BgL_approxz00_bglt BgL_valuezd2approxzd2_3590;

												{
													BgL_makezd2vectorzd2appz00_bglt BgL_auxz00_5429;

													{
														obj_t BgL_auxz00_5430;

														{	/* Cfa/type.scm 99 */
															BgL_objectz00_bglt BgL_tmpz00_5431;

															BgL_tmpz00_5431 =
																((BgL_objectz00_bglt)
																((BgL_appz00_bglt) BgL_appz00_3588));
															BgL_auxz00_5430 =
																BGL_OBJECT_WIDENING(BgL_tmpz00_5431);
														}
														BgL_auxz00_5429 =
															((BgL_makezd2vectorzd2appz00_bglt)
															BgL_auxz00_5430);
													}
													BgL_valuezd2approxzd2_3590 =
														(((BgL_makezd2vectorzd2appz00_bglt)
															COBJECT(BgL_auxz00_5429))->BgL_valuezd2approxzd2);
												}
												{	/* Cfa/type.scm 99 */
													BgL_typez00_bglt BgL_itemzd2typezd2_3591;

													BgL_itemzd2typezd2_3591 =
														(((BgL_approxz00_bglt)
															COBJECT(BgL_valuezd2approxzd2_3590))->
														BgL_typez00);
													{	/* Cfa/type.scm 100 */
														obj_t BgL_tvz00_3592;

														BgL_tvz00_3592 =
															(((BgL_typez00_bglt)
																COBJECT(BgL_itemzd2typezd2_3591))->
															BgL_tvectorz00);
														{	/* Cfa/type.scm 101 */

															if (BGl_isazf3zf3zz__objectz00(BgL_tvz00_3592,
																	BGl_typez00zztype_typez00))
																{	/* Cfa/type.scm 103 */
																	return BgL_tvz00_3592;
																}
															else
																{	/* Cfa/type.scm 103 */
																	if (
																		(((obj_t) BgL_typez00_3574) ==
																			BGl_za2_za2z00zztype_cachez00))
																		{	/* Cfa/type.scm 104 */
																			return BGl_za2vectorza2z00zztype_cachez00;
																		}
																	else
																		{	/* Cfa/type.scm 104 */
																			return ((obj_t) BgL_typez00_3574);
																		}
																}
														}
													}
												}
											}
										}
									}
								else
									{	/* Cfa/type.scm 106 */
										bool_t BgL_test2412z00_5445;

										{
											obj_t BgL_l1608z00_3615;

											BgL_l1608z00_3615 = BgL_alloczd2listzd2_3575;
										BgL_zc3z04anonymousza31782ze3z87_3616:
											if (NULLP(BgL_l1608z00_3615))
												{	/* Cfa/type.scm 106 */
													BgL_test2412z00_5445 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 106 */
													bool_t BgL_test2414z00_5448;

													{	/* Cfa/type.scm 106 */
														obj_t BgL_arg1784z00_3621;

														BgL_arg1784z00_3621 =
															CAR(((obj_t) BgL_l1608z00_3615));
														BgL_test2414z00_5448 =
															BGl_isazf3zf3zz__objectz00(BgL_arg1784z00_3621,
															BGl_valloczf2Cinfozb2optimz40zzcfa_info3z00);
													}
													if (BgL_test2414z00_5448)
														{	/* Cfa/type.scm 106 */
															obj_t BgL_arg1783z00_3620;

															BgL_arg1783z00_3620 =
																CDR(((obj_t) BgL_l1608z00_3615));
															{
																obj_t BgL_l1608z00_5454;

																BgL_l1608z00_5454 = BgL_arg1783z00_3620;
																BgL_l1608z00_3615 = BgL_l1608z00_5454;
																goto BgL_zc3z04anonymousza31782ze3z87_3616;
															}
														}
													else
														{	/* Cfa/type.scm 106 */
															BgL_test2412z00_5445 = ((bool_t) 0);
														}
												}
										}
										if (BgL_test2412z00_5445)
											{	/* Cfa/type.scm 106 */
												if (CBOOL
													(BGl_tvectorzd2optimiza7ationzf3z86zzcfa_tvectorz00
														()))
													{	/* Cfa/type.scm 111 */
														obj_t BgL_appz00_3606;

														BgL_appz00_3606 = CAR(BgL_alloczd2listzd2_3575);
														{	/* Cfa/type.scm 111 */
															BgL_typez00_bglt BgL_tvzd2typezd2_3607;

															BgL_tvzd2typezd2_3607 =
																BGl_getzd2vectorzd2itemzd2typezd2zzcfa_tvectorz00
																(((BgL_nodez00_bglt) BgL_appz00_3606));
															{	/* Cfa/type.scm 112 */
																BgL_approxz00_bglt BgL_valuezd2approxzd2_3608;

																{
																	BgL_valloczf2cinfozb2optimz40_bglt
																		BgL_auxz00_5461;
																	{
																		obj_t BgL_auxz00_5462;

																		{	/* Cfa/type.scm 113 */
																			BgL_objectz00_bglt BgL_tmpz00_5463;

																			BgL_tmpz00_5463 =
																				((BgL_objectz00_bglt)
																				((BgL_vallocz00_bglt) BgL_appz00_3606));
																			BgL_auxz00_5462 =
																				BGL_OBJECT_WIDENING(BgL_tmpz00_5463);
																		}
																		BgL_auxz00_5461 =
																			((BgL_valloczf2cinfozb2optimz40_bglt)
																			BgL_auxz00_5462);
																	}
																	BgL_valuezd2approxzd2_3608 =
																		(((BgL_valloczf2cinfozb2optimz40_bglt)
																			COBJECT(BgL_auxz00_5461))->
																		BgL_valuezd2approxzd2);
																}
																{	/* Cfa/type.scm 113 */
																	BgL_typez00_bglt BgL_itemzd2typezd2_3609;

																	BgL_itemzd2typezd2_3609 =
																		(((BgL_approxz00_bglt)
																			COBJECT(BgL_valuezd2approxzd2_3608))->
																		BgL_typez00);
																	{	/* Cfa/type.scm 114 */
																		obj_t BgL_tvz00_3610;

																		BgL_tvz00_3610 =
																			(((BgL_typez00_bglt)
																				COBJECT(BgL_itemzd2typezd2_3609))->
																			BgL_tvectorz00);
																		{	/* Cfa/type.scm 115 */

																			if (BGl_isazf3zf3zz__objectz00
																				(BgL_tvz00_3610,
																					BGl_typez00zztype_typez00))
																				{	/* Cfa/type.scm 117 */
																					return BgL_tvz00_3610;
																				}
																			else
																				{	/* Cfa/type.scm 117 */
																					if (
																						(((obj_t) BgL_typez00_3574) ==
																							BGl_za2_za2z00zztype_cachez00))
																						{	/* Cfa/type.scm 118 */
																							return
																								BGl_za2vectorza2z00zztype_cachez00;
																						}
																					else
																						{	/* Cfa/type.scm 118 */
																							return ((obj_t) BgL_typez00_3574);
																						}
																				}
																		}
																	}
																}
															}
														}
													}
												else
													{	/* Cfa/type.scm 107 */
														if (
															(((obj_t) BgL_typez00_3574) ==
																BGl_za2_za2z00zztype_cachez00))
															{	/* Cfa/type.scm 108 */
																return BGl_za2vectorza2z00zztype_cachez00;
															}
														else
															{	/* Cfa/type.scm 108 */
																return ((obj_t) BgL_typez00_3574);
															}
													}
											}
										else
											{	/* Cfa/type.scm 106 */
												return ((obj_t) BgL_typez00_3574);
											}
									}
							}
					}
				else
					{	/* Cfa/type.scm 92 */
						return ((obj_t) BgL_typez00_3574);
					}
			}
		}

	}



/* &get-approx-type */
	obj_t BGl_z62getzd2approxzd2typez62zzcfa_typez00(obj_t BgL_envz00_4935,
		obj_t BgL_approxz00_4936, obj_t BgL_nodez00_4937)
	{
		{	/* Cfa/type.scm 88 */
			return
				BGl_getzd2approxzd2typez00zzcfa_typez00(
				((BgL_approxz00_bglt) BgL_approxz00_4936), BgL_nodez00_4937);
		}

	}



/* set-variable-type! */
	obj_t BGl_setzd2variablezd2typez12z12zzcfa_typez00(BgL_variablez00_bglt
		BgL_variablez00_20, BgL_typez00_bglt BgL_typez00_21)
	{
		{	/* Cfa/type.scm 181 */
			{	/* Cfa/type.scm 182 */
				obj_t BgL_ntypez00_3633;
				BgL_typez00_bglt BgL_otypez00_3634;

				if ((((obj_t) BgL_typez00_21) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 182 */
						BgL_ntypez00_3633 = BGl_za2objza2z00zztype_cachez00;
					}
				else
					{	/* Cfa/type.scm 182 */
						BgL_ntypez00_3633 = ((obj_t) BgL_typez00_21);
					}
				BgL_otypez00_3634 =
					(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_20))->BgL_typez00);
				if ((((obj_t) BgL_otypez00_3634) == BGl_za2_za2z00zztype_cachez00))
					{	/* Cfa/type.scm 186 */
						bool_t BgL_test2421z00_5493;

						{	/* Cfa/type.scm 186 */
							bool_t BgL_test2422z00_5494;

							{	/* Cfa/type.scm 186 */
								bool_t BgL_res2249z00_4740;

								BgL_res2249z00_4740 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_variablez00_20), BGl_globalz00zzast_varz00);
								BgL_test2422z00_5494 = BgL_res2249z00_4740;
							}
							if (BgL_test2422z00_5494)
								{	/* Cfa/type.scm 187 */
									bool_t BgL_test2423z00_5497;

									{	/* Cfa/type.scm 187 */
										BgL_valuez00_bglt BgL_arg1804z00_3653;

										BgL_arg1804z00_3653 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_globalz00_bglt) BgL_variablez00_20))))->
											BgL_valuez00);
										{	/* Cfa/type.scm 187 */
											bool_t BgL_res2250z00_4742;

											BgL_res2250z00_4742 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_arg1804z00_3653), BGl_funz00zzast_varz00);
											BgL_test2423z00_5497 = BgL_res2250z00_4742;
										}
									}
									if (BgL_test2423z00_5497)
										{	/* Cfa/type.scm 187 */
											BgL_test2421z00_5493 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 188 */
											bool_t BgL_test2424z00_5503;

											if (CBOOL(BGl_za2unsafezd2typeza2zd2zzengine_paramz00))
												{	/* Cfa/type.scm 188 */
													BgL_test2424z00_5503 = ((bool_t) 1);
												}
											else
												{	/* Cfa/type.scm 188 */
													BgL_test2424z00_5503 =
														(
														(((BgL_globalz00_bglt) COBJECT(
																	((BgL_globalz00_bglt) BgL_variablez00_20)))->
															BgL_initz00) == BTRUE);
												}
											if (BgL_test2424z00_5503)
												{	/* Cfa/type.scm 188 */
													BgL_test2421z00_5493 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 188 */
													if (
														((((BgL_typez00_bglt) COBJECT(
																		((BgL_typez00_bglt) BgL_ntypez00_3633)))->
																BgL_classz00) == CNST_TABLE_REF(((long) 0))))
														{	/* Cfa/type.scm 189 */
															BgL_test2421z00_5493 = ((bool_t) 0);
														}
													else
														{	/* Cfa/type.scm 189 */
															BgL_test2421z00_5493 = ((bool_t) 1);
														}
												}
										}
								}
							else
								{	/* Cfa/type.scm 186 */
									BgL_test2421z00_5493 = ((bool_t) 0);
								}
						}
						if (BgL_test2421z00_5493)
							{	/* Cfa/type.scm 194 */
								BgL_variablez00_bglt BgL_oz00_4745;
								BgL_typez00_bglt BgL_vz00_4746;

								BgL_oz00_4745 = BgL_variablez00_20;
								BgL_vz00_4746 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_oz00_4745))->
										BgL_typez00) = ((BgL_typez00_bglt) BgL_vz00_4746), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 186 */
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_20))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_ntypez00_3633)),
									BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 196 */
						bool_t BgL_test2427z00_5518;

						if (
							(((obj_t) BgL_otypez00_3634) ==
								BGl_za2vectorza2z00zztype_cachez00))
							{	/* Cfa/type.scm 196 */
								BgL_test2427z00_5518 =
									BGl_isazf3zf3zz__objectz00(BgL_ntypez00_3633,
									BGl_tvecz00zztvector_tvectorz00);
							}
						else
							{	/* Cfa/type.scm 196 */
								BgL_test2427z00_5518 = ((bool_t) 0);
							}
						if (BgL_test2427z00_5518)
							{	/* Cfa/type.scm 196 */
								return
									((((BgL_variablez00_bglt) COBJECT(BgL_variablez00_20))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt) ((BgL_typez00_bglt)
												BgL_ntypez00_3633))), BUNSPEC);
							}
						else
							{	/* Cfa/type.scm 196 */
								return BFALSE;
							}
					}
			}
		}

	}



/* type-node*! */
	obj_t BGl_typezd2nodeza2z12z62zzcfa_typez00(obj_t BgL_nodeza2za2_57)
	{
		{	/* Cfa/type.scm 615 */
			{
				obj_t BgL_l1627z00_3661;

				BgL_l1627z00_3661 = BgL_nodeza2za2_57;
			BgL_zc3z04anonymousza31809ze3z87_3662:
				if (NULLP(BgL_l1627z00_3661))
					{	/* Cfa/type.scm 616 */
						return BgL_nodeza2za2_57;
					}
				else
					{	/* Cfa/type.scm 616 */
						{	/* Cfa/type.scm 616 */
							BgL_nodez00_bglt BgL_arg1811z00_3664;

							{	/* Cfa/type.scm 616 */
								obj_t BgL_arg1812z00_3665;

								BgL_arg1812z00_3665 = CAR(((obj_t) BgL_l1627z00_3661));
								BgL_arg1811z00_3664 =
									BGl_typezd2nodez12zc0zzcfa_typez00(
									((BgL_nodez00_bglt) BgL_arg1812z00_3665));
							}
							{	/* Cfa/type.scm 616 */
								obj_t BgL_auxz00_5534;
								obj_t BgL_tmpz00_5532;

								BgL_auxz00_5534 = ((obj_t) BgL_arg1811z00_3664);
								BgL_tmpz00_5532 = ((obj_t) BgL_l1627z00_3661);
								SET_CAR(BgL_tmpz00_5532, BgL_auxz00_5534);
							}
						}
						{	/* Cfa/type.scm 616 */
							obj_t BgL_arg1813z00_3666;

							BgL_arg1813z00_3666 = CDR(((obj_t) BgL_l1627z00_3661));
							{
								obj_t BgL_l1627z00_5539;

								BgL_l1627z00_5539 = BgL_arg1813z00_3666;
								BgL_l1627z00_3661 = BgL_l1627z00_5539;
								goto BgL_zc3z04anonymousza31809ze3z87_3662;
							}
						}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_proc2293z00zzcfa_typez00, BGl_valuez00zzast_varz00,
				BGl_string2294z00zzcfa_typez00);
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_proc2295z00zzcfa_typez00,
				BGl_nodez00zzast_nodez00, BGl_string2296z00zzcfa_typez00);
		}

	}



/* &type-node!1641 */
	obj_t BGl_z62typezd2nodez121641za2zzcfa_typez00(obj_t BgL_envz00_4940,
		obj_t BgL_nodez00_4941)
	{
		{	/* Cfa/type.scm 202 */
			return
				BGl_errorz00zz__errorz00(CNST_TABLE_REF(((long) 1)),
				BGl_string2297z00zzcfa_typez00,
				((obj_t) ((BgL_nodez00_bglt) BgL_nodez00_4941)));
		}

	}



/* &type-variable!1629 */
	obj_t BGl_z62typezd2variablez121629za2zzcfa_typez00(obj_t BgL_envz00_4942,
		obj_t BgL_valuez00_4943, obj_t BgL_variablez00_4944)
	{
		{	/* Cfa/type.scm 126 */
			{	/* Cfa/type.scm 127 */
				BgL_typez00_bglt BgL_typez00_5082;

				BgL_typez00_5082 =
					(((BgL_variablez00_bglt) COBJECT(
							((BgL_variablez00_bglt) BgL_variablez00_4944)))->BgL_typez00);
				{	/* Cfa/type.scm 131 */
					bool_t BgL_test2430z00_5548;

					if ((((obj_t) BgL_typez00_5082) == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 131 */
							if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
								{	/* Cfa/type.scm 131 */
									BgL_test2430z00_5548 = ((bool_t) 0);
								}
							else
								{	/* Cfa/type.scm 131 */
									BgL_test2430z00_5548 = ((bool_t) 1);
								}
						}
					else
						{	/* Cfa/type.scm 131 */
							BgL_test2430z00_5548 = ((bool_t) 0);
						}
					if (BgL_test2430z00_5548)
						{	/* Cfa/type.scm 131 */
							return
								BGl_setzd2variablezd2typez12z12zzcfa_typez00(
								((BgL_variablez00_bglt) BgL_variablez00_4944),
								BGl_getzd2defaultzd2typez00zztype_cachez00());
						}
					else
						{	/* Cfa/type.scm 131 */
							return BFALSE;
						}
				}
			}
		}

	}



/* type-variable! */
	obj_t BGl_typezd2variablez12zc0zzcfa_typez00(BgL_valuez00_bglt BgL_valuez00_8,
		BgL_variablez00_bglt BgL_variablez00_9)
	{
		{	/* Cfa/type.scm 126 */
			{	/* Cfa/type.scm 126 */
				obj_t BgL_method1630z00_3684;

				{	/* Cfa/type.scm 126 */
					obj_t BgL_res2264z00_4795;

					{	/* Cfa/type.scm 126 */
						long BgL_objzd2classzd2numz00_4760;

						{	/* Cfa/type.scm 126 */
							long BgL_res2254z00_4763;

							BgL_res2254z00_4763 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_valuez00_8));
							BgL_objzd2classzd2numz00_4760 = BgL_res2254z00_4763;
						}
						{	/* Cfa/type.scm 126 */
							obj_t BgL_arg1742z00_4761;

							BgL_arg1742z00_4761 =
								PROCEDURE_REF(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 126 */
								int BgL_offsetz00_4765;

								BgL_offsetz00_4765 = (int) (BgL_objzd2classzd2numz00_4760);
								{	/* Cfa/type.scm 126 */
									long BgL_offsetz00_4766;

									BgL_offsetz00_4766 =
										((long) (BgL_offsetz00_4765) - OBJECT_TYPE);
									{	/* Cfa/type.scm 126 */
										long BgL_modz00_4767;

										BgL_modz00_4767 =
											(BgL_offsetz00_4766 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/type.scm 126 */
											long BgL_restz00_4769;

											BgL_restz00_4769 =
												(BgL_offsetz00_4766 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/type.scm 126 */

												{	/* Cfa/type.scm 126 */
													obj_t BgL_bucketz00_4771;

													BgL_bucketz00_4771 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_4761), BgL_modz00_4767);
													BgL_res2264z00_4795 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4771), BgL_restz00_4769);
					}}}}}}}}
					BgL_method1630z00_3684 = BgL_res2264z00_4795;
				}
				return
					PROCEDURE_ENTRY(BgL_method1630z00_3684) (BgL_method1630z00_3684,
					((obj_t) BgL_valuez00_8), ((obj_t) BgL_variablez00_9), BEOA);
			}
		}

	}



/* &type-variable! */
	obj_t BGl_z62typezd2variablez12za2zzcfa_typez00(obj_t BgL_envz00_4945,
		obj_t BgL_valuez00_4946, obj_t BgL_variablez00_4947)
	{
		{	/* Cfa/type.scm 126 */
			return
				BGl_typezd2variablez12zc0zzcfa_typez00(
				((BgL_valuez00_bglt) BgL_valuez00_4946),
				((BgL_variablez00_bglt) BgL_variablez00_4947));
		}

	}



/* type-node! */
	BgL_nodez00_bglt BGl_typezd2nodez12zc0zzcfa_typez00(BgL_nodez00_bglt
		BgL_nodez00_22)
	{
		{	/* Cfa/type.scm 202 */
			{	/* Cfa/type.scm 202 */
				obj_t BgL_method1642z00_3685;

				{	/* Cfa/type.scm 202 */
					obj_t BgL_res2275z00_4832;

					{	/* Cfa/type.scm 202 */
						long BgL_objzd2classzd2numz00_4797;

						{	/* Cfa/type.scm 202 */
							long BgL_res2265z00_4800;

							BgL_res2265z00_4800 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_22));
							BgL_objzd2classzd2numz00_4797 = BgL_res2265z00_4800;
						}
						{	/* Cfa/type.scm 202 */
							obj_t BgL_arg1742z00_4798;

							BgL_arg1742z00_4798 =
								PROCEDURE_REF(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
								(int) (((long) 1)));
							{	/* Cfa/type.scm 202 */
								int BgL_offsetz00_4802;

								BgL_offsetz00_4802 = (int) (BgL_objzd2classzd2numz00_4797);
								{	/* Cfa/type.scm 202 */
									long BgL_offsetz00_4803;

									BgL_offsetz00_4803 =
										((long) (BgL_offsetz00_4802) - OBJECT_TYPE);
									{	/* Cfa/type.scm 202 */
										long BgL_modz00_4804;

										BgL_modz00_4804 =
											(BgL_offsetz00_4803 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Cfa/type.scm 202 */
											long BgL_restz00_4806;

											BgL_restz00_4806 =
												(BgL_offsetz00_4803 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Cfa/type.scm 202 */

												{	/* Cfa/type.scm 202 */
													obj_t BgL_bucketz00_4808;

													BgL_bucketz00_4808 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_4798), BgL_modz00_4804);
													BgL_res2275z00_4832 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_4808), BgL_restz00_4806);
					}}}}}}}}
					BgL_method1642z00_3685 = BgL_res2275z00_4832;
				}
				return
					((BgL_nodez00_bglt)
					PROCEDURE_ENTRY(BgL_method1642z00_3685) (BgL_method1642z00_3685,
						((obj_t) BgL_nodez00_22), BEOA));
			}
		}

	}



/* &type-node! */
	BgL_nodez00_bglt BGl_z62typezd2nodez12za2zzcfa_typez00(obj_t BgL_envz00_4948,
		obj_t BgL_nodez00_4949)
	{
		{	/* Cfa/type.scm 202 */
			return
				BGl_typezd2nodez12zc0zzcfa_typez00(
				((BgL_nodez00_bglt) BgL_nodez00_4949));
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_svarzf2Cinfozf2zzcfa_infoz00, BGl_proc2298z00zzcfa_typez00,
				BGl_string2299z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_scnstzf2Cinfozf2zzcfa_infoz00, BGl_proc2300z00zzcfa_typez00,
				BGl_string2299z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_cvarzf2Cinfozf2zzcfa_infoz00, BGl_proc2301z00zzcfa_typez00,
				BGl_string2299z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_sexitzf2Cinfozf2zzcfa_infoz00, BGl_proc2302z00zzcfa_typez00,
				BGl_string2299z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2variablez12zd2envz12zzcfa_typez00,
				BGl_internzd2sfunzf2Cinfoz20zzcfa_infoz00, BGl_proc2303z00zzcfa_typez00,
				BGl_string2299z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_atomz00zzast_nodez00,
				BGl_proc2304z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_kwotez00zzast_nodez00,
				BGl_proc2306z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_varz00zzast_nodez00,
				BGl_proc2307z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_closurez00zzast_nodez00,
				BGl_proc2308z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_sequencez00zzast_nodez00,
				BGl_proc2309z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_syncz00zzast_nodez00,
				BGl_proc2310z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appz00zzast_nodez00,
				BGl_proc2311z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_arithmeticzd2appzd2zzcfa_info2z00, BGl_proc2312z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2refzd2appz00zzcfa_info2z00,
				BGl_proc2313z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_procedurezd2setz12zd2appz12zzcfa_info2z00,
				BGl_proc2314z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conszd2refzd2appz00zzcfa_info2z00, BGl_proc2315z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_appzd2lyzd2zzast_nodez00,
				BGl_proc2316z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_appzd2lyzf2Cinfoz20zzcfa_infoz00, BGl_proc2317z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_funcallz00zzast_nodez00,
				BGl_proc2318z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_funcallzf2Cinfozf2zzcfa_infoz00, BGl_proc2319z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_externz00zzast_nodez00,
				BGl_proc2320z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vallocz00zzast_nodez00,
				BGl_proc2321z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00,
				BGl_proc2322z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vsetz12z12zzast_nodez00,
				BGl_proc2323z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_castz00zzast_nodez00,
				BGl_proc2324z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_setqz00zzast_nodez00,
				BGl_proc2325z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalz00zzast_nodez00, BGl_proc2326z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_conditionalzf2Cinfozf2zzcfa_infoz00, BGl_proc2327z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_failz00zzast_nodez00,
				BGl_proc2328z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_switchz00zzast_nodez00,
				BGl_proc2329z00zzcfa_typez00, BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc2330z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc2331z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc2332z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_jumpzd2exzd2itz00zzast_nodez00, BGl_proc2333z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc2334z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc2335z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_typezd2nodez12zd2envz12zzcfa_typez00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc2336z00zzcfa_typez00,
				BGl_string2305z00zzcfa_typez00);
		}

	}



/* &type-node!-box-ref1707 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2boxzd2ref1707za2zzcfa_typez00(obj_t
		BgL_envz00_4987, obj_t BgL_nodez00_4988)
	{
		{	/* Cfa/type.scm 605 */
			{
				BgL_varz00_bglt BgL_auxz00_5662;

				{	/* Cfa/type.scm 607 */
					BgL_varz00_bglt BgL_arg2029z00_5084;

					BgL_arg2029z00_5084 =
						(((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_4988)))->BgL_varz00);
					BgL_auxz00_5662 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2029z00_5084)));
				}
				((((BgL_boxzd2refzd2_bglt) COBJECT(
								((BgL_boxzd2refzd2_bglt) BgL_nodez00_4988)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_5662), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2refzd2_bglt) BgL_nodez00_4988));
		}

	}



/* &type-node!-box-set!1705 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2boxzd2setz121705zb0zzcfa_typez00(obj_t
		BgL_envz00_4989, obj_t BgL_nodez00_4990)
	{
		{	/* Cfa/type.scm 596 */
			{
				BgL_varz00_bglt BgL_auxz00_5672;

				{	/* Cfa/type.scm 598 */
					BgL_varz00_bglt BgL_arg2027z00_5086;

					BgL_arg2027z00_5086 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4990)))->BgL_varz00);
					BgL_auxz00_5672 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2027z00_5086)));
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4990)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_5672), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5680;

				{	/* Cfa/type.scm 599 */
					BgL_nodez00_bglt BgL_arg2028z00_5087;

					BgL_arg2028z00_5087 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4990)))->BgL_valuez00);
					BgL_auxz00_5680 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2028z00_5087);
				}
				((((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4990)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5680), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_4990));
		}

	}



/* &type-node!-make-box1703 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2makezd2box1703za2zzcfa_typez00(obj_t
		BgL_envz00_4991, obj_t BgL_nodez00_4992)
	{
		{	/* Cfa/type.scm 588 */
			{
				BgL_nodez00_bglt BgL_auxz00_5688;

				{	/* Cfa/type.scm 590 */
					BgL_nodez00_bglt BgL_arg2026z00_5089;

					BgL_arg2026z00_5089 =
						(((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4992)))->BgL_valuez00);
					BgL_auxz00_5688 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2026z00_5089);
				}
				((((BgL_makezd2boxzd2_bglt) COBJECT(
								((BgL_makezd2boxzd2_bglt) BgL_nodez00_4992)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5688), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_makezd2boxzd2_bglt) BgL_nodez00_4992));
		}

	}



/* &type-node!-jump-ex-i1701 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2jumpzd2exzd2i1701z70zzcfa_typez00(obj_t
		BgL_envz00_4993, obj_t BgL_nodez00_4994)
	{
		{	/* Cfa/type.scm 579 */
			{
				BgL_nodez00_bglt BgL_auxz00_5696;

				{	/* Cfa/type.scm 581 */
					BgL_nodez00_bglt BgL_arg2024z00_5091;

					BgL_arg2024z00_5091 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4994)))->BgL_exitz00);
					BgL_auxz00_5696 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2024z00_5091);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4994)))->
						BgL_exitz00) = ((BgL_nodez00_bglt) BgL_auxz00_5696), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5702;

				{	/* Cfa/type.scm 582 */
					BgL_nodez00_bglt BgL_arg2025z00_5092;

					BgL_arg2025z00_5092 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4994)))->
						BgL_valuez00);
					BgL_auxz00_5702 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2025z00_5092);
				}
				((((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4994)))->
						BgL_valuez00) = ((BgL_nodez00_bglt) BgL_auxz00_5702), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_4994));
		}

	}



/* &type-node!-set-ex-it1698 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2setzd2exzd2it1698z70zzcfa_typez00(obj_t
		BgL_envz00_4995, obj_t BgL_nodez00_4996)
	{
		{	/* Cfa/type.scm 568 */
			{	/* Cfa/type.scm 570 */
				BgL_variablez00_bglt BgL_vz00_5094;

				BgL_vz00_5094 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_setzd2exzd2itz00_bglt) COBJECT(
										((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4996)))->
								BgL_varz00)))->BgL_variablez00);
				{	/* Cfa/type.scm 571 */
					BgL_valuez00_bglt BgL_arg2020z00_5095;

					BgL_arg2020z00_5095 =
						(((BgL_variablez00_bglt) COBJECT(
								((BgL_variablez00_bglt)
									((BgL_localz00_bglt) BgL_vz00_5094))))->BgL_valuez00);
					BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2020z00_5095,
						BgL_vz00_5094);
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5717;

				{	/* Cfa/type.scm 572 */
					BgL_nodez00_bglt BgL_arg2022z00_5096;

					BgL_arg2022z00_5096 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4996)))->BgL_bodyz00);
					BgL_auxz00_5717 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2022z00_5096);
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4996)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5717), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_5723;

				{	/* Cfa/type.scm 573 */
					BgL_varz00_bglt BgL_arg2023z00_5097;

					BgL_arg2023z00_5097 =
						(((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4996)))->BgL_varz00);
					BgL_auxz00_5723 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg2023z00_5097)));
				}
				((((BgL_setzd2exzd2itz00_bglt) COBJECT(
								((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4996)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_5723), BUNSPEC);
			}
			return
				((BgL_nodez00_bglt) ((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_4996));
		}

	}



/* &type-node!-let-var1696 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2var1696za2zzcfa_typez00(obj_t
		BgL_envz00_4997, obj_t BgL_nodez00_4998)
	{
		{	/* Cfa/type.scm 553 */
			{	/* Cfa/type.scm 555 */
				obj_t BgL_g1625z00_5099;

				BgL_g1625z00_5099 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_4998)))->BgL_bindingsz00);
				{
					obj_t BgL_l1623z00_5101;

					BgL_l1623z00_5101 = BgL_g1625z00_5099;
				BgL_zc3z04anonymousza32013ze3z87_5100:
					if (PAIRP(BgL_l1623z00_5101))
						{	/* Cfa/type.scm 555 */
							{	/* Cfa/type.scm 556 */
								obj_t BgL_bindingz00_5102;

								BgL_bindingz00_5102 = CAR(BgL_l1623z00_5101);
								{	/* Cfa/type.scm 556 */
									obj_t BgL_varz00_5103;
									obj_t BgL_valz00_5104;

									BgL_varz00_5103 = CAR(((obj_t) BgL_bindingz00_5102));
									BgL_valz00_5104 = CDR(((obj_t) BgL_bindingz00_5102));
									{	/* Cfa/type.scm 558 */
										BgL_nodez00_bglt BgL_arg2015z00_5105;

										BgL_arg2015z00_5105 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_valz00_5104));
										{	/* Cfa/type.scm 558 */
											obj_t BgL_auxz00_5746;
											obj_t BgL_tmpz00_5744;

											BgL_auxz00_5746 = ((obj_t) BgL_arg2015z00_5105);
											BgL_tmpz00_5744 = ((obj_t) BgL_bindingz00_5102);
											SET_CDR(BgL_tmpz00_5744, BgL_auxz00_5746);
										}
									}
									{	/* Cfa/type.scm 559 */
										BgL_valuez00_bglt BgL_arg2016z00_5106;

										BgL_arg2016z00_5106 =
											(((BgL_variablez00_bglt) COBJECT(
													((BgL_variablez00_bglt)
														((BgL_localz00_bglt) BgL_varz00_5103))))->
											BgL_valuez00);
										BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg2016z00_5106,
											((BgL_variablez00_bglt) BgL_varz00_5103));
									}
								}
							}
							{
								obj_t BgL_l1623z00_5754;

								BgL_l1623z00_5754 = CDR(BgL_l1623z00_5101);
								BgL_l1623z00_5101 = BgL_l1623z00_5754;
								goto BgL_zc3z04anonymousza32013ze3z87_5100;
							}
						}
					else
						{	/* Cfa/type.scm 555 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5756;

				{	/* Cfa/type.scm 561 */
					BgL_nodez00_bglt BgL_arg2018z00_5107;

					BgL_arg2018z00_5107 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4998)))->BgL_bodyz00);
					BgL_auxz00_5756 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2018z00_5107);
				}
				((((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4998)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5756), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2varzd2_bglt) BgL_nodez00_4998))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2varzd2_bglt) COBJECT(((BgL_letzd2varzd2_bglt)
												BgL_nodez00_4998)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2varzd2_bglt) BgL_nodez00_4998));
		}

	}



/* &type-node!-let-fun1694 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2letzd2fun1694za2zzcfa_typez00(obj_t
		BgL_envz00_4999, obj_t BgL_nodez00_5000)
	{
		{	/* Cfa/type.scm 543 */
			{	/* Cfa/type.scm 545 */
				obj_t BgL_g1622z00_5109;

				BgL_g1622z00_5109 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_5000)))->BgL_localsz00);
				{
					obj_t BgL_l1620z00_5111;

					BgL_l1620z00_5111 = BgL_g1622z00_5109;
				BgL_zc3z04anonymousza32007ze3z87_5110:
					if (PAIRP(BgL_l1620z00_5111))
						{	/* Cfa/type.scm 545 */
							{	/* Cfa/type.scm 545 */
								obj_t BgL_arg2009z00_5112;

								BgL_arg2009z00_5112 = CAR(BgL_l1620z00_5111);
								BGl_typezd2funz12zc0zzcfa_typez00(
									((BgL_variablez00_bglt) BgL_arg2009z00_5112));
							}
							{
								obj_t BgL_l1620z00_5777;

								BgL_l1620z00_5777 = CDR(BgL_l1620z00_5111);
								BgL_l1620z00_5111 = BgL_l1620z00_5777;
								goto BgL_zc3z04anonymousza32007ze3z87_5110;
							}
						}
					else
						{	/* Cfa/type.scm 545 */
							((bool_t) 1);
						}
				}
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5779;

				{	/* Cfa/type.scm 546 */
					BgL_nodez00_bglt BgL_arg2011z00_5113;

					BgL_arg2011z00_5113 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5000)))->BgL_bodyz00);
					BgL_auxz00_5779 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2011z00_5113);
				}
				((((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5000)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5779), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_letzd2funzd2_bglt) BgL_nodez00_5000))))->BgL_typez00) =
				((BgL_typez00_bglt) (((BgL_nodez00_bglt)
							COBJECT((((BgL_letzd2funzd2_bglt) COBJECT(((BgL_letzd2funzd2_bglt)
												BgL_nodez00_5000)))->BgL_bodyz00)))->BgL_typez00)),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_letzd2funzd2_bglt) BgL_nodez00_5000));
		}

	}



/* &type-node!-switch1692 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2switch1692z70zzcfa_typez00(obj_t
		BgL_envz00_5001, obj_t BgL_nodez00_5002)
	{
		{	/* Cfa/type.scm 518 */
			{
				BgL_nodez00_bglt BgL_auxz00_5793;

				{	/* Cfa/type.scm 520 */
					BgL_nodez00_bglt BgL_arg2001z00_5115;

					BgL_arg2001z00_5115 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5002)))->BgL_testz00);
					BgL_auxz00_5793 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg2001z00_5115);
				}
				((((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_5002)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5793), BUNSPEC);
			}
			{	/* Cfa/type.scm 521 */
				obj_t BgL_g1619z00_5116;

				BgL_g1619z00_5116 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_5002)))->BgL_clausesz00);
				{
					obj_t BgL_l1617z00_5118;

					BgL_l1617z00_5118 = BgL_g1619z00_5116;
				BgL_zc3z04anonymousza32002ze3z87_5117:
					if (PAIRP(BgL_l1617z00_5118))
						{	/* Cfa/type.scm 521 */
							{	/* Cfa/type.scm 522 */
								obj_t BgL_clausez00_5119;

								BgL_clausez00_5119 = CAR(BgL_l1617z00_5118);
								{	/* Cfa/type.scm 522 */
									BgL_nodez00_bglt BgL_arg2004z00_5120;

									{	/* Cfa/type.scm 522 */
										obj_t BgL_arg2005z00_5121;

										BgL_arg2005z00_5121 = CDR(((obj_t) BgL_clausez00_5119));
										BgL_arg2004z00_5120 =
											BGl_typezd2nodez12zc0zzcfa_typez00(
											((BgL_nodez00_bglt) BgL_arg2005z00_5121));
									}
									{	/* Cfa/type.scm 522 */
										obj_t BgL_auxz00_5810;
										obj_t BgL_tmpz00_5808;

										BgL_auxz00_5810 = ((obj_t) BgL_arg2004z00_5120);
										BgL_tmpz00_5808 = ((obj_t) BgL_clausez00_5119);
										SET_CDR(BgL_tmpz00_5808, BgL_auxz00_5810);
									}
								}
							}
							{
								obj_t BgL_l1617z00_5813;

								BgL_l1617z00_5813 = CDR(BgL_l1617z00_5118);
								BgL_l1617z00_5118 = BgL_l1617z00_5813;
								goto BgL_zc3z04anonymousza32002ze3z87_5117;
							}
						}
					else
						{	/* Cfa/type.scm 521 */
							((bool_t) 1);
						}
				}
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_switchz00_bglt) BgL_nodez00_5002))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_switchz00_bglt) BgL_nodez00_5002)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_switchz00_bglt) BgL_nodez00_5002));
		}

	}



/* &type-node!-fail1690 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2fail1690z70zzcfa_typez00(obj_t
		BgL_envz00_5003, obj_t BgL_nodez00_5004)
	{
		{	/* Cfa/type.scm 508 */
			{
				BgL_nodez00_bglt BgL_auxz00_5823;

				{	/* Cfa/type.scm 510 */
					BgL_nodez00_bglt BgL_arg1997z00_5123;

					BgL_arg1997z00_5123 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5004)))->BgL_procz00);
					BgL_auxz00_5823 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1997z00_5123);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5004)))->BgL_procz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5823), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5829;

				{	/* Cfa/type.scm 511 */
					BgL_nodez00_bglt BgL_arg1998z00_5124;

					BgL_arg1998z00_5124 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5004)))->BgL_msgz00);
					BgL_auxz00_5829 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1998z00_5124);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5004)))->BgL_msgz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5829), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5835;

				{	/* Cfa/type.scm 512 */
					BgL_nodez00_bglt BgL_arg1999z00_5125;

					BgL_arg1999z00_5125 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5004)))->BgL_objz00);
					BgL_auxz00_5835 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1999z00_5125);
				}
				((((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_5004)))->BgL_objz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5835), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_failz00_bglt) BgL_nodez00_5004));
		}

	}



/* &type-node!-condition1688 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1688z70zzcfa_typez00(obj_t
		BgL_envz00_5005, obj_t BgL_nodez00_5006)
	{
		{	/* Cfa/type.scm 501 */
			{

				{	/* Cfa/type.scm 501 */
					obj_t BgL_nextzd2method1687zd2_5128;

					BgL_nextzd2method1687zd2_5128 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_conditionalz00_bglt) BgL_nodez00_5006)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conditionalzf2Cinfozf2zzcfa_infoz00);
					PROCEDURE_ENTRY(BgL_nextzd2method1687zd2_5128)
						(BgL_nextzd2method1687zd2_5128,
						((obj_t) ((BgL_conditionalz00_bglt) BgL_nodez00_5006)), BEOA);
				}
				return
					((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_5006));
			}
		}

	}



/* &type-node!-condition1686 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2condition1686z70zzcfa_typez00(obj_t
		BgL_envz00_5007, obj_t BgL_nodez00_5008)
	{
		{	/* Cfa/type.scm 490 */
			{
				BgL_nodez00_bglt BgL_auxz00_5854;

				{	/* Cfa/type.scm 492 */
					BgL_nodez00_bglt BgL_arg1992z00_5130;

					BgL_arg1992z00_5130 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5008)))->BgL_testz00);
					BgL_auxz00_5854 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1992z00_5130);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5008)))->BgL_testz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5854), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5860;

				{	/* Cfa/type.scm 493 */
					BgL_nodez00_bglt BgL_arg1994z00_5131;

					BgL_arg1994z00_5131 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5008)))->BgL_truez00);
					BgL_auxz00_5860 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1994z00_5131);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5008)))->BgL_truez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5860), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_5866;

				{	/* Cfa/type.scm 494 */
					BgL_nodez00_bglt BgL_arg1996z00_5132;

					BgL_arg1996z00_5132 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5008)))->BgL_falsez00);
					BgL_auxz00_5866 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1996z00_5132);
				}
				((((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_5008)))->BgL_falsez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5866), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_conditionalz00_bglt) BgL_nodez00_5008))))->BgL_typez00) =
				((BgL_typez00_bglt)
					BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt) (
								(BgL_conditionalz00_bglt) BgL_nodez00_5008)), ((bool_t) 0))),
				BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_conditionalz00_bglt) BgL_nodez00_5008));
		}

	}



/* &type-node!-setq1684 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2setq1684z70zzcfa_typez00(obj_t
		BgL_envz00_5009, obj_t BgL_nodez00_5010)
	{
		{	/* Cfa/type.scm 479 */
			{
				BgL_nodez00_bglt BgL_auxz00_5880;

				{	/* Cfa/type.scm 481 */
					BgL_nodez00_bglt BgL_arg1989z00_5134;

					BgL_arg1989z00_5134 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5010)))->BgL_valuez00);
					BgL_auxz00_5880 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1989z00_5134);
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5010)))->BgL_valuez00) =
					((BgL_nodez00_bglt) BgL_auxz00_5880), BUNSPEC);
			}
			{
				BgL_varz00_bglt BgL_auxz00_5886;

				{	/* Cfa/type.scm 482 */
					BgL_varz00_bglt BgL_arg1990z00_5135;

					BgL_arg1990z00_5135 =
						(((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5010)))->BgL_varz00);
					BgL_auxz00_5886 =
						((BgL_varz00_bglt)
						BGl_typezd2nodez12zc0zzcfa_typez00(
							((BgL_nodez00_bglt) BgL_arg1990z00_5135)));
				}
				((((BgL_setqz00_bglt) COBJECT(
								((BgL_setqz00_bglt) BgL_nodez00_5010)))->BgL_varz00) =
					((BgL_varz00_bglt) BgL_auxz00_5886), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_setqz00_bglt) BgL_nodez00_5010));
		}

	}



/* &type-node!-cast1682 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2cast1682z70zzcfa_typez00(obj_t
		BgL_envz00_5011, obj_t BgL_nodez00_5012)
	{
		{	/* Cfa/type.scm 471 */
			{
				BgL_nodez00_bglt BgL_auxz00_5896;

				{	/* Cfa/type.scm 473 */
					BgL_nodez00_bglt BgL_arg1988z00_5137;

					BgL_arg1988z00_5137 =
						(((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_5012)))->BgL_argz00);
					BgL_auxz00_5896 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1988z00_5137);
				}
				((((BgL_castz00_bglt) COBJECT(
								((BgL_castz00_bglt) BgL_nodez00_5012)))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5896), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_castz00_bglt) BgL_nodez00_5012));
		}

	}



/* &type-node!-vset!1680 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vsetz121680z62zzcfa_typez00(obj_t
		BgL_envz00_5013, obj_t BgL_nodez00_5014)
	{
		{	/* Cfa/type.scm 461 */
			{

				{	/* Cfa/type.scm 461 */
					obj_t BgL_nextzd2method1679zd2_5140;

					BgL_nextzd2method1679zd2_5140 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vsetz12z12_bglt) BgL_nodez00_5014)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vsetz12z12zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1679zd2_5140)
						(BgL_nextzd2method1679zd2_5140,
						((obj_t) ((BgL_vsetz12z12_bglt) BgL_nodez00_5014)), BEOA);
				}
				{	/* Cfa/type.scm 464 */
					bool_t BgL_test2436z00_5913;

					{	/* Cfa/type.scm 464 */
						BgL_typez00_bglt BgL_arg1987z00_5141;

						BgL_arg1987z00_5141 =
							(((BgL_vsetz12z12_bglt) COBJECT(
									((BgL_vsetz12z12_bglt) BgL_nodez00_5014)))->BgL_ftypez00);
						BgL_test2436z00_5913 =
							(((obj_t) BgL_arg1987z00_5141) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2436z00_5913)
						{	/* Cfa/type.scm 464 */
							((((BgL_vsetz12z12_bglt) COBJECT(
											((BgL_vsetz12z12_bglt) BgL_nodez00_5014)))->
									BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 464 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_vsetz12z12_bglt) BgL_nodez00_5014));
			}
		}

	}



/* &type-node!-vref1678 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2vref1678z70zzcfa_typez00(obj_t
		BgL_envz00_5015, obj_t BgL_nodez00_5016)
	{
		{	/* Cfa/type.scm 450 */
			{

				{	/* Cfa/type.scm 450 */
					obj_t BgL_nextzd2method1677zd2_5144;

					BgL_nextzd2method1677zd2_5144 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vrefz00_bglt) BgL_nodez00_5016)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00, BGl_vrefz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1677zd2_5144)
						(BgL_nextzd2method1677zd2_5144,
						((obj_t) ((BgL_vrefz00_bglt) BgL_nodez00_5016)), BEOA);
				}
				{	/* Cfa/type.scm 453 */
					bool_t BgL_test2437z00_5932;

					{	/* Cfa/type.scm 453 */
						BgL_typez00_bglt BgL_arg1984z00_5145;

						BgL_arg1984z00_5145 =
							(((BgL_vrefz00_bglt) COBJECT(
									((BgL_vrefz00_bglt) BgL_nodez00_5016)))->BgL_ftypez00);
						BgL_test2437z00_5932 =
							(((obj_t) BgL_arg1984z00_5145) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2437z00_5932)
						{	/* Cfa/type.scm 453 */
							((((BgL_vrefz00_bglt) COBJECT(
											((BgL_vrefz00_bglt) BgL_nodez00_5016)))->BgL_ftypez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 453 */
							BFALSE;
						}
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_vrefz00_bglt) BgL_nodez00_5016))))->BgL_typez00) =
					((BgL_typez00_bglt) (((BgL_vrefz00_bglt) COBJECT(((BgL_vrefz00_bglt)
										BgL_nodez00_5016)))->BgL_ftypez00)), BUNSPEC);
				return ((BgL_nodez00_bglt) ((BgL_vrefz00_bglt) BgL_nodez00_5016));
			}
		}

	}



/* &type-node!-valloc1676 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2valloc1676z70zzcfa_typez00(obj_t
		BgL_envz00_5017, obj_t BgL_nodez00_5018)
	{
		{	/* Cfa/type.scm 439 */
			{

				{	/* Cfa/type.scm 439 */
					obj_t BgL_nextzd2method1675zd2_5148;

					BgL_nextzd2method1675zd2_5148 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_vallocz00_bglt) BgL_nodez00_5018)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_vallocz00zzast_nodez00);
					PROCEDURE_ENTRY(BgL_nextzd2method1675zd2_5148)
						(BgL_nextzd2method1675zd2_5148,
						((obj_t) ((BgL_vallocz00_bglt) BgL_nodez00_5018)), BEOA);
				}
				{	/* Cfa/type.scm 442 */
					obj_t BgL_arg1972z00_5149;

					BgL_arg1972z00_5149 =
						(((BgL_externz00_bglt) COBJECT(
								((BgL_externz00_bglt)
									((BgL_vallocz00_bglt) BgL_nodez00_5018))))->BgL_exprza2za2);
					BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg1972z00_5149);
				}
				{
					BgL_typez00_bglt BgL_auxz00_5960;

					{	/* Cfa/type.scm 443 */
						obj_t BgL_arg1974z00_5150;
						BgL_typez00_bglt BgL_arg1975z00_5151;

						{	/* Cfa/type.scm 443 */
							bool_t BgL_test2438z00_5963;

							{	/* Cfa/type.scm 443 */
								BgL_typez00_bglt BgL_arg1978z00_5152;

								BgL_arg1978z00_5152 =
									(((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_vallocz00_bglt) BgL_nodez00_5018))))->
									BgL_typez00);
								BgL_test2438z00_5963 =
									(((obj_t) BgL_arg1978z00_5152) ==
									BGl_za2_za2z00zztype_cachez00);
							}
							if (BgL_test2438z00_5963)
								{	/* Cfa/type.scm 443 */
									BgL_arg1974z00_5150 = BGl_za2vectorza2z00zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 443 */
									BgL_arg1974z00_5150 =
										((obj_t)
										(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_vallocz00_bglt) BgL_nodez00_5018))))->
											BgL_typez00));
								}
						}
						BgL_arg1975z00_5151 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5018))))->BgL_typez00);
						BgL_auxz00_5960 =
							BGl_strictzd2nodezd2typez00zzast_nodez00(
							((BgL_typez00_bglt) BgL_arg1974z00_5150), BgL_arg1975z00_5151);
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_vallocz00_bglt) BgL_nodez00_5018))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_5960), BUNSPEC);
				}
				{
					BgL_typez00_bglt BgL_auxz00_5979;

					{	/* Cfa/type.scm 444 */
						bool_t BgL_test2439z00_5981;

						{	/* Cfa/type.scm 444 */
							BgL_typez00_bglt BgL_arg1981z00_5153;

							BgL_arg1981z00_5153 =
								(((BgL_vallocz00_bglt) COBJECT(
										((BgL_vallocz00_bglt) BgL_nodez00_5018)))->BgL_ftypez00);
							BgL_test2439z00_5981 =
								(
								((obj_t) BgL_arg1981z00_5153) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2439z00_5981)
							{	/* Cfa/type.scm 444 */
								BgL_auxz00_5979 =
									((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
							}
						else
							{	/* Cfa/type.scm 444 */
								BgL_auxz00_5979 =
									(((BgL_vallocz00_bglt) COBJECT(
											((BgL_vallocz00_bglt) BgL_nodez00_5018)))->BgL_ftypez00);
							}
					}
					((((BgL_vallocz00_bglt) COBJECT(
									((BgL_vallocz00_bglt) BgL_nodez00_5018)))->BgL_ftypez00) =
						((BgL_typez00_bglt) BgL_auxz00_5979), BUNSPEC);
				}
				return ((BgL_nodez00_bglt) ((BgL_vallocz00_bglt) BgL_nodez00_5018));
			}
		}

	}



/* &type-node!-extern1674 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2extern1674z70zzcfa_typez00(obj_t
		BgL_envz00_5019, obj_t BgL_nodez00_5020)
	{
		{	/* Cfa/type.scm 431 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_5020)))->BgL_exprza2za2));
			return ((BgL_nodez00_bglt) ((BgL_externz00_bglt) BgL_nodez00_5020));
		}

	}



/* &type-node!-funcall/C1672 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcallzf2C1672z82zzcfa_typez00(obj_t
		BgL_envz00_5021, obj_t BgL_nodez00_5022)
	{
		{	/* Cfa/type.scm 405 */
			{
				BgL_nodez00_bglt BgL_auxz00_5997;

				{	/* Cfa/type.scm 407 */
					BgL_nodez00_bglt BgL_arg1962z00_5156;

					BgL_arg1962z00_5156 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5022))))->BgL_funz00);
					BgL_auxz00_5997 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1962z00_5156);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt)
									((BgL_funcallz00_bglt) BgL_nodez00_5022))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_5997), BUNSPEC);
			}
			{	/* Cfa/type.scm 408 */
				obj_t BgL_arg1963z00_5157;

				BgL_arg1963z00_5157 =
					(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_5022))))->BgL_argsz00);
				BGl_typezd2nodeza2z12z62zzcfa_typez00(BgL_arg1963z00_5157);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{	/* Cfa/type.scm 410 */
					obj_t BgL_typz00_5158;

					{	/* Cfa/type.scm 410 */
						BgL_approxz00_bglt BgL_arg1969z00_5159;

						{
							BgL_funcallzf2cinfozf2_bglt BgL_auxz00_6011;

							{
								obj_t BgL_auxz00_6012;

								{	/* Cfa/type.scm 410 */
									BgL_objectz00_bglt BgL_tmpz00_6013;

									BgL_tmpz00_6013 =
										((BgL_objectz00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5022));
									BgL_auxz00_6012 = BGL_OBJECT_WIDENING(BgL_tmpz00_6013);
								}
								BgL_auxz00_6011 =
									((BgL_funcallzf2cinfozf2_bglt) BgL_auxz00_6012);
							}
							BgL_arg1969z00_5159 =
								(((BgL_funcallzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6011))->
								BgL_approxz00);
						}
						BgL_typz00_5158 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1969z00_5159,
							((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_5022)));
					}
					if ((BgL_typz00_5158 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 411 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_funcallz00_bglt) BgL_nodez00_5022))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
							return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt)
									BgL_nodez00_5022));
						}
					else
						{	/* Cfa/type.scm 411 */
							if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
										(((BgL_funcallz00_bglt) COBJECT(
													((BgL_funcallz00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_5022))))->
											BgL_strengthz00), CNST_TABLE_REF(((long) 2)))))
								{	/* Cfa/type.scm 420 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_5022))))->
											BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_typz00_5158)),
										BUNSPEC);
								}
							else
								{	/* Cfa/type.scm 420 */
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_funcallz00_bglt) BgL_nodez00_5022))))->
											BgL_typez00) =
										((BgL_typez00_bglt)
											BGl_getzd2bigloozd2typez00zztype_cachez00((
													(BgL_typez00_bglt) BgL_typz00_5158))), BUNSPEC);
								}
							return
								((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5022));
						}
				}
			else
				{	/* Cfa/type.scm 409 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_funcallz00_bglt) BgL_nodez00_5022))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
					return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5022));
				}
		}

	}



/* &type-node!-funcall1670 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2funcall1670z70zzcfa_typez00(obj_t
		BgL_envz00_5023, obj_t BgL_nodez00_5024)
	{
		{	/* Cfa/type.scm 394 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 395 */
					obj_t BgL_arg1959z00_5161;

					BgL_arg1959z00_5161 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_funcallz00_bglt) BgL_nodez00_5024)));
					BGl_errorz00zz__errorz00(BGl_string2305z00zzcfa_typez00,
						BGl_string2337z00zzcfa_typez00, BgL_arg1959z00_5161);
				}
			else
				{	/* Cfa/type.scm 395 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_6060;

				{	/* Cfa/type.scm 397 */
					BgL_nodez00_bglt BgL_arg1960z00_5162;

					BgL_arg1960z00_5162 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5024)))->BgL_funz00);
					BgL_auxz00_6060 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1960z00_5162);
				}
				((((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_5024)))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6060), BUNSPEC);
			}
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_funcallz00_bglt) COBJECT(
							((BgL_funcallz00_bglt) BgL_nodez00_5024)))->BgL_argsz00));
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_funcallz00_bglt) BgL_nodez00_5024))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_funcallz00_bglt) BgL_nodez00_5024));
		}

	}



/* &type-node!-app-ly/Ci1668 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2appzd2lyzf2Ci1668z50zzcfa_typez00(obj_t
		BgL_envz00_5025, obj_t BgL_nodez00_5026)
	{
		{	/* Cfa/type.scm 382 */
			{
				BgL_nodez00_bglt BgL_auxz00_6075;

				{	/* Cfa/type.scm 384 */
					BgL_nodez00_bglt BgL_arg1956z00_5164;

					BgL_arg1956z00_5164 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026))))->BgL_funz00);
					BgL_auxz00_6075 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1956z00_5164);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6075), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6083;

				{	/* Cfa/type.scm 385 */
					BgL_nodez00_bglt BgL_arg1957z00_5165;

					BgL_arg1957z00_5165 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026))))->BgL_argz00);
					BgL_auxz00_6083 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1957z00_5165);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6083), BUNSPEC);
			}
			if (CBOOL
				(BGl_za2optimzd2cfazd2unboxzd2closurezd2argsza2z00zzengine_paramz00))
				{
					BgL_typez00_bglt BgL_auxz00_6093;

					{	/* Cfa/type.scm 387 */
						BgL_approxz00_bglt BgL_arg1958z00_5166;

						{
							BgL_appzd2lyzf2cinfoz20_bglt BgL_auxz00_6096;

							{
								obj_t BgL_auxz00_6097;

								{	/* Cfa/type.scm 387 */
									BgL_objectz00_bglt BgL_tmpz00_6098;

									BgL_tmpz00_6098 =
										((BgL_objectz00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026));
									BgL_auxz00_6097 = BGL_OBJECT_WIDENING(BgL_tmpz00_6098);
								}
								BgL_auxz00_6096 =
									((BgL_appzd2lyzf2cinfoz20_bglt) BgL_auxz00_6097);
							}
							BgL_arg1958z00_5166 =
								(((BgL_appzd2lyzf2cinfoz20_bglt) COBJECT(BgL_auxz00_6096))->
								BgL_approxz00);
						}
						BgL_auxz00_6093 =
							((BgL_typez00_bglt)
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1958z00_5166,
								((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026))));
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026))))->BgL_typez00) =
						((BgL_typez00_bglt) BgL_auxz00_6093), BUNSPEC);
				}
			else
				{	/* Cfa/type.scm 386 */
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026))))->BgL_typez00) =
						((BgL_typez00_bglt) ((BgL_typez00_bglt)
								BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
				}
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5026));
		}

	}



/* &type-node!-app-ly1666 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2appzd2ly1666za2zzcfa_typez00(obj_t
		BgL_envz00_5027, obj_t BgL_nodez00_5028)
	{
		{	/* Cfa/type.scm 371 */
			if (CBOOL(BGl_za2optimzd2cfazf3za2z21zzengine_paramz00))
				{	/* Cfa/type.scm 372 */
					obj_t BgL_arg1953z00_5168;

					BgL_arg1953z00_5168 =
						BGl_shapez00zztools_shapez00(
						((obj_t) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5028)));
					BGl_errorz00zz__errorz00(BGl_string2305z00zzcfa_typez00,
						BGl_string2337z00zzcfa_typez00, BgL_arg1953z00_5168);
				}
			else
				{	/* Cfa/type.scm 372 */
					BFALSE;
				}
			{
				BgL_nodez00_bglt BgL_auxz00_6121;

				{	/* Cfa/type.scm 374 */
					BgL_nodez00_bglt BgL_arg1954z00_5169;

					BgL_arg1954z00_5169 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5028)))))->BgL_funz00);
					BgL_auxz00_6121 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1954z00_5169);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5028)))))->BgL_funz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6121), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6131;

				{	/* Cfa/type.scm 375 */
					BgL_nodez00_bglt BgL_arg1955z00_5170;

					BgL_arg1955z00_5170 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5028)))))->BgL_argz00);
					BgL_auxz00_6131 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1955z00_5170);
				}
				((((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt)
										((BgL_appzd2lyzd2_bglt) BgL_nodez00_5028)))))->BgL_argz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6131), BUNSPEC);
			}
			((((BgL_nodez00_bglt) COBJECT(
							((BgL_nodez00_bglt)
								((BgL_appzd2lyzd2_bglt)
									((BgL_appzd2lyzd2_bglt) BgL_nodez00_5028)))))->BgL_typez00) =
				((BgL_typez00_bglt) ((BgL_typez00_bglt)
						BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
			return ((BgL_nodez00_bglt) ((BgL_appzd2lyzd2_bglt) BgL_nodez00_5028));
		}

	}



/* &type-node!-cons-ref-1664 */
	BgL_nodez00_bglt
		BGl_z62typezd2nodez12zd2conszd2refzd21664z70zzcfa_typez00(obj_t
		BgL_envz00_5029, obj_t BgL_nodez00_5030)
	{
		{	/* Cfa/type.scm 360 */
			{

				{	/* Cfa/type.scm 360 */
					obj_t BgL_nextzd2method1663zd2_5173;

					BgL_nextzd2method1663zd2_5173 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_5030)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_conszd2refzd2appz00zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1663zd2_5173)
						(BgL_nextzd2method1663zd2_5173,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5030)), BEOA);
				}
				{	/* Cfa/type.scm 363 */
					obj_t BgL_atypez00_5174;

					{	/* Cfa/type.scm 363 */
						BgL_approxz00_bglt BgL_arg1952z00_5175;

						{
							BgL_conszd2refzd2appz00_bglt BgL_auxz00_6157;

							{
								obj_t BgL_auxz00_6158;

								{	/* Cfa/type.scm 363 */
									BgL_objectz00_bglt BgL_tmpz00_6159;

									BgL_tmpz00_6159 =
										((BgL_objectz00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5030));
									BgL_auxz00_6158 = BGL_OBJECT_WIDENING(BgL_tmpz00_6159);
								}
								BgL_auxz00_6157 =
									((BgL_conszd2refzd2appz00_bglt) BgL_auxz00_6158);
							}
							BgL_arg1952z00_5175 =
								(((BgL_conszd2refzd2appz00_bglt) COBJECT(BgL_auxz00_6157))->
								BgL_approxz00);
						}
						BgL_atypez00_5174 =
							BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1952z00_5175,
							((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5030)));
					}
					if ((BgL_atypez00_5174 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 364 */
							BFALSE;
						}
					else
						{	/* Cfa/type.scm 364 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_5030))))->BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_5174)),
								BUNSPEC);
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5030));
			}
		}

	}



/* &type-node!-procedure1662 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1662z70zzcfa_typez00(obj_t
		BgL_envz00_5031, obj_t BgL_nodez00_5032)
	{
		{	/* Cfa/type.scm 343 */
			{

				{	/* Cfa/type.scm 343 */
					obj_t BgL_nextzd2method1661zd2_5178;

					BgL_nextzd2method1661zd2_5178 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_5032)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2setz12zd2appz12zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1661zd2_5178)
						(BgL_nextzd2method1661zd2_5178,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5032)), BEOA);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 347 */
						obj_t BgL_atypez00_5179;

						{	/* Cfa/type.scm 347 */
							obj_t BgL_arg1950z00_5180;

							{
								BgL_procedurezd2setz12zd2appz12_bglt BgL_auxz00_6187;

								{
									obj_t BgL_auxz00_6188;

									{	/* Cfa/type.scm 347 */
										BgL_objectz00_bglt BgL_tmpz00_6189;

										BgL_tmpz00_6189 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_5032));
										BgL_auxz00_6188 = BGL_OBJECT_WIDENING(BgL_tmpz00_6189);
									}
									BgL_auxz00_6187 =
										((BgL_procedurezd2setz12zd2appz12_bglt) BgL_auxz00_6188);
								}
								BgL_arg1950z00_5180 =
									(((BgL_procedurezd2setz12zd2appz12_bglt)
										COBJECT(BgL_auxz00_6187))->BgL_vapproxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00(
									((BgL_approxz00_bglt) BgL_arg1950z00_5180)))
								{	/* Cfa/type.scm 319 */
									BgL_atypez00_5179 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 319 */
									BgL_atypez00_5179 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(
										((BgL_approxz00_bglt) BgL_arg1950z00_5180),
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5032)));
								}
						}
						{	/* Cfa/type.scm 348 */
							bool_t BgL_test2449z00_6202;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_5179)))
								{	/* Cfa/type.scm 348 */
									if ((BgL_atypez00_5179 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 349 */
											BgL_test2449z00_6202 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 350 */
											bool_t BgL_test2452z00_6208;

											{	/* Cfa/type.scm 350 */
												BgL_typez00_bglt BgL_arg1947z00_5181;

												{	/* Cfa/type.scm 350 */
													obj_t BgL_arg1948z00_5182;

													{	/* Cfa/type.scm 350 */
														obj_t BgL_pairz00_5183;

														BgL_pairz00_5183 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt)
																		((BgL_appz00_bglt) BgL_nodez00_5032))))->
															BgL_argsz00);
														BgL_arg1948z00_5182 =
															CAR(CDR(CDR(BgL_pairz00_5183)));
													}
													BgL_arg1947z00_5181 =
														BGl_getzd2typezd2zztype_typeofz00(
														((BgL_nodez00_bglt) BgL_arg1948z00_5182),
														((bool_t) 0));
												}
												BgL_test2452z00_6208 =
													(BgL_atypez00_5179 == ((obj_t) BgL_arg1947z00_5181));
											}
											if (BgL_test2452z00_6208)
												{	/* Cfa/type.scm 350 */
													BgL_test2449z00_6202 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 350 */
													BgL_test2449z00_6202 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 348 */
									BgL_test2449z00_6202 = ((bool_t) 0);
								}
							if (BgL_test2449z00_6202)
								{	/* Cfa/type.scm 351 */
									obj_t BgL_arg1941z00_5184;
									BgL_castz00_bglt BgL_arg1942z00_5185;

									{	/* Cfa/type.scm 351 */
										obj_t BgL_pairz00_5186;

										BgL_pairz00_5186 =
											(((BgL_appz00_bglt) COBJECT(
													((BgL_appz00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_5032))))->
											BgL_argsz00);
										BgL_arg1941z00_5184 = CDR(CDR(BgL_pairz00_5186));
									}
									{	/* Cfa/type.scm 352 */
										BgL_castz00_bglt BgL_new1196z00_5187;

										{	/* Cfa/type.scm 352 */
											BgL_castz00_bglt BgL_new1195z00_5188;

											BgL_new1195z00_5188 =
												((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
															BgL_castz00_bgl))));
											{	/* Cfa/type.scm 352 */
												long BgL_arg1946z00_5189;

												{	/* Cfa/type.scm 352 */
													long BgL_res2287z00_5190;

													BgL_res2287z00_5190 =
														BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
													BgL_arg1946z00_5189 = BgL_res2287z00_5190;
												}
												BGL_OBJECT_CLASS_NUM_SET(
													((BgL_objectz00_bglt) BgL_new1195z00_5188),
													BgL_arg1946z00_5189);
											}
											{	/* Cfa/type.scm 352 */
												BgL_objectz00_bglt BgL_tmpz00_6228;

												BgL_tmpz00_6228 =
													((BgL_objectz00_bglt) BgL_new1195z00_5188);
												BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6228, BFALSE);
											}
											((BgL_objectz00_bglt) BgL_new1195z00_5188);
											BgL_new1196z00_5187 = BgL_new1195z00_5188;
										}
										((((BgL_nodez00_bglt) COBJECT(
														((BgL_nodez00_bglt) BgL_new1196z00_5187)))->
												BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
										((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
															BgL_new1196z00_5187)))->BgL_typez00) =
											((BgL_typez00_bglt) ((BgL_typez00_bglt)
													BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
										{
											BgL_nodez00_bglt BgL_auxz00_6237;

											{	/* Cfa/type.scm 354 */
												obj_t BgL_pairz00_5191;

												BgL_pairz00_5191 =
													(((BgL_appz00_bglt) COBJECT(
															((BgL_appz00_bglt)
																((BgL_appz00_bglt) BgL_nodez00_5032))))->
													BgL_argsz00);
												{	/* Cfa/type.scm 354 */
													obj_t BgL_pairz00_5192;

													{	/* Cfa/type.scm 354 */
														obj_t BgL_pairz00_5193;

														BgL_pairz00_5193 = CDR(BgL_pairz00_5191);
														BgL_pairz00_5192 = CDR(BgL_pairz00_5193);
													}
													BgL_auxz00_6237 =
														((BgL_nodez00_bglt) CAR(BgL_pairz00_5192));
											}}
											((((BgL_castz00_bglt) COBJECT(BgL_new1196z00_5187))->
													BgL_argz00) =
												((BgL_nodez00_bglt) BgL_auxz00_6237), BUNSPEC);
										}
										BgL_arg1942z00_5185 = BgL_new1196z00_5187;
									}
									{	/* Cfa/type.scm 351 */
										obj_t BgL_auxz00_6248;
										obj_t BgL_tmpz00_6246;

										BgL_auxz00_6248 = ((obj_t) BgL_arg1942z00_5185);
										BgL_tmpz00_6246 = ((obj_t) BgL_arg1941z00_5184);
										SET_CAR(BgL_tmpz00_6246, BgL_auxz00_6248);
								}}
							else
								{	/* Cfa/type.scm 348 */
									BFALSE;
								}
						}
					}
				else
					{	/* Cfa/type.scm 346 */
						BFALSE;
					}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5032));
			}
		}

	}



/* &type-node!-procedure1660 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2procedure1660z70zzcfa_typez00(obj_t
		BgL_envz00_5033, obj_t BgL_nodez00_5034)
	{
		{	/* Cfa/type.scm 326 */
			{

				{	/* Cfa/type.scm 326 */
					obj_t BgL_nextzd2method1659zd2_5196;

					BgL_nextzd2method1659zd2_5196 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_5034)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_procedurezd2refzd2appz00zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1659zd2_5196)
						(BgL_nextzd2method1659zd2_5196,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5034)), BEOA);
				}
				if (CBOOL
					(BGl_za2optimzd2cfazd2freezd2varzd2trackingzf3za2zf3zzengine_paramz00))
					{	/* Cfa/type.scm 330 */
						obj_t BgL_atypez00_5197;

						{	/* Cfa/type.scm 330 */
							BgL_approxz00_bglt BgL_arg1930z00_5198;

							{
								BgL_procedurezd2refzd2appz00_bglt BgL_auxz00_6264;

								{
									obj_t BgL_auxz00_6265;

									{	/* Cfa/type.scm 330 */
										BgL_objectz00_bglt BgL_tmpz00_6266;

										BgL_tmpz00_6266 =
											((BgL_objectz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_5034));
										BgL_auxz00_6265 = BGL_OBJECT_WIDENING(BgL_tmpz00_6266);
									}
									BgL_auxz00_6264 =
										((BgL_procedurezd2refzd2appz00_bglt) BgL_auxz00_6265);
								}
								BgL_arg1930z00_5198 =
									(((BgL_procedurezd2refzd2appz00_bglt)
										COBJECT(BgL_auxz00_6264))->BgL_approxz00);
							}
							if (BGl_approxzd2procedurezd2elzf3zf3zzcfa_closurez00
								(BgL_arg1930z00_5198))
								{	/* Cfa/type.scm 319 */
									BgL_atypez00_5197 =
										BGl_za2procedurezd2elza2zd2zztype_cachez00;
								}
							else
								{	/* Cfa/type.scm 319 */
									BgL_atypez00_5197 =
										BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1930z00_5198,
										((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5034)));
								}
						}
						{	/* Cfa/type.scm 331 */
							bool_t BgL_test2455z00_6277;

							if (BGl_bigloozd2typezf3z21zztype_typez00(
									((BgL_typez00_bglt) BgL_atypez00_5197)))
								{	/* Cfa/type.scm 331 */
									if ((BgL_atypez00_5197 == BGl_za2_za2z00zztype_cachez00))
										{	/* Cfa/type.scm 332 */
											BgL_test2455z00_6277 = ((bool_t) 0);
										}
									else
										{	/* Cfa/type.scm 333 */
											bool_t BgL_test2458z00_6283;

											{	/* Cfa/type.scm 333 */
												BgL_typez00_bglt BgL_arg1929z00_5199;

												BgL_arg1929z00_5199 =
													BGl_getzd2typezd2zztype_typeofz00(
													((BgL_nodez00_bglt)
														((BgL_appz00_bglt) BgL_nodez00_5034)),
													((bool_t) 0));
												BgL_test2458z00_6283 =
													(BgL_atypez00_5197 == ((obj_t) BgL_arg1929z00_5199));
											}
											if (BgL_test2458z00_6283)
												{	/* Cfa/type.scm 333 */
													BgL_test2455z00_6277 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 333 */
													BgL_test2455z00_6277 = ((bool_t) 1);
												}
										}
								}
							else
								{	/* Cfa/type.scm 331 */
									BgL_test2455z00_6277 = ((bool_t) 0);
								}
							if (BgL_test2455z00_6277)
								{	/* Cfa/type.scm 334 */
									BgL_castz00_bglt BgL_new1193z00_5200;

									{	/* Cfa/type.scm 334 */
										BgL_castz00_bglt BgL_new1192z00_5201;

										BgL_new1192z00_5201 =
											((BgL_castz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_castz00_bgl))));
										{	/* Cfa/type.scm 334 */
											long BgL_arg1928z00_5202;

											{	/* Cfa/type.scm 334 */
												long BgL_res2286z00_5203;

												BgL_res2286z00_5203 =
													BGL_CLASS_INDEX(BGl_castz00zzast_nodez00);
												BgL_arg1928z00_5202 = BgL_res2286z00_5203;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt) BgL_new1192z00_5201),
												BgL_arg1928z00_5202);
										}
										{	/* Cfa/type.scm 334 */
											BgL_objectz00_bglt BgL_tmpz00_6293;

											BgL_tmpz00_6293 =
												((BgL_objectz00_bglt) BgL_new1192z00_5201);
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_6293, BFALSE);
										}
										((BgL_objectz00_bglt) BgL_new1192z00_5201);
										BgL_new1193z00_5200 = BgL_new1192z00_5201;
									}
									((((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt) BgL_new1193z00_5200)))->
											BgL_locz00) = ((obj_t) BFALSE), BUNSPEC);
									((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
														BgL_new1193z00_5200)))->BgL_typez00) =
										((BgL_typez00_bglt) ((BgL_typez00_bglt) BgL_atypez00_5197)),
										BUNSPEC);
									((((BgL_castz00_bglt) COBJECT(BgL_new1193z00_5200))->
											BgL_argz00) =
										((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((BgL_appz00_bglt)
													BgL_nodez00_5034))), BUNSPEC);
									return ((BgL_nodez00_bglt) BgL_new1193z00_5200);
								}
							else
								{	/* Cfa/type.scm 331 */
									return
										((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5034));
								}
						}
					}
				else
					{	/* Cfa/type.scm 329 */
						return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5034));
					}
			}
		}

	}



/* &type-node!-arithmeti1658 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2arithmeti1658z70zzcfa_typez00(obj_t
		BgL_envz00_5035, obj_t BgL_nodez00_5036)
	{
		{	/* Cfa/type.scm 282 */
			{

				{	/* Cfa/type.scm 282 */
					obj_t BgL_nextzd2method1657zd2_5206;

					BgL_nextzd2method1657zd2_5206 =
						BGl_findzd2superzd2classzd2methodzd2zz__objectz00(
						((BgL_objectz00_bglt)
							((BgL_appz00_bglt) BgL_nodez00_5036)),
						BGl_typezd2nodez12zd2envz12zzcfa_typez00,
						BGl_arithmeticzd2appzd2zzcfa_info2z00);
					PROCEDURE_ENTRY(BgL_nextzd2method1657zd2_5206)
						(BgL_nextzd2method1657zd2_5206,
						((obj_t) ((BgL_appz00_bglt) BgL_nodez00_5036)), BEOA);
				}
				{	/* Cfa/type.scm 299 */
					BgL_variablez00_bglt BgL_vz00_5207;

					BgL_vz00_5207 =
						(((BgL_varz00_bglt) COBJECT(
								(((BgL_appz00_bglt) COBJECT(
											((BgL_appz00_bglt)
												((BgL_appz00_bglt) BgL_nodez00_5036))))->BgL_funz00)))->
						BgL_variablez00);
					{	/* Cfa/type.scm 299 */
						BgL_valuez00_bglt BgL_valz00_5208;

						BgL_valz00_5208 =
							(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5207))->BgL_valuez00);
						{	/* Cfa/type.scm 300 */

							{	/* Cfa/type.scm 301 */
								bool_t BgL_test2459z00_6324;

								{	/* Cfa/type.scm 301 */
									BgL_typez00_bglt BgL_arg1897z00_5209;

									BgL_arg1897z00_5209 =
										(((BgL_variablez00_bglt) COBJECT(BgL_vz00_5207))->
										BgL_typez00);
									BgL_test2459z00_6324 =
										(((obj_t) BgL_arg1897z00_5209) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_test2459z00_6324)
									{	/* Cfa/type.scm 302 */
										BgL_typez00_bglt BgL_vz00_5210;

										BgL_vz00_5210 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(BgL_vz00_5207))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_5210), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 301 */
										BFALSE;
									}
							}
							{	/* Cfa/type.scm 305 */
								bool_t BgL_test2460z00_6330;

								{	/* Cfa/type.scm 305 */
									bool_t BgL_res2282z00_5211;

									BgL_res2282z00_5211 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_valz00_5208), BGl_sfunz00zzast_varz00);
									BgL_test2460z00_6330 = BgL_res2282z00_5211;
								}
								if (BgL_test2460z00_6330)
									{	/* Cfa/type.scm 306 */
										obj_t BgL_l01613z00_5212;

										BgL_l01613z00_5212 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_valz00_5208)))->BgL_argsz00);
										{
											obj_t BgL_l1612z00_5214;

											BgL_l1612z00_5214 = BgL_l01613z00_5212;
										BgL_zc3z04anonymousza31899ze3z87_5213:
											if (NULLP(BgL_l1612z00_5214))
												{	/* Cfa/type.scm 306 */
													BgL_l01613z00_5212;
												}
											else
												{	/* Cfa/type.scm 306 */
													{	/* Cfa/type.scm 306 */
														obj_t BgL_arg1901z00_5215;

														{	/* Cfa/type.scm 306 */
															obj_t BgL_arg1902z00_5216;

															BgL_arg1902z00_5216 =
																CAR(((obj_t) BgL_l1612z00_5214));
															BgL_arg1901z00_5215 =
																BGl_cleanupzd2typeze70z35zzcfa_typez00
																(BgL_arg1902z00_5216);
														}
														{	/* Cfa/type.scm 306 */
															obj_t BgL_tmpz00_6340;

															BgL_tmpz00_6340 = ((obj_t) BgL_l1612z00_5214);
															SET_CAR(BgL_tmpz00_6340, BgL_arg1901z00_5215);
														}
													}
													{	/* Cfa/type.scm 306 */
														obj_t BgL_arg1903z00_5217;

														BgL_arg1903z00_5217 =
															CDR(((obj_t) BgL_l1612z00_5214));
														{
															obj_t BgL_l1612z00_6345;

															BgL_l1612z00_6345 = BgL_arg1903z00_5217;
															BgL_l1612z00_5214 = BgL_l1612z00_6345;
															goto BgL_zc3z04anonymousza31899ze3z87_5213;
														}
													}
												}
										}
									}
								else
									{	/* Cfa/type.scm 307 */
										bool_t BgL_test2462z00_6346;

										{	/* Cfa/type.scm 307 */
											bool_t BgL_res2284z00_5218;

											BgL_res2284z00_5218 =
												BGl_isazf3zf3zz__objectz00(
												((obj_t) BgL_valz00_5208), BGl_cfunz00zzast_varz00);
											BgL_test2462z00_6346 = BgL_res2284z00_5218;
										}
										if (BgL_test2462z00_6346)
											{	/* Cfa/type.scm 308 */
												obj_t BgL_l01616z00_5219;

												BgL_l01616z00_5219 =
													(((BgL_cfunz00_bglt) COBJECT(
															((BgL_cfunz00_bglt) BgL_valz00_5208)))->
													BgL_argszd2typezd2);
												{
													obj_t BgL_l1615z00_5221;

													BgL_l1615z00_5221 = BgL_l01616z00_5219;
												BgL_zc3z04anonymousza31905ze3z87_5220:
													if (NULLP(BgL_l1615z00_5221))
														{	/* Cfa/type.scm 308 */
															BgL_l01616z00_5219;
														}
													else
														{	/* Cfa/type.scm 308 */
															{	/* Cfa/type.scm 308 */
																obj_t BgL_arg1907z00_5222;

																{	/* Cfa/type.scm 308 */
																	obj_t BgL_arg1908z00_5223;

																	BgL_arg1908z00_5223 =
																		CAR(((obj_t) BgL_l1615z00_5221));
																	BgL_arg1907z00_5222 =
																		BGl_cleanupzd2typeze70z35zzcfa_typez00
																		(BgL_arg1908z00_5223);
																}
																{	/* Cfa/type.scm 308 */
																	obj_t BgL_tmpz00_6356;

																	BgL_tmpz00_6356 = ((obj_t) BgL_l1615z00_5221);
																	SET_CAR(BgL_tmpz00_6356, BgL_arg1907z00_5222);
																}
															}
															{	/* Cfa/type.scm 308 */
																obj_t BgL_arg1909z00_5224;

																BgL_arg1909z00_5224 =
																	CDR(((obj_t) BgL_l1615z00_5221));
																{
																	obj_t BgL_l1615z00_6361;

																	BgL_l1615z00_6361 = BgL_arg1909z00_5224;
																	BgL_l1615z00_5221 = BgL_l1615z00_6361;
																	goto BgL_zc3z04anonymousza31905ze3z87_5220;
																}
															}
														}
												}
											}
										else
											{	/* Cfa/type.scm 307 */
												BFALSE;
											}
									}
							}
						}
					}
				}
				{	/* Cfa/type.scm 310 */
					bool_t BgL_test2464z00_6362;

					{	/* Cfa/type.scm 310 */
						BgL_typez00_bglt BgL_arg1913z00_5225;

						BgL_arg1913z00_5225 =
							(((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt)
										((BgL_appz00_bglt)
											((BgL_appz00_bglt) BgL_nodez00_5036)))))->BgL_typez00);
						BgL_test2464z00_6362 =
							(((obj_t) BgL_arg1913z00_5225) == BGl_za2_za2z00zztype_cachez00);
					}
					if (BgL_test2464z00_6362)
						{	/* Cfa/type.scm 310 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_appz00_bglt)
													((BgL_appz00_bglt) BgL_nodez00_5036)))))->
									BgL_typez00) =
								((BgL_typez00_bglt) ((BgL_typez00_bglt)
										BGl_za2objza2z00zztype_cachez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 310 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5036));
			}
		}

	}



/* cleanup-type~0 */
	obj_t BGl_cleanupzd2typeze70z35zzcfa_typez00(obj_t BgL_tz00_3855)
	{
		{	/* Cfa/type.scm 293 */
			if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3855, BGl_typez00zztype_typez00))
				{	/* Cfa/type.scm 286 */
					if ((BgL_tz00_3855 == BGl_za2_za2z00zztype_cachez00))
						{	/* Cfa/type.scm 287 */
							return BGl_za2objza2z00zztype_cachez00;
						}
					else
						{	/* Cfa/type.scm 287 */
							return BgL_tz00_3855;
						}
				}
			else
				{	/* Cfa/type.scm 286 */
					if (BGl_isazf3zf3zz__objectz00(BgL_tz00_3855,
							BGl_localz00zzast_varz00))
						{	/* Cfa/type.scm 288 */
							{	/* Cfa/type.scm 289 */
								bool_t BgL_test2468z00_6382;

								{	/* Cfa/type.scm 289 */
									BgL_typez00_bglt BgL_arg1921z00_3862;

									BgL_arg1921z00_3862 =
										(((BgL_variablez00_bglt) COBJECT(
												((BgL_variablez00_bglt)
													((BgL_localz00_bglt) BgL_tz00_3855))))->BgL_typez00);
									BgL_test2468z00_6382 =
										(
										((obj_t) BgL_arg1921z00_3862) ==
										BGl_za2_za2z00zztype_cachez00);
								}
								if (BgL_test2468z00_6382)
									{	/* Cfa/type.scm 290 */
										BgL_typez00_bglt BgL_vz00_4857;

										BgL_vz00_4857 =
											((BgL_typez00_bglt) BGl_za2objza2z00zztype_cachez00);
										((((BgL_variablez00_bglt) COBJECT(
														((BgL_variablez00_bglt)
															((BgL_localz00_bglt) BgL_tz00_3855))))->
												BgL_typez00) =
											((BgL_typez00_bglt) BgL_vz00_4857), BUNSPEC);
									}
								else
									{	/* Cfa/type.scm 289 */
										BFALSE;
									}
							}
							return BgL_tz00_3855;
						}
					else
						{	/* Cfa/type.scm 288 */
							return BgL_tz00_3855;
						}
				}
		}

	}



/* &type-node!-app1656 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2app1656z70zzcfa_typez00(obj_t
		BgL_envz00_5037, obj_t BgL_nodez00_5038)
	{
		{	/* Cfa/type.scm 272 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5038)))->BgL_argsz00));
			BGl_typezd2funzd2nodez12z12zzcfa_typez00(
				(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_5038)))->BgL_funz00));
			{
				BgL_typez00_bglt BgL_auxz00_6398;

				{	/* Cfa/type.scm 276 */
					BgL_typez00_bglt BgL_arg1891z00_5227;
					BgL_typez00_bglt BgL_arg1892z00_5228;

					BgL_arg1891z00_5227 =
						(((BgL_variablez00_bglt) COBJECT(
								(((BgL_varz00_bglt) COBJECT(
											(((BgL_appz00_bglt) COBJECT(
														((BgL_appz00_bglt) BgL_nodez00_5038)))->
												BgL_funz00)))->BgL_variablez00)))->BgL_typez00);
					BgL_arg1892z00_5228 =
						(((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt) ((BgL_appz00_bglt)
										BgL_nodez00_5038))))->BgL_typez00);
					BgL_auxz00_6398 =
						BGl_strictzd2nodezd2typez00zzast_nodez00(BgL_arg1891z00_5227,
						BgL_arg1892z00_5228);
				}
				((((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_appz00_bglt) BgL_nodez00_5038))))->BgL_typez00) =
					((BgL_typez00_bglt) BgL_auxz00_6398), BUNSPEC);
			}
			return ((BgL_nodez00_bglt) ((BgL_appz00_bglt) BgL_nodez00_5038));
		}

	}



/* &type-node!-sync1654 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sync1654z70zzcfa_typez00(obj_t
		BgL_envz00_5039, obj_t BgL_nodez00_5040)
	{
		{	/* Cfa/type.scm 260 */
			{
				BgL_nodez00_bglt BgL_auxz00_6412;

				{	/* Cfa/type.scm 262 */
					BgL_nodez00_bglt BgL_arg1880z00_5230;

					BgL_arg1880z00_5230 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_5040)))->BgL_mutexz00);
					BgL_auxz00_6412 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1880z00_5230);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_5040)))->BgL_mutexz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6412), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6418;

				{	/* Cfa/type.scm 263 */
					BgL_nodez00_bglt BgL_arg1881z00_5231;

					BgL_arg1881z00_5231 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_5040)))->BgL_prelockz00);
					BgL_auxz00_6418 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1881z00_5231);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_5040)))->BgL_prelockz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6418), BUNSPEC);
			}
			{
				BgL_nodez00_bglt BgL_auxz00_6424;

				{	/* Cfa/type.scm 264 */
					BgL_nodez00_bglt BgL_arg1882z00_5232;

					BgL_arg1882z00_5232 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_5040)))->BgL_bodyz00);
					BgL_auxz00_6424 =
						BGl_typezd2nodez12zc0zzcfa_typez00(BgL_arg1882z00_5232);
				}
				((((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_5040)))->BgL_bodyz00) =
					((BgL_nodez00_bglt) BgL_auxz00_6424), BUNSPEC);
			}
			{	/* Cfa/type.scm 265 */
				bool_t BgL_test2469z00_6430;

				{	/* Cfa/type.scm 265 */
					BgL_typez00_bglt BgL_arg1886z00_5233;

					BgL_arg1886z00_5233 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_syncz00_bglt) BgL_nodez00_5040))))->BgL_typez00);
					BgL_test2469z00_6430 =
						(((obj_t) BgL_arg1886z00_5233) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2469z00_6430)
					{
						BgL_typez00_bglt BgL_auxz00_6436;

						{	/* Cfa/type.scm 266 */
							BgL_nodez00_bglt BgL_arg1885z00_5234;

							BgL_arg1885z00_5234 =
								(((BgL_syncz00_bglt) COBJECT(
										((BgL_syncz00_bglt) BgL_nodez00_5040)))->BgL_bodyz00);
							BgL_auxz00_6436 =
								BGl_getzd2typezd2zztype_typeofz00(BgL_arg1885z00_5234,
								((bool_t) 0));
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_syncz00_bglt) BgL_nodez00_5040))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6436), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 265 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_syncz00_bglt) BgL_nodez00_5040));
		}

	}



/* &type-node!-sequence1652 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2sequence1652z70zzcfa_typez00(obj_t
		BgL_envz00_5041, obj_t BgL_nodez00_5042)
	{
		{	/* Cfa/type.scm 248 */
			BGl_typezd2nodeza2z12z62zzcfa_typez00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_5042)))->BgL_nodesz00));
			{	/* Cfa/type.scm 251 */
				bool_t BgL_test2470z00_6448;

				{	/* Cfa/type.scm 251 */
					BgL_typez00_bglt BgL_arg1879z00_5236;

					BgL_arg1879z00_5236 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_sequencez00_bglt) BgL_nodez00_5042))))->BgL_typez00);
					BgL_test2470z00_6448 =
						(((obj_t) BgL_arg1879z00_5236) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2470z00_6448)
					{	/* Cfa/type.scm 251 */
						if (NULLP(
								(((BgL_sequencez00_bglt) COBJECT(
											((BgL_sequencez00_bglt) BgL_nodez00_5042)))->
									BgL_nodesz00)))
							{	/* Cfa/type.scm 252 */
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_5042))))->
										BgL_typez00) =
									((BgL_typez00_bglt) ((BgL_typez00_bglt)
											BGl_za2unspecza2z00zztype_cachez00)), BUNSPEC);
							}
						else
							{
								BgL_typez00_bglt BgL_auxz00_6462;

								{	/* Cfa/type.scm 253 */
									obj_t BgL_arg1875z00_5237;

									BgL_arg1875z00_5237 =
										CAR(BGl_lastzd2pairzd2zz__r4_pairs_and_lists_6_3z00(
											(((BgL_sequencez00_bglt) COBJECT(
														((BgL_sequencez00_bglt) BgL_nodez00_5042)))->
												BgL_nodesz00)));
									BgL_auxz00_6462 =
										BGl_getzd2typezd2zztype_typeofz00(((BgL_nodez00_bglt)
											BgL_arg1875z00_5237), ((bool_t) 0));
								}
								((((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_sequencez00_bglt) BgL_nodez00_5042))))->
										BgL_typez00) =
									((BgL_typez00_bglt) BgL_auxz00_6462), BUNSPEC);
							}
					}
				else
					{	/* Cfa/type.scm 251 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_sequencez00_bglt) BgL_nodez00_5042));
		}

	}



/* &type-node!-closure1650 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2closure1650z70zzcfa_typez00(obj_t
		BgL_envz00_5043, obj_t BgL_nodez00_5044)
	{
		{	/* Cfa/type.scm 242 */
			{	/* Cfa/type.scm 243 */
				obj_t BgL_arg1868z00_5239;

				BgL_arg1868z00_5239 =
					BGl_shapez00zztools_shapez00(
					((obj_t) ((BgL_closurez00_bglt) BgL_nodez00_5044)));
				return
					((BgL_nodez00_bglt)
					BGl_internalzd2errorzd2zztools_errorz00
					(BGl_string2305z00zzcfa_typez00, BGl_string2338z00zzcfa_typez00,
						BgL_arg1868z00_5239));
			}
		}

	}



/* &type-node!-var1648 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2var1648z70zzcfa_typez00(obj_t
		BgL_envz00_5045, obj_t BgL_nodez00_5046)
	{
		{	/* Cfa/type.scm 222 */
			{
				BgL_typez00_bglt BgL_ntypez00_5242;
				BgL_typez00_bglt BgL_vtypez00_5243;

				{	/* Cfa/type.scm 231 */
					bool_t BgL_test2472z00_6479;

					{	/* Cfa/type.scm 231 */
						bool_t BgL_test2473z00_6480;

						{	/* Cfa/type.scm 231 */
							BgL_variablez00_bglt BgL_arg1844z00_5250;

							BgL_arg1844z00_5250 =
								(((BgL_varz00_bglt) COBJECT(
										((BgL_varz00_bglt) BgL_nodez00_5046)))->BgL_variablez00);
							{	/* Cfa/type.scm 231 */
								bool_t BgL_res2278z00_5251;

								BgL_res2278z00_5251 =
									BGl_isazf3zf3zz__objectz00(
									((obj_t) BgL_arg1844z00_5250), BGl_globalz00zzast_varz00);
								BgL_test2473z00_6480 = BgL_res2278z00_5251;
							}
						}
						if (BgL_test2473z00_6480)
							{	/* Cfa/type.scm 231 */
								BgL_test2472z00_6479 =
									(
									(((BgL_globalz00_bglt) COBJECT(
												((BgL_globalz00_bglt)
													(((BgL_varz00_bglt) COBJECT(
																((BgL_varz00_bglt) BgL_nodez00_5046)))->
														BgL_variablez00))))->BgL_importz00) ==
									CNST_TABLE_REF(((long) 3)));
							}
						else
							{	/* Cfa/type.scm 231 */
								BgL_test2472z00_6479 = ((bool_t) 0);
							}
					}
					if (BgL_test2472z00_6479)
						{	/* Cfa/type.scm 232 */
							BgL_valuez00_bglt BgL_arg1837z00_5252;
							BgL_variablez00_bglt BgL_arg1838z00_5253;

							BgL_arg1837z00_5252 =
								(((BgL_variablez00_bglt) COBJECT(
										((BgL_variablez00_bglt)
											((BgL_globalz00_bglt)
												(((BgL_varz00_bglt) COBJECT(
															((BgL_varz00_bglt) BgL_nodez00_5046)))->
													BgL_variablez00)))))->BgL_valuez00);
							BgL_arg1838z00_5253 =
								(((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
											BgL_nodez00_5046)))->BgL_variablez00);
							BGl_typezd2variablez12zc0zzcfa_typez00(BgL_arg1837z00_5252,
								BgL_arg1838z00_5253);
						}
					else
						{	/* Cfa/type.scm 231 */
							BFALSE;
						}
				}
				{	/* Cfa/type.scm 233 */
					bool_t BgL_test2474z00_6499;

					{	/* Cfa/type.scm 233 */
						bool_t BgL_test2475z00_6500;

						{	/* Cfa/type.scm 233 */
							BgL_typez00_bglt BgL_arg1865z00_5254;

							BgL_arg1865z00_5254 =
								(((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_varz00_bglt) BgL_nodez00_5046))))->BgL_typez00);
							BgL_test2475z00_6500 =
								(
								((obj_t) BgL_arg1865z00_5254) == BGl_za2_za2z00zztype_cachez00);
						}
						if (BgL_test2475z00_6500)
							{	/* Cfa/type.scm 233 */
								BgL_test2474z00_6499 = ((bool_t) 1);
							}
						else
							{	/* Cfa/type.scm 234 */
								bool_t BgL_test2476z00_6506;

								{	/* Cfa/type.scm 234 */
									BgL_typez00_bglt BgL_arg1863z00_5255;

									BgL_arg1863z00_5255 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt)
													((BgL_varz00_bglt) BgL_nodez00_5046))))->BgL_typez00);
									BgL_test2476z00_6506 =
										(
										((obj_t) BgL_arg1863z00_5255) ==
										BGl_za2vectorza2z00zztype_cachez00);
								}
								if (BgL_test2476z00_6506)
									{	/* Cfa/type.scm 234 */
										BgL_test2474z00_6499 = ((bool_t) 1);
									}
								else
									{	/* Cfa/type.scm 235 */
										BgL_typez00_bglt BgL_arg1859z00_5256;
										BgL_typez00_bglt BgL_arg1861z00_5257;

										BgL_arg1859z00_5256 =
											(((BgL_nodez00_bglt) COBJECT(
													((BgL_nodez00_bglt)
														((BgL_varz00_bglt) BgL_nodez00_5046))))->
											BgL_typez00);
										BgL_arg1861z00_5257 =
											(((BgL_variablez00_bglt) COBJECT((((BgL_varz00_bglt)
															COBJECT(((BgL_varz00_bglt) BgL_nodez00_5046)))->
														BgL_variablez00)))->BgL_typez00);
										BgL_ntypez00_5242 = BgL_arg1859z00_5256;
										BgL_vtypez00_5243 = BgL_arg1861z00_5257;
										{	/* Cfa/type.scm 225 */
											bool_t BgL__ortest_1180z00_5244;

											if (BGl_bigloozd2typezf3z21zztype_typez00
												(BgL_vtypez00_5243))
												{	/* Cfa/type.scm 225 */
													BgL__ortest_1180z00_5244 = ((bool_t) 0);
												}
											else
												{	/* Cfa/type.scm 225 */
													BgL__ortest_1180z00_5244 = ((bool_t) 1);
												}
											if (BgL__ortest_1180z00_5244)
												{	/* Cfa/type.scm 225 */
													BgL_test2474z00_6499 = BgL__ortest_1180z00_5244;
												}
											else
												{	/* Cfa/type.scm 226 */
													bool_t BgL__ortest_1181z00_5245;

													BgL__ortest_1181z00_5245 =
														(
														((obj_t) BgL_ntypez00_5242) ==
														BGl_za2objza2z00zztype_cachez00);
													if (BgL__ortest_1181z00_5245)
														{	/* Cfa/type.scm 226 */
															BgL_test2474z00_6499 = BgL__ortest_1181z00_5245;
														}
													else
														{	/* Cfa/type.scm 227 */
															bool_t BgL__ortest_1182z00_5246;

															{	/* Cfa/type.scm 227 */
																bool_t BgL__ortest_1183z00_5247;

																BgL__ortest_1183z00_5247 =
																	(
																	((obj_t) BgL_vtypez00_5243) ==
																	BGl_za2pairza2z00zztype_cachez00);
																if (BgL__ortest_1183z00_5247)
																	{	/* Cfa/type.scm 227 */
																		BgL__ortest_1182z00_5246 =
																			BgL__ortest_1183z00_5247;
																	}
																else
																	{	/* Cfa/type.scm 227 */
																		BgL__ortest_1182z00_5246 =
																			(
																			((obj_t) BgL_vtypez00_5243) ==
																			BGl_za2epairza2z00zztype_cachez00);
																	}
															}
															if (BgL__ortest_1182z00_5246)
																{	/* Cfa/type.scm 227 */
																	BgL_test2474z00_6499 =
																		BgL__ortest_1182z00_5246;
																}
															else
																{	/* Cfa/type.scm 228 */
																	bool_t BgL_test2482z00_6530;

																	{	/* Cfa/type.scm 228 */
																		bool_t BgL_res2276z00_5248;

																		BgL_res2276z00_5248 =
																			BGl_isazf3zf3zz__objectz00(
																			((obj_t) BgL_vtypez00_5243),
																			BGl_tclassz00zzobject_classz00);
																		BgL_test2482z00_6530 = BgL_res2276z00_5248;
																	}
																	if (BgL_test2482z00_6530)
																		{	/* Cfa/type.scm 228 */
																			bool_t BgL_test2483z00_6533;

																			{	/* Cfa/type.scm 228 */
																				bool_t BgL_res2277z00_5249;

																				BgL_res2277z00_5249 =
																					BGl_isazf3zf3zz__objectz00(
																					((obj_t) BgL_ntypez00_5242),
																					BGl_tclassz00zzobject_classz00);
																				BgL_test2483z00_6533 =
																					BgL_res2277z00_5249;
																			}
																			if (BgL_test2483z00_6533)
																				{	/* Cfa/type.scm 228 */
																					BgL_test2474z00_6499 =
																						BGl_typezd2subclasszf3z21zzobject_classz00
																						(BgL_vtypez00_5243,
																						BgL_ntypez00_5242);
																				}
																			else
																				{	/* Cfa/type.scm 228 */
																					BgL_test2474z00_6499 = ((bool_t) 0);
																				}
																		}
																	else
																		{	/* Cfa/type.scm 228 */
																			BgL_test2474z00_6499 = ((bool_t) 0);
																		}
																}
														}
												}
										}
									}
							}
					}
					if (BgL_test2474z00_6499)
						{	/* Cfa/type.scm 233 */
							((((BgL_nodez00_bglt) COBJECT(
											((BgL_nodez00_bglt)
												((BgL_varz00_bglt) BgL_nodez00_5046))))->BgL_typez00) =
								((BgL_typez00_bglt) (((BgL_variablez00_bglt)
											COBJECT((((BgL_varz00_bglt) COBJECT(((BgL_varz00_bglt)
																BgL_nodez00_5046)))->BgL_variablez00)))->
										BgL_typez00)), BUNSPEC);
						}
					else
						{	/* Cfa/type.scm 233 */
							BFALSE;
						}
				}
				return ((BgL_nodez00_bglt) ((BgL_varz00_bglt) BgL_nodez00_5046));
			}
		}

	}



/* &type-node!-kwote1646 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2kwote1646z70zzcfa_typez00(obj_t
		BgL_envz00_5047, obj_t BgL_nodez00_5048)
	{
		{	/* Cfa/type.scm 213 */
			{	/* Cfa/type.scm 215 */
				bool_t BgL_test2484z00_6545;

				{	/* Cfa/type.scm 215 */
					BgL_typez00_bglt BgL_arg1829z00_5259;

					BgL_arg1829z00_5259 =
						(((BgL_nodez00_bglt) COBJECT(
								((BgL_nodez00_bglt)
									((BgL_kwotez00_bglt) BgL_nodez00_5048))))->BgL_typez00);
					BgL_test2484z00_6545 =
						(((obj_t) BgL_arg1829z00_5259) == BGl_za2_za2z00zztype_cachez00);
				}
				if (BgL_test2484z00_6545)
					{
						BgL_typez00_bglt BgL_auxz00_6551;

						{	/* Cfa/type.scm 216 */
							obj_t BgL_arg1828z00_5260;

							BgL_arg1828z00_5260 =
								(((BgL_kwotez00_bglt) COBJECT(
										((BgL_kwotez00_bglt) BgL_nodez00_5048)))->BgL_valuez00);
							BgL_auxz00_6551 =
								BGl_getzd2typezd2kwotez00zztype_typeofz00(BgL_arg1828z00_5260);
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt)
											((BgL_kwotez00_bglt) BgL_nodez00_5048))))->BgL_typez00) =
							((BgL_typez00_bglt) BgL_auxz00_6551), BUNSPEC);
					}
				else
					{	/* Cfa/type.scm 215 */
						BFALSE;
					}
			}
			return ((BgL_nodez00_bglt) ((BgL_kwotez00_bglt) BgL_nodez00_5048));
		}

	}



/* &type-node!-atom1644 */
	BgL_nodez00_bglt BGl_z62typezd2nodez12zd2atom1644z70zzcfa_typez00(obj_t
		BgL_envz00_5049, obj_t BgL_nodez00_5050)
	{
		{	/* Cfa/type.scm 207 */
			return ((BgL_nodez00_bglt) ((BgL_atomz00_bglt) BgL_nodez00_5050));
		}

	}



/* &type-variable!-inter1640 */
	obj_t BGl_z62typezd2variablez12zd2inter1640z70zzcfa_typez00(obj_t
		BgL_envz00_5051, obj_t BgL_valuez00_5052, obj_t BgL_variablez00_5053)
	{
		{	/* Cfa/type.scm 170 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-sexit1638 */
	obj_t BGl_z62typezd2variablez12zd2sexit1638z70zzcfa_typez00(obj_t
		BgL_envz00_5054, obj_t BgL_valuez00_5055, obj_t BgL_variablez00_5056)
	{
		{	/* Cfa/type.scm 160 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-cvar/1636 */
	obj_t BGl_z62typezd2variablez12zd2cvarzf21636z82zzcfa_typez00(obj_t
		BgL_envz00_5057, obj_t BgL_valuez00_5058, obj_t BgL_variablez00_5059)
	{
		{	/* Cfa/type.scm 153 */
			{	/* Cfa/type.scm 155 */
				obj_t BgL_arg1823z00_5265;

				{	/* Cfa/type.scm 155 */
					BgL_approxz00_bglt BgL_arg1825z00_5266;

					{
						BgL_cvarzf2cinfozf2_bglt BgL_auxz00_6564;

						{
							obj_t BgL_auxz00_6565;

							{	/* Cfa/type.scm 155 */
								BgL_objectz00_bglt BgL_tmpz00_6566;

								BgL_tmpz00_6566 =
									((BgL_objectz00_bglt) ((BgL_cvarz00_bglt) BgL_valuez00_5058));
								BgL_auxz00_6565 = BGL_OBJECT_WIDENING(BgL_tmpz00_6566);
							}
							BgL_auxz00_6564 = ((BgL_cvarzf2cinfozf2_bglt) BgL_auxz00_6565);
						}
						BgL_arg1825z00_5266 =
							(((BgL_cvarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6564))->
							BgL_approxz00);
					}
					BgL_arg1823z00_5265 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1825z00_5266,
						((obj_t) ((BgL_cvarz00_bglt) BgL_valuez00_5058)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_5059),
					((BgL_typez00_bglt) BgL_arg1823z00_5265));
			}
		}

	}



/* &type-variable!-scnst1634 */
	obj_t BGl_z62typezd2variablez12zd2scnst1634z70zzcfa_typez00(obj_t
		BgL_envz00_5060, obj_t BgL_valuez00_5061, obj_t BgL_variablez00_5062)
	{
		{	/* Cfa/type.scm 147 */
			return CNST_TABLE_REF(((long) 4));
		}

	}



/* &type-variable!-svar/1632 */
	obj_t BGl_z62typezd2variablez12zd2svarzf21632z82zzcfa_typez00(obj_t
		BgL_envz00_5063, obj_t BgL_valuez00_5064, obj_t BgL_variablez00_5065)
	{
		{	/* Cfa/type.scm 137 */
			{	/* Cfa/type.scm 139 */
				obj_t BgL_typz00_5269;

				{	/* Cfa/type.scm 139 */
					BgL_approxz00_bglt BgL_arg1822z00_5270;

					{
						BgL_svarzf2cinfozf2_bglt BgL_auxz00_6579;

						{
							obj_t BgL_auxz00_6580;

							{	/* Cfa/type.scm 139 */
								BgL_objectz00_bglt BgL_tmpz00_6581;

								BgL_tmpz00_6581 =
									((BgL_objectz00_bglt) ((BgL_svarz00_bglt) BgL_valuez00_5064));
								BgL_auxz00_6580 = BGL_OBJECT_WIDENING(BgL_tmpz00_6581);
							}
							BgL_auxz00_6579 = ((BgL_svarzf2cinfozf2_bglt) BgL_auxz00_6580);
						}
						BgL_arg1822z00_5270 =
							(((BgL_svarzf2cinfozf2_bglt) COBJECT(BgL_auxz00_6579))->
							BgL_approxz00);
					}
					BgL_typz00_5269 =
						BGl_getzd2approxzd2typez00zzcfa_typez00(BgL_arg1822z00_5270,
						((obj_t) ((BgL_svarz00_bglt) BgL_valuez00_5064)));
				}
				return
					BGl_setzd2variablezd2typez12z12zzcfa_typez00(
					((BgL_variablez00_bglt) BgL_variablez00_5065),
					((BgL_typez00_bglt) BgL_typz00_5269));
			}
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzcfa_typez00()
	{
		{	/* Cfa/type.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_cachez00(((long) 346491734),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztype_typeofz00(((long) 398780265),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_infoz00(((long) 3788352),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info2z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_info3z00(((long) 0),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_setz00(((long) 21528182),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_tvectorz00(((long) 324810626),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zzcfa_closurez00(((long) 189402713),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			BGl_modulezd2initializa7ationz75zztvector_tvectorz00(((long) 501518119),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
			return
				BGl_modulezd2initializa7ationz75zzobject_classz00(((long) 502007119),
				BSTRING_TO_STRING(BGl_string2339z00zzcfa_typez00));
		}

	}

#ifdef __cplusplus
}
#endif
