/*===========================================================================*/
/*   (Inline/recursion.scm)                                                  */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon 11 May 2020 12:14:39 PM CEST    */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc -lib-dir /home/serrano/prgm/project/bigloo/bigloo/lib/bigloo/4.3h -unsafev -gno-error-localization -no-hello -O2 -rm -unsafe -s -indent Inline/recursion.scm) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif

/* object type definitions */
	typedef struct BgL_typez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		obj_t BgL_siza7eza7;
		obj_t BgL_classz00;
		obj_t BgL_coercezd2tozd2;
		obj_t BgL_parentsz00;
		bool_t BgL_initzf3zf3;
		bool_t BgL_magiczf3zf3;
		obj_t BgL_z42z42;
		obj_t BgL_aliasz00;
		obj_t BgL_pointedzd2tozd2byz00;
		obj_t BgL_tvectorz00;
		obj_t BgL_locationz00;
		obj_t BgL_importzd2locationzd2;
		int BgL_occurrencez00;
	}              *BgL_typez00_bglt;

	typedef struct BgL_valuez00_bgl
	{
		header_t header;
		obj_t widening;
	}               *BgL_valuez00_bglt;

	typedef struct BgL_variablez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
	}                  *BgL_variablez00_bglt;

	typedef struct BgL_globalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		obj_t BgL_modulez00;
		obj_t BgL_importz00;
		bool_t BgL_evaluablezf3zf3;
		bool_t BgL_evalzf3zf3;
		obj_t BgL_libraryz00;
		obj_t BgL_pragmaz00;
		obj_t BgL_srcz00;
		obj_t BgL_jvmzd2typezd2namez00;
		obj_t BgL_initz00;
		obj_t BgL_aliasz00;
	}                *BgL_globalz00_bglt;

	typedef struct BgL_localz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_idz00;
		obj_t BgL_namez00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_valuez00_bgl *BgL_valuez00;
		obj_t BgL_accessz00;
		obj_t BgL_fastzd2alphazd2;
		obj_t BgL_removablez00;
		long BgL_occurrencez00;
		long BgL_occurrencewz00;
		bool_t BgL_userzf3zf3;
		long BgL_keyz00;
	}               *BgL_localz00_bglt;

	typedef struct BgL_funz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
	}             *BgL_funz00_bglt;

	typedef struct BgL_sfunz00_bgl
	{
		header_t header;
		obj_t widening;
		long BgL_arityz00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_predicatezd2ofzd2;
		obj_t BgL_stackzd2allocatorzd2;
		bool_t BgL_topzf3zf3;
		obj_t BgL_thezd2closurezd2;
		obj_t BgL_effectz00;
		obj_t BgL_failsafez00;
		obj_t BgL_propertyz00;
		obj_t BgL_argsz00;
		obj_t BgL_argszd2namezd2;
		obj_t BgL_bodyz00;
		obj_t BgL_classz00;
		obj_t BgL_dssslzd2keywordszd2;
		obj_t BgL_locz00;
		obj_t BgL_optionalsz00;
		obj_t BgL_keysz00;
		obj_t BgL_thezd2closurezd2globalz00;
		obj_t BgL_strengthz00;
	}              *BgL_sfunz00_bglt;

	typedef struct BgL_svarz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
	}              *BgL_svarz00_bglt;

	typedef struct BgL_nodez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
	}              *BgL_nodez00_bglt;

	typedef struct BgL_nodezf2effectzf2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
	}                       *BgL_nodezf2effectzf2_bglt;

	typedef struct BgL_varz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_variablez00_bgl *BgL_variablez00;
	}             *BgL_varz00_bglt;

	typedef struct BgL_sequencez00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_nodesz00;
		bool_t BgL_unsafez00;
		obj_t BgL_metaz00;
	}                  *BgL_sequencez00_bglt;

	typedef struct BgL_appz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
	}             *BgL_appz00_bglt;

	typedef struct BgL_appzd2lyzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}                  *BgL_appzd2lyzd2_bglt;

	typedef struct BgL_funcallz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_funz00;
		obj_t BgL_argsz00;
		obj_t BgL_strengthz00;
		obj_t BgL_functionsz00;
	}                 *BgL_funcallz00_bglt;

	typedef struct BgL_externz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_exprza2za2;
		obj_t BgL_effectz00;
	}                *BgL_externz00_bglt;

	typedef struct BgL_castz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_argz00;
	}              *BgL_castz00_bglt;

	typedef struct BgL_setqz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}              *BgL_setqz00_bglt;

	typedef struct BgL_conditionalz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		struct BgL_nodez00_bgl *BgL_truez00;
		struct BgL_nodez00_bgl *BgL_falsez00;
	}                     *BgL_conditionalz00_bglt;

	typedef struct BgL_failz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_procz00;
		struct BgL_nodez00_bgl *BgL_msgz00;
		struct BgL_nodez00_bgl *BgL_objz00;
	}              *BgL_failz00_bglt;

	typedef struct BgL_switchz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_testz00;
		obj_t BgL_clausesz00;
		struct BgL_typez00_bgl *BgL_itemzd2typezd2;
	}                *BgL_switchz00_bglt;

	typedef struct BgL_letzd2funzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_localsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                   *BgL_letzd2funzd2_bglt;

	typedef struct BgL_letzd2varzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		obj_t BgL_bindingsz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
		bool_t BgL_removablezf3zf3;
	}                   *BgL_letzd2varzd2_bglt;

	typedef struct BgL_setzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}                       *BgL_setzd2exzd2itz00_bglt;

	typedef struct BgL_jumpzd2exzd2itz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_exitz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
	}                        *BgL_jumpzd2exzd2itz00_bglt;

	typedef struct BgL_makezd2boxzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                    *BgL_makezd2boxzd2_bglt;

	typedef struct BgL_boxzd2refzd2_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		obj_t BgL_sidezd2effectzd2;
		obj_t BgL_keyz00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                   *BgL_boxzd2refzd2_bglt;

	typedef struct BgL_boxzd2setz12zc0_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_varz00_bgl *BgL_varz00;
		struct BgL_nodez00_bgl *BgL_valuez00;
		struct BgL_typez00_bgl *BgL_vtypez00;
	}                      *BgL_boxzd2setz12zc0_bglt;

	typedef struct BgL_syncz00_bgl
	{
		header_t header;
		obj_t widening;
		obj_t BgL_locz00;
		struct BgL_typez00_bgl *BgL_typez00;
		struct BgL_nodez00_bgl *BgL_mutexz00;
		struct BgL_nodez00_bgl *BgL_prelockz00;
		struct BgL_nodez00_bgl *BgL_bodyz00;
	}              *BgL_syncz00_bglt;

	typedef struct BgL_isfunz00_bgl
	{
		struct BgL_nodez00_bgl *BgL_originalzd2bodyzd2;
		obj_t BgL_recursivezd2callszd2;
		bool_t BgL_tailrecz00;
	}               *BgL_isfunz00_bglt;


	BGL_EXPORTED_DECL bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_nodezd2csez12zc0zzreduce_csez00(BgL_nodez00_bglt, obj_t);
	extern obj_t BGl_syncz00zzast_nodez00;
	extern obj_t BGl_sfunz00zzast_varz00;
	extern obj_t BGl_sequencez00zzast_nodez00;
	extern obj_t BGl_letzd2varzd2zzast_nodez00;
	extern obj_t BGl_failz00zzast_nodez00;
	static obj_t BGl_objectzd2initzd2zzinline_recursionz00();
	BGL_IMPORT obj_t BGl_appendz00zz__r4_pairs_and_lists_6_3z00(obj_t);
	extern BgL_nodez00_bglt
		BGl_nestzd2loopz12zc0zzinline_loopz00(BgL_nodez00_bglt, BgL_localz00_bglt,
		obj_t);
	BGL_IMPORT obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
	extern obj_t BGl_boxzd2refzd2zzast_nodez00;
	static obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t, obj_t);
	BGL_IMPORT bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
	static obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t, obj_t);
	static obj_t
		BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t, obj_t);
	static obj_t BGl_methodzd2initzd2zzinline_recursionz00();
	extern obj_t BGl_externz00zzast_nodez00;
	extern obj_t BGl_svarz00zzast_varz00;
	extern BgL_appz00_bglt
		BGl_removezd2invariantzd2argsz12z12zzinline_variantz00(BgL_appz00_bglt);
	extern obj_t BGl_za2verboseza2z00zzengine_paramz00;
	extern obj_t BGl_appzd2lyzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1292z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1295z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1297z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1299z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t, obj_t);
	BGL_IMPORT long bgl_list_length(obj_t);
	static obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00();
	extern obj_t BGl_currentzd2functionzd2zztools_errorz00();
	static obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, obj_t, BgL_appz00_bglt, obj_t);
	BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	static bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt);
	extern obj_t BGl_conditionalz00zzast_nodez00;
	extern obj_t BGl_verbosez00zztools_speekz00(obj_t, obj_t);
	extern obj_t BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_bglt,
		BgL_variablez00_bglt, obj_t);
	extern obj_t BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00;
	extern obj_t BGl_setqz00zzast_nodez00;
	static obj_t BGl_requirezd2initializa7ationz75zzinline_recursionz00 = BUNSPEC;
	extern obj_t BGl_inlinezd2sfunz12zc0zzinline_inlinez00(BgL_variablez00_bglt,
		long, obj_t);
	extern obj_t BGl_setzd2exzd2itz00zzast_nodez00;
	extern BgL_nodez00_bglt BGl_alphatiza7eza7zzast_alphatiza7eza7(obj_t, obj_t,
		obj_t, BgL_nodez00_bglt);
	BGL_IMPORT obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t,
		obj_t, obj_t);
	extern bool_t BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_toplevelzd2initzd2zzinline_recursionz00();
	extern bool_t BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_bglt);
	static obj_t BGl_genericzd2initzd2zzinline_recursionz00();
	extern obj_t BGl_castz00zzast_nodez00;
	extern obj_t BGl_shapez00zztools_shapez00(obj_t);
	extern BgL_localz00_bglt BGl_clonezd2localzd2zzast_localz00(BgL_localz00_bglt,
		BgL_valuez00_bglt);
	BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t, obj_t);
	extern BgL_localz00_bglt BGl_makezd2localzd2sfunz00zzast_localz00(obj_t,
		BgL_typez00_bglt, BgL_sfunz00_bglt);
	BGL_IMPORT obj_t BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00(obj_t,
		obj_t, obj_t);
	extern bool_t BGl_inlinezd2appzf3z21zzinline_appz00(BgL_variablez00_bglt,
		long, long, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1301z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1303z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1305z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1307z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1309z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7(obj_t, obj_t, obj_t,
		BgL_nodez00_bglt, BgL_variablez00_bglt);
	static obj_t
		BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern obj_t BGl_makezd2boxzd2zzast_nodez00;
	static obj_t
		BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00(obj_t, obj_t,
		obj_t, obj_t, obj_t);
	extern BgL_nodez00_bglt
		BGl_inlinezd2appzd2simplez00zzinline_simplez00(BgL_nodez00_bglt, long,
		obj_t, obj_t);
	extern obj_t BGl_isfunz00zzinline_inlinez00;
	extern obj_t BGl_variantzd2argszd2zzinline_variantz00(BgL_variablez00_bglt);
	extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
	extern obj_t BGl_boxzd2setz12zc0zzast_nodez00;
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzreduce_csez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_appz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_loopz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_variantz00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_simplez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzinline_inlinez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_shapez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_speekz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_sexpz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_localz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_nodez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zzengine_paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zztools_tracez00(long, char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	BGL_IMPORT obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
	BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_appz00zzast_nodez00;
	extern obj_t BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_bglt);
	static obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t,
		obj_t, obj_t, obj_t);
	static obj_t
		BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_nodez00zzast_nodez00;
	extern obj_t BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00;
	extern obj_t BGl_localz00zzast_varz00;
	extern obj_t BGl_jumpzd2exzd2itz00zzast_nodez00;
	static obj_t BGl_z62zc3z04anonymousza31609ze3ze5zzinline_recursionz00(obj_t,
		obj_t);
	static BgL_nodez00_bglt
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t, obj_t, obj_t,
		obj_t);
	static obj_t BGl_cnstzd2initzd2zzinline_recursionz00();
	static obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
	static obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
	static BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt,
		BgL_nodez00_bglt, BgL_localz00_bglt, BgL_appz00_bglt, obj_t);
	extern obj_t BGl_substitutionsz00zzinline_variantz00(BgL_variablez00_bglt,
		obj_t, obj_t);
	BGL_EXPORTED_DECL BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt, long,
		obj_t);
	extern obj_t BGl_letzd2funzd2zzast_nodez00;
	extern obj_t BGl_switchz00zzast_nodez00;
	BGL_IMPORT bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
	extern obj_t BGl_funcallz00zzast_nodez00;
	extern obj_t BGl_globalz00zzast_varz00;
	static obj_t __cnst[2];


	   
		 
		DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1963z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1989z00,
		BGl_z62findzd2recursivezd2calls1292z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1965z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1990z00,
		BGl_z62findzd2recursivezd2calls1295z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1967z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1991z00,
		BGl_z62findzd2recursivezd2calls1297z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1968z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1992z00,
		BGl_z62findzd2recursivezd2calls1299z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1969z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1993z00,
		BGl_z62findzd2recursivezd2calls1301z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1970z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1994z00,
		BGl_z62findzd2recursivezd2calls1303z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1971z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1995z00,
		BGl_z62findzd2recursivezd2calls1305z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1972z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1996z00,
		BGl_z62findzd2recursivezd2calls1307z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1973z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1997z00,
		BGl_z62findzd2recursivezd2calls1309z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1974z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1998z00,
		BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1975z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs1999z00,
		BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1976z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2000z00,
		BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1977z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2001z00,
		BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1978z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2002z00,
		BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1979z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2003z00,
		BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1980z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2004z00,
		BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1981z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2005z00,
		BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1982z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2006z00,
		BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	      DEFINE_STATIC_BGL_PROCEDURE(BGl_proc1983z00zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2007z00,
		BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00, 0L, BUNSPEC,
		4);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_inlinezd2appzd2recursivezd2envzd2zzinline_recursionz00,
		BgL_bgl_za762inlineza7d2appza72008za7,
		BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00, 0L, BUNSPEC, 3);
	     
		DEFINE_EXPORT_BGL_PROCEDURE
		(BGl_iszd2recursivezf3zd2envzf3zzinline_recursionz00,
		BgL_bgl_za762isza7d2recursiv2009z00,
		BGl_z62iszd2recursivezf3z43zzinline_recursionz00, 0L, BUNSPEC, 1);
	      DEFINE_STRING(BGl_string1958z00zzinline_recursionz00,
		BgL_bgl_string1958za700za7za7i2010za7, "simple", 6);
	      DEFINE_STRING(BGl_string1959z00zzinline_recursionz00,
		BgL_bgl_string1959za700za7za7i2011za7, " (recursive)", 12);
	      DEFINE_STRING(BGl_string1960z00zzinline_recursionz00,
		BgL_bgl_string1960za700za7za7i2012za7, " --> ", 5);
	      DEFINE_STRING(BGl_string1961z00zzinline_recursionz00,
		BgL_bgl_string1961za700za7za7i2013za7, "         ", 9);
	      DEFINE_STRING(BGl_string1962z00zzinline_recursionz00,
		BgL_bgl_string1962za700za7za7i2014za7, "unrolling", 9);
	      DEFINE_STRING(BGl_string1964z00zzinline_recursionz00,
		BgL_bgl_string1964za700za7za7i2015za7, "find-recursive-calls1292", 24);
	      DEFINE_STRING(BGl_string1966z00zzinline_recursionz00,
		BgL_bgl_string1966za700za7za7i2016za7, "find-recursive-calls", 20);
	     
		DEFINE_STATIC_BGL_GENERIC
		(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
		BgL_bgl_za762findza7d2recurs2017z00,
		BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00, 0L, BUNSPEC, 4);
	      DEFINE_STRING(BGl_string1984z00zzinline_recursionz00,
		BgL_bgl_string1984za700za7za7i2018za7, "inline_recursion", 16);
	      DEFINE_STRING(BGl_string1985z00zzinline_recursionz00,
		BgL_bgl_string1985za700za7za7i2019za7, "(sifun sgfun) sfun ", 19);

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;
		   
			 ADD_ROOT((void
				*) (&BGl_requirezd2initializa7ationz75zzinline_recursionz00));
#undef ADD_ROOT
		if   (roots_max > 0)
			     GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		     return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zzinline_recursionz00(long
		BgL_checksumz00_2653, char *BgL_fromz00_2654)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zzinline_recursionz00))
				{
					BGl_requirezd2initializa7ationz75zzinline_recursionz00 =
						BBOOL(((bool_t) 0));
					BGl_gczd2rootszd2initz00zzinline_recursionz00();
					BGl_libraryzd2moduleszd2initz00zzinline_recursionz00();
					BGl_cnstzd2initzd2zzinline_recursionz00();
					BGl_importedzd2moduleszd2initz00zzinline_recursionz00();
					BGl_genericzd2initzd2zzinline_recursionz00();
					BGl_methodzd2initzd2zzinline_recursionz00();
					return BGl_toplevelzd2initzd2zzinline_recursionz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* library-modules-init */
	obj_t BGl_libraryzd2moduleszd2initz00zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__objectz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__readerz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__bitz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long) 0),
				"inline_recursion");
			BGl_modulezd2initializa7ationz75zz__biglooz00(((long) 0),
				"inline_recursion");
			return BUNSPEC;
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			{	/* Inline/recursion.scm 15 */
				obj_t BgL_cportz00_2535;

				{	/* Inline/recursion.scm 15 */
					obj_t BgL_stringz00_2543;

					BgL_stringz00_2543 = BGl_string1985z00zzinline_recursionz00;
					{	/* Inline/recursion.scm 15 */
						obj_t BgL_startz00_2544;

						BgL_startz00_2544 = BINT(((long) 0));
						{	/* Inline/recursion.scm 15 */
							obj_t BgL_endz00_2545;

							BgL_endz00_2545 =
								BINT(STRING_LENGTH(((obj_t) BgL_stringz00_2543)));
							{	/* Inline/recursion.scm 15 */

								BgL_cportz00_2535 =
									BGl_openzd2inputzd2stringz12z12zz__r4_ports_6_10_1z00
									(BgL_stringz00_2543, BgL_startz00_2544, BgL_endz00_2545);
				}}}}
				{
					long BgL_iz00_2536;

					BgL_iz00_2536 = ((long) 1);
				BgL_loopz00_2537:
					if ((BgL_iz00_2536 == ((long) -1)))
						{	/* Inline/recursion.scm 15 */
							return BUNSPEC;
						}
					else
						{	/* Inline/recursion.scm 15 */
							{	/* Inline/recursion.scm 15 */
								obj_t BgL_arg1987z00_2539;

								{	/* Inline/recursion.scm 15 */

									{	/* Inline/recursion.scm 15 */
										obj_t BgL_locationz00_2541;

										BgL_locationz00_2541 = BBOOL(((bool_t) 0));
										{	/* Inline/recursion.scm 15 */

											BgL_arg1987z00_2539 =
												BGl_readz00zz__readerz00(BgL_cportz00_2535,
												BgL_locationz00_2541);
										}
									}
								}
								{	/* Inline/recursion.scm 15 */
									int BgL_tmpz00_2685;

									BgL_tmpz00_2685 = (int) (BgL_iz00_2536);
									CNST_TABLE_SET(BgL_tmpz00_2685, BgL_arg1987z00_2539);
							}}
							{	/* Inline/recursion.scm 15 */
								int BgL_auxz00_2542;

								BgL_auxz00_2542 = (int) ((BgL_iz00_2536 - ((long) 1)));
								{
									long BgL_iz00_2690;

									BgL_iz00_2690 = (long) (BgL_auxz00_2542);
									BgL_iz00_2536 = BgL_iz00_2690;
									goto BgL_loopz00_2537;
								}
							}
						}
				}
			}
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return bgl_gc_roots_register();
		}

	}



/* toplevel-init */
	obj_t BGl_toplevelzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* append-21011 */
	obj_t BGl_appendzd221011zd2zzinline_recursionz00(obj_t BgL_l1z00_1,
		obj_t BgL_l2z00_2)
	{
		{
			{
				obj_t BgL_headz00_1520;

				BgL_headz00_1520 = MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2);
				{
					obj_t BgL_prevz00_1521;
					obj_t BgL_tailz00_1522;

					BgL_prevz00_1521 = BgL_headz00_1520;
					BgL_tailz00_1522 = BgL_l1z00_1;
				BgL_loopz00_1523:
					if (PAIRP(BgL_tailz00_1522))
						{
							obj_t BgL_newzd2prevzd2_1525;

							BgL_newzd2prevzd2_1525 =
								MAKE_YOUNG_PAIR(CAR(BgL_tailz00_1522), BgL_l2z00_2);
							SET_CDR(BgL_prevz00_1521, BgL_newzd2prevzd2_1525);
							{
								obj_t BgL_tailz00_2700;
								obj_t BgL_prevz00_2699;

								BgL_prevz00_2699 = BgL_newzd2prevzd2_1525;
								BgL_tailz00_2700 = CDR(BgL_tailz00_1522);
								BgL_tailz00_1522 = BgL_tailz00_2700;
								BgL_prevz00_1521 = BgL_prevz00_2699;
								goto BgL_loopz00_1523;
							}
						}
					else
						{
							BNIL;
						}
					return CDR(BgL_headz00_1520);
				}
			}
		}

	}



/* inline-app-recursive */
	BGL_EXPORTED_DEF BgL_nodez00_bglt
		BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_3, long BgL_kfactorz00_4, obj_t BgL_stackz00_5)
	{
		{	/* Inline/recursion.scm 41 */
			{	/* Inline/recursion.scm 42 */
				BgL_varz00_bglt BgL_funz00_1528;

				BgL_funz00_1528 =
					(((BgL_appz00_bglt) COBJECT(
							((BgL_appz00_bglt) BgL_nodez00_3)))->BgL_funz00);
				{	/* Inline/recursion.scm 42 */
					BgL_variablez00_bglt BgL_calleez00_1529;

					BgL_calleez00_1529 =
						(((BgL_varz00_bglt) COBJECT(BgL_funz00_1528))->BgL_variablez00);
					{	/* Inline/recursion.scm 43 */

						if (BGl_tailreczf3zf3zzinline_recursionz00(BgL_calleez00_1529))
							{	/* Inline/recursion.scm 45 */
								if (CBOOL(BGl_memqz00zz__r4_pairs_and_lists_6_3z00(
											((obj_t) BgL_calleez00_1529), BgL_stackz00_5)))
									{	/* Inline/recursion.scm 47 */
										return
											BGl_inlinezd2appzd2simplez00zzinline_simplez00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5,
											BGl_string1958z00zzinline_recursionz00);
									}
								else
									{	/* Inline/recursion.scm 47 */
										return
											((BgL_nodez00_bglt)
											BGl_inlinezd2appzd2labelsz00zzinline_recursionz00
											(BgL_nodez00_3, BgL_kfactorz00_4, BgL_stackz00_5));
									}
							}
						else
							{	/* Inline/recursion.scm 45 */
								return BgL_nodez00_3;
							}
					}
				}
			}
		}

	}



/* &inline-app-recursive */
	BgL_nodez00_bglt BGl_z62inlinezd2appzd2recursivez62zzinline_recursionz00(obj_t
		BgL_envz00_2406, obj_t BgL_nodez00_2407, obj_t BgL_kfactorz00_2408,
		obj_t BgL_stackz00_2409)
	{
		{	/* Inline/recursion.scm 41 */
			return
				BGl_inlinezd2appzd2recursivez00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2407),
				(long) CINT(BgL_kfactorz00_2408), BgL_stackz00_2409);
		}

	}



/* tailrec? */
	bool_t BGl_tailreczf3zf3zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_6)
	{
		{	/* Inline/recursion.scm 62 */
			{	/* Inline/recursion.scm 63 */
				bool_t BgL_test2025z00_2718;

				{	/* Inline/recursion.scm 63 */
					BgL_valuez00_bglt BgL_arg1364z00_1535;

					BgL_arg1364z00_1535 =
						(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00);
					{	/* Inline/recursion.scm 63 */
						bool_t BgL_res1898z00_2164;

						BgL_res1898z00_2164 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_arg1364z00_1535), BGl_isfunz00zzinline_inlinez00);
						BgL_test2025z00_2718 = BgL_res1898z00_2164;
				}}
				if (BgL_test2025z00_2718)
					{	/* Inline/recursion.scm 64 */
						BgL_sfunz00_bglt BgL_i1107z00_1534;

						BgL_i1107z00_1534 =
							((BgL_sfunz00_bglt)
							(((BgL_variablez00_bglt) COBJECT(BgL_varz00_6))->BgL_valuez00));
						{
							BgL_isfunz00_bglt BgL_auxz00_2724;

							{
								obj_t BgL_auxz00_2725;

								{	/* Inline/recursion.scm 64 */
									BgL_objectz00_bglt BgL_tmpz00_2726;

									BgL_tmpz00_2726 = ((BgL_objectz00_bglt) BgL_i1107z00_1534);
									BgL_auxz00_2725 = BGL_OBJECT_WIDENING(BgL_tmpz00_2726);
								}
								BgL_auxz00_2724 = ((BgL_isfunz00_bglt) BgL_auxz00_2725);
							}
							return
								(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2724))->
								BgL_tailrecz00);
						}
					}
				else
					{	/* Inline/recursion.scm 63 */
						return ((bool_t) 0);
					}
			}
		}

	}



/* inline-app-labels */
	obj_t BGl_inlinezd2appzd2labelsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_7, long BgL_kfactorz00_8, obj_t BgL_stackz00_9)
	{
		{	/* Inline/recursion.scm 72 */
			{	/* Inline/recursion.scm 73 */
				BgL_variablez00_bglt BgL_variablez00_1536;

				BgL_variablez00_1536 =
					(((BgL_varz00_bglt) COBJECT(
							(((BgL_appz00_bglt) COBJECT(
										((BgL_appz00_bglt) BgL_nodez00_7)))->BgL_funz00)))->
					BgL_variablez00);
				{	/* Inline/recursion.scm 73 */
					BgL_localz00_bglt BgL_localz00_1537;

					{	/* Inline/recursion.scm 74 */
						obj_t BgL_arg1567z00_1660;
						BgL_typez00_bglt BgL_arg1572z00_1661;
						BgL_valuez00_bglt BgL_arg1578z00_1662;

						BgL_arg1567z00_1660 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1536))->
							BgL_idz00);
						BgL_arg1572z00_1661 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1536))->
							BgL_typez00);
						BgL_arg1578z00_1662 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1536))->
							BgL_valuez00);
						BgL_localz00_1537 =
							BGl_makezd2localzd2sfunz00zzast_localz00(BgL_arg1567z00_1660,
							BgL_arg1572z00_1661, ((BgL_sfunz00_bglt) BgL_arg1578z00_1662));
					}
					{	/* Inline/recursion.scm 74 */
						BgL_valuez00_bglt BgL_oldzd2sfunzd2_1538;

						BgL_oldzd2sfunzd2_1538 =
							(((BgL_variablez00_bglt) COBJECT(BgL_variablez00_1536))->
							BgL_valuez00);
						{	/* Inline/recursion.scm 77 */
							obj_t BgL_oldzd2bodyzd2_1539;

							{	/* Inline/recursion.scm 78 */
								bool_t BgL_test2026z00_2740;

								{	/* Inline/recursion.scm 78 */
									bool_t BgL_res1899z00_2173;

									BgL_res1899z00_2173 =
										BGl_isazf3zf3zz__objectz00(
										((obj_t) BgL_oldzd2sfunzd2_1538),
										BGl_isfunz00zzinline_inlinez00);
									BgL_test2026z00_2740 = BgL_res1899z00_2173;
								}
								if (BgL_test2026z00_2740)
									{
										BgL_nodez00_bglt BgL_auxz00_2743;

										{
											BgL_isfunz00_bglt BgL_auxz00_2744;

											{
												obj_t BgL_auxz00_2745;

												{	/* Inline/recursion.scm 79 */
													BgL_objectz00_bglt BgL_tmpz00_2746;

													BgL_tmpz00_2746 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1538));
													BgL_auxz00_2745 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_2746);
												}
												BgL_auxz00_2744 = ((BgL_isfunz00_bglt) BgL_auxz00_2745);
											}
											BgL_auxz00_2743 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_2744))->
												BgL_originalzd2bodyzd2);
										}
										BgL_oldzd2bodyzd2_1539 = ((obj_t) BgL_auxz00_2743);
									}
								else
									{	/* Inline/recursion.scm 78 */
										BgL_oldzd2bodyzd2_1539 =
											(((BgL_sfunz00_bglt) COBJECT(
													((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1538)))->
											BgL_bodyz00);
									}
							}
							{	/* Inline/recursion.scm 78 */
								obj_t BgL_reczd2callszd2_1540;

								{	/* Inline/recursion.scm 81 */
									obj_t BgL_arg1565z00_1658;

									{	/* Inline/recursion.scm 81 */
										obj_t BgL_res1900z00_2177;

										BgL_res1900z00_2177 = MAKE_YOUNG_CELL(BTRUE);
										BgL_arg1565z00_1658 = BgL_res1900z00_2177;
									}
									BgL_reczd2callszd2_1540 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_oldzd2bodyzd2_1539),
										BgL_variablez00_1536, BTRUE, BgL_arg1565z00_1658);
								}
								{	/* Inline/recursion.scm 81 */
									obj_t BgL_oldzd2argszd2_1541;

									BgL_oldzd2argszd2_1541 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_oldzd2sfunzd2_1538)))->
										BgL_argsz00);
									{	/* Inline/recursion.scm 82 */
										obj_t BgL_invzd2argszd2_1542;

										BgL_invzd2argszd2_1542 =
											BGl_invariantzd2argszd2zzinline_variantz00(BgL_nodez00_7,
											BgL_variablez00_1536, BgL_reczd2callszd2_1540);
										{	/* Inline/recursion.scm 83 */
											obj_t BgL_varzd2argszd2_1543;

											BgL_varzd2argszd2_1543 =
												BGl_variantzd2argszd2zzinline_variantz00
												(BgL_variablez00_1536);
											{	/* Inline/recursion.scm 84 */
												obj_t BgL_newzd2argszd2_1544;

												if (NULLP(BgL_varzd2argszd2_1543))
													{	/* Inline/recursion.scm 85 */
														BgL_newzd2argszd2_1544 = BNIL;
													}
												else
													{	/* Inline/recursion.scm 85 */
														obj_t BgL_head1276z00_1642;

														{	/* Inline/recursion.scm 85 */
															obj_t BgL_res1902z00_2180;

															BgL_res1902z00_2180 = MAKE_YOUNG_PAIR(BNIL, BNIL);
															BgL_head1276z00_1642 = BgL_res1902z00_2180;
														}
														{
															obj_t BgL_l1274z00_1644;
															obj_t BgL_tail1277z00_1645;

															BgL_l1274z00_1644 = BgL_varzd2argszd2_1543;
															BgL_tail1277z00_1645 = BgL_head1276z00_1642;
														BgL_zc3z04anonymousza31546ze3z87_1646:
															if (NULLP(BgL_l1274z00_1644))
																{	/* Inline/recursion.scm 85 */
																	BgL_newzd2argszd2_1544 =
																		CDR(BgL_head1276z00_1642);
																}
															else
																{	/* Inline/recursion.scm 85 */
																	obj_t BgL_newtail1278z00_1648;

																	{	/* Inline/recursion.scm 85 */
																		BgL_localz00_bglt BgL_arg1551z00_1650;

																		{	/* Inline/recursion.scm 85 */
																			obj_t BgL_lz00_1651;

																			BgL_lz00_1651 =
																				CAR(((obj_t) BgL_l1274z00_1644));
																			{	/* Inline/recursion.scm 86 */
																				BgL_svarz00_bglt BgL_arg1562z00_1652;

																				{	/* Inline/recursion.scm 86 */
																					BgL_svarz00_bglt
																						BgL_duplicated1110z00_1653;
																					BgL_svarz00_bglt BgL_new1108z00_1654;

																					BgL_duplicated1110z00_1653 =
																						((BgL_svarz00_bglt)
																						(((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										((BgL_localz00_bglt)
																											BgL_lz00_1651))))->
																							BgL_valuez00));
																					{	/* Inline/recursion.scm 86 */
																						BgL_svarz00_bglt
																							BgL_new1111z00_1655;
																						BgL_new1111z00_1655 =
																							((BgL_svarz00_bglt)
																							BOBJECT(GC_MALLOC(sizeof(struct
																										BgL_svarz00_bgl))));
																						{	/* Inline/recursion.scm 86 */
																							long BgL_arg1564z00_1656;

																							{	/* Inline/recursion.scm 86 */
																								long BgL_res1904z00_2186;

																								BgL_res1904z00_2186 =
																									BGL_CLASS_INDEX
																									(BGl_svarz00zzast_varz00);
																								BgL_arg1564z00_1656 =
																									BgL_res1904z00_2186;
																							}
																							BGL_OBJECT_CLASS_NUM_SET(
																								((BgL_objectz00_bglt)
																									BgL_new1111z00_1655),
																								BgL_arg1564z00_1656);
																						}
																						{	/* Inline/recursion.scm 86 */
																							BgL_objectz00_bglt
																								BgL_tmpz00_2778;
																							BgL_tmpz00_2778 =
																								((BgL_objectz00_bglt)
																								BgL_new1111z00_1655);
																							BGL_OBJECT_WIDENING_SET
																								(BgL_tmpz00_2778, BFALSE);
																						}
																						((BgL_objectz00_bglt)
																							BgL_new1111z00_1655);
																						BgL_new1108z00_1654 =
																							BgL_new1111z00_1655;
																					}
																					((((BgL_svarz00_bglt)
																								COBJECT(BgL_new1108z00_1654))->
																							BgL_locz00) =
																						((obj_t) (((BgL_svarz00_bglt)
																									COBJECT
																									(BgL_duplicated1110z00_1653))->
																								BgL_locz00)), BUNSPEC);
																					BgL_arg1562z00_1652 =
																						BgL_new1108z00_1654;
																				}
																				BgL_arg1551z00_1650 =
																					BGl_clonezd2localzd2zzast_localz00(
																					((BgL_localz00_bglt) BgL_lz00_1651),
																					((BgL_valuez00_bglt)
																						BgL_arg1562z00_1652));
																		}}
																		{	/* Inline/recursion.scm 85 */
																			obj_t BgL_res1906z00_2190;

																			BgL_res1906z00_2190 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_arg1551z00_1650), BNIL);
																			BgL_newtail1278z00_1648 =
																				BgL_res1906z00_2190;
																	}}
																	SET_CDR(BgL_tail1277z00_1645,
																		BgL_newtail1278z00_1648);
																	{	/* Inline/recursion.scm 85 */
																		obj_t BgL_arg1548z00_1649;

																		BgL_arg1548z00_1649 =
																			CDR(((obj_t) BgL_l1274z00_1644));
																		{
																			obj_t BgL_tail1277z00_2793;
																			obj_t BgL_l1274z00_2792;

																			BgL_l1274z00_2792 = BgL_arg1548z00_1649;
																			BgL_tail1277z00_2793 =
																				BgL_newtail1278z00_1648;
																			BgL_tail1277z00_1645 =
																				BgL_tail1277z00_2793;
																			BgL_l1274z00_1644 = BgL_l1274z00_2792;
																			goto
																				BgL_zc3z04anonymousza31546ze3z87_1646;
																		}
																	}
																}
														}
													}
												{	/* Inline/recursion.scm 85 */
													obj_t BgL_substitutez00_1545;

													{	/* Inline/recursion.scm 88 */
														obj_t BgL_arg1544z00_1639;

														BgL_arg1544z00_1639 =
															(((BgL_appz00_bglt) COBJECT(
																	((BgL_appz00_bglt) BgL_nodez00_7)))->
															BgL_argsz00);
														BgL_substitutez00_1545 =
															BGl_substitutionsz00zzinline_variantz00
															(BgL_variablez00_1536, BgL_arg1544z00_1639,
															BgL_newzd2argszd2_1544);
													}
													{	/* Inline/recursion.scm 88 */
														obj_t BgL_svgzd2callszd2argsz00_1546;

														if (NULLP(BgL_reczd2callszd2_1540))
															{	/* Inline/recursion.scm 89 */
																BgL_svgzd2callszd2argsz00_1546 = BNIL;
															}
														else
															{	/* Inline/recursion.scm 89 */
																obj_t BgL_head1281z00_1628;

																{	/* Inline/recursion.scm 89 */
																	obj_t BgL_res1909z00_2195;

																	BgL_res1909z00_2195 =
																		MAKE_YOUNG_PAIR(BNIL, BNIL);
																	BgL_head1281z00_1628 = BgL_res1909z00_2195;
																}
																{
																	obj_t BgL_l1279z00_1630;
																	obj_t BgL_tail1282z00_1631;

																	BgL_l1279z00_1630 = BgL_reczd2callszd2_1540;
																	BgL_tail1282z00_1631 = BgL_head1281z00_1628;
																BgL_zc3z04anonymousza31530ze3z87_1632:
																	if (NULLP(BgL_l1279z00_1630))
																		{	/* Inline/recursion.scm 89 */
																			BgL_svgzd2callszd2argsz00_1546 =
																				CDR(BgL_head1281z00_1628);
																		}
																	else
																		{	/* Inline/recursion.scm 89 */
																			obj_t BgL_newtail1283z00_1634;

																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1543z00_1636;

																				BgL_arg1543z00_1636 =
																					(((BgL_appz00_bglt) COBJECT(
																							((BgL_appz00_bglt)
																								CAR(
																									((obj_t)
																										BgL_l1279z00_1630)))))->
																					BgL_argsz00);
																				{	/* Inline/recursion.scm 89 */
																					obj_t BgL_res1911z00_2200;

																					BgL_res1911z00_2200 =
																						MAKE_YOUNG_PAIR(BgL_arg1543z00_1636,
																						BNIL);
																					BgL_newtail1283z00_1634 =
																						BgL_res1911z00_2200;
																				}
																			}
																			SET_CDR(BgL_tail1282z00_1631,
																				BgL_newtail1283z00_1634);
																			{	/* Inline/recursion.scm 89 */
																				obj_t BgL_arg1540z00_1635;

																				BgL_arg1540z00_1635 =
																					CDR(((obj_t) BgL_l1279z00_1630));
																				{
																					obj_t BgL_tail1282z00_2812;
																					obj_t BgL_l1279z00_2811;

																					BgL_l1279z00_2811 =
																						BgL_arg1540z00_1635;
																					BgL_tail1282z00_2812 =
																						BgL_newtail1283z00_1634;
																					BgL_tail1282z00_1631 =
																						BgL_tail1282z00_2812;
																					BgL_l1279z00_1630 = BgL_l1279z00_2811;
																					goto
																						BgL_zc3z04anonymousza31530ze3z87_1632;
																				}
																			}
																		}
																}
															}
														{	/* Inline/recursion.scm 89 */
															bool_t BgL_removez12z12_1547;

															{
																obj_t BgL_l1284z00_1620;

																BgL_l1284z00_1620 = BgL_reczd2callszd2_1540;
															BgL_zc3z04anonymousza31520ze3z87_1621:
																if (PAIRP(BgL_l1284z00_1620))
																	{	/* Inline/recursion.scm 90 */
																		{	/* Inline/recursion.scm 90 */
																			obj_t BgL_arg1524z00_1623;

																			BgL_arg1524z00_1623 =
																				CAR(BgL_l1284z00_1620);
																			BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																				(((BgL_appz00_bglt)
																					BgL_arg1524z00_1623));
																		}
																		{
																			obj_t BgL_l1284z00_2818;

																			BgL_l1284z00_2818 =
																				CDR(BgL_l1284z00_1620);
																			BgL_l1284z00_1620 = BgL_l1284z00_2818;
																			goto
																				BgL_zc3z04anonymousza31520ze3z87_1621;
																		}
																	}
																else
																	{	/* Inline/recursion.scm 90 */
																		BgL_removez12z12_1547 = ((bool_t) 1);
																	}
															}
															{	/* Inline/recursion.scm 90 */
																obj_t BgL_ilocz00_1548;

																{	/* Inline/recursion.scm 91 */
																	bool_t BgL_test2032z00_2820;

																	{	/* Inline/recursion.scm 91 */
																		bool_t BgL_res1913z00_2206;

																		BgL_res1913z00_2206 =
																			BGl_isazf3zf3zz__objectz00(
																			((obj_t) BgL_variablez00_1536),
																			BGl_globalz00zzast_varz00);
																		BgL_test2032z00_2820 = BgL_res1913z00_2206;
																	}
																	if (BgL_test2032z00_2820)
																		{	/* Inline/recursion.scm 92 */
																			bool_t BgL_test2033z00_2823;

																			{	/* Inline/recursion.scm 92 */
																				obj_t BgL_arg1519z00_1618;

																				BgL_arg1519z00_1618 =
																					(((BgL_globalz00_bglt) COBJECT(
																							((BgL_globalz00_bglt)
																								BgL_variablez00_1536)))->
																					BgL_modulez00);
																				BgL_test2033z00_2823 =
																					(BgL_arg1519z00_1618 ==
																					BGl_za2moduleza2z00zzmodule_modulez00);
																			}
																			if (BgL_test2033z00_2823)
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1548 = BFALSE;
																				}
																			else
																				{	/* Inline/recursion.scm 92 */
																					BgL_ilocz00_1548 =
																						(((BgL_nodez00_bglt)
																							COBJECT(BgL_nodez00_7))->
																						BgL_locz00);
																				}
																		}
																	else
																		{	/* Inline/recursion.scm 91 */
																			BgL_ilocz00_1548 = BFALSE;
																		}
																}
																{	/* Inline/recursion.scm 91 */
																	BgL_nodez00_bglt BgL_newzd2bodyzd2_1549;

																	if (NULLP(BgL_invzd2argszd2_1542))
																		{	/* Inline/recursion.scm 96 */
																			obj_t BgL_arg1510z00_1612;
																			obj_t BgL_arg1512z00_1613;

																			BgL_arg1510z00_1612 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1536),
																				BgL_oldzd2argszd2_1541);
																			BgL_arg1512z00_1613 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1537),
																				BgL_substitutez00_1545);
																			BgL_newzd2bodyzd2_1549 =
																				BGl_alphatiza7eza7zzast_alphatiza7eza7
																				(BgL_arg1510z00_1612,
																				BgL_arg1512z00_1613, BgL_ilocz00_1548,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1539));
																		}
																	else
																		{	/* Inline/recursion.scm 103 */
																			obj_t BgL_arg1514z00_1614;
																			obj_t BgL_arg1518z00_1615;

																			BgL_arg1514z00_1614 =
																				MAKE_YOUNG_PAIR(
																				((obj_t) BgL_variablez00_1536),
																				BgL_oldzd2argszd2_1541);
																			BgL_arg1518z00_1615 =
																				MAKE_YOUNG_PAIR(((obj_t)
																					BgL_localz00_1537),
																				BgL_substitutez00_1545);
																			BgL_newzd2bodyzd2_1549 =
																				BGl_alphatiza7ezd2sanszd2closureza7zzast_alphatiza7eza7
																				(BgL_arg1514z00_1614,
																				BgL_arg1518z00_1615, BgL_ilocz00_1548,
																				((BgL_nodez00_bglt)
																					BgL_oldzd2bodyzd2_1539),
																				BgL_variablez00_1536);
																		}
																	{	/* Inline/recursion.scm 94 */
																		bool_t BgL_restorez12z12_1550;

																		{
																			obj_t BgL_ll1286z00_1602;
																			obj_t BgL_ll1287z00_1603;

																			BgL_ll1286z00_1602 =
																				BgL_reczd2callszd2_1540;
																			BgL_ll1287z00_1603 =
																				BgL_svgzd2callszd2argsz00_1546;
																		BgL_zc3z04anonymousza31493ze3z87_1604:
																			if (NULLP(BgL_ll1286z00_1602))
																				{	/* Inline/recursion.scm 108 */
																					BgL_restorez12z12_1550 = ((bool_t) 1);
																				}
																			else
																				{	/* Inline/recursion.scm 108 */
																					{	/* Inline/recursion.scm 109 */
																						obj_t BgL_appz00_1606;
																						obj_t BgL_argsz00_1607;

																						BgL_appz00_1606 =
																							CAR(((obj_t) BgL_ll1286z00_1602));
																						BgL_argsz00_1607 =
																							CAR(((obj_t) BgL_ll1287z00_1603));
																						((((BgL_appz00_bglt) COBJECT(
																										((BgL_appz00_bglt)
																											BgL_appz00_1606)))->
																								BgL_argsz00) =
																							((obj_t) BgL_argsz00_1607),
																							BUNSPEC);
																					}
																					{	/* Inline/recursion.scm 108 */
																						obj_t BgL_arg1502z00_1608;
																						obj_t BgL_arg1503z00_1609;

																						BgL_arg1502z00_1608 =
																							CDR(((obj_t) BgL_ll1286z00_1602));
																						BgL_arg1503z00_1609 =
																							CDR(((obj_t) BgL_ll1287z00_1603));
																						{
																							obj_t BgL_ll1287z00_2855;
																							obj_t BgL_ll1286z00_2854;

																							BgL_ll1286z00_2854 =
																								BgL_arg1502z00_1608;
																							BgL_ll1287z00_2855 =
																								BgL_arg1503z00_1609;
																							BgL_ll1287z00_1603 =
																								BgL_ll1287z00_2855;
																							BgL_ll1286z00_1602 =
																								BgL_ll1286z00_2854;
																							goto
																								BgL_zc3z04anonymousza31493ze3z87_1604;
																						}
																					}
																				}
																		}
																		{	/* Inline/recursion.scm 108 */
																			BgL_sfunz00_bglt BgL_newzd2sfunzd2_1551;

																			{	/* Inline/recursion.scm 112 */
																				BgL_sfunz00_bglt BgL_new1114z00_1590;

																				{	/* Inline/recursion.scm 112 */
																					BgL_sfunz00_bglt BgL_new1125z00_1599;

																					BgL_new1125z00_1599 =
																						((BgL_sfunz00_bglt)
																						BOBJECT(GC_MALLOC(sizeof(struct
																									BgL_sfunz00_bgl))));
																					{	/* Inline/recursion.scm 112 */
																						long BgL_arg1492z00_1600;

																						{	/* Inline/recursion.scm 112 */
																							long BgL_res1916z00_2217;

																							BgL_res1916z00_2217 =
																								BGL_CLASS_INDEX
																								(BGl_sfunz00zzast_varz00);
																							BgL_arg1492z00_1600 =
																								BgL_res1916z00_2217;
																						}
																						BGL_OBJECT_CLASS_NUM_SET(
																							((BgL_objectz00_bglt)
																								BgL_new1125z00_1599),
																							BgL_arg1492z00_1600);
																					}
																					{	/* Inline/recursion.scm 112 */
																						BgL_objectz00_bglt BgL_tmpz00_2860;

																						BgL_tmpz00_2860 =
																							((BgL_objectz00_bglt)
																							BgL_new1125z00_1599);
																						BGL_OBJECT_WIDENING_SET
																							(BgL_tmpz00_2860, BFALSE);
																					}
																					((BgL_objectz00_bglt)
																						BgL_new1125z00_1599);
																					BgL_new1114z00_1590 =
																						BgL_new1125z00_1599;
																				}
																				((((BgL_funz00_bglt) COBJECT(
																								((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_arityz00) =
																					((long) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_arityz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_sidezd2effectzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_sidezd2effectzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_predicatezd2ofzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_predicatezd2ofzd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_stackzd2allocatorzd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_stackzd2allocatorzd2)),
																					BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_topzf3zf3) =
																					((bool_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_topzf3zf3)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_thezd2closurezd2) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_thezd2closurezd2)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_effectz00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_effectz00)), BUNSPEC);
																				((((BgL_funz00_bglt)
																							COBJECT(((BgL_funz00_bglt)
																									BgL_new1114z00_1590)))->
																						BgL_failsafez00) =
																					((obj_t) (((BgL_funz00_bglt)
																								COBJECT(((BgL_funz00_bglt)
																										BgL_oldzd2sfunzd2_1538)))->
																							BgL_failsafez00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_propertyz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_propertyz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_argsz00) =
																					((obj_t) BgL_newzd2argszd2_1544),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_argszd2namezd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_argszd2namezd2)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_bodyz00) =
																					((obj_t) ((obj_t)
																							BgL_newzd2bodyzd2_1549)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_classz00) =
																					((obj_t) CNST_TABLE_REF(((long) 0))),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_dssslzd2keywordszd2) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_dssslzd2keywordszd2)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_locz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_locz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_optionalsz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_optionalsz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_keysz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_keysz00)), BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_thezd2closurezd2globalz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_thezd2closurezd2globalz00)),
																					BUNSPEC);
																				((((BgL_sfunz00_bglt)
																							COBJECT(BgL_new1114z00_1590))->
																						BgL_strengthz00) =
																					((obj_t) (((BgL_sfunz00_bglt)
																								COBJECT(((BgL_sfunz00_bglt) (
																											(BgL_funz00_bglt)
																											BgL_oldzd2sfunzd2_1538))))->
																							BgL_strengthz00)), BUNSPEC);
																				BgL_newzd2sfunzd2_1551 =
																					BgL_new1114z00_1590;
																			}
																			{	/* Inline/recursion.scm 112 */
																				obj_t BgL_newzd2kfactorzd2_1552;

																				BgL_newzd2kfactorzd2_1552 =
																					PROCEDURE_ENTRY
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00)
																					(BGl_za2inliningzd2reducezd2kfactorza2z00zzengine_paramz00,
																					BINT(BgL_kfactorz00_8), BEOA);
																				{	/* Inline/recursion.scm 116 */

																					{
																						obj_t BgL_ll1289z00_1554;
																						obj_t BgL_ll1290z00_1555;

																						BgL_ll1289z00_1554 =
																							BgL_newzd2argszd2_1544;
																						BgL_ll1290z00_1555 =
																							BgL_varzd2argszd2_1543;
																					BgL_zc3z04anonymousza31365ze3z87_1556:
																						if (NULLP
																							(BgL_ll1289z00_1554))
																							{	/* Inline/recursion.scm 118 */
																								((bool_t) 1);
																							}
																						else
																							{	/* Inline/recursion.scm 118 */
																								{	/* Inline/recursion.scm 119 */
																									obj_t BgL_newz00_1558;
																									obj_t BgL_oldz00_1559;

																									BgL_newz00_1558 =
																										CAR(
																										((obj_t)
																											BgL_ll1289z00_1554));
																									BgL_oldz00_1559 =
																										CAR(((obj_t)
																											BgL_ll1290z00_1555));
																									{	/* Inline/recursion.scm 119 */
																										bool_t BgL_arg1367z00_1560;

																										BgL_arg1367z00_1560 =
																											(((BgL_variablez00_bglt)
																												COBJECT((
																														(BgL_variablez00_bglt)
																														((BgL_localz00_bglt)
																															BgL_oldz00_1559))))->
																											BgL_userzf3zf3);
																										((((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_newz00_1558))))->BgL_userzf3zf3) = ((bool_t) BgL_arg1367z00_1560), BUNSPEC);
																									}
																								}
																								{	/* Inline/recursion.scm 118 */
																									obj_t BgL_arg1368z00_1561;
																									obj_t BgL_arg1379z00_1562;

																									BgL_arg1368z00_1561 =
																										CDR(
																										((obj_t)
																											BgL_ll1289z00_1554));
																									BgL_arg1379z00_1562 =
																										CDR(((obj_t)
																											BgL_ll1290z00_1555));
																									{
																										obj_t BgL_ll1290z00_2955;
																										obj_t BgL_ll1289z00_2954;

																										BgL_ll1289z00_2954 =
																											BgL_arg1368z00_1561;
																										BgL_ll1290z00_2955 =
																											BgL_arg1379z00_1562;
																										BgL_ll1290z00_1555 =
																											BgL_ll1290z00_2955;
																										BgL_ll1289z00_1554 =
																											BgL_ll1289z00_2954;
																										goto
																											BgL_zc3z04anonymousza31365ze3z87_1556;
																									}
																								}
																							}
																					}
																					{	/* Inline/recursion.scm 124 */
																						bool_t BgL_arg1406z00_1564;

																						{	/* Inline/recursion.scm 124 */
																							bool_t BgL_test2037z00_2956;

																							{	/* Inline/recursion.scm 124 */
																								bool_t BgL_res1918z00_2229;

																								BgL_res1918z00_2229 =
																									BGl_isazf3zf3zz__objectz00(
																									((obj_t)
																										BgL_variablez00_1536),
																									BGl_globalz00zzast_varz00);
																								BgL_test2037z00_2956 =
																									BgL_res1918z00_2229;
																							}
																							if (BgL_test2037z00_2956)
																								{	/* Inline/recursion.scm 124 */
																									BgL_arg1406z00_1564 =
																										(((BgL_variablez00_bglt)
																											COBJECT((
																													(BgL_variablez00_bglt)
																													((BgL_globalz00_bglt)
																														BgL_variablez00_1536))))->
																										BgL_userzf3zf3);
																								}
																							else
																								{	/* Inline/recursion.scm 126 */
																									bool_t BgL_test2038z00_2962;

																									{	/* Inline/recursion.scm 126 */
																										bool_t BgL_res1920z00_2231;

																										BgL_res1920z00_2231 =
																											BGl_isazf3zf3zz__objectz00
																											(((obj_t)
																												BgL_variablez00_1536),
																											BGl_localz00zzast_varz00);
																										BgL_test2038z00_2962 =
																											BgL_res1920z00_2231;
																									}
																									if (BgL_test2038z00_2962)
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1406z00_1564 =
																												(((BgL_variablez00_bglt)
																													COBJECT((
																															(BgL_variablez00_bglt)
																															((BgL_localz00_bglt) BgL_variablez00_1536))))->BgL_userzf3zf3);
																										}
																									else
																										{	/* Inline/recursion.scm 126 */
																											BgL_arg1406z00_1564 =
																												((bool_t) 0);
																										}
																								}
																						}
																						((((BgL_variablez00_bglt) COBJECT(
																										((BgL_variablez00_bglt)
																											BgL_localz00_1537)))->
																								BgL_userzf3zf3) =
																							((bool_t) BgL_arg1406z00_1564),
																							BUNSPEC);
																					}
																					((((BgL_variablez00_bglt) COBJECT(
																									((BgL_variablez00_bglt)
																										BgL_localz00_1537)))->
																							BgL_valuez00) =
																						((BgL_valuez00_bglt) (
																								(BgL_valuez00_bglt)
																								BgL_newzd2sfunzd2_1551)),
																						BUNSPEC);
																					if (CBOOL
																						(BGl_memqz00zz__r4_pairs_and_lists_6_3z00
																							((((BgL_sfunz00_bglt)
																										COBJECT(((BgL_sfunz00_bglt)
																												BgL_oldzd2sfunzd2_1538)))->
																									BgL_classz00),
																								CNST_TABLE_REF(((long) 1)))))
																						{	/* Inline/recursion.scm 139 */
																							BFALSE;
																						}
																					else
																						{	/* Inline/recursion.scm 139 */
																							if (BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BINT(((long) 3)), BGl_za2verboseza2z00zzengine_paramz00))
																								{	/* Inline/recursion.scm 141 */
																									obj_t BgL_arg1421z00_1571;
																									obj_t BgL_arg1422z00_1572;

																									BgL_arg1421z00_1571 =
																										BGl_shapez00zztools_shapez00
																										(((obj_t)
																											BgL_variablez00_1536));
																									BgL_arg1422z00_1572 =
																										BGl_currentzd2functionzd2zztools_errorz00
																										();
																									{	/* Inline/recursion.scm 140 */
																										obj_t BgL_list1423z00_1573;

																										{	/* Inline/recursion.scm 140 */
																											obj_t BgL_arg1429z00_1574;

																											{	/* Inline/recursion.scm 140 */
																												obj_t
																													BgL_arg1430z00_1575;
																												{	/* Inline/recursion.scm 140 */
																													obj_t
																														BgL_arg1442z00_1576;
																													{	/* Inline/recursion.scm 140 */
																														obj_t
																															BgL_arg1457z00_1577;
																														{	/* Inline/recursion.scm 140 */
																															obj_t
																																BgL_arg1466z00_1578;
																															BgL_arg1466z00_1578
																																=
																																MAKE_YOUNG_PAIR
																																(BCHAR((
																																		(unsigned
																																			char)
																																		10)), BNIL);
																															BgL_arg1457z00_1577
																																=
																																MAKE_YOUNG_PAIR
																																(BGl_string1959z00zzinline_recursionz00,
																																BgL_arg1466z00_1578);
																														}
																														BgL_arg1442z00_1576
																															=
																															MAKE_YOUNG_PAIR
																															(BgL_arg1422z00_1572,
																															BgL_arg1457z00_1577);
																													}
																													BgL_arg1430z00_1575 =
																														MAKE_YOUNG_PAIR
																														(BGl_string1960z00zzinline_recursionz00,
																														BgL_arg1442z00_1576);
																												}
																												BgL_arg1429z00_1574 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1421z00_1571,
																													BgL_arg1430z00_1575);
																											}
																											BgL_list1423z00_1573 =
																												MAKE_YOUNG_PAIR
																												(BGl_string1961z00zzinline_recursionz00,
																												BgL_arg1429z00_1574);
																										}
																										BGl_verbosez00zztools_speekz00
																											(BINT(((long) 3)),
																											BgL_list1423z00_1573);
																								}}
																							else
																								{	/* Inline/recursion.scm 140 */
																									BUNSPEC;
																								}
																						}
																					BGl_inlinezd2sfunz12zc0zzinline_inlinez00
																						(((BgL_variablez00_bglt)
																							BgL_localz00_1537),
																						(long)
																						CINT(BgL_newzd2kfactorzd2_1552),
																						BgL_stackz00_9);
																					{	/* Inline/recursion.scm 150 */
																						BgL_appz00_bglt
																							BgL_newzd2callzd2_1580;
																						long BgL_callzd2siza7ez75_1581;

																						BgL_newzd2callzd2_1580 =
																							BGl_removezd2invariantzd2argsz12z12zzinline_variantz00
																							(((BgL_appz00_bglt)
																								BgL_nodez00_7));
																						BgL_callzd2siza7ez75_1581 =
																							(((long) 1) +
																							bgl_list_length(((
																										(BgL_appz00_bglt)
																										COBJECT(((BgL_appz00_bglt)
																												BgL_nodez00_7)))->
																									BgL_argsz00)));
																						{	/* Inline/recursion.scm 152 */
																							bool_t BgL_test2041z00_3003;

																							if (CBOOL
																								(BGl_za2optimzd2unrollzd2loopzf3za2zf3zzengine_paramz00))
																								{	/* Inline/recursion.scm 152 */
																									if (BGl_iszd2loopzf3z21zzinline_loopz00(BgL_variablez00_1536))
																										{	/* Inline/recursion.scm 153 */
																											if (BGl_innerzd2loopzf3z21zzinline_loopz00(BgL_variablez00_1536))
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2041z00_3003 =
																														((bool_t) 0);
																												}
																											else
																												{	/* Inline/recursion.scm 156 */
																													BgL_test2041z00_3003 =
																														BGl_inlinezd2appzf3z21zzinline_appz00
																														(((BgL_variablez00_bglt) BgL_localz00_1537), (long) CINT(BgL_newzd2kfactorzd2_1552), BgL_callzd2siza7ez75_1581, BgL_stackz00_9);
																										}}
																									else
																										{	/* Inline/recursion.scm 153 */
																											BgL_test2041z00_3003 =
																												((bool_t) 0);
																										}
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									BgL_test2041z00_3003 =
																										((bool_t) 0);
																								}
																							if (BgL_test2041z00_3003)
																								{	/* Inline/recursion.scm 152 */
																									return
																										BGl_unrollzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1536,
																										BgL_nodez00_7,
																										BgL_localz00_1537,
																										BgL_newzd2kfactorzd2_1552,
																										BgL_newzd2callzd2_1580,
																										BgL_stackz00_9);
																								}
																							else
																								{	/* Inline/recursion.scm 152 */
																									return
																										((obj_t)
																										BGl_plainzd2callzd2zzinline_recursionz00
																										(BgL_variablez00_1536,
																											BgL_nodez00_7,
																											BgL_localz00_1537,
																											BgL_newzd2callzd2_1580,
																											BgL_stackz00_9));
																								}
																						}
																					}
																				}
																			}
																		}
																	}
																}
															}
														}
													}
												}
											}
										}
									}
								}
							}
						}
					}
				}
			}
		}

	}



/* plain-call */
	BgL_letzd2funzd2_bglt
		BGl_plainzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_10, BgL_nodez00_bglt BgL_nodez00_11,
		BgL_localz00_bglt BgL_localz00_12, BgL_appz00_bglt BgL_newzd2callzd2_13,
		obj_t BgL_stackz00_14)
	{
		{	/* Inline/recursion.scm 164 */
			BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_10);
			{	/* Inline/recursion.scm 174 */
				obj_t BgL_ilocz00_1664;

				{	/* Inline/recursion.scm 174 */
					bool_t BgL_test2045z00_3017;

					{	/* Inline/recursion.scm 174 */
						bool_t BgL_res1923z00_2241;

						BgL_res1923z00_2241 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_variablez00_10), BGl_globalz00zzast_varz00);
						BgL_test2045z00_3017 = BgL_res1923z00_2241;
					}
					if (BgL_test2045z00_3017)
						{	/* Inline/recursion.scm 175 */
							bool_t BgL_test2046z00_3020;

							{	/* Inline/recursion.scm 175 */
								obj_t BgL_arg1599z00_1675;

								BgL_arg1599z00_1675 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_10)))->
									BgL_modulez00);
								BgL_test2046z00_3020 =
									(BgL_arg1599z00_1675 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2046z00_3020)
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1664 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 175 */
									BgL_ilocz00_1664 =
										(((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 174 */
							BgL_ilocz00_1664 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 177 */
					BgL_letzd2funzd2_bglt BgL_new1130z00_1665;

					{	/* Inline/recursion.scm 178 */
						BgL_letzd2funzd2_bglt BgL_new1129z00_1671;

						BgL_new1129z00_1671 =
							((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
										BgL_letzd2funzd2_bgl))));
						{	/* Inline/recursion.scm 178 */
							long BgL_arg1594z00_1672;

							{	/* Inline/recursion.scm 178 */
								long BgL_res1924z00_2245;

								BgL_res1924z00_2245 =
									BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
								BgL_arg1594z00_1672 = BgL_res1924z00_2245;
							}
							BGL_OBJECT_CLASS_NUM_SET(
								((BgL_objectz00_bglt) BgL_new1129z00_1671),
								BgL_arg1594z00_1672);
						}
						{	/* Inline/recursion.scm 178 */
							BgL_objectz00_bglt BgL_tmpz00_3029;

							BgL_tmpz00_3029 = ((BgL_objectz00_bglt) BgL_new1129z00_1671);
							BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3029, BFALSE);
						}
						((BgL_objectz00_bglt) BgL_new1129z00_1671);
						BgL_new1130z00_1665 = BgL_new1129z00_1671;
					}
					((((BgL_nodez00_bglt) COBJECT(
									((BgL_nodez00_bglt) BgL_new1130z00_1665)))->BgL_locz00) =
						((obj_t) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_locz00)), BUNSPEC);
					((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
										BgL_new1130z00_1665)))->BgL_typez00) =
						((BgL_typez00_bglt) (((BgL_nodez00_bglt) COBJECT(BgL_nodez00_11))->
								BgL_typez00)), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1130z00_1665)))->BgL_sidezd2effectzd2) =
						((obj_t) BUNSPEC), BUNSPEC);
					((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
										BgL_new1130z00_1665)))->BgL_keyz00) =
						((obj_t) BINT(((long) -1))), BUNSPEC);
					{
						obj_t BgL_auxz00_3044;

						{	/* Inline/recursion.scm 180 */
							obj_t BgL_list1580z00_1666;

							BgL_list1580z00_1666 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
							BgL_auxz00_3044 = BgL_list1580z00_1666;
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1130z00_1665))->
								BgL_localsz00) = ((obj_t) BgL_auxz00_3044), BUNSPEC);
					}
					{
						BgL_nodez00_bglt BgL_auxz00_3048;

						{	/* Inline/recursion.scm 181 */
							obj_t BgL_arg1582z00_1667;
							obj_t BgL_arg1588z00_1668;

							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1589z00_1669;

								BgL_list1589z00_1669 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_10), BNIL);
								BgL_arg1582z00_1667 = BgL_list1589z00_1669;
							}
							{	/* Inline/recursion.scm 181 */
								obj_t BgL_list1590z00_1670;

								BgL_list1590z00_1670 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_12), BNIL);
								BgL_arg1588z00_1668 = BgL_list1590z00_1670;
							}
							BgL_auxz00_3048 =
								BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1582z00_1667,
								BgL_arg1588z00_1668, BgL_ilocz00_1664,
								((BgL_nodez00_bglt) BgL_newzd2callzd2_13));
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1130z00_1665))->
								BgL_bodyz00) = ((BgL_nodez00_bglt) BgL_auxz00_3048), BUNSPEC);
					}
					return BgL_new1130z00_1665;
				}
			}
		}

	}



/* unroll-call */
	obj_t BGl_unrollzd2callzd2zzinline_recursionz00(BgL_variablez00_bglt
		BgL_variablez00_15, BgL_nodez00_bglt BgL_nodez00_16,
		BgL_localz00_bglt BgL_localz00_17, obj_t BgL_kfactorz00_18,
		BgL_appz00_bglt BgL_callz00_19, obj_t BgL_stackz00_20)
	{
		{	/* Inline/recursion.scm 187 */
			{	/* Inline/recursion.scm 193 */
				obj_t BgL_ilocz00_1676;

				{	/* Inline/recursion.scm 193 */
					bool_t BgL_test2047z00_3056;

					{	/* Inline/recursion.scm 193 */
						bool_t BgL_res1928z00_2254;

						BgL_res1928z00_2254 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_variablez00_15), BGl_globalz00zzast_varz00);
						BgL_test2047z00_3056 = BgL_res1928z00_2254;
					}
					if (BgL_test2047z00_3056)
						{	/* Inline/recursion.scm 194 */
							bool_t BgL_test2048z00_3059;

							{	/* Inline/recursion.scm 194 */
								obj_t BgL_arg1636z00_1699;

								BgL_arg1636z00_1699 =
									(((BgL_globalz00_bglt) COBJECT(
											((BgL_globalz00_bglt) BgL_variablez00_15)))->
									BgL_modulez00);
								BgL_test2048z00_3059 =
									(BgL_arg1636z00_1699 ==
									BGl_za2moduleza2z00zzmodule_modulez00);
							}
							if (BgL_test2048z00_3059)
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1676 = BFALSE;
								}
							else
								{	/* Inline/recursion.scm 194 */
									BgL_ilocz00_1676 =
										(((BgL_nodez00_bglt) COBJECT(
												((BgL_nodez00_bglt) BgL_callz00_19)))->BgL_locz00);
								}
						}
					else
						{	/* Inline/recursion.scm 193 */
							BgL_ilocz00_1676 = BFALSE;
						}
				}
				{	/* Inline/recursion.scm 193 */
					BgL_nodez00_bglt BgL_newzd2callzd2_1677;

					{	/* Inline/recursion.scm 196 */
						obj_t BgL_arg1628z00_1693;
						obj_t BgL_arg1631z00_1694;

						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1632z00_1695;

							BgL_list1632z00_1695 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_variablez00_15), BNIL);
							BgL_arg1628z00_1693 = BgL_list1632z00_1695;
						}
						{	/* Inline/recursion.scm 196 */
							obj_t BgL_list1633z00_1696;

							BgL_list1633z00_1696 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BNIL);
							BgL_arg1631z00_1694 = BgL_list1633z00_1696;
						}
						BgL_newzd2callzd2_1677 =
							BGl_alphatiza7eza7zzast_alphatiza7eza7(BgL_arg1628z00_1693,
							BgL_arg1631z00_1694, BgL_ilocz00_1676,
							((BgL_nodez00_bglt) BgL_callz00_19));
					}
					{	/* Inline/recursion.scm 197 */
						BgL_nodez00_bglt BgL_newzd2bodyzd2_1679;

						{	/* Inline/recursion.scm 200 */
							obj_t BgL_arg1622z00_1691;

							BgL_arg1622z00_1691 =
								MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_17), BgL_stackz00_20);
							BgL_newzd2bodyzd2_1679 =
								BGl_inlinezd2appzd2simplez00zzinline_simplez00
								(BgL_newzd2callzd2_1677, (long) CINT(BgL_kfactorz00_18),
								BgL_arg1622z00_1691, BGl_string1962z00zzinline_recursionz00);
						}
						{	/* Inline/recursion.scm 198 */

							BGl_shrinkzd2argsz12zc0zzinline_variantz00(BgL_variablez00_15);
							{	/* Inline/recursion.scm 209 */
								obj_t BgL__z00_1680;

								{	/* Inline/recursion.scm 213 */
									BgL_nodez00_bglt BgL_arg1600z00_1682;

									{	/* Inline/recursion.scm 213 */
										obj_t BgL_zc3z04anonymousza31609ze3z87_2410;

										BgL_zc3z04anonymousza31609ze3z87_2410 =
											MAKE_FX_PROCEDURE
											(BGl_z62zc3z04anonymousza31609ze3ze5zzinline_recursionz00,
											(int) (((long) 1)), (int) (((long) 1)));
										PROCEDURE_SET(BgL_zc3z04anonymousza31609ze3z87_2410,
											(int) (((long) 0)), ((obj_t) BgL_localz00_17));
										BgL_arg1600z00_1682 =
											BGl_nestzd2loopz12zc0zzinline_loopz00
											(BgL_newzd2bodyzd2_1679, BgL_localz00_17,
											BgL_zc3z04anonymousza31609ze3z87_2410);
									}
									BgL__z00_1680 =
										BGl_nodezd2csez12zc0zzreduce_csez00(BgL_arg1600z00_1682,
										BNIL);
								}
								{	/* Inline/recursion.scm 210 */
									obj_t BgL_nodez00_1681;

									{	/* Inline/recursion.scm 210 */
										int BgL_tmpz00_3084;

										BgL_tmpz00_3084 = (int) (((long) 1));
										BgL_nodez00_1681 = BGL_MVALUES_VAL(BgL_tmpz00_3084);
									}
									return BgL_nodez00_1681;
								}
							}
						}
					}
				}
			}
		}

	}



/* &<@anonymous:1609> */
	obj_t BGl_z62zc3z04anonymousza31609ze3ze5zzinline_recursionz00(obj_t
		BgL_envz00_2411, obj_t BgL_nodez00_2413)
	{
		{	/* Inline/recursion.scm 212 */
			{	/* Inline/recursion.scm 213 */
				BgL_localz00_bglt BgL_localz00_2412;

				BgL_localz00_2412 =
					((BgL_localz00_bglt)
					PROCEDURE_REF(BgL_envz00_2411, (int) (((long) 0))));
				{
					BgL_letzd2funzd2_bglt BgL_auxz00_3090;

					{	/* Inline/recursion.scm 213 */
						BgL_letzd2funzd2_bglt BgL_new1134z00_2548;

						{	/* Inline/recursion.scm 214 */
							BgL_letzd2funzd2_bglt BgL_new1133z00_2549;

							BgL_new1133z00_2549 =
								((BgL_letzd2funzd2_bglt) BOBJECT(GC_MALLOC(sizeof(struct
											BgL_letzd2funzd2_bgl))));
							{	/* Inline/recursion.scm 214 */
								long BgL_arg1614z00_2550;

								{	/* Inline/recursion.scm 214 */
									long BgL_res1931z00_2551;

									BgL_res1931z00_2551 =
										BGL_CLASS_INDEX(BGl_letzd2funzd2zzast_nodez00);
									BgL_arg1614z00_2550 = BgL_res1931z00_2551;
								}
								BGL_OBJECT_CLASS_NUM_SET(
									((BgL_objectz00_bglt) BgL_new1133z00_2549),
									BgL_arg1614z00_2550);
							}
							{	/* Inline/recursion.scm 214 */
								BgL_objectz00_bglt BgL_tmpz00_3095;

								BgL_tmpz00_3095 = ((BgL_objectz00_bglt) BgL_new1133z00_2549);
								BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3095, BFALSE);
							}
							((BgL_objectz00_bglt) BgL_new1133z00_2549);
							BgL_new1134z00_2548 = BgL_new1133z00_2549;
						}
						((((BgL_nodez00_bglt) COBJECT(
										((BgL_nodez00_bglt) BgL_new1134z00_2548)))->BgL_locz00) =
							((obj_t) (((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
												BgL_nodez00_2413)))->BgL_locz00)), BUNSPEC);
						((((BgL_nodez00_bglt) COBJECT(((BgL_nodez00_bglt)
											BgL_new1134z00_2548)))->BgL_typez00) =
							((BgL_typez00_bglt) (((BgL_nodez00_bglt)
										COBJECT(((BgL_nodez00_bglt) BgL_nodez00_2413)))->
									BgL_typez00)), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1134z00_2548)))->BgL_sidezd2effectzd2) =
							((obj_t) BUNSPEC), BUNSPEC);
						((((BgL_nodezf2effectzf2_bglt) COBJECT(((BgL_nodezf2effectzf2_bglt)
											BgL_new1134z00_2548)))->BgL_keyz00) =
							((obj_t) BINT(((long) -1))), BUNSPEC);
						{
							obj_t BgL_auxz00_3112;

							{	/* Inline/recursion.scm 217 */
								obj_t BgL_list1610z00_2552;

								BgL_list1610z00_2552 =
									MAKE_YOUNG_PAIR(((obj_t) BgL_localz00_2412), BNIL);
								BgL_auxz00_3112 = BgL_list1610z00_2552;
							}
							((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1134z00_2548))->
									BgL_localsz00) = ((obj_t) BgL_auxz00_3112), BUNSPEC);
						}
						((((BgL_letzd2funzd2_bglt) COBJECT(BgL_new1134z00_2548))->
								BgL_bodyz00) =
							((BgL_nodez00_bglt) ((BgL_nodez00_bglt) BgL_nodez00_2413)),
							BUNSPEC);
						BgL_auxz00_3090 = BgL_new1134z00_2548;
					}
					return ((obj_t) BgL_auxz00_3090);
				}
			}
		}

	}



/* is-recursive? */
	BGL_EXPORTED_DEF bool_t
		BGl_iszd2recursivezf3z21zzinline_recursionz00(BgL_variablez00_bglt
		BgL_varz00_21)
	{
		{	/* Inline/recursion.scm 224 */
			{	/* Inline/recursion.scm 226 */
				BgL_valuez00_bglt BgL_sfunz00_1700;

				BgL_sfunz00_1700 =
					(((BgL_variablez00_bglt) COBJECT(BgL_varz00_21))->BgL_valuez00);
				{	/* Inline/recursion.scm 227 */
					bool_t BgL_test2049z00_3120;

					{	/* Inline/recursion.scm 227 */
						bool_t BgL_res1933z00_2270;

						BgL_res1933z00_2270 =
							BGl_isazf3zf3zz__objectz00(
							((obj_t) BgL_sfunz00_1700), BGl_isfunz00zzinline_inlinez00);
						BgL_test2049z00_3120 = BgL_res1933z00_2270;
					}
					if (BgL_test2049z00_3120)
						{	/* Inline/recursion.scm 236 */
							bool_t BgL_test2050z00_3123;

							{	/* Inline/recursion.scm 236 */
								obj_t BgL_arg1654z00_1711;

								{
									BgL_isfunz00_bglt BgL_auxz00_3124;

									{
										obj_t BgL_auxz00_3125;

										{	/* Inline/recursion.scm 236 */
											BgL_objectz00_bglt BgL_tmpz00_3126;

											BgL_tmpz00_3126 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1700));
											BgL_auxz00_3125 = BGL_OBJECT_WIDENING(BgL_tmpz00_3126);
										}
										BgL_auxz00_3124 = ((BgL_isfunz00_bglt) BgL_auxz00_3125);
									}
									BgL_arg1654z00_1711 =
										(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3124))->
										BgL_recursivezd2callszd2);
								}
								BgL_test2050z00_3123 = PAIRP(BgL_arg1654z00_1711);
							}
							if (BgL_test2050z00_3123)
								{	/* Inline/recursion.scm 236 */
									return ((bool_t) 1);
								}
							else
								{	/* Inline/recursion.scm 238 */
									bool_t BgL_test2051z00_3133;

									{	/* Inline/recursion.scm 238 */
										obj_t BgL_arg1651z00_1710;

										{
											BgL_isfunz00_bglt BgL_auxz00_3134;

											{
												obj_t BgL_auxz00_3135;

												{	/* Inline/recursion.scm 238 */
													BgL_objectz00_bglt BgL_tmpz00_3136;

													BgL_tmpz00_3136 =
														((BgL_objectz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1700));
													BgL_auxz00_3135 =
														BGL_OBJECT_WIDENING(BgL_tmpz00_3136);
												}
												BgL_auxz00_3134 = ((BgL_isfunz00_bglt) BgL_auxz00_3135);
											}
											BgL_arg1651z00_1710 =
												(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3134))->
												BgL_recursivezd2callszd2);
										}
										BgL_test2051z00_3133 = NULLP(BgL_arg1651z00_1710);
									}
									if (BgL_test2051z00_3133)
										{	/* Inline/recursion.scm 238 */
											return ((bool_t) 0);
										}
									else
										{	/* Inline/recursion.scm 241 */
											obj_t BgL_trecz00_1706;

											{	/* Inline/recursion.scm 241 */
												obj_t BgL_res1936z00_2277;

												BgL_res1936z00_2277 = MAKE_YOUNG_CELL(BTRUE);
												BgL_trecz00_1706 = BgL_res1936z00_2277;
											}
											{	/* Inline/recursion.scm 241 */
												obj_t BgL_callsz00_1707;

												{	/* Inline/recursion.scm 243 */
													BgL_nodez00_bglt BgL_arg1649z00_1709;

													{
														BgL_isfunz00_bglt BgL_auxz00_3144;

														{
															obj_t BgL_auxz00_3145;

															{	/* Inline/recursion.scm 243 */
																BgL_objectz00_bglt BgL_tmpz00_3146;

																BgL_tmpz00_3146 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1700));
																BgL_auxz00_3145 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3146);
															}
															BgL_auxz00_3144 =
																((BgL_isfunz00_bglt) BgL_auxz00_3145);
														}
														BgL_arg1649z00_1709 =
															(((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3144))->
															BgL_originalzd2bodyzd2);
													}
													BgL_callsz00_1707 =
														BGl_findzd2recursivezd2callsz00zzinline_recursionz00
														(BgL_arg1649z00_1709, BgL_varz00_21, BTRUE,
														BgL_trecz00_1706);
												}
												{	/* Inline/recursion.scm 242 */

													{	/* Inline/recursion.scm 244 */
														obj_t BgL_arg1648z00_1708;

														BgL_arg1648z00_1708 = CELL_REF(BgL_trecz00_1706);
														{	/* Inline/recursion.scm 244 */
															bool_t BgL_vz00_2282;

															BgL_vz00_2282 = CBOOL(BgL_arg1648z00_1708);
															{
																BgL_isfunz00_bglt BgL_auxz00_3155;

																{
																	obj_t BgL_auxz00_3156;

																	{	/* Inline/recursion.scm 244 */
																		BgL_objectz00_bglt BgL_tmpz00_3157;

																		BgL_tmpz00_3157 =
																			((BgL_objectz00_bglt)
																			((BgL_sfunz00_bglt) BgL_sfunz00_1700));
																		BgL_auxz00_3156 =
																			BGL_OBJECT_WIDENING(BgL_tmpz00_3157);
																	}
																	BgL_auxz00_3155 =
																		((BgL_isfunz00_bglt) BgL_auxz00_3156);
																}
																((((BgL_isfunz00_bglt)
																			COBJECT(BgL_auxz00_3155))->
																		BgL_tailrecz00) =
																	((bool_t) BgL_vz00_2282), BUNSPEC);
															}
														}
													}
													{
														BgL_isfunz00_bglt BgL_auxz00_3163;

														{
															obj_t BgL_auxz00_3164;

															{	/* Inline/recursion.scm 245 */
																BgL_objectz00_bglt BgL_tmpz00_3165;

																BgL_tmpz00_3165 =
																	((BgL_objectz00_bglt)
																	((BgL_sfunz00_bglt) BgL_sfunz00_1700));
																BgL_auxz00_3164 =
																	BGL_OBJECT_WIDENING(BgL_tmpz00_3165);
															}
															BgL_auxz00_3163 =
																((BgL_isfunz00_bglt) BgL_auxz00_3164);
														}
														((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3163))->
																BgL_recursivezd2callszd2) =
															((obj_t) BgL_callsz00_1707), BUNSPEC);
													}
													return PAIRP(BgL_callsz00_1707);
												}
											}
										}
								}
						}
					else
						{	/* Inline/recursion.scm 228 */
							obj_t BgL_trecz00_1712;

							{	/* Inline/recursion.scm 228 */
								obj_t BgL_res1938z00_2287;

								BgL_res1938z00_2287 = MAKE_YOUNG_CELL(BTRUE);
								BgL_trecz00_1712 = BgL_res1938z00_2287;
							}
							{	/* Inline/recursion.scm 228 */
								obj_t BgL_callsz00_1713;

								{	/* Inline/recursion.scm 229 */
									obj_t BgL_arg1658z00_1719;

									BgL_arg1658z00_1719 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt) BgL_sfunz00_1700)))->BgL_bodyz00);
									BgL_callsz00_1713 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1658z00_1719), BgL_varz00_21,
										BTRUE, BgL_trecz00_1712);
								}
								{	/* Inline/recursion.scm 229 */

									{	/* Inline/recursion.scm 230 */
										BgL_isfunz00_bglt BgL_wide1137z00_1716;

										BgL_wide1137z00_1716 =
											((BgL_isfunz00_bglt) BOBJECT(GC_MALLOC(sizeof(struct
														BgL_isfunz00_bgl))));
										{	/* Inline/recursion.scm 230 */
											obj_t BgL_auxz00_3182;
											BgL_objectz00_bglt BgL_tmpz00_3178;

											BgL_auxz00_3182 = ((obj_t) BgL_wide1137z00_1716);
											BgL_tmpz00_3178 =
												((BgL_objectz00_bglt)
												((BgL_sfunz00_bglt)
													((BgL_sfunz00_bglt) BgL_sfunz00_1700)));
											BGL_OBJECT_WIDENING_SET(BgL_tmpz00_3178, BgL_auxz00_3182);
										}
										((BgL_objectz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1700)));
										{	/* Inline/recursion.scm 230 */
											long BgL_arg1655z00_1717;

											{	/* Inline/recursion.scm 230 */
												long BgL_res1939z00_2291;

												BgL_res1939z00_2291 =
													BGL_CLASS_INDEX(BGl_isfunz00zzinline_inlinez00);
												BgL_arg1655z00_1717 = BgL_res1939z00_2291;
											}
											BGL_OBJECT_CLASS_NUM_SET(
												((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1700))),
												BgL_arg1655z00_1717);
										}
										((BgL_sfunz00_bglt)
											((BgL_sfunz00_bglt)
												((BgL_sfunz00_bglt) BgL_sfunz00_1700)));
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3196;

										{
											obj_t BgL_auxz00_3197;

											{	/* Inline/recursion.scm 232 */
												BgL_objectz00_bglt BgL_tmpz00_3198;

												BgL_tmpz00_3198 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1700)));
												BgL_auxz00_3197 = BGL_OBJECT_WIDENING(BgL_tmpz00_3198);
											}
											BgL_auxz00_3196 = ((BgL_isfunz00_bglt) BgL_auxz00_3197);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3196))->
												BgL_originalzd2bodyzd2) =
											((BgL_nodez00_bglt) ((BgL_nodez00_bglt) ((
															(BgL_sfunz00_bglt) COBJECT(((BgL_sfunz00_bglt)
																	BgL_sfunz00_1700)))->BgL_bodyz00))), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3208;

										{
											obj_t BgL_auxz00_3209;

											{	/* Inline/recursion.scm 233 */
												BgL_objectz00_bglt BgL_tmpz00_3210;

												BgL_tmpz00_3210 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1700)));
												BgL_auxz00_3209 = BGL_OBJECT_WIDENING(BgL_tmpz00_3210);
											}
											BgL_auxz00_3208 = ((BgL_isfunz00_bglt) BgL_auxz00_3209);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3208))->
												BgL_recursivezd2callszd2) =
											((obj_t) BgL_callsz00_1713), BUNSPEC);
									}
									{
										BgL_isfunz00_bglt BgL_auxz00_3217;

										{
											obj_t BgL_auxz00_3218;

											{	/* Inline/recursion.scm 231 */
												BgL_objectz00_bglt BgL_tmpz00_3219;

												BgL_tmpz00_3219 =
													((BgL_objectz00_bglt)
													((BgL_sfunz00_bglt)
														((BgL_sfunz00_bglt) BgL_sfunz00_1700)));
												BgL_auxz00_3218 = BGL_OBJECT_WIDENING(BgL_tmpz00_3219);
											}
											BgL_auxz00_3217 = ((BgL_isfunz00_bglt) BgL_auxz00_3218);
										}
										((((BgL_isfunz00_bglt) COBJECT(BgL_auxz00_3217))->
												BgL_tailrecz00) =
											((bool_t) CBOOL(CELL_REF(BgL_trecz00_1712))), BUNSPEC);
									}
									((BgL_sfunz00_bglt) ((BgL_sfunz00_bglt) BgL_sfunz00_1700));
									return PAIRP(BgL_callsz00_1713);
								}
							}
						}
				}
			}
		}

	}



/* &is-recursive? */
	obj_t BGl_z62iszd2recursivezf3z43zzinline_recursionz00(obj_t BgL_envz00_2414,
		obj_t BgL_varz00_2415)
	{
		{	/* Inline/recursion.scm 224 */
			return
				BBOOL(BGl_iszd2recursivezf3z21zzinline_recursionz00(
					((BgL_variablez00_bglt) BgL_varz00_2415)));
		}

	}



/* find-recursive-calls* */
	obj_t BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(obj_t
		BgL_nodeza2za2_98, obj_t BgL_varz00_99, obj_t BgL_tailz00_100,
		obj_t BgL_tresz00_101)
	{
		{	/* Inline/recursion.scm 410 */
			{
				obj_t BgL_nodeza2za2_1722;
				obj_t BgL_callsz00_1723;

				BgL_nodeza2za2_1722 = BgL_nodeza2za2_98;
				BgL_callsz00_1723 = BNIL;
			BgL_zc3z04anonymousza31659ze3z87_1724:
				if (NULLP(BgL_nodeza2za2_1722))
					{	/* Inline/recursion.scm 414 */
						return BgL_callsz00_1723;
					}
				else
					{	/* Inline/recursion.scm 414 */
						if (NULLP(CDR(((obj_t) BgL_nodeza2za2_1722))))
							{	/* Inline/recursion.scm 417 */
								obj_t BgL_arg1664z00_1728;

								{	/* Inline/recursion.scm 417 */
									obj_t BgL_arg1665z00_1729;

									BgL_arg1665z00_1729 = CAR(((obj_t) BgL_nodeza2za2_1722));
									BgL_arg1664z00_1728 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1665z00_1729),
										((BgL_variablez00_bglt) BgL_varz00_99), BgL_tailz00_100,
										BgL_tresz00_101);
								}
								return
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1664z00_1728, BgL_callsz00_1723);
							}
						else
							{	/* Inline/recursion.scm 419 */
								obj_t BgL_arg1666z00_1730;
								obj_t BgL_arg1668z00_1731;

								BgL_arg1666z00_1730 = CDR(((obj_t) BgL_nodeza2za2_1722));
								{	/* Inline/recursion.scm 420 */
									obj_t BgL_arg1669z00_1732;

									{	/* Inline/recursion.scm 420 */
										obj_t BgL_arg1671z00_1733;

										BgL_arg1671z00_1733 = CAR(((obj_t) BgL_nodeza2za2_1722));
										BgL_arg1669z00_1732 =
											BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
											((BgL_nodez00_bglt) BgL_arg1671z00_1733),
											((BgL_variablez00_bglt) BgL_varz00_99), BFALSE,
											BgL_tresz00_101);
									}
									BgL_arg1668z00_1731 =
										BGl_appendzd221011zd2zzinline_recursionz00
										(BgL_arg1669z00_1732, BgL_callsz00_1723);
								}
								{
									obj_t BgL_callsz00_3255;
									obj_t BgL_nodeza2za2_3254;

									BgL_nodeza2za2_3254 = BgL_arg1666z00_1730;
									BgL_callsz00_3255 = BgL_arg1668z00_1731;
									BgL_callsz00_1723 = BgL_callsz00_3255;
									BgL_nodeza2za2_1722 = BgL_nodeza2za2_3254;
									goto BgL_zc3z04anonymousza31659ze3z87_1724;
								}
							}
					}
			}
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			return
				BGl_registerzd2genericz12zc0zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_proc1963z00zzinline_recursionz00, BGl_nodez00zzast_nodez00,
				BGl_string1964z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1292 */
	obj_t BGl_z62findzd2recursivezd2calls1292z62zzinline_recursionz00(obj_t
		BgL_envz00_2417, obj_t BgL_nodez00_2418, obj_t BgL_varz00_2419,
		obj_t BgL_tailz00_2420, obj_t BgL_tresz00_2421)
	{
		{	/* Inline/recursion.scm 251 */
			return BNIL;
		}

	}



/* find-recursive-calls */
	obj_t BGl_findzd2recursivezd2callsz00zzinline_recursionz00(BgL_nodez00_bglt
		BgL_nodez00_22, BgL_variablez00_bglt BgL_varz00_23, obj_t BgL_tailz00_24,
		obj_t BgL_tresz00_25)
	{
		{	/* Inline/recursion.scm 251 */
			{	/* Inline/recursion.scm 251 */
				obj_t BgL_method1293z00_1743;

				{	/* Inline/recursion.scm 251 */
					obj_t BgL_res1953z00_2342;

					{	/* Inline/recursion.scm 251 */
						long BgL_objzd2classzd2numz00_2307;

						{	/* Inline/recursion.scm 251 */
							long BgL_res1943z00_2310;

							BgL_res1943z00_2310 =
								BGL_OBJECT_CLASS_NUM(((BgL_objectz00_bglt) BgL_nodez00_22));
							BgL_objzd2classzd2numz00_2307 = BgL_res1943z00_2310;
						}
						{	/* Inline/recursion.scm 251 */
							obj_t BgL_arg1742z00_2308;

							BgL_arg1742z00_2308 =
								PROCEDURE_REF
								(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
								(int) (((long) 1)));
							{	/* Inline/recursion.scm 251 */
								int BgL_offsetz00_2312;

								BgL_offsetz00_2312 = (int) (BgL_objzd2classzd2numz00_2307);
								{	/* Inline/recursion.scm 251 */
									long BgL_offsetz00_2313;

									BgL_offsetz00_2313 =
										((long) (BgL_offsetz00_2312) - OBJECT_TYPE);
									{	/* Inline/recursion.scm 251 */
										long BgL_modz00_2314;

										BgL_modz00_2314 =
											(BgL_offsetz00_2313 >>
											(int) ((long) ((int) (((long) 4)))));
										{	/* Inline/recursion.scm 251 */
											long BgL_restz00_2316;

											BgL_restz00_2316 =
												(BgL_offsetz00_2313 &
												(long) (
													(int) (
														((long) (
																(int) (
																	(((long) 1) <<
																		(int) (
																			(long) (
																				(int) (((long) 4))))))) -
															((long) 1)))));
											{	/* Inline/recursion.scm 251 */

												{	/* Inline/recursion.scm 251 */
													obj_t BgL_bucketz00_2318;

													BgL_bucketz00_2318 =
														VECTOR_REF(
														((obj_t) BgL_arg1742z00_2308), BgL_modz00_2314);
													BgL_res1953z00_2342 =
														VECTOR_REF(
														((obj_t) BgL_bucketz00_2318), BgL_restz00_2316);
					}}}}}}}}
					BgL_method1293z00_1743 = BgL_res1953z00_2342;
				}
				return
					PROCEDURE_ENTRY(BgL_method1293z00_1743) (BgL_method1293z00_1743,
					((obj_t) BgL_nodez00_22),
					((obj_t) BgL_varz00_23), BgL_tailz00_24, BgL_tresz00_25, BEOA);
			}
		}

	}



/* &find-recursive-calls */
	obj_t BGl_z62findzd2recursivezd2callsz62zzinline_recursionz00(obj_t
		BgL_envz00_2422, obj_t BgL_nodez00_2423, obj_t BgL_varz00_2424,
		obj_t BgL_tailz00_2425, obj_t BgL_tresz00_2426)
	{
		{	/* Inline/recursion.scm 251 */
			return
				BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
				((BgL_nodez00_bglt) BgL_nodez00_2423),
				((BgL_variablez00_bglt) BgL_varz00_2424), BgL_tailz00_2425,
				BgL_tresz00_2426);
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_sequencez00zzast_nodez00, BGl_proc1965z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_syncz00zzast_nodez00, BGl_proc1967z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appz00zzast_nodez00, BGl_proc1968z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_appzd2lyzd2zzast_nodez00, BGl_proc1969z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_funcallz00zzast_nodez00, BGl_proc1970z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_externz00zzast_nodez00, BGl_proc1971z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_castz00zzast_nodez00, BGl_proc1972z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setqz00zzast_nodez00, BGl_proc1973z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_conditionalz00zzast_nodez00, BGl_proc1974z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_failz00zzast_nodez00, BGl_proc1975z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_switchz00zzast_nodez00, BGl_proc1976z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2funzd2zzast_nodez00, BGl_proc1977z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_letzd2varzd2zzast_nodez00, BGl_proc1978z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_setzd2exzd2itz00zzast_nodez00, BGl_proc1979z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_jumpzd2exzd2itz00zzast_nodez00,
				BGl_proc1980z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_makezd2boxzd2zzast_nodez00, BGl_proc1981z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2refzd2zzast_nodez00, BGl_proc1982z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
			return
				BGl_genericzd2addzd2methodz12z12zz__objectz00
				(BGl_findzd2recursivezd2callszd2envzd2zzinline_recursionz00,
				BGl_boxzd2setz12zc0zzast_nodez00, BGl_proc1983z00zzinline_recursionz00,
				BGl_string1966z00zzinline_recursionz00);
		}

	}



/* &find-recursive-calls1329 */
	obj_t BGl_z62findzd2recursivezd2calls1329z62zzinline_recursionz00(obj_t
		BgL_envz00_2445, obj_t BgL_nodez00_2446, obj_t BgL_vz00_2447,
		obj_t BgL_tailz00_2448, obj_t BgL_tresz00_2449)
	{
		{	/* Inline/recursion.scm 402 */
			{	/* Inline/recursion.scm 404 */
				obj_t BgL_arg1820z00_2556;
				obj_t BgL_arg1821z00_2557;

				{	/* Inline/recursion.scm 404 */
					BgL_varz00_bglt BgL_arg1822z00_2558;

					BgL_arg1822z00_2558 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2446)))->BgL_varz00);
					BgL_arg1820z00_2556 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
						((BgL_nodez00_bglt) BgL_arg1822z00_2558),
						((BgL_variablez00_bglt) BgL_vz00_2447), BFALSE, BgL_tresz00_2449);
				}
				{	/* Inline/recursion.scm 405 */
					BgL_nodez00_bglt BgL_arg1823z00_2559;

					BgL_arg1823z00_2559 =
						(((BgL_boxzd2setz12zc0_bglt) COBJECT(
								((BgL_boxzd2setz12zc0_bglt) BgL_nodez00_2446)))->BgL_valuez00);
					BgL_arg1821z00_2557 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1823z00_2559, ((BgL_variablez00_bglt) BgL_vz00_2447),
						BFALSE, BgL_tresz00_2449);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1820z00_2556,
					BgL_arg1821z00_2557);
			}
		}

	}



/* &find-recursive-calls1327 */
	obj_t BGl_z62findzd2recursivezd2calls1327z62zzinline_recursionz00(obj_t
		BgL_envz00_2450, obj_t BgL_nodez00_2451, obj_t BgL_varz00_2452,
		obj_t BgL_tailz00_2453, obj_t BgL_tresz00_2454)
	{
		{	/* Inline/recursion.scm 396 */
			{	/* Inline/recursion.scm 397 */
				BgL_varz00_bglt BgL_arg1819z00_2561;

				BgL_arg1819z00_2561 =
					(((BgL_boxzd2refzd2_bglt) COBJECT(
							((BgL_boxzd2refzd2_bglt) BgL_nodez00_2451)))->BgL_varz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
					((BgL_nodez00_bglt) BgL_arg1819z00_2561),
					((BgL_variablez00_bglt) BgL_varz00_2452), BFALSE, BgL_tresz00_2454);
			}
		}

	}



/* &find-recursive-calls1325 */
	obj_t BGl_z62findzd2recursivezd2calls1325z62zzinline_recursionz00(obj_t
		BgL_envz00_2455, obj_t BgL_nodez00_2456, obj_t BgL_varz00_2457,
		obj_t BgL_tailz00_2458, obj_t BgL_tresz00_2459)
	{
		{	/* Inline/recursion.scm 390 */
			{	/* Inline/recursion.scm 391 */
				BgL_nodez00_bglt BgL_arg1817z00_2563;

				BgL_arg1817z00_2563 =
					(((BgL_makezd2boxzd2_bglt) COBJECT(
							((BgL_makezd2boxzd2_bglt) BgL_nodez00_2456)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1817z00_2563, ((BgL_variablez00_bglt) BgL_varz00_2457),
					BFALSE, BgL_tresz00_2459);
			}
		}

	}



/* &find-recursive-calls1323 */
	obj_t BGl_z62findzd2recursivezd2calls1323z62zzinline_recursionz00(obj_t
		BgL_envz00_2460, obj_t BgL_nodez00_2461, obj_t BgL_vz00_2462,
		obj_t BgL_tailz00_2463, obj_t BgL_tresz00_2464)
	{
		{	/* Inline/recursion.scm 382 */
			{	/* Inline/recursion.scm 384 */
				obj_t BgL_arg1813z00_2565;
				obj_t BgL_arg1814z00_2566;

				{	/* Inline/recursion.scm 384 */
					BgL_nodez00_bglt BgL_arg1815z00_2567;

					BgL_arg1815z00_2567 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2461)))->BgL_exitz00);
					BgL_arg1813z00_2565 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1815z00_2567, ((BgL_variablez00_bglt) BgL_vz00_2462),
						BFALSE, BgL_tresz00_2464);
				}
				{	/* Inline/recursion.scm 385 */
					BgL_nodez00_bglt BgL_arg1816z00_2568;

					BgL_arg1816z00_2568 =
						(((BgL_jumpzd2exzd2itz00_bglt) COBJECT(
								((BgL_jumpzd2exzd2itz00_bglt) BgL_nodez00_2461)))->
						BgL_valuez00);
					BgL_arg1814z00_2566 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1816z00_2568, ((BgL_variablez00_bglt) BgL_vz00_2462),
						BFALSE, BgL_tresz00_2464);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1813z00_2565,
					BgL_arg1814z00_2566);
			}
		}

	}



/* &find-recursive-calls1321 */
	obj_t BGl_z62findzd2recursivezd2calls1321z62zzinline_recursionz00(obj_t
		BgL_envz00_2465, obj_t BgL_nodez00_2466, obj_t BgL_varz00_2467,
		obj_t BgL_tailz00_2468, obj_t BgL_tresz00_2469)
	{
		{	/* Inline/recursion.scm 376 */
			{	/* Inline/recursion.scm 377 */
				BgL_nodez00_bglt BgL_arg1812z00_2570;

				BgL_arg1812z00_2570 =
					(((BgL_setzd2exzd2itz00_bglt) COBJECT(
							((BgL_setzd2exzd2itz00_bglt) BgL_nodez00_2466)))->BgL_bodyz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1812z00_2570, ((BgL_variablez00_bglt) BgL_varz00_2467),
					BFALSE, BgL_tresz00_2469);
			}
		}

	}



/* &find-recursive-calls1319 */
	obj_t BGl_z62findzd2recursivezd2calls1319z62zzinline_recursionz00(obj_t
		BgL_envz00_2470, obj_t BgL_nodez00_2471, obj_t BgL_varz00_2472,
		obj_t BgL_tailz00_2473, obj_t BgL_tresz00_2474)
	{
		{	/* Inline/recursion.scm 364 */
			{	/* Inline/recursion.scm 365 */
				obj_t BgL_g1150z00_2572;
				obj_t BgL_g1151z00_2573;

				BgL_g1150z00_2572 =
					(((BgL_letzd2varzd2_bglt) COBJECT(
							((BgL_letzd2varzd2_bglt) BgL_nodez00_2471)))->BgL_bindingsz00);
				{	/* Inline/recursion.scm 366 */
					BgL_nodez00_bglt BgL_arg1811z00_2574;

					BgL_arg1811z00_2574 =
						(((BgL_letzd2varzd2_bglt) COBJECT(
								((BgL_letzd2varzd2_bglt) BgL_nodez00_2471)))->BgL_bodyz00);
					BgL_g1151z00_2573 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1811z00_2574, ((BgL_variablez00_bglt) BgL_varz00_2472),
						BgL_tailz00_2473, BgL_tresz00_2474);
				}
				{
					obj_t BgL_bindingsz00_2576;
					obj_t BgL_callsz00_2577;

					BgL_bindingsz00_2576 = BgL_g1150z00_2572;
					BgL_callsz00_2577 = BgL_g1151z00_2573;
				BgL_loopz00_2575:
					if (NULLP(BgL_bindingsz00_2576))
						{	/* Inline/recursion.scm 367 */
							return BgL_callsz00_2577;
						}
					else
						{	/* Inline/recursion.scm 369 */
							obj_t BgL_arg1802z00_2578;
							obj_t BgL_arg1803z00_2579;

							BgL_arg1802z00_2578 = CDR(((obj_t) BgL_bindingsz00_2576));
							{	/* Inline/recursion.scm 371 */
								obj_t BgL_arg1804z00_2580;

								{	/* Inline/recursion.scm 371 */
									obj_t BgL_arg1808z00_2581;

									{	/* Inline/recursion.scm 371 */
										obj_t BgL_pairz00_2582;

										BgL_pairz00_2582 = CAR(((obj_t) BgL_bindingsz00_2576));
										BgL_arg1808z00_2581 = CDR(BgL_pairz00_2582);
									}
									BgL_arg1804z00_2580 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1808z00_2581),
										((BgL_variablez00_bglt) BgL_varz00_2472), BFALSE,
										BgL_tresz00_2474);
								}
								BgL_arg1803z00_2579 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_2577,
									BgL_arg1804z00_2580);
							}
							{
								obj_t BgL_callsz00_3362;
								obj_t BgL_bindingsz00_3361;

								BgL_bindingsz00_3361 = BgL_arg1802z00_2578;
								BgL_callsz00_3362 = BgL_arg1803z00_2579;
								BgL_callsz00_2577 = BgL_callsz00_3362;
								BgL_bindingsz00_2576 = BgL_bindingsz00_3361;
								goto BgL_loopz00_2575;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1317 */
	obj_t BGl_z62findzd2recursivezd2calls1317z62zzinline_recursionz00(obj_t
		BgL_envz00_2475, obj_t BgL_nodez00_2476, obj_t BgL_varz00_2477,
		obj_t BgL_tailz00_2478, obj_t BgL_tresz00_2479)
	{
		{	/* Inline/recursion.scm 350 */
			{	/* Inline/recursion.scm 351 */
				obj_t BgL_g1147z00_2584;
				obj_t BgL_g1148z00_2585;

				BgL_g1147z00_2584 =
					(((BgL_letzd2funzd2_bglt) COBJECT(
							((BgL_letzd2funzd2_bglt) BgL_nodez00_2476)))->BgL_localsz00);
				{	/* Inline/recursion.scm 352 */
					BgL_nodez00_bglt BgL_arg1799z00_2586;

					BgL_arg1799z00_2586 =
						(((BgL_letzd2funzd2_bglt) COBJECT(
								((BgL_letzd2funzd2_bglt) BgL_nodez00_2476)))->BgL_bodyz00);
					BgL_g1148z00_2585 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1799z00_2586, ((BgL_variablez00_bglt) BgL_varz00_2477),
						BgL_tailz00_2478, BgL_tresz00_2479);
				}
				{
					obj_t BgL_localsz00_2588;
					obj_t BgL_callsz00_2589;

					BgL_localsz00_2588 = BgL_g1147z00_2584;
					BgL_callsz00_2589 = BgL_g1148z00_2585;
				BgL_loopz00_2587:
					if (NULLP(BgL_localsz00_2588))
						{	/* Inline/recursion.scm 353 */
							return BgL_callsz00_2589;
						}
					else
						{	/* Inline/recursion.scm 355 */
							obj_t BgL_arg1792z00_2590;
							obj_t BgL_arg1793z00_2591;

							BgL_arg1792z00_2590 = CDR(((obj_t) BgL_localsz00_2588));
							{	/* Inline/recursion.scm 358 */
								obj_t BgL_arg1794z00_2592;

								{	/* Inline/recursion.scm 358 */
									obj_t BgL_arg1795z00_2593;

									BgL_arg1795z00_2593 =
										(((BgL_sfunz00_bglt) COBJECT(
												((BgL_sfunz00_bglt)
													(((BgL_variablez00_bglt) COBJECT(
																((BgL_variablez00_bglt)
																	((BgL_localz00_bglt)
																		CAR(
																			((obj_t) BgL_localsz00_2588))))))->
														BgL_valuez00))))->BgL_bodyz00);
									BgL_arg1794z00_2592 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00((
											(BgL_nodez00_bglt) BgL_arg1795z00_2593),
										((BgL_variablez00_bglt) BgL_varz00_2477), BTRUE,
										BgL_tresz00_2479);
								}
								BgL_arg1793z00_2591 =
									BGl_appendzd221011zd2zzinline_recursionz00(BgL_callsz00_2589,
									BgL_arg1794z00_2592);
							}
							{
								obj_t BgL_callsz00_3385;
								obj_t BgL_localsz00_3384;

								BgL_localsz00_3384 = BgL_arg1792z00_2590;
								BgL_callsz00_3385 = BgL_arg1793z00_2591;
								BgL_callsz00_2589 = BgL_callsz00_3385;
								BgL_localsz00_2588 = BgL_localsz00_3384;
								goto BgL_loopz00_2587;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1315 */
	obj_t BGl_z62findzd2recursivezd2calls1315z62zzinline_recursionz00(obj_t
		BgL_envz00_2480, obj_t BgL_nodez00_2481, obj_t BgL_varz00_2482,
		obj_t BgL_tailz00_2483, obj_t BgL_tresz00_2484)
	{
		{	/* Inline/recursion.scm 338 */
			{	/* Inline/recursion.scm 339 */
				obj_t BgL_g1145z00_2595;
				obj_t BgL_g1146z00_2596;

				BgL_g1145z00_2595 =
					(((BgL_switchz00_bglt) COBJECT(
							((BgL_switchz00_bglt) BgL_nodez00_2481)))->BgL_clausesz00);
				{	/* Inline/recursion.scm 340 */
					BgL_nodez00_bglt BgL_arg1789z00_2597;

					BgL_arg1789z00_2597 =
						(((BgL_switchz00_bglt) COBJECT(
								((BgL_switchz00_bglt) BgL_nodez00_2481)))->BgL_testz00);
					BgL_g1146z00_2596 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1789z00_2597, ((BgL_variablez00_bglt) BgL_varz00_2482),
						BFALSE, BgL_tresz00_2484);
				}
				{
					obj_t BgL_clausesz00_2599;
					obj_t BgL_callsz00_2600;

					BgL_clausesz00_2599 = BgL_g1145z00_2595;
					BgL_callsz00_2600 = BgL_g1146z00_2596;
				BgL_loopz00_2598:
					if (NULLP(BgL_clausesz00_2599))
						{	/* Inline/recursion.scm 341 */
							return BgL_callsz00_2600;
						}
					else
						{	/* Inline/recursion.scm 343 */
							obj_t BgL_arg1783z00_2601;
							obj_t BgL_arg1784z00_2602;

							BgL_arg1783z00_2601 = CDR(((obj_t) BgL_clausesz00_2599));
							{	/* Inline/recursion.scm 344 */
								obj_t BgL_arg1786z00_2603;

								{	/* Inline/recursion.scm 344 */
									obj_t BgL_arg1787z00_2604;

									{	/* Inline/recursion.scm 344 */
										obj_t BgL_pairz00_2605;

										BgL_pairz00_2605 = CAR(((obj_t) BgL_clausesz00_2599));
										BgL_arg1787z00_2604 = CDR(BgL_pairz00_2605);
									}
									BgL_arg1786z00_2603 =
										BGl_findzd2recursivezd2callsz00zzinline_recursionz00(
										((BgL_nodez00_bglt) BgL_arg1787z00_2604),
										((BgL_variablez00_bglt) BgL_varz00_2482), BgL_tailz00_2483,
										BgL_tresz00_2484);
								}
								BgL_arg1784z00_2602 =
									BGl_appendzd221011zd2zzinline_recursionz00
									(BgL_arg1786z00_2603, BgL_callsz00_2600);
							}
							{
								obj_t BgL_callsz00_3404;
								obj_t BgL_clausesz00_3403;

								BgL_clausesz00_3403 = BgL_arg1783z00_2601;
								BgL_callsz00_3404 = BgL_arg1784z00_2602;
								BgL_callsz00_2600 = BgL_callsz00_3404;
								BgL_clausesz00_2599 = BgL_clausesz00_3403;
								goto BgL_loopz00_2598;
							}
						}
				}
			}
		}

	}



/* &find-recursive-calls1313 */
	obj_t BGl_z62findzd2recursivezd2calls1313z62zzinline_recursionz00(obj_t
		BgL_envz00_2485, obj_t BgL_nodez00_2486, obj_t BgL_varz00_2487,
		obj_t BgL_tailz00_2488, obj_t BgL_tresz00_2489)
	{
		{	/* Inline/recursion.scm 329 */
			{	/* Inline/recursion.scm 331 */
				obj_t BgL_arg1766z00_2607;
				obj_t BgL_arg1768z00_2608;
				obj_t BgL_arg1770z00_2609;

				{	/* Inline/recursion.scm 331 */
					BgL_nodez00_bglt BgL_arg1776z00_2610;

					BgL_arg1776z00_2610 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2486)))->BgL_procz00);
					BgL_arg1766z00_2607 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1776z00_2610, ((BgL_variablez00_bglt) BgL_varz00_2487),
						BFALSE, BgL_tresz00_2489);
				}
				{	/* Inline/recursion.scm 332 */
					BgL_nodez00_bglt BgL_arg1777z00_2611;

					BgL_arg1777z00_2611 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2486)))->BgL_msgz00);
					BgL_arg1768z00_2608 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1777z00_2611, ((BgL_variablez00_bglt) BgL_varz00_2487),
						BFALSE, BgL_tresz00_2489);
				}
				{	/* Inline/recursion.scm 333 */
					BgL_nodez00_bglt BgL_arg1780z00_2612;

					BgL_arg1780z00_2612 =
						(((BgL_failz00_bglt) COBJECT(
								((BgL_failz00_bglt) BgL_nodez00_2486)))->BgL_objz00);
					BgL_arg1770z00_2609 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1780z00_2612, ((BgL_variablez00_bglt) BgL_varz00_2487),
						BFALSE, BgL_tresz00_2489);
				}
				{	/* Inline/recursion.scm 331 */
					obj_t BgL_list1771z00_2613;

					{	/* Inline/recursion.scm 331 */
						obj_t BgL_arg1773z00_2614;

						{	/* Inline/recursion.scm 331 */
							obj_t BgL_arg1775z00_2615;

							BgL_arg1775z00_2615 = MAKE_YOUNG_PAIR(BgL_arg1770z00_2609, BNIL);
							BgL_arg1773z00_2614 =
								MAKE_YOUNG_PAIR(BgL_arg1768z00_2608, BgL_arg1775z00_2615);
						}
						BgL_list1771z00_2613 =
							MAKE_YOUNG_PAIR(BgL_arg1766z00_2607, BgL_arg1773z00_2614);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1771z00_2613);
				}
			}
		}

	}



/* &find-recursive-calls1311 */
	obj_t BGl_z62findzd2recursivezd2calls1311z62zzinline_recursionz00(obj_t
		BgL_envz00_2490, obj_t BgL_nodez00_2491, obj_t BgL_varz00_2492,
		obj_t BgL_tailz00_2493, obj_t BgL_tresz00_2494)
	{
		{	/* Inline/recursion.scm 320 */
			{	/* Inline/recursion.scm 322 */
				obj_t BgL_arg1757z00_2617;
				obj_t BgL_arg1758z00_2618;
				obj_t BgL_arg1759z00_2619;

				{	/* Inline/recursion.scm 322 */
					BgL_nodez00_bglt BgL_arg1763z00_2620;

					BgL_arg1763z00_2620 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2491)))->BgL_testz00);
					BgL_arg1757z00_2617 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1763z00_2620, ((BgL_variablez00_bglt) BgL_varz00_2492),
						BFALSE, BgL_tresz00_2494);
				}
				{	/* Inline/recursion.scm 323 */
					BgL_nodez00_bglt BgL_arg1764z00_2621;

					BgL_arg1764z00_2621 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2491)))->BgL_truez00);
					BgL_arg1758z00_2618 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1764z00_2621, ((BgL_variablez00_bglt) BgL_varz00_2492),
						BgL_tailz00_2493, BgL_tresz00_2494);
				}
				{	/* Inline/recursion.scm 324 */
					BgL_nodez00_bglt BgL_arg1765z00_2622;

					BgL_arg1765z00_2622 =
						(((BgL_conditionalz00_bglt) COBJECT(
								((BgL_conditionalz00_bglt) BgL_nodez00_2491)))->BgL_falsez00);
					BgL_arg1759z00_2619 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1765z00_2622, ((BgL_variablez00_bglt) BgL_varz00_2492),
						BgL_tailz00_2493, BgL_tresz00_2494);
				}
				{	/* Inline/recursion.scm 322 */
					obj_t BgL_list1760z00_2623;

					{	/* Inline/recursion.scm 322 */
						obj_t BgL_arg1761z00_2624;

						{	/* Inline/recursion.scm 322 */
							obj_t BgL_arg1762z00_2625;

							BgL_arg1762z00_2625 = MAKE_YOUNG_PAIR(BgL_arg1759z00_2619, BNIL);
							BgL_arg1761z00_2624 =
								MAKE_YOUNG_PAIR(BgL_arg1758z00_2618, BgL_arg1762z00_2625);
						}
						BgL_list1760z00_2623 =
							MAKE_YOUNG_PAIR(BgL_arg1757z00_2617, BgL_arg1761z00_2624);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1760z00_2623);
				}
			}
		}

	}



/* &find-recursive-calls1309 */
	obj_t BGl_z62findzd2recursivezd2calls1309z62zzinline_recursionz00(obj_t
		BgL_envz00_2495, obj_t BgL_nodez00_2496, obj_t BgL_varz00_2497,
		obj_t BgL_tailz00_2498, obj_t BgL_tresz00_2499)
	{
		{	/* Inline/recursion.scm 314 */
			{	/* Inline/recursion.scm 315 */
				BgL_nodez00_bglt BgL_arg1755z00_2627;

				BgL_arg1755z00_2627 =
					(((BgL_setqz00_bglt) COBJECT(
							((BgL_setqz00_bglt) BgL_nodez00_2496)))->BgL_valuez00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1755z00_2627, ((BgL_variablez00_bglt) BgL_varz00_2497),
					BFALSE, BgL_tresz00_2499);
			}
		}

	}



/* &find-recursive-calls1307 */
	obj_t BGl_z62findzd2recursivezd2calls1307z62zzinline_recursionz00(obj_t
		BgL_envz00_2500, obj_t BgL_nodez00_2501, obj_t BgL_varz00_2502,
		obj_t BgL_tailz00_2503, obj_t BgL_tresz00_2504)
	{
		{	/* Inline/recursion.scm 308 */
			{	/* Inline/recursion.scm 309 */
				BgL_nodez00_bglt BgL_arg1754z00_2629;

				BgL_arg1754z00_2629 =
					(((BgL_castz00_bglt) COBJECT(
							((BgL_castz00_bglt) BgL_nodez00_2501)))->BgL_argz00);
				return
					BGl_findzd2recursivezd2callsz00zzinline_recursionz00
					(BgL_arg1754z00_2629, ((BgL_variablez00_bglt) BgL_varz00_2502),
					BFALSE, BgL_tresz00_2504);
			}
		}

	}



/* &find-recursive-calls1305 */
	obj_t BGl_z62findzd2recursivezd2calls1305z62zzinline_recursionz00(obj_t
		BgL_envz00_2505, obj_t BgL_nodez00_2506, obj_t BgL_varz00_2507,
		obj_t BgL_tailz00_2508, obj_t BgL_tresz00_2509)
	{
		{	/* Inline/recursion.scm 302 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_externz00_bglt) COBJECT(
							((BgL_externz00_bglt) BgL_nodez00_2506)))->BgL_exprza2za2),
				BgL_varz00_2507, BFALSE, BgL_tresz00_2509);
		}

	}



/* &find-recursive-calls1303 */
	obj_t BGl_z62findzd2recursivezd2calls1303z62zzinline_recursionz00(obj_t
		BgL_envz00_2510, obj_t BgL_nodez00_2511, obj_t BgL_varz00_2512,
		obj_t BgL_tailz00_2513, obj_t BgL_tresz00_2514)
	{
		{	/* Inline/recursion.scm 294 */
			{	/* Inline/recursion.scm 296 */
				obj_t BgL_arg1749z00_2632;
				obj_t BgL_arg1750z00_2633;

				{	/* Inline/recursion.scm 296 */
					BgL_nodez00_bglt BgL_arg1751z00_2634;

					BgL_arg1751z00_2634 =
						(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2511)))->BgL_funz00);
					BgL_arg1749z00_2632 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1751z00_2634, ((BgL_variablez00_bglt) BgL_varz00_2512),
						BFALSE, BgL_tresz00_2514);
				}
				BgL_arg1750z00_2633 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_funcallz00_bglt) COBJECT(
								((BgL_funcallz00_bglt) BgL_nodez00_2511)))->BgL_argsz00),
					BgL_varz00_2512, BFALSE, BgL_tresz00_2514);
				return BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1749z00_2632,
					BgL_arg1750z00_2633);
			}
		}

	}



/* &find-recursive-calls1301 */
	obj_t BGl_z62findzd2recursivezd2calls1301z62zzinline_recursionz00(obj_t
		BgL_envz00_2515, obj_t BgL_nodez00_2516, obj_t BgL_varz00_2517,
		obj_t BgL_tailz00_2518, obj_t BgL_tresz00_2519)
	{
		{	/* Inline/recursion.scm 286 */
			{	/* Inline/recursion.scm 288 */
				obj_t BgL_arg1719z00_2636;
				obj_t BgL_arg1725z00_2637;

				{	/* Inline/recursion.scm 288 */
					BgL_nodez00_bglt BgL_arg1737z00_2638;

					BgL_arg1737z00_2638 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2516)))->BgL_funz00);
					BgL_arg1719z00_2636 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1737z00_2638, ((BgL_variablez00_bglt) BgL_varz00_2517),
						BFALSE, BgL_tresz00_2519);
				}
				{	/* Inline/recursion.scm 289 */
					BgL_nodez00_bglt BgL_arg1738z00_2639;

					BgL_arg1738z00_2639 =
						(((BgL_appzd2lyzd2_bglt) COBJECT(
								((BgL_appzd2lyzd2_bglt) BgL_nodez00_2516)))->BgL_argz00);
					BgL_arg1725z00_2637 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1738z00_2639, ((BgL_variablez00_bglt) BgL_varz00_2517),
						BFALSE, BgL_tresz00_2519);
				}
				return
					BGl_appendzd221011zd2zzinline_recursionz00(BgL_arg1719z00_2636,
					BgL_arg1725z00_2637);
			}
		}

	}



/* &find-recursive-calls1299 */
	obj_t BGl_z62findzd2recursivezd2calls1299z62zzinline_recursionz00(obj_t
		BgL_envz00_2520, obj_t BgL_nodez00_2521, obj_t BgL_varz00_2522,
		obj_t BgL_tailz00_2523, obj_t BgL_tresz00_2524)
	{
		{	/* Inline/recursion.scm 274 */
			{	/* Inline/recursion.scm 276 */
				obj_t BgL_argszd2callszd2_2641;

				BgL_argszd2callszd2_2641 =
					BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
					(((BgL_appz00_bglt) COBJECT(
								((BgL_appz00_bglt) BgL_nodez00_2521)))->BgL_argsz00),
					BgL_varz00_2522, BgL_tailz00_2523, BgL_tresz00_2524);
				if ((((obj_t) (((BgL_varz00_bglt) COBJECT((((BgL_appz00_bglt)
												COBJECT(((BgL_appz00_bglt) BgL_nodez00_2521)))->
											BgL_funz00)))->BgL_variablez00)) == BgL_varz00_2522))
					{	/* Inline/recursion.scm 277 */
						if (CBOOL(BgL_tailz00_2523))
							{	/* Inline/recursion.scm 279 */
								BFALSE;
							}
						else
							{	/* Inline/recursion.scm 279 */
								CELL_SET(((obj_t) BgL_tresz00_2524), BFALSE);
							}
						return
							MAKE_YOUNG_PAIR(
							((obj_t)
								((BgL_appz00_bglt) BgL_nodez00_2521)),
							BgL_argszd2callszd2_2641);
					}
				else
					{	/* Inline/recursion.scm 277 */
						return BgL_argszd2callszd2_2641;
					}
			}
		}

	}



/* &find-recursive-calls1297 */
	obj_t BGl_z62findzd2recursivezd2calls1297z62zzinline_recursionz00(obj_t
		BgL_envz00_2525, obj_t BgL_nodez00_2526, obj_t BgL_varz00_2527,
		obj_t BgL_tailz00_2528, obj_t BgL_tresz00_2529)
	{
		{	/* Inline/recursion.scm 263 */
			{	/* Inline/recursion.scm 264 */
				obj_t BgL_arg1679z00_2643;
				obj_t BgL_arg1680z00_2644;
				obj_t BgL_arg1681z00_2645;

				{	/* Inline/recursion.scm 264 */
					BgL_nodez00_bglt BgL_arg1693z00_2646;

					BgL_arg1693z00_2646 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2526)))->BgL_mutexz00);
					BgL_arg1679z00_2643 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1693z00_2646, ((BgL_variablez00_bglt) BgL_varz00_2527),
						BFALSE, BgL_tresz00_2529);
				}
				{	/* Inline/recursion.scm 265 */
					BgL_nodez00_bglt BgL_arg1694z00_2647;

					BgL_arg1694z00_2647 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2526)))->BgL_prelockz00);
					BgL_arg1680z00_2644 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1694z00_2647, ((BgL_variablez00_bglt) BgL_varz00_2527),
						BFALSE, BgL_tresz00_2529);
				}
				{	/* Inline/recursion.scm 266 */
					BgL_nodez00_bglt BgL_arg1695z00_2648;

					BgL_arg1695z00_2648 =
						(((BgL_syncz00_bglt) COBJECT(
								((BgL_syncz00_bglt) BgL_nodez00_2526)))->BgL_bodyz00);
					BgL_arg1681z00_2645 =
						BGl_findzd2recursivezd2callsz00zzinline_recursionz00
						(BgL_arg1695z00_2648, ((BgL_variablez00_bglt) BgL_varz00_2527),
						BFALSE, BgL_tresz00_2529);
				}
				{	/* Inline/recursion.scm 264 */
					obj_t BgL_list1682z00_2649;

					{	/* Inline/recursion.scm 264 */
						obj_t BgL_arg1689z00_2650;

						{	/* Inline/recursion.scm 264 */
							obj_t BgL_arg1692z00_2651;

							BgL_arg1692z00_2651 = MAKE_YOUNG_PAIR(BgL_arg1681z00_2645, BNIL);
							BgL_arg1689z00_2650 =
								MAKE_YOUNG_PAIR(BgL_arg1680z00_2644, BgL_arg1692z00_2651);
						}
						BgL_list1682z00_2649 =
							MAKE_YOUNG_PAIR(BgL_arg1679z00_2643, BgL_arg1689z00_2650);
					}
					return
						BGl_appendz00zz__r4_pairs_and_lists_6_3z00(BgL_list1682z00_2649);
				}
			}
		}

	}



/* &find-recursive-calls1295 */
	obj_t BGl_z62findzd2recursivezd2calls1295z62zzinline_recursionz00(obj_t
		BgL_envz00_2530, obj_t BgL_nodez00_2531, obj_t BgL_varz00_2532,
		obj_t BgL_tailz00_2533, obj_t BgL_tresz00_2534)
	{
		{	/* Inline/recursion.scm 257 */
			return
				BGl_findzd2recursivezd2callsza2za2zzinline_recursionz00(
				(((BgL_sequencez00_bglt) COBJECT(
							((BgL_sequencez00_bglt) BgL_nodez00_2531)))->BgL_nodesz00),
				BgL_varz00_2532, BgL_tailz00_2533, BgL_tresz00_2534);
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zzinline_recursionz00()
	{
		{	/* Inline/recursion.scm 15 */
			BGl_modulezd2initializa7ationz75zztools_tracez00(((long) 54713316),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzengine_paramz00(((long) 476633989),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztype_typez00(((long) 515343395),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_varz00(((long) 90839984),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_nodez00(((long) 506185397),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_localz00(((long) 315247917),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_alphatiza7eza7(((long) 53595773),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzast_sexpz00(((long) 163122759),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long) 158397907),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_speekz00(((long) 61247943),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_shapez00(((long) 365925558),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zztools_errorz00(((long) 300504031),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_inlinez00(((long) 20504962),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_simplez00(((long) 221468907),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_variantz00(((long) 347990278),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_loopz00(((long) 342478691),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			BGl_modulezd2initializa7ationz75zzinline_appz00(((long) 148760855),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
			return
				BGl_modulezd2initializa7ationz75zzreduce_csez00(((long) 347839157),
				BSTRING_TO_STRING(BGl_string1984z00zzinline_recursionz00));
		}

	}

#ifdef __cplusplus
}
#endif
