/*===========================================================================*/
/*   (Eval/evaluate_comp.scm)                                                */
/*   Bigloo (4.3h)                                                           */
/*   Inria -- Sophia Antipolis (c)       Tue 12 May 2020 08:36:09 AM CEST    */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.3h/bin/bigloo -srfi enable-resolv -srfi enable-unistring -srfi enable-pcre -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.3h/lib/bigloo/4.3h -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Eval/evaluate_comp.scm -o objs/obj_p/Eval/evaluate_comp.o) */
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif

/* object type definitions */
typedef struct BgL_ev_exprz00_bgl {
   header_t header;
   obj_t widening;
} *BgL_ev_exprz00_bglt;

typedef struct BgL_ev_varz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_namez00;
   obj_t BgL_effz00;
   obj_t BgL_typez00;
} *BgL_ev_varz00_bglt;

typedef struct BgL_ev_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_globalz00_bglt;

typedef struct BgL_ev_littz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_valuez00;
} *BgL_ev_littz00_bglt;

typedef struct BgL_ev_ifz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_pz00;
   struct BgL_ev_exprz00_bgl * BgL_tz00;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_ifz00_bglt;

typedef struct BgL_ev_listz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_listz00_bglt;

typedef struct BgL_ev_orz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_orz00_bglt;

typedef struct BgL_ev_andz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_argsz00;
} *BgL_ev_andz00_bglt;

typedef struct BgL_ev_prog2z00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_e1z00;
   struct BgL_ev_exprz00_bgl * BgL_e2z00;
} *BgL_ev_prog2z00_bglt;

typedef struct BgL_ev_hookz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_hookz00_bglt;

typedef struct BgL_ev_trapz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
} *BgL_ev_trapz00_bglt;

typedef struct BgL_ev_setlocalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_varz00_bgl * BgL_vz00;
} *BgL_ev_setlocalz00_bglt;

typedef struct BgL_ev_setglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_setglobalz00_bglt;

typedef struct BgL_ev_defglobalz00_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   obj_t BgL_locz00;
   obj_t BgL_namez00;
   obj_t BgL_modz00;
} *BgL_ev_defglobalz00_bglt;

typedef struct BgL_ev_bindzd2exitzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_varz00_bgl * BgL_varz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_bindzd2exitzd2_bglt;

typedef struct BgL_ev_unwindzd2protectzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_ez00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_unwindzd2protectzd2_bglt;

typedef struct BgL_ev_withzd2handlerzd2_bgl {
   header_t header;
   obj_t widening;
   struct BgL_ev_exprz00_bgl * BgL_handlerz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_withzd2handlerzd2_bglt;

typedef struct BgL_ev_synchroniza7eza7_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_mutexz00;
   struct BgL_ev_exprz00_bgl * BgL_prelockz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_synchroniza7eza7_bglt;

typedef struct BgL_ev_binderz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_binderz00_bglt;

typedef struct BgL_ev_letz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letz00_bglt;

typedef struct BgL_ev_letza2za2_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_letza2za2_bglt;

typedef struct BgL_ev_letrecz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
} *BgL_ev_letrecz00_bglt;

typedef struct BgL_ev_labelsz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_varsz00;
   obj_t BgL_valsz00;
   obj_t BgL_envz00;
   obj_t BgL_stkz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   obj_t BgL_boxesz00;
} *BgL_ev_labelsz00_bglt;

typedef struct BgL_ev_gotoz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_varz00_bgl * BgL_labelz00;
   struct BgL_ev_labelsz00_bgl * BgL_labelsz00;
   obj_t BgL_argsz00;
} *BgL_ev_gotoz00_bglt;

typedef struct BgL_ev_appz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   struct BgL_ev_exprz00_bgl * BgL_funz00;
   obj_t BgL_argsz00;
   obj_t BgL_tailzf3zf3;
} *BgL_ev_appz00_bglt;

typedef struct BgL_ev_absz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
   obj_t BgL_wherez00;
   obj_t BgL_arityz00;
   obj_t BgL_varsz00;
   struct BgL_ev_exprz00_bgl * BgL_bodyz00;
   int BgL_siza7eza7;
   obj_t BgL_bindz00;
   obj_t BgL_freez00;
   obj_t BgL_innerz00;
   obj_t BgL_boxesz00;
} *BgL_ev_absz00_bglt;


static obj_t BGl_symbol5230z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5232z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5234z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5236z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5238z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5240z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5242z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5244z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5246z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5248z00zz__evaluate_compz00 = BUNSPEC;
BGL_EXPORTED_DECL obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3z04anonymousza32738ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5250z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5252z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5254z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5256z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5258z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31775ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5260z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_symbol5262z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5264z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5266z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5268z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letrecz00zz__evaluate_typesz00;
static obj_t BGl_symbol5270z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5272z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5274z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5276z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5278z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letz00zz__evaluate_typesz00;
static obj_t BGl_symbol5280z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5282z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5284z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5286z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5288z00zz__evaluate_compz00 = BUNSPEC;
extern bool_t BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32952ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_assqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32791ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_objectzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza33577ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t);
extern obj_t BGl_2za2za2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zd2zd2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_2zf2zf2zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32300ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_2zc3zc3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2zd3zd3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern bool_t BGl_2ze3ze3zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_memqz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33489ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32939ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
static obj_t BGl_z62zc3z04anonymousza32794ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31798ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_isazf3zf3zz__objectz00(obj_t, obj_t);
extern obj_t make_vector(long, obj_t);
static obj_t BGl_z62run5105z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5107z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5109z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_labelsz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static long BGl_correctz00zz__evaluate_compz00(obj_t, long);
static obj_t BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t, obj_t, long, long, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_methodzd2initzd2zz__evaluate_compz00();
static obj_t BGl_z62run5111z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5113z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5115z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t, obj_t, long);
static bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run5117z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5119z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33033ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_absz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5121z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza33051ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_everrorz00zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5123z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5125z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5127z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5129z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5131z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5133z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5135z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5137z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5139z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32306ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_reset_profilez00zz__evaluate_compz00();
static obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5141z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5143z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_ifz00zz__evaluate_typesz00;
static obj_t BGl_z62run5145z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5147z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5149z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_labels1426zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32888ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5151z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5153z62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5155z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5157z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5159z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32994ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5161z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5163z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5165z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5167z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33054ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5169z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5104z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5106z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5108z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5171z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5173z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62run5175z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33160ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5177z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33055ze3ze5zz__evaluate_compz00(obj_t);
static obj_t BGl_z62run5179z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5110z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_ev_gotoz00zz__evaluate_typesz00;
static obj_t BGl_z62main5112z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5114z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5116z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5118z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62run5181z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5183z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33412ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5185z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5187z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33145ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62run5189z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5120z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32149ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5122z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5124z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5126z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5128z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62runz62zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_unwindzd2untilz12zc0zz__bexitz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33219ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5130z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5132z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5134z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5136z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5138z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
extern bool_t BGl_numberzf3zf3zz__r4_numbers_6_5z00(obj_t);
static obj_t BGl_z62compzd2ev_bindzd2exit1418z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33090ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
extern int bgl_debug();
static obj_t BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33309ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33058ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5140z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5142z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5144z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5146z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_orz00zz__evaluate_typesz00;
static obj_t BGl_z62main5148z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
extern obj_t BGl_ev_varz00zz__evaluate_typesz00;
extern obj_t create_struct(obj_t, int);
static obj_t BGl_z62zc3z04anonymousza33180ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_get_profilez00zz__evaluate_compz00();
static obj_t BGl_z62main5150z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5152z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5154z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evarityzd2errorzd2zz__everrorz00(obj_t, obj_t, int, int);
static obj_t BGl_z62main5156z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62main5158z62zz__evaluate_compz00(obj_t, obj_t);
extern long bgl_list_length(obj_t);
static obj_t BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00();
extern obj_t BGl_evwarningz00zz__everrorz00(obj_t, obj_t);
static obj_t BGl_z62main5160z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5162z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5164z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5166z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5168z62zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_withzd2handler1422z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_evmodulezd2findzd2globalz00zz__evmodulez00(obj_t, obj_t);
extern obj_t BGl_ev_andz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32631ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33344ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32615ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5170z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5172z62zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5174z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5176z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5178z62zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33167ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62main5180z62zz__evaluate_compz00(obj_t);
static bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t);
static obj_t BGl_z62main5182z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5184z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5186z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62main5188z62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33540ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_letza21414z12zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33079ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_appz00zz__evaluate_typesz00;
static obj_t BGl_lnamez00zz__evaluate_compz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32812ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorz00zz__errorz00(obj_t, obj_t, obj_t);
extern obj_t BGl_exitdzd2popzd2protectz12z12zz__bexitz00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32635ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compz62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32619ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_synchroniza7eza7zz__evaluate_typesz00;
static obj_t BGl_profzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_uncompilez00zz__evaluate_uncompz00(BgL_ev_exprz00_bglt);
static obj_t BGl_z62zc3z04anonymousza33365ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33438ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33187ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32815ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33277ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_usez00zz__evaluate_usez00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza32832ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32639ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5319z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt, long, obj_t, obj_t);
static obj_t BGl_makezd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32834ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_defglobalz00zz__evaluate_typesz00;
static obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5327z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5338z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza33565ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33638ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5340z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5342z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5344z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_prog21410zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_registerzd2genericz12zc0zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(obj_t);
static obj_t BGl_symbol5194z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5196z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00();
static obj_t BGl_symbol5198z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_formatz00zz__r4_output_6_10_3z00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32782ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__evaluate_compz00();
extern obj_t BGl_stringzd2copyzd2zz__r4_strings_6_7z00(obj_t);
extern obj_t BGl_ev_prog2z00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evtypezd2errorzd2zz__everrorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32929ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_bindzd2exitzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33659ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t bgl_reverse_bang(obj_t);
static long BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00;
extern obj_t BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33499ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_goto1428zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_let1412zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32400ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_letza2za2zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33040ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_evmodulezd2namezd2zz__evmodulez00(obj_t);
static obj_t BGl_z62zc3z04anonymousza32949ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00(obj_t);
extern obj_t BGl_ev_trapz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32877ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_zc3z04exitza33034ze3ze70z60zz__evaluate_compz00(obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_z62zc3z04anonymousza33205ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt);
static bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t, obj_t, long);
extern obj_t BGl_ev_setglobalz00zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_synchroniza7e1424z17zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33044ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl__indexz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32897ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33151ze3ze5zz__evaluate_compz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_findzd2statezd2zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62compzd2ev_app1430zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t, obj_t);
extern bool_t bigloo_string_lt(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33226ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_usez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evmodulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__everrorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evcompilez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__evenvz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__ppz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__srfi4z00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__dssslz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__osz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__typez00(long, char *);
extern obj_t BGl_sortz00zz__r4_vectors_6_8z00(obj_t, obj_t);
extern obj_t BGl_ev_globalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32352ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33422ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33244ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(long, long);
extern obj_t BGl_ev_littz00zz__evaluate_typesz00;
static obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33512ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_cnstzd2initzd2zz__evaluate_compz00();
static obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00();
static obj_t BGl_z62zc3z04anonymousza32800ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33084ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_abs1432zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern obj_t BGl_ev_withzd2handlerzd2zz__evaluate_typesz00;
static obj_t BGl_z62compzd2ev_letrec1416zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32623ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33353ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern bool_t BGl_evmodulezf3zf3zz__evmodulez00(obj_t);
static obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long);
static obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t);
static obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t);
static obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t);
static obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t, BgL_ev_exprz00_bglt, obj_t, obj_t, obj_t, obj_t, long, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32803ze3ze5zz__evaluate_compz00(obj_t, obj_t);
extern obj_t BGl_ev_exprz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33266ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62comp1386z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32821ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33461ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32732ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32643ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32627ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00(obj_t, obj_t, obj_t);
extern bool_t BGl_2zc3zd3z10zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33551ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32806ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_symbol5204z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62compzd2ev_unwindzd2prote1420z62zz__evaluate_compz00(obj_t, obj_t, obj_t);
static obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza31932ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5212z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5214z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5216z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5219z00zz__evaluate_compz00 = BUNSPEC;
extern bool_t BGl_2ze3zd3z30zz__r4_numbers_6_5z00(obj_t, obj_t);
extern obj_t BGl_ev_setlocalz00zz__evaluate_typesz00;
static obj_t BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33375ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt, obj_t);
static obj_t BGl_z62zc3z04anonymousza33448ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33286ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_symbol5222z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5224z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5226z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_symbol5228z00zz__evaluate_compz00 = BUNSPEC;
static obj_t BGl_z62zc3z04anonymousza31950ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32809ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_compz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STATIC_BGL_PROCEDURE( BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_bgl_za762za7c3lexintza7a1za75348z00, BGl_z62zc3lexintza1zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2zd2envz00zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3zd2envz01zz__r4_numbers_6_5z00;
extern obj_t BGl_f64vectorzd2refzd2envz00zz__srfi4z00;
extern obj_t BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_compilezd2envzd2zz__evaluate_compz00, BgL_bgl_za762compileza762za7za7_5349z00, BGl_z62compilez62zz__evaluate_compz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_ze3zd2envz31zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5200z00zz__evaluate_compz00, BgL_bgl_string5200za700za7za7_5350za7, "non non non", 11 );
DEFINE_STRING( BGl_string5201z00zz__evaluate_compz00, BgL_bgl_string5201za700za7za7_5351za7, " in ", 4 );
DEFINE_STRING( BGl_string5202z00zz__evaluate_compz00, BgL_bgl_string5202za700za7za7_5352za7, "eval", 4 );
DEFINE_STRING( BGl_string5203z00zz__evaluate_compz00, BgL_bgl_string5203za700za7za7_5353za7, "internal error: not found", 25 );
DEFINE_STRING( BGl_string5205z00zz__evaluate_compz00, BgL_bgl_string5205za700za7za7_5354za7, "at", 2 );
DEFINE_STRING( BGl_string5206z00zz__evaluate_compz00, BgL_bgl_string5206za700za7za7_5355za7, "", 0 );
DEFINE_STRING( BGl_string5207z00zz__evaluate_compz00, BgL_bgl_string5207za700za7za7_5356za7, "/builddir/build/BUILD/bigloo-4.3h/runtime/Eval/evaluate_comp.scm", 64 );
extern obj_t BGl_zf2zd2envz20zz__r4_numbers_6_5z00;
DEFINE_STRING( BGl_string5208z00zz__evaluate_compz00, BgL_bgl_string5208za700za7za7_5357za7, "&compile", 8 );
DEFINE_STRING( BGl_string5209z00zz__evaluate_compz00, BgL_bgl_string5209za700za7za7_5358za7, "ev_expr", 7 );
DEFINE_STRING( BGl_string5210z00zz__evaluate_compz00, BgL_bgl_string5210za700za7za7_5359za7, "expecting ~a, got ~a", 20 );
DEFINE_STRING( BGl_string5211z00zz__evaluate_compz00, BgL_bgl_string5211za700za7za7_5360za7, "wrong number of argument", 24 );
extern obj_t BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5213z00zz__evaluate_compz00, BgL_bgl_string5213za700za7za7_5361za7, "mcell", 5 );
DEFINE_STRING( BGl_string5215z00zz__evaluate_compz00, BgL_bgl_string5215za700za7za7_5362za7, "internal", 8 );
DEFINE_STRING( BGl_string5217z00zz__evaluate_compz00, BgL_bgl_string5217za700za7za7_5363za7, "impossible", 10 );
DEFINE_STRING( BGl_string5218z00zz__evaluate_compz00, BgL_bgl_string5218za700za7za7_5364za7, "procedure", 9 );
DEFINE_STRING( BGl_string5220z00zz__evaluate_compz00, BgL_bgl_string5220za700za7za7_5365za7, "user", 4 );
DEFINE_STRING( BGl_string5221z00zz__evaluate_compz00, BgL_bgl_string5221za700za7za7_5366za7, "invalid byte code", 17 );
DEFINE_STRING( BGl_string5223z00zz__evaluate_compz00, BgL_bgl_string5223za700za7za7_5367za7, "+", 1 );
DEFINE_STRING( BGl_string5225z00zz__evaluate_compz00, BgL_bgl_string5225za700za7za7_5368za7, "number", 6 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_findzd2statezd2envz00zz__evaluate_compz00, BgL_bgl_za762findza7d2stateza75369za7, BGl_z62findzd2statezb0zz__evaluate_compz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string5227z00zz__evaluate_compz00, BgL_bgl_string5227za700za7za7_5370za7, "-", 1 );
DEFINE_STRING( BGl_string5229z00zz__evaluate_compz00, BgL_bgl_string5229za700za7za7_5371za7, "*", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5300z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_def5372z00, BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5301z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lit5373z00, BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5302z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_if15374z00, BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5303z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_or15375z00, BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5304z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_and5376z00, BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5305z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_pro5377z00, BGl_z62compzd2ev_prog21410zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5306z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5378z00, BGl_z62compzd2ev_let1412zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5231z00zz__evaluate_compz00, BgL_bgl_string5231za700za7za7_5379za7, "/", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5307z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5380z00, BGl_z62compzd2ev_letza21414z12zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5308z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_let5381z00, BGl_z62compzd2ev_letrec1416zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5233z00zz__evaluate_compz00, BgL_bgl_string5233za700za7za7_5382za7, "<", 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5309z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_bin5383z00, BGl_z62compzd2ev_bindzd2exit1418z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5235z00zz__evaluate_compz00, BgL_bgl_string5235za700za7za7_5384za7, ">", 1 );
DEFINE_STRING( BGl_string5237z00zz__evaluate_compz00, BgL_bgl_string5237za700za7za7_5385za7, "<=", 2 );
DEFINE_STRING( BGl_string5239z00zz__evaluate_compz00, BgL_bgl_string5239za700za7za7_5386za7, ">=", 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5310z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_unw5387z00, BGl_z62compzd2ev_unwindzd2prote1420z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5311z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_wit5388z00, BGl_z62compzd2ev_withzd2handler1422z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5312z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_syn5389z00, BGl_z62compzd2ev_synchroniza7e1424z17zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5313z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_lab5390z00, BGl_z62compzd2ev_labels1426zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5314z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_got5391z00, BGl_z62compzd2ev_goto1428zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5315z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_app5392z00, BGl_z62compzd2ev_app1430zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5316z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_abs5393z00, BGl_z62compzd2ev_abs1432zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STRING( BGl_string5241z00zz__evaluate_compz00, BgL_bgl_string5241za700za7za7_5394za7, "=", 1 );
DEFINE_STRING( BGl_string5243z00zz__evaluate_compz00, BgL_bgl_string5243za700za7za7_5395za7, "+fx", 3 );
DEFINE_STRING( BGl_string5245z00zz__evaluate_compz00, BgL_bgl_string5245za700za7za7_5396za7, "fixnum", 6 );
DEFINE_STRING( BGl_string5247z00zz__evaluate_compz00, BgL_bgl_string5247za700za7za7_5397za7, "-fx", 3 );
DEFINE_STRING( BGl_string5249z00zz__evaluate_compz00, BgL_bgl_string5249za700za7za7_5398za7, "*fx", 3 );
extern obj_t BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00;
DEFINE_STRING( BGl_string5251z00zz__evaluate_compz00, BgL_bgl_string5251za700za7za7_5399za7, "/fx", 3 );
DEFINE_STRING( BGl_string5253z00zz__evaluate_compz00, BgL_bgl_string5253za700za7za7_5400za7, "<fx", 3 );
DEFINE_STRING( BGl_string5255z00zz__evaluate_compz00, BgL_bgl_string5255za700za7za7_5401za7, ">fx", 3 );
DEFINE_STRING( BGl_string5257z00zz__evaluate_compz00, BgL_bgl_string5257za700za7za7_5402za7, "<=fx", 4 );
DEFINE_STRING( BGl_string5259z00zz__evaluate_compz00, BgL_bgl_string5259za700za7za7_5403za7, ">=fx", 4 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5330z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5404za7, BGl_z62zc3z04anonymousza32791ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5331z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5405za7, BGl_z62zc3z04anonymousza32794ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5332z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5406za7, BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5333z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5407za7, BGl_z62zc3z04anonymousza32800ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5334z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5408za7, BGl_z62zc3z04anonymousza32803ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5335z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5409za7, BGl_z62zc3z04anonymousza32806ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5336z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5410za7, BGl_z62zc3z04anonymousza32809ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5261z00zz__evaluate_compz00, BgL_bgl_string5261za700za7za7_5411za7, "=fx", 3 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5337z00zz__evaluate_compz00, BgL_bgl_za762za7c3za704anonymo5412za7, BGl_z62zc3z04anonymousza32812ze3ze5zz__evaluate_compz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string5263z00zz__evaluate_compz00, BgL_bgl_string5263za700za7za7_5413za7, "+fl", 3 );
DEFINE_STRING( BGl_string5265z00zz__evaluate_compz00, BgL_bgl_string5265za700za7za7_5414za7, "flonum", 6 );
DEFINE_STRING( BGl_string5267z00zz__evaluate_compz00, BgL_bgl_string5267za700za7za7_5415za7, "-fl", 3 );
DEFINE_STRING( BGl_string5269z00zz__evaluate_compz00, BgL_bgl_string5269za700za7za7_5416za7, "*fl", 3 );
DEFINE_STRING( BGl_string5271z00zz__evaluate_compz00, BgL_bgl_string5271za700za7za7_5417za7, "/fl", 3 );
DEFINE_STRING( BGl_string5273z00zz__evaluate_compz00, BgL_bgl_string5273za700za7za7_5418za7, "<fl", 3 );
DEFINE_STRING( BGl_string5275z00zz__evaluate_compz00, BgL_bgl_string5275za700za7za7_5419za7, ">fl", 3 );
DEFINE_STRING( BGl_string5277z00zz__evaluate_compz00, BgL_bgl_string5277za700za7za7_5420za7, "<=fl", 4 );
DEFINE_STRING( BGl_string5279z00zz__evaluate_compz00, BgL_bgl_string5279za700za7za7_5421za7, ">=fl", 4 );
extern obj_t BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5281z00zz__evaluate_compz00, BgL_bgl_string5281za700za7za7_5422za7, "=fl", 3 );
DEFINE_STRING( BGl_string5283z00zz__evaluate_compz00, BgL_bgl_string5283za700za7za7_5423za7, "car", 3 );
DEFINE_STRING( BGl_string5285z00zz__evaluate_compz00, BgL_bgl_string5285za700za7za7_5424za7, "pair", 4 );
DEFINE_STRING( BGl_string5287z00zz__evaluate_compz00, BgL_bgl_string5287za700za7za7_5425za7, "cdr", 3 );
DEFINE_STRING( BGl_string5289z00zz__evaluate_compz00, BgL_bgl_string5289za700za7za7_5426za7, "cadr", 4 );
DEFINE_STRING( BGl_string5291z00zz__evaluate_compz00, BgL_bgl_string5291za700za7za7_5427za7, "comp1386", 8 );
DEFINE_STRING( BGl_string5292z00zz__evaluate_compz00, BgL_bgl_string5292za700za7za7_5428za7, "internal error: not defined for", 31 );
DEFINE_STRING( BGl_string5293z00zz__evaluate_compz00, BgL_bgl_string5293za700za7za7_5429za7, "&comp", 5 );
DEFINE_STRING( BGl_string5295z00zz__evaluate_compz00, BgL_bgl_string5295za700za7za7_5430za7, "comp", 4 );
extern obj_t BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00;
extern obj_t BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00;
DEFINE_STATIC_BGL_GENERIC( BGl_compzd2envzd2zz__evaluate_compz00, BgL_bgl_za762compza762za7za7__ev5431z00, BGl_z62compz62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00;
extern obj_t BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00;
extern obj_t BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00;
DEFINE_STRING( BGl_string5317z00zz__evaluate_compz00, BgL_bgl_string5317za700za7za7_5432za7, "internal error", 14 );
DEFINE_STRING( BGl_string5318z00zz__evaluate_compz00, BgL_bgl_string5318za700za7za7_5433za7, "must be dead code", 17 );
DEFINE_STRING( BGl_string5320z00zz__evaluate_compz00, BgL_bgl_string5320za700za7za7_5434za7, "notyet", 6 );
DEFINE_STRING( BGl_string5321z00zz__evaluate_compz00, BgL_bgl_string5321za700za7za7_5435za7, "synchronize", 11 );
DEFINE_STRING( BGl_string5322z00zz__evaluate_compz00, BgL_bgl_string5322za700za7za7_5436za7, "mutex", 5 );
DEFINE_STRING( BGl_string5323z00zz__evaluate_compz00, BgL_bgl_string5323za700za7za7_5437za7, "set!", 4 );
DEFINE_STRING( BGl_string5324z00zz__evaluate_compz00, BgL_bgl_string5324za700za7za7_5438za7, "read-only variable", 18 );
DEFINE_STRING( BGl_string5325z00zz__evaluate_compz00, BgL_bgl_string5325za700za7za7_5439za7, "\nRedefinition of compiled variable -- ", 38 );
DEFINE_STRING( BGl_string5326z00zz__evaluate_compz00, BgL_bgl_string5326za700za7za7_5440za7, "Unbound variable", 16 );
DEFINE_STRING( BGl_string5328z00zz__evaluate_compz00, BgL_bgl_string5328za700za7za7_5441za7, "@", 1 );
DEFINE_STRING( BGl_string5329z00zz__evaluate_compz00, BgL_bgl_string5329za700za7za7_5442za7, "Uninitialized variable", 22 );
extern obj_t BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00;
extern obj_t BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00;
DEFINE_STRING( BGl_string5339z00zz__evaluate_compz00, BgL_bgl_string5339za700za7za7_5443za7, "get_sp", 6 );
DEFINE_STRING( BGl_string5341z00zz__evaluate_compz00, BgL_bgl_string5341za700za7za7_5444za7, "reset_profile", 13 );
DEFINE_STRING( BGl_string5343z00zz__evaluate_compz00, BgL_bgl_string5343za700za7za7_5445za7, "get_profile", 11 );
DEFINE_STRING( BGl_string5345z00zz__evaluate_compz00, BgL_bgl_string5345za700za7za7_5446za7, "reset_stack", 11 );
DEFINE_STRING( BGl_string5346z00zz__evaluate_compz00, BgL_bgl_string5346za700za7za7_5447za7, "internal error: unknown command", 31 );
DEFINE_STRING( BGl_string5347z00zz__evaluate_compz00, BgL_bgl_string5347za700za7za7_5448za7, "__evaluate_comp", 15 );
DEFINE_STRING( BGl_string5195z00zz__evaluate_compz00, BgL_bgl_string5195za700za7za7_5449za7, "all", 3 );
DEFINE_STRING( BGl_string5197z00zz__evaluate_compz00, BgL_bgl_string5197za700za7za7_5450za7, "label-tag", 9 );
DEFINE_STRING( BGl_string5199z00zz__evaluate_compz00, BgL_bgl_string5199za700za7za7_5451za7, "bounce", 6 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5290z00zz__evaluate_compz00, BgL_bgl_za762comp1386za762za7za75452z00, BGl_z62comp1386z62zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5294z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_tra5453z00, BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00;
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5296z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_var5454z00, BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5297z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5455z00, BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5298z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_glo5456z00, BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc5299z00zz__evaluate_compz00, BgL_bgl_za762compza7d2ev_set5457z00, BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00, 0L, BUNSPEC, 2 );
extern obj_t BGl_za2zd2envz70zz__r4_numbers_6_5z00;
extern obj_t BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00;
extern obj_t BGl_zb2zd2envz60zz__r4_numbers_6_5z00;
extern obj_t BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00;
extern obj_t BGl_zc3zd2envz11zz__r4_numbers_6_5z00;
extern obj_t BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol5230z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5232z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5234z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5236z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5238z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5240z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5242z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5244z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5246z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5248z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5250z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5252z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5254z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5256z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5258z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5260z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5262z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5264z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5266z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5268z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5270z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5272z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5274z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5276z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5278z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5280z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5282z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5284z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5286z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5288z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5319z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5327z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5338z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5340z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5342z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5344z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5194z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5196z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5198z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5204z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5212z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5214z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5216z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5219z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5222z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5224z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5226z00zz__evaluate_compz00) );
ADD_ROOT( (void *)(&BGl_symbol5228z00zz__evaluate_compz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Eval/evaluate_comp.scm\" 963) \"BGl_toplevelzd2initzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"append-21010\" \"BGl_appendzd221010zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset_profile\" \"Eval/evaluate_comp.scm\" 3738) \"BGl_reset_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"o->s~0\" \"Eval/evaluate_comp.scm\" 3991) \"BGl_ozd2ze3sze70zd6zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<lexint\" \"Eval/evaluate_comp.scm\" 3822) \"BGl_z62zc3lexintza1zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get_profile\" \"Eval/evaluate_comp.scm\" 4130) \"BGl_get_profilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~1\" \"Eval/evaluate_comp.scm\" 4155) \"BGl_recze71ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"index\" \"Eval/evaluate_comp.scm\" 4323) \"BGl_indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"_index\" \"Eval/evaluate_comp.scm\" 4474) \"BGl__indexz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"lname\" \"Eval/evaluate_comp.scm\" 5060) \"BGl_lnamez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"loc-type-error\" \"Eval/evaluate_comp.scm\" 5157) \"BGl_loczd2typezd2errorz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Eval/evaluate_comp.scm\" 5415) \"BGl_makezd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_findzd2statezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&find-state\" \"Eval/evaluate_comp.scm\" 5531) \"BGl_z62findzd2statezb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_compilez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&compile\" \"Eval/evaluate_comp.scm\" 6974) \"BGl_z62compilez62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"global-fun-value\" \"Eval/evaluate_comp.scm\" 8623) \"BGl_globalzd2funzd2valuez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-goto-trampoline\" \"Eval/evaluate_comp.scm\" 17544) \"BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-boxes-args-on-sp\" \"Eval/evaluate_comp.scm\" 18918) \"BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"sub-stk\" \"Eval/evaluate_comp.scm\" 19526) \"BGl_subzd2stkzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"catch-trampoline\" \"Eval/evaluate_comp.scm\" 20027) \"BGl_catchzd2trampolinezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"check-stack\" \"Eval/evaluate_comp.scm\" 20362) \"BGl_checkzd2stackzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-with-push\" \"Eval/evaluate_comp.scm\" 20432) \"BGl_compzd2withzd2pushz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"rec~0\" \"Eval/evaluate_comp.scm\" 20677) \"BGl_recze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"subr-call-with-push\" \"Eval/evaluate_comp.scm\" 20840) \"BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-args-on-sp\" \"Eval/evaluate_comp.scm\" 21077) \"BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"push-nargs-on-sp\" \"Eval/evaluate_comp.scm\" 21237) \"BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"need-shift\" \"Eval/evaluate_comp.scm\" 23383) \"BGl_needzd2shiftzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-old-call\" \"Eval/evaluate_comp.scm\" 23648) \"BGl_compzd2oldzd2callz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1752>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1775>\" \"Eval/evaluate_comp.scm\" 24088) \"BGl_z62zc3z04anonymousza31775ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1798>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31798ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1818>\" \"Eval/evaluate_comp.scm\" 24429) \"BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1839>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1859>\" \"Eval/evaluate_comp.scm\" 23861) \"BGl_z62zc3z04anonymousza31859ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call0\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call0zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1882>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31882ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1884>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1888>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1902>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31902ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1918>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1932>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31932ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call1\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call1zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1948>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31948ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1950>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31950ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1954>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31954ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1973>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1994>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2013>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call2\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call2zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2034>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32034ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2036>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32036ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2040>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32040ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2066>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2094>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32094ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2120>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32120ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call3\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call3zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2149>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32149ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2151>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2155>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32155ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2191>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2228>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32228ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2263>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32263ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp-call4\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_compzd2call4zd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2300>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32300ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2302>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32302ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2306>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32306ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2352>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32352ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2400>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32400ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2446>\" \"Eval/evaluate_comp.scm\" 28541) \"BGl_z62zc3z04anonymousza32446ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"is-constant-fun?\" \"Eval/evaluate_comp.scm\" 28599) \"BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"compile-float-arith\" \"Eval/evaluate_comp.scm\" 29243) \"BGl_compilezd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"eval-float-arith\" \"Eval/evaluate_comp.scm\" 30631) \"BGl_evalzd2floatzd2arithz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"E~0\" \"Eval/evaluate_comp.scm\" 31463) \"BGl_Eze70ze7zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"arith-expression\" \"Eval/evaluate_comp.scm\" 31480) \"BGl_arithzd2expressionzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2615>\" \"Eval/evaluate_comp.scm\" 31744) \"BGl_z62zc3z04anonymousza32615ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"inline-call\" \"Eval/evaluate_comp.scm\" 32671) \"BGl_inlinezd2callzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2619>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32619ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2623>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32623ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2627>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32627ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2631>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32631ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2635>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32635ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2639>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32639ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2643>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32643ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2647>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2651>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2655>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2659>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2663>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2667>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2671>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2675>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2679>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2683>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2687>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2691>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2695>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2699>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2703>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2707>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2711>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2715>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2719>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2723>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2727>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2729>\" \"Eval/evaluate_comp.scm\" 33014) \"BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2732>\" \"Eval/evaluate_comp.scm\" 32860) \"BGl_z62zc3z04anonymousza32732ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2735>\" \"Eval/evaluate_comp.scm\" 32860) \"BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2738>\" \"Eval/evaluate_comp.scm\" 32860) \"BGl_z62zc3z04anonymousza32738ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadr?\" \"Eval/evaluate_comp.scm\" 33248) \"BGl_cadrzf3zf3zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"cadrerrv\" \"Eval/evaluate_comp.scm\" 33304) \"BGl_cadrerrvz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"correct\" \"Eval/evaluate_comp.scm\" 34318) \"BGl_correctz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"bind-frame\" \"Eval/evaluate_comp.scm\" 34404) \"BGl_bindzd2framezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-boxes\" \"Eval/evaluate_comp.scm\" 38731) \"BGl_makezd2boxeszd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-collect\" \"Eval/evaluate_comp.scm\" 38987) \"BGl_freezd2collectzd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"free-restore\" \"Eval/evaluate_comp.scm\" 39257) \"BGl_freezd2restorezd2zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp1386\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62comp1386z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_compz00zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp\" \"Eval/evaluate_comp.scm\" 7022) \"BGl_z62compz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_abs1432\" \"Eval/evaluate_comp.scm\" 38257) \"BGl_z62compzd2ev_abs1432zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3540>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33540ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62mainz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62runz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3551>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33551ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5104\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5104z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5105\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5105z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3565>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33565ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5106\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5106z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5107\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5107z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3577>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33577ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5108\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5108z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5109\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5109z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3489>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33489ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5110\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5110z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5111\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5111z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3499>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33499ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5112\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5112z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5113\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5113z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3512>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33512ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5114\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5114z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5115\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5115z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3523>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5116\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5116z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5117\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5117z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3438>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33438ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5118\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5118z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5119\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5119z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3448>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33448ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5120\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5120z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5121\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5121z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3461>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33461ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5122\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5122z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5123\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5123z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3472>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5124\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5124z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5125\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5125z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3391>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5126\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5126z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5127\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5127z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3400>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5128\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5128z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5129\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5129z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3412>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33412ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5130\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5130z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5131\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5131z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3422>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33422ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5132\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5132z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5133\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5133z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3344>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33344ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5134\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5134z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5135\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5135z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3353>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33353ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5136\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5136z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5137\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5137z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3365>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33365ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5138\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5138z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5139\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5139z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3375>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33375ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5140\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5140z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5141\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5141z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3301>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5142\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5142z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5143\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5143z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3309>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33309ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5144\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5144z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5145\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5145z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3320>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5146\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5146z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5147\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5147z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3329>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5148\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5148z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5149\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5149z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3258>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5150\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5150z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5151\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5151z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3266>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33266ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5152\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5152z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5153\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5153z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3277>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33277ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5154\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5154z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5155\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5155z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3286>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33286ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5156\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5156z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5157\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5157z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3219>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33219ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5158\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5158z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5159\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5159z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3226>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33226ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5160\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5160z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5161\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5161z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3236>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5162\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5162z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5163\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5163z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3244>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33244ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5164\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5164z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5165\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5165z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3180>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33180ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5166\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5166z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5167\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5167z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3187>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33187ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5168\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5168z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5169\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5169z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3197>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5170\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5170z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5171\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5171z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3205>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33205ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5172\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5172z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5173\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5173z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3145>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33145ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5174\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5174z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5175\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5175z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3151>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33151ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5176\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5176z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5177\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5177z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3160>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33160ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5178\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5178z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5179\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5179z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3167>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33167ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5180\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5180z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5181\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5181z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3595>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5182\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5182z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5183\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5183z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3615>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5184\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5184z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5185\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5185z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3638>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33638ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5186\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5186z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5187\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5187z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3659>\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62zc3z04anonymousza33659ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&main5188\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62main5188z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&run5189\" \"Eval/evaluate_comp.scm\" 38688) \"BGl_z62run5189z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_app1430\" \"Eval/evaluate_comp.scm\" 33872) \"BGl_z62compzd2ev_app1430zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_goto1428\" \"Eval/evaluate_comp.scm\" 17884) \"BGl_z62compzd2ev_goto1428zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3084>\" \"Eval/evaluate_comp.scm\" 18509) \"BGl_z62zc3z04anonymousza33084ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3090>\" \"Eval/evaluate_comp.scm\" 18790) \"BGl_z62zc3z04anonymousza33090ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_labels1426\" \"Eval/evaluate_comp.scm\" 16809) \"BGl_z62compzd2ev_labels1426zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3079>\" \"Eval/evaluate_comp.scm\" 17482) \"BGl_z62zc3z04anonymousza33079ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_synchronize1424\" \"Eval/evaluate_comp.scm\" 16182) \"BGl_z62compzd2ev_synchroniza7e1424z17zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3058>\" \"Eval/evaluate_comp.scm\" 16392) \"BGl_z62zc3z04anonymousza33058ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_with-handler1422\" \"Eval/evaluate_comp.scm\" 15840) \"BGl_z62compzd2ev_withzd2handler1422z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3044>\" \"Eval/evaluate_comp.scm\" 16005) \"BGl_z62zc3z04anonymousza33044ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3051>~0\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_zc3z04exitza33051ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3054>\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_z62zc3z04anonymousza33054ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3055>\" \"Eval/evaluate_comp.scm\" 16112) \"BGl_z62zc3z04anonymousza33055ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_unwind-prote1420\" \"Eval/evaluate_comp.scm\" 15532) \"BGl_z62compzd2ev_unwindzd2prote1420z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3040>\" \"Eval/evaluate_comp.scm\" 15683) \"BGl_z62zc3z04anonymousza33040ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3041>\" \"Eval/evaluate_comp.scm\" 15752) \"BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_bind-exit1418\" \"Eval/evaluate_comp.scm\" 15077) \"BGl_z62compzd2ev_bindzd2exit1418z62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3033>\" \"Eval/evaluate_comp.scm\" 15316) \"BGl_z62zc3z04anonymousza33033ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"<@exit:3034>~0\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_zc3z04exitza33034ze3ze70z60zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&exit\" \"Eval/evaluate_comp.scm\" 15383) \"BGl_z62exitz62zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_letrec1416\" \"Eval/evaluate_comp.scm\" 14024) \"BGl_z62compzd2ev_letrec1416zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2994>\" \"Eval/evaluate_comp.scm\" 14306) \"BGl_z62zc3z04anonymousza32994ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:3007>\" \"Eval/evaluate_comp.scm\" 14662) \"BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let*1414\" \"Eval/evaluate_comp.scm\" 13529) \"BGl_z62compzd2ev_letza21414z12zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2973>\" \"Eval/evaluate_comp.scm\" 13764) \"BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_let1412\" \"Eval/evaluate_comp.scm\" 12849) \"BGl_z62compzd2ev_let1412zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2952>\" \"Eval/evaluate_comp.scm\" 13176) \"BGl_z62zc3z04anonymousza32952ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_prog21410\" \"Eval/evaluate_comp.scm\" 12655) \"BGl_z62compzd2ev_prog21410zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2949>\" \"Eval/evaluate_comp.scm\" 12785) \"BGl_z62zc3z04anonymousza32949ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_and1407\" \"Eval/evaluate_comp.scm\" 12369) \"BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2939>\" \"Eval/evaluate_comp.scm\" 12500) \"BGl_z62zc3z04anonymousza32939ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_or1405\" \"Eval/evaluate_comp.scm\" 12111) \"BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2929>\" \"Eval/evaluate_comp.scm\" 12240) \"BGl_z62zc3z04anonymousza32929ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_if1403\" \"Eval/evaluate_comp.scm\" 11907) \"BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2924>\" \"Eval/evaluate_comp.scm\" 12044) \"BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_litt1401\" \"Eval/evaluate_comp.scm\" 11788) \"BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2923>\" \"Eval/evaluate_comp.scm\" 11867) \"BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_defglobal1399\" \"Eval/evaluate_comp.scm\" 10831) \"BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2897>\" \"Eval/evaluate_comp.scm\" 10957) \"BGl_z62zc3z04anonymousza32897ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setglobal1397\" \"Eval/evaluate_comp.scm\" 9970) \"BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2872>\" \"Eval/evaluate_comp.scm\" 10180) \"BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2877>\" \"Eval/evaluate_comp.scm\" 10353) \"BGl_z62zc3z04anonymousza32877ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2888>\" \"Eval/evaluate_comp.scm\" 10613) \"BGl_z62zc3z04anonymousza32888ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_global1395\" \"Eval/evaluate_comp.scm\" 8830) \"BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2832>\" \"Eval/evaluate_comp.scm\" 9018) \"BGl_z62zc3z04anonymousza32832ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2834>\" \"Eval/evaluate_comp.scm\" 9111) \"BGl_z62zc3z04anonymousza32834ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2845>\" \"Eval/evaluate_comp.scm\" 9364) \"BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_setlocal1393\" \"Eval/evaluate_comp.scm\" 8242) \"BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2821>\" \"Eval/evaluate_comp.scm\" 8418) \"BGl_z62zc3z04anonymousza32821ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2825>\" \"Eval/evaluate_comp.scm\" 8525) \"BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_var1391\" \"Eval/evaluate_comp.scm\" 8097) \"BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2809>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32809ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2812>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32812ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2803>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32803ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2806>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32806ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2797>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2800>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32800ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2791>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32791ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2794>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32794ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2815>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32815ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2818>\" \"Eval/evaluate_comp.scm\" 8208) \"BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&comp-ev_trap1389\" \"Eval/evaluate_comp.scm\" 7340) \"BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:2782>\" \"Eval/evaluate_comp.scm\" 7442) \"BGl_z62zc3z04anonymousza32782ze3ze5zz__evaluate_compz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__evaluate_compz00(long BgL_checksumz00_15057, char * BgL_fromz00_15058)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__evaluate_compz00))
{ 
BGl_requirezd2initializa7ationz75zz__evaluate_compz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__evaluate_compz00(); 
BGl_cnstzd2initzd2zz__evaluate_compz00(); 
BGl_importedzd2moduleszd2initz00zz__evaluate_compz00(); 
BGl_genericzd2initzd2zz__evaluate_compz00(); 
BGl_methodzd2initzd2zz__evaluate_compz00(); 
BGl_toplevelzd2initzd2zz__evaluate_compz00(); 
return 
BGl_profzd2initzd2zz__evaluate_compz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_symbol5194z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5195z00zz__evaluate_compz00); 
BGl_symbol5196z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5197z00zz__evaluate_compz00); 
BGl_symbol5198z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5199z00zz__evaluate_compz00); 
BGl_symbol5204z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5205z00zz__evaluate_compz00); 
BGl_symbol5212z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5213z00zz__evaluate_compz00); 
BGl_symbol5214z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5215z00zz__evaluate_compz00); 
BGl_symbol5216z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5217z00zz__evaluate_compz00); 
BGl_symbol5219z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5220z00zz__evaluate_compz00); 
BGl_symbol5222z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5223z00zz__evaluate_compz00); 
BGl_symbol5224z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5225z00zz__evaluate_compz00); 
BGl_symbol5226z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5227z00zz__evaluate_compz00); 
BGl_symbol5228z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5229z00zz__evaluate_compz00); 
BGl_symbol5230z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5231z00zz__evaluate_compz00); 
BGl_symbol5232z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5233z00zz__evaluate_compz00); 
BGl_symbol5234z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5235z00zz__evaluate_compz00); 
BGl_symbol5236z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5237z00zz__evaluate_compz00); 
BGl_symbol5238z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5239z00zz__evaluate_compz00); 
BGl_symbol5240z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5241z00zz__evaluate_compz00); 
BGl_symbol5242z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5243z00zz__evaluate_compz00); 
BGl_symbol5244z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5245z00zz__evaluate_compz00); 
BGl_symbol5246z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5247z00zz__evaluate_compz00); 
BGl_symbol5248z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5249z00zz__evaluate_compz00); 
BGl_symbol5250z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5251z00zz__evaluate_compz00); 
BGl_symbol5252z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5253z00zz__evaluate_compz00); 
BGl_symbol5254z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5255z00zz__evaluate_compz00); 
BGl_symbol5256z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5257z00zz__evaluate_compz00); 
BGl_symbol5258z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5259z00zz__evaluate_compz00); 
BGl_symbol5260z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5261z00zz__evaluate_compz00); 
BGl_symbol5262z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5263z00zz__evaluate_compz00); 
BGl_symbol5264z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5265z00zz__evaluate_compz00); 
BGl_symbol5266z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5267z00zz__evaluate_compz00); 
BGl_symbol5268z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5269z00zz__evaluate_compz00); 
BGl_symbol5270z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5271z00zz__evaluate_compz00); 
BGl_symbol5272z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5273z00zz__evaluate_compz00); 
BGl_symbol5274z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5275z00zz__evaluate_compz00); 
BGl_symbol5276z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5277z00zz__evaluate_compz00); 
BGl_symbol5278z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5279z00zz__evaluate_compz00); 
BGl_symbol5280z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5281z00zz__evaluate_compz00); 
BGl_symbol5282z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5283z00zz__evaluate_compz00); 
BGl_symbol5284z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5285z00zz__evaluate_compz00); 
BGl_symbol5286z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5287z00zz__evaluate_compz00); 
BGl_symbol5288z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5289z00zz__evaluate_compz00); 
BGl_symbol5319z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5320z00zz__evaluate_compz00); 
BGl_symbol5327z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5328z00zz__evaluate_compz00); 
BGl_symbol5338z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5339z00zz__evaluate_compz00); 
BGl_symbol5340z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5341z00zz__evaluate_compz00); 
BGl_symbol5342z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5343z00zz__evaluate_compz00); 
return ( 
BGl_symbol5344z00zz__evaluate_compz00 = 
bstring_to_symbol(BGl_string5345z00zz__evaluate_compz00), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_arg1476z00_1352;
{ /* Eval/evaluate_comp.scm 114 */
BGL_LONGLONG_T BgL_res3976z00_6406;
BgL_res3976z00_6406 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1476z00_1352 = BgL_res3976z00_6406; } 
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_list1477z00_1353;
{ /* Eval/evaluate_comp.scm 114 */
obj_t BgL_arg1478z00_1354;
BgL_arg1478z00_1354 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1476z00_1352), BNIL); 
BgL_list1477z00_1353 = 
MAKE_YOUNG_PAIR(BGl_symbol5194z00zz__evaluate_compz00, BgL_arg1478z00_1354); } 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1477z00_1353; } } 
BGl_za2za2siza7ezd2stackza2za2z75zz__evaluate_compz00 = ((long)8192); 
BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5196z00zz__evaluate_compz00, 
(int)(((long)0))); 
BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00 = 
create_struct(BGl_symbol5198z00zz__evaluate_compz00, 
(int)(((long)0))); 
return BUNSPEC;} 

}



/* append-21010 */
obj_t BGl_appendzd221010zd2zz__evaluate_compz00(obj_t BgL_l1z00_1, obj_t BgL_l2z00_2)
{
{ 
{ 
obj_t BgL_headz00_1355;
BgL_headz00_1355 = 
MAKE_YOUNG_PAIR(BNIL, BgL_l2z00_2); 
{ 
obj_t BgL_prevz00_1356;obj_t BgL_tailz00_1357;
BgL_prevz00_1356 = BgL_headz00_1355; 
BgL_tailz00_1357 = BgL_l1z00_1; 
BgL_loopz00_1358:
if(
PAIRP(BgL_tailz00_1357))
{ 
obj_t BgL_newzd2prevzd2_1360;
BgL_newzd2prevzd2_1360 = 
MAKE_YOUNG_PAIR(
CAR(BgL_tailz00_1357), BgL_l2z00_2); 
SET_CDR(BgL_prevz00_1356, BgL_newzd2prevzd2_1360); 
{ 
obj_t BgL_tailz00_15134;obj_t BgL_prevz00_15133;
BgL_prevz00_15133 = BgL_newzd2prevzd2_1360; 
BgL_tailz00_15134 = 
CDR(BgL_tailz00_1357); 
BgL_tailz00_1357 = BgL_tailz00_15134; 
BgL_prevz00_1356 = BgL_prevz00_15133; 
goto BgL_loopz00_1358;} }  else 
{ BNIL; } 
return 
CDR(BgL_headz00_1355);} } } 

}



/* reset_profile */
obj_t BGl_reset_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 132 */
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_arg1498z00_1383;
{ /* Eval/evaluate_comp.scm 133 */
BGL_LONGLONG_T BgL_res3983z00_6419;
BgL_res3983z00_6419 = 
LONG_TO_LLONG(((long)0)); 
BgL_arg1498z00_1383 = BgL_res3983z00_6419; } 
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_list1499z00_1384;
{ /* Eval/evaluate_comp.scm 133 */
obj_t BgL_arg1500z00_1385;
BgL_arg1500z00_1385 = 
MAKE_YOUNG_PAIR(
make_bllong(BgL_arg1498z00_1383), BNIL); 
BgL_list1499z00_1384 = 
MAKE_YOUNG_PAIR(BGl_symbol5194z00zz__evaluate_compz00, BgL_arg1500z00_1385); } 
return ( 
BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00 = BgL_list1499z00_1384, BUNSPEC) ;} } } 

}



/* o->s~0 */
obj_t BGl_ozd2ze3sze70zd6zz__evaluate_compz00(obj_t BgL_vz00_1394)
{
{ /* Eval/evaluate_comp.scm 141 */
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_vz00_1394))
{ /* Ieee/fixnum.scm 979 */

return 
BGl_integerzd2ze3stringz31zz__r4_numbers_6_5_fixnumz00(
(long)CINT(BgL_vz00_1394), ((long)10));}  else 
{ /* Eval/evaluate_comp.scm 138 */
if(
SYMBOLP(BgL_vz00_1394))
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_res3986z00_6424;
{ /* Eval/evaluate_comp.scm 139 */
obj_t BgL_arg3829z00_6423;
BgL_arg3829z00_6423 = 
SYMBOL_TO_STRING(BgL_vz00_1394); 
BgL_res3986z00_6424 = 
BGl_stringzd2copyzd2zz__r4_strings_6_7z00(BgL_arg3829z00_6423); } 
return BgL_res3986z00_6424;}  else 
{ /* Eval/evaluate_comp.scm 139 */
if(
STRINGP(BgL_vz00_1394))
{ /* Eval/evaluate_comp.scm 140 */
return BgL_vz00_1394;}  else 
{ /* Eval/evaluate_comp.scm 140 */
return BGl_string5200z00zz__evaluate_compz00;} } } } 

}



/* &<lexint */
obj_t BGl_z62zc3lexintza1zz__evaluate_compz00(obj_t BgL_envz00_10626, obj_t BgL_t1z00_10627, obj_t BgL_t2z00_10628)
{
{ /* Eval/evaluate_comp.scm 135 */
{ /* Eval/evaluate_comp.scm 138 */
bool_t BgL_tmpz00_15151;
{ /* Eval/evaluate_comp.scm 142 */
obj_t BgL_v1z00_12618;obj_t BgL_v2z00_12619;
BgL_v1z00_12618 = 
CAR(
((obj_t)BgL_t1z00_10627)); 
BgL_v2z00_12619 = 
CAR(
((obj_t)BgL_t2z00_10628)); 
{ /* Eval/evaluate_comp.scm 143 */
bool_t BgL_test5463z00_15156;
if(
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v1z00_12618))
{ /* Eval/evaluate_comp.scm 143 */
BgL_test5463z00_15156 = 
BGl_integerzf3zf3zz__r4_numbers_6_5_fixnumz00(BgL_v2z00_12619)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_test5463z00_15156 = ((bool_t)0)
; } 
if(BgL_test5463z00_15156)
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15151 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_v1z00_12618, BgL_v2z00_12619)
; }  else 
{ /* Eval/evaluate_comp.scm 143 */
BgL_tmpz00_15151 = 
bigloo_string_lt(
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v1z00_12618), 
BGl_ozd2ze3sze70zd6zz__evaluate_compz00(BgL_v2z00_12619))
; } } } 
return 
BBOOL(BgL_tmpz00_15151);} } 

}



/* get_profile */
obj_t BGl_get_profilez00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 147 */
BGl_recze71ze7zz__evaluate_compz00(BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00); 
return BGl_za2za2prof_resultsza2za2z00zz__evaluate_compz00;} 

}



/* rec~1 */
bool_t BGl_recze71ze7zz__evaluate_compz00(obj_t BgL_tz00_1403)
{
{ /* Eval/evaluate_comp.scm 148 */
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1511z00_1405;obj_t BgL_arg1513z00_1406;
BgL_arg1511z00_1405 = 
CDR(
((obj_t)BgL_tz00_1403)); 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_arg1514z00_1407;
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_pairz00_6435;
BgL_pairz00_6435 = 
CDR(
((obj_t)BgL_tz00_1403)); 
BgL_arg1514z00_1407 = 
CDR(BgL_pairz00_6435); } 
BgL_arg1513z00_1406 = 
BGl_sortz00zz__r4_vectors_6_8z00(BGl_zc3lexintzd2envz11zz__evaluate_compz00, BgL_arg1514z00_1407); } 
{ /* Eval/evaluate_comp.scm 149 */
obj_t BgL_tmpz00_15172;
BgL_tmpz00_15172 = 
((obj_t)BgL_arg1511z00_1405); 
SET_CDR(BgL_tmpz00_15172, BgL_arg1513z00_1406); } } 
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_g1288z00_1408;
{ /* Eval/evaluate_comp.scm 150 */
obj_t BgL_pairz00_6440;
BgL_pairz00_6440 = 
CDR(
((obj_t)BgL_tz00_1403)); 
BgL_g1288z00_1408 = 
CDR(BgL_pairz00_6440); } 
{ 
obj_t BgL_l1286z00_1410;
BgL_l1286z00_1410 = BgL_g1288z00_1408; 
BgL_zc3z04anonymousza31515ze3z87_1411:
if(
PAIRP(BgL_l1286z00_1410))
{ /* Eval/evaluate_comp.scm 150 */
BGl_recze71ze7zz__evaluate_compz00(
CAR(BgL_l1286z00_1410)); 
{ 
obj_t BgL_l1286z00_15182;
BgL_l1286z00_15182 = 
CDR(BgL_l1286z00_1410); 
BgL_l1286z00_1410 = BgL_l1286z00_15182; 
goto BgL_zc3z04anonymousza31515ze3z87_1411;} }  else 
{ /* Eval/evaluate_comp.scm 150 */
return ((bool_t)1);} } } } 

}



/* index */
obj_t BGl_indexz00zz__evaluate_compz00(obj_t BgL_xz00_6, obj_t BgL_lz00_7)
{
{ /* Eval/evaluate_comp.scm 156 */
{ 
obj_t BgL_lz00_1418;long BgL_nz00_1419;
BgL_lz00_1418 = BgL_lz00_7; 
BgL_nz00_1419 = ((long)0); 
BgL_zc3z04anonymousza31518ze3z87_1420:
if(
NULLP(BgL_lz00_1418))
{ /* Eval/evaluate_comp.scm 158 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 158 */
if(
(BgL_xz00_6==
CAR(
((obj_t)BgL_lz00_1418))))
{ /* Eval/evaluate_comp.scm 159 */
return 
BINT(BgL_nz00_1419);}  else 
{ 
long BgL_nz00_15194;obj_t BgL_lz00_15191;
BgL_lz00_15191 = 
CDR(
((obj_t)BgL_lz00_1418)); 
BgL_nz00_15194 = 
(BgL_nz00_1419+((long)1)); 
BgL_nz00_1419 = BgL_nz00_15194; 
BgL_lz00_1418 = BgL_lz00_15191; 
goto BgL_zc3z04anonymousza31518ze3z87_1420;} } } } 

}



/* _index */
obj_t BGl__indexz00zz__evaluate_compz00(obj_t BgL_xz00_8, obj_t BgL_lz00_9)
{
{ /* Eval/evaluate_comp.scm 163 */
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL__ortest_1077z00_1428;
BgL__ortest_1077z00_1428 = 
BGl_indexz00zz__evaluate_compz00(BgL_xz00_8, BgL_lz00_9); 
if(
CBOOL(BgL__ortest_1077z00_1428))
{ /* Eval/evaluate_comp.scm 164 */
return BgL__ortest_1077z00_1428;}  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1525z00_1429;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1526z00_1430;
if(
NULLP(BgL_lz00_9))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1526z00_1430 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_head1291z00_1436;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1544z00_1448;
BgL_arg1544z00_1448 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_lz00_9))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3993z00_6451;
BgL_res3993z00_6451 = 
MAKE_YOUNG_PAIR(BgL_arg1544z00_1448, BNIL); 
BgL_head1291z00_1436 = BgL_res3993z00_6451; } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_g1294z00_1437;
BgL_g1294z00_1437 = 
CDR(
((obj_t)BgL_lz00_9)); 
{ 
obj_t BgL_l1289z00_1439;obj_t BgL_tail1292z00_1440;
BgL_l1289z00_1439 = BgL_g1294z00_1437; 
BgL_tail1292z00_1440 = BgL_head1291z00_1436; 
BgL_zc3z04anonymousza31536ze3z87_1441:
if(
NULLP(BgL_l1289z00_1439))
{ /* Eval/evaluate_comp.scm 164 */
BgL_arg1526z00_1430 = BgL_head1291z00_1436; }  else 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_newtail1293z00_1443;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1541z00_1445;
BgL_arg1541z00_1445 = 
BGl_lnamez00zz__evaluate_compz00(
CAR(
((obj_t)BgL_l1289z00_1439))); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_res3995z00_6455;
BgL_res3995z00_6455 = 
MAKE_YOUNG_PAIR(BgL_arg1541z00_1445, BNIL); 
BgL_newtail1293z00_1443 = BgL_res3995z00_6455; } } 
SET_CDR(BgL_tail1292z00_1440, BgL_newtail1293z00_1443); 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1538z00_1444;
BgL_arg1538z00_1444 = 
CDR(
((obj_t)BgL_l1289z00_1439)); 
{ 
obj_t BgL_tail1292z00_15217;obj_t BgL_l1289z00_15216;
BgL_l1289z00_15216 = BgL_arg1538z00_1444; 
BgL_tail1292z00_15217 = BgL_newtail1293z00_1443; 
BgL_tail1292z00_1440 = BgL_tail1292z00_15217; 
BgL_l1289z00_1439 = BgL_l1289z00_15216; 
goto BgL_zc3z04anonymousza31536ze3z87_1441;} } } } } } 
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_list1527z00_1431;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1532z00_1432;
{ /* Eval/evaluate_comp.scm 164 */
obj_t BgL_arg1534z00_1433;
BgL_arg1534z00_1433 = 
MAKE_YOUNG_PAIR(BgL_arg1526z00_1430, BNIL); 
BgL_arg1532z00_1432 = 
MAKE_YOUNG_PAIR(BGl_string5201z00zz__evaluate_compz00, BgL_arg1534z00_1433); } 
BgL_list1527z00_1431 = 
MAKE_YOUNG_PAIR(BgL_xz00_8, BgL_arg1532z00_1432); } 
BgL_arg1525z00_1429 = BgL_list1527z00_1431; } } 
return 
BGl_errorz00zz__errorz00(BGl_string5202z00zz__evaluate_compz00, BGl_string5203z00zz__evaluate_compz00, BgL_arg1525z00_1429);} } } 

}



/* lname */
obj_t BGl_lnamez00zz__evaluate_compz00(obj_t BgL_vz00_16)
{
{ /* Eval/evaluate_comp.scm 188 */
if(
BGl_isazf3zf3zz__objectz00(BgL_vz00_16, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 189 */
return 
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_vz00_16)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 189 */
return BgL_vz00_16;} } 

}



/* loc-type-error */
obj_t BGl_loczd2typezd2errorz00zz__evaluate_compz00(obj_t BgL_fz00_17, obj_t BgL_mz00_18, obj_t BgL_vz00_19, obj_t BgL_locz00_20)
{
{ /* Eval/evaluate_comp.scm 193 */
{ 
obj_t BgL_fnamez00_1469;obj_t BgL_locz00_1470;
if(
PAIRP(BgL_locz00_20))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2194zd2_1475;
BgL_cdrzd2194zd2_1475 = 
CDR(BgL_locz00_20); 
if(
(
CAR(BgL_locz00_20)==BGl_symbol5204z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 194 */
if(
PAIRP(BgL_cdrzd2194zd2_1475))
{ /* Eval/evaluate_comp.scm 194 */
obj_t BgL_cdrzd2198zd2_1479;
BgL_cdrzd2198zd2_1479 = 
CDR(BgL_cdrzd2194zd2_1475); 
if(
PAIRP(BgL_cdrzd2198zd2_1479))
{ /* Eval/evaluate_comp.scm 194 */
if(
NULLP(
CDR(BgL_cdrzd2198zd2_1479)))
{ /* Eval/evaluate_comp.scm 194 */
BgL_fnamez00_1469 = 
CAR(BgL_cdrzd2194zd2_1475); 
BgL_locz00_1470 = 
CAR(BgL_cdrzd2198zd2_1479); 
return 
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19, BgL_fnamez00_1469, BgL_locz00_1470);}  else 
{ /* Eval/evaluate_comp.scm 194 */
BgL_tagzd2187zd2_1472:
return 
BGl_bigloozd2typezd2errorz00zz__errorz00(BgL_fz00_17, BgL_mz00_18, BgL_vz00_19);} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1472;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1472;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1472;} }  else 
{ /* Eval/evaluate_comp.scm 194 */
goto BgL_tagzd2187zd2_1472;} } } 

}



/* make-state */
obj_t BGl_makezd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 206 */
{ /* Eval/evaluate_comp.scm 207 */
obj_t BgL_stkz00_1495;
BgL_stkz00_1495 = 
make_vector(((long)8192), BGl_string5206z00zz__evaluate_compz00); 
VECTOR_SET(BgL_stkz00_1495,((long)0),
BINT(((long)2))); 
return BgL_stkz00_1495;} } 

}



/* find-state */
BGL_EXPORTED_DEF obj_t BGl_findzd2statezd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 211 */
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_sz00_1496;
{ /* Eval/evaluate_comp.scm 212 */
obj_t BgL_tmpz00_15247;
BgL_tmpz00_15247 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_sz00_1496 = 
BGL_ENV_EVSTATE(BgL_tmpz00_15247); } 
if(
VECTORP(BgL_sz00_1496))
{ /* Eval/evaluate_comp.scm 213 */
return BgL_sz00_1496;}  else 
{ /* Eval/evaluate_comp.scm 214 */
obj_t BgL_statez00_1498;
BgL_statez00_1498 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 215 */
obj_t BgL_tmpz00_15253;
BgL_tmpz00_15253 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_tmpz00_15253, BgL_statez00_1498); } 
return BgL_statez00_1498;} } } 

}



/* &find-state */
obj_t BGl_z62findzd2statezb0zz__evaluate_compz00(obj_t BgL_envz00_10629)
{
{ /* Eval/evaluate_comp.scm 211 */
return 
BGl_findzd2statezd2zz__evaluate_compz00();} 

}



/* compile */
BGL_EXPORTED_DEF obj_t BGl_compilez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_34)
{
{ /* Eval/evaluate_comp.scm 273 */
return 
BGl_compz00zz__evaluate_compz00(BgL_ez00_34, BNIL);} 

}



/* &compile */
obj_t BGl_z62compilez62zz__evaluate_compz00(obj_t BgL_envz00_10630, obj_t BgL_ez00_10631)
{
{ /* Eval/evaluate_comp.scm 273 */
{ /* Eval/evaluate_comp.scm 274 */
BgL_ev_exprz00_bglt BgL_auxz00_15258;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_10631, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 274 */
BgL_auxz00_15258 = 
((BgL_ev_exprz00_bglt)BgL_ez00_10631)
; }  else 
{ 
obj_t BgL_auxz00_15262;
BgL_auxz00_15262 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5207z00zz__evaluate_compz00, 
BINT(((long)7006)), BGl_string5208z00zz__evaluate_compz00, BGl_string5209z00zz__evaluate_compz00, BgL_ez00_10631); 
FAILURE(BgL_auxz00_15262,BFALSE,BFALSE);} 
return 
BGl_compilez00zz__evaluate_compz00(BgL_auxz00_15258);} } 

}



/* global-fun-value */
obj_t BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_43)
{
{ /* Eval/evaluate_comp.scm 332 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_ez00_43), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_gz00_1554;
{ /* Eval/evaluate_comp.scm 335 */
obj_t BgL_arg1624z00_1555;obj_t BgL_arg1625z00_1556;
BgL_arg1624z00_1555 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_modz00); 
BgL_arg1625z00_1556 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_ez00_43)))->BgL_namez00); 
BgL_gz00_1554 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg1624z00_1555, BgL_arg1625z00_1556); } 
if(
CBOOL(BgL_gz00_1554))
{ /* Eval/evaluate_comp.scm 336 */
return 
VECTOR_REF(
((obj_t)BgL_gz00_1554),((long)2));}  else 
{ /* Eval/evaluate_comp.scm 336 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 333 */
return BFALSE;} } 

}



/* catch-goto-trampoline */
obj_t BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(obj_t BgL_fz00_78, obj_t BgL_sz00_79)
{
{ /* Eval/evaluate_comp.scm 593 */
{ 
obj_t BgL_fz00_1566;
BgL_fz00_1566 = BgL_fz00_78; 
BgL_zc3z04anonymousza31634ze3z87_1567:
{ /* Eval/evaluate_comp.scm 597 */
obj_t BgL_rz00_1568;
BgL_rz00_1568 = 
PROCEDURE_ENTRY(BgL_fz00_1566)(BgL_fz00_1566, BgL_sz00_79, BEOA); 
{ /* Eval/evaluate_comp.scm 599 */
bool_t BgL_test5481z00_15283;
if(
PROCEDUREP(BgL_rz00_1568))
{ /* Eval/evaluate_comp.scm 599 */
obj_t BgL_arg1640z00_1573;
BgL_arg1640z00_1573 = 
PROCEDURE_ATTR(BgL_rz00_1568); 
if(
STRUCTP(BgL_arg1640z00_1573))
{ /* Eval/evaluate_comp.scm 569 */
BgL_test5481z00_15283 = 
(
STRUCT_KEY(BgL_arg1640z00_1573)==BGl_symbol5196z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 569 */
BgL_test5481z00_15283 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 599 */
BgL_test5481z00_15283 = ((bool_t)0)
; } 
if(BgL_test5481z00_15283)
{ 
obj_t BgL_fz00_15291;
BgL_fz00_15291 = BgL_rz00_1568; 
BgL_fz00_1566 = BgL_fz00_15291; 
goto BgL_zc3z04anonymousza31634ze3z87_1567;}  else 
{ /* Eval/evaluate_comp.scm 599 */
return BgL_rz00_1568;} } } } } 

}



/* push-boxes-args-on-sp */
obj_t BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(obj_t BgL_sz00_82, obj_t BgL_argsz00_83, obj_t BgL_boxesz00_84, long BgL_spz00_85, obj_t BgL_locz00_86)
{
{ /* Eval/evaluate_comp.scm 623 */
{ 
obj_t BgL_lz00_1576;obj_t BgL_bsz00_1577;long BgL_spz00_1578;
BgL_lz00_1576 = BgL_argsz00_83; 
BgL_bsz00_1577 = BgL_boxesz00_84; 
BgL_spz00_1578 = BgL_spz00_85; 
BgL_zc3z04anonymousza31641ze3z87_1579:
if(
NULLP(BgL_lz00_1576))
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1577))
{ /* Eval/evaluate_comp.scm 626 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 629 */
obj_t BgL_arg1644z00_1582;
{ /* Eval/evaluate_comp.scm 629 */
long BgL_arg1645z00_1583;long BgL_arg1646z00_1584;
BgL_arg1645z00_1583 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1646z00_1584 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 628 */
obj_t BgL_list1647z00_1585;
{ /* Eval/evaluate_comp.scm 628 */
obj_t BgL_arg1648z00_1586;
BgL_arg1648z00_1586 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1646z00_1584), BNIL); 
BgL_list1647z00_1585 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1645z00_1583), BgL_arg1648z00_1586); } 
BgL_arg1644z00_1582 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5210z00zz__evaluate_compz00, BgL_list1647z00_1585); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5202z00zz__evaluate_compz00, BGl_string5211z00zz__evaluate_compz00, BgL_arg1644z00_1582);} }  else 
{ /* Eval/evaluate_comp.scm 625 */
if(
NULLP(BgL_bsz00_1577))
{ /* Eval/evaluate_comp.scm 633 */
obj_t BgL_arg1650z00_1588;
{ /* Eval/evaluate_comp.scm 633 */
long BgL_arg1652z00_1589;long BgL_arg1653z00_1590;
BgL_arg1652z00_1589 = 
bgl_list_length(BgL_boxesz00_84); 
BgL_arg1653z00_1590 = 
bgl_list_length(BgL_argsz00_83); 
{ /* Eval/evaluate_comp.scm 632 */
obj_t BgL_list1654z00_1591;
{ /* Eval/evaluate_comp.scm 632 */
obj_t BgL_arg1655z00_1592;
BgL_arg1655z00_1592 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1653z00_1590), BNIL); 
BgL_list1654z00_1591 = 
MAKE_YOUNG_PAIR(
BINT(BgL_arg1652z00_1589), BgL_arg1655z00_1592); } 
BgL_arg1650z00_1588 = 
BGl_formatz00zz__r4_output_6_10_3z00(BGl_string5210z00zz__evaluate_compz00, BgL_list1654z00_1591); } } 
return 
BGl_everrorz00zz__everrorz00(BgL_locz00_86, BGl_string5202z00zz__evaluate_compz00, BGl_string5211z00zz__evaluate_compz00, BgL_arg1650z00_1588);}  else 
{ /* Eval/evaluate_comp.scm 630 */
{ /* Eval/evaluate_comp.scm 636 */
obj_t BgL_arg1656z00_1593;
{ /* Eval/evaluate_comp.scm 636 */
obj_t BgL_vz00_1594;
{ /* Eval/evaluate_comp.scm 636 */
obj_t BgL_fun1658z00_1596;
BgL_fun1658z00_1596 = 
CAR(
((obj_t)BgL_lz00_1576)); 
BgL_vz00_1594 = 
PROCEDURE_ENTRY(BgL_fun1658z00_1596)(BgL_fun1658z00_1596, BgL_sz00_82, BEOA); } 
if(
CBOOL(
CAR(
((obj_t)BgL_bsz00_1577))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_6497;
BgL_newz00_6497 = 
create_struct(BGl_symbol5212z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_15326;
BgL_tmpz00_15326 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_6497, BgL_tmpz00_15326, BgL_vz00_1594); } 
BgL_arg1656z00_1593 = BgL_newz00_6497; }  else 
{ /* Eval/evaluate_comp.scm 637 */
BgL_arg1656z00_1593 = BgL_vz00_1594; } } 
VECTOR_SET(
((obj_t)BgL_sz00_82),BgL_spz00_1578,BgL_arg1656z00_1593); } 
{ /* Eval/evaluate_comp.scm 640 */
obj_t BgL_arg1659z00_1597;obj_t BgL_arg1660z00_1598;long BgL_arg1661z00_1599;
BgL_arg1659z00_1597 = 
CDR(
((obj_t)BgL_lz00_1576)); 
BgL_arg1660z00_1598 = 
CDR(
((obj_t)BgL_bsz00_1577)); 
BgL_arg1661z00_1599 = 
(BgL_spz00_1578+((long)1)); 
{ 
long BgL_spz00_15338;obj_t BgL_bsz00_15337;obj_t BgL_lz00_15336;
BgL_lz00_15336 = BgL_arg1659z00_1597; 
BgL_bsz00_15337 = BgL_arg1660z00_1598; 
BgL_spz00_15338 = BgL_arg1661z00_1599; 
BgL_spz00_1578 = BgL_spz00_15338; 
BgL_bsz00_1577 = BgL_bsz00_15337; 
BgL_lz00_1576 = BgL_lz00_15336; 
goto BgL_zc3z04anonymousza31641ze3z87_1579;} } } } } } 

}



/* sub-stk */
obj_t BGl_subzd2stkzd2zz__evaluate_compz00(obj_t BgL_l1z00_88, obj_t BgL_l2z00_89)
{
{ /* Eval/evaluate_comp.scm 645 */
BGl_subzd2stkzd2zz__evaluate_compz00:
if(
NULLP(BgL_l1z00_88))
{ /* Eval/evaluate_comp.scm 646 */
return BgL_l2z00_89;}  else 
{ /* Eval/evaluate_comp.scm 646 */
if(
(
CAR(
((obj_t)BgL_l1z00_88))==
CAR(
((obj_t)BgL_l2z00_89))))
{ /* Eval/evaluate_comp.scm 649 */
obj_t BgL_arg1666z00_1605;obj_t BgL_arg1667z00_1606;
BgL_arg1666z00_1605 = 
CDR(
((obj_t)BgL_l1z00_88)); 
BgL_arg1667z00_1606 = 
CDR(
((obj_t)BgL_l2z00_89)); 
{ 
obj_t BgL_l2z00_15352;obj_t BgL_l1z00_15351;
BgL_l1z00_15351 = BgL_arg1666z00_1605; 
BgL_l2z00_15352 = BgL_arg1667z00_1606; 
BgL_l2z00_89 = BgL_l2z00_15352; 
BgL_l1z00_88 = BgL_l1z00_15351; 
goto BGl_subzd2stkzd2zz__evaluate_compz00;} }  else 
{ /* Eval/evaluate_comp.scm 647 */
return 
BGl_errorz00zz__errorz00(BGl_string5202z00zz__evaluate_compz00, BGl_symbol5214z00zz__evaluate_compz00, BGl_symbol5216z00zz__evaluate_compz00);} } } 

}



/* catch-trampoline */
obj_t BGl_catchzd2trampolinezd2zz__evaluate_compz00(obj_t BgL_fz00_93, obj_t BgL_sz00_94, obj_t BgL_bpz00_95)
{
{ /* Eval/evaluate_comp.scm 669 */
{ /* Eval/evaluate_comp.scm 670 */
obj_t BgL_savedzd2bpzd2_1617;
BgL_savedzd2bpzd2_1617 = 
VECTOR_REF(
((obj_t)BgL_sz00_94),((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_bpz00_95); 
{ 
obj_t BgL_fz00_1619;
BgL_fz00_1619 = BgL_fz00_93; 
BgL_zc3z04anonymousza31677ze3z87_1620:
{ /* Eval/evaluate_comp.scm 673 */
obj_t BgL_rz00_1621;
BgL_rz00_1621 = 
PROCEDURE_ENTRY(BgL_fz00_1619)(BgL_fz00_1619, BgL_sz00_94, BEOA); 
{ /* Eval/evaluate_comp.scm 674 */
bool_t BgL_test5490z00_15362;
if(
PROCEDUREP(BgL_rz00_1621))
{ /* Eval/evaluate_comp.scm 674 */
obj_t BgL_arg1681z00_1626;
BgL_arg1681z00_1626 = 
PROCEDURE_ATTR(BgL_rz00_1621); 
if(
STRUCTP(BgL_arg1681z00_1626))
{ /* Eval/evaluate_comp.scm 654 */
BgL_test5490z00_15362 = 
(
STRUCT_KEY(BgL_arg1681z00_1626)==BGl_symbol5198z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 654 */
BgL_test5490z00_15362 = ((bool_t)0)
; } }  else 
{ /* Eval/evaluate_comp.scm 674 */
BgL_test5490z00_15362 = ((bool_t)0)
; } 
if(BgL_test5490z00_15362)
{ 
obj_t BgL_fz00_15370;
BgL_fz00_15370 = BgL_rz00_1621; 
BgL_fz00_1619 = BgL_fz00_15370; 
goto BgL_zc3z04anonymousza31677ze3z87_1620;}  else 
{ /* Eval/evaluate_comp.scm 674 */
VECTOR_SET(
((obj_t)BgL_sz00_94),((long)0),BgL_savedzd2bpzd2_1617); 
return BgL_rz00_1621;} } } } } } 

}



/* check-stack */
bool_t BGl_checkzd2stackzd2zz__evaluate_compz00(obj_t BgL_sz00_114, obj_t BgL_bpz00_115, obj_t BgL_nz00_116)
{
{ /* Eval/evaluate_comp.scm 685 */
return 
(
(
(long)CINT(BgL_bpz00_115)+
(long)CINT(BgL_nz00_116))<
VECTOR_LENGTH(
((obj_t)BgL_sz00_114)));} 

}



/* comp-with-push */
obj_t BGl_compzd2withzd2pushz00zz__evaluate_compz00(obj_t BgL_eza2za2_117, obj_t BgL_stkz00_118)
{
{ /* Eval/evaluate_comp.scm 688 */
if(
NULLP(BgL_eza2za2_117))
{ /* Eval/evaluate_comp.scm 690 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1692z00_1639;obj_t BgL_arg1693z00_1640;
{ /* Eval/evaluate_comp.scm 692 */
obj_t BgL_arg1694z00_1641;
BgL_arg1694z00_1641 = 
CAR(
((obj_t)BgL_eza2za2_117)); 
BgL_arg1692z00_1639 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1694z00_1641), BgL_stkz00_118); } 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1695z00_1642;obj_t BgL_arg1696z00_1643;
BgL_arg1695z00_1642 = 
CDR(
((obj_t)BgL_eza2za2_117)); 
{ /* Eval/evaluate_comp.scm 693 */
obj_t BgL_arg1697z00_1644;
BgL_arg1697z00_1644 = 
MAKE_YOUNG_PAIR(BFALSE, BNIL); 
BgL_arg1696z00_1643 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_118, BgL_arg1697z00_1644); } 
BgL_arg1693z00_1640 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg1695z00_1642, BgL_arg1696z00_1643); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1692z00_1639, BgL_arg1693z00_1640);} } 

}



/* rec~0 */
obj_t BGl_recze70ze7zz__evaluate_compz00(obj_t BgL_stkz00_12603, obj_t BgL_lz00_1646, long BgL_iz00_1647)
{
{ /* Eval/evaluate_comp.scm 696 */
if(
NULLP(BgL_lz00_1646))
{ /* Eval/evaluate_comp.scm 697 */
return BNIL;}  else 
{ /* Eval/evaluate_comp.scm 697 */
if(
(BgL_iz00_1647==((long)0)))
{ /* Eval/evaluate_comp.scm 698 */
return 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_lz00_1646, BgL_stkz00_12603);}  else 
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_arg1701z00_1651;obj_t BgL_arg1702z00_1652;
{ /* Eval/evaluate_comp.scm 699 */
obj_t BgL_arg1703z00_1653;
BgL_arg1703z00_1653 = 
CAR(
((obj_t)BgL_lz00_1646)); 
BgL_arg1701z00_1651 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg1703z00_1653), BgL_stkz00_12603); } 
{ /* Eval/evaluate_comp.scm 700 */
obj_t BgL_arg1704z00_1654;long BgL_arg1705z00_1655;
BgL_arg1704z00_1654 = 
CDR(
((obj_t)BgL_lz00_1646)); 
BgL_arg1705z00_1655 = 
(BgL_iz00_1647-((long)1)); 
BgL_arg1702z00_1652 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12603, BgL_arg1704z00_1654, BgL_arg1705z00_1655); } 
return 
MAKE_YOUNG_PAIR(BgL_arg1701z00_1651, BgL_arg1702z00_1652);} } } 

}



/* subr-call-with-push */
obj_t BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(obj_t BgL_sz00_122, obj_t BgL_fz00_123, obj_t BgL_argsz00_124, obj_t BgL_bpz00_125, obj_t BgL_siza7eza7_126)
{
{ /* Eval/evaluate_comp.scm 702 */
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_argsz00_1657;
if(
NULLP(BgL_argsz00_124))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1657 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_head1340z00_1662;
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_res4028z00_6562;
BgL_res4028z00_6562 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1340z00_1662 = BgL_res4028z00_6562; } 
{ 
obj_t BgL_l1338z00_1664;obj_t BgL_tail1341z00_1665;
BgL_l1338z00_1664 = BgL_argsz00_124; 
BgL_tail1341z00_1665 = BgL_head1340z00_1662; 
BgL_zc3z04anonymousza31708ze3z87_1666:
if(
NULLP(BgL_l1338z00_1664))
{ /* Eval/evaluate_comp.scm 704 */
BgL_argsz00_1657 = 
CDR(BgL_head1340z00_1662); }  else 
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_newtail1342z00_1668;
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_arg1711z00_1670;
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_az00_1671;
BgL_az00_1671 = 
CAR(
((obj_t)BgL_l1338z00_1664)); 
BgL_arg1711z00_1670 = 
PROCEDURE_ENTRY(BgL_az00_1671)(BgL_az00_1671, BgL_sz00_122, BEOA); } 
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_res4030z00_6566;
BgL_res4030z00_6566 = 
MAKE_YOUNG_PAIR(BgL_arg1711z00_1670, BNIL); 
BgL_newtail1342z00_1668 = BgL_res4030z00_6566; } } 
SET_CDR(BgL_tail1341z00_1665, BgL_newtail1342z00_1668); 
{ /* Eval/evaluate_comp.scm 704 */
obj_t BgL_arg1710z00_1669;
BgL_arg1710z00_1669 = 
CDR(
((obj_t)BgL_l1338z00_1664)); 
{ 
obj_t BgL_tail1341z00_15422;obj_t BgL_l1338z00_15421;
BgL_l1338z00_15421 = BgL_arg1710z00_1669; 
BgL_tail1341z00_15422 = BgL_newtail1342z00_1668; 
BgL_tail1341z00_1665 = BgL_tail1341z00_15422; 
BgL_l1338z00_1664 = BgL_l1338z00_15421; 
goto BgL_zc3z04anonymousza31708ze3z87_1666;} } } } } 
{ /* Eval/evaluate_comp.scm 705 */
long BgL_arg1706z00_1658;
BgL_arg1706z00_1658 = 
(
(long)CINT(BgL_bpz00_125)+
(long)CINT(BgL_siza7eza7_126)); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),
BINT(BgL_arg1706z00_1658)); } 
{ /* Eval/evaluate_comp.scm 706 */
obj_t BgL_za2za2resza2za2z00_1659;
BgL_za2za2resza2za2z00_1659 = 
apply(BgL_fz00_123, BgL_argsz00_1657); 
VECTOR_SET(
((obj_t)BgL_sz00_122),((long)0),BgL_bpz00_125); 
return BgL_za2za2resza2za2z00_1659;} } } 

}



/* push-args-on-sp */
bool_t BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_sz00_127, obj_t BgL_argsz00_128, obj_t BgL_spz00_129)
{
{ /* Eval/evaluate_comp.scm 709 */
{ 
obj_t BgL_lz00_1674;obj_t BgL_spz00_1675;
BgL_lz00_1674 = BgL_argsz00_128; 
BgL_spz00_1675 = BgL_spz00_129; 
BgL_zc3z04anonymousza31712ze3z87_1676:
if(
NULLP(BgL_lz00_1674))
{ /* Eval/evaluate_comp.scm 711 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 711 */
{ /* Eval/evaluate_comp.scm 712 */
obj_t BgL_arg1714z00_1678;
{ /* Eval/evaluate_comp.scm 712 */
obj_t BgL_fun1715z00_1679;
BgL_fun1715z00_1679 = 
CAR(
((obj_t)BgL_lz00_1674)); 
BgL_arg1714z00_1678 = 
PROCEDURE_ENTRY(BgL_fun1715z00_1679)(BgL_fun1715z00_1679, BgL_sz00_127, BEOA); } 
{ /* Eval/evaluate_comp.scm 712 */
long BgL_kz00_6577;
BgL_kz00_6577 = 
(long)CINT(BgL_spz00_1675); 
VECTOR_SET(
((obj_t)BgL_sz00_127),BgL_kz00_6577,BgL_arg1714z00_1678); } } 
{ /* Eval/evaluate_comp.scm 713 */
obj_t BgL_arg1716z00_1680;long BgL_arg1717z00_1681;
BgL_arg1716z00_1680 = 
CDR(
((obj_t)BgL_lz00_1674)); 
BgL_arg1717z00_1681 = 
(
(long)CINT(BgL_spz00_1675)+((long)1)); 
{ 
obj_t BgL_spz00_15449;obj_t BgL_lz00_15448;
BgL_lz00_15448 = BgL_arg1716z00_1680; 
BgL_spz00_15449 = 
BINT(BgL_arg1717z00_1681); 
BgL_spz00_1675 = BgL_spz00_15449; 
BgL_lz00_1674 = BgL_lz00_15448; 
goto BgL_zc3z04anonymousza31712ze3z87_1676;} } } } } 

}



/* push-nargs-on-sp */
obj_t BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(obj_t BgL_arityz00_130, obj_t BgL_sz00_131, obj_t BgL_argsz00_132, obj_t BgL_spz00_133)
{
{ /* Eval/evaluate_comp.scm 715 */
{ /* Eval/evaluate_comp.scm 716 */
long BgL_g1146z00_1683;
BgL_g1146z00_1683 = 
(((long)-1)-
(long)CINT(BgL_arityz00_130)); 
{ 
obj_t BgL_lz00_1685;obj_t BgL_spz00_1686;long BgL_nz00_1687;
BgL_lz00_1685 = BgL_argsz00_132; 
BgL_spz00_1686 = BgL_spz00_133; 
BgL_nz00_1687 = BgL_g1146z00_1683; 
BgL_zc3z04anonymousza31718ze3z87_1688:
if(
(BgL_nz00_1687==((long)0)))
{ 
obj_t BgL_lz00_1692;obj_t BgL_rz00_1693;
BgL_lz00_1692 = BgL_lz00_1685; 
BgL_rz00_1693 = BNIL; 
BgL_zc3z04anonymousza31720ze3z87_1694:
if(
NULLP(BgL_lz00_1692))
{ /* Eval/evaluate_comp.scm 720 */
obj_t BgL_arg1722z00_1696;
BgL_arg1722z00_1696 = 
bgl_reverse_bang(BgL_rz00_1693); 
{ /* Eval/evaluate_comp.scm 720 */
long BgL_kz00_6587;
BgL_kz00_6587 = 
(long)CINT(BgL_spz00_1686); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6587,BgL_arg1722z00_1696);} }  else 
{ /* Eval/evaluate_comp.scm 721 */
obj_t BgL_arg1723z00_1697;obj_t BgL_arg1724z00_1698;
BgL_arg1723z00_1697 = 
CDR(
((obj_t)BgL_lz00_1692)); 
{ /* Eval/evaluate_comp.scm 721 */
obj_t BgL_arg1725z00_1699;
{ /* Eval/evaluate_comp.scm 721 */
obj_t BgL_fun1726z00_1700;
BgL_fun1726z00_1700 = 
CAR(
((obj_t)BgL_lz00_1692)); 
BgL_arg1725z00_1699 = 
PROCEDURE_ENTRY(BgL_fun1726z00_1700)(BgL_fun1726z00_1700, BgL_sz00_131, BEOA); } 
BgL_arg1724z00_1698 = 
MAKE_YOUNG_PAIR(BgL_arg1725z00_1699, BgL_rz00_1693); } 
{ 
obj_t BgL_rz00_15471;obj_t BgL_lz00_15470;
BgL_lz00_15470 = BgL_arg1723z00_1697; 
BgL_rz00_15471 = BgL_arg1724z00_1698; 
BgL_rz00_1693 = BgL_rz00_15471; 
BgL_lz00_1692 = BgL_lz00_15470; 
goto BgL_zc3z04anonymousza31720ze3z87_1694;} } }  else 
{ /* Eval/evaluate_comp.scm 717 */
{ /* Eval/evaluate_comp.scm 722 */
obj_t BgL_arg1727z00_1702;
{ /* Eval/evaluate_comp.scm 722 */
obj_t BgL_fun1728z00_1703;
BgL_fun1728z00_1703 = 
CAR(
((obj_t)BgL_lz00_1685)); 
BgL_arg1727z00_1702 = 
PROCEDURE_ENTRY(BgL_fun1728z00_1703)(BgL_fun1728z00_1703, BgL_sz00_131, BEOA); } 
{ /* Eval/evaluate_comp.scm 722 */
long BgL_kz00_6592;
BgL_kz00_6592 = 
(long)CINT(BgL_spz00_1686); 
VECTOR_SET(
((obj_t)BgL_sz00_131),BgL_kz00_6592,BgL_arg1727z00_1702); } } 
{ /* Eval/evaluate_comp.scm 723 */
obj_t BgL_arg1729z00_1704;long BgL_arg1730z00_1705;long BgL_arg1731z00_1706;
BgL_arg1729z00_1704 = 
CDR(
((obj_t)BgL_lz00_1685)); 
BgL_arg1730z00_1705 = 
(
(long)CINT(BgL_spz00_1686)+((long)1)); 
BgL_arg1731z00_1706 = 
(BgL_nz00_1687-((long)1)); 
{ 
long BgL_nz00_15489;obj_t BgL_spz00_15487;obj_t BgL_lz00_15486;
BgL_lz00_15486 = BgL_arg1729z00_1704; 
BgL_spz00_15487 = 
BINT(BgL_arg1730z00_1705); 
BgL_nz00_15489 = BgL_arg1731z00_1706; 
BgL_nz00_1687 = BgL_nz00_15489; 
BgL_spz00_1686 = BgL_spz00_15487; 
BgL_lz00_1685 = BgL_lz00_15486; 
goto BgL_zc3z04anonymousza31718ze3z87_1688;} } } } } } 

}



/* need-shift */
bool_t BGl_needzd2shiftzd2zz__evaluate_compz00(obj_t BgL_argsz00_134, obj_t BgL_stkz00_135)
{
{ /* Eval/evaluate_comp.scm 766 */
{ 
obj_t BgL_lz00_1709;obj_t BgL_stkz00_1710;
BgL_lz00_1709 = BgL_argsz00_134; 
BgL_stkz00_1710 = BgL_stkz00_135; 
BgL_zc3z04anonymousza31732ze3z87_1711:
{ /* Eval/evaluate_comp.scm 770 */
bool_t BgL_test5501z00_15490;
if(
NULLP(BgL_lz00_1709))
{ /* Eval/evaluate_comp.scm 770 */
BgL_test5501z00_15490 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 770 */
BgL_test5501z00_15490 = 
NULLP(BgL_stkz00_1710)
; } 
if(BgL_test5501z00_15490)
{ /* Eval/evaluate_comp.scm 770 */
return ((bool_t)0);}  else 
{ /* Eval/evaluate_comp.scm 772 */
bool_t BgL_test5503z00_15494;
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_g1345z00_1728;
BgL_g1345z00_1728 = 
CDR(
((obj_t)BgL_lz00_1709)); 
{ 
obj_t BgL_l1343z00_1730;
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_tmpz00_15497;
BgL_l1343z00_1730 = BgL_g1345z00_1728; 
BgL_zc3z04anonymousza31743ze3z87_1731:
if(
NULLP(BgL_l1343z00_1730))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_15497 = BFALSE
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL__ortest_1346z00_1733;
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_ez00_1735;
BgL_ez00_1735 = 
CAR(
((obj_t)BgL_l1343z00_1730)); 
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_arg1745z00_1736;obj_t BgL_arg1746z00_1737;
BgL_arg1745z00_1736 = 
CAR(
((obj_t)BgL_stkz00_1710)); 
BgL_arg1746z00_1737 = 
BGl_usez00zz__evaluate_usez00(
((BgL_ev_exprz00_bglt)BgL_ez00_1735), BNIL); 
BgL__ortest_1346z00_1733 = 
BGl_memqz00zz__r4_pairs_and_lists_6_3z00(BgL_arg1745z00_1736, BgL_arg1746z00_1737); } } 
if(
CBOOL(BgL__ortest_1346z00_1733))
{ /* Eval/evaluate_comp.scm 772 */
BgL_tmpz00_15497 = BgL__ortest_1346z00_1733
; }  else 
{ /* Eval/evaluate_comp.scm 772 */
obj_t BgL_arg1744z00_1734;
BgL_arg1744z00_1734 = 
CDR(
((obj_t)BgL_l1343z00_1730)); 
{ 
obj_t BgL_l1343z00_15511;
BgL_l1343z00_15511 = BgL_arg1744z00_1734; 
BgL_l1343z00_1730 = BgL_l1343z00_15511; 
goto BgL_zc3z04anonymousza31743ze3z87_1731;} } } 
BgL_test5503z00_15494 = 
CBOOL(BgL_tmpz00_15497); } } } 
if(BgL_test5503z00_15494)
{ /* Eval/evaluate_comp.scm 772 */
return ((bool_t)1);}  else 
{ /* Eval/evaluate_comp.scm 774 */
obj_t BgL_arg1741z00_1726;obj_t BgL_arg1742z00_1727;
BgL_arg1741z00_1726 = 
CDR(
((obj_t)BgL_lz00_1709)); 
BgL_arg1742z00_1727 = 
CDR(
((obj_t)BgL_stkz00_1710)); 
{ 
obj_t BgL_stkz00_15518;obj_t BgL_lz00_15517;
BgL_lz00_15517 = BgL_arg1741z00_1726; 
BgL_stkz00_15518 = BgL_arg1742z00_1727; 
BgL_stkz00_1710 = BgL_stkz00_15518; 
BgL_lz00_1709 = BgL_lz00_15517; 
goto BgL_zc3z04anonymousza31732ze3z87_1711;} } } } } } 

}



/* comp-old-call */
obj_t BGl_compzd2oldzd2callz00zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_ez00_136, obj_t BgL_stkz00_137)
{
{ /* Eval/evaluate_comp.scm 776 */
{ /* Eval/evaluate_comp.scm 778 */
long BgL_siza7eza7_1742;long BgL_nbargsz00_1743;obj_t BgL_fz00_1744;obj_t BgL_symbzd2funzd2_1745;
BgL_siza7eza7_1742 = 
bgl_list_length(BgL_stkz00_137); 
BgL_nbargsz00_1743 = 
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00)); 
BgL_fz00_1744 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00), BgL_stkz00_137); 
BgL_symbzd2funzd2_1745 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_funz00)); 
if(
CBOOL(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_tailzf3zf3)))
{ /* Eval/evaluate_comp.scm 780 */
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137))
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test5508z00_15532;
{ /* Eval/evaluate_comp.scm 787 */
int BgL_arg1795z00_1824;
BgL_arg1795z00_1824 = 
bgl_debug(); 
BgL_test5508z00_15532 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1795z00_1824), 
BINT(((long)0))); } 
if(BgL_test5508z00_15532)
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_argsz00_1751;
BgL_argsz00_1751 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_zc3z04anonymousza31752ze3z87_10632;
BgL_zc3z04anonymousza31752ze3z87_10632 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31752ze3z87_10632, 
(int)(((long)0)), BgL_fz00_1744); 
PROCEDURE_SET(BgL_zc3z04anonymousza31752ze3z87_10632, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31752ze3z87_10632, 
(int)(((long)2)), BgL_symbzd2funzd2_1745); 
PROCEDURE_SET(BgL_zc3z04anonymousza31752ze3z87_10632, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1743)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31752ze3z87_10632, 
(int)(((long)4)), BgL_argsz00_1751); 
PROCEDURE_SET(BgL_zc3z04anonymousza31752ze3z87_10632, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1742)); 
return BgL_zc3z04anonymousza31752ze3z87_10632;} }  else 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_argsz00_1789;
BgL_argsz00_1789 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_zc3z04anonymousza31775ze3z87_10633;
BgL_zc3z04anonymousza31775ze3z87_10633 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31775ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31775ze3z87_10633, 
(int)(((long)0)), BgL_fz00_1744); 
PROCEDURE_SET(BgL_zc3z04anonymousza31775ze3z87_10633, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31775ze3z87_10633, 
(int)(((long)2)), BgL_symbzd2funzd2_1745); 
PROCEDURE_SET(BgL_zc3z04anonymousza31775ze3z87_10633, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1743)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31775ze3z87_10633, 
(int)(((long)4)), BgL_argsz00_1789); 
PROCEDURE_SET(BgL_zc3z04anonymousza31775ze3z87_10633, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1742)); 
return BgL_zc3z04anonymousza31775ze3z87_10633;} } }  else 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test5509z00_15577;
{ /* Eval/evaluate_comp.scm 795 */
int BgL_arg1835z00_1894;
BgL_arg1835z00_1894 = 
bgl_debug(); 
BgL_test5509z00_15577 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1835z00_1894), 
BINT(((long)0))); } 
if(BgL_test5509z00_15577)
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_argsz00_1827;
BgL_argsz00_1827 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1742); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_zc3z04anonymousza31798ze3z87_10634;
BgL_zc3z04anonymousza31798ze3z87_10634 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31798ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31798ze3z87_10634, 
(int)(((long)0)), BgL_fz00_1744); 
PROCEDURE_SET(BgL_zc3z04anonymousza31798ze3z87_10634, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31798ze3z87_10634, 
(int)(((long)2)), BgL_symbzd2funzd2_1745); 
PROCEDURE_SET(BgL_zc3z04anonymousza31798ze3z87_10634, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1743)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31798ze3z87_10634, 
(int)(((long)4)), BgL_argsz00_1827); 
return BgL_zc3z04anonymousza31798ze3z87_10634;} }  else 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_argsz00_1862;
BgL_argsz00_1862 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_137, 
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_siza7eza7_1742); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_zc3z04anonymousza31818ze3z87_10635;
BgL_zc3z04anonymousza31818ze3z87_10635 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31818ze3z87_10635, 
(int)(((long)0)), BgL_fz00_1744); 
PROCEDURE_SET(BgL_zc3z04anonymousza31818ze3z87_10635, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31818ze3z87_10635, 
(int)(((long)2)), BgL_symbzd2funzd2_1745); 
PROCEDURE_SET(BgL_zc3z04anonymousza31818ze3z87_10635, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1743)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31818ze3z87_10635, 
(int)(((long)4)), BgL_argsz00_1862); 
return BgL_zc3z04anonymousza31818ze3z87_10635;} } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test5510z00_15616;
{ /* Eval/evaluate_comp.scm 781 */
int BgL_arg1876z00_1965;
BgL_arg1876z00_1965 = 
bgl_debug(); 
BgL_test5510z00_15616 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1876z00_1965), 
BINT(((long)0))); } 
if(BgL_test5510z00_15616)
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_argsz00_1898;
BgL_argsz00_1898 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_zc3z04anonymousza31839ze3z87_10636;
BgL_zc3z04anonymousza31839ze3z87_10636 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31839ze3z87_10636, 
(int)(((long)0)), BgL_fz00_1744); 
PROCEDURE_SET(BgL_zc3z04anonymousza31839ze3z87_10636, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31839ze3z87_10636, 
(int)(((long)2)), BgL_symbzd2funzd2_1745); 
PROCEDURE_SET(BgL_zc3z04anonymousza31839ze3z87_10636, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1743)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31839ze3z87_10636, 
(int)(((long)4)), BgL_argsz00_1898); 
PROCEDURE_SET(BgL_zc3z04anonymousza31839ze3z87_10636, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1742)); 
return BgL_zc3z04anonymousza31839ze3z87_10636;} }  else 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_argsz00_1933;
BgL_argsz00_1933 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_ez00_136))->BgL_argsz00), BgL_stkz00_137); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_zc3z04anonymousza31859ze3z87_10637;
BgL_zc3z04anonymousza31859ze3z87_10637 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31859ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31859ze3z87_10637, 
(int)(((long)0)), BgL_fz00_1744); 
PROCEDURE_SET(BgL_zc3z04anonymousza31859ze3z87_10637, 
(int)(((long)1)), 
((obj_t)BgL_ez00_136)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31859ze3z87_10637, 
(int)(((long)2)), BgL_symbzd2funzd2_1745); 
PROCEDURE_SET(BgL_zc3z04anonymousza31859ze3z87_10637, 
(int)(((long)3)), 
BINT(BgL_nbargsz00_1743)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31859ze3z87_10637, 
(int)(((long)4)), BgL_argsz00_1933); 
PROCEDURE_SET(BgL_zc3z04anonymousza31859ze3z87_10637, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_1742)); 
return BgL_zc3z04anonymousza31859ze3z87_10637;} } } } } 

}



/* &<@anonymous:1752> */
obj_t BGl_z62zc3z04anonymousza31752ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10638, obj_t BgL_sz00_10645)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_10639;BgL_ev_appz00_bglt BgL_i1154z00_10640;obj_t BgL_symbzd2funzd2_10641;long BgL_nbargsz00_10642;obj_t BgL_argsz00_10643;long BgL_siza7eza7_10644;
BgL_fz00_10639 = 
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)0))); 
BgL_i1154z00_10640 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10641 = 
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)2))); 
BgL_nbargsz00_10642 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)3)))); 
BgL_argsz00_10643 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)4)))); 
BgL_siza7eza7_10644 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10638, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_bpz00_12624;
BgL_bpz00_12624 = 
VECTOR_REF(
((obj_t)BgL_sz00_10645),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_12625;
BgL_fz00_12625 = 
PROCEDURE_ENTRY(BgL_fz00_10639)(BgL_fz00_10639, BgL_sz00_10645, BEOA); 
if(
PROCEDUREP(BgL_fz00_12625))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10640))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12625); } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ufz00_12626;
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_tmpz00_15687;
BgL_tmpz00_15687 = 
((obj_t)BgL_fz00_12625); 
BgL_ufz00_12626 = 
PROCEDURE_ATTR(BgL_tmpz00_15687); } 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test5512z00_15690;
if(
STRUCTP(BgL_ufz00_12626))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5512z00_15690 = 
(
STRUCT_KEY(BgL_ufz00_12626)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5512z00_15690 = ((bool_t)0)
; } 
if(BgL_test5512z00_15690)
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_arityz00_12627;obj_t BgL_runz00_12628;obj_t BgL_sfz00_12629;
BgL_arityz00_12627 = 
STRUCT_REF(BgL_ufz00_12626, 
(int)(((long)0))); 
BgL_runz00_12628 = 
STRUCT_REF(BgL_ufz00_12626, 
(int)(((long)1))); 
BgL_sfz00_12629 = 
STRUCT_REF(BgL_ufz00_12626, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_spz00_12630;
BgL_spz00_12630 = 
(
(long)CINT(BgL_bpz00_12624)+BgL_siza7eza7_10644); 
if(
(
(long)CINT(BgL_arityz00_12627)==BgL_nbargsz00_10642))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10645, BgL_argsz00_10643, 
BINT(BgL_spz00_12630)); 
{ /* Eval/evaluate_comp.scm 791 */
long BgL_arg1757z00_12631;
BgL_arg1757z00_12631 = 
(BgL_spz00_12630+BgL_nbargsz00_10642); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10645, 
(long)CINT(BgL_bpz00_12624), BgL_sz00_10645, 
BINT(BgL_spz00_12630), 
BINT(BgL_arg1757z00_12631)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test5515z00_15713;
if(
(
(long)CINT(BgL_arityz00_12627)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test5515z00_15713 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test5515z00_15713 = 
(
(long)CINT(BgL_arityz00_12627)<
(((long)-1)-BgL_nbargsz00_10642))
; } 
if(BgL_test5515z00_15713)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10640))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12626, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10642), 
CINT(BgL_arityz00_12627)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12627, BgL_sz00_10645, BgL_argsz00_10643, 
BINT(BgL_spz00_12630)); 
{ /* Eval/evaluate_comp.scm 793 */
long BgL_arg1763z00_12632;
BgL_arg1763z00_12632 = 
(BgL_spz00_12630+
(((long)0)-
(long)CINT(BgL_arityz00_12627))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10645, 
(long)CINT(BgL_bpz00_12624), BgL_sz00_10645, 
BINT(BgL_spz00_12630), 
BINT(BgL_arg1763z00_12632)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_z12denvz12_12633;
BgL_z12denvz12_12633 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_tmpz00_15736;
BgL_tmpz00_15736 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10640))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12633, BgL_tmpz00_15736); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10645, BgL_bpz00_12624, BgL_sfz00_12629))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12628;}  else 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_nsz00_12634;
BgL_nsz00_12634 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_arg1768z00_12635;
BgL_arg1768z00_12635 = 
(
(long)CINT(BgL_bpz00_12624)+BgL_nbargsz00_10642); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12634, ((long)2), BgL_sz00_10645, BgL_bpz00_12624, 
BINT(BgL_arg1768z00_12635)); } 
VECTOR_SET(BgL_nsz00_12634,((long)1),BgL_sz00_10645); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12633, BgL_nsz00_12634); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ez00_12636;
BgL_ez00_12636 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12636, BgL_sz00_10645); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_____rz00_12637;
BgL_____rz00_12637 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12628, BgL_nsz00_12634, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12636); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12633, BgL_sz00_10645); 
return BgL_____rz00_12637;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12625, 
(int)(BgL_nbargsz00_10642)))
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_auxz00_15759;obj_t BgL_tmpz00_15757;
BgL_auxz00_15759 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10640))->BgL_locz00); 
BgL_tmpz00_15757 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15757, BgL_auxz00_15759); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10645, BgL_fz00_12625, BgL_argsz00_10643, BgL_bpz00_12624, 
BINT(BgL_siza7eza7_10644));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10640))->BgL_locz00), BgL_symbzd2funzd2_10641, 
(int)(BgL_nbargsz00_10642), 
PROCEDURE_ARITY(BgL_fz00_12625));} } } } } } } } 

}



/* &<@anonymous:1775> */
obj_t BGl_z62zc3z04anonymousza31775ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10646, obj_t BgL_sz00_10653)
{
{ /* Eval/evaluate_comp.scm 787 */
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_10647;BgL_ev_appz00_bglt BgL_i1154z00_10648;obj_t BgL_symbzd2funzd2_10649;long BgL_nbargsz00_10650;obj_t BgL_argsz00_10651;long BgL_siza7eza7_10652;
BgL_fz00_10647 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)0))); 
BgL_i1154z00_10648 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10649 = 
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)2))); 
BgL_nbargsz00_10650 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)3)))); 
BgL_argsz00_10651 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)4)))); 
BgL_siza7eza7_10652 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10646, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_bpz00_12638;
BgL_bpz00_12638 = 
VECTOR_REF(
((obj_t)BgL_sz00_10653),((long)0)); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_fz00_12639;
BgL_fz00_12639 = 
PROCEDURE_ENTRY(BgL_fz00_10647)(BgL_fz00_10647, BgL_sz00_10653, BEOA); 
if(
PROCEDUREP(BgL_fz00_12639))
{ /* Eval/evaluate_comp.scm 787 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10648))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12639); } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ufz00_12640;
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_tmpz00_15794;
BgL_tmpz00_15794 = 
((obj_t)BgL_fz00_12639); 
BgL_ufz00_12640 = 
PROCEDURE_ATTR(BgL_tmpz00_15794); } 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test5520z00_15797;
if(
STRUCTP(BgL_ufz00_12640))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5520z00_15797 = 
(
STRUCT_KEY(BgL_ufz00_12640)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5520z00_15797 = ((bool_t)0)
; } 
if(BgL_test5520z00_15797)
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_arityz00_12641;obj_t BgL_runz00_12642;obj_t BgL_sfz00_12643;
BgL_arityz00_12641 = 
STRUCT_REF(BgL_ufz00_12640, 
(int)(((long)0))); 
BgL_runz00_12642 = 
STRUCT_REF(BgL_ufz00_12640, 
(int)(((long)1))); 
BgL_sfz00_12643 = 
STRUCT_REF(BgL_ufz00_12640, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_spz00_12644;
BgL_spz00_12644 = 
(
(long)CINT(BgL_bpz00_12638)+BgL_siza7eza7_10652); 
if(
(
(long)CINT(BgL_arityz00_12641)==BgL_nbargsz00_10650))
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10653, BgL_argsz00_10651, 
BINT(BgL_spz00_12644)); 
{ /* Eval/evaluate_comp.scm 791 */
long BgL_arg1780z00_12645;
BgL_arg1780z00_12645 = 
(BgL_spz00_12644+BgL_nbargsz00_10650); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10653, 
(long)CINT(BgL_bpz00_12638), BgL_sz00_10653, 
BINT(BgL_spz00_12644), 
BINT(BgL_arg1780z00_12645)); } }  else 
{ /* Eval/evaluate_comp.scm 787 */
bool_t BgL_test5523z00_15820;
if(
(
(long)CINT(BgL_arityz00_12641)>=((long)0)))
{ /* Eval/evaluate_comp.scm 787 */
BgL_test5523z00_15820 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 787 */
BgL_test5523z00_15820 = 
(
(long)CINT(BgL_arityz00_12641)<
(((long)-1)-BgL_nbargsz00_10650))
; } 
if(BgL_test5523z00_15820)
{ /* Eval/evaluate_comp.scm 787 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10648))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12640, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10650), 
CINT(BgL_arityz00_12641)); }  else 
{ /* Eval/evaluate_comp.scm 787 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12641, BgL_sz00_10653, BgL_argsz00_10651, 
BINT(BgL_spz00_12644)); 
{ /* Eval/evaluate_comp.scm 793 */
long BgL_arg1786z00_12646;
BgL_arg1786z00_12646 = 
(BgL_spz00_12644+
(((long)0)-
(long)CINT(BgL_arityz00_12641))); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_10653, 
(long)CINT(BgL_bpz00_12638), BgL_sz00_10653, 
BINT(BgL_spz00_12644), 
BINT(BgL_arg1786z00_12646)); } } } 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_z12denvz12_12647;
BgL_z12denvz12_12647 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10653, BgL_bpz00_12638, BgL_sfz00_12643))
{ /* Eval/evaluate_comp.scm 787 */
return BgL_runz00_12642;}  else 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_nsz00_12648;
BgL_nsz00_12648 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 787 */
long BgL_arg1790z00_12649;
BgL_arg1790z00_12649 = 
(
(long)CINT(BgL_bpz00_12638)+BgL_nbargsz00_10650); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12648, ((long)2), BgL_sz00_10653, BgL_bpz00_12638, 
BINT(BgL_arg1790z00_12649)); } 
VECTOR_SET(BgL_nsz00_12648,((long)1),BgL_sz00_10653); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12647, BgL_nsz00_12648); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_ez00_12650;
BgL_ez00_12650 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12650, BgL_sz00_10653); 
{ /* Eval/evaluate_comp.scm 787 */
obj_t BgL_____rz00_12651;
BgL_____rz00_12651 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12642, BgL_nsz00_12648, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12650); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12647, BgL_sz00_10653); 
return BgL_____rz00_12651;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 787 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12639, 
(int)(BgL_nbargsz00_10650)))
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10653, BgL_fz00_12639, BgL_argsz00_10651, BgL_bpz00_12638, 
BINT(BgL_siza7eza7_10652));}  else 
{ /* Eval/evaluate_comp.scm 787 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10648))->BgL_locz00), BgL_symbzd2funzd2_10649, 
(int)(BgL_nbargsz00_10650), 
PROCEDURE_ARITY(BgL_fz00_12639));} } } } } } } } 

}



/* &<@anonymous:1798> */
obj_t BGl_z62zc3z04anonymousza31798ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10654, obj_t BgL_sz00_10660)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_10655;BgL_ev_appz00_bglt BgL_i1154z00_10656;obj_t BgL_symbzd2funzd2_10657;long BgL_nbargsz00_10658;obj_t BgL_argsz00_10659;
BgL_fz00_10655 = 
PROCEDURE_REF(BgL_envz00_10654, 
(int)(((long)0))); 
BgL_i1154z00_10656 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10654, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10657 = 
PROCEDURE_REF(BgL_envz00_10654, 
(int)(((long)2))); 
BgL_nbargsz00_10658 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10654, 
(int)(((long)3)))); 
BgL_argsz00_10659 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10654, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_bpz00_12652;
BgL_bpz00_12652 = 
VECTOR_REF(
((obj_t)BgL_sz00_10660),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_12653;
BgL_fz00_12653 = 
PROCEDURE_ENTRY(BgL_fz00_10655)(BgL_fz00_10655, BgL_sz00_10660, BEOA); 
if(
PROCEDUREP(BgL_fz00_12653))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10656))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12653); } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ufz00_12654;
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_tmpz00_15890;
BgL_tmpz00_15890 = 
((obj_t)BgL_fz00_12653); 
BgL_ufz00_12654 = 
PROCEDURE_ATTR(BgL_tmpz00_15890); } 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test5528z00_15893;
if(
STRUCTP(BgL_ufz00_12654))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5528z00_15893 = 
(
STRUCT_KEY(BgL_ufz00_12654)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5528z00_15893 = ((bool_t)0)
; } 
if(BgL_test5528z00_15893)
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_arityz00_12655;obj_t BgL_runz00_12656;obj_t BgL_sfz00_12657;
BgL_arityz00_12655 = 
STRUCT_REF(BgL_ufz00_12654, 
(int)(((long)0))); 
BgL_runz00_12656 = 
STRUCT_REF(BgL_ufz00_12654, 
(int)(((long)1))); 
BgL_sfz00_12657 = 
STRUCT_REF(BgL_ufz00_12654, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12655)==BgL_nbargsz00_10658))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10660, BgL_argsz00_10659, BgL_bpz00_12652)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test5531z00_15909;
if(
(
(long)CINT(BgL_arityz00_12655)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test5531z00_15909 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test5531z00_15909 = 
(
(long)CINT(BgL_arityz00_12655)<
(((long)-1)-BgL_nbargsz00_10658))
; } 
if(BgL_test5531z00_15909)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10656))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12654, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10658), 
CINT(BgL_arityz00_12655)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12655, BgL_sz00_10660, BgL_argsz00_10659, BgL_bpz00_12652); } } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_z12denvz12_12658;
BgL_z12denvz12_12658 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_tmpz00_15924;
BgL_tmpz00_15924 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10656))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12658, BgL_tmpz00_15924); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10660, BgL_bpz00_12652, BgL_sfz00_12657))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_12656;}  else 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_nsz00_12659;
BgL_nsz00_12659 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
long BgL_arg1811z00_12660;
BgL_arg1811z00_12660 = 
(
(long)CINT(BgL_bpz00_12652)+BgL_nbargsz00_10658); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12659, ((long)2), BgL_sz00_10660, BgL_bpz00_12652, 
BINT(BgL_arg1811z00_12660)); } 
VECTOR_SET(BgL_nsz00_12659,((long)1),BgL_sz00_10660); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12658, BgL_nsz00_12659); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ez00_12661;
BgL_ez00_12661 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12661, BgL_sz00_10660); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_____rz00_12662;
BgL_____rz00_12662 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12656, BgL_nsz00_12659, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12661); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12658, BgL_sz00_10660); 
return BgL_____rz00_12662;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12653, 
(int)(BgL_nbargsz00_10658)))
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_auxz00_15947;obj_t BgL_tmpz00_15945;
BgL_auxz00_15947 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10656))->BgL_locz00); 
BgL_tmpz00_15945 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_15945, BgL_auxz00_15947); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10660, BgL_fz00_12653, BgL_argsz00_10659, BgL_bpz00_12652, 
BINT(BgL_nbargsz00_10658));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10656))->BgL_locz00), BgL_symbzd2funzd2_10657, 
(int)(BgL_nbargsz00_10658), 
PROCEDURE_ARITY(BgL_fz00_12653));} } } } } } } } 

}



/* &<@anonymous:1818> */
obj_t BGl_z62zc3z04anonymousza31818ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10661, obj_t BgL_sz00_10667)
{
{ /* Eval/evaluate_comp.scm 795 */
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_10662;BgL_ev_appz00_bglt BgL_i1154z00_10663;obj_t BgL_symbzd2funzd2_10664;long BgL_nbargsz00_10665;obj_t BgL_argsz00_10666;
BgL_fz00_10662 = 
PROCEDURE_REF(BgL_envz00_10661, 
(int)(((long)0))); 
BgL_i1154z00_10663 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10661, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10664 = 
PROCEDURE_REF(BgL_envz00_10661, 
(int)(((long)2))); 
BgL_nbargsz00_10665 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10661, 
(int)(((long)3)))); 
BgL_argsz00_10666 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10661, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_bpz00_12663;
BgL_bpz00_12663 = 
VECTOR_REF(
((obj_t)BgL_sz00_10667),((long)0)); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_fz00_12664;
BgL_fz00_12664 = 
PROCEDURE_ENTRY(BgL_fz00_10662)(BgL_fz00_10662, BgL_sz00_10667, BEOA); 
if(
PROCEDUREP(BgL_fz00_12664))
{ /* Eval/evaluate_comp.scm 795 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10663))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12664); } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ufz00_12665;
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_tmpz00_15979;
BgL_tmpz00_15979 = 
((obj_t)BgL_fz00_12664); 
BgL_ufz00_12665 = 
PROCEDURE_ATTR(BgL_tmpz00_15979); } 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test5536z00_15982;
if(
STRUCTP(BgL_ufz00_12665))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5536z00_15982 = 
(
STRUCT_KEY(BgL_ufz00_12665)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5536z00_15982 = ((bool_t)0)
; } 
if(BgL_test5536z00_15982)
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_arityz00_12666;obj_t BgL_runz00_12667;obj_t BgL_sfz00_12668;
BgL_arityz00_12666 = 
STRUCT_REF(BgL_ufz00_12665, 
(int)(((long)0))); 
BgL_runz00_12667 = 
STRUCT_REF(BgL_ufz00_12665, 
(int)(((long)1))); 
BgL_sfz00_12668 = 
STRUCT_REF(BgL_ufz00_12665, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12666)==BgL_nbargsz00_10665))
{ /* Eval/evaluate_comp.scm 795 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10667, BgL_argsz00_10666, BgL_bpz00_12663)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
bool_t BgL_test5539z00_15998;
if(
(
(long)CINT(BgL_arityz00_12666)>=((long)0)))
{ /* Eval/evaluate_comp.scm 795 */
BgL_test5539z00_15998 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 795 */
BgL_test5539z00_15998 = 
(
(long)CINT(BgL_arityz00_12666)<
(((long)-1)-BgL_nbargsz00_10665))
; } 
if(BgL_test5539z00_15998)
{ /* Eval/evaluate_comp.scm 795 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10663))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12665, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10665), 
CINT(BgL_arityz00_12666)); }  else 
{ /* Eval/evaluate_comp.scm 795 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12666, BgL_sz00_10667, BgL_argsz00_10666, BgL_bpz00_12663); } } 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_z12denvz12_12669;
BgL_z12denvz12_12669 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10667, BgL_bpz00_12663, BgL_sfz00_12668))
{ /* Eval/evaluate_comp.scm 795 */
return BgL_runz00_12667;}  else 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_nsz00_12670;
BgL_nsz00_12670 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 795 */
long BgL_arg1830z00_12671;
BgL_arg1830z00_12671 = 
(
(long)CINT(BgL_bpz00_12663)+BgL_nbargsz00_10665); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12670, ((long)2), BgL_sz00_10667, BgL_bpz00_12663, 
BINT(BgL_arg1830z00_12671)); } 
VECTOR_SET(BgL_nsz00_12670,((long)1),BgL_sz00_10667); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12669, BgL_nsz00_12670); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_ez00_12672;
BgL_ez00_12672 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12672, BgL_sz00_10667); 
{ /* Eval/evaluate_comp.scm 795 */
obj_t BgL_____rz00_12673;
BgL_____rz00_12673 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12667, BgL_nsz00_12670, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12672); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12669, BgL_sz00_10667); 
return BgL_____rz00_12673;} } } } }  else 
{ /* Eval/evaluate_comp.scm 795 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12664, 
(int)(BgL_nbargsz00_10665)))
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10667, BgL_fz00_12664, BgL_argsz00_10666, BgL_bpz00_12663, 
BINT(BgL_nbargsz00_10665));}  else 
{ /* Eval/evaluate_comp.scm 795 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10663))->BgL_locz00), BgL_symbzd2funzd2_10664, 
(int)(BgL_nbargsz00_10665), 
PROCEDURE_ARITY(BgL_fz00_12664));} } } } } } } } 

}



/* &<@anonymous:1839> */
obj_t BGl_z62zc3z04anonymousza31839ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10668, obj_t BgL_sz00_10675)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_10669;BgL_ev_appz00_bglt BgL_i1154z00_10670;obj_t BgL_symbzd2funzd2_10671;long BgL_nbargsz00_10672;obj_t BgL_argsz00_10673;long BgL_siza7eza7_10674;
BgL_fz00_10669 = 
PROCEDURE_REF(BgL_envz00_10668, 
(int)(((long)0))); 
BgL_i1154z00_10670 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10668, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10671 = 
PROCEDURE_REF(BgL_envz00_10668, 
(int)(((long)2))); 
BgL_nbargsz00_10672 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10668, 
(int)(((long)3)))); 
BgL_argsz00_10673 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10668, 
(int)(((long)4)))); 
BgL_siza7eza7_10674 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10668, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_bpz00_12674;
BgL_bpz00_12674 = 
VECTOR_REF(
((obj_t)BgL_sz00_10675),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_12675;
BgL_fz00_12675 = 
PROCEDURE_ENTRY(BgL_fz00_10669)(BgL_fz00_10669, BgL_sz00_10675, BEOA); 
if(
PROCEDUREP(BgL_fz00_12675))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10670))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12675); } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ufz00_12676;
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_tmpz00_16063;
BgL_tmpz00_16063 = 
((obj_t)BgL_fz00_12675); 
BgL_ufz00_12676 = 
PROCEDURE_ATTR(BgL_tmpz00_16063); } 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test5544z00_16066;
if(
STRUCTP(BgL_ufz00_12676))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5544z00_16066 = 
(
STRUCT_KEY(BgL_ufz00_12676)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5544z00_16066 = ((bool_t)0)
; } 
if(BgL_test5544z00_16066)
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_arityz00_12677;obj_t BgL_runz00_12678;obj_t BgL_sfz00_12679;
BgL_arityz00_12677 = 
STRUCT_REF(BgL_ufz00_12676, 
(int)(((long)0))); 
BgL_runz00_12678 = 
STRUCT_REF(BgL_ufz00_12676, 
(int)(((long)1))); 
BgL_sfz00_12679 = 
STRUCT_REF(BgL_ufz00_12676, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_spz00_12680;
BgL_spz00_12680 = 
(
(long)CINT(BgL_bpz00_12674)+BgL_siza7eza7_10674); 
if(
(
(long)CINT(BgL_arityz00_12677)==BgL_nbargsz00_10672))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10675, BgL_argsz00_10673, 
BINT(BgL_spz00_12680))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test5547z00_16085;
if(
(
(long)CINT(BgL_arityz00_12677)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test5547z00_16085 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test5547z00_16085 = 
(
(long)CINT(BgL_arityz00_12677)<
(((long)-1)-BgL_nbargsz00_10672))
; } 
if(BgL_test5547z00_16085)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10670))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12676, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10672), 
CINT(BgL_arityz00_12677)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12677, BgL_sz00_10675, BgL_argsz00_10673, 
BINT(BgL_spz00_12680)); } } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_z12denvz12_12681;
BgL_z12denvz12_12681 = 
BGL_CURRENT_DYNAMIC_ENV(); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_tmpz00_16101;
BgL_tmpz00_16101 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10670))->BgL_locz00); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12681, BgL_tmpz00_16101); } 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10675, 
BINT(BgL_spz00_12680), BgL_sfz00_12679))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12678, BgL_sz00_10675, 
BINT(BgL_spz00_12680));}  else 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_nsz00_12682;
BgL_nsz00_12682 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_arg1852z00_12683;
BgL_arg1852z00_12683 = 
(BgL_spz00_12680+BgL_nbargsz00_10672); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12682, ((long)2), BgL_sz00_10675, 
BINT(BgL_spz00_12680), 
BINT(BgL_arg1852z00_12683)); } 
VECTOR_SET(BgL_nsz00_12682,((long)1),BgL_sz00_10675); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12681, BgL_nsz00_12682); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ez00_12684;
BgL_ez00_12684 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12684, BgL_sz00_10675); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_____rz00_12685;
BgL_____rz00_12685 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12678, BgL_nsz00_12682, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12684); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12681, BgL_sz00_10675); 
return BgL_____rz00_12685;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12675, 
(int)(BgL_nbargsz00_10672)))
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_auxz00_16127;obj_t BgL_tmpz00_16125;
BgL_auxz00_16127 = 
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10670))->BgL_locz00); 
BgL_tmpz00_16125 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16125, BgL_auxz00_16127); } 
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10675, BgL_fz00_12675, BgL_argsz00_10673, BgL_bpz00_12674, 
BINT(BgL_siza7eza7_10674));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10670))->BgL_locz00), BgL_symbzd2funzd2_10671, 
(int)(BgL_nbargsz00_10672), 
PROCEDURE_ARITY(BgL_fz00_12675));} } } } } } } } 

}



/* &<@anonymous:1859> */
obj_t BGl_z62zc3z04anonymousza31859ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10676, obj_t BgL_sz00_10683)
{
{ /* Eval/evaluate_comp.scm 781 */
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_10677;BgL_ev_appz00_bglt BgL_i1154z00_10678;obj_t BgL_symbzd2funzd2_10679;long BgL_nbargsz00_10680;obj_t BgL_argsz00_10681;long BgL_siza7eza7_10682;
BgL_fz00_10677 = 
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)0))); 
BgL_i1154z00_10678 = 
((BgL_ev_appz00_bglt)
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)1)))); 
BgL_symbzd2funzd2_10679 = 
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)2))); 
BgL_nbargsz00_10680 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)3)))); 
BgL_argsz00_10681 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)4)))); 
BgL_siza7eza7_10682 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10676, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_bpz00_12686;
BgL_bpz00_12686 = 
VECTOR_REF(
((obj_t)BgL_sz00_10683),((long)0)); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_fz00_12687;
BgL_fz00_12687 = 
PROCEDURE_ENTRY(BgL_fz00_10677)(BgL_fz00_10677, BgL_sz00_10683, BEOA); 
if(
PROCEDUREP(BgL_fz00_12687))
{ /* Eval/evaluate_comp.scm 781 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_evtypezd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10678))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12687); } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ufz00_12688;
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_tmpz00_16162;
BgL_tmpz00_16162 = 
((obj_t)BgL_fz00_12687); 
BgL_ufz00_12688 = 
PROCEDURE_ATTR(BgL_tmpz00_16162); } 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test5552z00_16165;
if(
STRUCTP(BgL_ufz00_12688))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5552z00_16165 = 
(
STRUCT_KEY(BgL_ufz00_12688)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5552z00_16165 = ((bool_t)0)
; } 
if(BgL_test5552z00_16165)
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_arityz00_12689;obj_t BgL_runz00_12690;obj_t BgL_sfz00_12691;
BgL_arityz00_12689 = 
STRUCT_REF(BgL_ufz00_12688, 
(int)(((long)0))); 
BgL_runz00_12690 = 
STRUCT_REF(BgL_ufz00_12688, 
(int)(((long)1))); 
BgL_sfz00_12691 = 
STRUCT_REF(BgL_ufz00_12688, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_spz00_12692;
BgL_spz00_12692 = 
(
(long)CINT(BgL_bpz00_12686)+BgL_siza7eza7_10682); 
if(
(
(long)CINT(BgL_arityz00_12689)==BgL_nbargsz00_10680))
{ /* Eval/evaluate_comp.scm 781 */
BBOOL(
BGl_pushzd2argszd2onzd2spzd2zz__evaluate_compz00(BgL_sz00_10683, BgL_argsz00_10681, 
BINT(BgL_spz00_12692))); }  else 
{ /* Eval/evaluate_comp.scm 781 */
bool_t BgL_test5555z00_16184;
if(
(
(long)CINT(BgL_arityz00_12689)>=((long)0)))
{ /* Eval/evaluate_comp.scm 781 */
BgL_test5555z00_16184 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 781 */
BgL_test5555z00_16184 = 
(
(long)CINT(BgL_arityz00_12689)<
(((long)-1)-BgL_nbargsz00_10680))
; } 
if(BgL_test5555z00_16184)
{ /* Eval/evaluate_comp.scm 781 */
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10678))->BgL_locz00), 
STRUCT_REF(BgL_ufz00_12688, 
(int)(((long)3))), 
(int)(BgL_nbargsz00_10680), 
CINT(BgL_arityz00_12689)); }  else 
{ /* Eval/evaluate_comp.scm 781 */
BGl_pushzd2nargszd2onzd2spzd2zz__evaluate_compz00(BgL_arityz00_12689, BgL_sz00_10683, BgL_argsz00_10681, 
BINT(BgL_spz00_12692)); } } 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_z12denvz12_12693;
BgL_z12denvz12_12693 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10683, 
BINT(BgL_spz00_12692), BgL_sfz00_12691))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12690, BgL_sz00_10683, 
BINT(BgL_spz00_12692));}  else 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_nsz00_12694;
BgL_nsz00_12694 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 781 */
long BgL_arg1871z00_12695;
BgL_arg1871z00_12695 = 
(BgL_spz00_12692+BgL_nbargsz00_10680); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12694, ((long)2), BgL_sz00_10683, 
BINT(BgL_spz00_12692), 
BINT(BgL_arg1871z00_12695)); } 
VECTOR_SET(BgL_nsz00_12694,((long)1),BgL_sz00_10683); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12693, BgL_nsz00_12694); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_ez00_12696;
BgL_ez00_12696 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12696, BgL_sz00_10683); 
{ /* Eval/evaluate_comp.scm 781 */
obj_t BgL_____rz00_12697;
BgL_____rz00_12697 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12690, BgL_nsz00_12694, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12696); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12693, BgL_sz00_10683); 
return BgL_____rz00_12697;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 781 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12687, 
(int)(BgL_nbargsz00_10680)))
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_subrzd2callzd2withzd2pushzd2zz__evaluate_compz00(BgL_sz00_10683, BgL_fz00_12687, BgL_argsz00_10681, BgL_bpz00_12686, 
BINT(BgL_siza7eza7_10682));}  else 
{ /* Eval/evaluate_comp.scm 781 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_i1154z00_10678))->BgL_locz00), BgL_symbzd2funzd2_10679, 
(int)(BgL_nbargsz00_10680), 
PROCEDURE_ARITY(BgL_fz00_12687));} } } } } } } } 

}



/* comp-call0 */
obj_t BGl_compzd2call0zd2zz__evaluate_compz00(obj_t BgL_locz00_138, BgL_ev_exprz00_bglt BgL_vfunz00_139, obj_t BgL_symbzd2funzd2_140, obj_t BgL_funz00_141, obj_t BgL_tailzf3zf3_142, obj_t BgL_stkz00_143, long BgL_siza7eza7_144)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_1969;
BgL_cfunz00_1969 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_139, ((long)0), BgL_locz00_138, BgL_symbzd2funzd2_140); 
if(
CBOOL(BgL_cfunz00_1969))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5560z00_16230;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1885z00_1983;
BgL_arg1885z00_1983 = 
bgl_debug(); 
BgL_test5560z00_16230 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1885z00_1983), 
BINT(((long)0))); } 
if(BgL_test5560z00_16230)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31882ze3z87_10684;
BgL_zc3z04anonymousza31882ze3z87_10684 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31882ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31882ze3z87_10684, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31882ze3z87_10684, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31882ze3z87_10684, 
(int)(((long)2)), BgL_cfunz00_1969); 
return BgL_zc3z04anonymousza31882ze3z87_10684;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31884ze3z87_10685;
BgL_zc3z04anonymousza31884ze3z87_10685 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31884ze3z87_10685, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_144)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31884ze3z87_10685, 
(int)(((long)1)), BgL_cfunz00_1969); 
return BgL_zc3z04anonymousza31884ze3z87_10685;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_142))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5562z00_16255;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1915z00_2047;
BgL_arg1915z00_2047 = 
bgl_debug(); 
BgL_test5562z00_16255 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1915z00_2047), 
BINT(((long)0))); } 
if(BgL_test5562z00_16255)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31888ze3z87_10686;
BgL_zc3z04anonymousza31888ze3z87_10686 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31888ze3z87_10686, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31888ze3z87_10686, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31888ze3z87_10686, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31888ze3z87_10686, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31888ze3z87_10686;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31902ze3z87_10687;
BgL_zc3z04anonymousza31902ze3z87_10687 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31902ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31902ze3z87_10687, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31902ze3z87_10687, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31902ze3z87_10687, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31902ze3z87_10687, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31902ze3z87_10687;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5563z00_16284;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1945z00_2111;
BgL_arg1945z00_2111 = 
bgl_debug(); 
BgL_test5563z00_16284 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1945z00_2111), 
BINT(((long)0))); } 
if(BgL_test5563z00_16284)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31918ze3z87_10688;
BgL_zc3z04anonymousza31918ze3z87_10688 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31918ze3z87_10688, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31918ze3z87_10688, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31918ze3z87_10688, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31918ze3z87_10688, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31918ze3z87_10688;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31932ze3z87_10689;
BgL_zc3z04anonymousza31932ze3z87_10689 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31932ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_10689, 
(int)(((long)0)), BgL_funz00_141); 
PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_10689, 
(int)(((long)1)), BgL_locz00_138); 
PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_10689, 
(int)(((long)2)), BgL_symbzd2funzd2_140); 
PROCEDURE_SET(BgL_zc3z04anonymousza31932ze3z87_10689, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_144)); 
return BgL_zc3z04anonymousza31932ze3z87_10689;} } } } } 

}



/* &<@anonymous:1882> */
obj_t BGl_z62zc3z04anonymousza31882ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10690, obj_t BgL_sz00_10694)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_siza7eza7_10691;obj_t BgL_locz00_10692;obj_t BgL_cfunz00_10693;
BgL_siza7eza7_10691 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10690, 
(int)(((long)0)))); 
BgL_locz00_10692 = 
PROCEDURE_REF(BgL_envz00_10690, 
(int)(((long)1))); 
BgL_cfunz00_10693 = 
PROCEDURE_REF(BgL_envz00_10690, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12698;
BgL_bpz00_12698 = 
VECTOR_REF(
((obj_t)BgL_sz00_10694),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12699;
BgL_nbpz00_12699 = 
(
(long)CINT(BgL_bpz00_12698)+BgL_siza7eza7_10691); 
VECTOR_SET(
((obj_t)BgL_sz00_10694),((long)0),
BINT(BgL_nbpz00_12699)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16327;
BgL_tmpz00_16327 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16327, BgL_locz00_10692); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12700;
BgL_rz00_12700 = 
PROCEDURE_ENTRY(BgL_cfunz00_10693)(BgL_cfunz00_10693, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10694),((long)0),BgL_bpz00_12698); 
return BgL_rz00_12700;} } } } } } 

}



/* &<@anonymous:1884> */
obj_t BGl_z62zc3z04anonymousza31884ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10695, obj_t BgL_sz00_10698)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_siza7eza7_10696;obj_t BgL_cfunz00_10697;
BgL_siza7eza7_10696 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10695, 
(int)(((long)0)))); 
BgL_cfunz00_10697 = 
PROCEDURE_REF(BgL_envz00_10695, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12701;
BgL_bpz00_12701 = 
VECTOR_REF(
((obj_t)BgL_sz00_10698),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */

{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12702;
BgL_nbpz00_12702 = 
(
(long)CINT(BgL_bpz00_12701)+BgL_siza7eza7_10696); 
VECTOR_SET(
((obj_t)BgL_sz00_10698),((long)0),
BINT(BgL_nbpz00_12702)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12703;
BgL_rz00_12703 = 
PROCEDURE_ENTRY(BgL_cfunz00_10697)(BgL_cfunz00_10697, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10698),((long)0),BgL_bpz00_12701); 
return BgL_rz00_12703;} } } } } } 

}



/* &<@anonymous:1888> */
obj_t BGl_z62zc3z04anonymousza31888ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10699, obj_t BgL_sz00_10704)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10700;obj_t BgL_locz00_10701;obj_t BgL_symbzd2funzd2_10702;long BgL_siza7eza7_10703;
BgL_funz00_10700 = 
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)0))); 
BgL_locz00_10701 = 
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10702 = 
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)2))); 
BgL_siza7eza7_10703 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10699, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12704;
BgL_bpz00_12704 = 
VECTOR_REF(
((obj_t)BgL_sz00_10704),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12705;
BgL_fz00_12705 = 
PROCEDURE_ENTRY(BgL_funz00_10700)(BgL_funz00_10700, BgL_sz00_10704, BEOA); 
if(
PROCEDUREP(BgL_fz00_12705))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10701, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12705); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12706;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16370;
BgL_tmpz00_16370 = 
((obj_t)BgL_fz00_12705); 
BgL_ufz00_12706 = 
PROCEDURE_ATTR(BgL_tmpz00_16370); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5565z00_16373;
if(
STRUCTP(BgL_ufz00_12706))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5565z00_16373 = 
(
STRUCT_KEY(BgL_ufz00_12706)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5565z00_16373 = ((bool_t)0)
; } 
if(BgL_test5565z00_16373)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12707;obj_t BgL_runz00_12708;obj_t BgL_sfz00_12709;
BgL_arityz00_12707 = 
STRUCT_REF(BgL_ufz00_12706, 
(int)(((long)0))); 
BgL_runz00_12708 = 
STRUCT_REF(BgL_ufz00_12706, 
(int)(((long)1))); 
BgL_sfz00_12709 = 
STRUCT_REF(BgL_ufz00_12706, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12707)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12707))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12707)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1893z00_12712;obj_t BgL_arg1894z00_12713;
BgL_arg1893z00_12712 = 
(
(long)CINT(BgL_bpz00_12704)+((long)0)); 
BgL_arg1894z00_12713 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10704),BgL_arg1893z00_12712,BgL_arg1894z00_12713); } break;
default: 
BgL_case_else1170z00_12710:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1896z00_12711;
BgL_arg1896z00_12711 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12706), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10701, BgL_arg1896z00_12711, 
(int)(((long)0)), 
CINT(BgL_arityz00_12707)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1170z00_12710;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12714;
BgL_z12denvz12_12714 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12714, BgL_locz00_10701); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10704, BgL_bpz00_12704, BgL_sfz00_12709))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12708;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12715;
BgL_nsz00_12715 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1898z00_12716;
BgL_arg1898z00_12716 = 
(
(long)CINT(BgL_bpz00_12704)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12715, ((long)2), BgL_sz00_10704, BgL_bpz00_12704, 
BINT(BgL_arg1898z00_12716)); } 
VECTOR_SET(BgL_nsz00_12715,((long)1),BgL_sz00_10704); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12714, BgL_nsz00_12715); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12717;
BgL_ez00_12717 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12717, BgL_sz00_10704); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12718;
BgL_____rz00_12718 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12708, BgL_nsz00_12715, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12717); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12714, BgL_sz00_10704); 
return BgL_____rz00_12718;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12705, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12719;
BgL_nbpz00_12719 = 
(
(long)CINT(BgL_bpz00_12704)+BgL_siza7eza7_10703); 
VECTOR_SET(
((obj_t)BgL_sz00_10704),((long)0),
BINT(BgL_nbpz00_12719)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16426;
BgL_tmpz00_16426 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16426, BgL_locz00_10701); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12720;
BgL_rz00_12720 = 
PROCEDURE_ENTRY(BgL_fz00_12705)(BgL_fz00_12705, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10704),((long)0),BgL_bpz00_12704); 
return BgL_rz00_12720;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10701, BgL_symbzd2funzd2_10702, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12705));} } } } } } } } 

}



/* &<@anonymous:1902> */
obj_t BGl_z62zc3z04anonymousza31902ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10705, obj_t BgL_sz00_10710)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10706;obj_t BgL_locz00_10707;obj_t BgL_symbzd2funzd2_10708;long BgL_siza7eza7_10709;
BgL_funz00_10706 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)0))); 
BgL_locz00_10707 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10708 = 
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)2))); 
BgL_siza7eza7_10709 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10705, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12721;
BgL_bpz00_12721 = 
VECTOR_REF(
((obj_t)BgL_sz00_10710),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12722;
BgL_fz00_12722 = 
PROCEDURE_ENTRY(BgL_funz00_10706)(BgL_funz00_10706, BgL_sz00_10710, BEOA); 
if(
PROCEDUREP(BgL_fz00_12722))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10707, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12722); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12723;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16455;
BgL_tmpz00_16455 = 
((obj_t)BgL_fz00_12722); 
BgL_ufz00_12723 = 
PROCEDURE_ATTR(BgL_tmpz00_16455); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5572z00_16458;
if(
STRUCTP(BgL_ufz00_12723))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5572z00_16458 = 
(
STRUCT_KEY(BgL_ufz00_12723)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5572z00_16458 = ((bool_t)0)
; } 
if(BgL_test5572z00_16458)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12724;obj_t BgL_runz00_12725;obj_t BgL_sfz00_12726;
BgL_arityz00_12724 = 
STRUCT_REF(BgL_ufz00_12723, 
(int)(((long)0))); 
BgL_runz00_12725 = 
STRUCT_REF(BgL_ufz00_12723, 
(int)(((long)1))); 
BgL_sfz00_12726 = 
STRUCT_REF(BgL_ufz00_12723, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12724)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12724))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12724)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1907z00_12729;obj_t BgL_arg1908z00_12730;
BgL_arg1907z00_12729 = 
(
(long)CINT(BgL_bpz00_12721)+((long)0)); 
BgL_arg1908z00_12730 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10710),BgL_arg1907z00_12729,BgL_arg1908z00_12730); } break;
default: 
BgL_case_else1172z00_12727:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1910z00_12728;
BgL_arg1910z00_12728 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12723), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10707, BgL_arg1910z00_12728, 
(int)(((long)0)), 
CINT(BgL_arityz00_12724)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1172z00_12727;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12731;
BgL_z12denvz12_12731 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10710, BgL_bpz00_12721, BgL_sfz00_12726))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12725;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12732;
BgL_nsz00_12732 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1912z00_12733;
BgL_arg1912z00_12733 = 
(
(long)CINT(BgL_bpz00_12721)+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12732, ((long)2), BgL_sz00_10710, BgL_bpz00_12721, 
BINT(BgL_arg1912z00_12733)); } 
VECTOR_SET(BgL_nsz00_12732,((long)1),BgL_sz00_10710); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12731, BgL_nsz00_12732); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12734;
BgL_ez00_12734 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12734, BgL_sz00_10710); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12735;
BgL_____rz00_12735 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12725, BgL_nsz00_12732, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12734); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12731, BgL_sz00_10710); 
return BgL_____rz00_12735;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12722, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12736;
BgL_nbpz00_12736 = 
(
(long)CINT(BgL_bpz00_12721)+BgL_siza7eza7_10709); 
VECTOR_SET(
((obj_t)BgL_sz00_10710),((long)0),
BINT(BgL_nbpz00_12736)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12737;
BgL_rz00_12737 = 
PROCEDURE_ENTRY(BgL_fz00_12722)(BgL_fz00_12722, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10710),((long)0),BgL_bpz00_12721); 
return BgL_rz00_12737;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10707, BgL_symbzd2funzd2_10708, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12722));} } } } } } } } 

}



/* &<@anonymous:1918> */
obj_t BGl_z62zc3z04anonymousza31918ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10711, obj_t BgL_sz00_10716)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10712;obj_t BgL_locz00_10713;obj_t BgL_symbzd2funzd2_10714;long BgL_siza7eza7_10715;
BgL_funz00_10712 = 
PROCEDURE_REF(BgL_envz00_10711, 
(int)(((long)0))); 
BgL_locz00_10713 = 
PROCEDURE_REF(BgL_envz00_10711, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10714 = 
PROCEDURE_REF(BgL_envz00_10711, 
(int)(((long)2))); 
BgL_siza7eza7_10715 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10711, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12738;
BgL_bpz00_12738 = 
VECTOR_REF(
((obj_t)BgL_sz00_10716),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12739;
BgL_fz00_12739 = 
PROCEDURE_ENTRY(BgL_funz00_10712)(BgL_funz00_10712, BgL_sz00_10716, BEOA); 
if(
PROCEDUREP(BgL_fz00_12739))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10713, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12739); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12740;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16536;
BgL_tmpz00_16536 = 
((obj_t)BgL_fz00_12739); 
BgL_ufz00_12740 = 
PROCEDURE_ATTR(BgL_tmpz00_16536); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5579z00_16539;
if(
STRUCTP(BgL_ufz00_12740))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5579z00_16539 = 
(
STRUCT_KEY(BgL_ufz00_12740)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5579z00_16539 = ((bool_t)0)
; } 
if(BgL_test5579z00_16539)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12741;obj_t BgL_runz00_12742;obj_t BgL_sfz00_12743;
BgL_arityz00_12741 = 
STRUCT_REF(BgL_ufz00_12740, 
(int)(((long)0))); 
BgL_runz00_12742 = 
STRUCT_REF(BgL_ufz00_12740, 
(int)(((long)1))); 
BgL_sfz00_12743 = 
STRUCT_REF(BgL_ufz00_12740, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12744;
BgL_spz00_12744 = 
(
(long)CINT(BgL_bpz00_12738)+BgL_siza7eza7_10715); 
if(
(
(long)CINT(BgL_arityz00_12741)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12741))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12741)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1923z00_12747;obj_t BgL_arg1924z00_12748;
BgL_arg1923z00_12747 = 
(BgL_spz00_12744+((long)0)); 
BgL_arg1924z00_12748 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10716),BgL_arg1923z00_12747,BgL_arg1924z00_12748); } break;
default: 
BgL_case_else1174z00_12745:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1926z00_12746;
BgL_arg1926z00_12746 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12740), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10713, BgL_arg1926z00_12746, 
(int)(((long)0)), 
CINT(BgL_arityz00_12741)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1174z00_12745;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12749;
BgL_z12denvz12_12749 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12749, BgL_locz00_10713); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10716, 
BINT(BgL_spz00_12744), BgL_sfz00_12743))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12742, BgL_sz00_10716, 
BINT(BgL_spz00_12744));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12750;
BgL_nsz00_12750 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1928z00_12751;
BgL_arg1928z00_12751 = 
(BgL_spz00_12744+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12750, ((long)2), BgL_sz00_10716, 
BINT(BgL_spz00_12744), 
BINT(BgL_arg1928z00_12751)); } 
VECTOR_SET(BgL_nsz00_12750,((long)1),BgL_sz00_10716); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12749, BgL_nsz00_12750); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12752;
BgL_ez00_12752 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12752, BgL_sz00_10716); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12753;
BgL_____rz00_12753 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12742, BgL_nsz00_12750, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12752); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12749, BgL_sz00_10716); 
return BgL_____rz00_12753;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12739, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12754;
BgL_nbpz00_12754 = 
(
(long)CINT(BgL_bpz00_12738)+BgL_siza7eza7_10715); 
VECTOR_SET(
((obj_t)BgL_sz00_10716),((long)0),
BINT(BgL_nbpz00_12754)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16596;
BgL_tmpz00_16596 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16596, BgL_locz00_10713); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12755;
BgL_rz00_12755 = 
PROCEDURE_ENTRY(BgL_fz00_12739)(BgL_fz00_12739, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10716),((long)0),BgL_bpz00_12738); 
return BgL_rz00_12755;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10713, BgL_symbzd2funzd2_10714, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12739));} } } } } } } } 

}



/* &<@anonymous:1932> */
obj_t BGl_z62zc3z04anonymousza31932ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10717, obj_t BgL_sz00_10722)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10718;obj_t BgL_locz00_10719;obj_t BgL_symbzd2funzd2_10720;long BgL_siza7eza7_10721;
BgL_funz00_10718 = 
PROCEDURE_REF(BgL_envz00_10717, 
(int)(((long)0))); 
BgL_locz00_10719 = 
PROCEDURE_REF(BgL_envz00_10717, 
(int)(((long)1))); 
BgL_symbzd2funzd2_10720 = 
PROCEDURE_REF(BgL_envz00_10717, 
(int)(((long)2))); 
BgL_siza7eza7_10721 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10717, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12756;
BgL_bpz00_12756 = 
VECTOR_REF(
((obj_t)BgL_sz00_10722),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12757;
BgL_fz00_12757 = 
PROCEDURE_ENTRY(BgL_funz00_10718)(BgL_funz00_10718, BgL_sz00_10722, BEOA); 
if(
PROCEDUREP(BgL_fz00_12757))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10719, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12757); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12758;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16625;
BgL_tmpz00_16625 = 
((obj_t)BgL_fz00_12757); 
BgL_ufz00_12758 = 
PROCEDURE_ATTR(BgL_tmpz00_16625); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5586z00_16628;
if(
STRUCTP(BgL_ufz00_12758))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5586z00_16628 = 
(
STRUCT_KEY(BgL_ufz00_12758)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5586z00_16628 = ((bool_t)0)
; } 
if(BgL_test5586z00_16628)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12759;obj_t BgL_runz00_12760;obj_t BgL_sfz00_12761;
BgL_arityz00_12759 = 
STRUCT_REF(BgL_ufz00_12758, 
(int)(((long)0))); 
BgL_runz00_12760 = 
STRUCT_REF(BgL_ufz00_12758, 
(int)(((long)1))); 
BgL_sfz00_12761 = 
STRUCT_REF(BgL_ufz00_12758, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12762;
BgL_spz00_12762 = 
(
(long)CINT(BgL_bpz00_12756)+BgL_siza7eza7_10721); 
if(
(
(long)CINT(BgL_arityz00_12759)==((long)0)))
{ /* Eval/evaluate_comp.scm 896 */BUNSPEC; }  else 
{ 

if(
INTEGERP(BgL_arityz00_12759))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12759)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1937z00_12765;obj_t BgL_arg1938z00_12766;
BgL_arg1937z00_12765 = 
(BgL_spz00_12762+((long)0)); 
BgL_arg1938z00_12766 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10722),BgL_arg1937z00_12765,BgL_arg1938z00_12766); } break;
default: 
BgL_case_else1176z00_12763:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1940z00_12764;
BgL_arg1940z00_12764 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12758), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10719, BgL_arg1940z00_12764, 
(int)(((long)0)), 
CINT(BgL_arityz00_12759)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1176z00_12763;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12767;
BgL_z12denvz12_12767 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10722, 
BINT(BgL_spz00_12762), BgL_sfz00_12761))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12760, BgL_sz00_10722, 
BINT(BgL_spz00_12762));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12768;
BgL_nsz00_12768 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1942z00_12769;
BgL_arg1942z00_12769 = 
(BgL_spz00_12762+((long)0)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12768, ((long)2), BgL_sz00_10722, 
BINT(BgL_spz00_12762), 
BINT(BgL_arg1942z00_12769)); } 
VECTOR_SET(BgL_nsz00_12768,((long)1),BgL_sz00_10722); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12767, BgL_nsz00_12768); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12770;
BgL_ez00_12770 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12770, BgL_sz00_10722); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12771;
BgL_____rz00_12771 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12760, BgL_nsz00_12768, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12770); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12767, BgL_sz00_10722); 
return BgL_____rz00_12771;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12757, 
(int)(((long)0))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12772;
BgL_nbpz00_12772 = 
(
(long)CINT(BgL_bpz00_12756)+BgL_siza7eza7_10721); 
VECTOR_SET(
((obj_t)BgL_sz00_10722),((long)0),
BINT(BgL_nbpz00_12772)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12773;
BgL_rz00_12773 = 
PROCEDURE_ENTRY(BgL_fz00_12757)(BgL_fz00_12757, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10722),((long)0),BgL_bpz00_12756); 
return BgL_rz00_12773;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10719, BgL_symbzd2funzd2_10720, 
(int)(((long)0)), 
PROCEDURE_ARITY(BgL_fz00_12757));} } } } } } } } 

}



/* comp-call1 */
obj_t BGl_compzd2call1zd2zz__evaluate_compz00(obj_t BgL_locz00_145, BgL_ev_exprz00_bglt BgL_vfunz00_146, obj_t BgL_symbzd2funzd2_147, obj_t BgL_funz00_148, obj_t BgL_tailzf3zf3_149, obj_t BgL_stkz00_150, long BgL_siza7eza7_151, obj_t BgL_a1z00_152)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2112;
BgL_cfunz00_2112 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_146, ((long)1), BgL_locz00_145, BgL_symbzd2funzd2_147); 
if(
CBOOL(BgL_cfunz00_2112))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5593z00_16695;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1951z00_2128;
BgL_arg1951z00_2128 = 
bgl_debug(); 
BgL_test5593z00_16695 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1951z00_2128), 
BINT(((long)0))); } 
if(BgL_test5593z00_16695)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31948ze3z87_10723;
BgL_zc3z04anonymousza31948ze3z87_10723 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31948ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31948ze3z87_10723, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31948ze3z87_10723, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31948ze3z87_10723, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza31948ze3z87_10723, 
(int)(((long)3)), BgL_cfunz00_2112); 
return BgL_zc3z04anonymousza31948ze3z87_10723;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31950ze3z87_10724;
BgL_zc3z04anonymousza31950ze3z87_10724 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31950ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31950ze3z87_10724, 
(int)(((long)0)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31950ze3z87_10724, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_151)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31950ze3z87_10724, 
(int)(((long)2)), BgL_cfunz00_2112); 
return BgL_zc3z04anonymousza31950ze3z87_10724;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_149))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5595z00_16724;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg1991z00_2204;
BgL_arg1991z00_2204 = 
bgl_debug(); 
BgL_test5595z00_16724 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg1991z00_2204), 
BINT(((long)0))); } 
if(BgL_test5595z00_16724)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31954ze3z87_10725;
BgL_zc3z04anonymousza31954ze3z87_10725 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31954ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_10725, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_10725, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_10725, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_10725, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza31954ze3z87_10725, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza31954ze3z87_10725;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31973ze3z87_10726;
BgL_zc3z04anonymousza31973ze3z87_10726 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_10726, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_10726, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_10726, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_10726, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza31973ze3z87_10726, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza31973ze3z87_10726;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5596z00_16757;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2031z00_2280;
BgL_arg2031z00_2280 = 
bgl_debug(); 
BgL_test5596z00_16757 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2031z00_2280), 
BINT(((long)0))); } 
if(BgL_test5596z00_16757)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza31994ze3z87_10727;
BgL_zc3z04anonymousza31994ze3z87_10727 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31994ze3z87_10727, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza31994ze3z87_10727, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza31994ze3z87_10727, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza31994ze3z87_10727, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza31994ze3z87_10727, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza31994ze3z87_10727;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32013ze3z87_10728;
BgL_zc3z04anonymousza32013ze3z87_10728 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_10728, 
(int)(((long)0)), BgL_funz00_148); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_10728, 
(int)(((long)1)), BgL_a1z00_152); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_10728, 
(int)(((long)2)), BgL_locz00_145); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_10728, 
(int)(((long)3)), BgL_symbzd2funzd2_147); 
PROCEDURE_SET(BgL_zc3z04anonymousza32013ze3z87_10728, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_151)); 
return BgL_zc3z04anonymousza32013ze3z87_10728;} } } } } 

}



/* &<@anonymous:1948> */
obj_t BGl_z62zc3z04anonymousza31948ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10729, obj_t BgL_sz00_10734)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10730;long BgL_siza7eza7_10731;obj_t BgL_locz00_10732;obj_t BgL_cfunz00_10733;
BgL_a1z00_10730 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)0))); 
BgL_siza7eza7_10731 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)1)))); 
BgL_locz00_10732 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)2))); 
BgL_cfunz00_10733 = 
PROCEDURE_REF(BgL_envz00_10729, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12774;
BgL_bpz00_12774 = 
VECTOR_REF(
((obj_t)BgL_sz00_10734),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12775;
BgL_a1z00_12775 = 
PROCEDURE_ENTRY(BgL_a1z00_10730)(BgL_a1z00_10730, BgL_sz00_10734, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12776;
BgL_nbpz00_12776 = 
(
(long)CINT(BgL_bpz00_12774)+BgL_siza7eza7_10731); 
VECTOR_SET(
((obj_t)BgL_sz00_10734),((long)0),
BINT(BgL_nbpz00_12776)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16810;
BgL_tmpz00_16810 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16810, BgL_locz00_10732); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12777;
BgL_rz00_12777 = 
PROCEDURE_ENTRY(BgL_cfunz00_10733)(BgL_cfunz00_10733, BgL_a1z00_12775, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10734),((long)0),BgL_bpz00_12774); 
return BgL_rz00_12777;} } } } } } 

}



/* &<@anonymous:1950> */
obj_t BGl_z62zc3z04anonymousza31950ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10735, obj_t BgL_sz00_10739)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10736;long BgL_siza7eza7_10737;obj_t BgL_cfunz00_10738;
BgL_a1z00_10736 = 
PROCEDURE_REF(BgL_envz00_10735, 
(int)(((long)0))); 
BgL_siza7eza7_10737 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10735, 
(int)(((long)1)))); 
BgL_cfunz00_10738 = 
PROCEDURE_REF(BgL_envz00_10735, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12778;
BgL_bpz00_12778 = 
VECTOR_REF(
((obj_t)BgL_sz00_10739),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12779;
BgL_a1z00_12779 = 
PROCEDURE_ENTRY(BgL_a1z00_10736)(BgL_a1z00_10736, BgL_sz00_10739, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12780;
BgL_nbpz00_12780 = 
(
(long)CINT(BgL_bpz00_12778)+BgL_siza7eza7_10737); 
VECTOR_SET(
((obj_t)BgL_sz00_10739),((long)0),
BINT(BgL_nbpz00_12780)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12781;
BgL_rz00_12781 = 
PROCEDURE_ENTRY(BgL_cfunz00_10738)(BgL_cfunz00_10738, BgL_a1z00_12779, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10739),((long)0),BgL_bpz00_12778); 
return BgL_rz00_12781;} } } } } } 

}



/* &<@anonymous:1954> */
obj_t BGl_z62zc3z04anonymousza31954ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10740, obj_t BgL_sz00_10746)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10741;obj_t BgL_a1z00_10742;obj_t BgL_locz00_10743;obj_t BgL_symbzd2funzd2_10744;long BgL_siza7eza7_10745;
BgL_funz00_10741 = 
PROCEDURE_REF(BgL_envz00_10740, 
(int)(((long)0))); 
BgL_a1z00_10742 = 
PROCEDURE_REF(BgL_envz00_10740, 
(int)(((long)1))); 
BgL_locz00_10743 = 
PROCEDURE_REF(BgL_envz00_10740, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10744 = 
PROCEDURE_REF(BgL_envz00_10740, 
(int)(((long)3))); 
BgL_siza7eza7_10745 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10740, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12782;
BgL_bpz00_12782 = 
VECTOR_REF(
((obj_t)BgL_sz00_10746),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12783;obj_t BgL_a1z00_12784;
BgL_fz00_12783 = 
PROCEDURE_ENTRY(BgL_funz00_10741)(BgL_funz00_10741, BgL_sz00_10746, BEOA); 
BgL_a1z00_12784 = 
PROCEDURE_ENTRY(BgL_a1z00_10742)(BgL_a1z00_10742, BgL_sz00_10746, BEOA); 
if(
PROCEDUREP(BgL_fz00_12783))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10743, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12783); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12785;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16867;
BgL_tmpz00_16867 = 
((obj_t)BgL_fz00_12783); 
BgL_ufz00_12785 = 
PROCEDURE_ATTR(BgL_tmpz00_16867); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5598z00_16870;
if(
STRUCTP(BgL_ufz00_12785))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5598z00_16870 = 
(
STRUCT_KEY(BgL_ufz00_12785)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5598z00_16870 = ((bool_t)0)
; } 
if(BgL_test5598z00_16870)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12786;obj_t BgL_runz00_12787;obj_t BgL_sfz00_12788;
BgL_arityz00_12786 = 
STRUCT_REF(BgL_ufz00_12785, 
(int)(((long)0))); 
BgL_runz00_12787 = 
STRUCT_REF(BgL_ufz00_12785, 
(int)(((long)1))); 
BgL_sfz00_12788 = 
STRUCT_REF(BgL_ufz00_12785, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12786)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1958z00_12789;
BgL_arg1958z00_12789 = 
(
(long)CINT(BgL_bpz00_12782)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10746),BgL_arg1958z00_12789,BgL_a1z00_12784); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12786))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12786)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1960z00_12792;obj_t BgL_arg1961z00_12793;
BgL_arg1960z00_12792 = 
(
(long)CINT(BgL_bpz00_12782)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list1962z00_12794;
BgL_list1962z00_12794 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12784, BNIL); 
BgL_arg1961z00_12793 = BgL_list1962z00_12794; } 
VECTOR_SET(
((obj_t)BgL_sz00_10746),BgL_arg1960z00_12792,BgL_arg1961z00_12793); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1963z00_12795;
BgL_arg1963z00_12795 = 
(
(long)CINT(BgL_bpz00_12782)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10746),BgL_arg1963z00_12795,BgL_a1z00_12784); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1964z00_12796;obj_t BgL_arg1965z00_12797;
BgL_arg1964z00_12796 = 
(
(long)CINT(BgL_bpz00_12782)+((long)1)); 
BgL_arg1965z00_12797 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10746),BgL_arg1964z00_12796,BgL_arg1965z00_12797); } break;
default: 
BgL_case_else1178z00_12790:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1967z00_12791;
BgL_arg1967z00_12791 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12785), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10743, BgL_arg1967z00_12791, 
(int)(((long)1)), 
CINT(BgL_arityz00_12786)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1178z00_12790;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12798;
BgL_z12denvz12_12798 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12798, BgL_locz00_10743); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10746, BgL_bpz00_12782, BgL_sfz00_12788))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12787;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12799;
BgL_nsz00_12799 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1969z00_12800;
BgL_arg1969z00_12800 = 
(
(long)CINT(BgL_bpz00_12782)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12799, ((long)2), BgL_sz00_10746, BgL_bpz00_12782, 
BINT(BgL_arg1969z00_12800)); } 
VECTOR_SET(BgL_nsz00_12799,((long)1),BgL_sz00_10746); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12798, BgL_nsz00_12799); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12801;
BgL_ez00_12801 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12801, BgL_sz00_10746); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12802;
BgL_____rz00_12802 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12787, BgL_nsz00_12799, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12801); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12798, BgL_sz00_10746); 
return BgL_____rz00_12802;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12783, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12803;
BgL_nbpz00_12803 = 
(
(long)CINT(BgL_bpz00_12782)+BgL_siza7eza7_10745); 
VECTOR_SET(
((obj_t)BgL_sz00_10746),((long)0),
BINT(BgL_nbpz00_12803)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16936;
BgL_tmpz00_16936 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_16936, BgL_locz00_10743); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12804;
BgL_rz00_12804 = 
PROCEDURE_ENTRY(BgL_fz00_12783)(BgL_fz00_12783, BgL_a1z00_12784, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10746),((long)0),BgL_bpz00_12782); 
return BgL_rz00_12804;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10743, BgL_symbzd2funzd2_10744, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12783));} } } } } } } } 

}



/* &<@anonymous:1973> */
obj_t BGl_z62zc3z04anonymousza31973ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10747, obj_t BgL_sz00_10753)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10748;obj_t BgL_a1z00_10749;obj_t BgL_locz00_10750;obj_t BgL_symbzd2funzd2_10751;long BgL_siza7eza7_10752;
BgL_funz00_10748 = 
PROCEDURE_REF(BgL_envz00_10747, 
(int)(((long)0))); 
BgL_a1z00_10749 = 
PROCEDURE_REF(BgL_envz00_10747, 
(int)(((long)1))); 
BgL_locz00_10750 = 
PROCEDURE_REF(BgL_envz00_10747, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10751 = 
PROCEDURE_REF(BgL_envz00_10747, 
(int)(((long)3))); 
BgL_siza7eza7_10752 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10747, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12805;
BgL_bpz00_12805 = 
VECTOR_REF(
((obj_t)BgL_sz00_10753),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12806;obj_t BgL_a1z00_12807;
BgL_fz00_12806 = 
PROCEDURE_ENTRY(BgL_funz00_10748)(BgL_funz00_10748, BgL_sz00_10753, BEOA); 
BgL_a1z00_12807 = 
PROCEDURE_ENTRY(BgL_a1z00_10749)(BgL_a1z00_10749, BgL_sz00_10753, BEOA); 
if(
PROCEDUREP(BgL_fz00_12806))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10750, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12806); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12808;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_16972;
BgL_tmpz00_16972 = 
((obj_t)BgL_fz00_12806); 
BgL_ufz00_12808 = 
PROCEDURE_ATTR(BgL_tmpz00_16972); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5605z00_16975;
if(
STRUCTP(BgL_ufz00_12808))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5605z00_16975 = 
(
STRUCT_KEY(BgL_ufz00_12808)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5605z00_16975 = ((bool_t)0)
; } 
if(BgL_test5605z00_16975)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12809;obj_t BgL_runz00_12810;obj_t BgL_sfz00_12811;
BgL_arityz00_12809 = 
STRUCT_REF(BgL_ufz00_12808, 
(int)(((long)0))); 
BgL_runz00_12810 = 
STRUCT_REF(BgL_ufz00_12808, 
(int)(((long)1))); 
BgL_sfz00_12811 = 
STRUCT_REF(BgL_ufz00_12808, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12809)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1977z00_12812;
BgL_arg1977z00_12812 = 
(
(long)CINT(BgL_bpz00_12805)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10753),BgL_arg1977z00_12812,BgL_a1z00_12807); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12809))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12809)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1979z00_12815;obj_t BgL_arg1980z00_12816;
BgL_arg1979z00_12815 = 
(
(long)CINT(BgL_bpz00_12805)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list1981z00_12817;
BgL_list1981z00_12817 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12807, BNIL); 
BgL_arg1980z00_12816 = BgL_list1981z00_12817; } 
VECTOR_SET(
((obj_t)BgL_sz00_10753),BgL_arg1979z00_12815,BgL_arg1980z00_12816); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1982z00_12818;
BgL_arg1982z00_12818 = 
(
(long)CINT(BgL_bpz00_12805)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10753),BgL_arg1982z00_12818,BgL_a1z00_12807); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1983z00_12819;obj_t BgL_arg1984z00_12820;
BgL_arg1983z00_12819 = 
(
(long)CINT(BgL_bpz00_12805)+((long)1)); 
BgL_arg1984z00_12820 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10753),BgL_arg1983z00_12819,BgL_arg1984z00_12820); } break;
default: 
BgL_case_else1180z00_12813:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg1986z00_12814;
BgL_arg1986z00_12814 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12808), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10750, BgL_arg1986z00_12814, 
(int)(((long)1)), 
CINT(BgL_arityz00_12809)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1180z00_12813;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12821;
BgL_z12denvz12_12821 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10753, BgL_bpz00_12805, BgL_sfz00_12811))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12810;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12822;
BgL_nsz00_12822 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1988z00_12823;
BgL_arg1988z00_12823 = 
(
(long)CINT(BgL_bpz00_12805)+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12822, ((long)2), BgL_sz00_10753, BgL_bpz00_12805, 
BINT(BgL_arg1988z00_12823)); } 
VECTOR_SET(BgL_nsz00_12822,((long)1),BgL_sz00_10753); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12821, BgL_nsz00_12822); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12824;
BgL_ez00_12824 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12824, BgL_sz00_10753); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12825;
BgL_____rz00_12825 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12810, BgL_nsz00_12822, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12824); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12821, BgL_sz00_10753); 
return BgL_____rz00_12825;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12806, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12826;
BgL_nbpz00_12826 = 
(
(long)CINT(BgL_bpz00_12805)+BgL_siza7eza7_10752); 
VECTOR_SET(
((obj_t)BgL_sz00_10753),((long)0),
BINT(BgL_nbpz00_12826)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12827;
BgL_rz00_12827 = 
PROCEDURE_ENTRY(BgL_fz00_12806)(BgL_fz00_12806, BgL_a1z00_12807, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10753),((long)0),BgL_bpz00_12805); 
return BgL_rz00_12827;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10750, BgL_symbzd2funzd2_10751, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12806));} } } } } } } } 

}



/* &<@anonymous:1994> */
obj_t BGl_z62zc3z04anonymousza31994ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10754, obj_t BgL_sz00_10760)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10755;obj_t BgL_a1z00_10756;obj_t BgL_locz00_10757;obj_t BgL_symbzd2funzd2_10758;long BgL_siza7eza7_10759;
BgL_funz00_10755 = 
PROCEDURE_REF(BgL_envz00_10754, 
(int)(((long)0))); 
BgL_a1z00_10756 = 
PROCEDURE_REF(BgL_envz00_10754, 
(int)(((long)1))); 
BgL_locz00_10757 = 
PROCEDURE_REF(BgL_envz00_10754, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10758 = 
PROCEDURE_REF(BgL_envz00_10754, 
(int)(((long)3))); 
BgL_siza7eza7_10759 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10754, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12828;
BgL_bpz00_12828 = 
VECTOR_REF(
((obj_t)BgL_sz00_10760),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12829;obj_t BgL_a1z00_12830;
BgL_fz00_12829 = 
PROCEDURE_ENTRY(BgL_funz00_10755)(BgL_funz00_10755, BgL_sz00_10760, BEOA); 
BgL_a1z00_12830 = 
PROCEDURE_ENTRY(BgL_a1z00_10756)(BgL_a1z00_10756, BgL_sz00_10760, BEOA); 
if(
PROCEDUREP(BgL_fz00_12829))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10757, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12829); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12831;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17073;
BgL_tmpz00_17073 = 
((obj_t)BgL_fz00_12829); 
BgL_ufz00_12831 = 
PROCEDURE_ATTR(BgL_tmpz00_17073); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5612z00_17076;
if(
STRUCTP(BgL_ufz00_12831))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5612z00_17076 = 
(
STRUCT_KEY(BgL_ufz00_12831)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5612z00_17076 = ((bool_t)0)
; } 
if(BgL_test5612z00_17076)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12832;obj_t BgL_runz00_12833;obj_t BgL_sfz00_12834;
BgL_arityz00_12832 = 
STRUCT_REF(BgL_ufz00_12831, 
(int)(((long)0))); 
BgL_runz00_12833 = 
STRUCT_REF(BgL_ufz00_12831, 
(int)(((long)1))); 
BgL_sfz00_12834 = 
STRUCT_REF(BgL_ufz00_12831, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12835;
BgL_spz00_12835 = 
(
(long)CINT(BgL_bpz00_12828)+BgL_siza7eza7_10759); 
if(
(
(long)CINT(BgL_arityz00_12832)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg1998z00_12836;
BgL_arg1998z00_12836 = 
(BgL_spz00_12835+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10760),BgL_arg1998z00_12836,BgL_a1z00_12830); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12832))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12832)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2000z00_12839;obj_t BgL_arg2001z00_12840;
BgL_arg2000z00_12839 = 
(BgL_spz00_12835+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2002z00_12841;
BgL_list2002z00_12841 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12830, BNIL); 
BgL_arg2001z00_12840 = BgL_list2002z00_12841; } 
VECTOR_SET(
((obj_t)BgL_sz00_10760),BgL_arg2000z00_12839,BgL_arg2001z00_12840); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2003z00_12842;
BgL_arg2003z00_12842 = 
(BgL_spz00_12835+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10760),BgL_arg2003z00_12842,BgL_a1z00_12830); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2004z00_12843;obj_t BgL_arg2005z00_12844;
BgL_arg2004z00_12843 = 
(BgL_spz00_12835+((long)1)); 
BgL_arg2005z00_12844 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10760),BgL_arg2004z00_12843,BgL_arg2005z00_12844); } break;
default: 
BgL_case_else1182z00_12837:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2007z00_12838;
BgL_arg2007z00_12838 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12831), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10757, BgL_arg2007z00_12838, 
(int)(((long)1)), 
CINT(BgL_arityz00_12832)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1182z00_12837;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12845;
BgL_z12denvz12_12845 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12845, BgL_locz00_10757); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10760, 
BINT(BgL_spz00_12835), BgL_sfz00_12834))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12833, BgL_sz00_10760, 
BINT(BgL_spz00_12835));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12846;
BgL_nsz00_12846 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2009z00_12847;
BgL_arg2009z00_12847 = 
(BgL_spz00_12835+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12846, ((long)2), BgL_sz00_10760, 
BINT(BgL_spz00_12835), 
BINT(BgL_arg2009z00_12847)); } 
VECTOR_SET(BgL_nsz00_12846,((long)1),BgL_sz00_10760); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12845, BgL_nsz00_12846); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12848;
BgL_ez00_12848 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12848, BgL_sz00_10760); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12849;
BgL_____rz00_12849 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12833, BgL_nsz00_12846, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12848); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12845, BgL_sz00_10760); 
return BgL_____rz00_12849;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12829, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12850;
BgL_nbpz00_12850 = 
(
(long)CINT(BgL_bpz00_12828)+BgL_siza7eza7_10759); 
VECTOR_SET(
((obj_t)BgL_sz00_10760),((long)0),
BINT(BgL_nbpz00_12850)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17143;
BgL_tmpz00_17143 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17143, BgL_locz00_10757); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12851;
BgL_rz00_12851 = 
PROCEDURE_ENTRY(BgL_fz00_12829)(BgL_fz00_12829, BgL_a1z00_12830, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10760),((long)0),BgL_bpz00_12828); 
return BgL_rz00_12851;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10757, BgL_symbzd2funzd2_10758, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12829));} } } } } } } } 

}



/* &<@anonymous:2013> */
obj_t BGl_z62zc3z04anonymousza32013ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10761, obj_t BgL_sz00_10767)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10762;obj_t BgL_a1z00_10763;obj_t BgL_locz00_10764;obj_t BgL_symbzd2funzd2_10765;long BgL_siza7eza7_10766;
BgL_funz00_10762 = 
PROCEDURE_REF(BgL_envz00_10761, 
(int)(((long)0))); 
BgL_a1z00_10763 = 
PROCEDURE_REF(BgL_envz00_10761, 
(int)(((long)1))); 
BgL_locz00_10764 = 
PROCEDURE_REF(BgL_envz00_10761, 
(int)(((long)2))); 
BgL_symbzd2funzd2_10765 = 
PROCEDURE_REF(BgL_envz00_10761, 
(int)(((long)3))); 
BgL_siza7eza7_10766 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10761, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12852;
BgL_bpz00_12852 = 
VECTOR_REF(
((obj_t)BgL_sz00_10767),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12853;obj_t BgL_a1z00_12854;
BgL_fz00_12853 = 
PROCEDURE_ENTRY(BgL_funz00_10762)(BgL_funz00_10762, BgL_sz00_10767, BEOA); 
BgL_a1z00_12854 = 
PROCEDURE_ENTRY(BgL_a1z00_10763)(BgL_a1z00_10763, BgL_sz00_10767, BEOA); 
if(
PROCEDUREP(BgL_fz00_12853))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10764, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12853); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12855;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17179;
BgL_tmpz00_17179 = 
((obj_t)BgL_fz00_12853); 
BgL_ufz00_12855 = 
PROCEDURE_ATTR(BgL_tmpz00_17179); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5619z00_17182;
if(
STRUCTP(BgL_ufz00_12855))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5619z00_17182 = 
(
STRUCT_KEY(BgL_ufz00_12855)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5619z00_17182 = ((bool_t)0)
; } 
if(BgL_test5619z00_17182)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12856;obj_t BgL_runz00_12857;obj_t BgL_sfz00_12858;
BgL_arityz00_12856 = 
STRUCT_REF(BgL_ufz00_12855, 
(int)(((long)0))); 
BgL_runz00_12857 = 
STRUCT_REF(BgL_ufz00_12855, 
(int)(((long)1))); 
BgL_sfz00_12858 = 
STRUCT_REF(BgL_ufz00_12855, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12859;
BgL_spz00_12859 = 
(
(long)CINT(BgL_bpz00_12852)+BgL_siza7eza7_10766); 
if(
(
(long)CINT(BgL_arityz00_12856)==((long)1)))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2017z00_12860;
BgL_arg2017z00_12860 = 
(BgL_spz00_12859+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10767),BgL_arg2017z00_12860,BgL_a1z00_12854); }  else 
{ 

if(
INTEGERP(BgL_arityz00_12856))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12856)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2019z00_12863;obj_t BgL_arg2020z00_12864;
BgL_arg2019z00_12863 = 
(BgL_spz00_12859+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2021z00_12865;
BgL_list2021z00_12865 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12854, BNIL); 
BgL_arg2020z00_12864 = BgL_list2021z00_12865; } 
VECTOR_SET(
((obj_t)BgL_sz00_10767),BgL_arg2019z00_12863,BgL_arg2020z00_12864); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2022z00_12866;
BgL_arg2022z00_12866 = 
(BgL_spz00_12859+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10767),BgL_arg2022z00_12866,BgL_a1z00_12854); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2023z00_12867;obj_t BgL_arg2024z00_12868;
BgL_arg2023z00_12867 = 
(BgL_spz00_12859+((long)1)); 
BgL_arg2024z00_12868 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10767),BgL_arg2023z00_12867,BgL_arg2024z00_12868); } break;
default: 
BgL_case_else1184z00_12861:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2026z00_12862;
BgL_arg2026z00_12862 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12855), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10764, BgL_arg2026z00_12862, 
(int)(((long)1)), 
CINT(BgL_arityz00_12856)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1184z00_12861;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12869;
BgL_z12denvz12_12869 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10767, 
BINT(BgL_spz00_12859), BgL_sfz00_12858))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12857, BgL_sz00_10767, 
BINT(BgL_spz00_12859));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12870;
BgL_nsz00_12870 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2028z00_12871;
BgL_arg2028z00_12871 = 
(BgL_spz00_12859+((long)1)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12870, ((long)2), BgL_sz00_10767, 
BINT(BgL_spz00_12859), 
BINT(BgL_arg2028z00_12871)); } 
VECTOR_SET(BgL_nsz00_12870,((long)1),BgL_sz00_10767); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12869, BgL_nsz00_12870); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12872;
BgL_ez00_12872 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12872, BgL_sz00_10767); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12873;
BgL_____rz00_12873 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12857, BgL_nsz00_12870, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12872); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12869, BgL_sz00_10767); 
return BgL_____rz00_12873;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12853, 
(int)(((long)1))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12874;
BgL_nbpz00_12874 = 
(
(long)CINT(BgL_bpz00_12852)+BgL_siza7eza7_10766); 
VECTOR_SET(
((obj_t)BgL_sz00_10767),((long)0),
BINT(BgL_nbpz00_12874)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12875;
BgL_rz00_12875 = 
PROCEDURE_ENTRY(BgL_fz00_12853)(BgL_fz00_12853, BgL_a1z00_12854, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10767),((long)0),BgL_bpz00_12852); 
return BgL_rz00_12875;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10764, BgL_symbzd2funzd2_10765, 
(int)(((long)1)), 
PROCEDURE_ARITY(BgL_fz00_12853));} } } } } } } } 

}



/* comp-call2 */
obj_t BGl_compzd2call2zd2zz__evaluate_compz00(obj_t BgL_locz00_153, BgL_ev_exprz00_bglt BgL_vfunz00_154, obj_t BgL_symbzd2funzd2_155, obj_t BgL_funz00_156, obj_t BgL_tailzf3zf3_157, obj_t BgL_stkz00_158, long BgL_siza7eza7_159, obj_t BgL_a1z00_160, obj_t BgL_a2z00_161)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2281;
BgL_cfunz00_2281 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_154, ((long)2), BgL_locz00_153, BgL_symbzd2funzd2_155); 
if(
CBOOL(BgL_cfunz00_2281))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5626z00_17260;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2037z00_2299;
BgL_arg2037z00_2299 = 
bgl_debug(); 
BgL_test5626z00_17260 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2037z00_2299), 
BINT(((long)0))); } 
if(BgL_test5626z00_17260)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32034ze3z87_10768;
BgL_zc3z04anonymousza32034ze3z87_10768 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32034ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_10768, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_10768, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_10768, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_10768, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32034ze3z87_10768, 
(int)(((long)4)), BgL_cfunz00_2281); 
return BgL_zc3z04anonymousza32034ze3z87_10768;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32036ze3z87_10769;
BgL_zc3z04anonymousza32036ze3z87_10769 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32036ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32036ze3z87_10769, 
(int)(((long)0)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32036ze3z87_10769, 
(int)(((long)1)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32036ze3z87_10769, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_159)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32036ze3z87_10769, 
(int)(((long)3)), BgL_cfunz00_2281); 
return BgL_zc3z04anonymousza32036ze3z87_10769;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_157))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5628z00_17293;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2091z00_2391;
BgL_arg2091z00_2391 = 
bgl_debug(); 
BgL_test5628z00_17293 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2091z00_2391), 
BINT(((long)0))); } 
if(BgL_test5628z00_17293)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32040ze3z87_10770;
BgL_zc3z04anonymousza32040ze3z87_10770 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32040ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32040ze3z87_10770, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32040ze3z87_10770, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32040ze3z87_10770, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32040ze3z87_10770, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32040ze3z87_10770, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32040ze3z87_10770, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32040ze3z87_10770;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32066ze3z87_10771;
BgL_zc3z04anonymousza32066ze3z87_10771 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_10771, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_10771, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_10771, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_10771, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_10771, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32066ze3z87_10771, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32066ze3z87_10771;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5629z00_17330;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2146z00_2483;
BgL_arg2146z00_2483 = 
bgl_debug(); 
BgL_test5629z00_17330 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2146z00_2483), 
BINT(((long)0))); } 
if(BgL_test5629z00_17330)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32094ze3z87_10772;
BgL_zc3z04anonymousza32094ze3z87_10772 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32094ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32094ze3z87_10772, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32094ze3z87_10772, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32094ze3z87_10772, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32094ze3z87_10772, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32094ze3z87_10772, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32094ze3z87_10772, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32094ze3z87_10772;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32120ze3z87_10773;
BgL_zc3z04anonymousza32120ze3z87_10773 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32120ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_10773, 
(int)(((long)0)), BgL_funz00_156); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_10773, 
(int)(((long)1)), BgL_a1z00_160); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_10773, 
(int)(((long)2)), BgL_a2z00_161); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_10773, 
(int)(((long)3)), BgL_locz00_153); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_10773, 
(int)(((long)4)), BgL_symbzd2funzd2_155); 
PROCEDURE_SET(BgL_zc3z04anonymousza32120ze3z87_10773, 
(int)(((long)5)), 
BINT(BgL_siza7eza7_159)); 
return BgL_zc3z04anonymousza32120ze3z87_10773;} } } } } 

}



/* &<@anonymous:2034> */
obj_t BGl_z62zc3z04anonymousza32034ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10774, obj_t BgL_sz00_10780)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10775;obj_t BgL_a2z00_10776;long BgL_siza7eza7_10777;obj_t BgL_locz00_10778;obj_t BgL_cfunz00_10779;
BgL_a1z00_10775 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)0))); 
BgL_a2z00_10776 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)1))); 
BgL_siza7eza7_10777 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)2)))); 
BgL_locz00_10778 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)3))); 
BgL_cfunz00_10779 = 
PROCEDURE_REF(BgL_envz00_10774, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12876;
BgL_bpz00_12876 = 
VECTOR_REF(
((obj_t)BgL_sz00_10780),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12877;obj_t BgL_a2z00_12878;
BgL_a1z00_12877 = 
PROCEDURE_ENTRY(BgL_a1z00_10775)(BgL_a1z00_10775, BgL_sz00_10780, BEOA); 
BgL_a2z00_12878 = 
PROCEDURE_ENTRY(BgL_a2z00_10776)(BgL_a2z00_10776, BgL_sz00_10780, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12879;
BgL_nbpz00_12879 = 
(
(long)CINT(BgL_bpz00_12876)+BgL_siza7eza7_10777); 
VECTOR_SET(
((obj_t)BgL_sz00_10780),((long)0),
BINT(BgL_nbpz00_12879)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17393;
BgL_tmpz00_17393 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17393, BgL_locz00_10778); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12880;
BgL_rz00_12880 = 
PROCEDURE_ENTRY(BgL_cfunz00_10779)(BgL_cfunz00_10779, BgL_a1z00_12877, BgL_a2z00_12878, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10780),((long)0),BgL_bpz00_12876); 
return BgL_rz00_12880;} } } } } } 

}



/* &<@anonymous:2036> */
obj_t BGl_z62zc3z04anonymousza32036ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10781, obj_t BgL_sz00_10786)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10782;obj_t BgL_a2z00_10783;long BgL_siza7eza7_10784;obj_t BgL_cfunz00_10785;
BgL_a1z00_10782 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)0))); 
BgL_a2z00_10783 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)1))); 
BgL_siza7eza7_10784 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)2)))); 
BgL_cfunz00_10785 = 
PROCEDURE_REF(BgL_envz00_10781, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12881;
BgL_bpz00_12881 = 
VECTOR_REF(
((obj_t)BgL_sz00_10786),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_12882;obj_t BgL_a2z00_12883;
BgL_a1z00_12882 = 
PROCEDURE_ENTRY(BgL_a1z00_10782)(BgL_a1z00_10782, BgL_sz00_10786, BEOA); 
BgL_a2z00_12883 = 
PROCEDURE_ENTRY(BgL_a2z00_10783)(BgL_a2z00_10783, BgL_sz00_10786, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12884;
BgL_nbpz00_12884 = 
(
(long)CINT(BgL_bpz00_12881)+BgL_siza7eza7_10784); 
VECTOR_SET(
((obj_t)BgL_sz00_10786),((long)0),
BINT(BgL_nbpz00_12884)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12885;
BgL_rz00_12885 = 
PROCEDURE_ENTRY(BgL_cfunz00_10785)(BgL_cfunz00_10785, BgL_a1z00_12882, BgL_a2z00_12883, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10786),((long)0),BgL_bpz00_12881); 
return BgL_rz00_12885;} } } } } } 

}



/* &<@anonymous:2040> */
obj_t BGl_z62zc3z04anonymousza32040ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10787, obj_t BgL_sz00_10794)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10788;obj_t BgL_a1z00_10789;obj_t BgL_a2z00_10790;obj_t BgL_locz00_10791;obj_t BgL_symbzd2funzd2_10792;long BgL_siza7eza7_10793;
BgL_funz00_10788 = 
PROCEDURE_REF(BgL_envz00_10787, 
(int)(((long)0))); 
BgL_a1z00_10789 = 
PROCEDURE_REF(BgL_envz00_10787, 
(int)(((long)1))); 
BgL_a2z00_10790 = 
PROCEDURE_REF(BgL_envz00_10787, 
(int)(((long)2))); 
BgL_locz00_10791 = 
PROCEDURE_REF(BgL_envz00_10787, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10792 = 
PROCEDURE_REF(BgL_envz00_10787, 
(int)(((long)4))); 
BgL_siza7eza7_10793 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10787, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12886;
BgL_bpz00_12886 = 
VECTOR_REF(
((obj_t)BgL_sz00_10794),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12887;obj_t BgL_a1z00_12888;obj_t BgL_a2z00_12889;
BgL_fz00_12887 = 
PROCEDURE_ENTRY(BgL_funz00_10788)(BgL_funz00_10788, BgL_sz00_10794, BEOA); 
BgL_a1z00_12888 = 
PROCEDURE_ENTRY(BgL_a1z00_10789)(BgL_a1z00_10789, BgL_sz00_10794, BEOA); 
BgL_a2z00_12889 = 
PROCEDURE_ENTRY(BgL_a2z00_10790)(BgL_a2z00_10790, BgL_sz00_10794, BEOA); 
if(
PROCEDUREP(BgL_fz00_12887))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10791, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12887); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12890;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17464;
BgL_tmpz00_17464 = 
((obj_t)BgL_fz00_12887); 
BgL_ufz00_12890 = 
PROCEDURE_ATTR(BgL_tmpz00_17464); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5631z00_17467;
if(
STRUCTP(BgL_ufz00_12890))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5631z00_17467 = 
(
STRUCT_KEY(BgL_ufz00_12890)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5631z00_17467 = ((bool_t)0)
; } 
if(BgL_test5631z00_17467)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12891;obj_t BgL_runz00_12892;obj_t BgL_sfz00_12893;
BgL_arityz00_12891 = 
STRUCT_REF(BgL_ufz00_12890, 
(int)(((long)0))); 
BgL_runz00_12892 = 
STRUCT_REF(BgL_ufz00_12890, 
(int)(((long)1))); 
BgL_sfz00_12893 = 
STRUCT_REF(BgL_ufz00_12890, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12891)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2044z00_12894;
BgL_arg2044z00_12894 = 
(
(long)CINT(BgL_bpz00_12886)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2044z00_12894,BgL_a1z00_12888); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2045z00_12895;
BgL_arg2045z00_12895 = 
(
(long)CINT(BgL_bpz00_12886)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2045z00_12895,BgL_a2z00_12889); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12891))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12891)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2047z00_12898;obj_t BgL_arg2048z00_12899;
BgL_arg2047z00_12898 = 
(
(long)CINT(BgL_bpz00_12886)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2049z00_12900;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2050z00_12901;
BgL_arg2050z00_12901 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12889, BNIL); 
BgL_list2049z00_12900 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12888, BgL_arg2050z00_12901); } 
BgL_arg2048z00_12899 = BgL_list2049z00_12900; } 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2047z00_12898,BgL_arg2048z00_12899); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2051z00_12902;
BgL_arg2051z00_12902 = 
(
(long)CINT(BgL_bpz00_12886)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2051z00_12902,BgL_a1z00_12888); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2052z00_12903;obj_t BgL_arg2053z00_12904;
BgL_arg2052z00_12903 = 
(
(long)CINT(BgL_bpz00_12886)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2054z00_12905;
BgL_list2054z00_12905 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12889, BNIL); 
BgL_arg2053z00_12904 = BgL_list2054z00_12905; } 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2052z00_12903,BgL_arg2053z00_12904); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2055z00_12906;
BgL_arg2055z00_12906 = 
(
(long)CINT(BgL_bpz00_12886)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2055z00_12906,BgL_a1z00_12888); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2056z00_12907;
BgL_arg2056z00_12907 = 
(
(long)CINT(BgL_bpz00_12886)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2056z00_12907,BgL_a2z00_12889); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2057z00_12908;obj_t BgL_arg2058z00_12909;
BgL_arg2057z00_12908 = 
(
(long)CINT(BgL_bpz00_12886)+((long)2)); 
BgL_arg2058z00_12909 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10794),BgL_arg2057z00_12908,BgL_arg2058z00_12909); } break;
default: 
BgL_case_else1186z00_12896:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2060z00_12897;
BgL_arg2060z00_12897 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12890), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10791, BgL_arg2060z00_12897, 
(int)(((long)2)), 
CINT(BgL_arityz00_12891)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1186z00_12896;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12910;
BgL_z12denvz12_12910 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12910, BgL_locz00_10791); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10794, BgL_bpz00_12886, BgL_sfz00_12893))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12892;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12911;
BgL_nsz00_12911 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2062z00_12912;
BgL_arg2062z00_12912 = 
(
(long)CINT(BgL_bpz00_12886)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12911, ((long)2), BgL_sz00_10794, BgL_bpz00_12886, 
BINT(BgL_arg2062z00_12912)); } 
VECTOR_SET(BgL_nsz00_12911,((long)1),BgL_sz00_10794); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12910, BgL_nsz00_12911); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12913;
BgL_ez00_12913 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12913, BgL_sz00_10794); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12914;
BgL_____rz00_12914 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12892, BgL_nsz00_12911, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12913); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12910, BgL_sz00_10794); 
return BgL_____rz00_12914;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12887, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12915;
BgL_nbpz00_12915 = 
(
(long)CINT(BgL_bpz00_12886)+BgL_siza7eza7_10793); 
VECTOR_SET(
((obj_t)BgL_sz00_10794),((long)0),
BINT(BgL_nbpz00_12915)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17551;
BgL_tmpz00_17551 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17551, BgL_locz00_10791); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12916;
BgL_rz00_12916 = 
PROCEDURE_ENTRY(BgL_fz00_12887)(BgL_fz00_12887, BgL_a1z00_12888, BgL_a2z00_12889, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10794),((long)0),BgL_bpz00_12886); 
return BgL_rz00_12916;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10791, BgL_symbzd2funzd2_10792, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12887));} } } } } } } } 

}



/* &<@anonymous:2066> */
obj_t BGl_z62zc3z04anonymousza32066ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10795, obj_t BgL_sz00_10802)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10796;obj_t BgL_a1z00_10797;obj_t BgL_a2z00_10798;obj_t BgL_locz00_10799;obj_t BgL_symbzd2funzd2_10800;long BgL_siza7eza7_10801;
BgL_funz00_10796 = 
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)0))); 
BgL_a1z00_10797 = 
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)1))); 
BgL_a2z00_10798 = 
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)2))); 
BgL_locz00_10799 = 
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10800 = 
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)4))); 
BgL_siza7eza7_10801 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10795, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12917;
BgL_bpz00_12917 = 
VECTOR_REF(
((obj_t)BgL_sz00_10802),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12918;obj_t BgL_a1z00_12919;obj_t BgL_a2z00_12920;
BgL_fz00_12918 = 
PROCEDURE_ENTRY(BgL_funz00_10796)(BgL_funz00_10796, BgL_sz00_10802, BEOA); 
BgL_a1z00_12919 = 
PROCEDURE_ENTRY(BgL_a1z00_10797)(BgL_a1z00_10797, BgL_sz00_10802, BEOA); 
BgL_a2z00_12920 = 
PROCEDURE_ENTRY(BgL_a2z00_10798)(BgL_a2z00_10798, BgL_sz00_10802, BEOA); 
if(
PROCEDUREP(BgL_fz00_12918))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10799, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12918); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12921;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17594;
BgL_tmpz00_17594 = 
((obj_t)BgL_fz00_12918); 
BgL_ufz00_12921 = 
PROCEDURE_ATTR(BgL_tmpz00_17594); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5638z00_17597;
if(
STRUCTP(BgL_ufz00_12921))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5638z00_17597 = 
(
STRUCT_KEY(BgL_ufz00_12921)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5638z00_17597 = ((bool_t)0)
; } 
if(BgL_test5638z00_17597)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12922;obj_t BgL_runz00_12923;obj_t BgL_sfz00_12924;
BgL_arityz00_12922 = 
STRUCT_REF(BgL_ufz00_12921, 
(int)(((long)0))); 
BgL_runz00_12923 = 
STRUCT_REF(BgL_ufz00_12921, 
(int)(((long)1))); 
BgL_sfz00_12924 = 
STRUCT_REF(BgL_ufz00_12921, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_12922)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2070z00_12925;
BgL_arg2070z00_12925 = 
(
(long)CINT(BgL_bpz00_12917)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2070z00_12925,BgL_a1z00_12919); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2071z00_12926;
BgL_arg2071z00_12926 = 
(
(long)CINT(BgL_bpz00_12917)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2071z00_12926,BgL_a2z00_12920); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12922))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12922)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2073z00_12929;obj_t BgL_arg2074z00_12930;
BgL_arg2073z00_12929 = 
(
(long)CINT(BgL_bpz00_12917)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2075z00_12931;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2076z00_12932;
BgL_arg2076z00_12932 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12920, BNIL); 
BgL_list2075z00_12931 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12919, BgL_arg2076z00_12932); } 
BgL_arg2074z00_12930 = BgL_list2075z00_12931; } 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2073z00_12929,BgL_arg2074z00_12930); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2077z00_12933;
BgL_arg2077z00_12933 = 
(
(long)CINT(BgL_bpz00_12917)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2077z00_12933,BgL_a1z00_12919); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2078z00_12934;obj_t BgL_arg2079z00_12935;
BgL_arg2078z00_12934 = 
(
(long)CINT(BgL_bpz00_12917)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2080z00_12936;
BgL_list2080z00_12936 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12920, BNIL); 
BgL_arg2079z00_12935 = BgL_list2080z00_12936; } 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2078z00_12934,BgL_arg2079z00_12935); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2081z00_12937;
BgL_arg2081z00_12937 = 
(
(long)CINT(BgL_bpz00_12917)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2081z00_12937,BgL_a1z00_12919); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2082z00_12938;
BgL_arg2082z00_12938 = 
(
(long)CINT(BgL_bpz00_12917)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2082z00_12938,BgL_a2z00_12920); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2083z00_12939;obj_t BgL_arg2084z00_12940;
BgL_arg2083z00_12939 = 
(
(long)CINT(BgL_bpz00_12917)+((long)2)); 
BgL_arg2084z00_12940 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10802),BgL_arg2083z00_12939,BgL_arg2084z00_12940); } break;
default: 
BgL_case_else1188z00_12927:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2086z00_12928;
BgL_arg2086z00_12928 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12921), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10799, BgL_arg2086z00_12928, 
(int)(((long)2)), 
CINT(BgL_arityz00_12922)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1188z00_12927;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12941;
BgL_z12denvz12_12941 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10802, BgL_bpz00_12917, BgL_sfz00_12924))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_12923;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12942;
BgL_nsz00_12942 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2088z00_12943;
BgL_arg2088z00_12943 = 
(
(long)CINT(BgL_bpz00_12917)+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12942, ((long)2), BgL_sz00_10802, BgL_bpz00_12917, 
BINT(BgL_arg2088z00_12943)); } 
VECTOR_SET(BgL_nsz00_12942,((long)1),BgL_sz00_10802); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12941, BgL_nsz00_12942); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12944;
BgL_ez00_12944 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12944, BgL_sz00_10802); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12945;
BgL_____rz00_12945 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12923, BgL_nsz00_12942, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12944); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12941, BgL_sz00_10802); 
return BgL_____rz00_12945;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12918, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12946;
BgL_nbpz00_12946 = 
(
(long)CINT(BgL_bpz00_12917)+BgL_siza7eza7_10801); 
VECTOR_SET(
((obj_t)BgL_sz00_10802),((long)0),
BINT(BgL_nbpz00_12946)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12947;
BgL_rz00_12947 = 
PROCEDURE_ENTRY(BgL_fz00_12918)(BgL_fz00_12918, BgL_a1z00_12919, BgL_a2z00_12920, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10802),((long)0),BgL_bpz00_12917); 
return BgL_rz00_12947;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10799, BgL_symbzd2funzd2_10800, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12918));} } } } } } } } 

}



/* &<@anonymous:2094> */
obj_t BGl_z62zc3z04anonymousza32094ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10803, obj_t BgL_sz00_10810)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10804;obj_t BgL_a1z00_10805;obj_t BgL_a2z00_10806;obj_t BgL_locz00_10807;obj_t BgL_symbzd2funzd2_10808;long BgL_siza7eza7_10809;
BgL_funz00_10804 = 
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)0))); 
BgL_a1z00_10805 = 
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)1))); 
BgL_a2z00_10806 = 
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)2))); 
BgL_locz00_10807 = 
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10808 = 
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)4))); 
BgL_siza7eza7_10809 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10803, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12948;
BgL_bpz00_12948 = 
VECTOR_REF(
((obj_t)BgL_sz00_10810),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12949;obj_t BgL_a1z00_12950;obj_t BgL_a2z00_12951;
BgL_fz00_12949 = 
PROCEDURE_ENTRY(BgL_funz00_10804)(BgL_funz00_10804, BgL_sz00_10810, BEOA); 
BgL_a1z00_12950 = 
PROCEDURE_ENTRY(BgL_a1z00_10805)(BgL_a1z00_10805, BgL_sz00_10810, BEOA); 
BgL_a2z00_12951 = 
PROCEDURE_ENTRY(BgL_a2z00_10806)(BgL_a2z00_10806, BgL_sz00_10810, BEOA); 
if(
PROCEDUREP(BgL_fz00_12949))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10807, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12949); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12952;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17720;
BgL_tmpz00_17720 = 
((obj_t)BgL_fz00_12949); 
BgL_ufz00_12952 = 
PROCEDURE_ATTR(BgL_tmpz00_17720); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5645z00_17723;
if(
STRUCTP(BgL_ufz00_12952))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5645z00_17723 = 
(
STRUCT_KEY(BgL_ufz00_12952)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5645z00_17723 = ((bool_t)0)
; } 
if(BgL_test5645z00_17723)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12953;obj_t BgL_runz00_12954;obj_t BgL_sfz00_12955;
BgL_arityz00_12953 = 
STRUCT_REF(BgL_ufz00_12952, 
(int)(((long)0))); 
BgL_runz00_12954 = 
STRUCT_REF(BgL_ufz00_12952, 
(int)(((long)1))); 
BgL_sfz00_12955 = 
STRUCT_REF(BgL_ufz00_12952, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12956;
BgL_spz00_12956 = 
(
(long)CINT(BgL_bpz00_12948)+BgL_siza7eza7_10809); 
if(
(
(long)CINT(BgL_arityz00_12953)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2098z00_12957;
BgL_arg2098z00_12957 = 
(BgL_spz00_12956+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2098z00_12957,BgL_a1z00_12950); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2099z00_12958;
BgL_arg2099z00_12958 = 
(BgL_spz00_12956+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2099z00_12958,BgL_a2z00_12951); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12953))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12953)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2101z00_12961;obj_t BgL_arg2102z00_12962;
BgL_arg2101z00_12961 = 
(BgL_spz00_12956+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2103z00_12963;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2104z00_12964;
BgL_arg2104z00_12964 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12951, BNIL); 
BgL_list2103z00_12963 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12950, BgL_arg2104z00_12964); } 
BgL_arg2102z00_12962 = BgL_list2103z00_12963; } 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2101z00_12961,BgL_arg2102z00_12962); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2105z00_12965;
BgL_arg2105z00_12965 = 
(BgL_spz00_12956+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2105z00_12965,BgL_a1z00_12950); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2106z00_12966;obj_t BgL_arg2107z00_12967;
BgL_arg2106z00_12966 = 
(BgL_spz00_12956+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2108z00_12968;
BgL_list2108z00_12968 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12951, BNIL); 
BgL_arg2107z00_12967 = BgL_list2108z00_12968; } 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2106z00_12966,BgL_arg2107z00_12967); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2109z00_12969;
BgL_arg2109z00_12969 = 
(BgL_spz00_12956+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2109z00_12969,BgL_a1z00_12950); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2110z00_12970;
BgL_arg2110z00_12970 = 
(BgL_spz00_12956+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2110z00_12970,BgL_a2z00_12951); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2111z00_12971;obj_t BgL_arg2112z00_12972;
BgL_arg2111z00_12971 = 
(BgL_spz00_12956+((long)2)); 
BgL_arg2112z00_12972 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10810),BgL_arg2111z00_12971,BgL_arg2112z00_12972); } break;
default: 
BgL_case_else1190z00_12959:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2114z00_12960;
BgL_arg2114z00_12960 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12952), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10807, BgL_arg2114z00_12960, 
(int)(((long)2)), 
CINT(BgL_arityz00_12953)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1190z00_12959;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_12973;
BgL_z12denvz12_12973 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_12973, BgL_locz00_10807); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10810, 
BINT(BgL_spz00_12956), BgL_sfz00_12955))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12954, BgL_sz00_10810, 
BINT(BgL_spz00_12956));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_12974;
BgL_nsz00_12974 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2116z00_12975;
BgL_arg2116z00_12975 = 
(BgL_spz00_12956+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_12974, ((long)2), BgL_sz00_10810, 
BINT(BgL_spz00_12956), 
BINT(BgL_arg2116z00_12975)); } 
VECTOR_SET(BgL_nsz00_12974,((long)1),BgL_sz00_10810); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12973, BgL_nsz00_12974); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_12976;
BgL_ez00_12976 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_12976, BgL_sz00_10810); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_12977;
BgL_____rz00_12977 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12954, BgL_nsz00_12974, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_12976); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_12973, BgL_sz00_10810); 
return BgL_____rz00_12977;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12949, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_12978;
BgL_nbpz00_12978 = 
(
(long)CINT(BgL_bpz00_12948)+BgL_siza7eza7_10809); 
VECTOR_SET(
((obj_t)BgL_sz00_10810),((long)0),
BINT(BgL_nbpz00_12978)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17804;
BgL_tmpz00_17804 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_17804, BgL_locz00_10807); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_12979;
BgL_rz00_12979 = 
PROCEDURE_ENTRY(BgL_fz00_12949)(BgL_fz00_12949, BgL_a1z00_12950, BgL_a2z00_12951, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10810),((long)0),BgL_bpz00_12948); 
return BgL_rz00_12979;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10807, BgL_symbzd2funzd2_10808, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12949));} } } } } } } } 

}



/* &<@anonymous:2120> */
obj_t BGl_z62zc3z04anonymousza32120ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10811, obj_t BgL_sz00_10818)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10812;obj_t BgL_a1z00_10813;obj_t BgL_a2z00_10814;obj_t BgL_locz00_10815;obj_t BgL_symbzd2funzd2_10816;long BgL_siza7eza7_10817;
BgL_funz00_10812 = 
PROCEDURE_REF(BgL_envz00_10811, 
(int)(((long)0))); 
BgL_a1z00_10813 = 
PROCEDURE_REF(BgL_envz00_10811, 
(int)(((long)1))); 
BgL_a2z00_10814 = 
PROCEDURE_REF(BgL_envz00_10811, 
(int)(((long)2))); 
BgL_locz00_10815 = 
PROCEDURE_REF(BgL_envz00_10811, 
(int)(((long)3))); 
BgL_symbzd2funzd2_10816 = 
PROCEDURE_REF(BgL_envz00_10811, 
(int)(((long)4))); 
BgL_siza7eza7_10817 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10811, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_12980;
BgL_bpz00_12980 = 
VECTOR_REF(
((obj_t)BgL_sz00_10818),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_12981;obj_t BgL_a1z00_12982;obj_t BgL_a2z00_12983;
BgL_fz00_12981 = 
PROCEDURE_ENTRY(BgL_funz00_10812)(BgL_funz00_10812, BgL_sz00_10818, BEOA); 
BgL_a1z00_12982 = 
PROCEDURE_ENTRY(BgL_a1z00_10813)(BgL_a1z00_10813, BgL_sz00_10818, BEOA); 
BgL_a2z00_12983 = 
PROCEDURE_ENTRY(BgL_a2z00_10814)(BgL_a2z00_10814, BgL_sz00_10818, BEOA); 
if(
PROCEDUREP(BgL_fz00_12981))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10815, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_12981); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_12984;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_17847;
BgL_tmpz00_17847 = 
((obj_t)BgL_fz00_12981); 
BgL_ufz00_12984 = 
PROCEDURE_ATTR(BgL_tmpz00_17847); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5652z00_17850;
if(
STRUCTP(BgL_ufz00_12984))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5652z00_17850 = 
(
STRUCT_KEY(BgL_ufz00_12984)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5652z00_17850 = ((bool_t)0)
; } 
if(BgL_test5652z00_17850)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_12985;obj_t BgL_runz00_12986;obj_t BgL_sfz00_12987;
BgL_arityz00_12985 = 
STRUCT_REF(BgL_ufz00_12984, 
(int)(((long)0))); 
BgL_runz00_12986 = 
STRUCT_REF(BgL_ufz00_12984, 
(int)(((long)1))); 
BgL_sfz00_12987 = 
STRUCT_REF(BgL_ufz00_12984, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_12988;
BgL_spz00_12988 = 
(
(long)CINT(BgL_bpz00_12980)+BgL_siza7eza7_10817); 
if(
(
(long)CINT(BgL_arityz00_12985)==((long)2)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2124z00_12989;
BgL_arg2124z00_12989 = 
(BgL_spz00_12988+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2124z00_12989,BgL_a1z00_12982); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2125z00_12990;
BgL_arg2125z00_12990 = 
(BgL_spz00_12988+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2125z00_12990,BgL_a2z00_12983); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_12985))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_12985)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2127z00_12993;obj_t BgL_arg2128z00_12994;
BgL_arg2127z00_12993 = 
(BgL_spz00_12988+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2129z00_12995;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2130z00_12996;
BgL_arg2130z00_12996 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12983, BNIL); 
BgL_list2129z00_12995 = 
MAKE_YOUNG_PAIR(BgL_a1z00_12982, BgL_arg2130z00_12996); } 
BgL_arg2128z00_12994 = BgL_list2129z00_12995; } 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2127z00_12993,BgL_arg2128z00_12994); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2131z00_12997;
BgL_arg2131z00_12997 = 
(BgL_spz00_12988+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2131z00_12997,BgL_a1z00_12982); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2132z00_12998;obj_t BgL_arg2133z00_12999;
BgL_arg2132z00_12998 = 
(BgL_spz00_12988+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2134z00_13000;
BgL_list2134z00_13000 = 
MAKE_YOUNG_PAIR(BgL_a2z00_12983, BNIL); 
BgL_arg2133z00_12999 = BgL_list2134z00_13000; } 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2132z00_12998,BgL_arg2133z00_12999); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2135z00_13001;
BgL_arg2135z00_13001 = 
(BgL_spz00_12988+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2135z00_13001,BgL_a1z00_12982); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2136z00_13002;
BgL_arg2136z00_13002 = 
(BgL_spz00_12988+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2136z00_13002,BgL_a2z00_12983); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2137z00_13003;obj_t BgL_arg2138z00_13004;
BgL_arg2137z00_13003 = 
(BgL_spz00_12988+((long)2)); 
BgL_arg2138z00_13004 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10818),BgL_arg2137z00_13003,BgL_arg2138z00_13004); } break;
default: 
BgL_case_else1192z00_12991:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2140z00_12992;
BgL_arg2140z00_12992 = 
STRUCT_REF(
((obj_t)BgL_ufz00_12984), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10815, BgL_arg2140z00_12992, 
(int)(((long)2)), 
CINT(BgL_arityz00_12985)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1192z00_12991;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13005;
BgL_z12denvz12_13005 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10818, 
BINT(BgL_spz00_12988), BgL_sfz00_12987))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12986, BgL_sz00_10818, 
BINT(BgL_spz00_12988));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13006;
BgL_nsz00_13006 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2142z00_13007;
BgL_arg2142z00_13007 = 
(BgL_spz00_12988+((long)2)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13006, ((long)2), BgL_sz00_10818, 
BINT(BgL_spz00_12988), 
BINT(BgL_arg2142z00_13007)); } 
VECTOR_SET(BgL_nsz00_13006,((long)1),BgL_sz00_10818); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13005, BgL_nsz00_13006); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13008;
BgL_ez00_13008 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13008, BgL_sz00_10818); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13009;
BgL_____rz00_13009 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12986, BgL_nsz00_13006, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13008); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13005, BgL_sz00_10818); 
return BgL_____rz00_13009;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_12981, 
(int)(((long)2))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13010;
BgL_nbpz00_13010 = 
(
(long)CINT(BgL_bpz00_12980)+BgL_siza7eza7_10817); 
VECTOR_SET(
((obj_t)BgL_sz00_10818),((long)0),
BINT(BgL_nbpz00_13010)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13011;
BgL_rz00_13011 = 
PROCEDURE_ENTRY(BgL_fz00_12981)(BgL_fz00_12981, BgL_a1z00_12982, BgL_a2z00_12983, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10818),((long)0),BgL_bpz00_12980); 
return BgL_rz00_13011;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10815, BgL_symbzd2funzd2_10816, 
(int)(((long)2)), 
PROCEDURE_ARITY(BgL_fz00_12981));} } } } } } } } 

}



/* comp-call3 */
obj_t BGl_compzd2call3zd2zz__evaluate_compz00(obj_t BgL_locz00_162, BgL_ev_exprz00_bglt BgL_vfunz00_163, obj_t BgL_symbzd2funzd2_164, obj_t BgL_funz00_165, obj_t BgL_tailzf3zf3_166, obj_t BgL_stkz00_167, long BgL_siza7eza7_168, obj_t BgL_a1z00_169, obj_t BgL_a2z00_170, obj_t BgL_a3z00_171)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2484;
BgL_cfunz00_2484 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_163, ((long)3), BgL_locz00_162, BgL_symbzd2funzd2_164); 
if(
CBOOL(BgL_cfunz00_2484))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5659z00_17943;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2152z00_2504;
BgL_arg2152z00_2504 = 
bgl_debug(); 
BgL_test5659z00_17943 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2152z00_2504), 
BINT(((long)0))); } 
if(BgL_test5659z00_17943)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32149ze3z87_10819;
BgL_zc3z04anonymousza32149ze3z87_10819 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32149ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32149ze3z87_10819, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32149ze3z87_10819, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32149ze3z87_10819, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32149ze3z87_10819, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32149ze3z87_10819, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32149ze3z87_10819, 
(int)(((long)5)), BgL_cfunz00_2484); 
return BgL_zc3z04anonymousza32149ze3z87_10819;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32151ze3z87_10820;
BgL_zc3z04anonymousza32151ze3z87_10820 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_10820, 
(int)(((long)0)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_10820, 
(int)(((long)1)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_10820, 
(int)(((long)2)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_10820, 
(int)(((long)3)), 
BINT(BgL_siza7eza7_168)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32151ze3z87_10820, 
(int)(((long)4)), BgL_cfunz00_2484); 
return BgL_zc3z04anonymousza32151ze3z87_10820;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_166))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5661z00_17980;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2225z00_2616;
BgL_arg2225z00_2616 = 
bgl_debug(); 
BgL_test5661z00_17980 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2225z00_2616), 
BINT(((long)0))); } 
if(BgL_test5661z00_17980)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32155ze3z87_10821;
BgL_zc3z04anonymousza32155ze3z87_10821 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32155ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32155ze3z87_10821, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32155ze3z87_10821, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32155ze3z87_10821, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32155ze3z87_10821, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32155ze3z87_10821, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32155ze3z87_10821, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32155ze3z87_10821, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32155ze3z87_10821;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32191ze3z87_10822;
BgL_zc3z04anonymousza32191ze3z87_10822 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_10822, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_10822, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_10822, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_10822, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_10822, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_10822, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32191ze3z87_10822, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32191ze3z87_10822;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5662z00_18021;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2297z00_2728;
BgL_arg2297z00_2728 = 
bgl_debug(); 
BgL_test5662z00_18021 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2297z00_2728), 
BINT(((long)0))); } 
if(BgL_test5662z00_18021)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32228ze3z87_10823;
BgL_zc3z04anonymousza32228ze3z87_10823 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32228ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32228ze3z87_10823, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32228ze3z87_10823, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32228ze3z87_10823, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32228ze3z87_10823, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32228ze3z87_10823, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32228ze3z87_10823, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32228ze3z87_10823, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32228ze3z87_10823;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32263ze3z87_10824;
BgL_zc3z04anonymousza32263ze3z87_10824 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32263ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32263ze3z87_10824, 
(int)(((long)0)), BgL_funz00_165); 
PROCEDURE_SET(BgL_zc3z04anonymousza32263ze3z87_10824, 
(int)(((long)1)), BgL_a1z00_169); 
PROCEDURE_SET(BgL_zc3z04anonymousza32263ze3z87_10824, 
(int)(((long)2)), BgL_a2z00_170); 
PROCEDURE_SET(BgL_zc3z04anonymousza32263ze3z87_10824, 
(int)(((long)3)), BgL_a3z00_171); 
PROCEDURE_SET(BgL_zc3z04anonymousza32263ze3z87_10824, 
(int)(((long)4)), BgL_locz00_162); 
PROCEDURE_SET(BgL_zc3z04anonymousza32263ze3z87_10824, 
(int)(((long)5)), BgL_symbzd2funzd2_164); 
PROCEDURE_SET(BgL_zc3z04anonymousza32263ze3z87_10824, 
(int)(((long)6)), 
BINT(BgL_siza7eza7_168)); 
return BgL_zc3z04anonymousza32263ze3z87_10824;} } } } } 

}



/* &<@anonymous:2149> */
obj_t BGl_z62zc3z04anonymousza32149ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10825, obj_t BgL_sz00_10832)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10826;obj_t BgL_a2z00_10827;obj_t BgL_a3z00_10828;long BgL_siza7eza7_10829;obj_t BgL_locz00_10830;obj_t BgL_cfunz00_10831;
BgL_a1z00_10826 = 
PROCEDURE_REF(BgL_envz00_10825, 
(int)(((long)0))); 
BgL_a2z00_10827 = 
PROCEDURE_REF(BgL_envz00_10825, 
(int)(((long)1))); 
BgL_a3z00_10828 = 
PROCEDURE_REF(BgL_envz00_10825, 
(int)(((long)2))); 
BgL_siza7eza7_10829 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10825, 
(int)(((long)3)))); 
BgL_locz00_10830 = 
PROCEDURE_REF(BgL_envz00_10825, 
(int)(((long)4))); 
BgL_cfunz00_10831 = 
PROCEDURE_REF(BgL_envz00_10825, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13012;
BgL_bpz00_13012 = 
VECTOR_REF(
((obj_t)BgL_sz00_10832),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_13013;obj_t BgL_a2z00_13014;obj_t BgL_a3z00_13015;
BgL_a1z00_13013 = 
PROCEDURE_ENTRY(BgL_a1z00_10826)(BgL_a1z00_10826, BgL_sz00_10832, BEOA); 
BgL_a2z00_13014 = 
PROCEDURE_ENTRY(BgL_a2z00_10827)(BgL_a2z00_10827, BgL_sz00_10832, BEOA); 
BgL_a3z00_13015 = 
PROCEDURE_ENTRY(BgL_a3z00_10828)(BgL_a3z00_10828, BgL_sz00_10832, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13016;
BgL_nbpz00_13016 = 
(
(long)CINT(BgL_bpz00_13012)+BgL_siza7eza7_10829); 
VECTOR_SET(
((obj_t)BgL_sz00_10832),((long)0),
BINT(BgL_nbpz00_13016)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18094;
BgL_tmpz00_18094 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18094, BgL_locz00_10830); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13017;
BgL_rz00_13017 = 
PROCEDURE_ENTRY(BgL_cfunz00_10831)(BgL_cfunz00_10831, BgL_a1z00_13013, BgL_a2z00_13014, BgL_a3z00_13015, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10832),((long)0),BgL_bpz00_13012); 
return BgL_rz00_13017;} } } } } } 

}



/* &<@anonymous:2151> */
obj_t BGl_z62zc3z04anonymousza32151ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10833, obj_t BgL_sz00_10839)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10834;obj_t BgL_a2z00_10835;obj_t BgL_a3z00_10836;long BgL_siza7eza7_10837;obj_t BgL_cfunz00_10838;
BgL_a1z00_10834 = 
PROCEDURE_REF(BgL_envz00_10833, 
(int)(((long)0))); 
BgL_a2z00_10835 = 
PROCEDURE_REF(BgL_envz00_10833, 
(int)(((long)1))); 
BgL_a3z00_10836 = 
PROCEDURE_REF(BgL_envz00_10833, 
(int)(((long)2))); 
BgL_siza7eza7_10837 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10833, 
(int)(((long)3)))); 
BgL_cfunz00_10838 = 
PROCEDURE_REF(BgL_envz00_10833, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13018;
BgL_bpz00_13018 = 
VECTOR_REF(
((obj_t)BgL_sz00_10839),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_13019;obj_t BgL_a2z00_13020;obj_t BgL_a3z00_13021;
BgL_a1z00_13019 = 
PROCEDURE_ENTRY(BgL_a1z00_10834)(BgL_a1z00_10834, BgL_sz00_10839, BEOA); 
BgL_a2z00_13020 = 
PROCEDURE_ENTRY(BgL_a2z00_10835)(BgL_a2z00_10835, BgL_sz00_10839, BEOA); 
BgL_a3z00_13021 = 
PROCEDURE_ENTRY(BgL_a3z00_10836)(BgL_a3z00_10836, BgL_sz00_10839, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13022;
BgL_nbpz00_13022 = 
(
(long)CINT(BgL_bpz00_13018)+BgL_siza7eza7_10837); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),((long)0),
BINT(BgL_nbpz00_13022)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13023;
BgL_rz00_13023 = 
PROCEDURE_ENTRY(BgL_cfunz00_10838)(BgL_cfunz00_10838, BgL_a1z00_13019, BgL_a2z00_13020, BgL_a3z00_13021, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10839),((long)0),BgL_bpz00_13018); 
return BgL_rz00_13023;} } } } } } 

}



/* &<@anonymous:2155> */
obj_t BGl_z62zc3z04anonymousza32155ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10840, obj_t BgL_sz00_10848)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10841;obj_t BgL_a1z00_10842;obj_t BgL_a2z00_10843;obj_t BgL_a3z00_10844;obj_t BgL_locz00_10845;obj_t BgL_symbzd2funzd2_10846;long BgL_siza7eza7_10847;
BgL_funz00_10841 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)0))); 
BgL_a1z00_10842 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)1))); 
BgL_a2z00_10843 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)2))); 
BgL_a3z00_10844 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)3))); 
BgL_locz00_10845 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10846 = 
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)5))); 
BgL_siza7eza7_10847 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10840, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13024;
BgL_bpz00_13024 = 
VECTOR_REF(
((obj_t)BgL_sz00_10848),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13025;obj_t BgL_a1z00_13026;obj_t BgL_a2z00_13027;obj_t BgL_a3z00_13028;
BgL_fz00_13025 = 
PROCEDURE_ENTRY(BgL_funz00_10841)(BgL_funz00_10841, BgL_sz00_10848, BEOA); 
BgL_a1z00_13026 = 
PROCEDURE_ENTRY(BgL_a1z00_10842)(BgL_a1z00_10842, BgL_sz00_10848, BEOA); 
BgL_a2z00_13027 = 
PROCEDURE_ENTRY(BgL_a2z00_10843)(BgL_a2z00_10843, BgL_sz00_10848, BEOA); 
BgL_a3z00_13028 = 
PROCEDURE_ENTRY(BgL_a3z00_10844)(BgL_a3z00_10844, BgL_sz00_10848, BEOA); 
if(
PROCEDUREP(BgL_fz00_13025))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10845, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13025); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13029;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18179;
BgL_tmpz00_18179 = 
((obj_t)BgL_fz00_13025); 
BgL_ufz00_13029 = 
PROCEDURE_ATTR(BgL_tmpz00_18179); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5664z00_18182;
if(
STRUCTP(BgL_ufz00_13029))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5664z00_18182 = 
(
STRUCT_KEY(BgL_ufz00_13029)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5664z00_18182 = ((bool_t)0)
; } 
if(BgL_test5664z00_18182)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13030;obj_t BgL_runz00_13031;obj_t BgL_sfz00_13032;
BgL_arityz00_13030 = 
STRUCT_REF(BgL_ufz00_13029, 
(int)(((long)0))); 
BgL_runz00_13031 = 
STRUCT_REF(BgL_ufz00_13029, 
(int)(((long)1))); 
BgL_sfz00_13032 = 
STRUCT_REF(BgL_ufz00_13029, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13030)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2159z00_13033;
BgL_arg2159z00_13033 = 
(
(long)CINT(BgL_bpz00_13024)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2159z00_13033,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2160z00_13034;
BgL_arg2160z00_13034 = 
(
(long)CINT(BgL_bpz00_13024)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2160z00_13034,BgL_a2z00_13027); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2161z00_13035;
BgL_arg2161z00_13035 = 
(
(long)CINT(BgL_bpz00_13024)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2161z00_13035,BgL_a3z00_13028); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13030))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13030)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2163z00_13038;obj_t BgL_arg2164z00_13039;
BgL_arg2163z00_13038 = 
(
(long)CINT(BgL_bpz00_13024)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2166z00_13040;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2167z00_13041;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2168z00_13042;
BgL_arg2168z00_13042 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13028, BNIL); 
BgL_arg2167z00_13041 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13027, BgL_arg2168z00_13042); } 
BgL_list2166z00_13040 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13026, BgL_arg2167z00_13041); } 
BgL_arg2164z00_13039 = BgL_list2166z00_13040; } 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2163z00_13038,BgL_arg2164z00_13039); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2169z00_13043;
BgL_arg2169z00_13043 = 
(
(long)CINT(BgL_bpz00_13024)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2169z00_13043,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2170z00_13044;obj_t BgL_arg2171z00_13045;
BgL_arg2170z00_13044 = 
(
(long)CINT(BgL_bpz00_13024)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2172z00_13046;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2173z00_13047;
BgL_arg2173z00_13047 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13028, BNIL); 
BgL_list2172z00_13046 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13027, BgL_arg2173z00_13047); } 
BgL_arg2171z00_13045 = BgL_list2172z00_13046; } 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2170z00_13044,BgL_arg2171z00_13045); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2174z00_13048;
BgL_arg2174z00_13048 = 
(
(long)CINT(BgL_bpz00_13024)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2174z00_13048,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2175z00_13049;
BgL_arg2175z00_13049 = 
(
(long)CINT(BgL_bpz00_13024)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2175z00_13049,BgL_a2z00_13027); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2176z00_13050;obj_t BgL_arg2177z00_13051;
BgL_arg2176z00_13050 = 
(
(long)CINT(BgL_bpz00_13024)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2178z00_13052;
BgL_list2178z00_13052 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13028, BNIL); 
BgL_arg2177z00_13051 = BgL_list2178z00_13052; } 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2176z00_13050,BgL_arg2177z00_13051); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2179z00_13053;
BgL_arg2179z00_13053 = 
(
(long)CINT(BgL_bpz00_13024)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2179z00_13053,BgL_a1z00_13026); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2180z00_13054;
BgL_arg2180z00_13054 = 
(
(long)CINT(BgL_bpz00_13024)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2180z00_13054,BgL_a2z00_13027); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2181z00_13055;
BgL_arg2181z00_13055 = 
(
(long)CINT(BgL_bpz00_13024)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2181z00_13055,BgL_a3z00_13028); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2182z00_13056;obj_t BgL_arg2183z00_13057;
BgL_arg2182z00_13056 = 
(
(long)CINT(BgL_bpz00_13024)+((long)3)); 
BgL_arg2183z00_13057 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10848),BgL_arg2182z00_13056,BgL_arg2183z00_13057); } break;
default: 
BgL_case_else1194z00_13036:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2185z00_13037;
BgL_arg2185z00_13037 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13029), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10845, BgL_arg2185z00_13037, 
(int)(((long)3)), 
CINT(BgL_arityz00_13030)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1194z00_13036;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13058;
BgL_z12denvz12_13058 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13058, BgL_locz00_10845); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10848, BgL_bpz00_13024, BgL_sfz00_13032))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13031;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13059;
BgL_nsz00_13059 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2187z00_13060;
BgL_arg2187z00_13060 = 
(
(long)CINT(BgL_bpz00_13024)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13059, ((long)2), BgL_sz00_10848, BgL_bpz00_13024, 
BINT(BgL_arg2187z00_13060)); } 
VECTOR_SET(BgL_nsz00_13059,((long)1),BgL_sz00_10848); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13058, BgL_nsz00_13059); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13061;
BgL_ez00_13061 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13061, BgL_sz00_10848); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13062;
BgL_____rz00_13062 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13031, BgL_nsz00_13059, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13061); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13058, BgL_sz00_10848); 
return BgL_____rz00_13062;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13025, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13063;
BgL_nbpz00_13063 = 
(
(long)CINT(BgL_bpz00_13024)+BgL_siza7eza7_10847); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),((long)0),
BINT(BgL_nbpz00_13063)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18289;
BgL_tmpz00_18289 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18289, BgL_locz00_10845); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13064;
BgL_rz00_13064 = 
PROCEDURE_ENTRY(BgL_fz00_13025)(BgL_fz00_13025, BgL_a1z00_13026, BgL_a2z00_13027, BgL_a3z00_13028, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10848),((long)0),BgL_bpz00_13024); 
return BgL_rz00_13064;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10845, BgL_symbzd2funzd2_10846, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13025));} } } } } } } } 

}



/* &<@anonymous:2191> */
obj_t BGl_z62zc3z04anonymousza32191ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10849, obj_t BgL_sz00_10857)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10850;obj_t BgL_a1z00_10851;obj_t BgL_a2z00_10852;obj_t BgL_a3z00_10853;obj_t BgL_locz00_10854;obj_t BgL_symbzd2funzd2_10855;long BgL_siza7eza7_10856;
BgL_funz00_10850 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)0))); 
BgL_a1z00_10851 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)1))); 
BgL_a2z00_10852 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)2))); 
BgL_a3z00_10853 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)3))); 
BgL_locz00_10854 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10855 = 
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)5))); 
BgL_siza7eza7_10856 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10849, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13065;
BgL_bpz00_13065 = 
VECTOR_REF(
((obj_t)BgL_sz00_10857),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13066;obj_t BgL_a1z00_13067;obj_t BgL_a2z00_13068;obj_t BgL_a3z00_13069;
BgL_fz00_13066 = 
PROCEDURE_ENTRY(BgL_funz00_10850)(BgL_funz00_10850, BgL_sz00_10857, BEOA); 
BgL_a1z00_13067 = 
PROCEDURE_ENTRY(BgL_a1z00_10851)(BgL_a1z00_10851, BgL_sz00_10857, BEOA); 
BgL_a2z00_13068 = 
PROCEDURE_ENTRY(BgL_a2z00_10852)(BgL_a2z00_10852, BgL_sz00_10857, BEOA); 
BgL_a3z00_13069 = 
PROCEDURE_ENTRY(BgL_a3z00_10853)(BgL_a3z00_10853, BgL_sz00_10857, BEOA); 
if(
PROCEDUREP(BgL_fz00_13066))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10854, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13066); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13070;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18339;
BgL_tmpz00_18339 = 
((obj_t)BgL_fz00_13066); 
BgL_ufz00_13070 = 
PROCEDURE_ATTR(BgL_tmpz00_18339); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5671z00_18342;
if(
STRUCTP(BgL_ufz00_13070))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5671z00_18342 = 
(
STRUCT_KEY(BgL_ufz00_13070)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5671z00_18342 = ((bool_t)0)
; } 
if(BgL_test5671z00_18342)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13071;obj_t BgL_runz00_13072;obj_t BgL_sfz00_13073;
BgL_arityz00_13071 = 
STRUCT_REF(BgL_ufz00_13070, 
(int)(((long)0))); 
BgL_runz00_13072 = 
STRUCT_REF(BgL_ufz00_13070, 
(int)(((long)1))); 
BgL_sfz00_13073 = 
STRUCT_REF(BgL_ufz00_13070, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13071)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2195z00_13074;
BgL_arg2195z00_13074 = 
(
(long)CINT(BgL_bpz00_13065)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2195z00_13074,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2196z00_13075;
BgL_arg2196z00_13075 = 
(
(long)CINT(BgL_bpz00_13065)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2196z00_13075,BgL_a2z00_13068); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2197z00_13076;
BgL_arg2197z00_13076 = 
(
(long)CINT(BgL_bpz00_13065)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2197z00_13076,BgL_a3z00_13069); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13071))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13071)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2199z00_13079;obj_t BgL_arg2200z00_13080;
BgL_arg2199z00_13079 = 
(
(long)CINT(BgL_bpz00_13065)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2201z00_13081;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2202z00_13082;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2203z00_13083;
BgL_arg2203z00_13083 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13069, BNIL); 
BgL_arg2202z00_13082 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13068, BgL_arg2203z00_13083); } 
BgL_list2201z00_13081 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13067, BgL_arg2202z00_13082); } 
BgL_arg2200z00_13080 = BgL_list2201z00_13081; } 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2199z00_13079,BgL_arg2200z00_13080); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2204z00_13084;
BgL_arg2204z00_13084 = 
(
(long)CINT(BgL_bpz00_13065)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2204z00_13084,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2205z00_13085;obj_t BgL_arg2206z00_13086;
BgL_arg2205z00_13085 = 
(
(long)CINT(BgL_bpz00_13065)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2207z00_13087;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2208z00_13088;
BgL_arg2208z00_13088 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13069, BNIL); 
BgL_list2207z00_13087 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13068, BgL_arg2208z00_13088); } 
BgL_arg2206z00_13086 = BgL_list2207z00_13087; } 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2205z00_13085,BgL_arg2206z00_13086); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2209z00_13089;
BgL_arg2209z00_13089 = 
(
(long)CINT(BgL_bpz00_13065)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2209z00_13089,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2210z00_13090;
BgL_arg2210z00_13090 = 
(
(long)CINT(BgL_bpz00_13065)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2210z00_13090,BgL_a2z00_13068); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2211z00_13091;obj_t BgL_arg2212z00_13092;
BgL_arg2211z00_13091 = 
(
(long)CINT(BgL_bpz00_13065)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2213z00_13093;
BgL_list2213z00_13093 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13069, BNIL); 
BgL_arg2212z00_13092 = BgL_list2213z00_13093; } 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2211z00_13091,BgL_arg2212z00_13092); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2214z00_13094;
BgL_arg2214z00_13094 = 
(
(long)CINT(BgL_bpz00_13065)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2214z00_13094,BgL_a1z00_13067); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2215z00_13095;
BgL_arg2215z00_13095 = 
(
(long)CINT(BgL_bpz00_13065)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2215z00_13095,BgL_a2z00_13068); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2216z00_13096;
BgL_arg2216z00_13096 = 
(
(long)CINT(BgL_bpz00_13065)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2216z00_13096,BgL_a3z00_13069); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2217z00_13097;obj_t BgL_arg2218z00_13098;
BgL_arg2217z00_13097 = 
(
(long)CINT(BgL_bpz00_13065)+((long)3)); 
BgL_arg2218z00_13098 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10857),BgL_arg2217z00_13097,BgL_arg2218z00_13098); } break;
default: 
BgL_case_else1196z00_13077:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2220z00_13078;
BgL_arg2220z00_13078 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13070), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10854, BgL_arg2220z00_13078, 
(int)(((long)3)), 
CINT(BgL_arityz00_13071)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1196z00_13077;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13099;
BgL_z12denvz12_13099 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10857, BgL_bpz00_13065, BgL_sfz00_13073))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13072;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13100;
BgL_nsz00_13100 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2222z00_13101;
BgL_arg2222z00_13101 = 
(
(long)CINT(BgL_bpz00_13065)+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13100, ((long)2), BgL_sz00_10857, BgL_bpz00_13065, 
BINT(BgL_arg2222z00_13101)); } 
VECTOR_SET(BgL_nsz00_13100,((long)1),BgL_sz00_10857); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13099, BgL_nsz00_13100); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13102;
BgL_ez00_13102 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13102, BgL_sz00_10857); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13103;
BgL_____rz00_13103 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13072, BgL_nsz00_13100, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13102); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13099, BgL_sz00_10857); 
return BgL_____rz00_13103;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13066, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13104;
BgL_nbpz00_13104 = 
(
(long)CINT(BgL_bpz00_13065)+BgL_siza7eza7_10856); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),((long)0),
BINT(BgL_nbpz00_13104)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13105;
BgL_rz00_13105 = 
PROCEDURE_ENTRY(BgL_fz00_13066)(BgL_fz00_13066, BgL_a1z00_13067, BgL_a2z00_13068, BgL_a3z00_13069, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10857),((long)0),BgL_bpz00_13065); 
return BgL_rz00_13105;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10854, BgL_symbzd2funzd2_10855, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13066));} } } } } } } } 

}



/* &<@anonymous:2228> */
obj_t BGl_z62zc3z04anonymousza32228ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10858, obj_t BgL_sz00_10866)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10859;obj_t BgL_a1z00_10860;obj_t BgL_a2z00_10861;obj_t BgL_a3z00_10862;obj_t BgL_locz00_10863;obj_t BgL_symbzd2funzd2_10864;long BgL_siza7eza7_10865;
BgL_funz00_10859 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)0))); 
BgL_a1z00_10860 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)1))); 
BgL_a2z00_10861 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)2))); 
BgL_a3z00_10862 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)3))); 
BgL_locz00_10863 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10864 = 
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)5))); 
BgL_siza7eza7_10865 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10858, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13106;
BgL_bpz00_13106 = 
VECTOR_REF(
((obj_t)BgL_sz00_10866),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13107;obj_t BgL_a1z00_13108;obj_t BgL_a2z00_13109;obj_t BgL_a3z00_13110;
BgL_fz00_13107 = 
PROCEDURE_ENTRY(BgL_funz00_10859)(BgL_funz00_10859, BgL_sz00_10866, BEOA); 
BgL_a1z00_13108 = 
PROCEDURE_ENTRY(BgL_a1z00_10860)(BgL_a1z00_10860, BgL_sz00_10866, BEOA); 
BgL_a2z00_13109 = 
PROCEDURE_ENTRY(BgL_a2z00_10861)(BgL_a2z00_10861, BgL_sz00_10866, BEOA); 
BgL_a3z00_13110 = 
PROCEDURE_ENTRY(BgL_a3z00_10862)(BgL_a3z00_10862, BgL_sz00_10866, BEOA); 
if(
PROCEDUREP(BgL_fz00_13107))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10863, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13107); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13111;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18495;
BgL_tmpz00_18495 = 
((obj_t)BgL_fz00_13107); 
BgL_ufz00_13111 = 
PROCEDURE_ATTR(BgL_tmpz00_18495); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5678z00_18498;
if(
STRUCTP(BgL_ufz00_13111))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5678z00_18498 = 
(
STRUCT_KEY(BgL_ufz00_13111)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5678z00_18498 = ((bool_t)0)
; } 
if(BgL_test5678z00_18498)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13112;obj_t BgL_runz00_13113;obj_t BgL_sfz00_13114;
BgL_arityz00_13112 = 
STRUCT_REF(BgL_ufz00_13111, 
(int)(((long)0))); 
BgL_runz00_13113 = 
STRUCT_REF(BgL_ufz00_13111, 
(int)(((long)1))); 
BgL_sfz00_13114 = 
STRUCT_REF(BgL_ufz00_13111, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_13115;
BgL_spz00_13115 = 
(
(long)CINT(BgL_bpz00_13106)+BgL_siza7eza7_10865); 
if(
(
(long)CINT(BgL_arityz00_13112)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2232z00_13116;
BgL_arg2232z00_13116 = 
(BgL_spz00_13115+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2232z00_13116,BgL_a1z00_13108); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2233z00_13117;
BgL_arg2233z00_13117 = 
(BgL_spz00_13115+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2233z00_13117,BgL_a2z00_13109); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2234z00_13118;
BgL_arg2234z00_13118 = 
(BgL_spz00_13115+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2234z00_13118,BgL_a3z00_13110); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13112))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13112)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2236z00_13121;obj_t BgL_arg2237z00_13122;
BgL_arg2236z00_13121 = 
(BgL_spz00_13115+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2238z00_13123;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2239z00_13124;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2240z00_13125;
BgL_arg2240z00_13125 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13110, BNIL); 
BgL_arg2239z00_13124 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13109, BgL_arg2240z00_13125); } 
BgL_list2238z00_13123 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13108, BgL_arg2239z00_13124); } 
BgL_arg2237z00_13122 = BgL_list2238z00_13123; } 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2236z00_13121,BgL_arg2237z00_13122); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2241z00_13126;
BgL_arg2241z00_13126 = 
(BgL_spz00_13115+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2241z00_13126,BgL_a1z00_13108); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2242z00_13127;obj_t BgL_arg2243z00_13128;
BgL_arg2242z00_13127 = 
(BgL_spz00_13115+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2244z00_13129;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2245z00_13130;
BgL_arg2245z00_13130 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13110, BNIL); 
BgL_list2244z00_13129 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13109, BgL_arg2245z00_13130); } 
BgL_arg2243z00_13128 = BgL_list2244z00_13129; } 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2242z00_13127,BgL_arg2243z00_13128); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2246z00_13131;
BgL_arg2246z00_13131 = 
(BgL_spz00_13115+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2246z00_13131,BgL_a1z00_13108); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2247z00_13132;
BgL_arg2247z00_13132 = 
(BgL_spz00_13115+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2247z00_13132,BgL_a2z00_13109); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2248z00_13133;obj_t BgL_arg2249z00_13134;
BgL_arg2248z00_13133 = 
(BgL_spz00_13115+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2250z00_13135;
BgL_list2250z00_13135 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13110, BNIL); 
BgL_arg2249z00_13134 = BgL_list2250z00_13135; } 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2248z00_13133,BgL_arg2249z00_13134); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2251z00_13136;
BgL_arg2251z00_13136 = 
(BgL_spz00_13115+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2251z00_13136,BgL_a1z00_13108); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2252z00_13137;
BgL_arg2252z00_13137 = 
(BgL_spz00_13115+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2252z00_13137,BgL_a2z00_13109); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2253z00_13138;
BgL_arg2253z00_13138 = 
(BgL_spz00_13115+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2253z00_13138,BgL_a3z00_13110); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2254z00_13139;obj_t BgL_arg2255z00_13140;
BgL_arg2254z00_13139 = 
(BgL_spz00_13115+((long)3)); 
BgL_arg2255z00_13140 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10866),BgL_arg2254z00_13139,BgL_arg2255z00_13140); } break;
default: 
BgL_case_else1198z00_13119:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2257z00_13120;
BgL_arg2257z00_13120 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13111), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10863, BgL_arg2257z00_13120, 
(int)(((long)3)), 
CINT(BgL_arityz00_13112)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1198z00_13119;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13141;
BgL_z12denvz12_13141 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13141, BgL_locz00_10863); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10866, 
BINT(BgL_spz00_13115), BgL_sfz00_13114))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13113, BgL_sz00_10866, 
BINT(BgL_spz00_13115));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13142;
BgL_nsz00_13142 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2259z00_13143;
BgL_arg2259z00_13143 = 
(BgL_spz00_13115+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13142, ((long)2), BgL_sz00_10866, 
BINT(BgL_spz00_13115), 
BINT(BgL_arg2259z00_13143)); } 
VECTOR_SET(BgL_nsz00_13142,((long)1),BgL_sz00_10866); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13141, BgL_nsz00_13142); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13144;
BgL_ez00_13144 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13144, BgL_sz00_10866); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13145;
BgL_____rz00_13145 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13113, BgL_nsz00_13142, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13144); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13141, BgL_sz00_10866); 
return BgL_____rz00_13145;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13107, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13146;
BgL_nbpz00_13146 = 
(
(long)CINT(BgL_bpz00_13106)+BgL_siza7eza7_10865); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),((long)0),
BINT(BgL_nbpz00_13146)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18597;
BgL_tmpz00_18597 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18597, BgL_locz00_10863); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13147;
BgL_rz00_13147 = 
PROCEDURE_ENTRY(BgL_fz00_13107)(BgL_fz00_13107, BgL_a1z00_13108, BgL_a2z00_13109, BgL_a3z00_13110, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10866),((long)0),BgL_bpz00_13106); 
return BgL_rz00_13147;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10863, BgL_symbzd2funzd2_10864, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13107));} } } } } } } } 

}



/* &<@anonymous:2263> */
obj_t BGl_z62zc3z04anonymousza32263ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10867, obj_t BgL_sz00_10875)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10868;obj_t BgL_a1z00_10869;obj_t BgL_a2z00_10870;obj_t BgL_a3z00_10871;obj_t BgL_locz00_10872;obj_t BgL_symbzd2funzd2_10873;long BgL_siza7eza7_10874;
BgL_funz00_10868 = 
PROCEDURE_REF(BgL_envz00_10867, 
(int)(((long)0))); 
BgL_a1z00_10869 = 
PROCEDURE_REF(BgL_envz00_10867, 
(int)(((long)1))); 
BgL_a2z00_10870 = 
PROCEDURE_REF(BgL_envz00_10867, 
(int)(((long)2))); 
BgL_a3z00_10871 = 
PROCEDURE_REF(BgL_envz00_10867, 
(int)(((long)3))); 
BgL_locz00_10872 = 
PROCEDURE_REF(BgL_envz00_10867, 
(int)(((long)4))); 
BgL_symbzd2funzd2_10873 = 
PROCEDURE_REF(BgL_envz00_10867, 
(int)(((long)5))); 
BgL_siza7eza7_10874 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10867, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13148;
BgL_bpz00_13148 = 
VECTOR_REF(
((obj_t)BgL_sz00_10875),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13149;obj_t BgL_a1z00_13150;obj_t BgL_a2z00_13151;obj_t BgL_a3z00_13152;
BgL_fz00_13149 = 
PROCEDURE_ENTRY(BgL_funz00_10868)(BgL_funz00_10868, BgL_sz00_10875, BEOA); 
BgL_a1z00_13150 = 
PROCEDURE_ENTRY(BgL_a1z00_10869)(BgL_a1z00_10869, BgL_sz00_10875, BEOA); 
BgL_a2z00_13151 = 
PROCEDURE_ENTRY(BgL_a2z00_10870)(BgL_a2z00_10870, BgL_sz00_10875, BEOA); 
BgL_a3z00_13152 = 
PROCEDURE_ENTRY(BgL_a3z00_10871)(BgL_a3z00_10871, BgL_sz00_10875, BEOA); 
if(
PROCEDUREP(BgL_fz00_13149))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10872, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13149); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13153;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18647;
BgL_tmpz00_18647 = 
((obj_t)BgL_fz00_13149); 
BgL_ufz00_13153 = 
PROCEDURE_ATTR(BgL_tmpz00_18647); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5685z00_18650;
if(
STRUCTP(BgL_ufz00_13153))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5685z00_18650 = 
(
STRUCT_KEY(BgL_ufz00_13153)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5685z00_18650 = ((bool_t)0)
; } 
if(BgL_test5685z00_18650)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13154;obj_t BgL_runz00_13155;obj_t BgL_sfz00_13156;
BgL_arityz00_13154 = 
STRUCT_REF(BgL_ufz00_13153, 
(int)(((long)0))); 
BgL_runz00_13155 = 
STRUCT_REF(BgL_ufz00_13153, 
(int)(((long)1))); 
BgL_sfz00_13156 = 
STRUCT_REF(BgL_ufz00_13153, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_13157;
BgL_spz00_13157 = 
(
(long)CINT(BgL_bpz00_13148)+BgL_siza7eza7_10874); 
if(
(
(long)CINT(BgL_arityz00_13154)==((long)3)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2267z00_13158;
BgL_arg2267z00_13158 = 
(BgL_spz00_13157+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2267z00_13158,BgL_a1z00_13150); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2268z00_13159;
BgL_arg2268z00_13159 = 
(BgL_spz00_13157+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2268z00_13159,BgL_a2z00_13151); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2269z00_13160;
BgL_arg2269z00_13160 = 
(BgL_spz00_13157+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2269z00_13160,BgL_a3z00_13152); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13154))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13154)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2271z00_13163;obj_t BgL_arg2272z00_13164;
BgL_arg2271z00_13163 = 
(BgL_spz00_13157+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2273z00_13165;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2274z00_13166;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2275z00_13167;
BgL_arg2275z00_13167 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13152, BNIL); 
BgL_arg2274z00_13166 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13151, BgL_arg2275z00_13167); } 
BgL_list2273z00_13165 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13150, BgL_arg2274z00_13166); } 
BgL_arg2272z00_13164 = BgL_list2273z00_13165; } 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2271z00_13163,BgL_arg2272z00_13164); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2276z00_13168;
BgL_arg2276z00_13168 = 
(BgL_spz00_13157+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2276z00_13168,BgL_a1z00_13150); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2277z00_13169;obj_t BgL_arg2278z00_13170;
BgL_arg2277z00_13169 = 
(BgL_spz00_13157+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2279z00_13171;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2280z00_13172;
BgL_arg2280z00_13172 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13152, BNIL); 
BgL_list2279z00_13171 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13151, BgL_arg2280z00_13172); } 
BgL_arg2278z00_13170 = BgL_list2279z00_13171; } 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2277z00_13169,BgL_arg2278z00_13170); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2281z00_13173;
BgL_arg2281z00_13173 = 
(BgL_spz00_13157+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2281z00_13173,BgL_a1z00_13150); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2282z00_13174;
BgL_arg2282z00_13174 = 
(BgL_spz00_13157+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2282z00_13174,BgL_a2z00_13151); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2283z00_13175;obj_t BgL_arg2284z00_13176;
BgL_arg2283z00_13175 = 
(BgL_spz00_13157+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2285z00_13177;
BgL_list2285z00_13177 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13152, BNIL); 
BgL_arg2284z00_13176 = BgL_list2285z00_13177; } 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2283z00_13175,BgL_arg2284z00_13176); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2286z00_13178;
BgL_arg2286z00_13178 = 
(BgL_spz00_13157+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2286z00_13178,BgL_a1z00_13150); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2287z00_13179;
BgL_arg2287z00_13179 = 
(BgL_spz00_13157+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2287z00_13179,BgL_a2z00_13151); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2288z00_13180;
BgL_arg2288z00_13180 = 
(BgL_spz00_13157+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2288z00_13180,BgL_a3z00_13152); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2289z00_13181;obj_t BgL_arg2290z00_13182;
BgL_arg2289z00_13181 = 
(BgL_spz00_13157+((long)3)); 
BgL_arg2290z00_13182 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10875),BgL_arg2289z00_13181,BgL_arg2290z00_13182); } break;
default: 
BgL_case_else1200z00_13161:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2292z00_13162;
BgL_arg2292z00_13162 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13153), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10872, BgL_arg2292z00_13162, 
(int)(((long)3)), 
CINT(BgL_arityz00_13154)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1200z00_13161;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13183;
BgL_z12denvz12_13183 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10875, 
BINT(BgL_spz00_13157), BgL_sfz00_13156))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13155, BgL_sz00_10875, 
BINT(BgL_spz00_13157));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13184;
BgL_nsz00_13184 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2294z00_13185;
BgL_arg2294z00_13185 = 
(BgL_spz00_13157+((long)3)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13184, ((long)2), BgL_sz00_10875, 
BINT(BgL_spz00_13157), 
BINT(BgL_arg2294z00_13185)); } 
VECTOR_SET(BgL_nsz00_13184,((long)1),BgL_sz00_10875); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13183, BgL_nsz00_13184); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13186;
BgL_ez00_13186 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13186, BgL_sz00_10875); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13187;
BgL_____rz00_13187 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13155, BgL_nsz00_13184, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13186); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13183, BgL_sz00_10875); 
return BgL_____rz00_13187;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13149, 
(int)(((long)3))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13188;
BgL_nbpz00_13188 = 
(
(long)CINT(BgL_bpz00_13148)+BgL_siza7eza7_10874); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),((long)0),
BINT(BgL_nbpz00_13188)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13189;
BgL_rz00_13189 = 
PROCEDURE_ENTRY(BgL_fz00_13149)(BgL_fz00_13149, BgL_a1z00_13150, BgL_a2z00_13151, BgL_a3z00_13152, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10875),((long)0),BgL_bpz00_13148); 
return BgL_rz00_13189;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10872, BgL_symbzd2funzd2_10873, 
(int)(((long)3)), 
PROCEDURE_ARITY(BgL_fz00_13149));} } } } } } } } 

}



/* comp-call4 */
obj_t BGl_compzd2call4zd2zz__evaluate_compz00(obj_t BgL_locz00_172, BgL_ev_exprz00_bglt BgL_vfunz00_173, obj_t BgL_symbzd2funzd2_174, obj_t BgL_funz00_175, obj_t BgL_tailzf3zf3_176, obj_t BgL_stkz00_177, long BgL_siza7eza7_178, obj_t BgL_a1z00_179, obj_t BgL_a2z00_180, obj_t BgL_a3z00_181, obj_t BgL_a4z00_182)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_cfunz00_2729;
BgL_cfunz00_2729 = 
BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_vfunz00_173, ((long)4), BgL_locz00_172, BgL_symbzd2funzd2_174); 
if(
CBOOL(BgL_cfunz00_2729))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5692z00_18762;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2303z00_2751;
BgL_arg2303z00_2751 = 
bgl_debug(); 
BgL_test5692z00_18762 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2303z00_2751), 
BINT(((long)0))); } 
if(BgL_test5692z00_18762)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32300ze3z87_10876;
BgL_zc3z04anonymousza32300ze3z87_10876 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32300ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_10876, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_10876, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_10876, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_10876, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_10876, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_10876, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32300ze3z87_10876, 
(int)(((long)6)), BgL_cfunz00_2729); 
return BgL_zc3z04anonymousza32300ze3z87_10876;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32302ze3z87_10877;
BgL_zc3z04anonymousza32302ze3z87_10877 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32302ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32302ze3z87_10877, 
(int)(((long)0)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32302ze3z87_10877, 
(int)(((long)1)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32302ze3z87_10877, 
(int)(((long)2)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32302ze3z87_10877, 
(int)(((long)3)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32302ze3z87_10877, 
(int)(((long)4)), 
BINT(BgL_siza7eza7_178)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32302ze3z87_10877, 
(int)(((long)5)), BgL_cfunz00_2729); 
return BgL_zc3z04anonymousza32302ze3z87_10877;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
CBOOL(BgL_tailzf3zf3_176))
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5694z00_18803;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2397z00_2887;
BgL_arg2397z00_2887 = 
bgl_debug(); 
BgL_test5694z00_18803 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2397z00_2887), 
BINT(((long)0))); } 
if(BgL_test5694z00_18803)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32306ze3z87_10878;
BgL_zc3z04anonymousza32306ze3z87_10878 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32306ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32306ze3z87_10878, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32306ze3z87_10878;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32352ze3z87_10879;
BgL_zc3z04anonymousza32352ze3z87_10879 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32352ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32352ze3z87_10879, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32352ze3z87_10879;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5695z00_18848;
{ /* Eval/evaluate_comp.scm 896 */
int BgL_arg2491z00_3023;
BgL_arg2491z00_3023 = 
bgl_debug(); 
BgL_test5695z00_18848 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(
BINT(BgL_arg2491z00_3023), 
BINT(((long)0))); } 
if(BgL_test5695z00_18848)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32400ze3z87_10880;
BgL_zc3z04anonymousza32400ze3z87_10880 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32400ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32400ze3z87_10880, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32400ze3z87_10880;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_zc3z04anonymousza32446ze3z87_10881;
BgL_zc3z04anonymousza32446ze3z87_10881 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32446ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)8))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)0)), BgL_funz00_175); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)1)), BgL_a1z00_179); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)2)), BgL_a2z00_180); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)3)), BgL_a3z00_181); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)4)), BgL_a4z00_182); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)5)), BgL_locz00_172); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)6)), BgL_symbzd2funzd2_174); 
PROCEDURE_SET(BgL_zc3z04anonymousza32446ze3z87_10881, 
(int)(((long)7)), 
BINT(BgL_siza7eza7_178)); 
return BgL_zc3z04anonymousza32446ze3z87_10881;} } } } } 

}



/* &<@anonymous:2300> */
obj_t BGl_z62zc3z04anonymousza32300ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10882, obj_t BgL_sz00_10890)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10883;obj_t BgL_a2z00_10884;obj_t BgL_a3z00_10885;obj_t BgL_a4z00_10886;long BgL_siza7eza7_10887;obj_t BgL_locz00_10888;obj_t BgL_cfunz00_10889;
BgL_a1z00_10883 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)0))); 
BgL_a2z00_10884 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)1))); 
BgL_a3z00_10885 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)2))); 
BgL_a4z00_10886 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)3))); 
BgL_siza7eza7_10887 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)4)))); 
BgL_locz00_10888 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)5))); 
BgL_cfunz00_10889 = 
PROCEDURE_REF(BgL_envz00_10882, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13190;
BgL_bpz00_13190 = 
VECTOR_REF(
((obj_t)BgL_sz00_10890),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_13191;obj_t BgL_a2z00_13192;obj_t BgL_a3z00_13193;obj_t BgL_a4z00_13194;
BgL_a1z00_13191 = 
PROCEDURE_ENTRY(BgL_a1z00_10883)(BgL_a1z00_10883, BgL_sz00_10890, BEOA); 
BgL_a2z00_13192 = 
PROCEDURE_ENTRY(BgL_a2z00_10884)(BgL_a2z00_10884, BgL_sz00_10890, BEOA); 
BgL_a3z00_13193 = 
PROCEDURE_ENTRY(BgL_a3z00_10885)(BgL_a3z00_10885, BgL_sz00_10890, BEOA); 
BgL_a4z00_13194 = 
PROCEDURE_ENTRY(BgL_a4z00_10886)(BgL_a4z00_10886, BgL_sz00_10890, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13195;
BgL_nbpz00_13195 = 
(
(long)CINT(BgL_bpz00_13190)+BgL_siza7eza7_10887); 
VECTOR_SET(
((obj_t)BgL_sz00_10890),((long)0),
BINT(BgL_nbpz00_13195)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_18931;
BgL_tmpz00_18931 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_18931, BgL_locz00_10888); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13196;
BgL_rz00_13196 = 
PROCEDURE_ENTRY(BgL_cfunz00_10889)(BgL_cfunz00_10889, BgL_a1z00_13191, BgL_a2z00_13192, BgL_a3z00_13193, BgL_a4z00_13194, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10890),((long)0),BgL_bpz00_13190); 
return BgL_rz00_13196;} } } } } } 

}



/* &<@anonymous:2302> */
obj_t BGl_z62zc3z04anonymousza32302ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10891, obj_t BgL_sz00_10898)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_10892;obj_t BgL_a2z00_10893;obj_t BgL_a3z00_10894;obj_t BgL_a4z00_10895;long BgL_siza7eza7_10896;obj_t BgL_cfunz00_10897;
BgL_a1z00_10892 = 
PROCEDURE_REF(BgL_envz00_10891, 
(int)(((long)0))); 
BgL_a2z00_10893 = 
PROCEDURE_REF(BgL_envz00_10891, 
(int)(((long)1))); 
BgL_a3z00_10894 = 
PROCEDURE_REF(BgL_envz00_10891, 
(int)(((long)2))); 
BgL_a4z00_10895 = 
PROCEDURE_REF(BgL_envz00_10891, 
(int)(((long)3))); 
BgL_siza7eza7_10896 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10891, 
(int)(((long)4)))); 
BgL_cfunz00_10897 = 
PROCEDURE_REF(BgL_envz00_10891, 
(int)(((long)5))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13197;
BgL_bpz00_13197 = 
VECTOR_REF(
((obj_t)BgL_sz00_10898),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_a1z00_13198;obj_t BgL_a2z00_13199;obj_t BgL_a3z00_13200;obj_t BgL_a4z00_13201;
BgL_a1z00_13198 = 
PROCEDURE_ENTRY(BgL_a1z00_10892)(BgL_a1z00_10892, BgL_sz00_10898, BEOA); 
BgL_a2z00_13199 = 
PROCEDURE_ENTRY(BgL_a2z00_10893)(BgL_a2z00_10893, BgL_sz00_10898, BEOA); 
BgL_a3z00_13200 = 
PROCEDURE_ENTRY(BgL_a3z00_10894)(BgL_a3z00_10894, BgL_sz00_10898, BEOA); 
BgL_a4z00_13201 = 
PROCEDURE_ENTRY(BgL_a4z00_10895)(BgL_a4z00_10895, BgL_sz00_10898, BEOA); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13202;
BgL_nbpz00_13202 = 
(
(long)CINT(BgL_bpz00_13197)+BgL_siza7eza7_10896); 
VECTOR_SET(
((obj_t)BgL_sz00_10898),((long)0),
BINT(BgL_nbpz00_13202)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13203;
BgL_rz00_13203 = 
PROCEDURE_ENTRY(BgL_cfunz00_10897)(BgL_cfunz00_10897, BgL_a1z00_13198, BgL_a2z00_13199, BgL_a3z00_13200, BgL_a4z00_13201, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10898),((long)0),BgL_bpz00_13197); 
return BgL_rz00_13203;} } } } } } 

}



/* &<@anonymous:2306> */
obj_t BGl_z62zc3z04anonymousza32306ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10899, obj_t BgL_sz00_10908)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10900;obj_t BgL_a1z00_10901;obj_t BgL_a2z00_10902;obj_t BgL_a3z00_10903;obj_t BgL_a4z00_10904;obj_t BgL_locz00_10905;obj_t BgL_symbzd2funzd2_10906;long BgL_siza7eza7_10907;
BgL_funz00_10900 = 
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)0))); 
BgL_a1z00_10901 = 
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)1))); 
BgL_a2z00_10902 = 
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)2))); 
BgL_a3z00_10903 = 
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)3))); 
BgL_a4z00_10904 = 
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)4))); 
BgL_locz00_10905 = 
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10906 = 
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)6))); 
BgL_siza7eza7_10907 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10899, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13204;
BgL_bpz00_13204 = 
VECTOR_REF(
((obj_t)BgL_sz00_10908),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13205;obj_t BgL_a1z00_13206;obj_t BgL_a2z00_13207;obj_t BgL_a3z00_13208;obj_t BgL_a4z00_13209;
BgL_fz00_13205 = 
PROCEDURE_ENTRY(BgL_funz00_10900)(BgL_funz00_10900, BgL_sz00_10908, BEOA); 
BgL_a1z00_13206 = 
PROCEDURE_ENTRY(BgL_a1z00_10901)(BgL_a1z00_10901, BgL_sz00_10908, BEOA); 
BgL_a2z00_13207 = 
PROCEDURE_ENTRY(BgL_a2z00_10902)(BgL_a2z00_10902, BgL_sz00_10908, BEOA); 
BgL_a3z00_13208 = 
PROCEDURE_ENTRY(BgL_a3z00_10903)(BgL_a3z00_10903, BgL_sz00_10908, BEOA); 
BgL_a4z00_13209 = 
PROCEDURE_ENTRY(BgL_a4z00_10904)(BgL_a4z00_10904, BgL_sz00_10908, BEOA); 
if(
PROCEDUREP(BgL_fz00_13205))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10905, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13205); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13210;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_19030;
BgL_tmpz00_19030 = 
((obj_t)BgL_fz00_13205); 
BgL_ufz00_13210 = 
PROCEDURE_ATTR(BgL_tmpz00_19030); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5697z00_19033;
if(
STRUCTP(BgL_ufz00_13210))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5697z00_19033 = 
(
STRUCT_KEY(BgL_ufz00_13210)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5697z00_19033 = ((bool_t)0)
; } 
if(BgL_test5697z00_19033)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13211;obj_t BgL_runz00_13212;obj_t BgL_sfz00_13213;
BgL_arityz00_13211 = 
STRUCT_REF(BgL_ufz00_13210, 
(int)(((long)0))); 
BgL_runz00_13212 = 
STRUCT_REF(BgL_ufz00_13210, 
(int)(((long)1))); 
BgL_sfz00_13213 = 
STRUCT_REF(BgL_ufz00_13210, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13211)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2310z00_13214;
BgL_arg2310z00_13214 = 
(
(long)CINT(BgL_bpz00_13204)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2310z00_13214,BgL_a1z00_13206); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2311z00_13215;
BgL_arg2311z00_13215 = 
(
(long)CINT(BgL_bpz00_13204)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2311z00_13215,BgL_a2z00_13207); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2312z00_13216;
BgL_arg2312z00_13216 = 
(
(long)CINT(BgL_bpz00_13204)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2312z00_13216,BgL_a3z00_13208); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2313z00_13217;
BgL_arg2313z00_13217 = 
(
(long)CINT(BgL_bpz00_13204)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2313z00_13217,BgL_a4z00_13209); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13211))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13211)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2315z00_13220;obj_t BgL_arg2316z00_13221;
BgL_arg2315z00_13220 = 
(
(long)CINT(BgL_bpz00_13204)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2317z00_13222;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2318z00_13223;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2319z00_13224;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2320z00_13225;
BgL_arg2320z00_13225 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13209, BNIL); 
BgL_arg2319z00_13224 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13208, BgL_arg2320z00_13225); } 
BgL_arg2318z00_13223 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13207, BgL_arg2319z00_13224); } 
BgL_list2317z00_13222 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13206, BgL_arg2318z00_13223); } 
BgL_arg2316z00_13221 = BgL_list2317z00_13222; } 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2315z00_13220,BgL_arg2316z00_13221); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2321z00_13226;
BgL_arg2321z00_13226 = 
(
(long)CINT(BgL_bpz00_13204)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2321z00_13226,BgL_a1z00_13206); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2322z00_13227;obj_t BgL_arg2323z00_13228;
BgL_arg2322z00_13227 = 
(
(long)CINT(BgL_bpz00_13204)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2324z00_13229;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2325z00_13230;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2326z00_13231;
BgL_arg2326z00_13231 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13209, BNIL); 
BgL_arg2325z00_13230 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13208, BgL_arg2326z00_13231); } 
BgL_list2324z00_13229 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13207, BgL_arg2325z00_13230); } 
BgL_arg2323z00_13228 = BgL_list2324z00_13229; } 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2322z00_13227,BgL_arg2323z00_13228); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2327z00_13232;
BgL_arg2327z00_13232 = 
(
(long)CINT(BgL_bpz00_13204)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2327z00_13232,BgL_a1z00_13206); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2328z00_13233;
BgL_arg2328z00_13233 = 
(
(long)CINT(BgL_bpz00_13204)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2328z00_13233,BgL_a2z00_13207); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2329z00_13234;obj_t BgL_arg2330z00_13235;
BgL_arg2329z00_13234 = 
(
(long)CINT(BgL_bpz00_13204)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2331z00_13236;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2332z00_13237;
BgL_arg2332z00_13237 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13209, BNIL); 
BgL_list2331z00_13236 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13208, BgL_arg2332z00_13237); } 
BgL_arg2330z00_13235 = BgL_list2331z00_13236; } 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2329z00_13234,BgL_arg2330z00_13235); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2333z00_13238;
BgL_arg2333z00_13238 = 
(
(long)CINT(BgL_bpz00_13204)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2333z00_13238,BgL_a1z00_13206); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2334z00_13239;
BgL_arg2334z00_13239 = 
(
(long)CINT(BgL_bpz00_13204)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2334z00_13239,BgL_a2z00_13207); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2335z00_13240;
BgL_arg2335z00_13240 = 
(
(long)CINT(BgL_bpz00_13204)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2335z00_13240,BgL_a3z00_13208); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2336z00_13241;obj_t BgL_arg2337z00_13242;
BgL_arg2336z00_13241 = 
(
(long)CINT(BgL_bpz00_13204)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2338z00_13243;
BgL_list2338z00_13243 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13209, BNIL); 
BgL_arg2337z00_13242 = BgL_list2338z00_13243; } 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2336z00_13241,BgL_arg2337z00_13242); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2339z00_13244;
BgL_arg2339z00_13244 = 
(
(long)CINT(BgL_bpz00_13204)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2339z00_13244,BgL_a1z00_13206); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2340z00_13245;
BgL_arg2340z00_13245 = 
(
(long)CINT(BgL_bpz00_13204)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2340z00_13245,BgL_a2z00_13207); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2341z00_13246;
BgL_arg2341z00_13246 = 
(
(long)CINT(BgL_bpz00_13204)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2341z00_13246,BgL_a3z00_13208); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2342z00_13247;
BgL_arg2342z00_13247 = 
(
(long)CINT(BgL_bpz00_13204)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2342z00_13247,BgL_a4z00_13209); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2343z00_13248;obj_t BgL_arg2344z00_13249;
BgL_arg2343z00_13248 = 
(
(long)CINT(BgL_bpz00_13204)+((long)4)); 
BgL_arg2344z00_13249 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10908),BgL_arg2343z00_13248,BgL_arg2344z00_13249); } break;
default: 
BgL_case_else1202z00_13218:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2346z00_13219;
BgL_arg2346z00_13219 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13210), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10905, BgL_arg2346z00_13219, 
(int)(((long)4)), 
CINT(BgL_arityz00_13211)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1202z00_13218;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13250;
BgL_z12denvz12_13250 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13250, BgL_locz00_10905); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10908, BgL_bpz00_13204, BgL_sfz00_13213))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13212;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13251;
BgL_nsz00_13251 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2348z00_13252;
BgL_arg2348z00_13252 = 
(
(long)CINT(BgL_bpz00_13204)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13251, ((long)2), BgL_sz00_10908, BgL_bpz00_13204, 
BINT(BgL_arg2348z00_13252)); } 
VECTOR_SET(BgL_nsz00_13251,((long)1),BgL_sz00_10908); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13250, BgL_nsz00_13251); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13253;
BgL_ez00_13253 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13253, BgL_sz00_10908); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13254;
BgL_____rz00_13254 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13212, BgL_nsz00_13251, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13253); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13250, BgL_sz00_10908); 
return BgL_____rz00_13254;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13205, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13255;
BgL_nbpz00_13255 = 
(
(long)CINT(BgL_bpz00_13204)+BgL_siza7eza7_10907); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),((long)0),
BINT(BgL_nbpz00_13255)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_19168;
BgL_tmpz00_19168 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19168, BgL_locz00_10905); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13256;
BgL_rz00_13256 = 
PROCEDURE_ENTRY(BgL_fz00_13205)(BgL_fz00_13205, BgL_a1z00_13206, BgL_a2z00_13207, BgL_a3z00_13208, BgL_a4z00_13209, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10908),((long)0),BgL_bpz00_13204); 
return BgL_rz00_13256;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10905, BgL_symbzd2funzd2_10906, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13205));} } } } } } } } 

}



/* &<@anonymous:2352> */
obj_t BGl_z62zc3z04anonymousza32352ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10909, obj_t BgL_sz00_10918)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10910;obj_t BgL_a1z00_10911;obj_t BgL_a2z00_10912;obj_t BgL_a3z00_10913;obj_t BgL_a4z00_10914;obj_t BgL_locz00_10915;obj_t BgL_symbzd2funzd2_10916;long BgL_siza7eza7_10917;
BgL_funz00_10910 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)0))); 
BgL_a1z00_10911 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)1))); 
BgL_a2z00_10912 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)2))); 
BgL_a3z00_10913 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)3))); 
BgL_a4z00_10914 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)4))); 
BgL_locz00_10915 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10916 = 
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)6))); 
BgL_siza7eza7_10917 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10909, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13257;
BgL_bpz00_13257 = 
VECTOR_REF(
((obj_t)BgL_sz00_10918),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13258;obj_t BgL_a1z00_13259;obj_t BgL_a2z00_13260;obj_t BgL_a3z00_13261;obj_t BgL_a4z00_13262;
BgL_fz00_13258 = 
PROCEDURE_ENTRY(BgL_funz00_10910)(BgL_funz00_10910, BgL_sz00_10918, BEOA); 
BgL_a1z00_13259 = 
PROCEDURE_ENTRY(BgL_a1z00_10911)(BgL_a1z00_10911, BgL_sz00_10918, BEOA); 
BgL_a2z00_13260 = 
PROCEDURE_ENTRY(BgL_a2z00_10912)(BgL_a2z00_10912, BgL_sz00_10918, BEOA); 
BgL_a3z00_13261 = 
PROCEDURE_ENTRY(BgL_a3z00_10913)(BgL_a3z00_10913, BgL_sz00_10918, BEOA); 
BgL_a4z00_13262 = 
PROCEDURE_ENTRY(BgL_a4z00_10914)(BgL_a4z00_10914, BgL_sz00_10918, BEOA); 
if(
PROCEDUREP(BgL_fz00_13258))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10915, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13258); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13263;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_19225;
BgL_tmpz00_19225 = 
((obj_t)BgL_fz00_13258); 
BgL_ufz00_13263 = 
PROCEDURE_ATTR(BgL_tmpz00_19225); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5704z00_19228;
if(
STRUCTP(BgL_ufz00_13263))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5704z00_19228 = 
(
STRUCT_KEY(BgL_ufz00_13263)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5704z00_19228 = ((bool_t)0)
; } 
if(BgL_test5704z00_19228)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13264;obj_t BgL_runz00_13265;obj_t BgL_sfz00_13266;
BgL_arityz00_13264 = 
STRUCT_REF(BgL_ufz00_13263, 
(int)(((long)0))); 
BgL_runz00_13265 = 
STRUCT_REF(BgL_ufz00_13263, 
(int)(((long)1))); 
BgL_sfz00_13266 = 
STRUCT_REF(BgL_ufz00_13263, 
(int)(((long)2))); 
if(
(
(long)CINT(BgL_arityz00_13264)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2356z00_13267;
BgL_arg2356z00_13267 = 
(
(long)CINT(BgL_bpz00_13257)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2356z00_13267,BgL_a1z00_13259); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2357z00_13268;
BgL_arg2357z00_13268 = 
(
(long)CINT(BgL_bpz00_13257)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2357z00_13268,BgL_a2z00_13260); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2358z00_13269;
BgL_arg2358z00_13269 = 
(
(long)CINT(BgL_bpz00_13257)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2358z00_13269,BgL_a3z00_13261); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2359z00_13270;
BgL_arg2359z00_13270 = 
(
(long)CINT(BgL_bpz00_13257)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2359z00_13270,BgL_a4z00_13262); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13264))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13264)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2361z00_13273;obj_t BgL_arg2362z00_13274;
BgL_arg2361z00_13273 = 
(
(long)CINT(BgL_bpz00_13257)+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2363z00_13275;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2364z00_13276;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2365z00_13277;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2366z00_13278;
BgL_arg2366z00_13278 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13262, BNIL); 
BgL_arg2365z00_13277 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13261, BgL_arg2366z00_13278); } 
BgL_arg2364z00_13276 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13260, BgL_arg2365z00_13277); } 
BgL_list2363z00_13275 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13259, BgL_arg2364z00_13276); } 
BgL_arg2362z00_13274 = BgL_list2363z00_13275; } 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2361z00_13273,BgL_arg2362z00_13274); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2367z00_13279;
BgL_arg2367z00_13279 = 
(
(long)CINT(BgL_bpz00_13257)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2367z00_13279,BgL_a1z00_13259); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2368z00_13280;obj_t BgL_arg2369z00_13281;
BgL_arg2368z00_13280 = 
(
(long)CINT(BgL_bpz00_13257)+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2370z00_13282;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2371z00_13283;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2372z00_13284;
BgL_arg2372z00_13284 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13262, BNIL); 
BgL_arg2371z00_13283 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13261, BgL_arg2372z00_13284); } 
BgL_list2370z00_13282 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13260, BgL_arg2371z00_13283); } 
BgL_arg2369z00_13281 = BgL_list2370z00_13282; } 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2368z00_13280,BgL_arg2369z00_13281); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2373z00_13285;
BgL_arg2373z00_13285 = 
(
(long)CINT(BgL_bpz00_13257)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2373z00_13285,BgL_a1z00_13259); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2374z00_13286;
BgL_arg2374z00_13286 = 
(
(long)CINT(BgL_bpz00_13257)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2374z00_13286,BgL_a2z00_13260); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2375z00_13287;obj_t BgL_arg2376z00_13288;
BgL_arg2375z00_13287 = 
(
(long)CINT(BgL_bpz00_13257)+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2377z00_13289;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2378z00_13290;
BgL_arg2378z00_13290 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13262, BNIL); 
BgL_list2377z00_13289 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13261, BgL_arg2378z00_13290); } 
BgL_arg2376z00_13288 = BgL_list2377z00_13289; } 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2375z00_13287,BgL_arg2376z00_13288); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2379z00_13291;
BgL_arg2379z00_13291 = 
(
(long)CINT(BgL_bpz00_13257)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2379z00_13291,BgL_a1z00_13259); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2380z00_13292;
BgL_arg2380z00_13292 = 
(
(long)CINT(BgL_bpz00_13257)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2380z00_13292,BgL_a2z00_13260); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2381z00_13293;
BgL_arg2381z00_13293 = 
(
(long)CINT(BgL_bpz00_13257)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2381z00_13293,BgL_a3z00_13261); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2382z00_13294;obj_t BgL_arg2383z00_13295;
BgL_arg2382z00_13294 = 
(
(long)CINT(BgL_bpz00_13257)+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2384z00_13296;
BgL_list2384z00_13296 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13262, BNIL); 
BgL_arg2383z00_13295 = BgL_list2384z00_13296; } 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2382z00_13294,BgL_arg2383z00_13295); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2385z00_13297;
BgL_arg2385z00_13297 = 
(
(long)CINT(BgL_bpz00_13257)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2385z00_13297,BgL_a1z00_13259); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2386z00_13298;
BgL_arg2386z00_13298 = 
(
(long)CINT(BgL_bpz00_13257)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2386z00_13298,BgL_a2z00_13260); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2387z00_13299;
BgL_arg2387z00_13299 = 
(
(long)CINT(BgL_bpz00_13257)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2387z00_13299,BgL_a3z00_13261); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2388z00_13300;
BgL_arg2388z00_13300 = 
(
(long)CINT(BgL_bpz00_13257)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2388z00_13300,BgL_a4z00_13262); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2389z00_13301;obj_t BgL_arg2390z00_13302;
BgL_arg2389z00_13301 = 
(
(long)CINT(BgL_bpz00_13257)+((long)4)); 
BgL_arg2390z00_13302 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10918),BgL_arg2389z00_13301,BgL_arg2390z00_13302); } break;
default: 
BgL_case_else1204z00_13271:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2392z00_13272;
BgL_arg2392z00_13272 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13263), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10915, BgL_arg2392z00_13272, 
(int)(((long)4)), 
CINT(BgL_arityz00_13264)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1204z00_13271;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13303;
BgL_z12denvz12_13303 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10918, BgL_bpz00_13257, BgL_sfz00_13266))
{ /* Eval/evaluate_comp.scm 896 */
return BgL_runz00_13265;}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13304;
BgL_nsz00_13304 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2394z00_13305;
BgL_arg2394z00_13305 = 
(
(long)CINT(BgL_bpz00_13257)+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13304, ((long)2), BgL_sz00_10918, BgL_bpz00_13257, 
BINT(BgL_arg2394z00_13305)); } 
VECTOR_SET(BgL_nsz00_13304,((long)1),BgL_sz00_10918); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13303, BgL_nsz00_13304); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13306;
BgL_ez00_13306 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13306, BgL_sz00_10918); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13307;
BgL_____rz00_13307 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13265, BgL_nsz00_13304, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13306); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13303, BgL_sz00_10918); 
return BgL_____rz00_13307;} } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13258, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13308;
BgL_nbpz00_13308 = 
(
(long)CINT(BgL_bpz00_13257)+BgL_siza7eza7_10917); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),((long)0),
BINT(BgL_nbpz00_13308)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13309;
BgL_rz00_13309 = 
PROCEDURE_ENTRY(BgL_fz00_13258)(BgL_fz00_13258, BgL_a1z00_13259, BgL_a2z00_13260, BgL_a3z00_13261, BgL_a4z00_13262, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10918),((long)0),BgL_bpz00_13257); 
return BgL_rz00_13309;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10915, BgL_symbzd2funzd2_10916, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13258));} } } } } } } } 

}



/* &<@anonymous:2400> */
obj_t BGl_z62zc3z04anonymousza32400ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10919, obj_t BgL_sz00_10928)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10920;obj_t BgL_a1z00_10921;obj_t BgL_a2z00_10922;obj_t BgL_a3z00_10923;obj_t BgL_a4z00_10924;obj_t BgL_locz00_10925;obj_t BgL_symbzd2funzd2_10926;long BgL_siza7eza7_10927;
BgL_funz00_10920 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)0))); 
BgL_a1z00_10921 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)1))); 
BgL_a2z00_10922 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)2))); 
BgL_a3z00_10923 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)3))); 
BgL_a4z00_10924 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)4))); 
BgL_locz00_10925 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10926 = 
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)6))); 
BgL_siza7eza7_10927 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10919, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13310;
BgL_bpz00_13310 = 
VECTOR_REF(
((obj_t)BgL_sz00_10928),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13311;obj_t BgL_a1z00_13312;obj_t BgL_a2z00_13313;obj_t BgL_a3z00_13314;obj_t BgL_a4z00_13315;
BgL_fz00_13311 = 
PROCEDURE_ENTRY(BgL_funz00_10920)(BgL_funz00_10920, BgL_sz00_10928, BEOA); 
BgL_a1z00_13312 = 
PROCEDURE_ENTRY(BgL_a1z00_10921)(BgL_a1z00_10921, BgL_sz00_10928, BEOA); 
BgL_a2z00_13313 = 
PROCEDURE_ENTRY(BgL_a2z00_10922)(BgL_a2z00_10922, BgL_sz00_10928, BEOA); 
BgL_a3z00_13314 = 
PROCEDURE_ENTRY(BgL_a3z00_10923)(BgL_a3z00_10923, BgL_sz00_10928, BEOA); 
BgL_a4z00_13315 = 
PROCEDURE_ENTRY(BgL_a4z00_10924)(BgL_a4z00_10924, BgL_sz00_10928, BEOA); 
if(
PROCEDUREP(BgL_fz00_13311))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10925, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13311); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13316;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_19416;
BgL_tmpz00_19416 = 
((obj_t)BgL_fz00_13311); 
BgL_ufz00_13316 = 
PROCEDURE_ATTR(BgL_tmpz00_19416); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5711z00_19419;
if(
STRUCTP(BgL_ufz00_13316))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5711z00_19419 = 
(
STRUCT_KEY(BgL_ufz00_13316)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5711z00_19419 = ((bool_t)0)
; } 
if(BgL_test5711z00_19419)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13317;obj_t BgL_runz00_13318;obj_t BgL_sfz00_13319;
BgL_arityz00_13317 = 
STRUCT_REF(BgL_ufz00_13316, 
(int)(((long)0))); 
BgL_runz00_13318 = 
STRUCT_REF(BgL_ufz00_13316, 
(int)(((long)1))); 
BgL_sfz00_13319 = 
STRUCT_REF(BgL_ufz00_13316, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_13320;
BgL_spz00_13320 = 
(
(long)CINT(BgL_bpz00_13310)+BgL_siza7eza7_10927); 
if(
(
(long)CINT(BgL_arityz00_13317)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2404z00_13321;
BgL_arg2404z00_13321 = 
(BgL_spz00_13320+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2404z00_13321,BgL_a1z00_13312); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2405z00_13322;
BgL_arg2405z00_13322 = 
(BgL_spz00_13320+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2405z00_13322,BgL_a2z00_13313); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2406z00_13323;
BgL_arg2406z00_13323 = 
(BgL_spz00_13320+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2406z00_13323,BgL_a3z00_13314); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2407z00_13324;
BgL_arg2407z00_13324 = 
(BgL_spz00_13320+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2407z00_13324,BgL_a4z00_13315); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13317))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13317)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2409z00_13327;obj_t BgL_arg2410z00_13328;
BgL_arg2409z00_13327 = 
(BgL_spz00_13320+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2411z00_13329;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2412z00_13330;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2413z00_13331;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2414z00_13332;
BgL_arg2414z00_13332 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13315, BNIL); 
BgL_arg2413z00_13331 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13314, BgL_arg2414z00_13332); } 
BgL_arg2412z00_13330 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13313, BgL_arg2413z00_13331); } 
BgL_list2411z00_13329 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13312, BgL_arg2412z00_13330); } 
BgL_arg2410z00_13328 = BgL_list2411z00_13329; } 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2409z00_13327,BgL_arg2410z00_13328); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2415z00_13333;
BgL_arg2415z00_13333 = 
(BgL_spz00_13320+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2415z00_13333,BgL_a1z00_13312); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2416z00_13334;obj_t BgL_arg2417z00_13335;
BgL_arg2416z00_13334 = 
(BgL_spz00_13320+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2418z00_13336;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2419z00_13337;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2420z00_13338;
BgL_arg2420z00_13338 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13315, BNIL); 
BgL_arg2419z00_13337 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13314, BgL_arg2420z00_13338); } 
BgL_list2418z00_13336 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13313, BgL_arg2419z00_13337); } 
BgL_arg2417z00_13335 = BgL_list2418z00_13336; } 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2416z00_13334,BgL_arg2417z00_13335); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2421z00_13339;
BgL_arg2421z00_13339 = 
(BgL_spz00_13320+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2421z00_13339,BgL_a1z00_13312); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2422z00_13340;
BgL_arg2422z00_13340 = 
(BgL_spz00_13320+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2422z00_13340,BgL_a2z00_13313); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2423z00_13341;obj_t BgL_arg2424z00_13342;
BgL_arg2423z00_13341 = 
(BgL_spz00_13320+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2425z00_13343;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2426z00_13344;
BgL_arg2426z00_13344 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13315, BNIL); 
BgL_list2425z00_13343 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13314, BgL_arg2426z00_13344); } 
BgL_arg2424z00_13342 = BgL_list2425z00_13343; } 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2423z00_13341,BgL_arg2424z00_13342); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2427z00_13345;
BgL_arg2427z00_13345 = 
(BgL_spz00_13320+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2427z00_13345,BgL_a1z00_13312); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2428z00_13346;
BgL_arg2428z00_13346 = 
(BgL_spz00_13320+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2428z00_13346,BgL_a2z00_13313); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2429z00_13347;
BgL_arg2429z00_13347 = 
(BgL_spz00_13320+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2429z00_13347,BgL_a3z00_13314); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2430z00_13348;obj_t BgL_arg2431z00_13349;
BgL_arg2430z00_13348 = 
(BgL_spz00_13320+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2432z00_13350;
BgL_list2432z00_13350 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13315, BNIL); 
BgL_arg2431z00_13349 = BgL_list2432z00_13350; } 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2430z00_13348,BgL_arg2431z00_13349); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2433z00_13351;
BgL_arg2433z00_13351 = 
(BgL_spz00_13320+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2433z00_13351,BgL_a1z00_13312); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2434z00_13352;
BgL_arg2434z00_13352 = 
(BgL_spz00_13320+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2434z00_13352,BgL_a2z00_13313); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2435z00_13353;
BgL_arg2435z00_13353 = 
(BgL_spz00_13320+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2435z00_13353,BgL_a3z00_13314); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2436z00_13354;
BgL_arg2436z00_13354 = 
(BgL_spz00_13320+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2436z00_13354,BgL_a4z00_13315); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2437z00_13355;obj_t BgL_arg2438z00_13356;
BgL_arg2437z00_13355 = 
(BgL_spz00_13320+((long)4)); 
BgL_arg2438z00_13356 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10928),BgL_arg2437z00_13355,BgL_arg2438z00_13356); } break;
default: 
BgL_case_else1206z00_13325:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2440z00_13326;
BgL_arg2440z00_13326 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13316), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10925, BgL_arg2440z00_13326, 
(int)(((long)4)), 
CINT(BgL_arityz00_13317)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1206z00_13325;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13357;
BgL_z12denvz12_13357 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_z12denvz12_13357, BgL_locz00_10925); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10928, 
BINT(BgL_spz00_13320), BgL_sfz00_13319))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13318, BgL_sz00_10928, 
BINT(BgL_spz00_13320));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13358;
BgL_nsz00_13358 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2442z00_13359;
BgL_arg2442z00_13359 = 
(BgL_spz00_13320+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13358, ((long)2), BgL_sz00_10928, 
BINT(BgL_spz00_13320), 
BINT(BgL_arg2442z00_13359)); } 
VECTOR_SET(BgL_nsz00_13358,((long)1),BgL_sz00_10928); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13357, BgL_nsz00_13358); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13360;
BgL_ez00_13360 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13360, BgL_sz00_10928); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13361;
BgL_____rz00_13361 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13318, BgL_nsz00_13358, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13360); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13357, BgL_sz00_10928); 
return BgL_____rz00_13361;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13311, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13362;
BgL_nbpz00_13362 = 
(
(long)CINT(BgL_bpz00_13310)+BgL_siza7eza7_10927); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),((long)0),
BINT(BgL_nbpz00_13362)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_19540;
BgL_tmpz00_19540 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_SET_TRACE_LOCATION(BgL_tmpz00_19540, BgL_locz00_10925); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13363;
BgL_rz00_13363 = 
PROCEDURE_ENTRY(BgL_fz00_13311)(BgL_fz00_13311, BgL_a1z00_13312, BgL_a2z00_13313, BgL_a3z00_13314, BgL_a4z00_13315, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10928),((long)0),BgL_bpz00_13310); 
return BgL_rz00_13363;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10925, BgL_symbzd2funzd2_10926, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13311));} } } } } } } } 

}



/* &<@anonymous:2446> */
obj_t BGl_z62zc3z04anonymousza32446ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10929, obj_t BgL_sz00_10938)
{
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_funz00_10930;obj_t BgL_a1z00_10931;obj_t BgL_a2z00_10932;obj_t BgL_a3z00_10933;obj_t BgL_a4z00_10934;obj_t BgL_locz00_10935;obj_t BgL_symbzd2funzd2_10936;long BgL_siza7eza7_10937;
BgL_funz00_10930 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)0))); 
BgL_a1z00_10931 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)1))); 
BgL_a2z00_10932 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)2))); 
BgL_a3z00_10933 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)3))); 
BgL_a4z00_10934 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)4))); 
BgL_locz00_10935 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)5))); 
BgL_symbzd2funzd2_10936 = 
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)6))); 
BgL_siza7eza7_10937 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_10929, 
(int)(((long)7)))); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_bpz00_13364;
BgL_bpz00_13364 = 
VECTOR_REF(
((obj_t)BgL_sz00_10938),((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_fz00_13365;obj_t BgL_a1z00_13366;obj_t BgL_a2z00_13367;obj_t BgL_a3z00_13368;obj_t BgL_a4z00_13369;
BgL_fz00_13365 = 
PROCEDURE_ENTRY(BgL_funz00_10930)(BgL_funz00_10930, BgL_sz00_10938, BEOA); 
BgL_a1z00_13366 = 
PROCEDURE_ENTRY(BgL_a1z00_10931)(BgL_a1z00_10931, BgL_sz00_10938, BEOA); 
BgL_a2z00_13367 = 
PROCEDURE_ENTRY(BgL_a2z00_10932)(BgL_a2z00_10932, BgL_sz00_10938, BEOA); 
BgL_a3z00_13368 = 
PROCEDURE_ENTRY(BgL_a3z00_10933)(BgL_a3z00_10933, BgL_sz00_10938, BEOA); 
BgL_a4z00_13369 = 
PROCEDURE_ENTRY(BgL_a4z00_10934)(BgL_a4z00_10934, BgL_sz00_10938, BEOA); 
if(
PROCEDUREP(BgL_fz00_13365))
{ /* Eval/evaluate_comp.scm 896 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 896 */
BGl_evtypezd2errorzd2zz__everrorz00(BgL_locz00_10935, BGl_string5202z00zz__evaluate_compz00, BGl_string5218z00zz__evaluate_compz00, BgL_fz00_13365); } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ufz00_13370;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_tmpz00_19597;
BgL_tmpz00_19597 = 
((obj_t)BgL_fz00_13365); 
BgL_ufz00_13370 = 
PROCEDURE_ATTR(BgL_tmpz00_19597); } 
{ /* Eval/evaluate_comp.scm 896 */
bool_t BgL_test5718z00_19600;
if(
STRUCTP(BgL_ufz00_13370))
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5718z00_19600 = 
(
STRUCT_KEY(BgL_ufz00_13370)==BGl_symbol5219z00zz__evaluate_compz00)
; }  else 
{ /* Eval/evaluate_comp.scm 683 */
BgL_test5718z00_19600 = ((bool_t)0)
; } 
if(BgL_test5718z00_19600)
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arityz00_13371;obj_t BgL_runz00_13372;obj_t BgL_sfz00_13373;
BgL_arityz00_13371 = 
STRUCT_REF(BgL_ufz00_13370, 
(int)(((long)0))); 
BgL_runz00_13372 = 
STRUCT_REF(BgL_ufz00_13370, 
(int)(((long)1))); 
BgL_sfz00_13373 = 
STRUCT_REF(BgL_ufz00_13370, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_spz00_13374;
BgL_spz00_13374 = 
(
(long)CINT(BgL_bpz00_13364)+BgL_siza7eza7_10937); 
if(
(
(long)CINT(BgL_arityz00_13371)==((long)4)))
{ /* Eval/evaluate_comp.scm 896 */
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2450z00_13375;
BgL_arg2450z00_13375 = 
(BgL_spz00_13374+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2450z00_13375,BgL_a1z00_13366); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2451z00_13376;
BgL_arg2451z00_13376 = 
(BgL_spz00_13374+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2451z00_13376,BgL_a2z00_13367); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2452z00_13377;
BgL_arg2452z00_13377 = 
(BgL_spz00_13374+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2452z00_13377,BgL_a3z00_13368); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2453z00_13378;
BgL_arg2453z00_13378 = 
(BgL_spz00_13374+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2453z00_13378,BgL_a4z00_13369); } }  else 
{ 

if(
INTEGERP(BgL_arityz00_13371))
{ /* Eval/evaluate_comp.scm 896 */
switch( 
(long)CINT(BgL_arityz00_13371)) { case ((long)-1) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2455z00_13381;obj_t BgL_arg2456z00_13382;
BgL_arg2455z00_13381 = 
(BgL_spz00_13374+((long)0)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2457z00_13383;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2458z00_13384;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2459z00_13385;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2460z00_13386;
BgL_arg2460z00_13386 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13369, BNIL); 
BgL_arg2459z00_13385 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13368, BgL_arg2460z00_13386); } 
BgL_arg2458z00_13384 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13367, BgL_arg2459z00_13385); } 
BgL_list2457z00_13383 = 
MAKE_YOUNG_PAIR(BgL_a1z00_13366, BgL_arg2458z00_13384); } 
BgL_arg2456z00_13382 = BgL_list2457z00_13383; } 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2455z00_13381,BgL_arg2456z00_13382); } break;case ((long)-2) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2461z00_13387;
BgL_arg2461z00_13387 = 
(BgL_spz00_13374+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2461z00_13387,BgL_a1z00_13366); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2462z00_13388;obj_t BgL_arg2463z00_13389;
BgL_arg2462z00_13388 = 
(BgL_spz00_13374+((long)1)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2464z00_13390;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2465z00_13391;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2466z00_13392;
BgL_arg2466z00_13392 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13369, BNIL); 
BgL_arg2465z00_13391 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13368, BgL_arg2466z00_13392); } 
BgL_list2464z00_13390 = 
MAKE_YOUNG_PAIR(BgL_a2z00_13367, BgL_arg2465z00_13391); } 
BgL_arg2463z00_13389 = BgL_list2464z00_13390; } 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2462z00_13388,BgL_arg2463z00_13389); } break;case ((long)-3) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2467z00_13393;
BgL_arg2467z00_13393 = 
(BgL_spz00_13374+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2467z00_13393,BgL_a1z00_13366); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2468z00_13394;
BgL_arg2468z00_13394 = 
(BgL_spz00_13374+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2468z00_13394,BgL_a2z00_13367); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2469z00_13395;obj_t BgL_arg2470z00_13396;
BgL_arg2469z00_13395 = 
(BgL_spz00_13374+((long)2)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2471z00_13397;
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2472z00_13398;
BgL_arg2472z00_13398 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13369, BNIL); 
BgL_list2471z00_13397 = 
MAKE_YOUNG_PAIR(BgL_a3z00_13368, BgL_arg2472z00_13398); } 
BgL_arg2470z00_13396 = BgL_list2471z00_13397; } 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2469z00_13395,BgL_arg2470z00_13396); } break;case ((long)-4) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2473z00_13399;
BgL_arg2473z00_13399 = 
(BgL_spz00_13374+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2473z00_13399,BgL_a1z00_13366); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2474z00_13400;
BgL_arg2474z00_13400 = 
(BgL_spz00_13374+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2474z00_13400,BgL_a2z00_13367); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2475z00_13401;
BgL_arg2475z00_13401 = 
(BgL_spz00_13374+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2475z00_13401,BgL_a3z00_13368); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2476z00_13402;obj_t BgL_arg2477z00_13403;
BgL_arg2476z00_13402 = 
(BgL_spz00_13374+((long)3)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_list2478z00_13404;
BgL_list2478z00_13404 = 
MAKE_YOUNG_PAIR(BgL_a4z00_13369, BNIL); 
BgL_arg2477z00_13403 = BgL_list2478z00_13404; } 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2476z00_13402,BgL_arg2477z00_13403); } break;case ((long)-5) : 

{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2479z00_13405;
BgL_arg2479z00_13405 = 
(BgL_spz00_13374+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2479z00_13405,BgL_a1z00_13366); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2480z00_13406;
BgL_arg2480z00_13406 = 
(BgL_spz00_13374+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2480z00_13406,BgL_a2z00_13367); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2481z00_13407;
BgL_arg2481z00_13407 = 
(BgL_spz00_13374+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2481z00_13407,BgL_a3z00_13368); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2482z00_13408;
BgL_arg2482z00_13408 = 
(BgL_spz00_13374+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2482z00_13408,BgL_a4z00_13369); } 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2483z00_13409;obj_t BgL_arg2484z00_13410;
BgL_arg2483z00_13409 = 
(BgL_spz00_13374+((long)4)); 
BgL_arg2484z00_13410 = BNIL; 
VECTOR_SET(
((obj_t)BgL_sz00_10938),BgL_arg2483z00_13409,BgL_arg2484z00_13410); } break;
default: 
BgL_case_else1208z00_13379:
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_arg2486z00_13380;
BgL_arg2486z00_13380 = 
STRUCT_REF(
((obj_t)BgL_ufz00_13370), 
(int)(((long)3))); 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10935, BgL_arg2486z00_13380, 
(int)(((long)4)), 
CINT(BgL_arityz00_13371)); } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
goto BgL_case_else1208z00_13379;} } 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_z12denvz12_13411;
BgL_z12denvz12_13411 = 
BGL_CURRENT_DYNAMIC_ENV(); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_10938, 
BINT(BgL_spz00_13374), BgL_sfz00_13373))
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13372, BgL_sz00_10938, 
BINT(BgL_spz00_13374));}  else 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_nsz00_13412;
BgL_nsz00_13412 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 896 */
long BgL_arg2488z00_13413;
BgL_arg2488z00_13413 = 
(BgL_spz00_13374+((long)4)); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_nsz00_13412, ((long)2), BgL_sz00_10938, 
BINT(BgL_spz00_13374), 
BINT(BgL_arg2488z00_13413)); } 
VECTOR_SET(BgL_nsz00_13412,((long)1),BgL_sz00_10938); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13411, BgL_nsz00_13412); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_ez00_13414;
BgL_ez00_13414 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13414, BgL_sz00_10938); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_____rz00_13415;
BgL_____rz00_13415 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_13372, BgL_nsz00_13412, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13414); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13411, BgL_sz00_10938); 
return BgL_____rz00_13415;} } } } } }  else 
{ /* Eval/evaluate_comp.scm 896 */
if(
PROCEDURE_CORRECT_ARITYP(BgL_fz00_13365, 
(int)(((long)4))))
{ /* Eval/evaluate_comp.scm 896 */
long BgL_nbpz00_13416;
BgL_nbpz00_13416 = 
(
(long)CINT(BgL_bpz00_13364)+BgL_siza7eza7_10937); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),((long)0),
BINT(BgL_nbpz00_13416)); 
{ /* Eval/evaluate_comp.scm 896 */
obj_t BgL_rz00_13417;
BgL_rz00_13417 = 
PROCEDURE_ENTRY(BgL_fz00_13365)(BgL_fz00_13365, BgL_a1z00_13366, BgL_a2z00_13367, BgL_a3z00_13368, BgL_a4z00_13369, BEOA); 
VECTOR_SET(
((obj_t)BgL_sz00_10938),((long)0),BgL_bpz00_13364); 
return BgL_rz00_13417;} }  else 
{ /* Eval/evaluate_comp.scm 896 */
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_10935, BgL_symbzd2funzd2_10936, 
(int)(((long)4)), 
PROCEDURE_ARITY(BgL_fz00_13365));} } } } } } } } 

}



/* is-constant-fun? */
obj_t BGl_iszd2constantzd2funzf3zf3zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_funz00_183, long BgL_nbargsz00_184, obj_t BgL_locz00_185, obj_t BgL_symbzd2funzd2_186)
{
{ /* Eval/evaluate_comp.scm 899 */
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 903 */
obj_t BgL_gz00_3026;
{ /* Eval/evaluate_comp.scm 903 */
obj_t BgL_arg2498z00_3034;obj_t BgL_arg2499z00_3035;
BgL_arg2498z00_3034 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_modz00); 
BgL_arg2499z00_3035 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_funz00_183)))->BgL_namez00); 
BgL_gz00_3026 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2498z00_3034, BgL_arg2499z00_3035); } 
if(
CBOOL(BgL_gz00_3026))
{ /* Eval/evaluate_comp.scm 905 */
bool_t BgL_test5726z00_19742;
{ /* Eval/evaluate_comp.scm 905 */
int BgL_arg2497z00_3033;
{ /* Eval/evaluate_comp.scm 905 */
int BgL_res4536z00_8183;
BgL_res4536z00_8183 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3026),((long)0))); 
BgL_arg2497z00_3033 = BgL_res4536z00_8183; } 
BgL_test5726z00_19742 = 
(
(long)(BgL_arg2497z00_3033)==((long)0)); } 
if(BgL_test5726z00_19742)
{ /* Eval/evaluate_comp.scm 906 */
obj_t BgL_valz00_3029;
BgL_valz00_3029 = 
VECTOR_REF(
((obj_t)BgL_gz00_3026),((long)2)); 
{ /* Eval/evaluate_comp.scm 907 */
bool_t BgL_test5727z00_19750;
if(
PROCEDUREP(BgL_valz00_3029))
{ /* Eval/evaluate_comp.scm 907 */
BgL_test5727z00_19750 = 
PROCEDURE_CORRECT_ARITYP(BgL_valz00_3029, 
(int)(BgL_nbargsz00_184))
; }  else 
{ /* Eval/evaluate_comp.scm 907 */
BgL_test5727z00_19750 = ((bool_t)0)
; } 
if(BgL_test5727z00_19750)
{ /* Eval/evaluate_comp.scm 907 */
return BgL_valz00_3029;}  else 
{ /* Eval/evaluate_comp.scm 907 */
return BFALSE;} } }  else 
{ /* Eval/evaluate_comp.scm 905 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 904 */
return BFALSE;} }  else 
{ /* Eval/evaluate_comp.scm 910 */
bool_t BgL_test5729z00_19755;
if(
BGl_isazf3zf3zz__objectz00(
((obj_t)BgL_funz00_183), BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 911 */
obj_t BgL_tmpz00_19759;
BgL_tmpz00_19759 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test5729z00_19755 = 
PROCEDUREP(BgL_tmpz00_19759); }  else 
{ /* Eval/evaluate_comp.scm 910 */
BgL_test5729z00_19755 = ((bool_t)0)
; } 
if(BgL_test5729z00_19755)
{ /* Eval/evaluate_comp.scm 913 */
bool_t BgL_test5731z00_19763;
{ /* Eval/evaluate_comp.scm 913 */
obj_t BgL_arg2507z00_3045;
BgL_arg2507z00_3045 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_test5731z00_19763 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg2507z00_3045, 
(int)(BgL_nbargsz00_184)); } 
if(BgL_test5731z00_19763)
{ /* Eval/evaluate_comp.scm 913 */
return 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00);}  else 
{ /* Eval/evaluate_comp.scm 915 */
int BgL_arg2505z00_3043;
{ /* Eval/evaluate_comp.scm 915 */
obj_t BgL_arg2506z00_3044;
BgL_arg2506z00_3044 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_funz00_183)))->BgL_valuez00); 
BgL_arg2505z00_3043 = 
PROCEDURE_ARITY(BgL_arg2506z00_3044); } 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_185, BgL_symbzd2funzd2_186, 
(int)(BgL_nbargsz00_184), BgL_arg2505z00_3043);} }  else 
{ /* Eval/evaluate_comp.scm 910 */
return BFALSE;} } } 

}



/* compile-float-arith */
obj_t BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_exprz00_187, obj_t BgL_stkz00_188)
{
{ /* Eval/evaluate_comp.scm 918 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_littz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 922 */
if(
INTEGERP(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00)))
{ /* Eval/evaluate_comp.scm 924 */
obj_t BgL_v1347z00_3054;
BgL_v1347z00_3054 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1347z00_3054,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 924 */
double BgL_arg2512z00_3055;
BgL_arg2512z00_3055 = 
(double)(
(long)CINT(
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00))); 
VECTOR_SET(BgL_v1347z00_3054,((long)1),
DOUBLE_TO_REAL(BgL_arg2512z00_3055)); } 
return BgL_v1347z00_3054;}  else 
{ /* Eval/evaluate_comp.scm 925 */
bool_t BgL_test5734z00_19790;
{ /* Eval/evaluate_comp.scm 925 */
obj_t BgL_tmpz00_19791;
BgL_tmpz00_19791 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
BgL_test5734z00_19790 = 
REALP(BgL_tmpz00_19791); } 
if(BgL_test5734z00_19790)
{ /* Eval/evaluate_comp.scm 925 */
obj_t BgL_v1348z00_3059;
BgL_v1348z00_3059 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1348z00_3059,((long)0),
BINT(((long)1))); 
{ /* Eval/evaluate_comp.scm 925 */
obj_t BgL_arg2516z00_3060;
BgL_arg2516z00_3060 = 
(((BgL_ev_littz00_bglt)COBJECT(
((BgL_ev_littz00_bglt)BgL_exprz00_187)))->BgL_valuez00); 
VECTOR_SET(BgL_v1348z00_3059,((long)1),BgL_arg2516z00_3060); } 
return BgL_v1348z00_3059;}  else 
{ /* Eval/evaluate_comp.scm 926 */
obj_t BgL_v1349z00_3061;
BgL_v1349z00_3061 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1349z00_3061,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 926 */
obj_t BgL_arg2517z00_3062;
BgL_arg2517z00_3062 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_littz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1349z00_3061,((long)1),BgL_arg2517z00_3062); } 
return BgL_v1349z00_3061;} } }  else 
{ /* Eval/evaluate_comp.scm 922 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_varz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 927 */
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_exprz00_187)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 930 */
obj_t BgL_v1350z00_3068;
BgL_v1350z00_3068 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1350z00_3068,((long)0),
BINT(((long)3))); 
VECTOR_SET(BgL_v1350z00_3068,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1350z00_3068;}  else 
{ /* Eval/evaluate_comp.scm 931 */
obj_t BgL_v1351z00_3070;
BgL_v1351z00_3070 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1351z00_3070,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1351z00_3070,((long)1),
BGl__indexz00zz__evaluate_compz00(BgL_exprz00_187, BgL_stkz00_188)); 
return BgL_v1351z00_3070;} }  else 
{ /* Eval/evaluate_comp.scm 927 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_globalz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 934 */
obj_t BgL_gz00_3074;
{ /* Eval/evaluate_comp.scm 934 */
obj_t BgL_arg2529z00_3082;obj_t BgL_arg2530z00_3083;
BgL_arg2529z00_3082 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_modz00); 
BgL_arg2530z00_3083 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_exprz00_187)))->BgL_namez00); 
BgL_gz00_3074 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2529z00_3082, BgL_arg2530z00_3083); } 
if(
CBOOL(BgL_gz00_3074))
{ /* Eval/evaluate_comp.scm 936 */
bool_t BgL_test5739z00_19833;
{ /* Eval/evaluate_comp.scm 936 */
int BgL_arg2527z00_3079;
{ /* Eval/evaluate_comp.scm 936 */
int BgL_res4543z00_8206;
BgL_res4543z00_8206 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_3074),((long)0))); 
BgL_arg2527z00_3079 = BgL_res4543z00_8206; } 
BgL_test5739z00_19833 = 
(
BINT(BgL_arg2527z00_3079)==
BINT(((long)1))); } 
if(BgL_test5739z00_19833)
{ /* Eval/evaluate_comp.scm 937 */
obj_t BgL_v1352z00_3077;
BgL_v1352z00_3077 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1352z00_3077,((long)0),
BINT(((long)4))); 
VECTOR_SET(BgL_v1352z00_3077,((long)1),BgL_gz00_3074); 
return BgL_v1352z00_3077;}  else 
{ /* Eval/evaluate_comp.scm 938 */
obj_t BgL_v1353z00_3078;
BgL_v1353z00_3078 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1353z00_3078,((long)0),
BINT(((long)5))); 
VECTOR_SET(BgL_v1353z00_3078,((long)1),BgL_gz00_3074); 
return BgL_v1353z00_3078;} }  else 
{ /* Eval/evaluate_comp.scm 939 */
obj_t BgL_v1354z00_3080;
BgL_v1354z00_3080 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1354z00_3080,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 939 */
obj_t BgL_arg2528z00_3081;
BgL_arg2528z00_3081 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_globalz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1354z00_3080,((long)1),BgL_arg2528z00_3081); } 
return BgL_v1354z00_3080;} }  else 
{ /* Eval/evaluate_comp.scm 932 */
if(
BGl_isazf3zf3zz__objectz00(BgL_exprz00_187, BGl_ev_appz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 942 */
obj_t BgL_fvalz00_3086;
{ /* Eval/evaluate_comp.scm 942 */
BgL_ev_exprz00_bglt BgL_arg2572z00_3134;
BgL_arg2572z00_3134 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_funz00); 
BgL_fvalz00_3086 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_arg2572z00_3134); } 
if(
(BgL_fvalz00_3086==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_v1355z00_3088;
BgL_v1355z00_3088 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1355z00_3088,((long)0),
BINT(((long)6))); 
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2533z00_3089;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2534z00_3090;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_pairz00_8214;
BgL_pairz00_8214 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2534z00_3090 = 
CAR(BgL_pairz00_8214); } 
BgL_arg2533z00_3089 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2534z00_3090, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3088,((long)1),BgL_arg2533z00_3089); } 
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2536z00_3092;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_arg2537z00_3093;
{ /* Eval/evaluate_comp.scm 945 */
obj_t BgL_pairz00_8216;
BgL_pairz00_8216 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2537z00_3093 = 
CAR(
CDR(BgL_pairz00_8216)); } 
BgL_arg2536z00_3092 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2537z00_3093, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1355z00_3088,((long)2),BgL_arg2536z00_3092); } 
return BgL_v1355z00_3088;}  else 
{ /* Eval/evaluate_comp.scm 944 */
if(
(BgL_fvalz00_3086==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_v1356z00_3096;
BgL_v1356z00_3096 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1356z00_3096,((long)0),
BINT(((long)7))); 
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2540z00_3097;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2541z00_3098;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_pairz00_8222;
BgL_pairz00_8222 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2541z00_3098 = 
CAR(BgL_pairz00_8222); } 
BgL_arg2540z00_3097 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2541z00_3098, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3096,((long)1),BgL_arg2540z00_3097); } 
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2543z00_3100;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_arg2544z00_3101;
{ /* Eval/evaluate_comp.scm 947 */
obj_t BgL_pairz00_8224;
BgL_pairz00_8224 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2544z00_3101 = 
CAR(
CDR(BgL_pairz00_8224)); } 
BgL_arg2543z00_3100 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2544z00_3101, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1356z00_3096,((long)2),BgL_arg2543z00_3100); } 
return BgL_v1356z00_3096;}  else 
{ /* Eval/evaluate_comp.scm 946 */
if(
(BgL_fvalz00_3086==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_v1357z00_3104;
BgL_v1357z00_3104 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1357z00_3104,((long)0),
BINT(((long)8))); 
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2547z00_3105;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2548z00_3106;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_pairz00_8230;
BgL_pairz00_8230 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2548z00_3106 = 
CAR(BgL_pairz00_8230); } 
BgL_arg2547z00_3105 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2548z00_3106, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3104,((long)1),BgL_arg2547z00_3105); } 
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2550z00_3108;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_arg2551z00_3109;
{ /* Eval/evaluate_comp.scm 949 */
obj_t BgL_pairz00_8232;
BgL_pairz00_8232 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2551z00_3109 = 
CAR(
CDR(BgL_pairz00_8232)); } 
BgL_arg2550z00_3108 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2551z00_3109, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1357z00_3104,((long)2),BgL_arg2550z00_3108); } 
return BgL_v1357z00_3104;}  else 
{ /* Eval/evaluate_comp.scm 948 */
if(
(BgL_fvalz00_3086==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_v1358z00_3112;
BgL_v1358z00_3112 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1358z00_3112,((long)0),
BINT(((long)9))); 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2554z00_3113;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2555z00_3114;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_pairz00_8238;
BgL_pairz00_8238 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2555z00_3114 = 
CAR(BgL_pairz00_8238); } 
BgL_arg2554z00_3113 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2555z00_3114, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1358z00_3112,((long)1),BgL_arg2554z00_3113); } 
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2557z00_3116;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_arg2558z00_3117;
{ /* Eval/evaluate_comp.scm 951 */
obj_t BgL_pairz00_8240;
BgL_pairz00_8240 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2558z00_3117 = 
CAR(
CDR(BgL_pairz00_8240)); } 
BgL_arg2557z00_3116 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(BgL_arg2558z00_3117, BgL_stkz00_188); } 
VECTOR_SET(BgL_v1358z00_3112,((long)2),BgL_arg2557z00_3116); } 
return BgL_v1358z00_3112;}  else 
{ /* Eval/evaluate_comp.scm 950 */
if(
(BgL_fvalz00_3086==BGl_fixnumzd2ze3flonumzd2envze3zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_v1359z00_3120;
BgL_v1359z00_3120 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1359z00_3120,((long)0),
BINT(((long)10))); 
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_arg2561z00_3121;
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_arg2562z00_3122;
{ /* Eval/evaluate_comp.scm 953 */
obj_t BgL_pairz00_8246;
BgL_pairz00_8246 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2562z00_3122 = 
CAR(BgL_pairz00_8246); } 
BgL_arg2561z00_3121 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2562z00_3122), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1359z00_3120,((long)1),BgL_arg2561z00_3121); } 
return BgL_v1359z00_3120;}  else 
{ /* Eval/evaluate_comp.scm 952 */
if(
(BgL_fvalz00_3086==BGl_f64vectorzd2refzd2envz00zz__srfi4z00))
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_v1360z00_3125;
BgL_v1360z00_3125 = 
create_vector(((long)3)); 
VECTOR_SET(BgL_v1360z00_3125,((long)0),
BINT(((long)11))); 
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2565z00_3126;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2566z00_3127;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_pairz00_8249;
BgL_pairz00_8249 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2566z00_3127 = 
CAR(BgL_pairz00_8249); } 
BgL_arg2565z00_3126 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2566z00_3127), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1360z00_3125,((long)1),BgL_arg2565z00_3126); } 
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2568z00_3129;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_arg2569z00_3130;
{ /* Eval/evaluate_comp.scm 955 */
obj_t BgL_pairz00_8251;
BgL_pairz00_8251 = 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_exprz00_187)))->BgL_argsz00); 
BgL_arg2569z00_3130 = 
CAR(
CDR(BgL_pairz00_8251)); } 
BgL_arg2568z00_3129 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg2569z00_3130), BgL_stkz00_188); } 
VECTOR_SET(BgL_v1360z00_3125,((long)2),BgL_arg2568z00_3129); } 
return BgL_v1360z00_3125;}  else 
{ /* Eval/evaluate_comp.scm 957 */
obj_t BgL_v1361z00_3132;
BgL_v1361z00_3132 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1361z00_3132,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 957 */
obj_t BgL_arg2571z00_3133;
BgL_arg2571z00_3133 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)
((BgL_ev_appz00_bglt)BgL_exprz00_187)), BgL_stkz00_188); 
VECTOR_SET(BgL_v1361z00_3132,((long)1),BgL_arg2571z00_3133); } 
return BgL_v1361z00_3132;} } } } } } }  else 
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_v1362z00_3135;
BgL_v1362z00_3135 = 
create_vector(((long)2)); 
VECTOR_SET(BgL_v1362z00_3135,((long)0),
BINT(((long)0))); 
{ /* Eval/evaluate_comp.scm 958 */
obj_t BgL_arg2573z00_3136;
BgL_arg2573z00_3136 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_exprz00_187), BgL_stkz00_188); 
VECTOR_SET(BgL_v1362z00_3135,((long)1),BgL_arg2573z00_3136); } 
return BgL_v1362z00_3135;} } } } } 

}



/* eval-float-arith */
double BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(obj_t BgL_bcz00_189, obj_t BgL_sz00_190)
{
{ /* Eval/evaluate_comp.scm 960 */
return 
REAL_TO_DOUBLE(
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_190, BgL_bcz00_189));} 

}



/* E~0 */
obj_t BGl_Eze70ze7zz__evaluate_compz00(obj_t BgL_sz00_12601, obj_t BgL_bcz00_3141)
{
{ /* Eval/evaluate_comp.scm 975 */
{ 

{ /* Eval/evaluate_comp.scm 962 */
obj_t BgL_aux1218z00_3144;
BgL_aux1218z00_3144 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)0)); 
if(
INTEGERP(BgL_aux1218z00_3144))
{ /* Eval/evaluate_comp.scm 962 */
switch( 
(long)CINT(BgL_aux1218z00_3144)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 963 */
obj_t BgL_fun2577z00_3146;
BgL_fun2577z00_3146 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
return 
PROCEDURE_ENTRY(BgL_fun2577z00_3146)(BgL_fun2577z00_3146, BgL_sz00_12601, BEOA);} break;case ((long)1) : 

return 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1));break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 965 */
long BgL_arg2578z00_3147;
{ /* Eval/evaluate_comp.scm 965 */
obj_t BgL_arg2579z00_3148;obj_t BgL_arg2580z00_3149;
BgL_arg2579z00_3148 = 
VECTOR_REF(
((obj_t)BgL_sz00_12601),((long)0)); 
BgL_arg2580z00_3149 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2578z00_3147 = 
(
(long)CINT(BgL_arg2579z00_3148)+
(long)CINT(BgL_arg2580z00_3149)); } 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12601),BgL_arg2578z00_3147);} break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2581z00_3150;
{ /* Eval/evaluate_comp.scm 966 */
long BgL_arg2582z00_3151;
{ /* Eval/evaluate_comp.scm 966 */
obj_t BgL_arg2583z00_3152;obj_t BgL_arg2584z00_3153;
BgL_arg2583z00_3152 = 
VECTOR_REF(
((obj_t)BgL_sz00_12601),((long)0)); 
BgL_arg2584z00_3153 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2582z00_3151 = 
(
(long)CINT(BgL_arg2583z00_3152)+
(long)CINT(BgL_arg2584z00_3153)); } 
BgL_arg2581z00_3150 = 
VECTOR_REF(
((obj_t)BgL_sz00_12601),BgL_arg2582z00_3151); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2581z00_3150), 
(int)(((long)0)));} break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2585z00_3154;
{ /* Eval/evaluate_comp.scm 967 */
obj_t BgL_arg2586z00_3155;
BgL_arg2586z00_3155 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2585z00_3154 = 
VECTOR_REF(
((obj_t)BgL_arg2586z00_3155),((long)2)); } 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2585z00_3154);} break;case ((long)5) : 

{ /* Eval/evaluate_comp.scm 968 */
obj_t BgL_arg2587z00_3156;
BgL_arg2587z00_3156 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_arg2587z00_3156),((long)2));} break;case ((long)6) : 

{ /* Eval/evaluate_comp.scm 969 */
obj_t BgL_arg2588z00_3157;obj_t BgL_arg2589z00_3158;
{ /* Eval/evaluate_comp.scm 969 */
obj_t BgL_arg2590z00_3159;
BgL_arg2590z00_3159 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2588z00_3157 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2590z00_3159); } 
{ /* Eval/evaluate_comp.scm 969 */
obj_t BgL_arg2591z00_3160;
BgL_arg2591z00_3160 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)2)); 
BgL_arg2589z00_3158 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2591z00_3160); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2588z00_3157)+
REAL_TO_DOUBLE(BgL_arg2589z00_3158)));} break;case ((long)7) : 

{ /* Eval/evaluate_comp.scm 970 */
obj_t BgL_arg2592z00_3161;obj_t BgL_arg2593z00_3162;
{ /* Eval/evaluate_comp.scm 970 */
obj_t BgL_arg2594z00_3163;
BgL_arg2594z00_3163 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2592z00_3161 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2594z00_3163); } 
{ /* Eval/evaluate_comp.scm 970 */
obj_t BgL_arg2595z00_3164;
BgL_arg2595z00_3164 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)2)); 
BgL_arg2593z00_3162 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2595z00_3164); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2592z00_3161)-
REAL_TO_DOUBLE(BgL_arg2593z00_3162)));} break;case ((long)8) : 

{ /* Eval/evaluate_comp.scm 971 */
obj_t BgL_arg2596z00_3165;obj_t BgL_arg2597z00_3166;
{ /* Eval/evaluate_comp.scm 971 */
obj_t BgL_arg2598z00_3167;
BgL_arg2598z00_3167 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2596z00_3165 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2598z00_3167); } 
{ /* Eval/evaluate_comp.scm 971 */
obj_t BgL_arg2599z00_3168;
BgL_arg2599z00_3168 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)2)); 
BgL_arg2597z00_3166 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2599z00_3168); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2596z00_3165)*
REAL_TO_DOUBLE(BgL_arg2597z00_3166)));} break;case ((long)9) : 

{ /* Eval/evaluate_comp.scm 972 */
obj_t BgL_arg2600z00_3169;obj_t BgL_arg2601z00_3170;
{ /* Eval/evaluate_comp.scm 972 */
obj_t BgL_arg2602z00_3171;
BgL_arg2602z00_3171 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2600z00_3169 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2602z00_3171); } 
{ /* Eval/evaluate_comp.scm 972 */
obj_t BgL_arg2603z00_3172;
BgL_arg2603z00_3172 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)2)); 
BgL_arg2601z00_3170 = 
BGl_Eze70ze7zz__evaluate_compz00(BgL_sz00_12601, BgL_arg2603z00_3172); } 
return 
DOUBLE_TO_REAL(
(
REAL_TO_DOUBLE(BgL_arg2600z00_3169)/
REAL_TO_DOUBLE(BgL_arg2601z00_3170)));} break;case ((long)10) : 

{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_arg2604z00_3173;
{ /* Eval/evaluate_comp.scm 973 */
obj_t BgL_fun2605z00_3174;
BgL_fun2605z00_3174 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2604z00_3173 = 
PROCEDURE_ENTRY(BgL_fun2605z00_3174)(BgL_fun2605z00_3174, BgL_sz00_12601, BEOA); } 
return 
DOUBLE_TO_REAL(
(double)(
(long)CINT(BgL_arg2604z00_3173)));} break;case ((long)11) : 

{ /* Eval/evaluate_comp.scm 974 */
obj_t BgL_arg2606z00_3175;obj_t BgL_arg2607z00_3176;
{ /* Eval/evaluate_comp.scm 974 */
obj_t BgL_fun2608z00_3177;
BgL_fun2608z00_3177 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)1)); 
BgL_arg2606z00_3175 = 
PROCEDURE_ENTRY(BgL_fun2608z00_3177)(BgL_fun2608z00_3177, BgL_sz00_12601, BEOA); } 
{ /* Eval/evaluate_comp.scm 974 */
obj_t BgL_fun2609z00_3178;
BgL_fun2609z00_3178 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)2)); 
BgL_arg2607z00_3176 = 
PROCEDURE_ENTRY(BgL_fun2609z00_3178)(BgL_fun2609z00_3178, BgL_sz00_12601, BEOA); } 
{ /* Eval/evaluate_comp.scm 974 */
double BgL_tmpz00_20071;
{ /* Eval/evaluate_comp.scm 974 */
long BgL_tmpz00_20072;
BgL_tmpz00_20072 = 
(long)CINT(BgL_arg2607z00_3176); 
BgL_tmpz00_20071 = 
BGL_F64VREF(BgL_arg2606z00_3175, BgL_tmpz00_20072); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20071);} } break;
default: 
BgL_case_else1217z00_3143:
{ /* Eval/evaluate_comp.scm 975 */
obj_t BgL_arg2610z00_3179;
BgL_arg2610z00_3179 = 
VECTOR_REF(
((obj_t)BgL_bcz00_3141),((long)0)); 
return 
BGl_errorz00zz__errorz00(BGl_string5202z00zz__evaluate_compz00, BGl_string5221z00zz__evaluate_compz00, BgL_arg2610z00_3179);} } }  else 
{ /* Eval/evaluate_comp.scm 962 */
goto BgL_case_else1217z00_3143;} } } } 

}



/* arith-expression */
obj_t BGl_arithzd2expressionzd2zz__evaluate_compz00(BgL_ev_appz00_bglt BgL_exprz00_191, obj_t BgL_stkz00_192)
{
{ /* Eval/evaluate_comp.scm 978 */
{ /* Eval/evaluate_comp.scm 980 */
obj_t BgL_fvalz00_3182;
BgL_fvalz00_3182 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(BgL_exprz00_191))->BgL_funz00)); 
{ /* Eval/evaluate_comp.scm 981 */
bool_t BgL_test5748z00_20083;
if(
(BgL_fvalz00_3182==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 981 */
BgL_test5748z00_20083 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 981 */
if(
(BgL_fvalz00_3182==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 981 */
BgL_test5748z00_20083 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 981 */
if(
(BgL_fvalz00_3182==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 981 */
BgL_test5748z00_20083 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 981 */
BgL_test5748z00_20083 = 
(BgL_fvalz00_3182==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00)
; } } } 
if(BgL_test5748z00_20083)
{ /* Eval/evaluate_comp.scm 982 */
obj_t BgL_bcz00_3187;
BgL_bcz00_3187 = 
BGl_compilezd2floatzd2arithz00zz__evaluate_compz00(
((obj_t)BgL_exprz00_191), BgL_stkz00_192); 
{ /* Eval/evaluate_comp.scm 983 */
obj_t BgL_zc3z04anonymousza32615ze3z87_10956;
BgL_zc3z04anonymousza32615ze3z87_10956 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32615ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32615ze3z87_10956, 
(int)(((long)0)), BgL_bcz00_3187); 
return BgL_zc3z04anonymousza32615ze3z87_10956;} }  else 
{ /* Eval/evaluate_comp.scm 981 */
return BFALSE;} } } } 

}



/* &<@anonymous:2615> */
obj_t BGl_z62zc3z04anonymousza32615ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10957, obj_t BgL_sz00_10959)
{
{ /* Eval/evaluate_comp.scm 983 */
{ /* Eval/evaluate_comp.scm 983 */
obj_t BgL_bcz00_10958;
BgL_bcz00_10958 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_10957, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 983 */
double BgL_tmpz00_20101;
{ /* Eval/evaluate_comp.scm 983 */
obj_t BgL_bpz00_13418;
BgL_bpz00_13418 = 
VECTOR_REF(
((obj_t)BgL_sz00_10959),((long)0)); 
BgL_tmpz00_20101 = 
BGl_evalzd2floatzd2arithz00zz__evaluate_compz00(BgL_bcz00_10958, BgL_sz00_10959); } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_20101);} } } 

}



/* inline-call */
obj_t BGl_inlinezd2callzd2zz__evaluate_compz00(obj_t BgL_locz00_193, BgL_ev_exprz00_bglt BgL_funz00_194, obj_t BgL_argsz00_195, obj_t BgL_stkz00_196)
{
{ /* Eval/evaluate_comp.scm 1012 */
{ /* Eval/evaluate_comp.scm 1013 */
obj_t BgL_valz00_3195;
BgL_valz00_3195 = 
BGl_globalzd2funzd2valuez00zz__evaluate_compz00(BgL_funz00_194); 
if(
CBOOL(BgL_valz00_3195))
{ /* Eval/evaluate_comp.scm 1015 */
long BgL_nz00_3196;
BgL_nz00_3196 = 
bgl_list_length(BgL_argsz00_195); 
{ /* Eval/evaluate_comp.scm 1016 */
obj_t BgL__ortest_1224z00_3197;
if(
(BgL_nz00_3196==((long)1)))
{ /* Eval/evaluate_comp.scm 1017 */
obj_t BgL_a1z00_3488;
BgL_a1z00_3488 = 
CAR(
((obj_t)BgL_argsz00_195)); 
if(
(BgL_valz00_3195==BGl_carzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_3490;
BgL_a1z00_3490 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3488), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_zc3z04anonymousza32732ze3z87_10989;
BgL_zc3z04anonymousza32732ze3z87_10989 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32732ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32732ze3z87_10989, 
(int)(((long)0)), BgL_a1z00_3490); 
PROCEDURE_SET(BgL_zc3z04anonymousza32732ze3z87_10989, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1224z00_3197 = BgL_zc3z04anonymousza32732ze3z87_10989; } }  else 
{ /* Eval/evaluate_comp.scm 1018 */
if(
(BgL_valz00_3195==BGl_cdrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_3497;
BgL_a1z00_3497 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3488), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_zc3z04anonymousza32735ze3z87_10990;
BgL_zc3z04anonymousza32735ze3z87_10990 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32735ze3z87_10990, 
(int)(((long)0)), BgL_a1z00_3497); 
PROCEDURE_SET(BgL_zc3z04anonymousza32735ze3z87_10990, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1224z00_3197 = BgL_zc3z04anonymousza32735ze3z87_10990; } }  else 
{ /* Eval/evaluate_comp.scm 1018 */
if(
(BgL_valz00_3195==BGl_cadrzd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_3504;
BgL_a1z00_3504 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3488), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_zc3z04anonymousza32738ze3z87_10991;
BgL_zc3z04anonymousza32738ze3z87_10991 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32738ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32738ze3z87_10991, 
(int)(((long)0)), BgL_a1z00_3504); 
PROCEDURE_SET(BgL_zc3z04anonymousza32738ze3z87_10991, 
(int)(((long)1)), BgL_locz00_193); 
BgL__ortest_1224z00_3197 = BgL_zc3z04anonymousza32738ze3z87_10991; } }  else 
{ /* Eval/evaluate_comp.scm 1018 */
BgL__ortest_1224z00_3197 = BFALSE; } } } }  else 
{ /* Eval/evaluate_comp.scm 1016 */
BgL__ortest_1224z00_3197 = BFALSE; } 
if(
CBOOL(BgL__ortest_1224z00_3197))
{ /* Eval/evaluate_comp.scm 1016 */
return BgL__ortest_1224z00_3197;}  else 
{ /* Eval/evaluate_comp.scm 1016 */
if(
(BgL_nz00_3196==((long)2)))
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_a1z00_3199;obj_t BgL_a2z00_3200;
BgL_a1z00_3199 = 
CAR(
((obj_t)BgL_argsz00_195)); 
{ /* Eval/evaluate_comp.scm 1020 */
obj_t BgL_pairz00_8331;
BgL_pairz00_8331 = 
CDR(
((obj_t)BgL_argsz00_195)); 
BgL_a2z00_3200 = 
CAR(BgL_pairz00_8331); } 
if(
(BgL_valz00_3195==BGl_zb2zd2envz60zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3202;obj_t BgL_a2z00_3203;
BgL_a1z00_3202 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3203 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32619ze3z87_10960;
BgL_zc3z04anonymousza32619ze3z87_10960 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32619ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32619ze3z87_10960, 
(int)(((long)0)), BgL_a1z00_3202); 
PROCEDURE_SET(BgL_zc3z04anonymousza32619ze3z87_10960, 
(int)(((long)1)), BgL_a2z00_3203); 
PROCEDURE_SET(BgL_zc3z04anonymousza32619ze3z87_10960, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32619ze3z87_10960;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zd2zd2envz00zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3212;obj_t BgL_a2z00_3213;
BgL_a1z00_3212 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3213 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32623ze3z87_10961;
BgL_zc3z04anonymousza32623ze3z87_10961 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32623ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32623ze3z87_10961, 
(int)(((long)0)), BgL_a1z00_3212); 
PROCEDURE_SET(BgL_zc3z04anonymousza32623ze3z87_10961, 
(int)(((long)1)), BgL_a2z00_3213); 
PROCEDURE_SET(BgL_zc3z04anonymousza32623ze3z87_10961, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32623ze3z87_10961;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_za2zd2envz70zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3222;obj_t BgL_a2z00_3223;
BgL_a1z00_3222 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3223 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32627ze3z87_10962;
BgL_zc3z04anonymousza32627ze3z87_10962 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32627ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32627ze3z87_10962, 
(int)(((long)0)), BgL_a1z00_3222); 
PROCEDURE_SET(BgL_zc3z04anonymousza32627ze3z87_10962, 
(int)(((long)1)), BgL_a2z00_3223); 
PROCEDURE_SET(BgL_zc3z04anonymousza32627ze3z87_10962, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32627ze3z87_10962;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zf2zd2envz20zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3232;obj_t BgL_a2z00_3233;
BgL_a1z00_3232 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3233 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32631ze3z87_10963;
BgL_zc3z04anonymousza32631ze3z87_10963 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32631ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32631ze3z87_10963, 
(int)(((long)0)), BgL_a1z00_3232); 
PROCEDURE_SET(BgL_zc3z04anonymousza32631ze3z87_10963, 
(int)(((long)1)), BgL_a2z00_3233); 
PROCEDURE_SET(BgL_zc3z04anonymousza32631ze3z87_10963, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32631ze3z87_10963;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zc3zd2envz11zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3242;obj_t BgL_a2z00_3243;
BgL_a1z00_3242 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3243 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32635ze3z87_10964;
BgL_zc3z04anonymousza32635ze3z87_10964 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32635ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32635ze3z87_10964, 
(int)(((long)0)), BgL_a1z00_3242); 
PROCEDURE_SET(BgL_zc3z04anonymousza32635ze3z87_10964, 
(int)(((long)1)), BgL_a2z00_3243); 
PROCEDURE_SET(BgL_zc3z04anonymousza32635ze3z87_10964, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32635ze3z87_10964;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_ze3zd2envz31zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3252;obj_t BgL_a2z00_3253;
BgL_a1z00_3252 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3253 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32639ze3z87_10965;
BgL_zc3z04anonymousza32639ze3z87_10965 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32639ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32639ze3z87_10965, 
(int)(((long)0)), BgL_a1z00_3252); 
PROCEDURE_SET(BgL_zc3z04anonymousza32639ze3z87_10965, 
(int)(((long)1)), BgL_a2z00_3253); 
PROCEDURE_SET(BgL_zc3z04anonymousza32639ze3z87_10965, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32639ze3z87_10965;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zc3zd3zd2envzc2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3262;obj_t BgL_a2z00_3263;
BgL_a1z00_3262 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3263 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32643ze3z87_10966;
BgL_zc3z04anonymousza32643ze3z87_10966 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32643ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32643ze3z87_10966, 
(int)(((long)0)), BgL_a1z00_3262); 
PROCEDURE_SET(BgL_zc3z04anonymousza32643ze3z87_10966, 
(int)(((long)1)), BgL_a2z00_3263); 
PROCEDURE_SET(BgL_zc3z04anonymousza32643ze3z87_10966, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32643ze3z87_10966;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_ze3zd3zd2envze2zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3272;obj_t BgL_a2z00_3273;
BgL_a1z00_3272 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3273 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32647ze3z87_10967;
BgL_zc3z04anonymousza32647ze3z87_10967 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32647ze3z87_10967, 
(int)(((long)0)), BgL_a1z00_3272); 
PROCEDURE_SET(BgL_zc3z04anonymousza32647ze3z87_10967, 
(int)(((long)1)), BgL_a2z00_3273); 
PROCEDURE_SET(BgL_zc3z04anonymousza32647ze3z87_10967, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32647ze3z87_10967;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zd3zd2envz01zz__r4_numbers_6_5z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3282;obj_t BgL_a2z00_3283;
BgL_a1z00_3282 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3283 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32651ze3z87_10968;
BgL_zc3z04anonymousza32651ze3z87_10968 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32651ze3z87_10968, 
(int)(((long)0)), BgL_a1z00_3282); 
PROCEDURE_SET(BgL_zc3z04anonymousza32651ze3z87_10968, 
(int)(((long)1)), BgL_a2z00_3283); 
PROCEDURE_SET(BgL_zc3z04anonymousza32651ze3z87_10968, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32651ze3z87_10968;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zb2fxzd2envz60zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3292;obj_t BgL_a2z00_3293;
BgL_a1z00_3292 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3293 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32655ze3z87_10969;
BgL_zc3z04anonymousza32655ze3z87_10969 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_10969, 
(int)(((long)0)), BgL_a1z00_3292); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_10969, 
(int)(((long)1)), BgL_a2z00_3293); 
PROCEDURE_SET(BgL_zc3z04anonymousza32655ze3z87_10969, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32655ze3z87_10969;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zd2fxzd2envz00zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3302;obj_t BgL_a2z00_3303;
BgL_a1z00_3302 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3303 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32659ze3z87_10970;
BgL_zc3z04anonymousza32659ze3z87_10970 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_10970, 
(int)(((long)0)), BgL_a1z00_3302); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_10970, 
(int)(((long)1)), BgL_a2z00_3303); 
PROCEDURE_SET(BgL_zc3z04anonymousza32659ze3z87_10970, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32659ze3z87_10970;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_za2fxzd2envz70zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3312;obj_t BgL_a2z00_3313;
BgL_a1z00_3312 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3313 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32663ze3z87_10971;
BgL_zc3z04anonymousza32663ze3z87_10971 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32663ze3z87_10971, 
(int)(((long)0)), BgL_a1z00_3312); 
PROCEDURE_SET(BgL_zc3z04anonymousza32663ze3z87_10971, 
(int)(((long)1)), BgL_a2z00_3313); 
PROCEDURE_SET(BgL_zc3z04anonymousza32663ze3z87_10971, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32663ze3z87_10971;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zf2fxzd2envz20zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3322;obj_t BgL_a2z00_3323;
BgL_a1z00_3322 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3323 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32667ze3z87_10972;
BgL_zc3z04anonymousza32667ze3z87_10972 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32667ze3z87_10972, 
(int)(((long)0)), BgL_a1z00_3322); 
PROCEDURE_SET(BgL_zc3z04anonymousza32667ze3z87_10972, 
(int)(((long)1)), BgL_a2z00_3323); 
PROCEDURE_SET(BgL_zc3z04anonymousza32667ze3z87_10972, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32667ze3z87_10972;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zc3fxzd2envz11zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3332;obj_t BgL_a2z00_3333;
BgL_a1z00_3332 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3333 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32671ze3z87_10973;
BgL_zc3z04anonymousza32671ze3z87_10973 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32671ze3z87_10973, 
(int)(((long)0)), BgL_a1z00_3332); 
PROCEDURE_SET(BgL_zc3z04anonymousza32671ze3z87_10973, 
(int)(((long)1)), BgL_a2z00_3333); 
PROCEDURE_SET(BgL_zc3z04anonymousza32671ze3z87_10973, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32671ze3z87_10973;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_ze3fxzd2envz31zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3342;obj_t BgL_a2z00_3343;
BgL_a1z00_3342 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3343 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32675ze3z87_10974;
BgL_zc3z04anonymousza32675ze3z87_10974 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32675ze3z87_10974, 
(int)(((long)0)), BgL_a1z00_3342); 
PROCEDURE_SET(BgL_zc3z04anonymousza32675ze3z87_10974, 
(int)(((long)1)), BgL_a2z00_3343); 
PROCEDURE_SET(BgL_zc3z04anonymousza32675ze3z87_10974, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32675ze3z87_10974;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zc3zd3fxzd2envzc2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3352;obj_t BgL_a2z00_3353;
BgL_a1z00_3352 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3353 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32679ze3z87_10975;
BgL_zc3z04anonymousza32679ze3z87_10975 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32679ze3z87_10975, 
(int)(((long)0)), BgL_a1z00_3352); 
PROCEDURE_SET(BgL_zc3z04anonymousza32679ze3z87_10975, 
(int)(((long)1)), BgL_a2z00_3353); 
PROCEDURE_SET(BgL_zc3z04anonymousza32679ze3z87_10975, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32679ze3z87_10975;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_ze3zd3fxzd2envze2zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3362;obj_t BgL_a2z00_3363;
BgL_a1z00_3362 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3363 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32683ze3z87_10976;
BgL_zc3z04anonymousza32683ze3z87_10976 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32683ze3z87_10976, 
(int)(((long)0)), BgL_a1z00_3362); 
PROCEDURE_SET(BgL_zc3z04anonymousza32683ze3z87_10976, 
(int)(((long)1)), BgL_a2z00_3363); 
PROCEDURE_SET(BgL_zc3z04anonymousza32683ze3z87_10976, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32683ze3z87_10976;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zd3fxzd2envz01zz__r4_numbers_6_5_fixnumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3372;obj_t BgL_a2z00_3373;
BgL_a1z00_3372 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3373 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32687ze3z87_10977;
BgL_zc3z04anonymousza32687ze3z87_10977 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32687ze3z87_10977, 
(int)(((long)0)), BgL_a1z00_3372); 
PROCEDURE_SET(BgL_zc3z04anonymousza32687ze3z87_10977, 
(int)(((long)1)), BgL_a2z00_3373); 
PROCEDURE_SET(BgL_zc3z04anonymousza32687ze3z87_10977, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32687ze3z87_10977;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zb2flzd2envz60zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3382;obj_t BgL_a2z00_3383;
BgL_a1z00_3382 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3383 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32691ze3z87_10978;
BgL_zc3z04anonymousza32691ze3z87_10978 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_10978, 
(int)(((long)0)), BgL_a1z00_3382); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_10978, 
(int)(((long)1)), BgL_a2z00_3383); 
PROCEDURE_SET(BgL_zc3z04anonymousza32691ze3z87_10978, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32691ze3z87_10978;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zd2flzd2envz00zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3392;obj_t BgL_a2z00_3393;
BgL_a1z00_3392 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3393 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32695ze3z87_10979;
BgL_zc3z04anonymousza32695ze3z87_10979 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32695ze3z87_10979, 
(int)(((long)0)), BgL_a1z00_3392); 
PROCEDURE_SET(BgL_zc3z04anonymousza32695ze3z87_10979, 
(int)(((long)1)), BgL_a2z00_3393); 
PROCEDURE_SET(BgL_zc3z04anonymousza32695ze3z87_10979, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32695ze3z87_10979;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_za2flzd2envz70zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3402;obj_t BgL_a2z00_3403;
BgL_a1z00_3402 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3403 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32699ze3z87_10980;
BgL_zc3z04anonymousza32699ze3z87_10980 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32699ze3z87_10980, 
(int)(((long)0)), BgL_a1z00_3402); 
PROCEDURE_SET(BgL_zc3z04anonymousza32699ze3z87_10980, 
(int)(((long)1)), BgL_a2z00_3403); 
PROCEDURE_SET(BgL_zc3z04anonymousza32699ze3z87_10980, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32699ze3z87_10980;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zf2flzd2envz20zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3412;obj_t BgL_a2z00_3413;
BgL_a1z00_3412 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3413 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32703ze3z87_10981;
BgL_zc3z04anonymousza32703ze3z87_10981 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_10981, 
(int)(((long)0)), BgL_a1z00_3412); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_10981, 
(int)(((long)1)), BgL_a2z00_3413); 
PROCEDURE_SET(BgL_zc3z04anonymousza32703ze3z87_10981, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32703ze3z87_10981;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zc3flzd2envz11zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3422;obj_t BgL_a2z00_3423;
BgL_a1z00_3422 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3423 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32707ze3z87_10982;
BgL_zc3z04anonymousza32707ze3z87_10982 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32707ze3z87_10982, 
(int)(((long)0)), BgL_a1z00_3422); 
PROCEDURE_SET(BgL_zc3z04anonymousza32707ze3z87_10982, 
(int)(((long)1)), BgL_a2z00_3423); 
PROCEDURE_SET(BgL_zc3z04anonymousza32707ze3z87_10982, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32707ze3z87_10982;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_ze3flzd2envz31zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3432;obj_t BgL_a2z00_3433;
BgL_a1z00_3432 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3433 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32711ze3z87_10983;
BgL_zc3z04anonymousza32711ze3z87_10983 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32711ze3z87_10983, 
(int)(((long)0)), BgL_a1z00_3432); 
PROCEDURE_SET(BgL_zc3z04anonymousza32711ze3z87_10983, 
(int)(((long)1)), BgL_a2z00_3433); 
PROCEDURE_SET(BgL_zc3z04anonymousza32711ze3z87_10983, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32711ze3z87_10983;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zc3zd3flzd2envzc2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3442;obj_t BgL_a2z00_3443;
BgL_a1z00_3442 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3443 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32715ze3z87_10984;
BgL_zc3z04anonymousza32715ze3z87_10984 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_10984, 
(int)(((long)0)), BgL_a1z00_3442); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_10984, 
(int)(((long)1)), BgL_a2z00_3443); 
PROCEDURE_SET(BgL_zc3z04anonymousza32715ze3z87_10984, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32715ze3z87_10984;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_ze3zd3flzd2envze2zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3452;obj_t BgL_a2z00_3453;
BgL_a1z00_3452 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3453 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32719ze3z87_10985;
BgL_zc3z04anonymousza32719ze3z87_10985 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32719ze3z87_10985, 
(int)(((long)0)), BgL_a1z00_3452); 
PROCEDURE_SET(BgL_zc3z04anonymousza32719ze3z87_10985, 
(int)(((long)1)), BgL_a2z00_3453); 
PROCEDURE_SET(BgL_zc3z04anonymousza32719ze3z87_10985, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32719ze3z87_10985;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_zd3flzd2envz01zz__r4_numbers_6_5_flonumz00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3462;obj_t BgL_a2z00_3463;
BgL_a1z00_3462 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3463 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32723ze3z87_10986;
BgL_zc3z04anonymousza32723ze3z87_10986 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32723ze3z87_10986, 
(int)(((long)0)), BgL_a1z00_3462); 
PROCEDURE_SET(BgL_zc3z04anonymousza32723ze3z87_10986, 
(int)(((long)1)), BgL_a2z00_3463); 
PROCEDURE_SET(BgL_zc3z04anonymousza32723ze3z87_10986, 
(int)(((long)2)), BgL_locz00_193); 
return BgL_zc3z04anonymousza32723ze3z87_10986;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_eqzf3zd2envz21zz__r4_equivalence_6_2z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3472;obj_t BgL_a2z00_3473;
BgL_a1z00_3472 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3473 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32727ze3z87_10987;
BgL_zc3z04anonymousza32727ze3z87_10987 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_10987, 
(int)(((long)0)), BgL_a1z00_3472); 
PROCEDURE_SET(BgL_zc3z04anonymousza32727ze3z87_10987, 
(int)(((long)1)), BgL_a2z00_3473); 
return BgL_zc3z04anonymousza32727ze3z87_10987;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
if(
(BgL_valz00_3195==BGl_conszd2envzd2zz__r4_pairs_and_lists_6_3z00))
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_3480;obj_t BgL_a2z00_3481;
BgL_a1z00_3480 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a1z00_3199), BgL_stkz00_196); 
BgL_a2z00_3481 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_a2z00_3200), BgL_stkz00_196); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_zc3z04anonymousza32729ze3z87_10988;
BgL_zc3z04anonymousza32729ze3z87_10988 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_10988, 
(int)(((long)0)), BgL_a1z00_3480); 
PROCEDURE_SET(BgL_zc3z04anonymousza32729ze3z87_10988, 
(int)(((long)1)), BgL_a2z00_3481); 
return BgL_zc3z04anonymousza32729ze3z87_10988;} }  else 
{ /* Eval/evaluate_comp.scm 1021 */
return BFALSE;} } } } } } } } } } } } } } } } } } } } } } } } } } } } } }  else 
{ /* Eval/evaluate_comp.scm 1019 */
return BFALSE;} } } }  else 
{ /* Eval/evaluate_comp.scm 1014 */
return BFALSE;} } } 

}



/* &<@anonymous:2619> */
obj_t BGl_z62zc3z04anonymousza32619ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10992, obj_t BgL_sz00_10996)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10993;obj_t BgL_a2z00_10994;obj_t BgL_locz00_10995;
BgL_a1z00_10993 = 
PROCEDURE_REF(BgL_envz00_10992, 
(int)(((long)0))); 
BgL_a2z00_10994 = 
PROCEDURE_REF(BgL_envz00_10992, 
(int)(((long)1))); 
BgL_locz00_10995 = 
PROCEDURE_REF(BgL_envz00_10992, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13419;
BgL_bpz00_13419 = 
VECTOR_REF(
((obj_t)BgL_sz00_10996),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13420;obj_t BgL_a2z00_13421;
BgL_a1z00_13420 = 
PROCEDURE_ENTRY(BgL_a1z00_10993)(BgL_a1z00_10993, BgL_sz00_10996, BEOA); 
BgL_a2z00_13421 = 
PROCEDURE_ENTRY(BgL_a2z00_10994)(BgL_a2z00_10994, BgL_sz00_10996, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13420))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5222z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13420, BgL_locz00_10995); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13421))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5222z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13421, BgL_locz00_10995); } 
return 
BGl_2zb2zb2zz__r4_numbers_6_5z00(BgL_a1z00_13420, BgL_a2z00_13421);} } } } 

}



/* &<@anonymous:2623> */
obj_t BGl_z62zc3z04anonymousza32623ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_10997, obj_t BgL_sz00_11001)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_10998;obj_t BgL_a2z00_10999;obj_t BgL_locz00_11000;
BgL_a1z00_10998 = 
PROCEDURE_REF(BgL_envz00_10997, 
(int)(((long)0))); 
BgL_a2z00_10999 = 
PROCEDURE_REF(BgL_envz00_10997, 
(int)(((long)1))); 
BgL_locz00_11000 = 
PROCEDURE_REF(BgL_envz00_10997, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13422;
BgL_bpz00_13422 = 
VECTOR_REF(
((obj_t)BgL_sz00_11001),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13423;obj_t BgL_a2z00_13424;
BgL_a1z00_13423 = 
PROCEDURE_ENTRY(BgL_a1z00_10998)(BgL_a1z00_10998, BgL_sz00_11001, BEOA); 
BgL_a2z00_13424 = 
PROCEDURE_ENTRY(BgL_a2z00_10999)(BgL_a2z00_10999, BgL_sz00_11001, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13423))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5226z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13423, BgL_locz00_11000); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13424))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5226z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13424, BgL_locz00_11000); } 
return 
BGl_2zd2zd2zz__r4_numbers_6_5z00(BgL_a1z00_13423, BgL_a2z00_13424);} } } } 

}



/* &<@anonymous:2627> */
obj_t BGl_z62zc3z04anonymousza32627ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11002, obj_t BgL_sz00_11006)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11003;obj_t BgL_a2z00_11004;obj_t BgL_locz00_11005;
BgL_a1z00_11003 = 
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)0))); 
BgL_a2z00_11004 = 
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)1))); 
BgL_locz00_11005 = 
PROCEDURE_REF(BgL_envz00_11002, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13425;
BgL_bpz00_13425 = 
VECTOR_REF(
((obj_t)BgL_sz00_11006),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13426;obj_t BgL_a2z00_13427;
BgL_a1z00_13426 = 
PROCEDURE_ENTRY(BgL_a1z00_11003)(BgL_a1z00_11003, BgL_sz00_11006, BEOA); 
BgL_a2z00_13427 = 
PROCEDURE_ENTRY(BgL_a2z00_11004)(BgL_a2z00_11004, BgL_sz00_11006, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13426))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5228z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13426, BgL_locz00_11005); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13427))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5228z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13427, BgL_locz00_11005); } 
return 
BGl_2za2za2zz__r4_numbers_6_5z00(BgL_a1z00_13426, BgL_a2z00_13427);} } } } 

}



/* &<@anonymous:2631> */
obj_t BGl_z62zc3z04anonymousza32631ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11007, obj_t BgL_sz00_11011)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11008;obj_t BgL_a2z00_11009;obj_t BgL_locz00_11010;
BgL_a1z00_11008 = 
PROCEDURE_REF(BgL_envz00_11007, 
(int)(((long)0))); 
BgL_a2z00_11009 = 
PROCEDURE_REF(BgL_envz00_11007, 
(int)(((long)1))); 
BgL_locz00_11010 = 
PROCEDURE_REF(BgL_envz00_11007, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13428;
BgL_bpz00_13428 = 
VECTOR_REF(
((obj_t)BgL_sz00_11011),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13429;obj_t BgL_a2z00_13430;
BgL_a1z00_13429 = 
PROCEDURE_ENTRY(BgL_a1z00_11008)(BgL_a1z00_11008, BgL_sz00_11011, BEOA); 
BgL_a2z00_13430 = 
PROCEDURE_ENTRY(BgL_a2z00_11009)(BgL_a2z00_11009, BgL_sz00_11011, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13429))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5230z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13429, BgL_locz00_11010); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13430))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5230z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13430, BgL_locz00_11010); } 
return 
BGl_2zf2zf2zz__r4_numbers_6_5z00(BgL_a1z00_13429, BgL_a2z00_13430);} } } } 

}



/* &<@anonymous:2635> */
obj_t BGl_z62zc3z04anonymousza32635ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11012, obj_t BgL_sz00_11016)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11013;obj_t BgL_a2z00_11014;obj_t BgL_locz00_11015;
BgL_a1z00_11013 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)0))); 
BgL_a2z00_11014 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)1))); 
BgL_locz00_11015 = 
PROCEDURE_REF(BgL_envz00_11012, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20685;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13431;
BgL_bpz00_13431 = 
VECTOR_REF(
((obj_t)BgL_sz00_11016),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13432;obj_t BgL_a2z00_13433;
BgL_a1z00_13432 = 
PROCEDURE_ENTRY(BgL_a1z00_11013)(BgL_a1z00_11013, BgL_sz00_11016, BEOA); 
BgL_a2z00_13433 = 
PROCEDURE_ENTRY(BgL_a2z00_11014)(BgL_a2z00_11014, BgL_sz00_11016, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13432))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5232z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13432, BgL_locz00_11015); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13433))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5232z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13433, BgL_locz00_11015); } 
BgL_tmpz00_20685 = 
BGl_2zc3zc3zz__r4_numbers_6_5z00(BgL_a1z00_13432, BgL_a2z00_13433); } } 
return 
BBOOL(BgL_tmpz00_20685);} } } 

}



/* &<@anonymous:2639> */
obj_t BGl_z62zc3z04anonymousza32639ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11017, obj_t BgL_sz00_11021)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11018;obj_t BgL_a2z00_11019;obj_t BgL_locz00_11020;
BgL_a1z00_11018 = 
PROCEDURE_REF(BgL_envz00_11017, 
(int)(((long)0))); 
BgL_a2z00_11019 = 
PROCEDURE_REF(BgL_envz00_11017, 
(int)(((long)1))); 
BgL_locz00_11020 = 
PROCEDURE_REF(BgL_envz00_11017, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20710;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13434;
BgL_bpz00_13434 = 
VECTOR_REF(
((obj_t)BgL_sz00_11021),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13435;obj_t BgL_a2z00_13436;
BgL_a1z00_13435 = 
PROCEDURE_ENTRY(BgL_a1z00_11018)(BgL_a1z00_11018, BgL_sz00_11021, BEOA); 
BgL_a2z00_13436 = 
PROCEDURE_ENTRY(BgL_a2z00_11019)(BgL_a2z00_11019, BgL_sz00_11021, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13435))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5234z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13435, BgL_locz00_11020); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13436))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5234z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13436, BgL_locz00_11020); } 
BgL_tmpz00_20710 = 
BGl_2ze3ze3zz__r4_numbers_6_5z00(BgL_a1z00_13435, BgL_a2z00_13436); } } 
return 
BBOOL(BgL_tmpz00_20710);} } } 

}



/* &<@anonymous:2643> */
obj_t BGl_z62zc3z04anonymousza32643ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11022, obj_t BgL_sz00_11026)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11023;obj_t BgL_a2z00_11024;obj_t BgL_locz00_11025;
BgL_a1z00_11023 = 
PROCEDURE_REF(BgL_envz00_11022, 
(int)(((long)0))); 
BgL_a2z00_11024 = 
PROCEDURE_REF(BgL_envz00_11022, 
(int)(((long)1))); 
BgL_locz00_11025 = 
PROCEDURE_REF(BgL_envz00_11022, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20735;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13437;
BgL_bpz00_13437 = 
VECTOR_REF(
((obj_t)BgL_sz00_11026),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13438;obj_t BgL_a2z00_13439;
BgL_a1z00_13438 = 
PROCEDURE_ENTRY(BgL_a1z00_11023)(BgL_a1z00_11023, BgL_sz00_11026, BEOA); 
BgL_a2z00_13439 = 
PROCEDURE_ENTRY(BgL_a2z00_11024)(BgL_a2z00_11024, BgL_sz00_11026, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13438))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5236z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13438, BgL_locz00_11025); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13439))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5236z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13439, BgL_locz00_11025); } 
BgL_tmpz00_20735 = 
BGl_2zc3zd3z10zz__r4_numbers_6_5z00(BgL_a1z00_13438, BgL_a2z00_13439); } } 
return 
BBOOL(BgL_tmpz00_20735);} } } 

}



/* &<@anonymous:2647> */
obj_t BGl_z62zc3z04anonymousza32647ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11027, obj_t BgL_sz00_11031)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11028;obj_t BgL_a2z00_11029;obj_t BgL_locz00_11030;
BgL_a1z00_11028 = 
PROCEDURE_REF(BgL_envz00_11027, 
(int)(((long)0))); 
BgL_a2z00_11029 = 
PROCEDURE_REF(BgL_envz00_11027, 
(int)(((long)1))); 
BgL_locz00_11030 = 
PROCEDURE_REF(BgL_envz00_11027, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20760;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13440;
BgL_bpz00_13440 = 
VECTOR_REF(
((obj_t)BgL_sz00_11031),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13441;obj_t BgL_a2z00_13442;
BgL_a1z00_13441 = 
PROCEDURE_ENTRY(BgL_a1z00_11028)(BgL_a1z00_11028, BgL_sz00_11031, BEOA); 
BgL_a2z00_13442 = 
PROCEDURE_ENTRY(BgL_a2z00_11029)(BgL_a2z00_11029, BgL_sz00_11031, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13441))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5238z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13441, BgL_locz00_11030); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13442))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5238z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13442, BgL_locz00_11030); } 
BgL_tmpz00_20760 = 
BGl_2ze3zd3z30zz__r4_numbers_6_5z00(BgL_a1z00_13441, BgL_a2z00_13442); } } 
return 
BBOOL(BgL_tmpz00_20760);} } } 

}



/* &<@anonymous:2651> */
obj_t BGl_z62zc3z04anonymousza32651ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11032, obj_t BgL_sz00_11036)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11033;obj_t BgL_a2z00_11034;obj_t BgL_locz00_11035;
BgL_a1z00_11033 = 
PROCEDURE_REF(BgL_envz00_11032, 
(int)(((long)0))); 
BgL_a2z00_11034 = 
PROCEDURE_REF(BgL_envz00_11032, 
(int)(((long)1))); 
BgL_locz00_11035 = 
PROCEDURE_REF(BgL_envz00_11032, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20785;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13443;
BgL_bpz00_13443 = 
VECTOR_REF(
((obj_t)BgL_sz00_11036),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13444;obj_t BgL_a2z00_13445;
BgL_a1z00_13444 = 
PROCEDURE_ENTRY(BgL_a1z00_11033)(BgL_a1z00_11033, BgL_sz00_11036, BEOA); 
BgL_a2z00_13445 = 
PROCEDURE_ENTRY(BgL_a2z00_11034)(BgL_a2z00_11034, BgL_sz00_11036, BEOA); 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a1z00_13444))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5240z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a1z00_13444, BgL_locz00_11035); } 
if(
BGl_numberzf3zf3zz__r4_numbers_6_5z00(BgL_a2z00_13445))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5240z00zz__evaluate_compz00, BGl_symbol5224z00zz__evaluate_compz00, BgL_a2z00_13445, BgL_locz00_11035); } 
BgL_tmpz00_20785 = 
BGl_2zd3zd3zz__r4_numbers_6_5z00(BgL_a1z00_13444, BgL_a2z00_13445); } } 
return 
BBOOL(BgL_tmpz00_20785);} } } 

}



/* &<@anonymous:2655> */
obj_t BGl_z62zc3z04anonymousza32655ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11037, obj_t BgL_sz00_11041)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11038;obj_t BgL_a2z00_11039;obj_t BgL_locz00_11040;
BgL_a1z00_11038 = 
PROCEDURE_REF(BgL_envz00_11037, 
(int)(((long)0))); 
BgL_a2z00_11039 = 
PROCEDURE_REF(BgL_envz00_11037, 
(int)(((long)1))); 
BgL_locz00_11040 = 
PROCEDURE_REF(BgL_envz00_11037, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_20810;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13446;
BgL_bpz00_13446 = 
VECTOR_REF(
((obj_t)BgL_sz00_11041),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13447;obj_t BgL_a2z00_13448;
BgL_a1z00_13447 = 
PROCEDURE_ENTRY(BgL_a1z00_11038)(BgL_a1z00_11038, BgL_sz00_11041, BEOA); 
BgL_a2z00_13448 = 
PROCEDURE_ENTRY(BgL_a2z00_11039)(BgL_a2z00_11039, BgL_sz00_11041, BEOA); 
if(
INTEGERP(BgL_a1z00_13447))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5242z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13447, BgL_locz00_11040); } 
if(
INTEGERP(BgL_a2z00_13448))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5242z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13448, BgL_locz00_11040); } 
BgL_tmpz00_20810 = 
(
(long)CINT(BgL_a1z00_13447)+
(long)CINT(BgL_a2z00_13448)); } } 
return 
BINT(BgL_tmpz00_20810);} } } 

}



/* &<@anonymous:2659> */
obj_t BGl_z62zc3z04anonymousza32659ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11042, obj_t BgL_sz00_11046)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11043;obj_t BgL_a2z00_11044;obj_t BgL_locz00_11045;
BgL_a1z00_11043 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)0))); 
BgL_a2z00_11044 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)1))); 
BgL_locz00_11045 = 
PROCEDURE_REF(BgL_envz00_11042, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_20837;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13449;
BgL_bpz00_13449 = 
VECTOR_REF(
((obj_t)BgL_sz00_11046),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13450;obj_t BgL_a2z00_13451;
BgL_a1z00_13450 = 
PROCEDURE_ENTRY(BgL_a1z00_11043)(BgL_a1z00_11043, BgL_sz00_11046, BEOA); 
BgL_a2z00_13451 = 
PROCEDURE_ENTRY(BgL_a2z00_11044)(BgL_a2z00_11044, BgL_sz00_11046, BEOA); 
if(
INTEGERP(BgL_a1z00_13450))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5246z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13450, BgL_locz00_11045); } 
if(
INTEGERP(BgL_a2z00_13451))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5246z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13451, BgL_locz00_11045); } 
BgL_tmpz00_20837 = 
(
(long)CINT(BgL_a1z00_13450)-
(long)CINT(BgL_a2z00_13451)); } } 
return 
BINT(BgL_tmpz00_20837);} } } 

}



/* &<@anonymous:2663> */
obj_t BGl_z62zc3z04anonymousza32663ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11047, obj_t BgL_sz00_11051)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11048;obj_t BgL_a2z00_11049;obj_t BgL_locz00_11050;
BgL_a1z00_11048 = 
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)0))); 
BgL_a2z00_11049 = 
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)1))); 
BgL_locz00_11050 = 
PROCEDURE_REF(BgL_envz00_11047, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_20864;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13452;
BgL_bpz00_13452 = 
VECTOR_REF(
((obj_t)BgL_sz00_11051),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13453;obj_t BgL_a2z00_13454;
BgL_a1z00_13453 = 
PROCEDURE_ENTRY(BgL_a1z00_11048)(BgL_a1z00_11048, BgL_sz00_11051, BEOA); 
BgL_a2z00_13454 = 
PROCEDURE_ENTRY(BgL_a2z00_11049)(BgL_a2z00_11049, BgL_sz00_11051, BEOA); 
if(
INTEGERP(BgL_a1z00_13453))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5248z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13453, BgL_locz00_11050); } 
if(
INTEGERP(BgL_a2z00_13454))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5248z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13454, BgL_locz00_11050); } 
BgL_tmpz00_20864 = 
(
(long)CINT(BgL_a1z00_13453)*
(long)CINT(BgL_a2z00_13454)); } } 
return 
BINT(BgL_tmpz00_20864);} } } 

}



/* &<@anonymous:2667> */
obj_t BGl_z62zc3z04anonymousza32667ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11052, obj_t BgL_sz00_11056)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11053;obj_t BgL_a2z00_11054;obj_t BgL_locz00_11055;
BgL_a1z00_11053 = 
PROCEDURE_REF(BgL_envz00_11052, 
(int)(((long)0))); 
BgL_a2z00_11054 = 
PROCEDURE_REF(BgL_envz00_11052, 
(int)(((long)1))); 
BgL_locz00_11055 = 
PROCEDURE_REF(BgL_envz00_11052, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
long BgL_tmpz00_20891;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13455;
BgL_bpz00_13455 = 
VECTOR_REF(
((obj_t)BgL_sz00_11056),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13456;obj_t BgL_a2z00_13457;
BgL_a1z00_13456 = 
PROCEDURE_ENTRY(BgL_a1z00_11053)(BgL_a1z00_11053, BgL_sz00_11056, BEOA); 
BgL_a2z00_13457 = 
PROCEDURE_ENTRY(BgL_a2z00_11054)(BgL_a2z00_11054, BgL_sz00_11056, BEOA); 
if(
INTEGERP(BgL_a1z00_13456))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5250z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13456, BgL_locz00_11055); } 
if(
INTEGERP(BgL_a2z00_13457))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5250z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13457, BgL_locz00_11055); } 
BgL_tmpz00_20891 = 
(
(long)CINT(BgL_a1z00_13456)/
(long)CINT(BgL_a2z00_13457)); } } 
return 
BINT(BgL_tmpz00_20891);} } } 

}



/* &<@anonymous:2671> */
obj_t BGl_z62zc3z04anonymousza32671ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11057, obj_t BgL_sz00_11061)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11058;obj_t BgL_a2z00_11059;obj_t BgL_locz00_11060;
BgL_a1z00_11058 = 
PROCEDURE_REF(BgL_envz00_11057, 
(int)(((long)0))); 
BgL_a2z00_11059 = 
PROCEDURE_REF(BgL_envz00_11057, 
(int)(((long)1))); 
BgL_locz00_11060 = 
PROCEDURE_REF(BgL_envz00_11057, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20918;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13458;
BgL_bpz00_13458 = 
VECTOR_REF(
((obj_t)BgL_sz00_11061),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13459;obj_t BgL_a2z00_13460;
BgL_a1z00_13459 = 
PROCEDURE_ENTRY(BgL_a1z00_11058)(BgL_a1z00_11058, BgL_sz00_11061, BEOA); 
BgL_a2z00_13460 = 
PROCEDURE_ENTRY(BgL_a2z00_11059)(BgL_a2z00_11059, BgL_sz00_11061, BEOA); 
if(
INTEGERP(BgL_a1z00_13459))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5252z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13459, BgL_locz00_11060); } 
if(
INTEGERP(BgL_a2z00_13460))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5252z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13460, BgL_locz00_11060); } 
BgL_tmpz00_20918 = 
(
(long)CINT(BgL_a1z00_13459)<
(long)CINT(BgL_a2z00_13460)); } } 
return 
BBOOL(BgL_tmpz00_20918);} } } 

}



/* &<@anonymous:2675> */
obj_t BGl_z62zc3z04anonymousza32675ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11062, obj_t BgL_sz00_11066)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11063;obj_t BgL_a2z00_11064;obj_t BgL_locz00_11065;
BgL_a1z00_11063 = 
PROCEDURE_REF(BgL_envz00_11062, 
(int)(((long)0))); 
BgL_a2z00_11064 = 
PROCEDURE_REF(BgL_envz00_11062, 
(int)(((long)1))); 
BgL_locz00_11065 = 
PROCEDURE_REF(BgL_envz00_11062, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20945;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13461;
BgL_bpz00_13461 = 
VECTOR_REF(
((obj_t)BgL_sz00_11066),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13462;obj_t BgL_a2z00_13463;
BgL_a1z00_13462 = 
PROCEDURE_ENTRY(BgL_a1z00_11063)(BgL_a1z00_11063, BgL_sz00_11066, BEOA); 
BgL_a2z00_13463 = 
PROCEDURE_ENTRY(BgL_a2z00_11064)(BgL_a2z00_11064, BgL_sz00_11066, BEOA); 
if(
INTEGERP(BgL_a1z00_13462))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5254z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13462, BgL_locz00_11065); } 
if(
INTEGERP(BgL_a2z00_13463))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5254z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13463, BgL_locz00_11065); } 
BgL_tmpz00_20945 = 
(
(long)CINT(BgL_a1z00_13462)>
(long)CINT(BgL_a2z00_13463)); } } 
return 
BBOOL(BgL_tmpz00_20945);} } } 

}



/* &<@anonymous:2679> */
obj_t BGl_z62zc3z04anonymousza32679ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11067, obj_t BgL_sz00_11071)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11068;obj_t BgL_a2z00_11069;obj_t BgL_locz00_11070;
BgL_a1z00_11068 = 
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)0))); 
BgL_a2z00_11069 = 
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)1))); 
BgL_locz00_11070 = 
PROCEDURE_REF(BgL_envz00_11067, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20972;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13464;
BgL_bpz00_13464 = 
VECTOR_REF(
((obj_t)BgL_sz00_11071),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13465;obj_t BgL_a2z00_13466;
BgL_a1z00_13465 = 
PROCEDURE_ENTRY(BgL_a1z00_11068)(BgL_a1z00_11068, BgL_sz00_11071, BEOA); 
BgL_a2z00_13466 = 
PROCEDURE_ENTRY(BgL_a2z00_11069)(BgL_a2z00_11069, BgL_sz00_11071, BEOA); 
if(
INTEGERP(BgL_a1z00_13465))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5256z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13465, BgL_locz00_11070); } 
if(
INTEGERP(BgL_a2z00_13466))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5256z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13466, BgL_locz00_11070); } 
BgL_tmpz00_20972 = 
(
(long)CINT(BgL_a1z00_13465)<=
(long)CINT(BgL_a2z00_13466)); } } 
return 
BBOOL(BgL_tmpz00_20972);} } } 

}



/* &<@anonymous:2683> */
obj_t BGl_z62zc3z04anonymousza32683ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11072, obj_t BgL_sz00_11076)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11073;obj_t BgL_a2z00_11074;obj_t BgL_locz00_11075;
BgL_a1z00_11073 = 
PROCEDURE_REF(BgL_envz00_11072, 
(int)(((long)0))); 
BgL_a2z00_11074 = 
PROCEDURE_REF(BgL_envz00_11072, 
(int)(((long)1))); 
BgL_locz00_11075 = 
PROCEDURE_REF(BgL_envz00_11072, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_20999;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13467;
BgL_bpz00_13467 = 
VECTOR_REF(
((obj_t)BgL_sz00_11076),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13468;obj_t BgL_a2z00_13469;
BgL_a1z00_13468 = 
PROCEDURE_ENTRY(BgL_a1z00_11073)(BgL_a1z00_11073, BgL_sz00_11076, BEOA); 
BgL_a2z00_13469 = 
PROCEDURE_ENTRY(BgL_a2z00_11074)(BgL_a2z00_11074, BgL_sz00_11076, BEOA); 
if(
INTEGERP(BgL_a1z00_13468))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5258z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13468, BgL_locz00_11075); } 
if(
INTEGERP(BgL_a2z00_13469))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5258z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13469, BgL_locz00_11075); } 
BgL_tmpz00_20999 = 
(
(long)CINT(BgL_a1z00_13468)>=
(long)CINT(BgL_a2z00_13469)); } } 
return 
BBOOL(BgL_tmpz00_20999);} } } 

}



/* &<@anonymous:2687> */
obj_t BGl_z62zc3z04anonymousza32687ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11077, obj_t BgL_sz00_11081)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11078;obj_t BgL_a2z00_11079;obj_t BgL_locz00_11080;
BgL_a1z00_11078 = 
PROCEDURE_REF(BgL_envz00_11077, 
(int)(((long)0))); 
BgL_a2z00_11079 = 
PROCEDURE_REF(BgL_envz00_11077, 
(int)(((long)1))); 
BgL_locz00_11080 = 
PROCEDURE_REF(BgL_envz00_11077, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_21026;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13470;
BgL_bpz00_13470 = 
VECTOR_REF(
((obj_t)BgL_sz00_11081),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13471;obj_t BgL_a2z00_13472;
BgL_a1z00_13471 = 
PROCEDURE_ENTRY(BgL_a1z00_11078)(BgL_a1z00_11078, BgL_sz00_11081, BEOA); 
BgL_a2z00_13472 = 
PROCEDURE_ENTRY(BgL_a2z00_11079)(BgL_a2z00_11079, BgL_sz00_11081, BEOA); 
if(
INTEGERP(BgL_a1z00_13471))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5260z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a1z00_13471, BgL_locz00_11080); } 
if(
INTEGERP(BgL_a2z00_13472))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5260z00zz__evaluate_compz00, BGl_symbol5244z00zz__evaluate_compz00, BgL_a2z00_13472, BgL_locz00_11080); } 
BgL_tmpz00_21026 = 
(
(long)CINT(BgL_a1z00_13471)==
(long)CINT(BgL_a2z00_13472)); } } 
return 
BBOOL(BgL_tmpz00_21026);} } } 

}



/* &<@anonymous:2691> */
obj_t BGl_z62zc3z04anonymousza32691ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11082, obj_t BgL_sz00_11086)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11083;obj_t BgL_a2z00_11084;obj_t BgL_locz00_11085;
BgL_a1z00_11083 = 
PROCEDURE_REF(BgL_envz00_11082, 
(int)(((long)0))); 
BgL_a2z00_11084 = 
PROCEDURE_REF(BgL_envz00_11082, 
(int)(((long)1))); 
BgL_locz00_11085 = 
PROCEDURE_REF(BgL_envz00_11082, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_21053;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13473;
BgL_bpz00_13473 = 
VECTOR_REF(
((obj_t)BgL_sz00_11086),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13474;obj_t BgL_a2z00_13475;
BgL_a1z00_13474 = 
PROCEDURE_ENTRY(BgL_a1z00_11083)(BgL_a1z00_11083, BgL_sz00_11086, BEOA); 
BgL_a2z00_13475 = 
PROCEDURE_ENTRY(BgL_a2z00_11084)(BgL_a2z00_11084, BgL_sz00_11086, BEOA); 
if(
REALP(BgL_a1z00_13474))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5262z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13474, BgL_locz00_11085); } 
if(
REALP(BgL_a2z00_13475))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5262z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13475, BgL_locz00_11085); } 
BgL_tmpz00_21053 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13474)+
REAL_TO_DOUBLE(BgL_a2z00_13475)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21053);} } } 

}



/* &<@anonymous:2695> */
obj_t BGl_z62zc3z04anonymousza32695ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11087, obj_t BgL_sz00_11091)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11088;obj_t BgL_a2z00_11089;obj_t BgL_locz00_11090;
BgL_a1z00_11088 = 
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)0))); 
BgL_a2z00_11089 = 
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)1))); 
BgL_locz00_11090 = 
PROCEDURE_REF(BgL_envz00_11087, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_21080;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13476;
BgL_bpz00_13476 = 
VECTOR_REF(
((obj_t)BgL_sz00_11091),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13477;obj_t BgL_a2z00_13478;
BgL_a1z00_13477 = 
PROCEDURE_ENTRY(BgL_a1z00_11088)(BgL_a1z00_11088, BgL_sz00_11091, BEOA); 
BgL_a2z00_13478 = 
PROCEDURE_ENTRY(BgL_a2z00_11089)(BgL_a2z00_11089, BgL_sz00_11091, BEOA); 
if(
REALP(BgL_a1z00_13477))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5266z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13477, BgL_locz00_11090); } 
if(
REALP(BgL_a2z00_13478))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5266z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13478, BgL_locz00_11090); } 
BgL_tmpz00_21080 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13477)-
REAL_TO_DOUBLE(BgL_a2z00_13478)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21080);} } } 

}



/* &<@anonymous:2699> */
obj_t BGl_z62zc3z04anonymousza32699ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11092, obj_t BgL_sz00_11096)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11093;obj_t BgL_a2z00_11094;obj_t BgL_locz00_11095;
BgL_a1z00_11093 = 
PROCEDURE_REF(BgL_envz00_11092, 
(int)(((long)0))); 
BgL_a2z00_11094 = 
PROCEDURE_REF(BgL_envz00_11092, 
(int)(((long)1))); 
BgL_locz00_11095 = 
PROCEDURE_REF(BgL_envz00_11092, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_21107;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13479;
BgL_bpz00_13479 = 
VECTOR_REF(
((obj_t)BgL_sz00_11096),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13480;obj_t BgL_a2z00_13481;
BgL_a1z00_13480 = 
PROCEDURE_ENTRY(BgL_a1z00_11093)(BgL_a1z00_11093, BgL_sz00_11096, BEOA); 
BgL_a2z00_13481 = 
PROCEDURE_ENTRY(BgL_a2z00_11094)(BgL_a2z00_11094, BgL_sz00_11096, BEOA); 
if(
REALP(BgL_a1z00_13480))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5268z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13480, BgL_locz00_11095); } 
if(
REALP(BgL_a2z00_13481))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5268z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13481, BgL_locz00_11095); } 
BgL_tmpz00_21107 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13480)*
REAL_TO_DOUBLE(BgL_a2z00_13481)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21107);} } } 

}



/* &<@anonymous:2703> */
obj_t BGl_z62zc3z04anonymousza32703ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11097, obj_t BgL_sz00_11101)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11098;obj_t BgL_a2z00_11099;obj_t BgL_locz00_11100;
BgL_a1z00_11098 = 
PROCEDURE_REF(BgL_envz00_11097, 
(int)(((long)0))); 
BgL_a2z00_11099 = 
PROCEDURE_REF(BgL_envz00_11097, 
(int)(((long)1))); 
BgL_locz00_11100 = 
PROCEDURE_REF(BgL_envz00_11097, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
double BgL_tmpz00_21134;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13482;
BgL_bpz00_13482 = 
VECTOR_REF(
((obj_t)BgL_sz00_11101),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13483;obj_t BgL_a2z00_13484;
BgL_a1z00_13483 = 
PROCEDURE_ENTRY(BgL_a1z00_11098)(BgL_a1z00_11098, BgL_sz00_11101, BEOA); 
BgL_a2z00_13484 = 
PROCEDURE_ENTRY(BgL_a2z00_11099)(BgL_a2z00_11099, BgL_sz00_11101, BEOA); 
if(
REALP(BgL_a1z00_13483))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5270z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13483, BgL_locz00_11100); } 
if(
REALP(BgL_a2z00_13484))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5270z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13484, BgL_locz00_11100); } 
BgL_tmpz00_21134 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13483)/
REAL_TO_DOUBLE(BgL_a2z00_13484)); } } 
return 
DOUBLE_TO_REAL(BgL_tmpz00_21134);} } } 

}



/* &<@anonymous:2707> */
obj_t BGl_z62zc3z04anonymousza32707ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11102, obj_t BgL_sz00_11106)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11103;obj_t BgL_a2z00_11104;obj_t BgL_locz00_11105;
BgL_a1z00_11103 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)0))); 
BgL_a2z00_11104 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)1))); 
BgL_locz00_11105 = 
PROCEDURE_REF(BgL_envz00_11102, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_21161;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13485;
BgL_bpz00_13485 = 
VECTOR_REF(
((obj_t)BgL_sz00_11106),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13486;obj_t BgL_a2z00_13487;
BgL_a1z00_13486 = 
PROCEDURE_ENTRY(BgL_a1z00_11103)(BgL_a1z00_11103, BgL_sz00_11106, BEOA); 
BgL_a2z00_13487 = 
PROCEDURE_ENTRY(BgL_a2z00_11104)(BgL_a2z00_11104, BgL_sz00_11106, BEOA); 
if(
REALP(BgL_a1z00_13486))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5272z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13486, BgL_locz00_11105); } 
if(
REALP(BgL_a2z00_13487))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5272z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13487, BgL_locz00_11105); } 
BgL_tmpz00_21161 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13486)<
REAL_TO_DOUBLE(BgL_a2z00_13487)); } } 
return 
BBOOL(BgL_tmpz00_21161);} } } 

}



/* &<@anonymous:2711> */
obj_t BGl_z62zc3z04anonymousza32711ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11107, obj_t BgL_sz00_11111)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11108;obj_t BgL_a2z00_11109;obj_t BgL_locz00_11110;
BgL_a1z00_11108 = 
PROCEDURE_REF(BgL_envz00_11107, 
(int)(((long)0))); 
BgL_a2z00_11109 = 
PROCEDURE_REF(BgL_envz00_11107, 
(int)(((long)1))); 
BgL_locz00_11110 = 
PROCEDURE_REF(BgL_envz00_11107, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_21188;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13488;
BgL_bpz00_13488 = 
VECTOR_REF(
((obj_t)BgL_sz00_11111),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13489;obj_t BgL_a2z00_13490;
BgL_a1z00_13489 = 
PROCEDURE_ENTRY(BgL_a1z00_11108)(BgL_a1z00_11108, BgL_sz00_11111, BEOA); 
BgL_a2z00_13490 = 
PROCEDURE_ENTRY(BgL_a2z00_11109)(BgL_a2z00_11109, BgL_sz00_11111, BEOA); 
if(
REALP(BgL_a1z00_13489))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5274z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13489, BgL_locz00_11110); } 
if(
REALP(BgL_a2z00_13490))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5274z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13490, BgL_locz00_11110); } 
BgL_tmpz00_21188 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13489)>
REAL_TO_DOUBLE(BgL_a2z00_13490)); } } 
return 
BBOOL(BgL_tmpz00_21188);} } } 

}



/* &<@anonymous:2715> */
obj_t BGl_z62zc3z04anonymousza32715ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11112, obj_t BgL_sz00_11116)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11113;obj_t BgL_a2z00_11114;obj_t BgL_locz00_11115;
BgL_a1z00_11113 = 
PROCEDURE_REF(BgL_envz00_11112, 
(int)(((long)0))); 
BgL_a2z00_11114 = 
PROCEDURE_REF(BgL_envz00_11112, 
(int)(((long)1))); 
BgL_locz00_11115 = 
PROCEDURE_REF(BgL_envz00_11112, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_21215;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13491;
BgL_bpz00_13491 = 
VECTOR_REF(
((obj_t)BgL_sz00_11116),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13492;obj_t BgL_a2z00_13493;
BgL_a1z00_13492 = 
PROCEDURE_ENTRY(BgL_a1z00_11113)(BgL_a1z00_11113, BgL_sz00_11116, BEOA); 
BgL_a2z00_13493 = 
PROCEDURE_ENTRY(BgL_a2z00_11114)(BgL_a2z00_11114, BgL_sz00_11116, BEOA); 
if(
REALP(BgL_a1z00_13492))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5276z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13492, BgL_locz00_11115); } 
if(
REALP(BgL_a2z00_13493))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5276z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13493, BgL_locz00_11115); } 
BgL_tmpz00_21215 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13492)<=
REAL_TO_DOUBLE(BgL_a2z00_13493)); } } 
return 
BBOOL(BgL_tmpz00_21215);} } } 

}



/* &<@anonymous:2719> */
obj_t BGl_z62zc3z04anonymousza32719ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11117, obj_t BgL_sz00_11121)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11118;obj_t BgL_a2z00_11119;obj_t BgL_locz00_11120;
BgL_a1z00_11118 = 
PROCEDURE_REF(BgL_envz00_11117, 
(int)(((long)0))); 
BgL_a2z00_11119 = 
PROCEDURE_REF(BgL_envz00_11117, 
(int)(((long)1))); 
BgL_locz00_11120 = 
PROCEDURE_REF(BgL_envz00_11117, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_21242;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13494;
BgL_bpz00_13494 = 
VECTOR_REF(
((obj_t)BgL_sz00_11121),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13495;obj_t BgL_a2z00_13496;
BgL_a1z00_13495 = 
PROCEDURE_ENTRY(BgL_a1z00_11118)(BgL_a1z00_11118, BgL_sz00_11121, BEOA); 
BgL_a2z00_13496 = 
PROCEDURE_ENTRY(BgL_a2z00_11119)(BgL_a2z00_11119, BgL_sz00_11121, BEOA); 
if(
REALP(BgL_a1z00_13495))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5278z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13495, BgL_locz00_11120); } 
if(
REALP(BgL_a2z00_13496))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5278z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13496, BgL_locz00_11120); } 
BgL_tmpz00_21242 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13495)>=
REAL_TO_DOUBLE(BgL_a2z00_13496)); } } 
return 
BBOOL(BgL_tmpz00_21242);} } } 

}



/* &<@anonymous:2723> */
obj_t BGl_z62zc3z04anonymousza32723ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11122, obj_t BgL_sz00_11126)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11123;obj_t BgL_a2z00_11124;obj_t BgL_locz00_11125;
BgL_a1z00_11123 = 
PROCEDURE_REF(BgL_envz00_11122, 
(int)(((long)0))); 
BgL_a2z00_11124 = 
PROCEDURE_REF(BgL_envz00_11122, 
(int)(((long)1))); 
BgL_locz00_11125 = 
PROCEDURE_REF(BgL_envz00_11122, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_21269;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13497;
BgL_bpz00_13497 = 
VECTOR_REF(
((obj_t)BgL_sz00_11126),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13498;obj_t BgL_a2z00_13499;
BgL_a1z00_13498 = 
PROCEDURE_ENTRY(BgL_a1z00_11123)(BgL_a1z00_11123, BgL_sz00_11126, BEOA); 
BgL_a2z00_13499 = 
PROCEDURE_ENTRY(BgL_a2z00_11124)(BgL_a2z00_11124, BgL_sz00_11126, BEOA); 
if(
REALP(BgL_a1z00_13498))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5280z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a1z00_13498, BgL_locz00_11125); } 
if(
REALP(BgL_a2z00_13499))
{ /* Eval/evaluate_comp.scm 1021 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1021 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5280z00zz__evaluate_compz00, BGl_symbol5264z00zz__evaluate_compz00, BgL_a2z00_13499, BgL_locz00_11125); } 
BgL_tmpz00_21269 = 
(
REAL_TO_DOUBLE(BgL_a1z00_13498)==
REAL_TO_DOUBLE(BgL_a2z00_13499)); } } 
return 
BBOOL(BgL_tmpz00_21269);} } } 

}



/* &<@anonymous:2727> */
obj_t BGl_z62zc3z04anonymousza32727ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11127, obj_t BgL_sz00_11130)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11128;obj_t BgL_a2z00_11129;
BgL_a1z00_11128 = 
PROCEDURE_REF(BgL_envz00_11127, 
(int)(((long)0))); 
BgL_a2z00_11129 = 
PROCEDURE_REF(BgL_envz00_11127, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1021 */
bool_t BgL_tmpz00_21294;
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13500;
BgL_bpz00_13500 = 
VECTOR_REF(
((obj_t)BgL_sz00_11130),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13501;obj_t BgL_a2z00_13502;
BgL_a1z00_13501 = 
PROCEDURE_ENTRY(BgL_a1z00_11128)(BgL_a1z00_11128, BgL_sz00_11130, BEOA); 
BgL_a2z00_13502 = 
PROCEDURE_ENTRY(BgL_a2z00_11129)(BgL_a2z00_11129, BgL_sz00_11130, BEOA); 
BgL_tmpz00_21294 = 
(BgL_a1z00_13501==BgL_a2z00_13502); } } 
return 
BBOOL(BgL_tmpz00_21294);} } } 

}



/* &<@anonymous:2729> */
obj_t BGl_z62zc3z04anonymousza32729ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11131, obj_t BgL_sz00_11134)
{
{ /* Eval/evaluate_comp.scm 1021 */
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_11132;obj_t BgL_a2z00_11133;
BgL_a1z00_11132 = 
PROCEDURE_REF(BgL_envz00_11131, 
(int)(((long)0))); 
BgL_a2z00_11133 = 
PROCEDURE_REF(BgL_envz00_11131, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_bpz00_13503;
BgL_bpz00_13503 = 
VECTOR_REF(
((obj_t)BgL_sz00_11134),((long)0)); 
{ /* Eval/evaluate_comp.scm 1021 */
obj_t BgL_a1z00_13504;obj_t BgL_a2z00_13505;
BgL_a1z00_13504 = 
PROCEDURE_ENTRY(BgL_a1z00_11132)(BgL_a1z00_11132, BgL_sz00_11134, BEOA); 
BgL_a2z00_13505 = 
PROCEDURE_ENTRY(BgL_a2z00_11133)(BgL_a2z00_11133, BgL_sz00_11134, BEOA); 
return 
MAKE_YOUNG_PAIR(BgL_a1z00_13504, BgL_a2z00_13505);} } } } 

}



/* &<@anonymous:2732> */
obj_t BGl_z62zc3z04anonymousza32732ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11135, obj_t BgL_sz00_11138)
{
{ /* Eval/evaluate_comp.scm 1018 */
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_11136;obj_t BgL_locz00_11137;
BgL_a1z00_11136 = 
PROCEDURE_REF(BgL_envz00_11135, 
(int)(((long)0))); 
BgL_locz00_11137 = 
PROCEDURE_REF(BgL_envz00_11135, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_bpz00_13506;
BgL_bpz00_13506 = 
VECTOR_REF(
((obj_t)BgL_sz00_11138),((long)0)); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_13507;
BgL_a1z00_13507 = 
PROCEDURE_ENTRY(BgL_a1z00_11136)(BgL_a1z00_11136, BgL_sz00_11138, BEOA); 
if(
PAIRP(BgL_a1z00_13507))
{ /* Eval/evaluate_comp.scm 1018 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1018 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5282z00zz__evaluate_compz00, BGl_symbol5284z00zz__evaluate_compz00, BgL_a1z00_13507, BgL_locz00_11137); } 
return 
CAR(
((obj_t)BgL_a1z00_13507));} } } } 

}



/* &<@anonymous:2735> */
obj_t BGl_z62zc3z04anonymousza32735ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11139, obj_t BgL_sz00_11142)
{
{ /* Eval/evaluate_comp.scm 1018 */
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_11140;obj_t BgL_locz00_11141;
BgL_a1z00_11140 = 
PROCEDURE_REF(BgL_envz00_11139, 
(int)(((long)0))); 
BgL_locz00_11141 = 
PROCEDURE_REF(BgL_envz00_11139, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_bpz00_13508;
BgL_bpz00_13508 = 
VECTOR_REF(
((obj_t)BgL_sz00_11142),((long)0)); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_13509;
BgL_a1z00_13509 = 
PROCEDURE_ENTRY(BgL_a1z00_11140)(BgL_a1z00_11140, BgL_sz00_11142, BEOA); 
if(
PAIRP(BgL_a1z00_13509))
{ /* Eval/evaluate_comp.scm 1018 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1018 */
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5286z00zz__evaluate_compz00, BGl_symbol5284z00zz__evaluate_compz00, BgL_a1z00_13509, BgL_locz00_11141); } 
return 
CDR(
((obj_t)BgL_a1z00_13509));} } } } 

}



/* &<@anonymous:2738> */
obj_t BGl_z62zc3z04anonymousza32738ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11143, obj_t BgL_sz00_11146)
{
{ /* Eval/evaluate_comp.scm 1018 */
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_11144;obj_t BgL_locz00_11145;
BgL_a1z00_11144 = 
PROCEDURE_REF(BgL_envz00_11143, 
(int)(((long)0))); 
BgL_locz00_11145 = 
PROCEDURE_REF(BgL_envz00_11143, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_bpz00_13510;
BgL_bpz00_13510 = 
VECTOR_REF(
((obj_t)BgL_sz00_11146),((long)0)); 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_a1z00_13511;
BgL_a1z00_13511 = 
PROCEDURE_ENTRY(BgL_a1z00_11144)(BgL_a1z00_11144, BgL_sz00_11146, BEOA); 
if(
BGl_cadrzf3zf3zz__evaluate_compz00(BgL_a1z00_13511))
{ /* Eval/evaluate_comp.scm 1018 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_arg2740z00_13512;
BgL_arg2740z00_13512 = 
BGl_cadrerrvz00zz__evaluate_compz00(BgL_a1z00_13511); 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_symbol5288z00zz__evaluate_compz00, BGl_symbol5284z00zz__evaluate_compz00, BgL_arg2740z00_13512, BgL_locz00_11145); } 
{ /* Eval/evaluate_comp.scm 1018 */
obj_t BgL_pairz00_13513;
BgL_pairz00_13513 = 
CDR(
((obj_t)BgL_a1z00_13511)); 
return 
CAR(BgL_pairz00_13513);} } } } } 

}



/* cadr? */
bool_t BGl_cadrzf3zf3zz__evaluate_compz00(obj_t BgL_lz00_197)
{
{ /* Eval/evaluate_comp.scm 1026 */
if(
PAIRP(BgL_lz00_197))
{ /* Eval/evaluate_comp.scm 1027 */
obj_t BgL_tmpz00_21371;
BgL_tmpz00_21371 = 
CDR(BgL_lz00_197); 
return 
PAIRP(BgL_tmpz00_21371);}  else 
{ /* Eval/evaluate_comp.scm 1027 */
return ((bool_t)0);} } 

}



/* cadrerrv */
obj_t BGl_cadrerrvz00zz__evaluate_compz00(obj_t BgL_vz00_198)
{
{ /* Eval/evaluate_comp.scm 1029 */
if(
PAIRP(BgL_vz00_198))
{ /* Eval/evaluate_comp.scm 1030 */
return 
CDR(BgL_vz00_198);}  else 
{ /* Eval/evaluate_comp.scm 1030 */
return BgL_vz00_198;} } 

}



/* correct */
long BGl_correctz00zz__evaluate_compz00(obj_t BgL_nz00_201, long BgL_donez00_202)
{
{ /* Eval/evaluate_comp.scm 1058 */
if(
(
(long)CINT(BgL_nz00_201)<((long)0)))
{ /* Eval/evaluate_comp.scm 1059 */
return 
(
(long)CINT(BgL_nz00_201)+BgL_donez00_202);}  else 
{ /* Eval/evaluate_comp.scm 1059 */
return 
(
(long)CINT(BgL_nz00_201)-BgL_donez00_202);} } 

}



/* bind-frame */
obj_t BGl_bindzd2framezd2zz__evaluate_compz00(obj_t BgL_sz00_203, obj_t BgL_wherez00_204, long BgL_spz00_205, long BgL_arityz00_206, obj_t BgL_valsz00_207, obj_t BgL_locz00_208)
{
{ /* Eval/evaluate_comp.scm 1063 */
if(
(BgL_arityz00_206<((long)0)))
{ /* Eval/evaluate_comp.scm 1065 */
long BgL_g1234z00_3516;
BgL_g1234z00_3516 = 
(((long)-1)-BgL_arityz00_206); 
{ 
long BgL_rz00_3518;long BgL_spz00_3519;obj_t BgL_lz00_3520;
BgL_rz00_3518 = BgL_g1234z00_3516; 
BgL_spz00_3519 = BgL_spz00_205; 
BgL_lz00_3520 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32745ze3z87_3521:
if(
(BgL_rz00_3518==((long)0)))
{ /* Eval/evaluate_comp.scm 1067 */
return 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3519,BgL_lz00_3520);}  else 
{ /* Eval/evaluate_comp.scm 1067 */
if(
PAIRP(BgL_lz00_3520))
{ /* Eval/evaluate_comp.scm 1069 */
{ /* Eval/evaluate_comp.scm 1072 */
obj_t BgL_arg2748z00_3524;
BgL_arg2748z00_3524 = 
CAR(BgL_lz00_3520); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3519,BgL_arg2748z00_3524); } 
{ 
obj_t BgL_lz00_21400;long BgL_spz00_21398;long BgL_rz00_21396;
BgL_rz00_21396 = 
(BgL_rz00_3518-((long)1)); 
BgL_spz00_21398 = 
(BgL_spz00_3519+((long)1)); 
BgL_lz00_21400 = 
CDR(BgL_lz00_3520); 
BgL_lz00_3520 = BgL_lz00_21400; 
BgL_spz00_3519 = BgL_spz00_21398; 
BgL_rz00_3518 = BgL_rz00_21396; 
goto BgL_zc3z04anonymousza32745ze3z87_3521;} }  else 
{ /* Eval/evaluate_comp.scm 1070 */
long BgL_arg2752z00_3528;
BgL_arg2752z00_3528 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2752z00_3528));} } } }  else 
{ 
long BgL_rz00_3531;long BgL_spz00_3532;obj_t BgL_lz00_3533;
BgL_rz00_3531 = BgL_arityz00_206; 
BgL_spz00_3532 = BgL_spz00_205; 
BgL_lz00_3533 = BgL_valsz00_207; 
BgL_zc3z04anonymousza32753ze3z87_3534:
if(
(BgL_rz00_3531==((long)0)))
{ /* Eval/evaluate_comp.scm 1076 */
if(
NULLP(BgL_lz00_3533))
{ /* Eval/evaluate_comp.scm 1077 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 1078 */
long BgL_arg2756z00_3537;
BgL_arg2756z00_3537 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2756z00_3537));} }  else 
{ /* Eval/evaluate_comp.scm 1076 */
if(
PAIRP(BgL_lz00_3533))
{ /* Eval/evaluate_comp.scm 1079 */
{ /* Eval/evaluate_comp.scm 1082 */
obj_t BgL_arg2758z00_3539;
BgL_arg2758z00_3539 = 
CAR(BgL_lz00_3533); 
VECTOR_SET(
((obj_t)BgL_sz00_203),BgL_spz00_3532,BgL_arg2758z00_3539); } 
{ 
obj_t BgL_lz00_21423;long BgL_spz00_21421;long BgL_rz00_21419;
BgL_rz00_21419 = 
(BgL_rz00_3531-((long)1)); 
BgL_spz00_21421 = 
(BgL_spz00_3532+((long)1)); 
BgL_lz00_21423 = 
CDR(BgL_lz00_3533); 
BgL_lz00_3533 = BgL_lz00_21423; 
BgL_spz00_3532 = BgL_spz00_21421; 
BgL_rz00_3531 = BgL_rz00_21419; 
goto BgL_zc3z04anonymousza32753ze3z87_3534;} }  else 
{ /* Eval/evaluate_comp.scm 1080 */
long BgL_arg2762z00_3543;
BgL_arg2762z00_3543 = 
bgl_list_length(BgL_valsz00_207); 
return 
BGl_evarityzd2errorzd2zz__everrorz00(BgL_locz00_208, BgL_wherez00_204, 
(int)(BgL_arityz00_206), 
(int)(BgL_arg2762z00_3543));} } } } 

}



/* make-boxes */
bool_t BGl_makezd2boxeszd2zz__evaluate_compz00(obj_t BgL_sz00_211, obj_t BgL_ibza2za2_212, obj_t BgL_bpz00_213)
{
{ /* Eval/evaluate_comp.scm 1177 */
{ 
long BgL_iz00_3547;
BgL_iz00_3547 = ((long)0); 
BgL_zc3z04anonymousza32763ze3z87_3548:
{ /* Eval/evaluate_comp.scm 1180 */
long BgL_spz00_3549;
{ /* Eval/evaluate_comp.scm 1180 */
obj_t BgL_arg2767z00_3554;
BgL_arg2767z00_3554 = 
VECTOR_REF(
((obj_t)BgL_ibza2za2_212),BgL_iz00_3547); 
BgL_spz00_3549 = 
(
(long)CINT(BgL_bpz00_213)+
(long)CINT(BgL_arg2767z00_3554)); } 
{ /* Eval/evaluate_comp.scm 1181 */
obj_t BgL_arg2764z00_3550;
{ /* Eval/evaluate_comp.scm 1181 */
obj_t BgL_arg2765z00_3551;
BgL_arg2765z00_3551 = 
VECTOR_REF(
((obj_t)BgL_sz00_211),BgL_spz00_3549); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8501;
BgL_newz00_8501 = 
create_struct(BGl_symbol5212z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_21438;
BgL_tmpz00_21438 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8501, BgL_tmpz00_21438, BgL_arg2765z00_3551); } 
BgL_arg2764z00_3550 = BgL_newz00_8501; } } 
VECTOR_SET(
((obj_t)BgL_sz00_211),BgL_spz00_3549,BgL_arg2764z00_3550); } 
{ /* Eval/evaluate_comp.scm 1182 */
long BgL_niz00_3552;
BgL_niz00_3552 = 
(BgL_iz00_3547+((long)1)); 
if(
(BgL_niz00_3552<
VECTOR_LENGTH(
((obj_t)BgL_ibza2za2_212))))
{ 
long BgL_iz00_21448;
BgL_iz00_21448 = BgL_niz00_3552; 
BgL_iz00_3547 = BgL_iz00_21448; 
goto BgL_zc3z04anonymousza32763ze3z87_3548;}  else 
{ /* Eval/evaluate_comp.scm 1183 */
return ((bool_t)0);} } } } } 

}



/* free-collect */
obj_t BGl_freezd2collectzd2zz__evaluate_compz00(obj_t BgL_sz00_214, obj_t BgL_bpz00_215, obj_t BgL_iza2za2_216)
{
{ /* Eval/evaluate_comp.scm 1185 */
{ /* Eval/evaluate_comp.scm 1186 */
obj_t BgL_rz00_3557;
BgL_rz00_3557 = 
make_vector(
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216)), BUNSPEC); 
{ /* Eval/evaluate_comp.scm 1186 */

{ 
long BgL_iz00_3559;
BgL_iz00_3559 = ((long)0); 
BgL_zc3z04anonymousza32768ze3z87_3560:
if(
(BgL_iz00_3559>=
VECTOR_LENGTH(
((obj_t)BgL_iza2za2_216))))
{ /* Eval/evaluate_comp.scm 1188 */
return BgL_rz00_3557;}  else 
{ /* Eval/evaluate_comp.scm 1188 */
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2770z00_3562;
{ /* Eval/evaluate_comp.scm 1191 */
long BgL_arg2771z00_3563;
{ /* Eval/evaluate_comp.scm 1191 */
obj_t BgL_arg2772z00_3564;
BgL_arg2772z00_3564 = 
VECTOR_REF(
((obj_t)BgL_iza2za2_216),BgL_iz00_3559); 
BgL_arg2771z00_3563 = 
(
(long)CINT(BgL_bpz00_215)+
(long)CINT(BgL_arg2772z00_3564)); } 
BgL_arg2770z00_3562 = 
VECTOR_REF(
((obj_t)BgL_sz00_214),BgL_arg2771z00_3563); } 
VECTOR_SET(BgL_rz00_3557,BgL_iz00_3559,BgL_arg2770z00_3562); } 
{ 
long BgL_iz00_21464;
BgL_iz00_21464 = 
(BgL_iz00_3559+((long)1)); 
BgL_iz00_3559 = BgL_iz00_21464; 
goto BgL_zc3z04anonymousza32768ze3z87_3560;} } } } } } 

}



/* free-restore */
bool_t BGl_freezd2restorezd2zz__evaluate_compz00(obj_t BgL_sz00_217, obj_t BgL_valza2za2_218, long BgL_spz00_219)
{
{ /* Eval/evaluate_comp.scm 1194 */
{ /* Eval/evaluate_comp.scm 1195 */
long BgL_stopz00_3568;
BgL_stopz00_3568 = 
(BgL_spz00_219+
VECTOR_LENGTH(
((obj_t)BgL_valza2za2_218))); 
{ 
long BgL_iz00_3570;long BgL_spz00_3571;
BgL_iz00_3570 = ((long)0); 
BgL_spz00_3571 = BgL_spz00_219; 
BgL_zc3z04anonymousza32775ze3z87_3572:
if(
(BgL_spz00_3571<BgL_stopz00_3568))
{ /* Eval/evaluate_comp.scm 1197 */
{ /* Eval/evaluate_comp.scm 1198 */
obj_t BgL_arg2777z00_3574;
BgL_arg2777z00_3574 = 
VECTOR_REF(
((obj_t)BgL_valza2za2_218),BgL_iz00_3570); 
VECTOR_SET(
((obj_t)BgL_sz00_217),BgL_spz00_3571,BgL_arg2777z00_3574); } 
{ 
long BgL_spz00_21477;long BgL_iz00_21475;
BgL_iz00_21475 = 
(BgL_iz00_3570+((long)1)); 
BgL_spz00_21477 = 
(BgL_spz00_3571+((long)1)); 
BgL_spz00_3571 = BgL_spz00_21477; 
BgL_iz00_3570 = BgL_iz00_21475; 
goto BgL_zc3z04anonymousza32775ze3z87_3572;} }  else 
{ /* Eval/evaluate_comp.scm 1197 */
return ((bool_t)0);} } } } 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
return 
BGl_registerzd2genericz12zc0zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_proc5290z00zz__evaluate_compz00, BGl_ev_exprz00zz__evaluate_typesz00, BGl_string5291z00zz__evaluate_compz00);} 

}



/* &comp1386 */
obj_t BGl_z62comp1386z62zz__evaluate_compz00(obj_t BgL_envz00_11232, obj_t BgL_ez00_11233, obj_t BgL_stkz00_11234)
{
{ /* Eval/evaluate_comp.scm 276 */
return 
BGl_errorz00zz__errorz00(BGl_string5202z00zz__evaluate_compz00, BGl_string5292z00zz__evaluate_compz00, 
((obj_t)
((BgL_ev_exprz00_bglt)BgL_ez00_11233)));} 

}



/* comp */
obj_t BGl_compz00zz__evaluate_compz00(BgL_ev_exprz00_bglt BgL_ez00_35, obj_t BgL_stkz00_36)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_method1387z00_3584;
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_res4647z00_8577;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_objzd2classzd2numz00_8542;
{ /* Eval/evaluate_comp.scm 276 */
long BgL_res4637z00_8545;
BgL_res4637z00_8545 = 
BGL_OBJECT_CLASS_NUM(
((BgL_objectz00_bglt)BgL_ez00_35)); 
BgL_objzd2classzd2numz00_8542 = BgL_res4637z00_8545; } 
{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_arg3968z00_8543;
BgL_arg3968z00_8543 = 
PROCEDURE_REF(BGl_compzd2envzd2zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 276 */
int BgL_offsetz00_8547;
BgL_offsetz00_8547 = 
(int)(BgL_objzd2classzd2numz00_8542); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_offsetz00_8548;
BgL_offsetz00_8548 = 
(
(long)(BgL_offsetz00_8547)-OBJECT_TYPE); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_modz00_8549;
BgL_modz00_8549 = 
(BgL_offsetz00_8548 >> 
(int)(
(long)(
(int)(((long)4))))); 
{ /* Eval/evaluate_comp.scm 276 */
long BgL_restz00_8551;
BgL_restz00_8551 = 
(BgL_offsetz00_8548 & 
(long)(
(int)(
(
(long)(
(int)(
(((long)1) << 
(int)(
(long)(
(int)(((long)4)))))))-((long)1))))); 
{ /* Eval/evaluate_comp.scm 276 */

{ /* Eval/evaluate_comp.scm 276 */
obj_t BgL_bucketz00_8553;
BgL_bucketz00_8553 = 
VECTOR_REF(
((obj_t)BgL_arg3968z00_8543),BgL_modz00_8549); 
BgL_res4647z00_8577 = 
VECTOR_REF(
((obj_t)BgL_bucketz00_8553),BgL_restz00_8551); } } } } } } } } 
BgL_method1387z00_3584 = BgL_res4647z00_8577; } 
return 
PROCEDURE_ENTRY(BgL_method1387z00_3584)(BgL_method1387z00_3584, 
((obj_t)BgL_ez00_35), BgL_stkz00_36, BEOA);} } 

}



/* &comp */
obj_t BGl_z62compz62zz__evaluate_compz00(obj_t BgL_envz00_11235, obj_t BgL_ez00_11236, obj_t BgL_stkz00_11237)
{
{ /* Eval/evaluate_comp.scm 276 */
{ /* Eval/evaluate_comp.scm 276 */
BgL_ev_exprz00_bglt BgL_auxz00_21514;
if(
BGl_isazf3zf3zz__objectz00(BgL_ez00_11236, BGl_ev_exprz00zz__evaluate_typesz00))
{ /* Eval/evaluate_comp.scm 276 */
BgL_auxz00_21514 = 
((BgL_ev_exprz00_bglt)BgL_ez00_11236)
; }  else 
{ 
obj_t BgL_auxz00_21518;
BgL_auxz00_21518 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string5207z00zz__evaluate_compz00, 
BINT(((long)7022)), BGl_string5293z00zz__evaluate_compz00, BGl_string5209z00zz__evaluate_compz00, BgL_ez00_11236); 
FAILURE(BgL_auxz00_21518,BFALSE,BFALSE);} 
return 
BGl_compz00zz__evaluate_compz00(BgL_auxz00_21514, BgL_stkz00_11237);} } 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_trapz00zz__evaluate_typesz00, BGl_proc5294z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_varz00zz__evaluate_typesz00, BGl_proc5296z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setlocalz00zz__evaluate_typesz00, BGl_proc5297z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_globalz00zz__evaluate_typesz00, BGl_proc5298z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_setglobalz00zz__evaluate_typesz00, BGl_proc5299z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_defglobalz00zz__evaluate_typesz00, BGl_proc5300z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_littz00zz__evaluate_typesz00, BGl_proc5301z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_ifz00zz__evaluate_typesz00, BGl_proc5302z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_orz00zz__evaluate_typesz00, BGl_proc5303z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_andz00zz__evaluate_typesz00, BGl_proc5304z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_prog2z00zz__evaluate_typesz00, BGl_proc5305z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letz00zz__evaluate_typesz00, BGl_proc5306z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letza2za2zz__evaluate_typesz00, BGl_proc5307z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_letrecz00zz__evaluate_typesz00, BGl_proc5308z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_bindzd2exitzd2zz__evaluate_typesz00, BGl_proc5309z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_unwindzd2protectzd2zz__evaluate_typesz00, BGl_proc5310z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_withzd2handlerzd2zz__evaluate_typesz00, BGl_proc5311z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_synchroniza7eza7zz__evaluate_typesz00, BGl_proc5312z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_labelsz00zz__evaluate_typesz00, BGl_proc5313z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_gotoz00zz__evaluate_typesz00, BGl_proc5314z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_appz00zz__evaluate_typesz00, BGl_proc5315z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00); 
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_compzd2envzd2zz__evaluate_compz00, BGl_ev_absz00zz__evaluate_typesz00, BGl_proc5316z00zz__evaluate_compz00, BGl_string5295z00zz__evaluate_compz00);} 

}



/* &comp-ev_abs1432 */
obj_t BGl_z62compzd2ev_abs1432zb0zz__evaluate_compz00(obj_t BgL_envz00_11432, obj_t BgL_ez00_11433, obj_t BgL_stkz00_11434)
{
{ /* Eval/evaluate_comp.scm 1165 */
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_ifreesz00_13516;obj_t BgL_iboxesz00_13517;long BgL_siza7eza7_13518;long BgL_siza7ezd2framez75_13519;obj_t BgL_nstkz00_13520;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3683z00_13521;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_l1363z00_13522;
BgL_l1363z00_13522 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_freez00); 
if(
NULLP(BgL_l1363z00_13522))
{ /* Eval/evaluate_comp.scm 1167 */
BgL_arg3683z00_13521 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_head1365z00_13523;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_res4737z00_13524;
BgL_res4737z00_13524 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1365z00_13523 = BgL_res4737z00_13524; } 
{ 
obj_t BgL_l1363z00_13526;obj_t BgL_tail1366z00_13527;
BgL_l1363z00_13526 = BgL_l1363z00_13522; 
BgL_tail1366z00_13527 = BgL_head1365z00_13523; 
BgL_zc3z04anonymousza33685ze3z87_13525:
if(
NULLP(BgL_l1363z00_13526))
{ /* Eval/evaluate_comp.scm 1167 */
BgL_arg3683z00_13521 = 
CDR(BgL_head1365z00_13523); }  else 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_newtail1367z00_13528;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3688z00_13529;
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_vz00_13530;
BgL_vz00_13530 = 
CAR(
((obj_t)BgL_l1363z00_13526)); 
BgL_arg3688z00_13529 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13530, BgL_stkz00_11434); } 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_res4739z00_13531;
BgL_res4739z00_13531 = 
MAKE_YOUNG_PAIR(BgL_arg3688z00_13529, BNIL); 
BgL_newtail1367z00_13528 = BgL_res4739z00_13531; } } 
SET_CDR(BgL_tail1366z00_13527, BgL_newtail1367z00_13528); 
{ /* Eval/evaluate_comp.scm 1167 */
obj_t BgL_arg3687z00_13532;
BgL_arg3687z00_13532 = 
CDR(
((obj_t)BgL_l1363z00_13526)); 
{ 
obj_t BgL_tail1366z00_21561;obj_t BgL_l1363z00_21560;
BgL_l1363z00_21560 = BgL_arg3687z00_13532; 
BgL_tail1366z00_21561 = BgL_newtail1367z00_13528; 
BgL_tail1366z00_13527 = BgL_tail1366z00_21561; 
BgL_l1363z00_13526 = BgL_l1363z00_21560; 
goto BgL_zc3z04anonymousza33685ze3z87_13525;} } } } } } 
BgL_ifreesz00_13516 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3683z00_13521); } 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_arg3689z00_13533;
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_l1368z00_13534;
BgL_l1368z00_13534 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_boxesz00); 
if(
NULLP(BgL_l1368z00_13534))
{ /* Eval/evaluate_comp.scm 1168 */
BgL_arg3689z00_13533 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_head1370z00_13535;
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_res4741z00_13536;
BgL_res4741z00_13536 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1370z00_13535 = BgL_res4741z00_13536; } 
{ 
obj_t BgL_l1368z00_13538;obj_t BgL_tail1371z00_13539;
BgL_l1368z00_13538 = BgL_l1368z00_13534; 
BgL_tail1371z00_13539 = BgL_head1370z00_13535; 
BgL_zc3z04anonymousza33691ze3z87_13537:
if(
NULLP(BgL_l1368z00_13538))
{ /* Eval/evaluate_comp.scm 1168 */
BgL_arg3689z00_13533 = 
CDR(BgL_head1370z00_13535); }  else 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_newtail1372z00_13540;
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_arg3694z00_13541;
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_vz00_13542;
BgL_vz00_13542 = 
CAR(
((obj_t)BgL_l1368z00_13538)); 
BgL_arg3694z00_13541 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_13542, 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_varsz00)); } 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_res4743z00_13543;
BgL_res4743z00_13543 = 
MAKE_YOUNG_PAIR(BgL_arg3694z00_13541, BNIL); 
BgL_newtail1372z00_13540 = BgL_res4743z00_13543; } } 
SET_CDR(BgL_tail1371z00_13539, BgL_newtail1372z00_13540); 
{ /* Eval/evaluate_comp.scm 1168 */
obj_t BgL_arg3693z00_13544;
BgL_arg3693z00_13544 = 
CDR(
((obj_t)BgL_l1368z00_13538)); 
{ 
obj_t BgL_tail1371z00_21581;obj_t BgL_l1368z00_21580;
BgL_l1368z00_21580 = BgL_arg3693z00_13544; 
BgL_tail1371z00_21581 = BgL_newtail1372z00_13540; 
BgL_tail1371z00_13539 = BgL_tail1371z00_21581; 
BgL_l1368z00_13538 = BgL_l1368z00_21580; 
goto BgL_zc3z04anonymousza33691ze3z87_13537;} } } } } } 
BgL_iboxesz00_13517 = 
BGl_listzd2ze3vectorz31zz__r4_vectors_6_8z00(BgL_arg3689z00_13533); } 
BgL_siza7eza7_13518 = 
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_varsz00)); 
BgL_siza7ezd2framez75_13519 = 
(
(long)(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_siza7eza7))+
bgl_list_length(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_freez00))); 
BgL_nstkz00_13520 = 
BGl_appendzd221010zd2zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_varsz00), 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_freez00)); 
{ /* Eval/evaluate_comp.scm 1172 */
obj_t BgL_bodyz00_13545;
BgL_bodyz00_13545 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_bodyz00), BgL_nstkz00_13520); 
{ 

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_aux1246z00_13551;
BgL_aux1246z00_13551 = 
(((BgL_ev_absz00_bglt)COBJECT(
((BgL_ev_absz00_bglt)BgL_ez00_11433)))->BgL_arityz00); 
if(
INTEGERP(BgL_aux1246z00_13551))
{ /* Eval/evaluate_comp.scm 1174 */
switch( 
(long)CINT(BgL_aux1246z00_13551)) { case ((long)0) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33145ze3z87_13552;
BgL_zc3z04anonymousza33145ze3z87_13552 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33145ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33145ze3z87_13552, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33145ze3z87_13552, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33145ze3z87_13552, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33145ze3z87_13552;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33151ze3z87_13553;
BgL_zc3z04anonymousza33151ze3z87_13553 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33151ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33151ze3z87_13553, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33151ze3z87_13553, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33151ze3z87_13553, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33151ze3z87_13553, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33151ze3z87_13553;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33160ze3z87_13554;
BgL_zc3z04anonymousza33160ze3z87_13554 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33160ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33160ze3z87_13554, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33160ze3z87_13554, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33160ze3z87_13554, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33160ze3z87_13554, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33160ze3z87_13554, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33160ze3z87_13554;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33167ze3z87_13555;
BgL_zc3z04anonymousza33167ze3z87_13555 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33167ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33167ze3z87_13555, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33167ze3z87_13555, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33167ze3z87_13555, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33167ze3z87_13555, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33167ze3z87_13555, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33167ze3z87_13555, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33167ze3z87_13555;} } break;case ((long)-1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33180ze3z87_13556;
BgL_zc3z04anonymousza33180ze3z87_13556 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33180ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33180ze3z87_13556, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33180ze3z87_13556, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33180ze3z87_13556, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33180ze3z87_13556;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33187ze3z87_13557;
BgL_zc3z04anonymousza33187ze3z87_13557 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33187ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33187ze3z87_13557, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33187ze3z87_13557, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33187ze3z87_13557, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33187ze3z87_13557, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33187ze3z87_13557;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33197ze3z87_13558;
BgL_zc3z04anonymousza33197ze3z87_13558 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_13558, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_13558, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_13558, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_13558, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33197ze3z87_13558, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33197ze3z87_13558;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33205ze3z87_13559;
BgL_zc3z04anonymousza33205ze3z87_13559 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33205ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33205ze3z87_13559, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33205ze3z87_13559, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33205ze3z87_13559, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33205ze3z87_13559, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33205ze3z87_13559, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33205ze3z87_13559, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33205ze3z87_13559;} } break;case ((long)1) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33219ze3z87_13560;
BgL_zc3z04anonymousza33219ze3z87_13560 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33219ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33219ze3z87_13560, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33219ze3z87_13560, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33219ze3z87_13560, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33219ze3z87_13560;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33226ze3z87_13561;
BgL_zc3z04anonymousza33226ze3z87_13561 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33226ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33226ze3z87_13561, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33226ze3z87_13561, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33226ze3z87_13561, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33226ze3z87_13561, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33226ze3z87_13561;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33236ze3z87_13562;
BgL_zc3z04anonymousza33236ze3z87_13562 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_13562, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_13562, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_13562, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_13562, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33236ze3z87_13562, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33236ze3z87_13562;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33244ze3z87_13563;
BgL_zc3z04anonymousza33244ze3z87_13563 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33244ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33244ze3z87_13563, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33244ze3z87_13563, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33244ze3z87_13563, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33244ze3z87_13563, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33244ze3z87_13563, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33244ze3z87_13563, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33244ze3z87_13563;} } break;case ((long)-2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33258ze3z87_13564;
BgL_zc3z04anonymousza33258ze3z87_13564 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_13564, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_13564, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33258ze3z87_13564, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33258ze3z87_13564;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33266ze3z87_13565;
BgL_zc3z04anonymousza33266ze3z87_13565 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33266ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33266ze3z87_13565, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33266ze3z87_13565, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33266ze3z87_13565, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33266ze3z87_13565, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33266ze3z87_13565;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33277ze3z87_13566;
BgL_zc3z04anonymousza33277ze3z87_13566 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33277ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_13566, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_13566, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_13566, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_13566, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33277ze3z87_13566, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33277ze3z87_13566;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33286ze3z87_13567;
BgL_zc3z04anonymousza33286ze3z87_13567 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33286ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33286ze3z87_13567, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33286ze3z87_13567, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33286ze3z87_13567, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33286ze3z87_13567, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33286ze3z87_13567, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33286ze3z87_13567, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33286ze3z87_13567;} } break;case ((long)2) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33301ze3z87_13568;
BgL_zc3z04anonymousza33301ze3z87_13568 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_13568, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_13568, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33301ze3z87_13568, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33301ze3z87_13568;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33309ze3z87_13569;
BgL_zc3z04anonymousza33309ze3z87_13569 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33309ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33309ze3z87_13569, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33309ze3z87_13569, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33309ze3z87_13569, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33309ze3z87_13569, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33309ze3z87_13569;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33320ze3z87_13570;
BgL_zc3z04anonymousza33320ze3z87_13570 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_13570, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_13570, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_13570, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_13570, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33320ze3z87_13570, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33320ze3z87_13570;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33329ze3z87_13571;
BgL_zc3z04anonymousza33329ze3z87_13571 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_13571, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_13571, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_13571, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_13571, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_13571, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33329ze3z87_13571, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33329ze3z87_13571;} } break;case ((long)-3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33344ze3z87_13572;
BgL_zc3z04anonymousza33344ze3z87_13572 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33344ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33344ze3z87_13572, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33344ze3z87_13572, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33344ze3z87_13572, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33344ze3z87_13572;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33353ze3z87_13573;
BgL_zc3z04anonymousza33353ze3z87_13573 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33353ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33353ze3z87_13573, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33353ze3z87_13573, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33353ze3z87_13573, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33353ze3z87_13573, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33353ze3z87_13573;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33365ze3z87_13574;
BgL_zc3z04anonymousza33365ze3z87_13574 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33365ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33365ze3z87_13574, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33365ze3z87_13574, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33365ze3z87_13574, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33365ze3z87_13574, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33365ze3z87_13574, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33365ze3z87_13574;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33375ze3z87_13575;
BgL_zc3z04anonymousza33375ze3z87_13575 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33375ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33375ze3z87_13575, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33375ze3z87_13575, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33375ze3z87_13575, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33375ze3z87_13575, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33375ze3z87_13575, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33375ze3z87_13575, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33375ze3z87_13575;} } break;case ((long)3) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33391ze3z87_13576;
BgL_zc3z04anonymousza33391ze3z87_13576 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_13576, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_13576, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33391ze3z87_13576, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33391ze3z87_13576;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33400ze3z87_13577;
BgL_zc3z04anonymousza33400ze3z87_13577 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_13577, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_13577, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_13577, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33400ze3z87_13577, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33400ze3z87_13577;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33412ze3z87_13578;
BgL_zc3z04anonymousza33412ze3z87_13578 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33412ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33412ze3z87_13578, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33412ze3z87_13578, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33412ze3z87_13578, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33412ze3z87_13578, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33412ze3z87_13578, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33412ze3z87_13578;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33422ze3z87_13579;
BgL_zc3z04anonymousza33422ze3z87_13579 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33422ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33422ze3z87_13579, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33422ze3z87_13579, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33422ze3z87_13579, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33422ze3z87_13579, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33422ze3z87_13579, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33422ze3z87_13579, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33422ze3z87_13579;} } break;case ((long)-4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33438ze3z87_13580;
BgL_zc3z04anonymousza33438ze3z87_13580 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33438ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33438ze3z87_13580, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33438ze3z87_13580, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33438ze3z87_13580, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33438ze3z87_13580;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33448ze3z87_13581;
BgL_zc3z04anonymousza33448ze3z87_13581 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33448ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33448ze3z87_13581, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33448ze3z87_13581, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33448ze3z87_13581, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33448ze3z87_13581, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33448ze3z87_13581;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33461ze3z87_13582;
BgL_zc3z04anonymousza33461ze3z87_13582 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33461ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33461ze3z87_13582, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33461ze3z87_13582, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33461ze3z87_13582, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33461ze3z87_13582, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33461ze3z87_13582, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33461ze3z87_13582;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33472ze3z87_13583;
BgL_zc3z04anonymousza33472ze3z87_13583 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_13583, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_13583, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_13583, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_13583, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_13583, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33472ze3z87_13583, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33472ze3z87_13583;} } break;case ((long)4) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33489ze3z87_13584;
BgL_zc3z04anonymousza33489ze3z87_13584 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33489ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33489ze3z87_13584, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33489ze3z87_13584, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33489ze3z87_13584, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33489ze3z87_13584;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33499ze3z87_13585;
BgL_zc3z04anonymousza33499ze3z87_13585 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33499ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33499ze3z87_13585, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33499ze3z87_13585, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33499ze3z87_13585, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33499ze3z87_13585, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33499ze3z87_13585;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33512ze3z87_13586;
BgL_zc3z04anonymousza33512ze3z87_13586 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33512ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33512ze3z87_13586, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33512ze3z87_13586, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33512ze3z87_13586, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33512ze3z87_13586, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33512ze3z87_13586, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33512ze3z87_13586;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33523ze3z87_13587;
BgL_zc3z04anonymousza33523ze3z87_13587 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_13587, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_13587, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_13587, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_13587, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_13587, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33523ze3z87_13587, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33523ze3z87_13587;} } break;case ((long)-5) : 

if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33540ze3z87_13588;
BgL_zc3z04anonymousza33540ze3z87_13588 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33540ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33540ze3z87_13588, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33540ze3z87_13588, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33540ze3z87_13588, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33540ze3z87_13588;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33551ze3z87_13589;
BgL_zc3z04anonymousza33551ze3z87_13589 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33551ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33551ze3z87_13589, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33551ze3z87_13589, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33551ze3z87_13589, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33551ze3z87_13589, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33551ze3z87_13589;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33565ze3z87_13590;
BgL_zc3z04anonymousza33565ze3z87_13590 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33565ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33565ze3z87_13590, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33565ze3z87_13590, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33565ze3z87_13590, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33565ze3z87_13590, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33565ze3z87_13590, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33565ze3z87_13590;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33577ze3z87_13591;
BgL_zc3z04anonymousza33577ze3z87_13591 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33577ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33577ze3z87_13591, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33577ze3z87_13591, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33577ze3z87_13591, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33577ze3z87_13591, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33577ze3z87_13591, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33577ze3z87_13591, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33577ze3z87_13591;} } break;
default: 
BgL_case_else1245z00_13546:
if(
(
VECTOR_LENGTH(BgL_ifreesz00_13516)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33595ze3z87_13547;
BgL_zc3z04anonymousza33595ze3z87_13547 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33595ze3z87_13547, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33595ze3z87_13547, 
(int)(((long)1)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33595ze3z87_13547, 
(int)(((long)2)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33595ze3z87_13547;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33615ze3z87_13548;
BgL_zc3z04anonymousza33615ze3z87_13548 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33615ze3z87_13548, 
(int)(((long)0)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33615ze3z87_13548, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33615ze3z87_13548, 
(int)(((long)2)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33615ze3z87_13548, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33615ze3z87_13548;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
if(
(
VECTOR_LENGTH(BgL_iboxesz00_13517)==((long)0)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33638ze3z87_13549;
BgL_zc3z04anonymousza33638ze3z87_13549 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33638ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33638ze3z87_13549, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33638ze3z87_13549, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33638ze3z87_13549, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33638ze3z87_13549, 
(int)(((long)3)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33638ze3z87_13549, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33638ze3z87_13549;}  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_zc3z04anonymousza33659ze3z87_13550;
BgL_zc3z04anonymousza33659ze3z87_13550 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33659ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33659ze3z87_13550, 
(int)(((long)0)), BgL_ifreesz00_13516); 
PROCEDURE_SET(BgL_zc3z04anonymousza33659ze3z87_13550, 
(int)(((long)1)), BgL_iboxesz00_13517); 
PROCEDURE_SET(BgL_zc3z04anonymousza33659ze3z87_13550, 
(int)(((long)2)), 
BINT(BgL_siza7eza7_13518)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33659ze3z87_13550, 
(int)(((long)3)), 
((obj_t)
((BgL_ev_absz00_bglt)BgL_ez00_11433))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33659ze3z87_13550, 
(int)(((long)4)), BgL_bodyz00_13545); 
PROCEDURE_SET(BgL_zc3z04anonymousza33659ze3z87_13550, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_13519)); 
return BgL_zc3z04anonymousza33659ze3z87_13550;} } } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
goto BgL_case_else1245z00_13546;} } } } } } 

}



/* &<@anonymous:3540> */
obj_t BGl_z62zc3z04anonymousza33540ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11435, obj_t BgL_sz00_11439)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11436;obj_t BgL_bodyz00_11437;long BgL_siza7ezd2framez75_11438;
BgL_i1244z00_11436 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)0)))); 
BgL_bodyz00_11437 = 
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11438 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11435, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13592;
BgL_bpz00_13592 = 
VECTOR_REF(
((obj_t)BgL_sz00_11439),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13593;
BgL_runz00_13593 = 
MAKE_FX_PROCEDURE(BGl_z62runz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13593, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11436)); 
PROCEDURE_SET(BgL_runz00_13593, 
(int)(((long)1)), BgL_bodyz00_11437); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13594;
BgL_mainz00_13594 = 
MAKE_VA_PROCEDURE(BGl_z62mainz62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13594, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11436)); 
PROCEDURE_SET(BgL_mainz00_13594, 
(int)(((long)1)), BgL_bodyz00_11437); 
PROCEDURE_SET(BgL_mainz00_13594, 
(int)(((long)2)), BgL_runz00_13593); 
PROCEDURE_SET(BgL_mainz00_13594, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11438)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13595;
BgL_objz00_13595 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13593, BgL_objz00_13595); BgL_objz00_13595; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3541z00_13596;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3542z00_13597;
BgL_arg3542z00_13597 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11436))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13598;
BgL_newz00_13598 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22423;
BgL_tmpz00_22423 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13598, BgL_tmpz00_22423, BgL_arg3542z00_13597); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22428;int BgL_tmpz00_22426;
BgL_auxz00_22428 = 
BINT(BgL_siza7ezd2framez75_11438); 
BgL_tmpz00_22426 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13598, BgL_tmpz00_22426, BgL_auxz00_22428); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22431;
BgL_tmpz00_22431 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13598, BgL_tmpz00_22431, BgL_runz00_13593); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22436;int BgL_tmpz00_22434;
BgL_auxz00_22436 = 
BINT(((long)-5)); 
BgL_tmpz00_22434 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13598, BgL_tmpz00_22434, BgL_auxz00_22436); } 
BgL_arg3541z00_13596 = BgL_newz00_13598; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13594, BgL_arg3541z00_13596); BgL_arg3541z00_13596; } 
return BgL_mainz00_13594;} } } } } } 

}



/* &main */
obj_t BGl_z62mainz62zz__evaluate_compz00(obj_t BgL_envz00_11440, obj_t BgL_az00_11445, obj_t BgL_bz00_11446, obj_t BgL_cz00_11447, obj_t BgL_dz00_11448, obj_t BgL_lastz00_11449)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11443;long BgL_siza7ezd2framez75_11444;
BgL_runz00_11443 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11444 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11440, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13599;
BgL_sz00_13599 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13600;
BgL_bpz00_13600 = 
VECTOR_REF(
((obj_t)BgL_sz00_13599),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13599, BgL_bpz00_13600, 
BINT(BgL_siza7ezd2framez75_11444)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3545z00_13601;
BgL_arg3545z00_13601 = 
(
(long)CINT(BgL_bpz00_13600)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13599),BgL_arg3545z00_13601,BgL_az00_11445); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3546z00_13602;
BgL_arg3546z00_13602 = 
(
(long)CINT(BgL_bpz00_13600)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13599),BgL_arg3546z00_13602,BgL_bz00_11446); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3547z00_13603;
BgL_arg3547z00_13603 = 
(
(long)CINT(BgL_bpz00_13600)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13599),BgL_arg3547z00_13603,BgL_cz00_11447); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3548z00_13604;
BgL_arg3548z00_13604 = 
(
(long)CINT(BgL_bpz00_13600)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13599),BgL_arg3548z00_13604,BgL_dz00_11448); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3549z00_13605;
BgL_arg3549z00_13605 = 
(
(long)CINT(BgL_bpz00_13600)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13599),BgL_arg3549z00_13605,BgL_lastz00_11449); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13606;
BgL_ez00_13606 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13606, BgL_bpz00_13600); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13607;
BgL_accz00_13607 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11443, BgL_sz00_13599, BgL_bpz00_13600); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13606); 
VECTOR_SET(
((obj_t)BgL_sz00_13599),((long)0),BgL_bpz00_13600); 
return BgL_accz00_13607;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13608;
BgL_nsz00_13608 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13608,((long)1),BgL_sz00_13599); 
VECTOR_SET(BgL_nsz00_13608,((long)2),BgL_az00_11445); 
VECTOR_SET(BgL_nsz00_13608,((long)3),BgL_bz00_11446); 
VECTOR_SET(BgL_nsz00_13608,((long)4),BgL_cz00_11447); 
VECTOR_SET(BgL_nsz00_13608,((long)5),BgL_dz00_11448); 
VECTOR_SET(BgL_nsz00_13608,((long)6),BgL_lastz00_11449); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13609;
BgL_z12denvz12_13609 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13609, BgL_nsz00_13608); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13610;
BgL_ez00_13610 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13610, BgL_sz00_13599); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13611;
BgL_____rz00_13611 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11443, BgL_nsz00_13608, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13610); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13609, BgL_sz00_13599); 
return BgL_____rz00_13611;} } } } } } } } 

}



/* &run */
obj_t BGl_z62runz62zz__evaluate_compz00(obj_t BgL_envz00_11450, obj_t BgL_sz00_11453)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11451;obj_t BgL_bodyz00_11452;
BgL_i1244z00_11451 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11450, 
(int)(((long)0)))); 
BgL_bodyz00_11452 = 
PROCEDURE_REF(BgL_envz00_11450, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13612;
BgL_bpz00_13612 = 
VECTOR_REF(
((obj_t)BgL_sz00_11453),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13613;obj_t BgL_wherez00_13614;obj_t BgL_locz00_13615;
BgL_z12denvz12_13613 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13614 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11451))->BgL_wherez00); 
BgL_locz00_13615 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11451))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13613, BgL_wherez00_13614, BgL_locz00_13615); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13616;
BgL_za2za2resza2za2z00_13616 = 
PROCEDURE_ENTRY(BgL_bodyz00_11452)(BgL_bodyz00_11452, BgL_sz00_11453, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13613); 
return BgL_za2za2resza2za2z00_13616;} } } } } } 

}



/* &<@anonymous:3551> */
obj_t BGl_z62zc3z04anonymousza33551ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11454, obj_t BgL_sz00_11459)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11455;BgL_ev_absz00_bglt BgL_i1244z00_11456;obj_t BgL_bodyz00_11457;long BgL_siza7ezd2framez75_11458;
BgL_iboxesz00_11455 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11454, 
(int)(((long)0)))); 
BgL_i1244z00_11456 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11454, 
(int)(((long)1)))); 
BgL_bodyz00_11457 = 
PROCEDURE_REF(BgL_envz00_11454, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11458 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11454, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13617;
BgL_bpz00_13617 = 
VECTOR_REF(
((obj_t)BgL_sz00_11459),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13618;
BgL_runz00_13618 = 
MAKE_FX_PROCEDURE(BGl_z62run5105z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13618, 
(int)(((long)0)), BgL_iboxesz00_11455); 
PROCEDURE_SET(BgL_runz00_13618, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11456)); 
PROCEDURE_SET(BgL_runz00_13618, 
(int)(((long)2)), BgL_bodyz00_11457); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13619;
BgL_mainz00_13619 = 
MAKE_VA_PROCEDURE(BGl_z62main5104z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13619, 
(int)(((long)0)), BgL_iboxesz00_11455); 
PROCEDURE_SET(BgL_mainz00_13619, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11456)); 
PROCEDURE_SET(BgL_mainz00_13619, 
(int)(((long)2)), BgL_bodyz00_11457); 
PROCEDURE_SET(BgL_mainz00_13619, 
(int)(((long)3)), BgL_runz00_13618); 
PROCEDURE_SET(BgL_mainz00_13619, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11458)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13620;
BgL_objz00_13620 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13618, BgL_objz00_13620); BgL_objz00_13620; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3552z00_13621;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3553z00_13622;
BgL_arg3553z00_13622 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11456))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13623;
BgL_newz00_13623 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22551;
BgL_tmpz00_22551 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13623, BgL_tmpz00_22551, BgL_arg3553z00_13622); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22556;int BgL_tmpz00_22554;
BgL_auxz00_22556 = 
BINT(BgL_siza7ezd2framez75_11458); 
BgL_tmpz00_22554 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13623, BgL_tmpz00_22554, BgL_auxz00_22556); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22559;
BgL_tmpz00_22559 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13623, BgL_tmpz00_22559, BgL_runz00_13618); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22564;int BgL_tmpz00_22562;
BgL_auxz00_22564 = 
BINT(((long)-5)); 
BgL_tmpz00_22562 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13623, BgL_tmpz00_22562, BgL_auxz00_22564); } 
BgL_arg3552z00_13621 = BgL_newz00_13623; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13619, BgL_arg3552z00_13621); BgL_arg3552z00_13621; } 
return BgL_mainz00_13619;} } } } } } 

}



/* &main5104 */
obj_t BGl_z62main5104z62zz__evaluate_compz00(obj_t BgL_envz00_11460, obj_t BgL_az00_11466, obj_t BgL_bz00_11467, obj_t BgL_cz00_11468, obj_t BgL_dz00_11469, obj_t BgL_lastz00_11470)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11464;long BgL_siza7ezd2framez75_11465;
BgL_runz00_11464 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11460, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11465 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11460, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13624;
BgL_sz00_13624 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13625;
BgL_bpz00_13625 = 
VECTOR_REF(
((obj_t)BgL_sz00_13624),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13624, BgL_bpz00_13625, 
BINT(BgL_siza7ezd2framez75_11465)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3556z00_13626;
BgL_arg3556z00_13626 = 
(
(long)CINT(BgL_bpz00_13625)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13624),BgL_arg3556z00_13626,BgL_az00_11466); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3557z00_13627;
BgL_arg3557z00_13627 = 
(
(long)CINT(BgL_bpz00_13625)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13624),BgL_arg3557z00_13627,BgL_bz00_11467); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3558z00_13628;
BgL_arg3558z00_13628 = 
(
(long)CINT(BgL_bpz00_13625)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13624),BgL_arg3558z00_13628,BgL_cz00_11468); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3559z00_13629;
BgL_arg3559z00_13629 = 
(
(long)CINT(BgL_bpz00_13625)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13624),BgL_arg3559z00_13629,BgL_dz00_11469); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3560z00_13630;
BgL_arg3560z00_13630 = 
(
(long)CINT(BgL_bpz00_13625)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13624),BgL_arg3560z00_13630,BgL_lastz00_11470); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13631;
BgL_ez00_13631 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13631, BgL_bpz00_13625); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13632;
BgL_accz00_13632 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11464, BgL_sz00_13624, BgL_bpz00_13625); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13631); 
VECTOR_SET(
((obj_t)BgL_sz00_13624),((long)0),BgL_bpz00_13625); 
return BgL_accz00_13632;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13633;
BgL_nsz00_13633 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13633,((long)1),BgL_sz00_13624); 
VECTOR_SET(BgL_nsz00_13633,((long)2),BgL_az00_11466); 
VECTOR_SET(BgL_nsz00_13633,((long)3),BgL_bz00_11467); 
VECTOR_SET(BgL_nsz00_13633,((long)4),BgL_cz00_11468); 
VECTOR_SET(BgL_nsz00_13633,((long)5),BgL_dz00_11469); 
VECTOR_SET(BgL_nsz00_13633,((long)6),BgL_lastz00_11470); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13634;
BgL_z12denvz12_13634 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13634, BgL_nsz00_13633); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13635;
BgL_ez00_13635 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13635, BgL_sz00_13624); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13636;
BgL_____rz00_13636 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11464, BgL_nsz00_13633, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13635); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13634, BgL_sz00_13624); 
return BgL_____rz00_13636;} } } } } } } } 

}



/* &run5105 */
obj_t BGl_z62run5105z62zz__evaluate_compz00(obj_t BgL_envz00_11471, obj_t BgL_sz00_11475)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11472;BgL_ev_absz00_bglt BgL_i1244z00_11473;obj_t BgL_bodyz00_11474;
BgL_iboxesz00_11472 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11471, 
(int)(((long)0)))); 
BgL_i1244z00_11473 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11471, 
(int)(((long)1)))); 
BgL_bodyz00_11474 = 
PROCEDURE_REF(BgL_envz00_11471, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13637;
BgL_bpz00_13637 = 
VECTOR_REF(
((obj_t)BgL_sz00_11475),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11475, BgL_iboxesz00_11472, BgL_bpz00_13637); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13638;obj_t BgL_wherez00_13639;obj_t BgL_locz00_13640;
BgL_z12denvz12_13638 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13639 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11473))->BgL_wherez00); 
BgL_locz00_13640 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11473))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13638, BgL_wherez00_13639, BgL_locz00_13640); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13641;
BgL_za2za2resza2za2z00_13641 = 
PROCEDURE_ENTRY(BgL_bodyz00_11474)(BgL_bodyz00_11474, BgL_sz00_11475, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13638); 
return BgL_za2za2resza2za2z00_13641;} } } } } } 

}



/* &<@anonymous:3565> */
obj_t BGl_z62zc3z04anonymousza33565ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11476, obj_t BgL_sz00_11482)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11477;long BgL_siza7eza7_11478;BgL_ev_absz00_bglt BgL_i1244z00_11479;obj_t BgL_bodyz00_11480;long BgL_siza7ezd2framez75_11481;
BgL_ifreesz00_11477 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11476, 
(int)(((long)0)))); 
BgL_siza7eza7_11478 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11476, 
(int)(((long)1)))); 
BgL_i1244z00_11479 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11476, 
(int)(((long)2)))); 
BgL_bodyz00_11480 = 
PROCEDURE_REF(BgL_envz00_11476, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11481 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11476, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13642;
BgL_bpz00_13642 = 
VECTOR_REF(
((obj_t)BgL_sz00_11482),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13643;
BgL_valza2za2_13643 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11482, BgL_bpz00_13642, BgL_ifreesz00_11477); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13644;
BgL_runz00_13644 = 
MAKE_FX_PROCEDURE(BGl_z62run5107z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13644, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11478)); 
PROCEDURE_SET(BgL_runz00_13644, 
(int)(((long)1)), BgL_valza2za2_13643); 
PROCEDURE_SET(BgL_runz00_13644, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11479)); 
PROCEDURE_SET(BgL_runz00_13644, 
(int)(((long)3)), BgL_bodyz00_11480); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13645;
BgL_mainz00_13645 = 
MAKE_VA_PROCEDURE(BGl_z62main5106z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13645, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11478)); 
PROCEDURE_SET(BgL_mainz00_13645, 
(int)(((long)1)), BgL_valza2za2_13643); 
PROCEDURE_SET(BgL_mainz00_13645, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11479)); 
PROCEDURE_SET(BgL_mainz00_13645, 
(int)(((long)3)), BgL_bodyz00_11480); 
PROCEDURE_SET(BgL_mainz00_13645, 
(int)(((long)4)), BgL_runz00_13644); 
PROCEDURE_SET(BgL_mainz00_13645, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11481)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13646;
BgL_objz00_13646 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13644, BgL_objz00_13646); BgL_objz00_13646; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3566z00_13647;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3567z00_13648;
BgL_arg3567z00_13648 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11479))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13649;
BgL_newz00_13649 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22693;
BgL_tmpz00_22693 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13649, BgL_tmpz00_22693, BgL_arg3567z00_13648); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22698;int BgL_tmpz00_22696;
BgL_auxz00_22698 = 
BINT(BgL_siza7ezd2framez75_11481); 
BgL_tmpz00_22696 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13649, BgL_tmpz00_22696, BgL_auxz00_22698); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22701;
BgL_tmpz00_22701 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13649, BgL_tmpz00_22701, BgL_runz00_13644); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22706;int BgL_tmpz00_22704;
BgL_auxz00_22706 = 
BINT(((long)-5)); 
BgL_tmpz00_22704 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13649, BgL_tmpz00_22704, BgL_auxz00_22706); } 
BgL_arg3566z00_13647 = BgL_newz00_13649; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13645, BgL_arg3566z00_13647); BgL_arg3566z00_13647; } 
return BgL_mainz00_13645;} } } } } } 

}



/* &main5106 */
obj_t BGl_z62main5106z62zz__evaluate_compz00(obj_t BgL_envz00_11483, obj_t BgL_az00_11490, obj_t BgL_bz00_11491, obj_t BgL_cz00_11492, obj_t BgL_dz00_11493, obj_t BgL_lastz00_11494)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11488;long BgL_siza7ezd2framez75_11489;
BgL_runz00_11488 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11483, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11489 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11483, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13650;
BgL_sz00_13650 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13651;
BgL_bpz00_13651 = 
VECTOR_REF(
((obj_t)BgL_sz00_13650),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13650, BgL_bpz00_13651, 
BINT(BgL_siza7ezd2framez75_11489)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3570z00_13652;
BgL_arg3570z00_13652 = 
(
(long)CINT(BgL_bpz00_13651)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13650),BgL_arg3570z00_13652,BgL_az00_11490); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3571z00_13653;
BgL_arg3571z00_13653 = 
(
(long)CINT(BgL_bpz00_13651)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13650),BgL_arg3571z00_13653,BgL_bz00_11491); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3572z00_13654;
BgL_arg3572z00_13654 = 
(
(long)CINT(BgL_bpz00_13651)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13650),BgL_arg3572z00_13654,BgL_cz00_11492); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3573z00_13655;
BgL_arg3573z00_13655 = 
(
(long)CINT(BgL_bpz00_13651)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13650),BgL_arg3573z00_13655,BgL_dz00_11493); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3574z00_13656;
BgL_arg3574z00_13656 = 
(
(long)CINT(BgL_bpz00_13651)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13650),BgL_arg3574z00_13656,BgL_lastz00_11494); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13657;
BgL_ez00_13657 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13657, BgL_bpz00_13651); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13658;
BgL_accz00_13658 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11488, BgL_sz00_13650, BgL_bpz00_13651); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13657); 
VECTOR_SET(
((obj_t)BgL_sz00_13650),((long)0),BgL_bpz00_13651); 
return BgL_accz00_13658;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13659;
BgL_nsz00_13659 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13659,((long)1),BgL_sz00_13650); 
VECTOR_SET(BgL_nsz00_13659,((long)2),BgL_az00_11490); 
VECTOR_SET(BgL_nsz00_13659,((long)3),BgL_bz00_11491); 
VECTOR_SET(BgL_nsz00_13659,((long)4),BgL_cz00_11492); 
VECTOR_SET(BgL_nsz00_13659,((long)5),BgL_dz00_11493); 
VECTOR_SET(BgL_nsz00_13659,((long)6),BgL_lastz00_11494); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13660;
BgL_z12denvz12_13660 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13660, BgL_nsz00_13659); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13661;
BgL_ez00_13661 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13661, BgL_sz00_13650); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13662;
BgL_____rz00_13662 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11488, BgL_nsz00_13659, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13661); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13660, BgL_sz00_13650); 
return BgL_____rz00_13662;} } } } } } } } 

}



/* &run5107 */
obj_t BGl_z62run5107z62zz__evaluate_compz00(obj_t BgL_envz00_11495, obj_t BgL_sz00_11500)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11496;obj_t BgL_valza2za2_11497;BgL_ev_absz00_bglt BgL_i1244z00_11498;obj_t BgL_bodyz00_11499;
BgL_siza7eza7_11496 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11495, 
(int)(((long)0)))); 
BgL_valza2za2_11497 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11495, 
(int)(((long)1)))); 
BgL_i1244z00_11498 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11495, 
(int)(((long)2)))); 
BgL_bodyz00_11499 = 
PROCEDURE_REF(BgL_envz00_11495, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13663;
BgL_bpz00_13663 = 
VECTOR_REF(
((obj_t)BgL_sz00_11500),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11500, BgL_valza2za2_11497, 
(
(long)CINT(BgL_bpz00_13663)+BgL_siza7eza7_11496)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13664;obj_t BgL_wherez00_13665;obj_t BgL_locz00_13666;
BgL_z12denvz12_13664 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13665 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11498))->BgL_wherez00); 
BgL_locz00_13666 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11498))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13664, BgL_wherez00_13665, BgL_locz00_13666); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13667;
BgL_za2za2resza2za2z00_13667 = 
PROCEDURE_ENTRY(BgL_bodyz00_11499)(BgL_bodyz00_11499, BgL_sz00_11500, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13664); 
return BgL_za2za2resza2za2z00_13667;} } } } } } 

}



/* &<@anonymous:3577> */
obj_t BGl_z62zc3z04anonymousza33577ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11501, obj_t BgL_sz00_11508)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11502;obj_t BgL_iboxesz00_11503;long BgL_siza7eza7_11504;BgL_ev_absz00_bglt BgL_i1244z00_11505;obj_t BgL_bodyz00_11506;long BgL_siza7ezd2framez75_11507;
BgL_ifreesz00_11502 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11501, 
(int)(((long)0)))); 
BgL_iboxesz00_11503 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11501, 
(int)(((long)1)))); 
BgL_siza7eza7_11504 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11501, 
(int)(((long)2)))); 
BgL_i1244z00_11505 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11501, 
(int)(((long)3)))); 
BgL_bodyz00_11506 = 
PROCEDURE_REF(BgL_envz00_11501, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11507 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11501, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13668;
BgL_bpz00_13668 = 
VECTOR_REF(
((obj_t)BgL_sz00_11508),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13669;
BgL_valza2za2_13669 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11508, BgL_bpz00_13668, BgL_ifreesz00_11502); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13670;
BgL_runz00_13670 = 
MAKE_FX_PROCEDURE(BGl_z62run5109z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13670, 
(int)(((long)0)), BgL_iboxesz00_11503); 
PROCEDURE_SET(BgL_runz00_13670, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11504)); 
PROCEDURE_SET(BgL_runz00_13670, 
(int)(((long)2)), BgL_valza2za2_13669); 
PROCEDURE_SET(BgL_runz00_13670, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11505)); 
PROCEDURE_SET(BgL_runz00_13670, 
(int)(((long)4)), BgL_bodyz00_11506); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13671;
BgL_mainz00_13671 = 
MAKE_VA_PROCEDURE(BGl_z62main5108z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13671, 
(int)(((long)0)), BgL_iboxesz00_11503); 
PROCEDURE_SET(BgL_mainz00_13671, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11504)); 
PROCEDURE_SET(BgL_mainz00_13671, 
(int)(((long)2)), BgL_valza2za2_13669); 
PROCEDURE_SET(BgL_mainz00_13671, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11505)); 
PROCEDURE_SET(BgL_mainz00_13671, 
(int)(((long)4)), BgL_bodyz00_11506); 
PROCEDURE_SET(BgL_mainz00_13671, 
(int)(((long)5)), BgL_runz00_13670); 
PROCEDURE_SET(BgL_mainz00_13671, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11507)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13672;
BgL_objz00_13672 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13670, BgL_objz00_13672); BgL_objz00_13672; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3578z00_13673;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3579z00_13674;
BgL_arg3579z00_13674 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11505))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13675;
BgL_newz00_13675 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22847;
BgL_tmpz00_22847 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13675, BgL_tmpz00_22847, BgL_arg3579z00_13674); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22852;int BgL_tmpz00_22850;
BgL_auxz00_22852 = 
BINT(BgL_siza7ezd2framez75_11507); 
BgL_tmpz00_22850 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13675, BgL_tmpz00_22850, BgL_auxz00_22852); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22855;
BgL_tmpz00_22855 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13675, BgL_tmpz00_22855, BgL_runz00_13670); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22860;int BgL_tmpz00_22858;
BgL_auxz00_22860 = 
BINT(((long)-5)); 
BgL_tmpz00_22858 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13675, BgL_tmpz00_22858, BgL_auxz00_22860); } 
BgL_arg3578z00_13673 = BgL_newz00_13675; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13671, BgL_arg3578z00_13673); BgL_arg3578z00_13673; } 
return BgL_mainz00_13671;} } } } } } 

}



/* &main5108 */
obj_t BGl_z62main5108z62zz__evaluate_compz00(obj_t BgL_envz00_11509, obj_t BgL_az00_11517, obj_t BgL_bz00_11518, obj_t BgL_cz00_11519, obj_t BgL_dz00_11520, obj_t BgL_lastz00_11521)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11515;long BgL_siza7ezd2framez75_11516;
BgL_runz00_11515 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11516 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11509, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13676;
BgL_sz00_13676 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13677;
BgL_bpz00_13677 = 
VECTOR_REF(
((obj_t)BgL_sz00_13676),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13676, BgL_bpz00_13677, 
BINT(BgL_siza7ezd2framez75_11516)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3582z00_13678;
BgL_arg3582z00_13678 = 
(
(long)CINT(BgL_bpz00_13677)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13676),BgL_arg3582z00_13678,BgL_az00_11517); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3583z00_13679;
BgL_arg3583z00_13679 = 
(
(long)CINT(BgL_bpz00_13677)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13676),BgL_arg3583z00_13679,BgL_bz00_11518); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3584z00_13680;
BgL_arg3584z00_13680 = 
(
(long)CINT(BgL_bpz00_13677)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13676),BgL_arg3584z00_13680,BgL_cz00_11519); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3585z00_13681;
BgL_arg3585z00_13681 = 
(
(long)CINT(BgL_bpz00_13677)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13676),BgL_arg3585z00_13681,BgL_dz00_11520); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3586z00_13682;
BgL_arg3586z00_13682 = 
(
(long)CINT(BgL_bpz00_13677)+((long)4)); 
VECTOR_SET(
((obj_t)BgL_sz00_13676),BgL_arg3586z00_13682,BgL_lastz00_11521); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13683;
BgL_ez00_13683 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13683, BgL_bpz00_13677); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13684;
BgL_accz00_13684 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11515, BgL_sz00_13676, BgL_bpz00_13677); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13683); 
VECTOR_SET(
((obj_t)BgL_sz00_13676),((long)0),BgL_bpz00_13677); 
return BgL_accz00_13684;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13685;
BgL_nsz00_13685 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13685,((long)1),BgL_sz00_13676); 
VECTOR_SET(BgL_nsz00_13685,((long)2),BgL_az00_11517); 
VECTOR_SET(BgL_nsz00_13685,((long)3),BgL_bz00_11518); 
VECTOR_SET(BgL_nsz00_13685,((long)4),BgL_cz00_11519); 
VECTOR_SET(BgL_nsz00_13685,((long)5),BgL_dz00_11520); 
VECTOR_SET(BgL_nsz00_13685,((long)6),BgL_lastz00_11521); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13686;
BgL_z12denvz12_13686 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13686, BgL_nsz00_13685); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13687;
BgL_ez00_13687 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13687, BgL_sz00_13676); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13688;
BgL_____rz00_13688 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11515, BgL_nsz00_13685, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13687); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13686, BgL_sz00_13676); 
return BgL_____rz00_13688;} } } } } } } } 

}



/* &run5109 */
obj_t BGl_z62run5109z62zz__evaluate_compz00(obj_t BgL_envz00_11522, obj_t BgL_sz00_11528)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11523;long BgL_siza7eza7_11524;obj_t BgL_valza2za2_11525;BgL_ev_absz00_bglt BgL_i1244z00_11526;obj_t BgL_bodyz00_11527;
BgL_iboxesz00_11523 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11522, 
(int)(((long)0)))); 
BgL_siza7eza7_11524 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11522, 
(int)(((long)1)))); 
BgL_valza2za2_11525 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11522, 
(int)(((long)2)))); 
BgL_i1244z00_11526 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11522, 
(int)(((long)3)))); 
BgL_bodyz00_11527 = 
PROCEDURE_REF(BgL_envz00_11522, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13689;
BgL_bpz00_13689 = 
VECTOR_REF(
((obj_t)BgL_sz00_11528),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11528, BgL_iboxesz00_11523, BgL_bpz00_13689); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11528, BgL_valza2za2_11525, 
(
(long)CINT(BgL_bpz00_13689)+BgL_siza7eza7_11524)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13690;obj_t BgL_wherez00_13691;obj_t BgL_locz00_13692;
BgL_z12denvz12_13690 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13691 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11526))->BgL_wherez00); 
BgL_locz00_13692 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11526))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13690, BgL_wherez00_13691, BgL_locz00_13692); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13693;
BgL_za2za2resza2za2z00_13693 = 
PROCEDURE_ENTRY(BgL_bodyz00_11527)(BgL_bodyz00_11527, BgL_sz00_11528, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13690); 
return BgL_za2za2resza2za2z00_13693;} } } } } } 

}



/* &<@anonymous:3489> */
obj_t BGl_z62zc3z04anonymousza33489ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11529, obj_t BgL_sz00_11533)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11530;obj_t BgL_bodyz00_11531;long BgL_siza7ezd2framez75_11532;
BgL_i1244z00_11530 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)0)))); 
BgL_bodyz00_11531 = 
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11532 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11529, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13694;
BgL_bpz00_13694 = 
VECTOR_REF(
((obj_t)BgL_sz00_11533),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13695;
BgL_runz00_13695 = 
MAKE_FX_PROCEDURE(BGl_z62run5111z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13695, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11530)); 
PROCEDURE_SET(BgL_runz00_13695, 
(int)(((long)1)), BgL_bodyz00_11531); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13696;
BgL_mainz00_13696 = 
MAKE_FX_PROCEDURE(BGl_z62main5110z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13696, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11530)); 
PROCEDURE_SET(BgL_mainz00_13696, 
(int)(((long)1)), BgL_bodyz00_11531); 
PROCEDURE_SET(BgL_mainz00_13696, 
(int)(((long)2)), BgL_runz00_13695); 
PROCEDURE_SET(BgL_mainz00_13696, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11532)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13697;
BgL_objz00_13697 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13695, BgL_objz00_13697); BgL_objz00_13697; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3490z00_13698;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3491z00_13699;
BgL_arg3491z00_13699 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11530))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13700;
BgL_newz00_13700 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22981;
BgL_tmpz00_22981 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13700, BgL_tmpz00_22981, BgL_arg3491z00_13699); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22986;int BgL_tmpz00_22984;
BgL_auxz00_22986 = 
BINT(BgL_siza7ezd2framez75_11532); 
BgL_tmpz00_22984 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13700, BgL_tmpz00_22984, BgL_auxz00_22986); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_22989;
BgL_tmpz00_22989 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13700, BgL_tmpz00_22989, BgL_runz00_13695); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_22994;int BgL_tmpz00_22992;
BgL_auxz00_22994 = 
BINT(((long)4)); 
BgL_tmpz00_22992 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13700, BgL_tmpz00_22992, BgL_auxz00_22994); } 
BgL_arg3490z00_13698 = BgL_newz00_13700; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13696, BgL_arg3490z00_13698); BgL_arg3490z00_13698; } 
return BgL_mainz00_13696;} } } } } } 

}



/* &main5110 */
obj_t BGl_z62main5110z62zz__evaluate_compz00(obj_t BgL_envz00_11534, obj_t BgL_az00_11539, obj_t BgL_bz00_11540, obj_t BgL_cz00_11541, obj_t BgL_dz00_11542)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11537;long BgL_siza7ezd2framez75_11538;
BgL_runz00_11537 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11534, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11538 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11534, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13701;
BgL_sz00_13701 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13702;
BgL_bpz00_13702 = 
VECTOR_REF(
((obj_t)BgL_sz00_13701),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13701, BgL_bpz00_13702, 
BINT(BgL_siza7ezd2framez75_11538)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3494z00_13703;
BgL_arg3494z00_13703 = 
(
(long)CINT(BgL_bpz00_13702)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13701),BgL_arg3494z00_13703,BgL_az00_11539); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3495z00_13704;
BgL_arg3495z00_13704 = 
(
(long)CINT(BgL_bpz00_13702)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13701),BgL_arg3495z00_13704,BgL_bz00_11540); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3496z00_13705;
BgL_arg3496z00_13705 = 
(
(long)CINT(BgL_bpz00_13702)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13701),BgL_arg3496z00_13705,BgL_cz00_11541); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3497z00_13706;
BgL_arg3497z00_13706 = 
(
(long)CINT(BgL_bpz00_13702)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13701),BgL_arg3497z00_13706,BgL_dz00_11542); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13707;
BgL_ez00_13707 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13707, BgL_bpz00_13702); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13708;
BgL_accz00_13708 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11537, BgL_sz00_13701, BgL_bpz00_13702); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13707); 
VECTOR_SET(
((obj_t)BgL_sz00_13701),((long)0),BgL_bpz00_13702); 
return BgL_accz00_13708;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13709;
BgL_nsz00_13709 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13709,((long)1),BgL_sz00_13701); 
VECTOR_SET(BgL_nsz00_13709,((long)2),BgL_az00_11539); 
VECTOR_SET(BgL_nsz00_13709,((long)3),BgL_bz00_11540); 
VECTOR_SET(BgL_nsz00_13709,((long)4),BgL_cz00_11541); 
VECTOR_SET(BgL_nsz00_13709,((long)5),BgL_dz00_11542); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13710;
BgL_z12denvz12_13710 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13710, BgL_nsz00_13709); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13711;
BgL_ez00_13711 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13711, BgL_sz00_13701); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13712;
BgL_____rz00_13712 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11537, BgL_nsz00_13709, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13711); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13710, BgL_sz00_13701); 
return BgL_____rz00_13712;} } } } } } } } 

}



/* &run5111 */
obj_t BGl_z62run5111z62zz__evaluate_compz00(obj_t BgL_envz00_11543, obj_t BgL_sz00_11546)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11544;obj_t BgL_bodyz00_11545;
BgL_i1244z00_11544 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11543, 
(int)(((long)0)))); 
BgL_bodyz00_11545 = 
PROCEDURE_REF(BgL_envz00_11543, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13713;
BgL_bpz00_13713 = 
VECTOR_REF(
((obj_t)BgL_sz00_11546),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13714;obj_t BgL_wherez00_13715;obj_t BgL_locz00_13716;
BgL_z12denvz12_13714 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13715 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11544))->BgL_wherez00); 
BgL_locz00_13716 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11544))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13714, BgL_wherez00_13715, BgL_locz00_13716); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13717;
BgL_za2za2resza2za2z00_13717 = 
PROCEDURE_ENTRY(BgL_bodyz00_11545)(BgL_bodyz00_11545, BgL_sz00_11546, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13714); 
return BgL_za2za2resza2za2z00_13717;} } } } } } 

}



/* &<@anonymous:3499> */
obj_t BGl_z62zc3z04anonymousza33499ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11547, obj_t BgL_sz00_11552)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11548;BgL_ev_absz00_bglt BgL_i1244z00_11549;obj_t BgL_bodyz00_11550;long BgL_siza7ezd2framez75_11551;
BgL_iboxesz00_11548 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11547, 
(int)(((long)0)))); 
BgL_i1244z00_11549 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11547, 
(int)(((long)1)))); 
BgL_bodyz00_11550 = 
PROCEDURE_REF(BgL_envz00_11547, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11551 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11547, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13718;
BgL_bpz00_13718 = 
VECTOR_REF(
((obj_t)BgL_sz00_11552),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13719;
BgL_runz00_13719 = 
MAKE_FX_PROCEDURE(BGl_z62run5113z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13719, 
(int)(((long)0)), BgL_iboxesz00_11548); 
PROCEDURE_SET(BgL_runz00_13719, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11549)); 
PROCEDURE_SET(BgL_runz00_13719, 
(int)(((long)2)), BgL_bodyz00_11550); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13720;
BgL_mainz00_13720 = 
MAKE_FX_PROCEDURE(BGl_z62main5112z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13720, 
(int)(((long)0)), BgL_iboxesz00_11548); 
PROCEDURE_SET(BgL_mainz00_13720, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11549)); 
PROCEDURE_SET(BgL_mainz00_13720, 
(int)(((long)2)), BgL_bodyz00_11550); 
PROCEDURE_SET(BgL_mainz00_13720, 
(int)(((long)3)), BgL_runz00_13719); 
PROCEDURE_SET(BgL_mainz00_13720, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11551)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13721;
BgL_objz00_13721 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13719, BgL_objz00_13721); BgL_objz00_13721; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3500z00_13722;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3501z00_13723;
BgL_arg3501z00_13723 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11549))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13724;
BgL_newz00_13724 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23104;
BgL_tmpz00_23104 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13724, BgL_tmpz00_23104, BgL_arg3501z00_13723); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23109;int BgL_tmpz00_23107;
BgL_auxz00_23109 = 
BINT(BgL_siza7ezd2framez75_11551); 
BgL_tmpz00_23107 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13724, BgL_tmpz00_23107, BgL_auxz00_23109); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23112;
BgL_tmpz00_23112 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13724, BgL_tmpz00_23112, BgL_runz00_13719); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23117;int BgL_tmpz00_23115;
BgL_auxz00_23117 = 
BINT(((long)4)); 
BgL_tmpz00_23115 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13724, BgL_tmpz00_23115, BgL_auxz00_23117); } 
BgL_arg3500z00_13722 = BgL_newz00_13724; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13720, BgL_arg3500z00_13722); BgL_arg3500z00_13722; } 
return BgL_mainz00_13720;} } } } } } 

}



/* &main5112 */
obj_t BGl_z62main5112z62zz__evaluate_compz00(obj_t BgL_envz00_11553, obj_t BgL_az00_11559, obj_t BgL_bz00_11560, obj_t BgL_cz00_11561, obj_t BgL_dz00_11562)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11557;long BgL_siza7ezd2framez75_11558;
BgL_runz00_11557 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11553, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11558 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11553, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13725;
BgL_sz00_13725 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13726;
BgL_bpz00_13726 = 
VECTOR_REF(
((obj_t)BgL_sz00_13725),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13725, BgL_bpz00_13726, 
BINT(BgL_siza7ezd2framez75_11558)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3504z00_13727;
BgL_arg3504z00_13727 = 
(
(long)CINT(BgL_bpz00_13726)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13725),BgL_arg3504z00_13727,BgL_az00_11559); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3505z00_13728;
BgL_arg3505z00_13728 = 
(
(long)CINT(BgL_bpz00_13726)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13725),BgL_arg3505z00_13728,BgL_bz00_11560); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3506z00_13729;
BgL_arg3506z00_13729 = 
(
(long)CINT(BgL_bpz00_13726)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13725),BgL_arg3506z00_13729,BgL_cz00_11561); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3507z00_13730;
BgL_arg3507z00_13730 = 
(
(long)CINT(BgL_bpz00_13726)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13725),BgL_arg3507z00_13730,BgL_dz00_11562); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13731;
BgL_ez00_13731 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13731, BgL_bpz00_13726); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13732;
BgL_accz00_13732 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11557, BgL_sz00_13725, BgL_bpz00_13726); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13731); 
VECTOR_SET(
((obj_t)BgL_sz00_13725),((long)0),BgL_bpz00_13726); 
return BgL_accz00_13732;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13733;
BgL_nsz00_13733 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13733,((long)1),BgL_sz00_13725); 
VECTOR_SET(BgL_nsz00_13733,((long)2),BgL_az00_11559); 
VECTOR_SET(BgL_nsz00_13733,((long)3),BgL_bz00_11560); 
VECTOR_SET(BgL_nsz00_13733,((long)4),BgL_cz00_11561); 
VECTOR_SET(BgL_nsz00_13733,((long)5),BgL_dz00_11562); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13734;
BgL_z12denvz12_13734 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13734, BgL_nsz00_13733); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13735;
BgL_ez00_13735 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13735, BgL_sz00_13725); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13736;
BgL_____rz00_13736 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11557, BgL_nsz00_13733, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13735); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13734, BgL_sz00_13725); 
return BgL_____rz00_13736;} } } } } } } } 

}



/* &run5113 */
obj_t BGl_z62run5113z62zz__evaluate_compz00(obj_t BgL_envz00_11563, obj_t BgL_sz00_11567)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11564;BgL_ev_absz00_bglt BgL_i1244z00_11565;obj_t BgL_bodyz00_11566;
BgL_iboxesz00_11564 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11563, 
(int)(((long)0)))); 
BgL_i1244z00_11565 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11563, 
(int)(((long)1)))); 
BgL_bodyz00_11566 = 
PROCEDURE_REF(BgL_envz00_11563, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13737;
BgL_bpz00_13737 = 
VECTOR_REF(
((obj_t)BgL_sz00_11567),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11567, BgL_iboxesz00_11564, BgL_bpz00_13737); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13738;obj_t BgL_wherez00_13739;obj_t BgL_locz00_13740;
BgL_z12denvz12_13738 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13739 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11565))->BgL_wherez00); 
BgL_locz00_13740 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11565))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13738, BgL_wherez00_13739, BgL_locz00_13740); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13741;
BgL_za2za2resza2za2z00_13741 = 
PROCEDURE_ENTRY(BgL_bodyz00_11566)(BgL_bodyz00_11566, BgL_sz00_11567, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13738); 
return BgL_za2za2resza2za2z00_13741;} } } } } } 

}



/* &<@anonymous:3512> */
obj_t BGl_z62zc3z04anonymousza33512ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11568, obj_t BgL_sz00_11574)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11569;long BgL_siza7eza7_11570;BgL_ev_absz00_bglt BgL_i1244z00_11571;obj_t BgL_bodyz00_11572;long BgL_siza7ezd2framez75_11573;
BgL_ifreesz00_11569 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11568, 
(int)(((long)0)))); 
BgL_siza7eza7_11570 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11568, 
(int)(((long)1)))); 
BgL_i1244z00_11571 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11568, 
(int)(((long)2)))); 
BgL_bodyz00_11572 = 
PROCEDURE_REF(BgL_envz00_11568, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11573 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11568, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13742;
BgL_bpz00_13742 = 
VECTOR_REF(
((obj_t)BgL_sz00_11574),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13743;
BgL_valza2za2_13743 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11574, BgL_bpz00_13742, BgL_ifreesz00_11569); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13744;
BgL_runz00_13744 = 
MAKE_FX_PROCEDURE(BGl_z62run5115z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13744, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11570)); 
PROCEDURE_SET(BgL_runz00_13744, 
(int)(((long)1)), BgL_valza2za2_13743); 
PROCEDURE_SET(BgL_runz00_13744, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11571)); 
PROCEDURE_SET(BgL_runz00_13744, 
(int)(((long)3)), BgL_bodyz00_11572); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13745;
BgL_mainz00_13745 = 
MAKE_FX_PROCEDURE(BGl_z62main5114z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13745, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11570)); 
PROCEDURE_SET(BgL_mainz00_13745, 
(int)(((long)1)), BgL_valza2za2_13743); 
PROCEDURE_SET(BgL_mainz00_13745, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11571)); 
PROCEDURE_SET(BgL_mainz00_13745, 
(int)(((long)3)), BgL_bodyz00_11572); 
PROCEDURE_SET(BgL_mainz00_13745, 
(int)(((long)4)), BgL_runz00_13744); 
PROCEDURE_SET(BgL_mainz00_13745, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11573)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13746;
BgL_objz00_13746 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13744, BgL_objz00_13746); BgL_objz00_13746; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3513z00_13747;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3514z00_13748;
BgL_arg3514z00_13748 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11571))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13749;
BgL_newz00_13749 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23241;
BgL_tmpz00_23241 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13749, BgL_tmpz00_23241, BgL_arg3514z00_13748); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23246;int BgL_tmpz00_23244;
BgL_auxz00_23246 = 
BINT(BgL_siza7ezd2framez75_11573); 
BgL_tmpz00_23244 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13749, BgL_tmpz00_23244, BgL_auxz00_23246); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23249;
BgL_tmpz00_23249 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13749, BgL_tmpz00_23249, BgL_runz00_13744); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23254;int BgL_tmpz00_23252;
BgL_auxz00_23254 = 
BINT(((long)4)); 
BgL_tmpz00_23252 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13749, BgL_tmpz00_23252, BgL_auxz00_23254); } 
BgL_arg3513z00_13747 = BgL_newz00_13749; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13745, BgL_arg3513z00_13747); BgL_arg3513z00_13747; } 
return BgL_mainz00_13745;} } } } } } 

}



/* &main5114 */
obj_t BGl_z62main5114z62zz__evaluate_compz00(obj_t BgL_envz00_11575, obj_t BgL_az00_11582, obj_t BgL_bz00_11583, obj_t BgL_cz00_11584, obj_t BgL_dz00_11585)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11580;long BgL_siza7ezd2framez75_11581;
BgL_runz00_11580 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11575, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11581 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11575, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13750;
BgL_sz00_13750 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13751;
BgL_bpz00_13751 = 
VECTOR_REF(
((obj_t)BgL_sz00_13750),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13750, BgL_bpz00_13751, 
BINT(BgL_siza7ezd2framez75_11581)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3517z00_13752;
BgL_arg3517z00_13752 = 
(
(long)CINT(BgL_bpz00_13751)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13750),BgL_arg3517z00_13752,BgL_az00_11582); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3518z00_13753;
BgL_arg3518z00_13753 = 
(
(long)CINT(BgL_bpz00_13751)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13750),BgL_arg3518z00_13753,BgL_bz00_11583); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3519z00_13754;
BgL_arg3519z00_13754 = 
(
(long)CINT(BgL_bpz00_13751)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13750),BgL_arg3519z00_13754,BgL_cz00_11584); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3520z00_13755;
BgL_arg3520z00_13755 = 
(
(long)CINT(BgL_bpz00_13751)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13750),BgL_arg3520z00_13755,BgL_dz00_11585); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13756;
BgL_ez00_13756 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13756, BgL_bpz00_13751); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13757;
BgL_accz00_13757 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11580, BgL_sz00_13750, BgL_bpz00_13751); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13756); 
VECTOR_SET(
((obj_t)BgL_sz00_13750),((long)0),BgL_bpz00_13751); 
return BgL_accz00_13757;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13758;
BgL_nsz00_13758 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13758,((long)1),BgL_sz00_13750); 
VECTOR_SET(BgL_nsz00_13758,((long)2),BgL_az00_11582); 
VECTOR_SET(BgL_nsz00_13758,((long)3),BgL_bz00_11583); 
VECTOR_SET(BgL_nsz00_13758,((long)4),BgL_cz00_11584); 
VECTOR_SET(BgL_nsz00_13758,((long)5),BgL_dz00_11585); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13759;
BgL_z12denvz12_13759 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13759, BgL_nsz00_13758); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13760;
BgL_ez00_13760 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13760, BgL_sz00_13750); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13761;
BgL_____rz00_13761 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11580, BgL_nsz00_13758, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13760); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13759, BgL_sz00_13750); 
return BgL_____rz00_13761;} } } } } } } } 

}



/* &run5115 */
obj_t BGl_z62run5115z62zz__evaluate_compz00(obj_t BgL_envz00_11586, obj_t BgL_sz00_11591)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11587;obj_t BgL_valza2za2_11588;BgL_ev_absz00_bglt BgL_i1244z00_11589;obj_t BgL_bodyz00_11590;
BgL_siza7eza7_11587 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11586, 
(int)(((long)0)))); 
BgL_valza2za2_11588 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11586, 
(int)(((long)1)))); 
BgL_i1244z00_11589 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11586, 
(int)(((long)2)))); 
BgL_bodyz00_11590 = 
PROCEDURE_REF(BgL_envz00_11586, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13762;
BgL_bpz00_13762 = 
VECTOR_REF(
((obj_t)BgL_sz00_11591),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11591, BgL_valza2za2_11588, 
(
(long)CINT(BgL_bpz00_13762)+BgL_siza7eza7_11587)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13763;obj_t BgL_wherez00_13764;obj_t BgL_locz00_13765;
BgL_z12denvz12_13763 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13764 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11589))->BgL_wherez00); 
BgL_locz00_13765 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11589))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13763, BgL_wherez00_13764, BgL_locz00_13765); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13766;
BgL_za2za2resza2za2z00_13766 = 
PROCEDURE_ENTRY(BgL_bodyz00_11590)(BgL_bodyz00_11590, BgL_sz00_11591, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13763); 
return BgL_za2za2resza2za2z00_13766;} } } } } } 

}



/* &<@anonymous:3523> */
obj_t BGl_z62zc3z04anonymousza33523ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11592, obj_t BgL_sz00_11599)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11593;obj_t BgL_iboxesz00_11594;long BgL_siza7eza7_11595;BgL_ev_absz00_bglt BgL_i1244z00_11596;obj_t BgL_bodyz00_11597;long BgL_siza7ezd2framez75_11598;
BgL_ifreesz00_11593 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11592, 
(int)(((long)0)))); 
BgL_iboxesz00_11594 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11592, 
(int)(((long)1)))); 
BgL_siza7eza7_11595 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11592, 
(int)(((long)2)))); 
BgL_i1244z00_11596 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11592, 
(int)(((long)3)))); 
BgL_bodyz00_11597 = 
PROCEDURE_REF(BgL_envz00_11592, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11598 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11592, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13767;
BgL_bpz00_13767 = 
VECTOR_REF(
((obj_t)BgL_sz00_11599),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13768;
BgL_valza2za2_13768 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11599, BgL_bpz00_13767, BgL_ifreesz00_11593); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13769;
BgL_runz00_13769 = 
MAKE_FX_PROCEDURE(BGl_z62run5117z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13769, 
(int)(((long)0)), BgL_iboxesz00_11594); 
PROCEDURE_SET(BgL_runz00_13769, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11595)); 
PROCEDURE_SET(BgL_runz00_13769, 
(int)(((long)2)), BgL_valza2za2_13768); 
PROCEDURE_SET(BgL_runz00_13769, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11596)); 
PROCEDURE_SET(BgL_runz00_13769, 
(int)(((long)4)), BgL_bodyz00_11597); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13770;
BgL_mainz00_13770 = 
MAKE_FX_PROCEDURE(BGl_z62main5116z62zz__evaluate_compz00, 
(int)(((long)4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13770, 
(int)(((long)0)), BgL_iboxesz00_11594); 
PROCEDURE_SET(BgL_mainz00_13770, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11595)); 
PROCEDURE_SET(BgL_mainz00_13770, 
(int)(((long)2)), BgL_valza2za2_13768); 
PROCEDURE_SET(BgL_mainz00_13770, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11596)); 
PROCEDURE_SET(BgL_mainz00_13770, 
(int)(((long)4)), BgL_bodyz00_11597); 
PROCEDURE_SET(BgL_mainz00_13770, 
(int)(((long)5)), BgL_runz00_13769); 
PROCEDURE_SET(BgL_mainz00_13770, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11598)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13771;
BgL_objz00_13771 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13769, BgL_objz00_13771); BgL_objz00_13771; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3524z00_13772;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3525z00_13773;
BgL_arg3525z00_13773 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11596))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13774;
BgL_newz00_13774 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23390;
BgL_tmpz00_23390 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13774, BgL_tmpz00_23390, BgL_arg3525z00_13773); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23395;int BgL_tmpz00_23393;
BgL_auxz00_23395 = 
BINT(BgL_siza7ezd2framez75_11598); 
BgL_tmpz00_23393 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13774, BgL_tmpz00_23393, BgL_auxz00_23395); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23398;
BgL_tmpz00_23398 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13774, BgL_tmpz00_23398, BgL_runz00_13769); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23403;int BgL_tmpz00_23401;
BgL_auxz00_23403 = 
BINT(((long)4)); 
BgL_tmpz00_23401 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13774, BgL_tmpz00_23401, BgL_auxz00_23403); } 
BgL_arg3524z00_13772 = BgL_newz00_13774; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13770, BgL_arg3524z00_13772); BgL_arg3524z00_13772; } 
return BgL_mainz00_13770;} } } } } } 

}



/* &main5116 */
obj_t BGl_z62main5116z62zz__evaluate_compz00(obj_t BgL_envz00_11600, obj_t BgL_az00_11608, obj_t BgL_bz00_11609, obj_t BgL_cz00_11610, obj_t BgL_dz00_11611)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11606;long BgL_siza7ezd2framez75_11607;
BgL_runz00_11606 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11607 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11600, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13775;
BgL_sz00_13775 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13776;
BgL_bpz00_13776 = 
VECTOR_REF(
((obj_t)BgL_sz00_13775),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13775, BgL_bpz00_13776, 
BINT(BgL_siza7ezd2framez75_11607)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3528z00_13777;
BgL_arg3528z00_13777 = 
(
(long)CINT(BgL_bpz00_13776)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13775),BgL_arg3528z00_13777,BgL_az00_11608); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3529z00_13778;
BgL_arg3529z00_13778 = 
(
(long)CINT(BgL_bpz00_13776)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13775),BgL_arg3529z00_13778,BgL_bz00_11609); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3530z00_13779;
BgL_arg3530z00_13779 = 
(
(long)CINT(BgL_bpz00_13776)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13775),BgL_arg3530z00_13779,BgL_cz00_11610); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3531z00_13780;
BgL_arg3531z00_13780 = 
(
(long)CINT(BgL_bpz00_13776)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13775),BgL_arg3531z00_13780,BgL_dz00_11611); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13781;
BgL_ez00_13781 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13781, BgL_bpz00_13776); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13782;
BgL_accz00_13782 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11606, BgL_sz00_13775, BgL_bpz00_13776); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13781); 
VECTOR_SET(
((obj_t)BgL_sz00_13775),((long)0),BgL_bpz00_13776); 
return BgL_accz00_13782;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13783;
BgL_nsz00_13783 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13783,((long)1),BgL_sz00_13775); 
VECTOR_SET(BgL_nsz00_13783,((long)2),BgL_az00_11608); 
VECTOR_SET(BgL_nsz00_13783,((long)3),BgL_bz00_11609); 
VECTOR_SET(BgL_nsz00_13783,((long)4),BgL_cz00_11610); 
VECTOR_SET(BgL_nsz00_13783,((long)5),BgL_dz00_11611); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13784;
BgL_z12denvz12_13784 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13784, BgL_nsz00_13783); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13785;
BgL_ez00_13785 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13785, BgL_sz00_13775); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13786;
BgL_____rz00_13786 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11606, BgL_nsz00_13783, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13785); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13784, BgL_sz00_13775); 
return BgL_____rz00_13786;} } } } } } } } 

}



/* &run5117 */
obj_t BGl_z62run5117z62zz__evaluate_compz00(obj_t BgL_envz00_11612, obj_t BgL_sz00_11618)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11613;long BgL_siza7eza7_11614;obj_t BgL_valza2za2_11615;BgL_ev_absz00_bglt BgL_i1244z00_11616;obj_t BgL_bodyz00_11617;
BgL_iboxesz00_11613 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11612, 
(int)(((long)0)))); 
BgL_siza7eza7_11614 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11612, 
(int)(((long)1)))); 
BgL_valza2za2_11615 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11612, 
(int)(((long)2)))); 
BgL_i1244z00_11616 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11612, 
(int)(((long)3)))); 
BgL_bodyz00_11617 = 
PROCEDURE_REF(BgL_envz00_11612, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13787;
BgL_bpz00_13787 = 
VECTOR_REF(
((obj_t)BgL_sz00_11618),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11618, BgL_iboxesz00_11613, BgL_bpz00_13787); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11618, BgL_valza2za2_11615, 
(
(long)CINT(BgL_bpz00_13787)+BgL_siza7eza7_11614)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13788;obj_t BgL_wherez00_13789;obj_t BgL_locz00_13790;
BgL_z12denvz12_13788 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13789 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11616))->BgL_wherez00); 
BgL_locz00_13790 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11616))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13788, BgL_wherez00_13789, BgL_locz00_13790); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13791;
BgL_za2za2resza2za2z00_13791 = 
PROCEDURE_ENTRY(BgL_bodyz00_11617)(BgL_bodyz00_11617, BgL_sz00_11618, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13788); 
return BgL_za2za2resza2za2z00_13791;} } } } } } 

}



/* &<@anonymous:3438> */
obj_t BGl_z62zc3z04anonymousza33438ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11619, obj_t BgL_sz00_11623)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11620;obj_t BgL_bodyz00_11621;long BgL_siza7ezd2framez75_11622;
BgL_i1244z00_11620 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)0)))); 
BgL_bodyz00_11621 = 
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11622 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11619, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13792;
BgL_bpz00_13792 = 
VECTOR_REF(
((obj_t)BgL_sz00_11623),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13793;
BgL_runz00_13793 = 
MAKE_FX_PROCEDURE(BGl_z62run5119z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13793, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11620)); 
PROCEDURE_SET(BgL_runz00_13793, 
(int)(((long)1)), BgL_bodyz00_11621); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13794;
BgL_mainz00_13794 = 
MAKE_VA_PROCEDURE(BGl_z62main5118z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13794, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11620)); 
PROCEDURE_SET(BgL_mainz00_13794, 
(int)(((long)1)), BgL_bodyz00_11621); 
PROCEDURE_SET(BgL_mainz00_13794, 
(int)(((long)2)), BgL_runz00_13793); 
PROCEDURE_SET(BgL_mainz00_13794, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11622)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13795;
BgL_objz00_13795 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13793, BgL_objz00_13795); BgL_objz00_13795; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3439z00_13796;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3440z00_13797;
BgL_arg3440z00_13797 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11620))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13798;
BgL_newz00_13798 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23519;
BgL_tmpz00_23519 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13798, BgL_tmpz00_23519, BgL_arg3440z00_13797); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23524;int BgL_tmpz00_23522;
BgL_auxz00_23524 = 
BINT(BgL_siza7ezd2framez75_11622); 
BgL_tmpz00_23522 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13798, BgL_tmpz00_23522, BgL_auxz00_23524); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23527;
BgL_tmpz00_23527 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13798, BgL_tmpz00_23527, BgL_runz00_13793); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23532;int BgL_tmpz00_23530;
BgL_auxz00_23532 = 
BINT(((long)-4)); 
BgL_tmpz00_23530 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13798, BgL_tmpz00_23530, BgL_auxz00_23532); } 
BgL_arg3439z00_13796 = BgL_newz00_13798; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13794, BgL_arg3439z00_13796); BgL_arg3439z00_13796; } 
return BgL_mainz00_13794;} } } } } } 

}



/* &main5118 */
obj_t BGl_z62main5118z62zz__evaluate_compz00(obj_t BgL_envz00_11624, obj_t BgL_bz00_11629, obj_t BgL_cz00_11630, obj_t BgL_dz00_11631, obj_t BgL_lastz00_11632)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11627;long BgL_siza7ezd2framez75_11628;
BgL_runz00_11627 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11624, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11628 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11624, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13799;
BgL_sz00_13799 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13800;
BgL_bpz00_13800 = 
VECTOR_REF(
((obj_t)BgL_sz00_13799),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13799, BgL_bpz00_13800, 
BINT(BgL_siza7ezd2framez75_11628)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3443z00_13801;
BgL_arg3443z00_13801 = 
(
(long)CINT(BgL_bpz00_13800)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13799),BgL_arg3443z00_13801,BgL_bz00_11629); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3444z00_13802;
BgL_arg3444z00_13802 = 
(
(long)CINT(BgL_bpz00_13800)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13799),BgL_arg3444z00_13802,BgL_cz00_11630); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3445z00_13803;
BgL_arg3445z00_13803 = 
(
(long)CINT(BgL_bpz00_13800)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13799),BgL_arg3445z00_13803,BgL_dz00_11631); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3446z00_13804;
BgL_arg3446z00_13804 = 
(
(long)CINT(BgL_bpz00_13800)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13799),BgL_arg3446z00_13804,BgL_lastz00_11632); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13805;
BgL_ez00_13805 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13805, BgL_bpz00_13800); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13806;
BgL_accz00_13806 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11627, BgL_sz00_13799, BgL_bpz00_13800); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13805); 
VECTOR_SET(
((obj_t)BgL_sz00_13799),((long)0),BgL_bpz00_13800); 
return BgL_accz00_13806;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13807;
BgL_nsz00_13807 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13807,((long)1),BgL_sz00_13799); 
VECTOR_SET(BgL_nsz00_13807,((long)2),BgL_bz00_11629); 
VECTOR_SET(BgL_nsz00_13807,((long)3),BgL_cz00_11630); 
VECTOR_SET(BgL_nsz00_13807,((long)4),BgL_dz00_11631); 
VECTOR_SET(BgL_nsz00_13807,((long)5),BgL_lastz00_11632); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13808;
BgL_z12denvz12_13808 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13808, BgL_nsz00_13807); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13809;
BgL_ez00_13809 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13809, BgL_sz00_13799); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13810;
BgL_____rz00_13810 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11627, BgL_nsz00_13807, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13809); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13808, BgL_sz00_13799); 
return BgL_____rz00_13810;} } } } } } } } 

}



/* &run5119 */
obj_t BGl_z62run5119z62zz__evaluate_compz00(obj_t BgL_envz00_11633, obj_t BgL_sz00_11636)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11634;obj_t BgL_bodyz00_11635;
BgL_i1244z00_11634 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11633, 
(int)(((long)0)))); 
BgL_bodyz00_11635 = 
PROCEDURE_REF(BgL_envz00_11633, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13811;
BgL_bpz00_13811 = 
VECTOR_REF(
((obj_t)BgL_sz00_11636),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13812;obj_t BgL_wherez00_13813;obj_t BgL_locz00_13814;
BgL_z12denvz12_13812 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13813 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11634))->BgL_wherez00); 
BgL_locz00_13814 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11634))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13812, BgL_wherez00_13813, BgL_locz00_13814); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13815;
BgL_za2za2resza2za2z00_13815 = 
PROCEDURE_ENTRY(BgL_bodyz00_11635)(BgL_bodyz00_11635, BgL_sz00_11636, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13812); 
return BgL_za2za2resza2za2z00_13815;} } } } } } 

}



/* &<@anonymous:3448> */
obj_t BGl_z62zc3z04anonymousza33448ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11637, obj_t BgL_sz00_11642)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11638;BgL_ev_absz00_bglt BgL_i1244z00_11639;obj_t BgL_bodyz00_11640;long BgL_siza7ezd2framez75_11641;
BgL_iboxesz00_11638 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11637, 
(int)(((long)0)))); 
BgL_i1244z00_11639 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11637, 
(int)(((long)1)))); 
BgL_bodyz00_11640 = 
PROCEDURE_REF(BgL_envz00_11637, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11641 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11637, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13816;
BgL_bpz00_13816 = 
VECTOR_REF(
((obj_t)BgL_sz00_11642),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13817;
BgL_runz00_13817 = 
MAKE_FX_PROCEDURE(BGl_z62run5121z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13817, 
(int)(((long)0)), BgL_iboxesz00_11638); 
PROCEDURE_SET(BgL_runz00_13817, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11639)); 
PROCEDURE_SET(BgL_runz00_13817, 
(int)(((long)2)), BgL_bodyz00_11640); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13818;
BgL_mainz00_13818 = 
MAKE_VA_PROCEDURE(BGl_z62main5120z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13818, 
(int)(((long)0)), BgL_iboxesz00_11638); 
PROCEDURE_SET(BgL_mainz00_13818, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11639)); 
PROCEDURE_SET(BgL_mainz00_13818, 
(int)(((long)2)), BgL_bodyz00_11640); 
PROCEDURE_SET(BgL_mainz00_13818, 
(int)(((long)3)), BgL_runz00_13817); 
PROCEDURE_SET(BgL_mainz00_13818, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11641)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13819;
BgL_objz00_13819 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13817, BgL_objz00_13819); BgL_objz00_13819; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3449z00_13820;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3450z00_13821;
BgL_arg3450z00_13821 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11639))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13822;
BgL_newz00_13822 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23642;
BgL_tmpz00_23642 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13822, BgL_tmpz00_23642, BgL_arg3450z00_13821); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23647;int BgL_tmpz00_23645;
BgL_auxz00_23647 = 
BINT(BgL_siza7ezd2framez75_11641); 
BgL_tmpz00_23645 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13822, BgL_tmpz00_23645, BgL_auxz00_23647); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23650;
BgL_tmpz00_23650 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13822, BgL_tmpz00_23650, BgL_runz00_13817); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23655;int BgL_tmpz00_23653;
BgL_auxz00_23655 = 
BINT(((long)-4)); 
BgL_tmpz00_23653 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13822, BgL_tmpz00_23653, BgL_auxz00_23655); } 
BgL_arg3449z00_13820 = BgL_newz00_13822; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13818, BgL_arg3449z00_13820); BgL_arg3449z00_13820; } 
return BgL_mainz00_13818;} } } } } } 

}



/* &main5120 */
obj_t BGl_z62main5120z62zz__evaluate_compz00(obj_t BgL_envz00_11643, obj_t BgL_bz00_11649, obj_t BgL_cz00_11650, obj_t BgL_dz00_11651, obj_t BgL_lastz00_11652)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11647;long BgL_siza7ezd2framez75_11648;
BgL_runz00_11647 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11648 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11643, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13823;
BgL_sz00_13823 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13824;
BgL_bpz00_13824 = 
VECTOR_REF(
((obj_t)BgL_sz00_13823),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13823, BgL_bpz00_13824, 
BINT(BgL_siza7ezd2framez75_11648)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3453z00_13825;
BgL_arg3453z00_13825 = 
(
(long)CINT(BgL_bpz00_13824)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13823),BgL_arg3453z00_13825,BgL_bz00_11649); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3454z00_13826;
BgL_arg3454z00_13826 = 
(
(long)CINT(BgL_bpz00_13824)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13823),BgL_arg3454z00_13826,BgL_cz00_11650); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3455z00_13827;
BgL_arg3455z00_13827 = 
(
(long)CINT(BgL_bpz00_13824)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13823),BgL_arg3455z00_13827,BgL_dz00_11651); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3456z00_13828;
BgL_arg3456z00_13828 = 
(
(long)CINT(BgL_bpz00_13824)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13823),BgL_arg3456z00_13828,BgL_lastz00_11652); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13829;
BgL_ez00_13829 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13829, BgL_bpz00_13824); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13830;
BgL_accz00_13830 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11647, BgL_sz00_13823, BgL_bpz00_13824); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13829); 
VECTOR_SET(
((obj_t)BgL_sz00_13823),((long)0),BgL_bpz00_13824); 
return BgL_accz00_13830;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13831;
BgL_nsz00_13831 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13831,((long)1),BgL_sz00_13823); 
VECTOR_SET(BgL_nsz00_13831,((long)2),BgL_bz00_11649); 
VECTOR_SET(BgL_nsz00_13831,((long)3),BgL_cz00_11650); 
VECTOR_SET(BgL_nsz00_13831,((long)4),BgL_dz00_11651); 
VECTOR_SET(BgL_nsz00_13831,((long)5),BgL_lastz00_11652); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13832;
BgL_z12denvz12_13832 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13832, BgL_nsz00_13831); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13833;
BgL_ez00_13833 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13833, BgL_sz00_13823); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13834;
BgL_____rz00_13834 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11647, BgL_nsz00_13831, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13833); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13832, BgL_sz00_13823); 
return BgL_____rz00_13834;} } } } } } } } 

}



/* &run5121 */
obj_t BGl_z62run5121z62zz__evaluate_compz00(obj_t BgL_envz00_11653, obj_t BgL_sz00_11657)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11654;BgL_ev_absz00_bglt BgL_i1244z00_11655;obj_t BgL_bodyz00_11656;
BgL_iboxesz00_11654 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11653, 
(int)(((long)0)))); 
BgL_i1244z00_11655 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11653, 
(int)(((long)1)))); 
BgL_bodyz00_11656 = 
PROCEDURE_REF(BgL_envz00_11653, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13835;
BgL_bpz00_13835 = 
VECTOR_REF(
((obj_t)BgL_sz00_11657),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11657, BgL_iboxesz00_11654, BgL_bpz00_13835); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13836;obj_t BgL_wherez00_13837;obj_t BgL_locz00_13838;
BgL_z12denvz12_13836 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13837 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11655))->BgL_wherez00); 
BgL_locz00_13838 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11655))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13836, BgL_wherez00_13837, BgL_locz00_13838); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13839;
BgL_za2za2resza2za2z00_13839 = 
PROCEDURE_ENTRY(BgL_bodyz00_11656)(BgL_bodyz00_11656, BgL_sz00_11657, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13836); 
return BgL_za2za2resza2za2z00_13839;} } } } } } 

}



/* &<@anonymous:3461> */
obj_t BGl_z62zc3z04anonymousza33461ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11658, obj_t BgL_sz00_11664)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11659;long BgL_siza7eza7_11660;BgL_ev_absz00_bglt BgL_i1244z00_11661;obj_t BgL_bodyz00_11662;long BgL_siza7ezd2framez75_11663;
BgL_ifreesz00_11659 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)0)))); 
BgL_siza7eza7_11660 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)1)))); 
BgL_i1244z00_11661 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)2)))); 
BgL_bodyz00_11662 = 
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11663 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11658, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13840;
BgL_bpz00_13840 = 
VECTOR_REF(
((obj_t)BgL_sz00_11664),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13841;
BgL_valza2za2_13841 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11664, BgL_bpz00_13840, BgL_ifreesz00_11659); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13842;
BgL_runz00_13842 = 
MAKE_FX_PROCEDURE(BGl_z62run5123z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13842, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11660)); 
PROCEDURE_SET(BgL_runz00_13842, 
(int)(((long)1)), BgL_valza2za2_13841); 
PROCEDURE_SET(BgL_runz00_13842, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11661)); 
PROCEDURE_SET(BgL_runz00_13842, 
(int)(((long)3)), BgL_bodyz00_11662); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13843;
BgL_mainz00_13843 = 
MAKE_VA_PROCEDURE(BGl_z62main5122z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13843, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11660)); 
PROCEDURE_SET(BgL_mainz00_13843, 
(int)(((long)1)), BgL_valza2za2_13841); 
PROCEDURE_SET(BgL_mainz00_13843, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11661)); 
PROCEDURE_SET(BgL_mainz00_13843, 
(int)(((long)3)), BgL_bodyz00_11662); 
PROCEDURE_SET(BgL_mainz00_13843, 
(int)(((long)4)), BgL_runz00_13842); 
PROCEDURE_SET(BgL_mainz00_13843, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11663)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13844;
BgL_objz00_13844 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13842, BgL_objz00_13844); BgL_objz00_13844; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3462z00_13845;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3463z00_13846;
BgL_arg3463z00_13846 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11661))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13847;
BgL_newz00_13847 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23779;
BgL_tmpz00_23779 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13847, BgL_tmpz00_23779, BgL_arg3463z00_13846); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23784;int BgL_tmpz00_23782;
BgL_auxz00_23784 = 
BINT(BgL_siza7ezd2framez75_11663); 
BgL_tmpz00_23782 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13847, BgL_tmpz00_23782, BgL_auxz00_23784); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23787;
BgL_tmpz00_23787 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13847, BgL_tmpz00_23787, BgL_runz00_13842); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23792;int BgL_tmpz00_23790;
BgL_auxz00_23792 = 
BINT(((long)-4)); 
BgL_tmpz00_23790 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13847, BgL_tmpz00_23790, BgL_auxz00_23792); } 
BgL_arg3462z00_13845 = BgL_newz00_13847; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13843, BgL_arg3462z00_13845); BgL_arg3462z00_13845; } 
return BgL_mainz00_13843;} } } } } } 

}



/* &main5122 */
obj_t BGl_z62main5122z62zz__evaluate_compz00(obj_t BgL_envz00_11665, obj_t BgL_bz00_11672, obj_t BgL_cz00_11673, obj_t BgL_dz00_11674, obj_t BgL_lastz00_11675)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11670;long BgL_siza7ezd2framez75_11671;
BgL_runz00_11670 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11665, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11671 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11665, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13848;
BgL_sz00_13848 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13849;
BgL_bpz00_13849 = 
VECTOR_REF(
((obj_t)BgL_sz00_13848),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13848, BgL_bpz00_13849, 
BINT(BgL_siza7ezd2framez75_11671)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3466z00_13850;
BgL_arg3466z00_13850 = 
(
(long)CINT(BgL_bpz00_13849)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13848),BgL_arg3466z00_13850,BgL_bz00_11672); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3467z00_13851;
BgL_arg3467z00_13851 = 
(
(long)CINT(BgL_bpz00_13849)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13848),BgL_arg3467z00_13851,BgL_cz00_11673); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3468z00_13852;
BgL_arg3468z00_13852 = 
(
(long)CINT(BgL_bpz00_13849)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13848),BgL_arg3468z00_13852,BgL_dz00_11674); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3469z00_13853;
BgL_arg3469z00_13853 = 
(
(long)CINT(BgL_bpz00_13849)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13848),BgL_arg3469z00_13853,BgL_lastz00_11675); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13854;
BgL_ez00_13854 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13854, BgL_bpz00_13849); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13855;
BgL_accz00_13855 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11670, BgL_sz00_13848, BgL_bpz00_13849); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13854); 
VECTOR_SET(
((obj_t)BgL_sz00_13848),((long)0),BgL_bpz00_13849); 
return BgL_accz00_13855;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13856;
BgL_nsz00_13856 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13856,((long)1),BgL_sz00_13848); 
VECTOR_SET(BgL_nsz00_13856,((long)2),BgL_bz00_11672); 
VECTOR_SET(BgL_nsz00_13856,((long)3),BgL_cz00_11673); 
VECTOR_SET(BgL_nsz00_13856,((long)4),BgL_dz00_11674); 
VECTOR_SET(BgL_nsz00_13856,((long)5),BgL_lastz00_11675); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13857;
BgL_z12denvz12_13857 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13857, BgL_nsz00_13856); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13858;
BgL_ez00_13858 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13858, BgL_sz00_13848); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13859;
BgL_____rz00_13859 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11670, BgL_nsz00_13856, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13858); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13857, BgL_sz00_13848); 
return BgL_____rz00_13859;} } } } } } } } 

}



/* &run5123 */
obj_t BGl_z62run5123z62zz__evaluate_compz00(obj_t BgL_envz00_11676, obj_t BgL_sz00_11681)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11677;obj_t BgL_valza2za2_11678;BgL_ev_absz00_bglt BgL_i1244z00_11679;obj_t BgL_bodyz00_11680;
BgL_siza7eza7_11677 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11676, 
(int)(((long)0)))); 
BgL_valza2za2_11678 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11676, 
(int)(((long)1)))); 
BgL_i1244z00_11679 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11676, 
(int)(((long)2)))); 
BgL_bodyz00_11680 = 
PROCEDURE_REF(BgL_envz00_11676, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13860;
BgL_bpz00_13860 = 
VECTOR_REF(
((obj_t)BgL_sz00_11681),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11681, BgL_valza2za2_11678, 
(
(long)CINT(BgL_bpz00_13860)+BgL_siza7eza7_11677)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13861;obj_t BgL_wherez00_13862;obj_t BgL_locz00_13863;
BgL_z12denvz12_13861 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13862 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11679))->BgL_wherez00); 
BgL_locz00_13863 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11679))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13861, BgL_wherez00_13862, BgL_locz00_13863); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13864;
BgL_za2za2resza2za2z00_13864 = 
PROCEDURE_ENTRY(BgL_bodyz00_11680)(BgL_bodyz00_11680, BgL_sz00_11681, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13861); 
return BgL_za2za2resza2za2z00_13864;} } } } } } 

}



/* &<@anonymous:3472> */
obj_t BGl_z62zc3z04anonymousza33472ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11682, obj_t BgL_sz00_11689)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11683;obj_t BgL_iboxesz00_11684;long BgL_siza7eza7_11685;BgL_ev_absz00_bglt BgL_i1244z00_11686;obj_t BgL_bodyz00_11687;long BgL_siza7ezd2framez75_11688;
BgL_ifreesz00_11683 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)0)))); 
BgL_iboxesz00_11684 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)1)))); 
BgL_siza7eza7_11685 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)2)))); 
BgL_i1244z00_11686 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)3)))); 
BgL_bodyz00_11687 = 
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11688 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11682, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13865;
BgL_bpz00_13865 = 
VECTOR_REF(
((obj_t)BgL_sz00_11689),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13866;
BgL_valza2za2_13866 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11689, BgL_bpz00_13865, BgL_ifreesz00_11683); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13867;
BgL_runz00_13867 = 
MAKE_FX_PROCEDURE(BGl_z62run5125z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13867, 
(int)(((long)0)), BgL_iboxesz00_11684); 
PROCEDURE_SET(BgL_runz00_13867, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11685)); 
PROCEDURE_SET(BgL_runz00_13867, 
(int)(((long)2)), BgL_valza2za2_13866); 
PROCEDURE_SET(BgL_runz00_13867, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11686)); 
PROCEDURE_SET(BgL_runz00_13867, 
(int)(((long)4)), BgL_bodyz00_11687); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13868;
BgL_mainz00_13868 = 
MAKE_VA_PROCEDURE(BGl_z62main5124z62zz__evaluate_compz00, 
(int)(((long)-4)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13868, 
(int)(((long)0)), BgL_iboxesz00_11684); 
PROCEDURE_SET(BgL_mainz00_13868, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11685)); 
PROCEDURE_SET(BgL_mainz00_13868, 
(int)(((long)2)), BgL_valza2za2_13866); 
PROCEDURE_SET(BgL_mainz00_13868, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11686)); 
PROCEDURE_SET(BgL_mainz00_13868, 
(int)(((long)4)), BgL_bodyz00_11687); 
PROCEDURE_SET(BgL_mainz00_13868, 
(int)(((long)5)), BgL_runz00_13867); 
PROCEDURE_SET(BgL_mainz00_13868, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11688)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13869;
BgL_objz00_13869 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13867, BgL_objz00_13869); BgL_objz00_13869; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3473z00_13870;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3474z00_13871;
BgL_arg3474z00_13871 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11686))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13872;
BgL_newz00_13872 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23928;
BgL_tmpz00_23928 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13872, BgL_tmpz00_23928, BgL_arg3474z00_13871); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23933;int BgL_tmpz00_23931;
BgL_auxz00_23933 = 
BINT(BgL_siza7ezd2framez75_11688); 
BgL_tmpz00_23931 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13872, BgL_tmpz00_23931, BgL_auxz00_23933); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_23936;
BgL_tmpz00_23936 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13872, BgL_tmpz00_23936, BgL_runz00_13867); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_23941;int BgL_tmpz00_23939;
BgL_auxz00_23941 = 
BINT(((long)-4)); 
BgL_tmpz00_23939 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13872, BgL_tmpz00_23939, BgL_auxz00_23941); } 
BgL_arg3473z00_13870 = BgL_newz00_13872; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13868, BgL_arg3473z00_13870); BgL_arg3473z00_13870; } 
return BgL_mainz00_13868;} } } } } } 

}



/* &main5124 */
obj_t BGl_z62main5124z62zz__evaluate_compz00(obj_t BgL_envz00_11690, obj_t BgL_bz00_11698, obj_t BgL_cz00_11699, obj_t BgL_dz00_11700, obj_t BgL_lastz00_11701)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11696;long BgL_siza7ezd2framez75_11697;
BgL_runz00_11696 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11690, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11697 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11690, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13873;
BgL_sz00_13873 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13874;
BgL_bpz00_13874 = 
VECTOR_REF(
((obj_t)BgL_sz00_13873),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13873, BgL_bpz00_13874, 
BINT(BgL_siza7ezd2framez75_11697)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3477z00_13875;
BgL_arg3477z00_13875 = 
(
(long)CINT(BgL_bpz00_13874)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13873),BgL_arg3477z00_13875,BgL_bz00_11698); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3478z00_13876;
BgL_arg3478z00_13876 = 
(
(long)CINT(BgL_bpz00_13874)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13873),BgL_arg3478z00_13876,BgL_cz00_11699); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3479z00_13877;
BgL_arg3479z00_13877 = 
(
(long)CINT(BgL_bpz00_13874)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13873),BgL_arg3479z00_13877,BgL_dz00_11700); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3480z00_13878;
BgL_arg3480z00_13878 = 
(
(long)CINT(BgL_bpz00_13874)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_13873),BgL_arg3480z00_13878,BgL_lastz00_11701); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13879;
BgL_ez00_13879 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13879, BgL_bpz00_13874); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13880;
BgL_accz00_13880 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11696, BgL_sz00_13873, BgL_bpz00_13874); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13879); 
VECTOR_SET(
((obj_t)BgL_sz00_13873),((long)0),BgL_bpz00_13874); 
return BgL_accz00_13880;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13881;
BgL_nsz00_13881 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13881,((long)1),BgL_sz00_13873); 
VECTOR_SET(BgL_nsz00_13881,((long)2),BgL_bz00_11698); 
VECTOR_SET(BgL_nsz00_13881,((long)3),BgL_cz00_11699); 
VECTOR_SET(BgL_nsz00_13881,((long)4),BgL_dz00_11700); 
VECTOR_SET(BgL_nsz00_13881,((long)5),BgL_lastz00_11701); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13882;
BgL_z12denvz12_13882 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13882, BgL_nsz00_13881); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13883;
BgL_ez00_13883 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13883, BgL_sz00_13873); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13884;
BgL_____rz00_13884 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11696, BgL_nsz00_13881, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13883); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13882, BgL_sz00_13873); 
return BgL_____rz00_13884;} } } } } } } } 

}



/* &run5125 */
obj_t BGl_z62run5125z62zz__evaluate_compz00(obj_t BgL_envz00_11702, obj_t BgL_sz00_11708)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11703;long BgL_siza7eza7_11704;obj_t BgL_valza2za2_11705;BgL_ev_absz00_bglt BgL_i1244z00_11706;obj_t BgL_bodyz00_11707;
BgL_iboxesz00_11703 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11702, 
(int)(((long)0)))); 
BgL_siza7eza7_11704 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11702, 
(int)(((long)1)))); 
BgL_valza2za2_11705 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11702, 
(int)(((long)2)))); 
BgL_i1244z00_11706 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11702, 
(int)(((long)3)))); 
BgL_bodyz00_11707 = 
PROCEDURE_REF(BgL_envz00_11702, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13885;
BgL_bpz00_13885 = 
VECTOR_REF(
((obj_t)BgL_sz00_11708),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11708, BgL_iboxesz00_11703, BgL_bpz00_13885); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11708, BgL_valza2za2_11705, 
(
(long)CINT(BgL_bpz00_13885)+BgL_siza7eza7_11704)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13886;obj_t BgL_wherez00_13887;obj_t BgL_locz00_13888;
BgL_z12denvz12_13886 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13887 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11706))->BgL_wherez00); 
BgL_locz00_13888 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11706))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13886, BgL_wherez00_13887, BgL_locz00_13888); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13889;
BgL_za2za2resza2za2z00_13889 = 
PROCEDURE_ENTRY(BgL_bodyz00_11707)(BgL_bodyz00_11707, BgL_sz00_11708, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13886); 
return BgL_za2za2resza2za2z00_13889;} } } } } } 

}



/* &<@anonymous:3391> */
obj_t BGl_z62zc3z04anonymousza33391ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11709, obj_t BgL_sz00_11713)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11710;obj_t BgL_bodyz00_11711;long BgL_siza7ezd2framez75_11712;
BgL_i1244z00_11710 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11709, 
(int)(((long)0)))); 
BgL_bodyz00_11711 = 
PROCEDURE_REF(BgL_envz00_11709, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11712 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11709, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13890;
BgL_bpz00_13890 = 
VECTOR_REF(
((obj_t)BgL_sz00_11713),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13891;
BgL_runz00_13891 = 
MAKE_FX_PROCEDURE(BGl_z62run5127z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13891, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11710)); 
PROCEDURE_SET(BgL_runz00_13891, 
(int)(((long)1)), BgL_bodyz00_11711); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13892;
BgL_mainz00_13892 = 
MAKE_FX_PROCEDURE(BGl_z62main5126z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13892, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11710)); 
PROCEDURE_SET(BgL_mainz00_13892, 
(int)(((long)1)), BgL_bodyz00_11711); 
PROCEDURE_SET(BgL_mainz00_13892, 
(int)(((long)2)), BgL_runz00_13891); 
PROCEDURE_SET(BgL_mainz00_13892, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11712)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13893;
BgL_objz00_13893 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13891, BgL_objz00_13893); BgL_objz00_13893; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3392z00_13894;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3393z00_13895;
BgL_arg3393z00_13895 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11710))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13896;
BgL_newz00_13896 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24057;
BgL_tmpz00_24057 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13896, BgL_tmpz00_24057, BgL_arg3393z00_13895); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24062;int BgL_tmpz00_24060;
BgL_auxz00_24062 = 
BINT(BgL_siza7ezd2framez75_11712); 
BgL_tmpz00_24060 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13896, BgL_tmpz00_24060, BgL_auxz00_24062); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24065;
BgL_tmpz00_24065 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13896, BgL_tmpz00_24065, BgL_runz00_13891); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24070;int BgL_tmpz00_24068;
BgL_auxz00_24070 = 
BINT(((long)3)); 
BgL_tmpz00_24068 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13896, BgL_tmpz00_24068, BgL_auxz00_24070); } 
BgL_arg3392z00_13894 = BgL_newz00_13896; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13892, BgL_arg3392z00_13894); BgL_arg3392z00_13894; } 
return BgL_mainz00_13892;} } } } } } 

}



/* &main5126 */
obj_t BGl_z62main5126z62zz__evaluate_compz00(obj_t BgL_envz00_11714, obj_t BgL_bz00_11719, obj_t BgL_cz00_11720, obj_t BgL_dz00_11721)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11717;long BgL_siza7ezd2framez75_11718;
BgL_runz00_11717 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11714, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11718 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11714, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13897;
BgL_sz00_13897 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13898;
BgL_bpz00_13898 = 
VECTOR_REF(
((obj_t)BgL_sz00_13897),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13897, BgL_bpz00_13898, 
BINT(BgL_siza7ezd2framez75_11718)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3396z00_13899;
BgL_arg3396z00_13899 = 
(
(long)CINT(BgL_bpz00_13898)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13897),BgL_arg3396z00_13899,BgL_bz00_11719); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3397z00_13900;
BgL_arg3397z00_13900 = 
(
(long)CINT(BgL_bpz00_13898)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13897),BgL_arg3397z00_13900,BgL_cz00_11720); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3398z00_13901;
BgL_arg3398z00_13901 = 
(
(long)CINT(BgL_bpz00_13898)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13897),BgL_arg3398z00_13901,BgL_dz00_11721); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13902;
BgL_ez00_13902 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13902, BgL_bpz00_13898); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13903;
BgL_accz00_13903 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11717, BgL_sz00_13897, BgL_bpz00_13898); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13902); 
VECTOR_SET(
((obj_t)BgL_sz00_13897),((long)0),BgL_bpz00_13898); 
return BgL_accz00_13903;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13904;
BgL_nsz00_13904 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13904,((long)1),BgL_sz00_13897); 
VECTOR_SET(BgL_nsz00_13904,((long)2),BgL_bz00_11719); 
VECTOR_SET(BgL_nsz00_13904,((long)3),BgL_cz00_11720); 
VECTOR_SET(BgL_nsz00_13904,((long)4),BgL_dz00_11721); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13905;
BgL_z12denvz12_13905 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13905, BgL_nsz00_13904); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13906;
BgL_ez00_13906 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13906, BgL_sz00_13897); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13907;
BgL_____rz00_13907 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11717, BgL_nsz00_13904, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13906); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13905, BgL_sz00_13897); 
return BgL_____rz00_13907;} } } } } } } } 

}



/* &run5127 */
obj_t BGl_z62run5127z62zz__evaluate_compz00(obj_t BgL_envz00_11722, obj_t BgL_sz00_11725)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11723;obj_t BgL_bodyz00_11724;
BgL_i1244z00_11723 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11722, 
(int)(((long)0)))); 
BgL_bodyz00_11724 = 
PROCEDURE_REF(BgL_envz00_11722, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13908;
BgL_bpz00_13908 = 
VECTOR_REF(
((obj_t)BgL_sz00_11725),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13909;obj_t BgL_wherez00_13910;obj_t BgL_locz00_13911;
BgL_z12denvz12_13909 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13910 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11723))->BgL_wherez00); 
BgL_locz00_13911 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11723))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13909, BgL_wherez00_13910, BgL_locz00_13911); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13912;
BgL_za2za2resza2za2z00_13912 = 
PROCEDURE_ENTRY(BgL_bodyz00_11724)(BgL_bodyz00_11724, BgL_sz00_11725, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13909); 
return BgL_za2za2resza2za2z00_13912;} } } } } } 

}



/* &<@anonymous:3400> */
obj_t BGl_z62zc3z04anonymousza33400ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11726, obj_t BgL_sz00_11731)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11727;BgL_ev_absz00_bglt BgL_i1244z00_11728;obj_t BgL_bodyz00_11729;long BgL_siza7ezd2framez75_11730;
BgL_iboxesz00_11727 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11726, 
(int)(((long)0)))); 
BgL_i1244z00_11728 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11726, 
(int)(((long)1)))); 
BgL_bodyz00_11729 = 
PROCEDURE_REF(BgL_envz00_11726, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11730 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11726, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13913;
BgL_bpz00_13913 = 
VECTOR_REF(
((obj_t)BgL_sz00_11731),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13914;
BgL_runz00_13914 = 
MAKE_FX_PROCEDURE(BGl_z62run5129z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_13914, 
(int)(((long)0)), BgL_iboxesz00_11727); 
PROCEDURE_SET(BgL_runz00_13914, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11728)); 
PROCEDURE_SET(BgL_runz00_13914, 
(int)(((long)2)), BgL_bodyz00_11729); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13915;
BgL_mainz00_13915 = 
MAKE_FX_PROCEDURE(BGl_z62main5128z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_13915, 
(int)(((long)0)), BgL_iboxesz00_11727); 
PROCEDURE_SET(BgL_mainz00_13915, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11728)); 
PROCEDURE_SET(BgL_mainz00_13915, 
(int)(((long)2)), BgL_bodyz00_11729); 
PROCEDURE_SET(BgL_mainz00_13915, 
(int)(((long)3)), BgL_runz00_13914); 
PROCEDURE_SET(BgL_mainz00_13915, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11730)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13916;
BgL_objz00_13916 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13914, BgL_objz00_13916); BgL_objz00_13916; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3401z00_13917;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3402z00_13918;
BgL_arg3402z00_13918 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11728))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13919;
BgL_newz00_13919 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24175;
BgL_tmpz00_24175 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13919, BgL_tmpz00_24175, BgL_arg3402z00_13918); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24180;int BgL_tmpz00_24178;
BgL_auxz00_24180 = 
BINT(BgL_siza7ezd2framez75_11730); 
BgL_tmpz00_24178 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13919, BgL_tmpz00_24178, BgL_auxz00_24180); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24183;
BgL_tmpz00_24183 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13919, BgL_tmpz00_24183, BgL_runz00_13914); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24188;int BgL_tmpz00_24186;
BgL_auxz00_24188 = 
BINT(((long)3)); 
BgL_tmpz00_24186 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13919, BgL_tmpz00_24186, BgL_auxz00_24188); } 
BgL_arg3401z00_13917 = BgL_newz00_13919; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13915, BgL_arg3401z00_13917); BgL_arg3401z00_13917; } 
return BgL_mainz00_13915;} } } } } } 

}



/* &main5128 */
obj_t BGl_z62main5128z62zz__evaluate_compz00(obj_t BgL_envz00_11732, obj_t BgL_bz00_11738, obj_t BgL_cz00_11739, obj_t BgL_dz00_11740)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11736;long BgL_siza7ezd2framez75_11737;
BgL_runz00_11736 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11732, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11737 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11732, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13920;
BgL_sz00_13920 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13921;
BgL_bpz00_13921 = 
VECTOR_REF(
((obj_t)BgL_sz00_13920),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13920, BgL_bpz00_13921, 
BINT(BgL_siza7ezd2framez75_11737)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3405z00_13922;
BgL_arg3405z00_13922 = 
(
(long)CINT(BgL_bpz00_13921)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13920),BgL_arg3405z00_13922,BgL_bz00_11738); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3406z00_13923;
BgL_arg3406z00_13923 = 
(
(long)CINT(BgL_bpz00_13921)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13920),BgL_arg3406z00_13923,BgL_cz00_11739); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3407z00_13924;
BgL_arg3407z00_13924 = 
(
(long)CINT(BgL_bpz00_13921)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13920),BgL_arg3407z00_13924,BgL_dz00_11740); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13925;
BgL_ez00_13925 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13925, BgL_bpz00_13921); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13926;
BgL_accz00_13926 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11736, BgL_sz00_13920, BgL_bpz00_13921); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13925); 
VECTOR_SET(
((obj_t)BgL_sz00_13920),((long)0),BgL_bpz00_13921); 
return BgL_accz00_13926;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13927;
BgL_nsz00_13927 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13927,((long)1),BgL_sz00_13920); 
VECTOR_SET(BgL_nsz00_13927,((long)2),BgL_bz00_11738); 
VECTOR_SET(BgL_nsz00_13927,((long)3),BgL_cz00_11739); 
VECTOR_SET(BgL_nsz00_13927,((long)4),BgL_dz00_11740); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13928;
BgL_z12denvz12_13928 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13928, BgL_nsz00_13927); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13929;
BgL_ez00_13929 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13929, BgL_sz00_13920); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13930;
BgL_____rz00_13930 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11736, BgL_nsz00_13927, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13929); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13928, BgL_sz00_13920); 
return BgL_____rz00_13930;} } } } } } } } 

}



/* &run5129 */
obj_t BGl_z62run5129z62zz__evaluate_compz00(obj_t BgL_envz00_11741, obj_t BgL_sz00_11745)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11742;BgL_ev_absz00_bglt BgL_i1244z00_11743;obj_t BgL_bodyz00_11744;
BgL_iboxesz00_11742 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11741, 
(int)(((long)0)))); 
BgL_i1244z00_11743 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11741, 
(int)(((long)1)))); 
BgL_bodyz00_11744 = 
PROCEDURE_REF(BgL_envz00_11741, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13931;
BgL_bpz00_13931 = 
VECTOR_REF(
((obj_t)BgL_sz00_11745),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11745, BgL_iboxesz00_11742, BgL_bpz00_13931); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13932;obj_t BgL_wherez00_13933;obj_t BgL_locz00_13934;
BgL_z12denvz12_13932 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13933 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11743))->BgL_wherez00); 
BgL_locz00_13934 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11743))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13932, BgL_wherez00_13933, BgL_locz00_13934); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_13935;
BgL_za2za2resza2za2z00_13935 = 
PROCEDURE_ENTRY(BgL_bodyz00_11744)(BgL_bodyz00_11744, BgL_sz00_11745, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13932); 
return BgL_za2za2resza2za2z00_13935;} } } } } } 

}



/* &<@anonymous:3412> */
obj_t BGl_z62zc3z04anonymousza33412ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11746, obj_t BgL_sz00_11752)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11747;long BgL_siza7eza7_11748;BgL_ev_absz00_bglt BgL_i1244z00_11749;obj_t BgL_bodyz00_11750;long BgL_siza7ezd2framez75_11751;
BgL_ifreesz00_11747 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)0)))); 
BgL_siza7eza7_11748 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)1)))); 
BgL_i1244z00_11749 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)2)))); 
BgL_bodyz00_11750 = 
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11751 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11746, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13936;
BgL_bpz00_13936 = 
VECTOR_REF(
((obj_t)BgL_sz00_11752),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13937;
BgL_valza2za2_13937 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11752, BgL_bpz00_13936, BgL_ifreesz00_11747); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13938;
BgL_runz00_13938 = 
MAKE_FX_PROCEDURE(BGl_z62run5131z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_13938, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11748)); 
PROCEDURE_SET(BgL_runz00_13938, 
(int)(((long)1)), BgL_valza2za2_13937); 
PROCEDURE_SET(BgL_runz00_13938, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11749)); 
PROCEDURE_SET(BgL_runz00_13938, 
(int)(((long)3)), BgL_bodyz00_11750); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13939;
BgL_mainz00_13939 = 
MAKE_FX_PROCEDURE(BGl_z62main5130z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_13939, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11748)); 
PROCEDURE_SET(BgL_mainz00_13939, 
(int)(((long)1)), BgL_valza2za2_13937); 
PROCEDURE_SET(BgL_mainz00_13939, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11749)); 
PROCEDURE_SET(BgL_mainz00_13939, 
(int)(((long)3)), BgL_bodyz00_11750); 
PROCEDURE_SET(BgL_mainz00_13939, 
(int)(((long)4)), BgL_runz00_13938); 
PROCEDURE_SET(BgL_mainz00_13939, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11751)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13940;
BgL_objz00_13940 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13938, BgL_objz00_13940); BgL_objz00_13940; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3413z00_13941;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3414z00_13942;
BgL_arg3414z00_13942 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11749))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13943;
BgL_newz00_13943 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24307;
BgL_tmpz00_24307 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13943, BgL_tmpz00_24307, BgL_arg3414z00_13942); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24312;int BgL_tmpz00_24310;
BgL_auxz00_24312 = 
BINT(BgL_siza7ezd2framez75_11751); 
BgL_tmpz00_24310 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13943, BgL_tmpz00_24310, BgL_auxz00_24312); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24315;
BgL_tmpz00_24315 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13943, BgL_tmpz00_24315, BgL_runz00_13938); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24320;int BgL_tmpz00_24318;
BgL_auxz00_24320 = 
BINT(((long)3)); 
BgL_tmpz00_24318 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13943, BgL_tmpz00_24318, BgL_auxz00_24320); } 
BgL_arg3413z00_13941 = BgL_newz00_13943; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13939, BgL_arg3413z00_13941); BgL_arg3413z00_13941; } 
return BgL_mainz00_13939;} } } } } } 

}



/* &main5130 */
obj_t BGl_z62main5130z62zz__evaluate_compz00(obj_t BgL_envz00_11753, obj_t BgL_bz00_11760, obj_t BgL_cz00_11761, obj_t BgL_dz00_11762)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11758;long BgL_siza7ezd2framez75_11759;
BgL_runz00_11758 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11753, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11759 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11753, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13944;
BgL_sz00_13944 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13945;
BgL_bpz00_13945 = 
VECTOR_REF(
((obj_t)BgL_sz00_13944),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13944, BgL_bpz00_13945, 
BINT(BgL_siza7ezd2framez75_11759)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3417z00_13946;
BgL_arg3417z00_13946 = 
(
(long)CINT(BgL_bpz00_13945)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13944),BgL_arg3417z00_13946,BgL_bz00_11760); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3418z00_13947;
BgL_arg3418z00_13947 = 
(
(long)CINT(BgL_bpz00_13945)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13944),BgL_arg3418z00_13947,BgL_cz00_11761); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3419z00_13948;
BgL_arg3419z00_13948 = 
(
(long)CINT(BgL_bpz00_13945)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13944),BgL_arg3419z00_13948,BgL_dz00_11762); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13949;
BgL_ez00_13949 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13949, BgL_bpz00_13945); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13950;
BgL_accz00_13950 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11758, BgL_sz00_13944, BgL_bpz00_13945); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13949); 
VECTOR_SET(
((obj_t)BgL_sz00_13944),((long)0),BgL_bpz00_13945); 
return BgL_accz00_13950;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13951;
BgL_nsz00_13951 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13951,((long)1),BgL_sz00_13944); 
VECTOR_SET(BgL_nsz00_13951,((long)2),BgL_bz00_11760); 
VECTOR_SET(BgL_nsz00_13951,((long)3),BgL_cz00_11761); 
VECTOR_SET(BgL_nsz00_13951,((long)4),BgL_dz00_11762); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13952;
BgL_z12denvz12_13952 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13952, BgL_nsz00_13951); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13953;
BgL_ez00_13953 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13953, BgL_sz00_13944); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13954;
BgL_____rz00_13954 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11758, BgL_nsz00_13951, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13953); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13952, BgL_sz00_13944); 
return BgL_____rz00_13954;} } } } } } } } 

}



/* &run5131 */
obj_t BGl_z62run5131z62zz__evaluate_compz00(obj_t BgL_envz00_11763, obj_t BgL_sz00_11768)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11764;obj_t BgL_valza2za2_11765;BgL_ev_absz00_bglt BgL_i1244z00_11766;obj_t BgL_bodyz00_11767;
BgL_siza7eza7_11764 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11763, 
(int)(((long)0)))); 
BgL_valza2za2_11765 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11763, 
(int)(((long)1)))); 
BgL_i1244z00_11766 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11763, 
(int)(((long)2)))); 
BgL_bodyz00_11767 = 
PROCEDURE_REF(BgL_envz00_11763, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13955;
BgL_bpz00_13955 = 
VECTOR_REF(
((obj_t)BgL_sz00_11768),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11768, BgL_valza2za2_11765, 
(
(long)CINT(BgL_bpz00_13955)+BgL_siza7eza7_11764)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13956;obj_t BgL_wherez00_13957;obj_t BgL_locz00_13958;
BgL_z12denvz12_13956 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13957 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11766))->BgL_wherez00); 
BgL_locz00_13958 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11766))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13956, BgL_wherez00_13957, BgL_locz00_13958); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13959;
BgL_za2za2resza2za2z00_13959 = 
PROCEDURE_ENTRY(BgL_bodyz00_11767)(BgL_bodyz00_11767, BgL_sz00_11768, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13956); 
return BgL_za2za2resza2za2z00_13959;} } } } } } 

}



/* &<@anonymous:3422> */
obj_t BGl_z62zc3z04anonymousza33422ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11769, obj_t BgL_sz00_11776)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11770;obj_t BgL_iboxesz00_11771;long BgL_siza7eza7_11772;BgL_ev_absz00_bglt BgL_i1244z00_11773;obj_t BgL_bodyz00_11774;long BgL_siza7ezd2framez75_11775;
BgL_ifreesz00_11770 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11769, 
(int)(((long)0)))); 
BgL_iboxesz00_11771 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11769, 
(int)(((long)1)))); 
BgL_siza7eza7_11772 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11769, 
(int)(((long)2)))); 
BgL_i1244z00_11773 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11769, 
(int)(((long)3)))); 
BgL_bodyz00_11774 = 
PROCEDURE_REF(BgL_envz00_11769, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11775 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11769, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13960;
BgL_bpz00_13960 = 
VECTOR_REF(
((obj_t)BgL_sz00_11776),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_13961;
BgL_valza2za2_13961 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11776, BgL_bpz00_13960, BgL_ifreesz00_11770); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13962;
BgL_runz00_13962 = 
MAKE_FX_PROCEDURE(BGl_z62run5133z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_13962, 
(int)(((long)0)), BgL_iboxesz00_11771); 
PROCEDURE_SET(BgL_runz00_13962, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11772)); 
PROCEDURE_SET(BgL_runz00_13962, 
(int)(((long)2)), BgL_valza2za2_13961); 
PROCEDURE_SET(BgL_runz00_13962, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11773)); 
PROCEDURE_SET(BgL_runz00_13962, 
(int)(((long)4)), BgL_bodyz00_11774); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13963;
BgL_mainz00_13963 = 
MAKE_FX_PROCEDURE(BGl_z62main5132z62zz__evaluate_compz00, 
(int)(((long)3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_13963, 
(int)(((long)0)), BgL_iboxesz00_11771); 
PROCEDURE_SET(BgL_mainz00_13963, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11772)); 
PROCEDURE_SET(BgL_mainz00_13963, 
(int)(((long)2)), BgL_valza2za2_13961); 
PROCEDURE_SET(BgL_mainz00_13963, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11773)); 
PROCEDURE_SET(BgL_mainz00_13963, 
(int)(((long)4)), BgL_bodyz00_11774); 
PROCEDURE_SET(BgL_mainz00_13963, 
(int)(((long)5)), BgL_runz00_13962); 
PROCEDURE_SET(BgL_mainz00_13963, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11775)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13964;
BgL_objz00_13964 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13962, BgL_objz00_13964); BgL_objz00_13964; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3423z00_13965;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3424z00_13966;
BgL_arg3424z00_13966 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11773))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13967;
BgL_newz00_13967 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24451;
BgL_tmpz00_24451 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13967, BgL_tmpz00_24451, BgL_arg3424z00_13966); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24456;int BgL_tmpz00_24454;
BgL_auxz00_24456 = 
BINT(BgL_siza7ezd2framez75_11775); 
BgL_tmpz00_24454 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13967, BgL_tmpz00_24454, BgL_auxz00_24456); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24459;
BgL_tmpz00_24459 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13967, BgL_tmpz00_24459, BgL_runz00_13962); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24464;int BgL_tmpz00_24462;
BgL_auxz00_24464 = 
BINT(((long)3)); 
BgL_tmpz00_24462 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13967, BgL_tmpz00_24462, BgL_auxz00_24464); } 
BgL_arg3423z00_13965 = BgL_newz00_13967; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13963, BgL_arg3423z00_13965); BgL_arg3423z00_13965; } 
return BgL_mainz00_13963;} } } } } } 

}



/* &main5132 */
obj_t BGl_z62main5132z62zz__evaluate_compz00(obj_t BgL_envz00_11777, obj_t BgL_bz00_11785, obj_t BgL_cz00_11786, obj_t BgL_dz00_11787)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11783;long BgL_siza7ezd2framez75_11784;
BgL_runz00_11783 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11777, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11784 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11777, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13968;
BgL_sz00_13968 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13969;
BgL_bpz00_13969 = 
VECTOR_REF(
((obj_t)BgL_sz00_13968),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13968, BgL_bpz00_13969, 
BINT(BgL_siza7ezd2framez75_11784)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3427z00_13970;
BgL_arg3427z00_13970 = 
(
(long)CINT(BgL_bpz00_13969)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13968),BgL_arg3427z00_13970,BgL_bz00_11785); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3428z00_13971;
BgL_arg3428z00_13971 = 
(
(long)CINT(BgL_bpz00_13969)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13968),BgL_arg3428z00_13971,BgL_cz00_11786); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3429z00_13972;
BgL_arg3429z00_13972 = 
(
(long)CINT(BgL_bpz00_13969)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13968),BgL_arg3429z00_13972,BgL_dz00_11787); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13973;
BgL_ez00_13973 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13973, BgL_bpz00_13969); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13974;
BgL_accz00_13974 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11783, BgL_sz00_13968, BgL_bpz00_13969); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13973); 
VECTOR_SET(
((obj_t)BgL_sz00_13968),((long)0),BgL_bpz00_13969); 
return BgL_accz00_13974;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13975;
BgL_nsz00_13975 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13975,((long)1),BgL_sz00_13968); 
VECTOR_SET(BgL_nsz00_13975,((long)2),BgL_bz00_11785); 
VECTOR_SET(BgL_nsz00_13975,((long)3),BgL_cz00_11786); 
VECTOR_SET(BgL_nsz00_13975,((long)4),BgL_dz00_11787); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13976;
BgL_z12denvz12_13976 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13976, BgL_nsz00_13975); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13977;
BgL_ez00_13977 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13977, BgL_sz00_13968); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_13978;
BgL_____rz00_13978 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11783, BgL_nsz00_13975, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13977); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13976, BgL_sz00_13968); 
return BgL_____rz00_13978;} } } } } } } } 

}



/* &run5133 */
obj_t BGl_z62run5133z62zz__evaluate_compz00(obj_t BgL_envz00_11788, obj_t BgL_sz00_11794)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11789;long BgL_siza7eza7_11790;obj_t BgL_valza2za2_11791;BgL_ev_absz00_bglt BgL_i1244z00_11792;obj_t BgL_bodyz00_11793;
BgL_iboxesz00_11789 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11788, 
(int)(((long)0)))); 
BgL_siza7eza7_11790 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11788, 
(int)(((long)1)))); 
BgL_valza2za2_11791 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11788, 
(int)(((long)2)))); 
BgL_i1244z00_11792 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11788, 
(int)(((long)3)))); 
BgL_bodyz00_11793 = 
PROCEDURE_REF(BgL_envz00_11788, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13979;
BgL_bpz00_13979 = 
VECTOR_REF(
((obj_t)BgL_sz00_11794),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11794, BgL_iboxesz00_11789, BgL_bpz00_13979); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11794, BgL_valza2za2_11791, 
(
(long)CINT(BgL_bpz00_13979)+BgL_siza7eza7_11790)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_13980;obj_t BgL_wherez00_13981;obj_t BgL_locz00_13982;
BgL_z12denvz12_13980 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_13981 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11792))->BgL_wherez00); 
BgL_locz00_13982 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11792))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_13980, BgL_wherez00_13981, BgL_locz00_13982); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_13983;
BgL_za2za2resza2za2z00_13983 = 
PROCEDURE_ENTRY(BgL_bodyz00_11793)(BgL_bodyz00_11793, BgL_sz00_11794, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_13980); 
return BgL_za2za2resza2za2z00_13983;} } } } } } 

}



/* &<@anonymous:3344> */
obj_t BGl_z62zc3z04anonymousza33344ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11795, obj_t BgL_sz00_11799)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11796;obj_t BgL_bodyz00_11797;long BgL_siza7ezd2framez75_11798;
BgL_i1244z00_11796 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11795, 
(int)(((long)0)))); 
BgL_bodyz00_11797 = 
PROCEDURE_REF(BgL_envz00_11795, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11798 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11795, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13984;
BgL_bpz00_13984 = 
VECTOR_REF(
((obj_t)BgL_sz00_11799),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_13985;
BgL_runz00_13985 = 
MAKE_FX_PROCEDURE(BGl_z62run5135z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_13985, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11796)); 
PROCEDURE_SET(BgL_runz00_13985, 
(int)(((long)1)), BgL_bodyz00_11797); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_13986;
BgL_mainz00_13986 = 
MAKE_VA_PROCEDURE(BGl_z62main5134z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_13986, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11796)); 
PROCEDURE_SET(BgL_mainz00_13986, 
(int)(((long)1)), BgL_bodyz00_11797); 
PROCEDURE_SET(BgL_mainz00_13986, 
(int)(((long)2)), BgL_runz00_13985); 
PROCEDURE_SET(BgL_mainz00_13986, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11798)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_13987;
BgL_objz00_13987 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_13985, BgL_objz00_13987); BgL_objz00_13987; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3345z00_13988;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3346z00_13989;
BgL_arg3346z00_13989 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11796))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_13990;
BgL_newz00_13990 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24575;
BgL_tmpz00_24575 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_13990, BgL_tmpz00_24575, BgL_arg3346z00_13989); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24580;int BgL_tmpz00_24578;
BgL_auxz00_24580 = 
BINT(BgL_siza7ezd2framez75_11798); 
BgL_tmpz00_24578 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_13990, BgL_tmpz00_24578, BgL_auxz00_24580); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24583;
BgL_tmpz00_24583 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_13990, BgL_tmpz00_24583, BgL_runz00_13985); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24588;int BgL_tmpz00_24586;
BgL_auxz00_24588 = 
BINT(((long)-3)); 
BgL_tmpz00_24586 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_13990, BgL_tmpz00_24586, BgL_auxz00_24588); } 
BgL_arg3345z00_13988 = BgL_newz00_13990; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_13986, BgL_arg3345z00_13988); BgL_arg3345z00_13988; } 
return BgL_mainz00_13986;} } } } } } 

}



/* &main5134 */
obj_t BGl_z62main5134z62zz__evaluate_compz00(obj_t BgL_envz00_11800, obj_t BgL_cz00_11805, obj_t BgL_dz00_11806, obj_t BgL_lastz00_11807)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11803;long BgL_siza7ezd2framez75_11804;
BgL_runz00_11803 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11800, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11804 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11800, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_13991;
BgL_sz00_13991 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_13992;
BgL_bpz00_13992 = 
VECTOR_REF(
((obj_t)BgL_sz00_13991),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_13991, BgL_bpz00_13992, 
BINT(BgL_siza7ezd2framez75_11804)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3349z00_13993;
BgL_arg3349z00_13993 = 
(
(long)CINT(BgL_bpz00_13992)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_13991),BgL_arg3349z00_13993,BgL_cz00_11805); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3350z00_13994;
BgL_arg3350z00_13994 = 
(
(long)CINT(BgL_bpz00_13992)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_13991),BgL_arg3350z00_13994,BgL_dz00_11806); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3351z00_13995;
BgL_arg3351z00_13995 = 
(
(long)CINT(BgL_bpz00_13992)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_13991),BgL_arg3351z00_13995,BgL_lastz00_11807); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_13996;
BgL_ez00_13996 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_13996, BgL_bpz00_13992); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_13997;
BgL_accz00_13997 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11803, BgL_sz00_13991, BgL_bpz00_13992); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_13996); 
VECTOR_SET(
((obj_t)BgL_sz00_13991),((long)0),BgL_bpz00_13992); 
return BgL_accz00_13997;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_13998;
BgL_nsz00_13998 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_13998,((long)1),BgL_sz00_13991); 
VECTOR_SET(BgL_nsz00_13998,((long)2),BgL_cz00_11805); 
VECTOR_SET(BgL_nsz00_13998,((long)3),BgL_dz00_11806); 
VECTOR_SET(BgL_nsz00_13998,((long)4),BgL_lastz00_11807); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_13999;
BgL_z12denvz12_13999 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13999, BgL_nsz00_13998); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14000;
BgL_ez00_14000 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14000, BgL_sz00_13991); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14001;
BgL_____rz00_14001 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11803, BgL_nsz00_13998, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14000); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_13999, BgL_sz00_13991); 
return BgL_____rz00_14001;} } } } } } } } 

}



/* &run5135 */
obj_t BGl_z62run5135z62zz__evaluate_compz00(obj_t BgL_envz00_11808, obj_t BgL_sz00_11811)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11809;obj_t BgL_bodyz00_11810;
BgL_i1244z00_11809 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11808, 
(int)(((long)0)))); 
BgL_bodyz00_11810 = 
PROCEDURE_REF(BgL_envz00_11808, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14002;
BgL_bpz00_14002 = 
VECTOR_REF(
((obj_t)BgL_sz00_11811),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14003;obj_t BgL_wherez00_14004;obj_t BgL_locz00_14005;
BgL_z12denvz12_14003 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14004 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11809))->BgL_wherez00); 
BgL_locz00_14005 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11809))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14003, BgL_wherez00_14004, BgL_locz00_14005); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14006;
BgL_za2za2resza2za2z00_14006 = 
PROCEDURE_ENTRY(BgL_bodyz00_11810)(BgL_bodyz00_11810, BgL_sz00_11811, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14003); 
return BgL_za2za2resza2za2z00_14006;} } } } } } 

}



/* &<@anonymous:3353> */
obj_t BGl_z62zc3z04anonymousza33353ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11812, obj_t BgL_sz00_11817)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11813;BgL_ev_absz00_bglt BgL_i1244z00_11814;obj_t BgL_bodyz00_11815;long BgL_siza7ezd2framez75_11816;
BgL_iboxesz00_11813 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)0)))); 
BgL_i1244z00_11814 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)1)))); 
BgL_bodyz00_11815 = 
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11816 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11812, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14007;
BgL_bpz00_14007 = 
VECTOR_REF(
((obj_t)BgL_sz00_11817),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14008;
BgL_runz00_14008 = 
MAKE_FX_PROCEDURE(BGl_z62run5137z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14008, 
(int)(((long)0)), BgL_iboxesz00_11813); 
PROCEDURE_SET(BgL_runz00_14008, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11814)); 
PROCEDURE_SET(BgL_runz00_14008, 
(int)(((long)2)), BgL_bodyz00_11815); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14009;
BgL_mainz00_14009 = 
MAKE_VA_PROCEDURE(BGl_z62main5136z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14009, 
(int)(((long)0)), BgL_iboxesz00_11813); 
PROCEDURE_SET(BgL_mainz00_14009, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11814)); 
PROCEDURE_SET(BgL_mainz00_14009, 
(int)(((long)2)), BgL_bodyz00_11815); 
PROCEDURE_SET(BgL_mainz00_14009, 
(int)(((long)3)), BgL_runz00_14008); 
PROCEDURE_SET(BgL_mainz00_14009, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11816)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14010;
BgL_objz00_14010 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14008, BgL_objz00_14010); BgL_objz00_14010; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3354z00_14011;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3355z00_14012;
BgL_arg3355z00_14012 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11814))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14013;
BgL_newz00_14013 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24693;
BgL_tmpz00_24693 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14013, BgL_tmpz00_24693, BgL_arg3355z00_14012); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24698;int BgL_tmpz00_24696;
BgL_auxz00_24698 = 
BINT(BgL_siza7ezd2framez75_11816); 
BgL_tmpz00_24696 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14013, BgL_tmpz00_24696, BgL_auxz00_24698); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24701;
BgL_tmpz00_24701 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14013, BgL_tmpz00_24701, BgL_runz00_14008); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24706;int BgL_tmpz00_24704;
BgL_auxz00_24706 = 
BINT(((long)-3)); 
BgL_tmpz00_24704 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14013, BgL_tmpz00_24704, BgL_auxz00_24706); } 
BgL_arg3354z00_14011 = BgL_newz00_14013; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14009, BgL_arg3354z00_14011); BgL_arg3354z00_14011; } 
return BgL_mainz00_14009;} } } } } } 

}



/* &main5136 */
obj_t BGl_z62main5136z62zz__evaluate_compz00(obj_t BgL_envz00_11818, obj_t BgL_cz00_11824, obj_t BgL_dz00_11825, obj_t BgL_lastz00_11826)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11822;long BgL_siza7ezd2framez75_11823;
BgL_runz00_11822 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11818, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11823 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11818, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14014;
BgL_sz00_14014 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14015;
BgL_bpz00_14015 = 
VECTOR_REF(
((obj_t)BgL_sz00_14014),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14014, BgL_bpz00_14015, 
BINT(BgL_siza7ezd2framez75_11823)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3358z00_14016;
BgL_arg3358z00_14016 = 
(
(long)CINT(BgL_bpz00_14015)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14014),BgL_arg3358z00_14016,BgL_cz00_11824); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3359z00_14017;
BgL_arg3359z00_14017 = 
(
(long)CINT(BgL_bpz00_14015)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14014),BgL_arg3359z00_14017,BgL_dz00_11825); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3360z00_14018;
BgL_arg3360z00_14018 = 
(
(long)CINT(BgL_bpz00_14015)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14014),BgL_arg3360z00_14018,BgL_lastz00_11826); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14019;
BgL_ez00_14019 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14019, BgL_bpz00_14015); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14020;
BgL_accz00_14020 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11822, BgL_sz00_14014, BgL_bpz00_14015); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14019); 
VECTOR_SET(
((obj_t)BgL_sz00_14014),((long)0),BgL_bpz00_14015); 
return BgL_accz00_14020;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14021;
BgL_nsz00_14021 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14021,((long)1),BgL_sz00_14014); 
VECTOR_SET(BgL_nsz00_14021,((long)2),BgL_cz00_11824); 
VECTOR_SET(BgL_nsz00_14021,((long)3),BgL_dz00_11825); 
VECTOR_SET(BgL_nsz00_14021,((long)4),BgL_lastz00_11826); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14022;
BgL_z12denvz12_14022 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14022, BgL_nsz00_14021); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14023;
BgL_ez00_14023 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14023, BgL_sz00_14014); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14024;
BgL_____rz00_14024 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11822, BgL_nsz00_14021, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14023); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14022, BgL_sz00_14014); 
return BgL_____rz00_14024;} } } } } } } } 

}



/* &run5137 */
obj_t BGl_z62run5137z62zz__evaluate_compz00(obj_t BgL_envz00_11827, obj_t BgL_sz00_11831)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11828;BgL_ev_absz00_bglt BgL_i1244z00_11829;obj_t BgL_bodyz00_11830;
BgL_iboxesz00_11828 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)0)))); 
BgL_i1244z00_11829 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)1)))); 
BgL_bodyz00_11830 = 
PROCEDURE_REF(BgL_envz00_11827, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14025;
BgL_bpz00_14025 = 
VECTOR_REF(
((obj_t)BgL_sz00_11831),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11831, BgL_iboxesz00_11828, BgL_bpz00_14025); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14026;obj_t BgL_wherez00_14027;obj_t BgL_locz00_14028;
BgL_z12denvz12_14026 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14027 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11829))->BgL_wherez00); 
BgL_locz00_14028 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11829))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14026, BgL_wherez00_14027, BgL_locz00_14028); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14029;
BgL_za2za2resza2za2z00_14029 = 
PROCEDURE_ENTRY(BgL_bodyz00_11830)(BgL_bodyz00_11830, BgL_sz00_11831, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14026); 
return BgL_za2za2resza2za2z00_14029;} } } } } } 

}



/* &<@anonymous:3365> */
obj_t BGl_z62zc3z04anonymousza33365ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11832, obj_t BgL_sz00_11838)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11833;long BgL_siza7eza7_11834;BgL_ev_absz00_bglt BgL_i1244z00_11835;obj_t BgL_bodyz00_11836;long BgL_siza7ezd2framez75_11837;
BgL_ifreesz00_11833 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11832, 
(int)(((long)0)))); 
BgL_siza7eza7_11834 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11832, 
(int)(((long)1)))); 
BgL_i1244z00_11835 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11832, 
(int)(((long)2)))); 
BgL_bodyz00_11836 = 
PROCEDURE_REF(BgL_envz00_11832, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11837 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11832, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14030;
BgL_bpz00_14030 = 
VECTOR_REF(
((obj_t)BgL_sz00_11838),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14031;
BgL_valza2za2_14031 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11838, BgL_bpz00_14030, BgL_ifreesz00_11833); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14032;
BgL_runz00_14032 = 
MAKE_FX_PROCEDURE(BGl_z62run5139z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14032, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11834)); 
PROCEDURE_SET(BgL_runz00_14032, 
(int)(((long)1)), BgL_valza2za2_14031); 
PROCEDURE_SET(BgL_runz00_14032, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11835)); 
PROCEDURE_SET(BgL_runz00_14032, 
(int)(((long)3)), BgL_bodyz00_11836); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14033;
BgL_mainz00_14033 = 
MAKE_VA_PROCEDURE(BGl_z62main5138z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14033, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11834)); 
PROCEDURE_SET(BgL_mainz00_14033, 
(int)(((long)1)), BgL_valza2za2_14031); 
PROCEDURE_SET(BgL_mainz00_14033, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11835)); 
PROCEDURE_SET(BgL_mainz00_14033, 
(int)(((long)3)), BgL_bodyz00_11836); 
PROCEDURE_SET(BgL_mainz00_14033, 
(int)(((long)4)), BgL_runz00_14032); 
PROCEDURE_SET(BgL_mainz00_14033, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11837)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14034;
BgL_objz00_14034 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14032, BgL_objz00_14034); BgL_objz00_14034; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3366z00_14035;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3367z00_14036;
BgL_arg3367z00_14036 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11835))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14037;
BgL_newz00_14037 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24825;
BgL_tmpz00_24825 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14037, BgL_tmpz00_24825, BgL_arg3367z00_14036); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24830;int BgL_tmpz00_24828;
BgL_auxz00_24830 = 
BINT(BgL_siza7ezd2framez75_11837); 
BgL_tmpz00_24828 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14037, BgL_tmpz00_24828, BgL_auxz00_24830); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24833;
BgL_tmpz00_24833 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14037, BgL_tmpz00_24833, BgL_runz00_14032); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24838;int BgL_tmpz00_24836;
BgL_auxz00_24838 = 
BINT(((long)-3)); 
BgL_tmpz00_24836 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14037, BgL_tmpz00_24836, BgL_auxz00_24838); } 
BgL_arg3366z00_14035 = BgL_newz00_14037; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14033, BgL_arg3366z00_14035); BgL_arg3366z00_14035; } 
return BgL_mainz00_14033;} } } } } } 

}



/* &main5138 */
obj_t BGl_z62main5138z62zz__evaluate_compz00(obj_t BgL_envz00_11839, obj_t BgL_cz00_11846, obj_t BgL_dz00_11847, obj_t BgL_lastz00_11848)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11844;long BgL_siza7ezd2framez75_11845;
BgL_runz00_11844 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11839, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11845 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11839, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14038;
BgL_sz00_14038 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14039;
BgL_bpz00_14039 = 
VECTOR_REF(
((obj_t)BgL_sz00_14038),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14038, BgL_bpz00_14039, 
BINT(BgL_siza7ezd2framez75_11845)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3370z00_14040;
BgL_arg3370z00_14040 = 
(
(long)CINT(BgL_bpz00_14039)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14038),BgL_arg3370z00_14040,BgL_cz00_11846); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3371z00_14041;
BgL_arg3371z00_14041 = 
(
(long)CINT(BgL_bpz00_14039)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14038),BgL_arg3371z00_14041,BgL_dz00_11847); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3372z00_14042;
BgL_arg3372z00_14042 = 
(
(long)CINT(BgL_bpz00_14039)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14038),BgL_arg3372z00_14042,BgL_lastz00_11848); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14043;
BgL_ez00_14043 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14043, BgL_bpz00_14039); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14044;
BgL_accz00_14044 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11844, BgL_sz00_14038, BgL_bpz00_14039); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14043); 
VECTOR_SET(
((obj_t)BgL_sz00_14038),((long)0),BgL_bpz00_14039); 
return BgL_accz00_14044;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14045;
BgL_nsz00_14045 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14045,((long)1),BgL_sz00_14038); 
VECTOR_SET(BgL_nsz00_14045,((long)2),BgL_cz00_11846); 
VECTOR_SET(BgL_nsz00_14045,((long)3),BgL_dz00_11847); 
VECTOR_SET(BgL_nsz00_14045,((long)4),BgL_lastz00_11848); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14046;
BgL_z12denvz12_14046 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14046, BgL_nsz00_14045); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14047;
BgL_ez00_14047 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14047, BgL_sz00_14038); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14048;
BgL_____rz00_14048 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11844, BgL_nsz00_14045, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14047); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14046, BgL_sz00_14038); 
return BgL_____rz00_14048;} } } } } } } } 

}



/* &run5139 */
obj_t BGl_z62run5139z62zz__evaluate_compz00(obj_t BgL_envz00_11849, obj_t BgL_sz00_11854)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11850;obj_t BgL_valza2za2_11851;BgL_ev_absz00_bglt BgL_i1244z00_11852;obj_t BgL_bodyz00_11853;
BgL_siza7eza7_11850 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)0)))); 
BgL_valza2za2_11851 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)1)))); 
BgL_i1244z00_11852 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)2)))); 
BgL_bodyz00_11853 = 
PROCEDURE_REF(BgL_envz00_11849, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14049;
BgL_bpz00_14049 = 
VECTOR_REF(
((obj_t)BgL_sz00_11854),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11854, BgL_valza2za2_11851, 
(
(long)CINT(BgL_bpz00_14049)+BgL_siza7eza7_11850)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14050;obj_t BgL_wherez00_14051;obj_t BgL_locz00_14052;
BgL_z12denvz12_14050 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14051 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11852))->BgL_wherez00); 
BgL_locz00_14052 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11852))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14050, BgL_wherez00_14051, BgL_locz00_14052); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14053;
BgL_za2za2resza2za2z00_14053 = 
PROCEDURE_ENTRY(BgL_bodyz00_11853)(BgL_bodyz00_11853, BgL_sz00_11854, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14050); 
return BgL_za2za2resza2za2z00_14053;} } } } } } 

}



/* &<@anonymous:3375> */
obj_t BGl_z62zc3z04anonymousza33375ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11855, obj_t BgL_sz00_11862)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11856;obj_t BgL_iboxesz00_11857;long BgL_siza7eza7_11858;BgL_ev_absz00_bglt BgL_i1244z00_11859;obj_t BgL_bodyz00_11860;long BgL_siza7ezd2framez75_11861;
BgL_ifreesz00_11856 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)0)))); 
BgL_iboxesz00_11857 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)1)))); 
BgL_siza7eza7_11858 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)2)))); 
BgL_i1244z00_11859 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)3)))); 
BgL_bodyz00_11860 = 
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11861 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11855, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14054;
BgL_bpz00_14054 = 
VECTOR_REF(
((obj_t)BgL_sz00_11862),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14055;
BgL_valza2za2_14055 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11862, BgL_bpz00_14054, BgL_ifreesz00_11856); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14056;
BgL_runz00_14056 = 
MAKE_FX_PROCEDURE(BGl_z62run5141z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14056, 
(int)(((long)0)), BgL_iboxesz00_11857); 
PROCEDURE_SET(BgL_runz00_14056, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11858)); 
PROCEDURE_SET(BgL_runz00_14056, 
(int)(((long)2)), BgL_valza2za2_14055); 
PROCEDURE_SET(BgL_runz00_14056, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11859)); 
PROCEDURE_SET(BgL_runz00_14056, 
(int)(((long)4)), BgL_bodyz00_11860); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14057;
BgL_mainz00_14057 = 
MAKE_VA_PROCEDURE(BGl_z62main5140z62zz__evaluate_compz00, 
(int)(((long)-3)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14057, 
(int)(((long)0)), BgL_iboxesz00_11857); 
PROCEDURE_SET(BgL_mainz00_14057, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11858)); 
PROCEDURE_SET(BgL_mainz00_14057, 
(int)(((long)2)), BgL_valza2za2_14055); 
PROCEDURE_SET(BgL_mainz00_14057, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11859)); 
PROCEDURE_SET(BgL_mainz00_14057, 
(int)(((long)4)), BgL_bodyz00_11860); 
PROCEDURE_SET(BgL_mainz00_14057, 
(int)(((long)5)), BgL_runz00_14056); 
PROCEDURE_SET(BgL_mainz00_14057, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11861)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14058;
BgL_objz00_14058 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14056, BgL_objz00_14058); BgL_objz00_14058; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3376z00_14059;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3377z00_14060;
BgL_arg3377z00_14060 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11859))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14061;
BgL_newz00_14061 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24969;
BgL_tmpz00_24969 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14061, BgL_tmpz00_24969, BgL_arg3377z00_14060); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24974;int BgL_tmpz00_24972;
BgL_auxz00_24974 = 
BINT(BgL_siza7ezd2framez75_11861); 
BgL_tmpz00_24972 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14061, BgL_tmpz00_24972, BgL_auxz00_24974); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_24977;
BgL_tmpz00_24977 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14061, BgL_tmpz00_24977, BgL_runz00_14056); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_24982;int BgL_tmpz00_24980;
BgL_auxz00_24982 = 
BINT(((long)-3)); 
BgL_tmpz00_24980 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14061, BgL_tmpz00_24980, BgL_auxz00_24982); } 
BgL_arg3376z00_14059 = BgL_newz00_14061; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14057, BgL_arg3376z00_14059); BgL_arg3376z00_14059; } 
return BgL_mainz00_14057;} } } } } } 

}



/* &main5140 */
obj_t BGl_z62main5140z62zz__evaluate_compz00(obj_t BgL_envz00_11863, obj_t BgL_cz00_11871, obj_t BgL_dz00_11872, obj_t BgL_lastz00_11873)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11869;long BgL_siza7ezd2framez75_11870;
BgL_runz00_11869 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11863, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11870 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11863, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14062;
BgL_sz00_14062 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14063;
BgL_bpz00_14063 = 
VECTOR_REF(
((obj_t)BgL_sz00_14062),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14062, BgL_bpz00_14063, 
BINT(BgL_siza7ezd2framez75_11870)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3380z00_14064;
BgL_arg3380z00_14064 = 
(
(long)CINT(BgL_bpz00_14063)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14062),BgL_arg3380z00_14064,BgL_cz00_11871); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3381z00_14065;
BgL_arg3381z00_14065 = 
(
(long)CINT(BgL_bpz00_14063)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14062),BgL_arg3381z00_14065,BgL_dz00_11872); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3382z00_14066;
BgL_arg3382z00_14066 = 
(
(long)CINT(BgL_bpz00_14063)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14062),BgL_arg3382z00_14066,BgL_lastz00_11873); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14067;
BgL_ez00_14067 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14067, BgL_bpz00_14063); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14068;
BgL_accz00_14068 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_sz00_14062, BgL_bpz00_14063); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14067); 
VECTOR_SET(
((obj_t)BgL_sz00_14062),((long)0),BgL_bpz00_14063); 
return BgL_accz00_14068;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14069;
BgL_nsz00_14069 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14069,((long)1),BgL_sz00_14062); 
VECTOR_SET(BgL_nsz00_14069,((long)2),BgL_cz00_11871); 
VECTOR_SET(BgL_nsz00_14069,((long)3),BgL_dz00_11872); 
VECTOR_SET(BgL_nsz00_14069,((long)4),BgL_lastz00_11873); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14070;
BgL_z12denvz12_14070 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14070, BgL_nsz00_14069); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14071;
BgL_ez00_14071 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14071, BgL_sz00_14062); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14072;
BgL_____rz00_14072 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11869, BgL_nsz00_14069, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14071); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14070, BgL_sz00_14062); 
return BgL_____rz00_14072;} } } } } } } } 

}



/* &run5141 */
obj_t BGl_z62run5141z62zz__evaluate_compz00(obj_t BgL_envz00_11874, obj_t BgL_sz00_11880)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11875;long BgL_siza7eza7_11876;obj_t BgL_valza2za2_11877;BgL_ev_absz00_bglt BgL_i1244z00_11878;obj_t BgL_bodyz00_11879;
BgL_iboxesz00_11875 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)0)))); 
BgL_siza7eza7_11876 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)1)))); 
BgL_valza2za2_11877 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)2)))); 
BgL_i1244z00_11878 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)3)))); 
BgL_bodyz00_11879 = 
PROCEDURE_REF(BgL_envz00_11874, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14073;
BgL_bpz00_14073 = 
VECTOR_REF(
((obj_t)BgL_sz00_11880),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11880, BgL_iboxesz00_11875, BgL_bpz00_14073); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11880, BgL_valza2za2_11877, 
(
(long)CINT(BgL_bpz00_14073)+BgL_siza7eza7_11876)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14074;obj_t BgL_wherez00_14075;obj_t BgL_locz00_14076;
BgL_z12denvz12_14074 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14075 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11878))->BgL_wherez00); 
BgL_locz00_14076 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11878))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14074, BgL_wherez00_14075, BgL_locz00_14076); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14077;
BgL_za2za2resza2za2z00_14077 = 
PROCEDURE_ENTRY(BgL_bodyz00_11879)(BgL_bodyz00_11879, BgL_sz00_11880, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14074); 
return BgL_za2za2resza2za2z00_14077;} } } } } } 

}



/* &<@anonymous:3301> */
obj_t BGl_z62zc3z04anonymousza33301ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11881, obj_t BgL_sz00_11885)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11882;obj_t BgL_bodyz00_11883;long BgL_siza7ezd2framez75_11884;
BgL_i1244z00_11882 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11881, 
(int)(((long)0)))); 
BgL_bodyz00_11883 = 
PROCEDURE_REF(BgL_envz00_11881, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11884 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11881, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14078;
BgL_bpz00_14078 = 
VECTOR_REF(
((obj_t)BgL_sz00_11885),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14079;
BgL_runz00_14079 = 
MAKE_FX_PROCEDURE(BGl_z62run5143z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14079, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11882)); 
PROCEDURE_SET(BgL_runz00_14079, 
(int)(((long)1)), BgL_bodyz00_11883); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14080;
BgL_mainz00_14080 = 
MAKE_FX_PROCEDURE(BGl_z62main5142z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11882)); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)1)), BgL_bodyz00_11883); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)2)), BgL_runz00_14079); 
PROCEDURE_SET(BgL_mainz00_14080, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11884)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14081;
BgL_objz00_14081 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14079, BgL_objz00_14081); BgL_objz00_14081; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3302z00_14082;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3303z00_14083;
BgL_arg3303z00_14083 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11882))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14084;
BgL_newz00_14084 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25093;
BgL_tmpz00_25093 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_25093, BgL_arg3303z00_14083); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25098;int BgL_tmpz00_25096;
BgL_auxz00_25098 = 
BINT(BgL_siza7ezd2framez75_11884); 
BgL_tmpz00_25096 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_25096, BgL_auxz00_25098); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25101;
BgL_tmpz00_25101 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_25101, BgL_runz00_14079); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25106;int BgL_tmpz00_25104;
BgL_auxz00_25106 = 
BINT(((long)2)); 
BgL_tmpz00_25104 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14084, BgL_tmpz00_25104, BgL_auxz00_25106); } 
BgL_arg3302z00_14082 = BgL_newz00_14084; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14080, BgL_arg3302z00_14082); BgL_arg3302z00_14082; } 
return BgL_mainz00_14080;} } } } } } 

}



/* &main5142 */
obj_t BGl_z62main5142z62zz__evaluate_compz00(obj_t BgL_envz00_11886, obj_t BgL_cz00_11891, obj_t BgL_dz00_11892)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11889;long BgL_siza7ezd2framez75_11890;
BgL_runz00_11889 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11886, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11890 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11886, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14085;
BgL_sz00_14085 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14086;
BgL_bpz00_14086 = 
VECTOR_REF(
((obj_t)BgL_sz00_14085),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14085, BgL_bpz00_14086, 
BINT(BgL_siza7ezd2framez75_11890)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3306z00_14087;
BgL_arg3306z00_14087 = 
(
(long)CINT(BgL_bpz00_14086)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),BgL_arg3306z00_14087,BgL_cz00_11891); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3307z00_14088;
BgL_arg3307z00_14088 = 
(
(long)CINT(BgL_bpz00_14086)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),BgL_arg3307z00_14088,BgL_dz00_11892); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14089;
BgL_ez00_14089 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14089, BgL_bpz00_14086); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14090;
BgL_accz00_14090 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11889, BgL_sz00_14085, BgL_bpz00_14086); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14089); 
VECTOR_SET(
((obj_t)BgL_sz00_14085),((long)0),BgL_bpz00_14086); 
return BgL_accz00_14090;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14091;
BgL_nsz00_14091 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14091,((long)1),BgL_sz00_14085); 
VECTOR_SET(BgL_nsz00_14091,((long)2),BgL_cz00_11891); 
VECTOR_SET(BgL_nsz00_14091,((long)3),BgL_dz00_11892); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14092;
BgL_z12denvz12_14092 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14092, BgL_nsz00_14091); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14093;
BgL_ez00_14093 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14093, BgL_sz00_14085); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14094;
BgL_____rz00_14094 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11889, BgL_nsz00_14091, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14093); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14092, BgL_sz00_14085); 
return BgL_____rz00_14094;} } } } } } } } 

}



/* &run5143 */
obj_t BGl_z62run5143z62zz__evaluate_compz00(obj_t BgL_envz00_11893, obj_t BgL_sz00_11896)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11894;obj_t BgL_bodyz00_11895;
BgL_i1244z00_11894 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11893, 
(int)(((long)0)))); 
BgL_bodyz00_11895 = 
PROCEDURE_REF(BgL_envz00_11893, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14095;
BgL_bpz00_14095 = 
VECTOR_REF(
((obj_t)BgL_sz00_11896),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14096;obj_t BgL_wherez00_14097;obj_t BgL_locz00_14098;
BgL_z12denvz12_14096 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14097 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11894))->BgL_wherez00); 
BgL_locz00_14098 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11894))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14096, BgL_wherez00_14097, BgL_locz00_14098); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14099;
BgL_za2za2resza2za2z00_14099 = 
PROCEDURE_ENTRY(BgL_bodyz00_11895)(BgL_bodyz00_11895, BgL_sz00_11896, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14096); 
return BgL_za2za2resza2za2z00_14099;} } } } } } 

}



/* &<@anonymous:3309> */
obj_t BGl_z62zc3z04anonymousza33309ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11897, obj_t BgL_sz00_11902)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11898;BgL_ev_absz00_bglt BgL_i1244z00_11899;obj_t BgL_bodyz00_11900;long BgL_siza7ezd2framez75_11901;
BgL_iboxesz00_11898 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)0)))); 
BgL_i1244z00_11899 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)1)))); 
BgL_bodyz00_11900 = 
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11901 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11897, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14100;
BgL_bpz00_14100 = 
VECTOR_REF(
((obj_t)BgL_sz00_11902),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14101;
BgL_runz00_14101 = 
MAKE_FX_PROCEDURE(BGl_z62run5145z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14101, 
(int)(((long)0)), BgL_iboxesz00_11898); 
PROCEDURE_SET(BgL_runz00_14101, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11899)); 
PROCEDURE_SET(BgL_runz00_14101, 
(int)(((long)2)), BgL_bodyz00_11900); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14102;
BgL_mainz00_14102 = 
MAKE_FX_PROCEDURE(BGl_z62main5144z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14102, 
(int)(((long)0)), BgL_iboxesz00_11898); 
PROCEDURE_SET(BgL_mainz00_14102, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11899)); 
PROCEDURE_SET(BgL_mainz00_14102, 
(int)(((long)2)), BgL_bodyz00_11900); 
PROCEDURE_SET(BgL_mainz00_14102, 
(int)(((long)3)), BgL_runz00_14101); 
PROCEDURE_SET(BgL_mainz00_14102, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11901)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14103;
BgL_objz00_14103 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14101, BgL_objz00_14103); BgL_objz00_14103; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3310z00_14104;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3311z00_14105;
BgL_arg3311z00_14105 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11899))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14106;
BgL_newz00_14106 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25206;
BgL_tmpz00_25206 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14106, BgL_tmpz00_25206, BgL_arg3311z00_14105); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25211;int BgL_tmpz00_25209;
BgL_auxz00_25211 = 
BINT(BgL_siza7ezd2framez75_11901); 
BgL_tmpz00_25209 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14106, BgL_tmpz00_25209, BgL_auxz00_25211); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25214;
BgL_tmpz00_25214 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14106, BgL_tmpz00_25214, BgL_runz00_14101); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25219;int BgL_tmpz00_25217;
BgL_auxz00_25219 = 
BINT(((long)2)); 
BgL_tmpz00_25217 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14106, BgL_tmpz00_25217, BgL_auxz00_25219); } 
BgL_arg3310z00_14104 = BgL_newz00_14106; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14102, BgL_arg3310z00_14104); BgL_arg3310z00_14104; } 
return BgL_mainz00_14102;} } } } } } 

}



/* &main5144 */
obj_t BGl_z62main5144z62zz__evaluate_compz00(obj_t BgL_envz00_11903, obj_t BgL_cz00_11909, obj_t BgL_dz00_11910)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11907;long BgL_siza7ezd2framez75_11908;
BgL_runz00_11907 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11908 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11903, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14107;
BgL_sz00_14107 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14108;
BgL_bpz00_14108 = 
VECTOR_REF(
((obj_t)BgL_sz00_14107),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14107, BgL_bpz00_14108, 
BINT(BgL_siza7ezd2framez75_11908)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3314z00_14109;
BgL_arg3314z00_14109 = 
(
(long)CINT(BgL_bpz00_14108)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14107),BgL_arg3314z00_14109,BgL_cz00_11909); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3315z00_14110;
BgL_arg3315z00_14110 = 
(
(long)CINT(BgL_bpz00_14108)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14107),BgL_arg3315z00_14110,BgL_dz00_11910); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14111;
BgL_ez00_14111 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14111, BgL_bpz00_14108); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14112;
BgL_accz00_14112 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11907, BgL_sz00_14107, BgL_bpz00_14108); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14111); 
VECTOR_SET(
((obj_t)BgL_sz00_14107),((long)0),BgL_bpz00_14108); 
return BgL_accz00_14112;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14113;
BgL_nsz00_14113 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14113,((long)1),BgL_sz00_14107); 
VECTOR_SET(BgL_nsz00_14113,((long)2),BgL_cz00_11909); 
VECTOR_SET(BgL_nsz00_14113,((long)3),BgL_dz00_11910); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14114;
BgL_z12denvz12_14114 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14114, BgL_nsz00_14113); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14115;
BgL_ez00_14115 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14115, BgL_sz00_14107); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14116;
BgL_____rz00_14116 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11907, BgL_nsz00_14113, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14115); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14114, BgL_sz00_14107); 
return BgL_____rz00_14116;} } } } } } } } 

}



/* &run5145 */
obj_t BGl_z62run5145z62zz__evaluate_compz00(obj_t BgL_envz00_11911, obj_t BgL_sz00_11915)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11912;BgL_ev_absz00_bglt BgL_i1244z00_11913;obj_t BgL_bodyz00_11914;
BgL_iboxesz00_11912 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)0)))); 
BgL_i1244z00_11913 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)1)))); 
BgL_bodyz00_11914 = 
PROCEDURE_REF(BgL_envz00_11911, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14117;
BgL_bpz00_14117 = 
VECTOR_REF(
((obj_t)BgL_sz00_11915),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11915, BgL_iboxesz00_11912, BgL_bpz00_14117); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14118;obj_t BgL_wherez00_14119;obj_t BgL_locz00_14120;
BgL_z12denvz12_14118 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14119 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11913))->BgL_wherez00); 
BgL_locz00_14120 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11913))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14118, BgL_wherez00_14119, BgL_locz00_14120); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14121;
BgL_za2za2resza2za2z00_14121 = 
PROCEDURE_ENTRY(BgL_bodyz00_11914)(BgL_bodyz00_11914, BgL_sz00_11915, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14118); 
return BgL_za2za2resza2za2z00_14121;} } } } } } 

}



/* &<@anonymous:3320> */
obj_t BGl_z62zc3z04anonymousza33320ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11916, obj_t BgL_sz00_11922)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11917;long BgL_siza7eza7_11918;BgL_ev_absz00_bglt BgL_i1244z00_11919;obj_t BgL_bodyz00_11920;long BgL_siza7ezd2framez75_11921;
BgL_ifreesz00_11917 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)0)))); 
BgL_siza7eza7_11918 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)1)))); 
BgL_i1244z00_11919 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)2)))); 
BgL_bodyz00_11920 = 
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_11921 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11916, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14122;
BgL_bpz00_14122 = 
VECTOR_REF(
((obj_t)BgL_sz00_11922),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14123;
BgL_valza2za2_14123 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11922, BgL_bpz00_14122, BgL_ifreesz00_11917); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14124;
BgL_runz00_14124 = 
MAKE_FX_PROCEDURE(BGl_z62run5147z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11918)); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)1)), BgL_valza2za2_14123); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11919)); 
PROCEDURE_SET(BgL_runz00_14124, 
(int)(((long)3)), BgL_bodyz00_11920); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14125;
BgL_mainz00_14125 = 
MAKE_FX_PROCEDURE(BGl_z62main5146z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_11918)); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)1)), BgL_valza2za2_14123); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_11919)); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)3)), BgL_bodyz00_11920); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)4)), BgL_runz00_14124); 
PROCEDURE_SET(BgL_mainz00_14125, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_11921)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14126;
BgL_objz00_14126 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14124, BgL_objz00_14126); BgL_objz00_14126; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3321z00_14127;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3322z00_14128;
BgL_arg3322z00_14128 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11919))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14129;
BgL_newz00_14129 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25333;
BgL_tmpz00_25333 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_25333, BgL_arg3322z00_14128); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25338;int BgL_tmpz00_25336;
BgL_auxz00_25338 = 
BINT(BgL_siza7ezd2framez75_11921); 
BgL_tmpz00_25336 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_25336, BgL_auxz00_25338); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25341;
BgL_tmpz00_25341 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_25341, BgL_runz00_14124); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25346;int BgL_tmpz00_25344;
BgL_auxz00_25346 = 
BINT(((long)2)); 
BgL_tmpz00_25344 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14129, BgL_tmpz00_25344, BgL_auxz00_25346); } 
BgL_arg3321z00_14127 = BgL_newz00_14129; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14125, BgL_arg3321z00_14127); BgL_arg3321z00_14127; } 
return BgL_mainz00_14125;} } } } } } 

}



/* &main5146 */
obj_t BGl_z62main5146z62zz__evaluate_compz00(obj_t BgL_envz00_11923, obj_t BgL_cz00_11930, obj_t BgL_dz00_11931)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11928;long BgL_siza7ezd2framez75_11929;
BgL_runz00_11928 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_11929 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11923, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14130;
BgL_sz00_14130 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14131;
BgL_bpz00_14131 = 
VECTOR_REF(
((obj_t)BgL_sz00_14130),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14130, BgL_bpz00_14131, 
BINT(BgL_siza7ezd2framez75_11929)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3325z00_14132;
BgL_arg3325z00_14132 = 
(
(long)CINT(BgL_bpz00_14131)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),BgL_arg3325z00_14132,BgL_cz00_11930); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3326z00_14133;
BgL_arg3326z00_14133 = 
(
(long)CINT(BgL_bpz00_14131)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),BgL_arg3326z00_14133,BgL_dz00_11931); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14134;
BgL_ez00_14134 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14134, BgL_bpz00_14131); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14135;
BgL_accz00_14135 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11928, BgL_sz00_14130, BgL_bpz00_14131); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14134); 
VECTOR_SET(
((obj_t)BgL_sz00_14130),((long)0),BgL_bpz00_14131); 
return BgL_accz00_14135;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14136;
BgL_nsz00_14136 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14136,((long)1),BgL_sz00_14130); 
VECTOR_SET(BgL_nsz00_14136,((long)2),BgL_cz00_11930); 
VECTOR_SET(BgL_nsz00_14136,((long)3),BgL_dz00_11931); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14137;
BgL_z12denvz12_14137 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14137, BgL_nsz00_14136); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14138;
BgL_ez00_14138 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14138, BgL_sz00_14130); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14139;
BgL_____rz00_14139 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11928, BgL_nsz00_14136, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14138); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14137, BgL_sz00_14130); 
return BgL_____rz00_14139;} } } } } } } } 

}



/* &run5147 */
obj_t BGl_z62run5147z62zz__evaluate_compz00(obj_t BgL_envz00_11932, obj_t BgL_sz00_11937)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_11933;obj_t BgL_valza2za2_11934;BgL_ev_absz00_bglt BgL_i1244z00_11935;obj_t BgL_bodyz00_11936;
BgL_siza7eza7_11933 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)0)))); 
BgL_valza2za2_11934 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)1)))); 
BgL_i1244z00_11935 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)2)))); 
BgL_bodyz00_11936 = 
PROCEDURE_REF(BgL_envz00_11932, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14140;
BgL_bpz00_14140 = 
VECTOR_REF(
((obj_t)BgL_sz00_11937),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11937, BgL_valza2za2_11934, 
(
(long)CINT(BgL_bpz00_14140)+BgL_siza7eza7_11933)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14141;obj_t BgL_wherez00_14142;obj_t BgL_locz00_14143;
BgL_z12denvz12_14141 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14142 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11935))->BgL_wherez00); 
BgL_locz00_14143 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11935))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14141, BgL_wherez00_14142, BgL_locz00_14143); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14144;
BgL_za2za2resza2za2z00_14144 = 
PROCEDURE_ENTRY(BgL_bodyz00_11936)(BgL_bodyz00_11936, BgL_sz00_11937, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14141); 
return BgL_za2za2resza2za2z00_14144;} } } } } } 

}



/* &<@anonymous:3329> */
obj_t BGl_z62zc3z04anonymousza33329ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11938, obj_t BgL_sz00_11945)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11939;obj_t BgL_iboxesz00_11940;long BgL_siza7eza7_11941;BgL_ev_absz00_bglt BgL_i1244z00_11942;obj_t BgL_bodyz00_11943;long BgL_siza7ezd2framez75_11944;
BgL_ifreesz00_11939 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)0)))); 
BgL_iboxesz00_11940 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)1)))); 
BgL_siza7eza7_11941 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)2)))); 
BgL_i1244z00_11942 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)3)))); 
BgL_bodyz00_11943 = 
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_11944 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11938, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14145;
BgL_bpz00_14145 = 
VECTOR_REF(
((obj_t)BgL_sz00_11945),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14146;
BgL_valza2za2_14146 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_11945, BgL_bpz00_14145, BgL_ifreesz00_11939); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14147;
BgL_runz00_14147 = 
MAKE_FX_PROCEDURE(BGl_z62run5149z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14147, 
(int)(((long)0)), BgL_iboxesz00_11940); 
PROCEDURE_SET(BgL_runz00_14147, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11941)); 
PROCEDURE_SET(BgL_runz00_14147, 
(int)(((long)2)), BgL_valza2za2_14146); 
PROCEDURE_SET(BgL_runz00_14147, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11942)); 
PROCEDURE_SET(BgL_runz00_14147, 
(int)(((long)4)), BgL_bodyz00_11943); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14148;
BgL_mainz00_14148 = 
MAKE_FX_PROCEDURE(BGl_z62main5148z62zz__evaluate_compz00, 
(int)(((long)2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14148, 
(int)(((long)0)), BgL_iboxesz00_11940); 
PROCEDURE_SET(BgL_mainz00_14148, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_11941)); 
PROCEDURE_SET(BgL_mainz00_14148, 
(int)(((long)2)), BgL_valza2za2_14146); 
PROCEDURE_SET(BgL_mainz00_14148, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_11942)); 
PROCEDURE_SET(BgL_mainz00_14148, 
(int)(((long)4)), BgL_bodyz00_11943); 
PROCEDURE_SET(BgL_mainz00_14148, 
(int)(((long)5)), BgL_runz00_14147); 
PROCEDURE_SET(BgL_mainz00_14148, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_11944)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14149;
BgL_objz00_14149 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14147, BgL_objz00_14149); BgL_objz00_14149; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3330z00_14150;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3331z00_14151;
BgL_arg3331z00_14151 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11942))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14152;
BgL_newz00_14152 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25472;
BgL_tmpz00_25472 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14152, BgL_tmpz00_25472, BgL_arg3331z00_14151); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25477;int BgL_tmpz00_25475;
BgL_auxz00_25477 = 
BINT(BgL_siza7ezd2framez75_11944); 
BgL_tmpz00_25475 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14152, BgL_tmpz00_25475, BgL_auxz00_25477); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25480;
BgL_tmpz00_25480 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14152, BgL_tmpz00_25480, BgL_runz00_14147); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25485;int BgL_tmpz00_25483;
BgL_auxz00_25485 = 
BINT(((long)2)); 
BgL_tmpz00_25483 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14152, BgL_tmpz00_25483, BgL_auxz00_25485); } 
BgL_arg3330z00_14150 = BgL_newz00_14152; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14148, BgL_arg3330z00_14150); BgL_arg3330z00_14150; } 
return BgL_mainz00_14148;} } } } } } 

}



/* &main5148 */
obj_t BGl_z62main5148z62zz__evaluate_compz00(obj_t BgL_envz00_11946, obj_t BgL_cz00_11954, obj_t BgL_dz00_11955)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11952;long BgL_siza7ezd2framez75_11953;
BgL_runz00_11952 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11946, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_11953 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11946, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14153;
BgL_sz00_14153 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14154;
BgL_bpz00_14154 = 
VECTOR_REF(
((obj_t)BgL_sz00_14153),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14153, BgL_bpz00_14154, 
BINT(BgL_siza7ezd2framez75_11953)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3334z00_14155;
BgL_arg3334z00_14155 = 
(
(long)CINT(BgL_bpz00_14154)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14153),BgL_arg3334z00_14155,BgL_cz00_11954); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3335z00_14156;
BgL_arg3335z00_14156 = 
(
(long)CINT(BgL_bpz00_14154)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14153),BgL_arg3335z00_14156,BgL_dz00_11955); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14157;
BgL_ez00_14157 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14157, BgL_bpz00_14154); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14158;
BgL_accz00_14158 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11952, BgL_sz00_14153, BgL_bpz00_14154); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14157); 
VECTOR_SET(
((obj_t)BgL_sz00_14153),((long)0),BgL_bpz00_14154); 
return BgL_accz00_14158;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14159;
BgL_nsz00_14159 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14159,((long)1),BgL_sz00_14153); 
VECTOR_SET(BgL_nsz00_14159,((long)2),BgL_cz00_11954); 
VECTOR_SET(BgL_nsz00_14159,((long)3),BgL_dz00_11955); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14160;
BgL_z12denvz12_14160 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14160, BgL_nsz00_14159); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14161;
BgL_ez00_14161 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14161, BgL_sz00_14153); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14162;
BgL_____rz00_14162 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11952, BgL_nsz00_14159, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14161); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14160, BgL_sz00_14153); 
return BgL_____rz00_14162;} } } } } } } } 

}



/* &run5149 */
obj_t BGl_z62run5149z62zz__evaluate_compz00(obj_t BgL_envz00_11956, obj_t BgL_sz00_11962)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11957;long BgL_siza7eza7_11958;obj_t BgL_valza2za2_11959;BgL_ev_absz00_bglt BgL_i1244z00_11960;obj_t BgL_bodyz00_11961;
BgL_iboxesz00_11957 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)0)))); 
BgL_siza7eza7_11958 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)1)))); 
BgL_valza2za2_11959 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)2)))); 
BgL_i1244z00_11960 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)3)))); 
BgL_bodyz00_11961 = 
PROCEDURE_REF(BgL_envz00_11956, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14163;
BgL_bpz00_14163 = 
VECTOR_REF(
((obj_t)BgL_sz00_11962),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11962, BgL_iboxesz00_11957, BgL_bpz00_14163); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_11962, BgL_valza2za2_11959, 
(
(long)CINT(BgL_bpz00_14163)+BgL_siza7eza7_11958)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14164;obj_t BgL_wherez00_14165;obj_t BgL_locz00_14166;
BgL_z12denvz12_14164 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14165 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11960))->BgL_wherez00); 
BgL_locz00_14166 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11960))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14164, BgL_wherez00_14165, BgL_locz00_14166); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14167;
BgL_za2za2resza2za2z00_14167 = 
PROCEDURE_ENTRY(BgL_bodyz00_11961)(BgL_bodyz00_11961, BgL_sz00_11962, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14164); 
return BgL_za2za2resza2za2z00_14167;} } } } } } 

}



/* &<@anonymous:3258> */
obj_t BGl_z62zc3z04anonymousza33258ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11963, obj_t BgL_sz00_11967)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11964;obj_t BgL_bodyz00_11965;long BgL_siza7ezd2framez75_11966;
BgL_i1244z00_11964 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)0)))); 
BgL_bodyz00_11965 = 
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_11966 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11963, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14168;
BgL_bpz00_14168 = 
VECTOR_REF(
((obj_t)BgL_sz00_11967),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14169;
BgL_runz00_14169 = 
MAKE_FX_PROCEDURE(BGl_z62run5151z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14169, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11964)); 
PROCEDURE_SET(BgL_runz00_14169, 
(int)(((long)1)), BgL_bodyz00_11965); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14170;
BgL_mainz00_14170 = 
MAKE_VA_PROCEDURE(BGl_z62main5150z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14170, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_11964)); 
PROCEDURE_SET(BgL_mainz00_14170, 
(int)(((long)1)), BgL_bodyz00_11965); 
PROCEDURE_SET(BgL_mainz00_14170, 
(int)(((long)2)), BgL_runz00_14169); 
PROCEDURE_SET(BgL_mainz00_14170, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_11966)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14171;
BgL_objz00_14171 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14169, BgL_objz00_14171); BgL_objz00_14171; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3259z00_14172;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3260z00_14173;
BgL_arg3260z00_14173 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11964))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14174;
BgL_newz00_14174 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25591;
BgL_tmpz00_25591 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14174, BgL_tmpz00_25591, BgL_arg3260z00_14173); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25596;int BgL_tmpz00_25594;
BgL_auxz00_25596 = 
BINT(BgL_siza7ezd2framez75_11966); 
BgL_tmpz00_25594 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14174, BgL_tmpz00_25594, BgL_auxz00_25596); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25599;
BgL_tmpz00_25599 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14174, BgL_tmpz00_25599, BgL_runz00_14169); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25604;int BgL_tmpz00_25602;
BgL_auxz00_25604 = 
BINT(((long)-2)); 
BgL_tmpz00_25602 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14174, BgL_tmpz00_25602, BgL_auxz00_25604); } 
BgL_arg3259z00_14172 = BgL_newz00_14174; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14170, BgL_arg3259z00_14172); BgL_arg3259z00_14172; } 
return BgL_mainz00_14170;} } } } } } 

}



/* &main5150 */
obj_t BGl_z62main5150z62zz__evaluate_compz00(obj_t BgL_envz00_11968, obj_t BgL_dz00_11973, obj_t BgL_lastz00_11974)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11971;long BgL_siza7ezd2framez75_11972;
BgL_runz00_11971 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11968, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_11972 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11968, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14175;
BgL_sz00_14175 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14176;
BgL_bpz00_14176 = 
VECTOR_REF(
((obj_t)BgL_sz00_14175),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14175, BgL_bpz00_14176, 
BINT(BgL_siza7ezd2framez75_11972)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3263z00_14177;
BgL_arg3263z00_14177 = 
(
(long)CINT(BgL_bpz00_14176)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14175),BgL_arg3263z00_14177,BgL_dz00_11973); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3264z00_14178;
BgL_arg3264z00_14178 = 
(
(long)CINT(BgL_bpz00_14176)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14175),BgL_arg3264z00_14178,BgL_lastz00_11974); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14179;
BgL_ez00_14179 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14179, BgL_bpz00_14176); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14180;
BgL_accz00_14180 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11971, BgL_sz00_14175, BgL_bpz00_14176); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14179); 
VECTOR_SET(
((obj_t)BgL_sz00_14175),((long)0),BgL_bpz00_14176); 
return BgL_accz00_14180;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14181;
BgL_nsz00_14181 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14181,((long)1),BgL_sz00_14175); 
VECTOR_SET(BgL_nsz00_14181,((long)2),BgL_dz00_11973); 
VECTOR_SET(BgL_nsz00_14181,((long)3),BgL_lastz00_11974); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14182;
BgL_z12denvz12_14182 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14182, BgL_nsz00_14181); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14183;
BgL_ez00_14183 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14183, BgL_sz00_14175); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14184;
BgL_____rz00_14184 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11971, BgL_nsz00_14181, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14183); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14182, BgL_sz00_14175); 
return BgL_____rz00_14184;} } } } } } } } 

}



/* &run5151 */
obj_t BGl_z62run5151z62zz__evaluate_compz00(obj_t BgL_envz00_11975, obj_t BgL_sz00_11978)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_11976;obj_t BgL_bodyz00_11977;
BgL_i1244z00_11976 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11975, 
(int)(((long)0)))); 
BgL_bodyz00_11977 = 
PROCEDURE_REF(BgL_envz00_11975, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14185;
BgL_bpz00_14185 = 
VECTOR_REF(
((obj_t)BgL_sz00_11978),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14186;obj_t BgL_wherez00_14187;obj_t BgL_locz00_14188;
BgL_z12denvz12_14186 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14187 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11976))->BgL_wherez00); 
BgL_locz00_14188 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11976))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14186, BgL_wherez00_14187, BgL_locz00_14188); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14189;
BgL_za2za2resza2za2z00_14189 = 
PROCEDURE_ENTRY(BgL_bodyz00_11977)(BgL_bodyz00_11977, BgL_sz00_11978, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14186); 
return BgL_za2za2resza2za2z00_14189;} } } } } } 

}



/* &<@anonymous:3266> */
obj_t BGl_z62zc3z04anonymousza33266ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11979, obj_t BgL_sz00_11984)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11980;BgL_ev_absz00_bglt BgL_i1244z00_11981;obj_t BgL_bodyz00_11982;long BgL_siza7ezd2framez75_11983;
BgL_iboxesz00_11980 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)0)))); 
BgL_i1244z00_11981 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)1)))); 
BgL_bodyz00_11982 = 
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_11983 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11979, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14190;
BgL_bpz00_14190 = 
VECTOR_REF(
((obj_t)BgL_sz00_11984),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14191;
BgL_runz00_14191 = 
MAKE_FX_PROCEDURE(BGl_z62run5153z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14191, 
(int)(((long)0)), BgL_iboxesz00_11980); 
PROCEDURE_SET(BgL_runz00_14191, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11981)); 
PROCEDURE_SET(BgL_runz00_14191, 
(int)(((long)2)), BgL_bodyz00_11982); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14192;
BgL_mainz00_14192 = 
MAKE_VA_PROCEDURE(BGl_z62main5152z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14192, 
(int)(((long)0)), BgL_iboxesz00_11980); 
PROCEDURE_SET(BgL_mainz00_14192, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_11981)); 
PROCEDURE_SET(BgL_mainz00_14192, 
(int)(((long)2)), BgL_bodyz00_11982); 
PROCEDURE_SET(BgL_mainz00_14192, 
(int)(((long)3)), BgL_runz00_14191); 
PROCEDURE_SET(BgL_mainz00_14192, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_11983)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14193;
BgL_objz00_14193 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14191, BgL_objz00_14193); BgL_objz00_14193; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3267z00_14194;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3268z00_14195;
BgL_arg3268z00_14195 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11981))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14196;
BgL_newz00_14196 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25704;
BgL_tmpz00_25704 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14196, BgL_tmpz00_25704, BgL_arg3268z00_14195); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25709;int BgL_tmpz00_25707;
BgL_auxz00_25709 = 
BINT(BgL_siza7ezd2framez75_11983); 
BgL_tmpz00_25707 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14196, BgL_tmpz00_25707, BgL_auxz00_25709); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25712;
BgL_tmpz00_25712 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14196, BgL_tmpz00_25712, BgL_runz00_14191); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25717;int BgL_tmpz00_25715;
BgL_auxz00_25717 = 
BINT(((long)-2)); 
BgL_tmpz00_25715 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14196, BgL_tmpz00_25715, BgL_auxz00_25717); } 
BgL_arg3267z00_14194 = BgL_newz00_14196; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14192, BgL_arg3267z00_14194); BgL_arg3267z00_14194; } 
return BgL_mainz00_14192;} } } } } } 

}



/* &main5152 */
obj_t BGl_z62main5152z62zz__evaluate_compz00(obj_t BgL_envz00_11985, obj_t BgL_dz00_11991, obj_t BgL_lastz00_11992)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_11989;long BgL_siza7ezd2framez75_11990;
BgL_runz00_11989 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11985, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_11990 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11985, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14197;
BgL_sz00_14197 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14198;
BgL_bpz00_14198 = 
VECTOR_REF(
((obj_t)BgL_sz00_14197),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14197, BgL_bpz00_14198, 
BINT(BgL_siza7ezd2framez75_11990)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3271z00_14199;
BgL_arg3271z00_14199 = 
(
(long)CINT(BgL_bpz00_14198)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14197),BgL_arg3271z00_14199,BgL_dz00_11991); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3272z00_14200;
BgL_arg3272z00_14200 = 
(
(long)CINT(BgL_bpz00_14198)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14197),BgL_arg3272z00_14200,BgL_lastz00_11992); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14201;
BgL_ez00_14201 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14201, BgL_bpz00_14198); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14202;
BgL_accz00_14202 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11989, BgL_sz00_14197, BgL_bpz00_14198); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14201); 
VECTOR_SET(
((obj_t)BgL_sz00_14197),((long)0),BgL_bpz00_14198); 
return BgL_accz00_14202;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14203;
BgL_nsz00_14203 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14203,((long)1),BgL_sz00_14197); 
VECTOR_SET(BgL_nsz00_14203,((long)2),BgL_dz00_11991); 
VECTOR_SET(BgL_nsz00_14203,((long)3),BgL_lastz00_11992); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14204;
BgL_z12denvz12_14204 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14204, BgL_nsz00_14203); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14205;
BgL_ez00_14205 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14205, BgL_sz00_14197); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14206;
BgL_____rz00_14206 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_11989, BgL_nsz00_14203, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14205); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14204, BgL_sz00_14197); 
return BgL_____rz00_14206;} } } } } } } } 

}



/* &run5153 */
obj_t BGl_z62run5153z62zz__evaluate_compz00(obj_t BgL_envz00_11993, obj_t BgL_sz00_11997)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_11994;BgL_ev_absz00_bglt BgL_i1244z00_11995;obj_t BgL_bodyz00_11996;
BgL_iboxesz00_11994 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)0)))); 
BgL_i1244z00_11995 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)1)))); 
BgL_bodyz00_11996 = 
PROCEDURE_REF(BgL_envz00_11993, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14207;
BgL_bpz00_14207 = 
VECTOR_REF(
((obj_t)BgL_sz00_11997),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_11997, BgL_iboxesz00_11994, BgL_bpz00_14207); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14208;obj_t BgL_wherez00_14209;obj_t BgL_locz00_14210;
BgL_z12denvz12_14208 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14209 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11995))->BgL_wherez00); 
BgL_locz00_14210 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_11995))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14208, BgL_wherez00_14209, BgL_locz00_14210); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14211;
BgL_za2za2resza2za2z00_14211 = 
PROCEDURE_ENTRY(BgL_bodyz00_11996)(BgL_bodyz00_11996, BgL_sz00_11997, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14208); 
return BgL_za2za2resza2za2z00_14211;} } } } } } 

}



/* &<@anonymous:3277> */
obj_t BGl_z62zc3z04anonymousza33277ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_11998, obj_t BgL_sz00_12004)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_11999;long BgL_siza7eza7_12000;BgL_ev_absz00_bglt BgL_i1244z00_12001;obj_t BgL_bodyz00_12002;long BgL_siza7ezd2framez75_12003;
BgL_ifreesz00_11999 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_11998, 
(int)(((long)0)))); 
BgL_siza7eza7_12000 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11998, 
(int)(((long)1)))); 
BgL_i1244z00_12001 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_11998, 
(int)(((long)2)))); 
BgL_bodyz00_12002 = 
PROCEDURE_REF(BgL_envz00_11998, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12003 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_11998, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14212;
BgL_bpz00_14212 = 
VECTOR_REF(
((obj_t)BgL_sz00_12004),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14213;
BgL_valza2za2_14213 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12004, BgL_bpz00_14212, BgL_ifreesz00_11999); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14214;
BgL_runz00_14214 = 
MAKE_FX_PROCEDURE(BGl_z62run5155z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14214, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12000)); 
PROCEDURE_SET(BgL_runz00_14214, 
(int)(((long)1)), BgL_valza2za2_14213); 
PROCEDURE_SET(BgL_runz00_14214, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12001)); 
PROCEDURE_SET(BgL_runz00_14214, 
(int)(((long)3)), BgL_bodyz00_12002); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14215;
BgL_mainz00_14215 = 
MAKE_VA_PROCEDURE(BGl_z62main5154z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14215, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12000)); 
PROCEDURE_SET(BgL_mainz00_14215, 
(int)(((long)1)), BgL_valza2za2_14213); 
PROCEDURE_SET(BgL_mainz00_14215, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12001)); 
PROCEDURE_SET(BgL_mainz00_14215, 
(int)(((long)3)), BgL_bodyz00_12002); 
PROCEDURE_SET(BgL_mainz00_14215, 
(int)(((long)4)), BgL_runz00_14214); 
PROCEDURE_SET(BgL_mainz00_14215, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12003)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14216;
BgL_objz00_14216 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14214, BgL_objz00_14216); BgL_objz00_14216; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3278z00_14217;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3279z00_14218;
BgL_arg3279z00_14218 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12001))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14219;
BgL_newz00_14219 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25831;
BgL_tmpz00_25831 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14219, BgL_tmpz00_25831, BgL_arg3279z00_14218); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25836;int BgL_tmpz00_25834;
BgL_auxz00_25836 = 
BINT(BgL_siza7ezd2framez75_12003); 
BgL_tmpz00_25834 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14219, BgL_tmpz00_25834, BgL_auxz00_25836); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25839;
BgL_tmpz00_25839 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14219, BgL_tmpz00_25839, BgL_runz00_14214); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25844;int BgL_tmpz00_25842;
BgL_auxz00_25844 = 
BINT(((long)-2)); 
BgL_tmpz00_25842 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14219, BgL_tmpz00_25842, BgL_auxz00_25844); } 
BgL_arg3278z00_14217 = BgL_newz00_14219; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14215, BgL_arg3278z00_14217); BgL_arg3278z00_14217; } 
return BgL_mainz00_14215;} } } } } } 

}



/* &main5154 */
obj_t BGl_z62main5154z62zz__evaluate_compz00(obj_t BgL_envz00_12005, obj_t BgL_dz00_12012, obj_t BgL_lastz00_12013)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12010;long BgL_siza7ezd2framez75_12011;
BgL_runz00_12010 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12005, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12011 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12005, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14220;
BgL_sz00_14220 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14221;
BgL_bpz00_14221 = 
VECTOR_REF(
((obj_t)BgL_sz00_14220),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14220, BgL_bpz00_14221, 
BINT(BgL_siza7ezd2framez75_12011)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3282z00_14222;
BgL_arg3282z00_14222 = 
(
(long)CINT(BgL_bpz00_14221)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14220),BgL_arg3282z00_14222,BgL_dz00_12012); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3283z00_14223;
BgL_arg3283z00_14223 = 
(
(long)CINT(BgL_bpz00_14221)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14220),BgL_arg3283z00_14223,BgL_lastz00_12013); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14224;
BgL_ez00_14224 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14224, BgL_bpz00_14221); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14225;
BgL_accz00_14225 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12010, BgL_sz00_14220, BgL_bpz00_14221); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14224); 
VECTOR_SET(
((obj_t)BgL_sz00_14220),((long)0),BgL_bpz00_14221); 
return BgL_accz00_14225;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14226;
BgL_nsz00_14226 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14226,((long)1),BgL_sz00_14220); 
VECTOR_SET(BgL_nsz00_14226,((long)2),BgL_dz00_12012); 
VECTOR_SET(BgL_nsz00_14226,((long)3),BgL_lastz00_12013); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14227;
BgL_z12denvz12_14227 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14227, BgL_nsz00_14226); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14228;
BgL_ez00_14228 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14228, BgL_sz00_14220); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14229;
BgL_____rz00_14229 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12010, BgL_nsz00_14226, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14228); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14227, BgL_sz00_14220); 
return BgL_____rz00_14229;} } } } } } } } 

}



/* &run5155 */
obj_t BGl_z62run5155z62zz__evaluate_compz00(obj_t BgL_envz00_12014, obj_t BgL_sz00_12019)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_12015;obj_t BgL_valza2za2_12016;BgL_ev_absz00_bglt BgL_i1244z00_12017;obj_t BgL_bodyz00_12018;
BgL_siza7eza7_12015 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)0)))); 
BgL_valza2za2_12016 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)1)))); 
BgL_i1244z00_12017 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)2)))); 
BgL_bodyz00_12018 = 
PROCEDURE_REF(BgL_envz00_12014, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14230;
BgL_bpz00_14230 = 
VECTOR_REF(
((obj_t)BgL_sz00_12019),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12019, BgL_valza2za2_12016, 
(
(long)CINT(BgL_bpz00_14230)+BgL_siza7eza7_12015)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14231;obj_t BgL_wherez00_14232;obj_t BgL_locz00_14233;
BgL_z12denvz12_14231 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14232 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12017))->BgL_wherez00); 
BgL_locz00_14233 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12017))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14231, BgL_wherez00_14232, BgL_locz00_14233); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14234;
BgL_za2za2resza2za2z00_14234 = 
PROCEDURE_ENTRY(BgL_bodyz00_12018)(BgL_bodyz00_12018, BgL_sz00_12019, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14231); 
return BgL_za2za2resza2za2z00_14234;} } } } } } 

}



/* &<@anonymous:3286> */
obj_t BGl_z62zc3z04anonymousza33286ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12020, obj_t BgL_sz00_12027)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12021;obj_t BgL_iboxesz00_12022;long BgL_siza7eza7_12023;BgL_ev_absz00_bglt BgL_i1244z00_12024;obj_t BgL_bodyz00_12025;long BgL_siza7ezd2framez75_12026;
BgL_ifreesz00_12021 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)0)))); 
BgL_iboxesz00_12022 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)1)))); 
BgL_siza7eza7_12023 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)2)))); 
BgL_i1244z00_12024 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)3)))); 
BgL_bodyz00_12025 = 
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12026 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12020, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14235;
BgL_bpz00_14235 = 
VECTOR_REF(
((obj_t)BgL_sz00_12027),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14236;
BgL_valza2za2_14236 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12027, BgL_bpz00_14235, BgL_ifreesz00_12021); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14237;
BgL_runz00_14237 = 
MAKE_FX_PROCEDURE(BGl_z62run5157z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14237, 
(int)(((long)0)), BgL_iboxesz00_12022); 
PROCEDURE_SET(BgL_runz00_14237, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12023)); 
PROCEDURE_SET(BgL_runz00_14237, 
(int)(((long)2)), BgL_valza2za2_14236); 
PROCEDURE_SET(BgL_runz00_14237, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12024)); 
PROCEDURE_SET(BgL_runz00_14237, 
(int)(((long)4)), BgL_bodyz00_12025); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14238;
BgL_mainz00_14238 = 
MAKE_VA_PROCEDURE(BGl_z62main5156z62zz__evaluate_compz00, 
(int)(((long)-2)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14238, 
(int)(((long)0)), BgL_iboxesz00_12022); 
PROCEDURE_SET(BgL_mainz00_14238, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12023)); 
PROCEDURE_SET(BgL_mainz00_14238, 
(int)(((long)2)), BgL_valza2za2_14236); 
PROCEDURE_SET(BgL_mainz00_14238, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12024)); 
PROCEDURE_SET(BgL_mainz00_14238, 
(int)(((long)4)), BgL_bodyz00_12025); 
PROCEDURE_SET(BgL_mainz00_14238, 
(int)(((long)5)), BgL_runz00_14237); 
PROCEDURE_SET(BgL_mainz00_14238, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12026)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14239;
BgL_objz00_14239 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14237, BgL_objz00_14239); BgL_objz00_14239; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3287z00_14240;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3288z00_14241;
BgL_arg3288z00_14241 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12024))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14242;
BgL_newz00_14242 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25970;
BgL_tmpz00_25970 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14242, BgL_tmpz00_25970, BgL_arg3288z00_14241); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25975;int BgL_tmpz00_25973;
BgL_auxz00_25975 = 
BINT(BgL_siza7ezd2framez75_12026); 
BgL_tmpz00_25973 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14242, BgL_tmpz00_25973, BgL_auxz00_25975); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_25978;
BgL_tmpz00_25978 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14242, BgL_tmpz00_25978, BgL_runz00_14237); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_25983;int BgL_tmpz00_25981;
BgL_auxz00_25983 = 
BINT(((long)-2)); 
BgL_tmpz00_25981 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14242, BgL_tmpz00_25981, BgL_auxz00_25983); } 
BgL_arg3287z00_14240 = BgL_newz00_14242; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14238, BgL_arg3287z00_14240); BgL_arg3287z00_14240; } 
return BgL_mainz00_14238;} } } } } } 

}



/* &main5156 */
obj_t BGl_z62main5156z62zz__evaluate_compz00(obj_t BgL_envz00_12028, obj_t BgL_dz00_12036, obj_t BgL_lastz00_12037)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12034;long BgL_siza7ezd2framez75_12035;
BgL_runz00_12034 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12028, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12035 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12028, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14243;
BgL_sz00_14243 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14244;
BgL_bpz00_14244 = 
VECTOR_REF(
((obj_t)BgL_sz00_14243),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14243, BgL_bpz00_14244, 
BINT(BgL_siza7ezd2framez75_12035)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3291z00_14245;
BgL_arg3291z00_14245 = 
(
(long)CINT(BgL_bpz00_14244)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14243),BgL_arg3291z00_14245,BgL_dz00_12036); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3292z00_14246;
BgL_arg3292z00_14246 = 
(
(long)CINT(BgL_bpz00_14244)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14243),BgL_arg3292z00_14246,BgL_lastz00_12037); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14247;
BgL_ez00_14247 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14247, BgL_bpz00_14244); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14248;
BgL_accz00_14248 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12034, BgL_sz00_14243, BgL_bpz00_14244); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14247); 
VECTOR_SET(
((obj_t)BgL_sz00_14243),((long)0),BgL_bpz00_14244); 
return BgL_accz00_14248;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14249;
BgL_nsz00_14249 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14249,((long)1),BgL_sz00_14243); 
VECTOR_SET(BgL_nsz00_14249,((long)2),BgL_dz00_12036); 
VECTOR_SET(BgL_nsz00_14249,((long)3),BgL_lastz00_12037); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14250;
BgL_z12denvz12_14250 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14250, BgL_nsz00_14249); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14251;
BgL_ez00_14251 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14251, BgL_sz00_14243); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14252;
BgL_____rz00_14252 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12034, BgL_nsz00_14249, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14251); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14250, BgL_sz00_14243); 
return BgL_____rz00_14252;} } } } } } } } 

}



/* &run5157 */
obj_t BGl_z62run5157z62zz__evaluate_compz00(obj_t BgL_envz00_12038, obj_t BgL_sz00_12044)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12039;long BgL_siza7eza7_12040;obj_t BgL_valza2za2_12041;BgL_ev_absz00_bglt BgL_i1244z00_12042;obj_t BgL_bodyz00_12043;
BgL_iboxesz00_12039 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12038, 
(int)(((long)0)))); 
BgL_siza7eza7_12040 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12038, 
(int)(((long)1)))); 
BgL_valza2za2_12041 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12038, 
(int)(((long)2)))); 
BgL_i1244z00_12042 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12038, 
(int)(((long)3)))); 
BgL_bodyz00_12043 = 
PROCEDURE_REF(BgL_envz00_12038, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14253;
BgL_bpz00_14253 = 
VECTOR_REF(
((obj_t)BgL_sz00_12044),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12044, BgL_iboxesz00_12039, BgL_bpz00_14253); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12044, BgL_valza2za2_12041, 
(
(long)CINT(BgL_bpz00_14253)+BgL_siza7eza7_12040)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14254;obj_t BgL_wherez00_14255;obj_t BgL_locz00_14256;
BgL_z12denvz12_14254 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14255 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12042))->BgL_wherez00); 
BgL_locz00_14256 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12042))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14254, BgL_wherez00_14255, BgL_locz00_14256); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14257;
BgL_za2za2resza2za2z00_14257 = 
PROCEDURE_ENTRY(BgL_bodyz00_12043)(BgL_bodyz00_12043, BgL_sz00_12044, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14254); 
return BgL_za2za2resza2za2z00_14257;} } } } } } 

}



/* &<@anonymous:3219> */
obj_t BGl_z62zc3z04anonymousza33219ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12045, obj_t BgL_sz00_12049)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12046;obj_t BgL_bodyz00_12047;long BgL_siza7ezd2framez75_12048;
BgL_i1244z00_12046 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12045, 
(int)(((long)0)))); 
BgL_bodyz00_12047 = 
PROCEDURE_REF(BgL_envz00_12045, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12048 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12045, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14258;
BgL_bpz00_14258 = 
VECTOR_REF(
((obj_t)BgL_sz00_12049),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14259;
BgL_runz00_14259 = 
MAKE_FX_PROCEDURE(BGl_z62run5159z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14259, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_12046)); 
PROCEDURE_SET(BgL_runz00_14259, 
(int)(((long)1)), BgL_bodyz00_12047); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14260;
BgL_mainz00_14260 = 
MAKE_FX_PROCEDURE(BGl_z62main5158z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14260, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_12046)); 
PROCEDURE_SET(BgL_mainz00_14260, 
(int)(((long)1)), BgL_bodyz00_12047); 
PROCEDURE_SET(BgL_mainz00_14260, 
(int)(((long)2)), BgL_runz00_14259); 
PROCEDURE_SET(BgL_mainz00_14260, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12048)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14261;
BgL_objz00_14261 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14259, BgL_objz00_14261); BgL_objz00_14261; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3220z00_14262;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3221z00_14263;
BgL_arg3221z00_14263 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12046))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14264;
BgL_newz00_14264 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26089;
BgL_tmpz00_26089 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14264, BgL_tmpz00_26089, BgL_arg3221z00_14263); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26094;int BgL_tmpz00_26092;
BgL_auxz00_26094 = 
BINT(BgL_siza7ezd2framez75_12048); 
BgL_tmpz00_26092 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14264, BgL_tmpz00_26092, BgL_auxz00_26094); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26097;
BgL_tmpz00_26097 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14264, BgL_tmpz00_26097, BgL_runz00_14259); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26102;int BgL_tmpz00_26100;
BgL_auxz00_26102 = 
BINT(((long)1)); 
BgL_tmpz00_26100 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14264, BgL_tmpz00_26100, BgL_auxz00_26102); } 
BgL_arg3220z00_14262 = BgL_newz00_14264; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14260, BgL_arg3220z00_14262); BgL_arg3220z00_14262; } 
return BgL_mainz00_14260;} } } } } } 

}



/* &main5158 */
obj_t BGl_z62main5158z62zz__evaluate_compz00(obj_t BgL_envz00_12050, obj_t BgL_dz00_12055)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12053;long BgL_siza7ezd2framez75_12054;
BgL_runz00_12053 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12050, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12054 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12050, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14265;
BgL_sz00_14265 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14266;
BgL_bpz00_14266 = 
VECTOR_REF(
((obj_t)BgL_sz00_14265),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14265, BgL_bpz00_14266, 
BINT(BgL_siza7ezd2framez75_12054)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3224z00_14267;
BgL_arg3224z00_14267 = 
(
(long)CINT(BgL_bpz00_14266)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14265),BgL_arg3224z00_14267,BgL_dz00_12055); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14268;
BgL_ez00_14268 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14268, BgL_bpz00_14266); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14269;
BgL_accz00_14269 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12053, BgL_sz00_14265, BgL_bpz00_14266); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14268); 
VECTOR_SET(
((obj_t)BgL_sz00_14265),((long)0),BgL_bpz00_14266); 
return BgL_accz00_14269;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14270;
BgL_nsz00_14270 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14270,((long)1),BgL_sz00_14265); 
VECTOR_SET(BgL_nsz00_14270,((long)2),BgL_dz00_12055); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14271;
BgL_z12denvz12_14271 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14271, BgL_nsz00_14270); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14272;
BgL_ez00_14272 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14272, BgL_sz00_14265); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14273;
BgL_____rz00_14273 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12053, BgL_nsz00_14270, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14272); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14271, BgL_sz00_14265); 
return BgL_____rz00_14273;} } } } } } } } 

}



/* &run5159 */
obj_t BGl_z62run5159z62zz__evaluate_compz00(obj_t BgL_envz00_12056, obj_t BgL_sz00_12059)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12057;obj_t BgL_bodyz00_12058;
BgL_i1244z00_12057 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12056, 
(int)(((long)0)))); 
BgL_bodyz00_12058 = 
PROCEDURE_REF(BgL_envz00_12056, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14274;
BgL_bpz00_14274 = 
VECTOR_REF(
((obj_t)BgL_sz00_12059),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14275;obj_t BgL_wherez00_14276;obj_t BgL_locz00_14277;
BgL_z12denvz12_14275 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14276 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12057))->BgL_wherez00); 
BgL_locz00_14277 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12057))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14275, BgL_wherez00_14276, BgL_locz00_14277); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14278;
BgL_za2za2resza2za2z00_14278 = 
PROCEDURE_ENTRY(BgL_bodyz00_12058)(BgL_bodyz00_12058, BgL_sz00_12059, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14275); 
return BgL_za2za2resza2za2z00_14278;} } } } } } 

}



/* &<@anonymous:3226> */
obj_t BGl_z62zc3z04anonymousza33226ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12060, obj_t BgL_sz00_12065)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12061;BgL_ev_absz00_bglt BgL_i1244z00_12062;obj_t BgL_bodyz00_12063;long BgL_siza7ezd2framez75_12064;
BgL_iboxesz00_12061 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12060, 
(int)(((long)0)))); 
BgL_i1244z00_12062 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12060, 
(int)(((long)1)))); 
BgL_bodyz00_12063 = 
PROCEDURE_REF(BgL_envz00_12060, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12064 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12060, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14279;
BgL_bpz00_14279 = 
VECTOR_REF(
((obj_t)BgL_sz00_12065),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14280;
BgL_runz00_14280 = 
MAKE_FX_PROCEDURE(BGl_z62run5161z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14280, 
(int)(((long)0)), BgL_iboxesz00_12061); 
PROCEDURE_SET(BgL_runz00_14280, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12062)); 
PROCEDURE_SET(BgL_runz00_14280, 
(int)(((long)2)), BgL_bodyz00_12063); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14281;
BgL_mainz00_14281 = 
MAKE_FX_PROCEDURE(BGl_z62main5160z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14281, 
(int)(((long)0)), BgL_iboxesz00_12061); 
PROCEDURE_SET(BgL_mainz00_14281, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12062)); 
PROCEDURE_SET(BgL_mainz00_14281, 
(int)(((long)2)), BgL_bodyz00_12063); 
PROCEDURE_SET(BgL_mainz00_14281, 
(int)(((long)3)), BgL_runz00_14280); 
PROCEDURE_SET(BgL_mainz00_14281, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12064)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14282;
BgL_objz00_14282 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14280, BgL_objz00_14282); BgL_objz00_14282; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3227z00_14283;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3228z00_14284;
BgL_arg3228z00_14284 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12062))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14285;
BgL_newz00_14285 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26197;
BgL_tmpz00_26197 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14285, BgL_tmpz00_26197, BgL_arg3228z00_14284); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26202;int BgL_tmpz00_26200;
BgL_auxz00_26202 = 
BINT(BgL_siza7ezd2framez75_12064); 
BgL_tmpz00_26200 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14285, BgL_tmpz00_26200, BgL_auxz00_26202); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26205;
BgL_tmpz00_26205 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14285, BgL_tmpz00_26205, BgL_runz00_14280); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26210;int BgL_tmpz00_26208;
BgL_auxz00_26210 = 
BINT(((long)1)); 
BgL_tmpz00_26208 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14285, BgL_tmpz00_26208, BgL_auxz00_26210); } 
BgL_arg3227z00_14283 = BgL_newz00_14285; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14281, BgL_arg3227z00_14283); BgL_arg3227z00_14283; } 
return BgL_mainz00_14281;} } } } } } 

}



/* &main5160 */
obj_t BGl_z62main5160z62zz__evaluate_compz00(obj_t BgL_envz00_12066, obj_t BgL_dz00_12072)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12070;long BgL_siza7ezd2framez75_12071;
BgL_runz00_12070 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12066, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12071 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12066, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14286;
BgL_sz00_14286 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14287;
BgL_bpz00_14287 = 
VECTOR_REF(
((obj_t)BgL_sz00_14286),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14286, BgL_bpz00_14287, 
BINT(BgL_siza7ezd2framez75_12071)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3231z00_14288;
BgL_arg3231z00_14288 = 
(
(long)CINT(BgL_bpz00_14287)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14286),BgL_arg3231z00_14288,BgL_dz00_12072); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14289;
BgL_ez00_14289 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14289, BgL_bpz00_14287); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14290;
BgL_accz00_14290 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12070, BgL_sz00_14286, BgL_bpz00_14287); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14289); 
VECTOR_SET(
((obj_t)BgL_sz00_14286),((long)0),BgL_bpz00_14287); 
return BgL_accz00_14290;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14291;
BgL_nsz00_14291 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14291,((long)1),BgL_sz00_14286); 
VECTOR_SET(BgL_nsz00_14291,((long)2),BgL_dz00_12072); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14292;
BgL_z12denvz12_14292 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14292, BgL_nsz00_14291); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14293;
BgL_ez00_14293 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14293, BgL_sz00_14286); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14294;
BgL_____rz00_14294 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12070, BgL_nsz00_14291, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14293); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14292, BgL_sz00_14286); 
return BgL_____rz00_14294;} } } } } } } } 

}



/* &run5161 */
obj_t BGl_z62run5161z62zz__evaluate_compz00(obj_t BgL_envz00_12073, obj_t BgL_sz00_12077)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12074;BgL_ev_absz00_bglt BgL_i1244z00_12075;obj_t BgL_bodyz00_12076;
BgL_iboxesz00_12074 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)0)))); 
BgL_i1244z00_12075 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)1)))); 
BgL_bodyz00_12076 = 
PROCEDURE_REF(BgL_envz00_12073, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14295;
BgL_bpz00_14295 = 
VECTOR_REF(
((obj_t)BgL_sz00_12077),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12077, BgL_iboxesz00_12074, BgL_bpz00_14295); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14296;obj_t BgL_wherez00_14297;obj_t BgL_locz00_14298;
BgL_z12denvz12_14296 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14297 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12075))->BgL_wherez00); 
BgL_locz00_14298 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12075))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14296, BgL_wherez00_14297, BgL_locz00_14298); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14299;
BgL_za2za2resza2za2z00_14299 = 
PROCEDURE_ENTRY(BgL_bodyz00_12076)(BgL_bodyz00_12076, BgL_sz00_12077, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14296); 
return BgL_za2za2resza2za2z00_14299;} } } } } } 

}



/* &<@anonymous:3236> */
obj_t BGl_z62zc3z04anonymousza33236ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12078, obj_t BgL_sz00_12084)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12079;long BgL_siza7eza7_12080;BgL_ev_absz00_bglt BgL_i1244z00_12081;obj_t BgL_bodyz00_12082;long BgL_siza7ezd2framez75_12083;
BgL_ifreesz00_12079 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)0)))); 
BgL_siza7eza7_12080 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)1)))); 
BgL_i1244z00_12081 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)2)))); 
BgL_bodyz00_12082 = 
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12083 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12078, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14300;
BgL_bpz00_14300 = 
VECTOR_REF(
((obj_t)BgL_sz00_12084),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14301;
BgL_valza2za2_14301 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12084, BgL_bpz00_14300, BgL_ifreesz00_12079); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14302;
BgL_runz00_14302 = 
MAKE_FX_PROCEDURE(BGl_z62run5163z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14302, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12080)); 
PROCEDURE_SET(BgL_runz00_14302, 
(int)(((long)1)), BgL_valza2za2_14301); 
PROCEDURE_SET(BgL_runz00_14302, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12081)); 
PROCEDURE_SET(BgL_runz00_14302, 
(int)(((long)3)), BgL_bodyz00_12082); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14303;
BgL_mainz00_14303 = 
MAKE_FX_PROCEDURE(BGl_z62main5162z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14303, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12080)); 
PROCEDURE_SET(BgL_mainz00_14303, 
(int)(((long)1)), BgL_valza2za2_14301); 
PROCEDURE_SET(BgL_mainz00_14303, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12081)); 
PROCEDURE_SET(BgL_mainz00_14303, 
(int)(((long)3)), BgL_bodyz00_12082); 
PROCEDURE_SET(BgL_mainz00_14303, 
(int)(((long)4)), BgL_runz00_14302); 
PROCEDURE_SET(BgL_mainz00_14303, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12083)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14304;
BgL_objz00_14304 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14302, BgL_objz00_14304); BgL_objz00_14304; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3237z00_14305;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3238z00_14306;
BgL_arg3238z00_14306 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12081))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14307;
BgL_newz00_14307 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26319;
BgL_tmpz00_26319 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14307, BgL_tmpz00_26319, BgL_arg3238z00_14306); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26324;int BgL_tmpz00_26322;
BgL_auxz00_26324 = 
BINT(BgL_siza7ezd2framez75_12083); 
BgL_tmpz00_26322 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14307, BgL_tmpz00_26322, BgL_auxz00_26324); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26327;
BgL_tmpz00_26327 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14307, BgL_tmpz00_26327, BgL_runz00_14302); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26332;int BgL_tmpz00_26330;
BgL_auxz00_26332 = 
BINT(((long)1)); 
BgL_tmpz00_26330 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14307, BgL_tmpz00_26330, BgL_auxz00_26332); } 
BgL_arg3237z00_14305 = BgL_newz00_14307; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14303, BgL_arg3237z00_14305); BgL_arg3237z00_14305; } 
return BgL_mainz00_14303;} } } } } } 

}



/* &main5162 */
obj_t BGl_z62main5162z62zz__evaluate_compz00(obj_t BgL_envz00_12085, obj_t BgL_dz00_12092)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12090;long BgL_siza7ezd2framez75_12091;
BgL_runz00_12090 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12085, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12091 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12085, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14308;
BgL_sz00_14308 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14309;
BgL_bpz00_14309 = 
VECTOR_REF(
((obj_t)BgL_sz00_14308),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14308, BgL_bpz00_14309, 
BINT(BgL_siza7ezd2framez75_12091)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3241z00_14310;
BgL_arg3241z00_14310 = 
(
(long)CINT(BgL_bpz00_14309)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14308),BgL_arg3241z00_14310,BgL_dz00_12092); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14311;
BgL_ez00_14311 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14311, BgL_bpz00_14309); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14312;
BgL_accz00_14312 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12090, BgL_sz00_14308, BgL_bpz00_14309); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14311); 
VECTOR_SET(
((obj_t)BgL_sz00_14308),((long)0),BgL_bpz00_14309); 
return BgL_accz00_14312;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14313;
BgL_nsz00_14313 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14313,((long)1),BgL_sz00_14308); 
VECTOR_SET(BgL_nsz00_14313,((long)2),BgL_dz00_12092); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14314;
BgL_z12denvz12_14314 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14314, BgL_nsz00_14313); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14315;
BgL_ez00_14315 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14315, BgL_sz00_14308); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14316;
BgL_____rz00_14316 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12090, BgL_nsz00_14313, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14315); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14314, BgL_sz00_14308); 
return BgL_____rz00_14316;} } } } } } } } 

}



/* &run5163 */
obj_t BGl_z62run5163z62zz__evaluate_compz00(obj_t BgL_envz00_12093, obj_t BgL_sz00_12098)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_12094;obj_t BgL_valza2za2_12095;BgL_ev_absz00_bglt BgL_i1244z00_12096;obj_t BgL_bodyz00_12097;
BgL_siza7eza7_12094 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)0)))); 
BgL_valza2za2_12095 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)1)))); 
BgL_i1244z00_12096 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)2)))); 
BgL_bodyz00_12097 = 
PROCEDURE_REF(BgL_envz00_12093, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14317;
BgL_bpz00_14317 = 
VECTOR_REF(
((obj_t)BgL_sz00_12098),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12098, BgL_valza2za2_12095, 
(
(long)CINT(BgL_bpz00_14317)+BgL_siza7eza7_12094)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14318;obj_t BgL_wherez00_14319;obj_t BgL_locz00_14320;
BgL_z12denvz12_14318 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14319 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12096))->BgL_wherez00); 
BgL_locz00_14320 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12096))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14318, BgL_wherez00_14319, BgL_locz00_14320); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14321;
BgL_za2za2resza2za2z00_14321 = 
PROCEDURE_ENTRY(BgL_bodyz00_12097)(BgL_bodyz00_12097, BgL_sz00_12098, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14318); 
return BgL_za2za2resza2za2z00_14321;} } } } } } 

}



/* &<@anonymous:3244> */
obj_t BGl_z62zc3z04anonymousza33244ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12099, obj_t BgL_sz00_12106)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12100;obj_t BgL_iboxesz00_12101;long BgL_siza7eza7_12102;BgL_ev_absz00_bglt BgL_i1244z00_12103;obj_t BgL_bodyz00_12104;long BgL_siza7ezd2framez75_12105;
BgL_ifreesz00_12100 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)0)))); 
BgL_iboxesz00_12101 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)1)))); 
BgL_siza7eza7_12102 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)2)))); 
BgL_i1244z00_12103 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)3)))); 
BgL_bodyz00_12104 = 
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12105 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12099, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14322;
BgL_bpz00_14322 = 
VECTOR_REF(
((obj_t)BgL_sz00_12106),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14323;
BgL_valza2za2_14323 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12106, BgL_bpz00_14322, BgL_ifreesz00_12100); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14324;
BgL_runz00_14324 = 
MAKE_FX_PROCEDURE(BGl_z62run5165z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14324, 
(int)(((long)0)), BgL_iboxesz00_12101); 
PROCEDURE_SET(BgL_runz00_14324, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12102)); 
PROCEDURE_SET(BgL_runz00_14324, 
(int)(((long)2)), BgL_valza2za2_14323); 
PROCEDURE_SET(BgL_runz00_14324, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12103)); 
PROCEDURE_SET(BgL_runz00_14324, 
(int)(((long)4)), BgL_bodyz00_12104); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14325;
BgL_mainz00_14325 = 
MAKE_FX_PROCEDURE(BGl_z62main5164z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14325, 
(int)(((long)0)), BgL_iboxesz00_12101); 
PROCEDURE_SET(BgL_mainz00_14325, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12102)); 
PROCEDURE_SET(BgL_mainz00_14325, 
(int)(((long)2)), BgL_valza2za2_14323); 
PROCEDURE_SET(BgL_mainz00_14325, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12103)); 
PROCEDURE_SET(BgL_mainz00_14325, 
(int)(((long)4)), BgL_bodyz00_12104); 
PROCEDURE_SET(BgL_mainz00_14325, 
(int)(((long)5)), BgL_runz00_14324); 
PROCEDURE_SET(BgL_mainz00_14325, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12105)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14326;
BgL_objz00_14326 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14324, BgL_objz00_14326); BgL_objz00_14326; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3245z00_14327;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3246z00_14328;
BgL_arg3246z00_14328 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12103))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14329;
BgL_newz00_14329 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26453;
BgL_tmpz00_26453 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14329, BgL_tmpz00_26453, BgL_arg3246z00_14328); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26458;int BgL_tmpz00_26456;
BgL_auxz00_26458 = 
BINT(BgL_siza7ezd2framez75_12105); 
BgL_tmpz00_26456 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14329, BgL_tmpz00_26456, BgL_auxz00_26458); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26461;
BgL_tmpz00_26461 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14329, BgL_tmpz00_26461, BgL_runz00_14324); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26466;int BgL_tmpz00_26464;
BgL_auxz00_26466 = 
BINT(((long)1)); 
BgL_tmpz00_26464 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14329, BgL_tmpz00_26464, BgL_auxz00_26466); } 
BgL_arg3245z00_14327 = BgL_newz00_14329; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14325, BgL_arg3245z00_14327); BgL_arg3245z00_14327; } 
return BgL_mainz00_14325;} } } } } } 

}



/* &main5164 */
obj_t BGl_z62main5164z62zz__evaluate_compz00(obj_t BgL_envz00_12107, obj_t BgL_dz00_12115)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12113;long BgL_siza7ezd2framez75_12114;
BgL_runz00_12113 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12107, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12114 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12107, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14330;
BgL_sz00_14330 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14331;
BgL_bpz00_14331 = 
VECTOR_REF(
((obj_t)BgL_sz00_14330),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14330, BgL_bpz00_14331, 
BINT(BgL_siza7ezd2framez75_12114)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3249z00_14332;
BgL_arg3249z00_14332 = 
(
(long)CINT(BgL_bpz00_14331)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14330),BgL_arg3249z00_14332,BgL_dz00_12115); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14333;
BgL_ez00_14333 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14333, BgL_bpz00_14331); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14334;
BgL_accz00_14334 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12113, BgL_sz00_14330, BgL_bpz00_14331); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14333); 
VECTOR_SET(
((obj_t)BgL_sz00_14330),((long)0),BgL_bpz00_14331); 
return BgL_accz00_14334;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14335;
BgL_nsz00_14335 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14335,((long)1),BgL_sz00_14330); 
VECTOR_SET(BgL_nsz00_14335,((long)2),BgL_dz00_12115); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14336;
BgL_z12denvz12_14336 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14336, BgL_nsz00_14335); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14337;
BgL_ez00_14337 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14337, BgL_sz00_14330); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14338;
BgL_____rz00_14338 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12113, BgL_nsz00_14335, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14337); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14336, BgL_sz00_14330); 
return BgL_____rz00_14338;} } } } } } } } 

}



/* &run5165 */
obj_t BGl_z62run5165z62zz__evaluate_compz00(obj_t BgL_envz00_12116, obj_t BgL_sz00_12122)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12117;long BgL_siza7eza7_12118;obj_t BgL_valza2za2_12119;BgL_ev_absz00_bglt BgL_i1244z00_12120;obj_t BgL_bodyz00_12121;
BgL_iboxesz00_12117 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12116, 
(int)(((long)0)))); 
BgL_siza7eza7_12118 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12116, 
(int)(((long)1)))); 
BgL_valza2za2_12119 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12116, 
(int)(((long)2)))); 
BgL_i1244z00_12120 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12116, 
(int)(((long)3)))); 
BgL_bodyz00_12121 = 
PROCEDURE_REF(BgL_envz00_12116, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14339;
BgL_bpz00_14339 = 
VECTOR_REF(
((obj_t)BgL_sz00_12122),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12122, BgL_iboxesz00_12117, BgL_bpz00_14339); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12122, BgL_valza2za2_12119, 
(
(long)CINT(BgL_bpz00_14339)+BgL_siza7eza7_12118)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14340;obj_t BgL_wherez00_14341;obj_t BgL_locz00_14342;
BgL_z12denvz12_14340 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14341 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12120))->BgL_wherez00); 
BgL_locz00_14342 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12120))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14340, BgL_wherez00_14341, BgL_locz00_14342); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14343;
BgL_za2za2resza2za2z00_14343 = 
PROCEDURE_ENTRY(BgL_bodyz00_12121)(BgL_bodyz00_12121, BgL_sz00_12122, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14340); 
return BgL_za2za2resza2za2z00_14343;} } } } } } 

}



/* &<@anonymous:3180> */
obj_t BGl_z62zc3z04anonymousza33180ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12123, obj_t BgL_sz00_12127)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12124;obj_t BgL_bodyz00_12125;long BgL_siza7ezd2framez75_12126;
BgL_i1244z00_12124 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)0)))); 
BgL_bodyz00_12125 = 
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12126 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12123, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14344;
BgL_bpz00_14344 = 
VECTOR_REF(
((obj_t)BgL_sz00_12127),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14345;
BgL_runz00_14345 = 
MAKE_FX_PROCEDURE(BGl_z62run5167z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14345, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_12124)); 
PROCEDURE_SET(BgL_runz00_14345, 
(int)(((long)1)), BgL_bodyz00_12125); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14346;
BgL_mainz00_14346 = 
MAKE_VA_PROCEDURE(BGl_z62main5166z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14346, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_12124)); 
PROCEDURE_SET(BgL_mainz00_14346, 
(int)(((long)1)), BgL_bodyz00_12125); 
PROCEDURE_SET(BgL_mainz00_14346, 
(int)(((long)2)), BgL_runz00_14345); 
PROCEDURE_SET(BgL_mainz00_14346, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12126)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14347;
BgL_objz00_14347 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14345, BgL_objz00_14347); BgL_objz00_14347; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3181z00_14348;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3182z00_14349;
BgL_arg3182z00_14349 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12124))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14350;
BgL_newz00_14350 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26567;
BgL_tmpz00_26567 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14350, BgL_tmpz00_26567, BgL_arg3182z00_14349); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26572;int BgL_tmpz00_26570;
BgL_auxz00_26572 = 
BINT(BgL_siza7ezd2framez75_12126); 
BgL_tmpz00_26570 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14350, BgL_tmpz00_26570, BgL_auxz00_26572); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26575;
BgL_tmpz00_26575 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14350, BgL_tmpz00_26575, BgL_runz00_14345); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26580;int BgL_tmpz00_26578;
BgL_auxz00_26580 = 
BINT(((long)-1)); 
BgL_tmpz00_26578 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14350, BgL_tmpz00_26578, BgL_auxz00_26580); } 
BgL_arg3181z00_14348 = BgL_newz00_14350; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14346, BgL_arg3181z00_14348); BgL_arg3181z00_14348; } 
return BgL_mainz00_14346;} } } } } } 

}



/* &main5166 */
obj_t BGl_z62main5166z62zz__evaluate_compz00(obj_t BgL_envz00_12128, obj_t BgL_lastz00_12133)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12131;long BgL_siza7ezd2framez75_12132;
BgL_runz00_12131 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12128, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12132 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12128, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14351;
BgL_sz00_14351 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14352;
BgL_bpz00_14352 = 
VECTOR_REF(
((obj_t)BgL_sz00_14351),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14351, BgL_bpz00_14352, 
BINT(BgL_siza7ezd2framez75_12132)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3185z00_14353;
BgL_arg3185z00_14353 = 
(
(long)CINT(BgL_bpz00_14352)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14351),BgL_arg3185z00_14353,BgL_lastz00_12133); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14354;
BgL_ez00_14354 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14354, BgL_bpz00_14352); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14355;
BgL_accz00_14355 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12131, BgL_sz00_14351, BgL_bpz00_14352); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14354); 
VECTOR_SET(
((obj_t)BgL_sz00_14351),((long)0),BgL_bpz00_14352); 
return BgL_accz00_14355;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14356;
BgL_nsz00_14356 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14356,((long)1),BgL_sz00_14351); 
VECTOR_SET(BgL_nsz00_14356,((long)2),BgL_lastz00_12133); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14357;
BgL_z12denvz12_14357 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14357, BgL_nsz00_14356); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14358;
BgL_ez00_14358 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14358, BgL_sz00_14351); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14359;
BgL_____rz00_14359 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12131, BgL_nsz00_14356, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14358); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14357, BgL_sz00_14351); 
return BgL_____rz00_14359;} } } } } } } } 

}



/* &run5167 */
obj_t BGl_z62run5167z62zz__evaluate_compz00(obj_t BgL_envz00_12134, obj_t BgL_sz00_12137)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12135;obj_t BgL_bodyz00_12136;
BgL_i1244z00_12135 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12134, 
(int)(((long)0)))); 
BgL_bodyz00_12136 = 
PROCEDURE_REF(BgL_envz00_12134, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14360;
BgL_bpz00_14360 = 
VECTOR_REF(
((obj_t)BgL_sz00_12137),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14361;obj_t BgL_wherez00_14362;obj_t BgL_locz00_14363;
BgL_z12denvz12_14361 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14362 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12135))->BgL_wherez00); 
BgL_locz00_14363 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12135))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14361, BgL_wherez00_14362, BgL_locz00_14363); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14364;
BgL_za2za2resza2za2z00_14364 = 
PROCEDURE_ENTRY(BgL_bodyz00_12136)(BgL_bodyz00_12136, BgL_sz00_12137, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14361); 
return BgL_za2za2resza2za2z00_14364;} } } } } } 

}



/* &<@anonymous:3187> */
obj_t BGl_z62zc3z04anonymousza33187ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12138, obj_t BgL_sz00_12143)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12139;BgL_ev_absz00_bglt BgL_i1244z00_12140;obj_t BgL_bodyz00_12141;long BgL_siza7ezd2framez75_12142;
BgL_iboxesz00_12139 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)0)))); 
BgL_i1244z00_12140 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)1)))); 
BgL_bodyz00_12141 = 
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12142 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12138, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14365;
BgL_bpz00_14365 = 
VECTOR_REF(
((obj_t)BgL_sz00_12143),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14366;
BgL_runz00_14366 = 
MAKE_FX_PROCEDURE(BGl_z62run5169z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14366, 
(int)(((long)0)), BgL_iboxesz00_12139); 
PROCEDURE_SET(BgL_runz00_14366, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12140)); 
PROCEDURE_SET(BgL_runz00_14366, 
(int)(((long)2)), BgL_bodyz00_12141); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14367;
BgL_mainz00_14367 = 
MAKE_VA_PROCEDURE(BGl_z62main5168z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14367, 
(int)(((long)0)), BgL_iboxesz00_12139); 
PROCEDURE_SET(BgL_mainz00_14367, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12140)); 
PROCEDURE_SET(BgL_mainz00_14367, 
(int)(((long)2)), BgL_bodyz00_12141); 
PROCEDURE_SET(BgL_mainz00_14367, 
(int)(((long)3)), BgL_runz00_14366); 
PROCEDURE_SET(BgL_mainz00_14367, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12142)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14368;
BgL_objz00_14368 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14366, BgL_objz00_14368); BgL_objz00_14368; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3188z00_14369;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3189z00_14370;
BgL_arg3189z00_14370 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12140))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14371;
BgL_newz00_14371 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26675;
BgL_tmpz00_26675 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14371, BgL_tmpz00_26675, BgL_arg3189z00_14370); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26680;int BgL_tmpz00_26678;
BgL_auxz00_26680 = 
BINT(BgL_siza7ezd2framez75_12142); 
BgL_tmpz00_26678 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14371, BgL_tmpz00_26678, BgL_auxz00_26680); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26683;
BgL_tmpz00_26683 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14371, BgL_tmpz00_26683, BgL_runz00_14366); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26688;int BgL_tmpz00_26686;
BgL_auxz00_26688 = 
BINT(((long)-1)); 
BgL_tmpz00_26686 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14371, BgL_tmpz00_26686, BgL_auxz00_26688); } 
BgL_arg3188z00_14369 = BgL_newz00_14371; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14367, BgL_arg3188z00_14369); BgL_arg3188z00_14369; } 
return BgL_mainz00_14367;} } } } } } 

}



/* &main5168 */
obj_t BGl_z62main5168z62zz__evaluate_compz00(obj_t BgL_envz00_12144, obj_t BgL_lastz00_12150)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12148;long BgL_siza7ezd2framez75_12149;
BgL_runz00_12148 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12149 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12144, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14372;
BgL_sz00_14372 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14373;
BgL_bpz00_14373 = 
VECTOR_REF(
((obj_t)BgL_sz00_14372),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14372, BgL_bpz00_14373, 
BINT(BgL_siza7ezd2framez75_12149)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3192z00_14374;
BgL_arg3192z00_14374 = 
(
(long)CINT(BgL_bpz00_14373)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14372),BgL_arg3192z00_14374,BgL_lastz00_12150); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14375;
BgL_ez00_14375 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14375, BgL_bpz00_14373); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14376;
BgL_accz00_14376 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12148, BgL_sz00_14372, BgL_bpz00_14373); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14375); 
VECTOR_SET(
((obj_t)BgL_sz00_14372),((long)0),BgL_bpz00_14373); 
return BgL_accz00_14376;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14377;
BgL_nsz00_14377 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14377,((long)1),BgL_sz00_14372); 
VECTOR_SET(BgL_nsz00_14377,((long)2),BgL_lastz00_12150); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14378;
BgL_z12denvz12_14378 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14378, BgL_nsz00_14377); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14379;
BgL_ez00_14379 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14379, BgL_sz00_14372); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14380;
BgL_____rz00_14380 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12148, BgL_nsz00_14377, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14379); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14378, BgL_sz00_14372); 
return BgL_____rz00_14380;} } } } } } } } 

}



/* &run5169 */
obj_t BGl_z62run5169z62zz__evaluate_compz00(obj_t BgL_envz00_12151, obj_t BgL_sz00_12155)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12152;BgL_ev_absz00_bglt BgL_i1244z00_12153;obj_t BgL_bodyz00_12154;
BgL_iboxesz00_12152 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12151, 
(int)(((long)0)))); 
BgL_i1244z00_12153 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12151, 
(int)(((long)1)))); 
BgL_bodyz00_12154 = 
PROCEDURE_REF(BgL_envz00_12151, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14381;
BgL_bpz00_14381 = 
VECTOR_REF(
((obj_t)BgL_sz00_12155),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12155, BgL_iboxesz00_12152, BgL_bpz00_14381); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14382;obj_t BgL_wherez00_14383;obj_t BgL_locz00_14384;
BgL_z12denvz12_14382 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14383 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12153))->BgL_wherez00); 
BgL_locz00_14384 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12153))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14382, BgL_wherez00_14383, BgL_locz00_14384); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14385;
BgL_za2za2resza2za2z00_14385 = 
PROCEDURE_ENTRY(BgL_bodyz00_12154)(BgL_bodyz00_12154, BgL_sz00_12155, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14382); 
return BgL_za2za2resza2za2z00_14385;} } } } } } 

}



/* &<@anonymous:3197> */
obj_t BGl_z62zc3z04anonymousza33197ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12156, obj_t BgL_sz00_12162)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12157;long BgL_siza7eza7_12158;BgL_ev_absz00_bglt BgL_i1244z00_12159;obj_t BgL_bodyz00_12160;long BgL_siza7ezd2framez75_12161;
BgL_ifreesz00_12157 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)0)))); 
BgL_siza7eza7_12158 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)1)))); 
BgL_i1244z00_12159 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)2)))); 
BgL_bodyz00_12160 = 
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12161 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12156, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14386;
BgL_bpz00_14386 = 
VECTOR_REF(
((obj_t)BgL_sz00_12162),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14387;
BgL_valza2za2_14387 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12162, BgL_bpz00_14386, BgL_ifreesz00_12157); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14388;
BgL_runz00_14388 = 
MAKE_FX_PROCEDURE(BGl_z62run5171z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14388, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12158)); 
PROCEDURE_SET(BgL_runz00_14388, 
(int)(((long)1)), BgL_valza2za2_14387); 
PROCEDURE_SET(BgL_runz00_14388, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12159)); 
PROCEDURE_SET(BgL_runz00_14388, 
(int)(((long)3)), BgL_bodyz00_12160); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14389;
BgL_mainz00_14389 = 
MAKE_VA_PROCEDURE(BGl_z62main5170z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14389, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12158)); 
PROCEDURE_SET(BgL_mainz00_14389, 
(int)(((long)1)), BgL_valza2za2_14387); 
PROCEDURE_SET(BgL_mainz00_14389, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12159)); 
PROCEDURE_SET(BgL_mainz00_14389, 
(int)(((long)3)), BgL_bodyz00_12160); 
PROCEDURE_SET(BgL_mainz00_14389, 
(int)(((long)4)), BgL_runz00_14388); 
PROCEDURE_SET(BgL_mainz00_14389, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12161)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14390;
BgL_objz00_14390 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14388, BgL_objz00_14390); BgL_objz00_14390; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3198z00_14391;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3199z00_14392;
BgL_arg3199z00_14392 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12159))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14393;
BgL_newz00_14393 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26797;
BgL_tmpz00_26797 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14393, BgL_tmpz00_26797, BgL_arg3199z00_14392); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26802;int BgL_tmpz00_26800;
BgL_auxz00_26802 = 
BINT(BgL_siza7ezd2framez75_12161); 
BgL_tmpz00_26800 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14393, BgL_tmpz00_26800, BgL_auxz00_26802); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26805;
BgL_tmpz00_26805 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14393, BgL_tmpz00_26805, BgL_runz00_14388); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26810;int BgL_tmpz00_26808;
BgL_auxz00_26810 = 
BINT(((long)-1)); 
BgL_tmpz00_26808 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14393, BgL_tmpz00_26808, BgL_auxz00_26810); } 
BgL_arg3198z00_14391 = BgL_newz00_14393; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14389, BgL_arg3198z00_14391); BgL_arg3198z00_14391; } 
return BgL_mainz00_14389;} } } } } } 

}



/* &main5170 */
obj_t BGl_z62main5170z62zz__evaluate_compz00(obj_t BgL_envz00_12163, obj_t BgL_lastz00_12170)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12168;long BgL_siza7ezd2framez75_12169;
BgL_runz00_12168 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12163, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12169 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12163, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14394;
BgL_sz00_14394 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14395;
BgL_bpz00_14395 = 
VECTOR_REF(
((obj_t)BgL_sz00_14394),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14394, BgL_bpz00_14395, 
BINT(BgL_siza7ezd2framez75_12169)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3202z00_14396;
BgL_arg3202z00_14396 = 
(
(long)CINT(BgL_bpz00_14395)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14394),BgL_arg3202z00_14396,BgL_lastz00_12170); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14397;
BgL_ez00_14397 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14397, BgL_bpz00_14395); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14398;
BgL_accz00_14398 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12168, BgL_sz00_14394, BgL_bpz00_14395); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14397); 
VECTOR_SET(
((obj_t)BgL_sz00_14394),((long)0),BgL_bpz00_14395); 
return BgL_accz00_14398;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14399;
BgL_nsz00_14399 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14399,((long)1),BgL_sz00_14394); 
VECTOR_SET(BgL_nsz00_14399,((long)2),BgL_lastz00_12170); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14400;
BgL_z12denvz12_14400 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14400, BgL_nsz00_14399); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14401;
BgL_ez00_14401 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14401, BgL_sz00_14394); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14402;
BgL_____rz00_14402 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12168, BgL_nsz00_14399, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14401); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14400, BgL_sz00_14394); 
return BgL_____rz00_14402;} } } } } } } } 

}



/* &run5171 */
obj_t BGl_z62run5171z62zz__evaluate_compz00(obj_t BgL_envz00_12171, obj_t BgL_sz00_12176)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_12172;obj_t BgL_valza2za2_12173;BgL_ev_absz00_bglt BgL_i1244z00_12174;obj_t BgL_bodyz00_12175;
BgL_siza7eza7_12172 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12171, 
(int)(((long)0)))); 
BgL_valza2za2_12173 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12171, 
(int)(((long)1)))); 
BgL_i1244z00_12174 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12171, 
(int)(((long)2)))); 
BgL_bodyz00_12175 = 
PROCEDURE_REF(BgL_envz00_12171, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14403;
BgL_bpz00_14403 = 
VECTOR_REF(
((obj_t)BgL_sz00_12176),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12176, BgL_valza2za2_12173, 
(
(long)CINT(BgL_bpz00_14403)+BgL_siza7eza7_12172)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14404;obj_t BgL_wherez00_14405;obj_t BgL_locz00_14406;
BgL_z12denvz12_14404 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14405 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12174))->BgL_wherez00); 
BgL_locz00_14406 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12174))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14404, BgL_wherez00_14405, BgL_locz00_14406); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14407;
BgL_za2za2resza2za2z00_14407 = 
PROCEDURE_ENTRY(BgL_bodyz00_12175)(BgL_bodyz00_12175, BgL_sz00_12176, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14404); 
return BgL_za2za2resza2za2z00_14407;} } } } } } 

}



/* &<@anonymous:3205> */
obj_t BGl_z62zc3z04anonymousza33205ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12177, obj_t BgL_sz00_12184)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12178;obj_t BgL_iboxesz00_12179;long BgL_siza7eza7_12180;BgL_ev_absz00_bglt BgL_i1244z00_12181;obj_t BgL_bodyz00_12182;long BgL_siza7ezd2framez75_12183;
BgL_ifreesz00_12178 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)0)))); 
BgL_iboxesz00_12179 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)1)))); 
BgL_siza7eza7_12180 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)2)))); 
BgL_i1244z00_12181 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)3)))); 
BgL_bodyz00_12182 = 
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12183 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12177, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14408;
BgL_bpz00_14408 = 
VECTOR_REF(
((obj_t)BgL_sz00_12184),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14409;
BgL_valza2za2_14409 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12184, BgL_bpz00_14408, BgL_ifreesz00_12178); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14410;
BgL_runz00_14410 = 
MAKE_FX_PROCEDURE(BGl_z62run5173z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)0)), BgL_iboxesz00_12179); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12180)); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)2)), BgL_valza2za2_14409); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12181)); 
PROCEDURE_SET(BgL_runz00_14410, 
(int)(((long)4)), BgL_bodyz00_12182); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14411;
BgL_mainz00_14411 = 
MAKE_VA_PROCEDURE(BGl_z62main5172z62zz__evaluate_compz00, 
(int)(((long)-1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)0)), BgL_iboxesz00_12179); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12180)); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)2)), BgL_valza2za2_14409); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12181)); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)4)), BgL_bodyz00_12182); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)5)), BgL_runz00_14410); 
PROCEDURE_SET(BgL_mainz00_14411, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12183)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14412;
BgL_objz00_14412 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14410, BgL_objz00_14412); BgL_objz00_14412; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3206z00_14413;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3207z00_14414;
BgL_arg3207z00_14414 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12181))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14415;
BgL_newz00_14415 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26931;
BgL_tmpz00_26931 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_26931, BgL_arg3207z00_14414); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26936;int BgL_tmpz00_26934;
BgL_auxz00_26936 = 
BINT(BgL_siza7ezd2framez75_12183); 
BgL_tmpz00_26934 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_26934, BgL_auxz00_26936); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_26939;
BgL_tmpz00_26939 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_26939, BgL_runz00_14410); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_26944;int BgL_tmpz00_26942;
BgL_auxz00_26944 = 
BINT(((long)-1)); 
BgL_tmpz00_26942 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14415, BgL_tmpz00_26942, BgL_auxz00_26944); } 
BgL_arg3206z00_14413 = BgL_newz00_14415; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14411, BgL_arg3206z00_14413); BgL_arg3206z00_14413; } 
return BgL_mainz00_14411;} } } } } } 

}



/* &main5172 */
obj_t BGl_z62main5172z62zz__evaluate_compz00(obj_t BgL_envz00_12185, obj_t BgL_lastz00_12193)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12191;long BgL_siza7ezd2framez75_12192;
BgL_runz00_12191 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12192 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12185, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14416;
BgL_sz00_14416 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14417;
BgL_bpz00_14417 = 
VECTOR_REF(
((obj_t)BgL_sz00_14416),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14416, BgL_bpz00_14417, 
BINT(BgL_siza7ezd2framez75_12192)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3210z00_14418;
BgL_arg3210z00_14418 = 
(
(long)CINT(BgL_bpz00_14417)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14416),BgL_arg3210z00_14418,BgL_lastz00_12193); } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14419;
BgL_ez00_14419 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14419, BgL_bpz00_14417); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14420;
BgL_accz00_14420 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12191, BgL_sz00_14416, BgL_bpz00_14417); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14419); 
VECTOR_SET(
((obj_t)BgL_sz00_14416),((long)0),BgL_bpz00_14417); 
return BgL_accz00_14420;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14421;
BgL_nsz00_14421 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14421,((long)1),BgL_sz00_14416); 
VECTOR_SET(BgL_nsz00_14421,((long)2),BgL_lastz00_12193); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14422;
BgL_z12denvz12_14422 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14422, BgL_nsz00_14421); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14423;
BgL_ez00_14423 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14423, BgL_sz00_14416); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14424;
BgL_____rz00_14424 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12191, BgL_nsz00_14421, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14423); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14422, BgL_sz00_14416); 
return BgL_____rz00_14424;} } } } } } } } 

}



/* &run5173 */
obj_t BGl_z62run5173z62zz__evaluate_compz00(obj_t BgL_envz00_12194, obj_t BgL_sz00_12200)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12195;long BgL_siza7eza7_12196;obj_t BgL_valza2za2_12197;BgL_ev_absz00_bglt BgL_i1244z00_12198;obj_t BgL_bodyz00_12199;
BgL_iboxesz00_12195 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12194, 
(int)(((long)0)))); 
BgL_siza7eza7_12196 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12194, 
(int)(((long)1)))); 
BgL_valza2za2_12197 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12194, 
(int)(((long)2)))); 
BgL_i1244z00_12198 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12194, 
(int)(((long)3)))); 
BgL_bodyz00_12199 = 
PROCEDURE_REF(BgL_envz00_12194, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14425;
BgL_bpz00_14425 = 
VECTOR_REF(
((obj_t)BgL_sz00_12200),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12200, BgL_iboxesz00_12195, BgL_bpz00_14425); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12200, BgL_valza2za2_12197, 
(
(long)CINT(BgL_bpz00_14425)+BgL_siza7eza7_12196)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14426;obj_t BgL_wherez00_14427;obj_t BgL_locz00_14428;
BgL_z12denvz12_14426 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14427 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12198))->BgL_wherez00); 
BgL_locz00_14428 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12198))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14426, BgL_wherez00_14427, BgL_locz00_14428); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14429;
BgL_za2za2resza2za2z00_14429 = 
PROCEDURE_ENTRY(BgL_bodyz00_12199)(BgL_bodyz00_12199, BgL_sz00_12200, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14426); 
return BgL_za2za2resza2za2z00_14429;} } } } } } 

}



/* &<@anonymous:3145> */
obj_t BGl_z62zc3z04anonymousza33145ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12201, obj_t BgL_sz00_12205)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12202;obj_t BgL_bodyz00_12203;long BgL_siza7ezd2framez75_12204;
BgL_i1244z00_12202 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12201, 
(int)(((long)0)))); 
BgL_bodyz00_12203 = 
PROCEDURE_REF(BgL_envz00_12201, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12204 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12201, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14430;
BgL_bpz00_14430 = 
VECTOR_REF(
((obj_t)BgL_sz00_12205),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14431;
BgL_runz00_14431 = 
MAKE_FX_PROCEDURE(BGl_z62run5175z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14431, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_12202)); 
PROCEDURE_SET(BgL_runz00_14431, 
(int)(((long)1)), BgL_bodyz00_12203); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14432;
BgL_mainz00_14432 = 
MAKE_FX_PROCEDURE(BGl_z62main5174z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_12202)); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)1)), BgL_bodyz00_12203); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)2)), BgL_runz00_14431); 
PROCEDURE_SET(BgL_mainz00_14432, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12204)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14433;
BgL_objz00_14433 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14431, BgL_objz00_14433); BgL_objz00_14433; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3146z00_14434;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3147z00_14435;
BgL_arg3147z00_14435 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12202))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14436;
BgL_newz00_14436 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27045;
BgL_tmpz00_27045 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27045, BgL_arg3147z00_14435); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27050;int BgL_tmpz00_27048;
BgL_auxz00_27050 = 
BINT(BgL_siza7ezd2framez75_12204); 
BgL_tmpz00_27048 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27048, BgL_auxz00_27050); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27053;
BgL_tmpz00_27053 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27053, BgL_runz00_14431); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27058;int BgL_tmpz00_27056;
BgL_auxz00_27058 = 
BINT(((long)0)); 
BgL_tmpz00_27056 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14436, BgL_tmpz00_27056, BgL_auxz00_27058); } 
BgL_arg3146z00_14434 = BgL_newz00_14436; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14432, BgL_arg3146z00_14434); BgL_arg3146z00_14434; } 
return BgL_mainz00_14432;} } } } } } 

}



/* &main5174 */
obj_t BGl_z62main5174z62zz__evaluate_compz00(obj_t BgL_envz00_12206)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12209;long BgL_siza7ezd2framez75_12210;
BgL_runz00_12209 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12210 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12206, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14437;
BgL_sz00_14437 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14438;
BgL_bpz00_14438 = 
VECTOR_REF(
((obj_t)BgL_sz00_14437),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14437, BgL_bpz00_14438, 
BINT(BgL_siza7ezd2framez75_12210)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14439;
BgL_ez00_14439 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14439, BgL_bpz00_14438); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14440;
BgL_accz00_14440 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12209, BgL_sz00_14437, BgL_bpz00_14438); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14439); 
VECTOR_SET(
((obj_t)BgL_sz00_14437),((long)0),BgL_bpz00_14438); 
return BgL_accz00_14440;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14441;
BgL_nsz00_14441 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14441,((long)1),BgL_sz00_14437); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14442;
BgL_z12denvz12_14442 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14442, BgL_nsz00_14441); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14443;
BgL_ez00_14443 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14443, BgL_sz00_14437); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14444;
BgL_____rz00_14444 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12209, BgL_nsz00_14441, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14443); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14442, BgL_sz00_14437); 
return BgL_____rz00_14444;} } } } } } } } 

}



/* &run5175 */
obj_t BGl_z62run5175z62zz__evaluate_compz00(obj_t BgL_envz00_12211, obj_t BgL_sz00_12214)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12212;obj_t BgL_bodyz00_12213;
BgL_i1244z00_12212 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12211, 
(int)(((long)0)))); 
BgL_bodyz00_12213 = 
PROCEDURE_REF(BgL_envz00_12211, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14445;
BgL_bpz00_14445 = 
VECTOR_REF(
((obj_t)BgL_sz00_12214),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14446;obj_t BgL_wherez00_14447;obj_t BgL_locz00_14448;
BgL_z12denvz12_14446 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14447 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12212))->BgL_wherez00); 
BgL_locz00_14448 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12212))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14446, BgL_wherez00_14447, BgL_locz00_14448); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14449;
BgL_za2za2resza2za2z00_14449 = 
PROCEDURE_ENTRY(BgL_bodyz00_12213)(BgL_bodyz00_12213, BgL_sz00_12214, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14446); 
return BgL_za2za2resza2za2z00_14449;} } } } } } 

}



/* &<@anonymous:3151> */
obj_t BGl_z62zc3z04anonymousza33151ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12215, obj_t BgL_sz00_12220)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12216;BgL_ev_absz00_bglt BgL_i1244z00_12217;obj_t BgL_bodyz00_12218;long BgL_siza7ezd2framez75_12219;
BgL_iboxesz00_12216 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12215, 
(int)(((long)0)))); 
BgL_i1244z00_12217 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12215, 
(int)(((long)1)))); 
BgL_bodyz00_12218 = 
PROCEDURE_REF(BgL_envz00_12215, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12219 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12215, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14450;
BgL_bpz00_14450 = 
VECTOR_REF(
((obj_t)BgL_sz00_12220),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14451;
BgL_runz00_14451 = 
MAKE_FX_PROCEDURE(BGl_z62run5177z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14451, 
(int)(((long)0)), BgL_iboxesz00_12216); 
PROCEDURE_SET(BgL_runz00_14451, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12217)); 
PROCEDURE_SET(BgL_runz00_14451, 
(int)(((long)2)), BgL_bodyz00_12218); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14452;
BgL_mainz00_14452 = 
MAKE_FX_PROCEDURE(BGl_z62main5176z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14452, 
(int)(((long)0)), BgL_iboxesz00_12216); 
PROCEDURE_SET(BgL_mainz00_14452, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12217)); 
PROCEDURE_SET(BgL_mainz00_14452, 
(int)(((long)2)), BgL_bodyz00_12218); 
PROCEDURE_SET(BgL_mainz00_14452, 
(int)(((long)3)), BgL_runz00_14451); 
PROCEDURE_SET(BgL_mainz00_14452, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12219)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14453;
BgL_objz00_14453 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14451, BgL_objz00_14453); BgL_objz00_14453; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3152z00_14454;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3153z00_14455;
BgL_arg3153z00_14455 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12217))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14456;
BgL_newz00_14456 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27148;
BgL_tmpz00_27148 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14456, BgL_tmpz00_27148, BgL_arg3153z00_14455); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27153;int BgL_tmpz00_27151;
BgL_auxz00_27153 = 
BINT(BgL_siza7ezd2framez75_12219); 
BgL_tmpz00_27151 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14456, BgL_tmpz00_27151, BgL_auxz00_27153); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27156;
BgL_tmpz00_27156 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14456, BgL_tmpz00_27156, BgL_runz00_14451); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27161;int BgL_tmpz00_27159;
BgL_auxz00_27161 = 
BINT(((long)0)); 
BgL_tmpz00_27159 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14456, BgL_tmpz00_27159, BgL_auxz00_27161); } 
BgL_arg3152z00_14454 = BgL_newz00_14456; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14452, BgL_arg3152z00_14454); BgL_arg3152z00_14454; } 
return BgL_mainz00_14452;} } } } } } 

}



/* &main5176 */
obj_t BGl_z62main5176z62zz__evaluate_compz00(obj_t BgL_envz00_12221)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12225;long BgL_siza7ezd2framez75_12226;
BgL_runz00_12225 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12226 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12221, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14457;
BgL_sz00_14457 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14458;
BgL_bpz00_14458 = 
VECTOR_REF(
((obj_t)BgL_sz00_14457),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14457, BgL_bpz00_14458, 
BINT(BgL_siza7ezd2framez75_12226)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14459;
BgL_ez00_14459 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14459, BgL_bpz00_14458); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14460;
BgL_accz00_14460 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12225, BgL_sz00_14457, BgL_bpz00_14458); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14459); 
VECTOR_SET(
((obj_t)BgL_sz00_14457),((long)0),BgL_bpz00_14458); 
return BgL_accz00_14460;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14461;
BgL_nsz00_14461 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14461,((long)1),BgL_sz00_14457); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14462;
BgL_z12denvz12_14462 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14462, BgL_nsz00_14461); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14463;
BgL_ez00_14463 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14463, BgL_sz00_14457); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14464;
BgL_____rz00_14464 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12225, BgL_nsz00_14461, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14463); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14462, BgL_sz00_14457); 
return BgL_____rz00_14464;} } } } } } } } 

}



/* &run5177 */
obj_t BGl_z62run5177z62zz__evaluate_compz00(obj_t BgL_envz00_12227, obj_t BgL_sz00_12231)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12228;BgL_ev_absz00_bglt BgL_i1244z00_12229;obj_t BgL_bodyz00_12230;
BgL_iboxesz00_12228 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)0)))); 
BgL_i1244z00_12229 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)1)))); 
BgL_bodyz00_12230 = 
PROCEDURE_REF(BgL_envz00_12227, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14465;
BgL_bpz00_14465 = 
VECTOR_REF(
((obj_t)BgL_sz00_12231),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12231, BgL_iboxesz00_12228, BgL_bpz00_14465); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14466;obj_t BgL_wherez00_14467;obj_t BgL_locz00_14468;
BgL_z12denvz12_14466 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14467 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12229))->BgL_wherez00); 
BgL_locz00_14468 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12229))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14466, BgL_wherez00_14467, BgL_locz00_14468); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14469;
BgL_za2za2resza2za2z00_14469 = 
PROCEDURE_ENTRY(BgL_bodyz00_12230)(BgL_bodyz00_12230, BgL_sz00_12231, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14466); 
return BgL_za2za2resza2za2z00_14469;} } } } } } 

}



/* &<@anonymous:3160> */
obj_t BGl_z62zc3z04anonymousza33160ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12232, obj_t BgL_sz00_12238)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12233;long BgL_siza7eza7_12234;BgL_ev_absz00_bglt BgL_i1244z00_12235;obj_t BgL_bodyz00_12236;long BgL_siza7ezd2framez75_12237;
BgL_ifreesz00_12233 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12232, 
(int)(((long)0)))); 
BgL_siza7eza7_12234 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12232, 
(int)(((long)1)))); 
BgL_i1244z00_12235 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12232, 
(int)(((long)2)))); 
BgL_bodyz00_12236 = 
PROCEDURE_REF(BgL_envz00_12232, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12237 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12232, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14470;
BgL_bpz00_14470 = 
VECTOR_REF(
((obj_t)BgL_sz00_12238),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14471;
BgL_valza2za2_14471 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12238, BgL_bpz00_14470, BgL_ifreesz00_12233); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14472;
BgL_runz00_14472 = 
MAKE_FX_PROCEDURE(BGl_z62run5179z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14472, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12234)); 
PROCEDURE_SET(BgL_runz00_14472, 
(int)(((long)1)), BgL_valza2za2_14471); 
PROCEDURE_SET(BgL_runz00_14472, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12235)); 
PROCEDURE_SET(BgL_runz00_14472, 
(int)(((long)3)), BgL_bodyz00_12236); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14473;
BgL_mainz00_14473 = 
MAKE_FX_PROCEDURE(BGl_z62main5178z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14473, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12234)); 
PROCEDURE_SET(BgL_mainz00_14473, 
(int)(((long)1)), BgL_valza2za2_14471); 
PROCEDURE_SET(BgL_mainz00_14473, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12235)); 
PROCEDURE_SET(BgL_mainz00_14473, 
(int)(((long)3)), BgL_bodyz00_12236); 
PROCEDURE_SET(BgL_mainz00_14473, 
(int)(((long)4)), BgL_runz00_14472); 
PROCEDURE_SET(BgL_mainz00_14473, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12237)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14474;
BgL_objz00_14474 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14472, BgL_objz00_14474); BgL_objz00_14474; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3161z00_14475;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3162z00_14476;
BgL_arg3162z00_14476 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12235))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14477;
BgL_newz00_14477 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27265;
BgL_tmpz00_27265 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14477, BgL_tmpz00_27265, BgL_arg3162z00_14476); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27270;int BgL_tmpz00_27268;
BgL_auxz00_27270 = 
BINT(BgL_siza7ezd2framez75_12237); 
BgL_tmpz00_27268 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14477, BgL_tmpz00_27268, BgL_auxz00_27270); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27273;
BgL_tmpz00_27273 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14477, BgL_tmpz00_27273, BgL_runz00_14472); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27278;int BgL_tmpz00_27276;
BgL_auxz00_27278 = 
BINT(((long)0)); 
BgL_tmpz00_27276 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14477, BgL_tmpz00_27276, BgL_auxz00_27278); } 
BgL_arg3161z00_14475 = BgL_newz00_14477; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14473, BgL_arg3161z00_14475); BgL_arg3161z00_14475; } 
return BgL_mainz00_14473;} } } } } } 

}



/* &main5178 */
obj_t BGl_z62main5178z62zz__evaluate_compz00(obj_t BgL_envz00_12239)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12244;long BgL_siza7ezd2framez75_12245;
BgL_runz00_12244 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12239, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12245 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12239, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14478;
BgL_sz00_14478 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14479;
BgL_bpz00_14479 = 
VECTOR_REF(
((obj_t)BgL_sz00_14478),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14478, BgL_bpz00_14479, 
BINT(BgL_siza7ezd2framez75_12245)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14480;
BgL_ez00_14480 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14480, BgL_bpz00_14479); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14481;
BgL_accz00_14481 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12244, BgL_sz00_14478, BgL_bpz00_14479); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14480); 
VECTOR_SET(
((obj_t)BgL_sz00_14478),((long)0),BgL_bpz00_14479); 
return BgL_accz00_14481;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14482;
BgL_nsz00_14482 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14482,((long)1),BgL_sz00_14478); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14483;
BgL_z12denvz12_14483 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14483, BgL_nsz00_14482); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14484;
BgL_ez00_14484 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14484, BgL_sz00_14478); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14485;
BgL_____rz00_14485 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12244, BgL_nsz00_14482, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14484); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14483, BgL_sz00_14478); 
return BgL_____rz00_14485;} } } } } } } } 

}



/* &run5179 */
obj_t BGl_z62run5179z62zz__evaluate_compz00(obj_t BgL_envz00_12246, obj_t BgL_sz00_12251)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_12247;obj_t BgL_valza2za2_12248;BgL_ev_absz00_bglt BgL_i1244z00_12249;obj_t BgL_bodyz00_12250;
BgL_siza7eza7_12247 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12246, 
(int)(((long)0)))); 
BgL_valza2za2_12248 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12246, 
(int)(((long)1)))); 
BgL_i1244z00_12249 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12246, 
(int)(((long)2)))); 
BgL_bodyz00_12250 = 
PROCEDURE_REF(BgL_envz00_12246, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14486;
BgL_bpz00_14486 = 
VECTOR_REF(
((obj_t)BgL_sz00_12251),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12251, BgL_valza2za2_12248, 
(
(long)CINT(BgL_bpz00_14486)+BgL_siza7eza7_12247)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14487;obj_t BgL_wherez00_14488;obj_t BgL_locz00_14489;
BgL_z12denvz12_14487 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14488 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12249))->BgL_wherez00); 
BgL_locz00_14489 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12249))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14487, BgL_wherez00_14488, BgL_locz00_14489); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14490;
BgL_za2za2resza2za2z00_14490 = 
PROCEDURE_ENTRY(BgL_bodyz00_12250)(BgL_bodyz00_12250, BgL_sz00_12251, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14487); 
return BgL_za2za2resza2za2z00_14490;} } } } } } 

}



/* &<@anonymous:3167> */
obj_t BGl_z62zc3z04anonymousza33167ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12252, obj_t BgL_sz00_12259)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12253;obj_t BgL_iboxesz00_12254;long BgL_siza7eza7_12255;BgL_ev_absz00_bglt BgL_i1244z00_12256;obj_t BgL_bodyz00_12257;long BgL_siza7ezd2framez75_12258;
BgL_ifreesz00_12253 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)0)))); 
BgL_iboxesz00_12254 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)1)))); 
BgL_siza7eza7_12255 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)2)))); 
BgL_i1244z00_12256 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)3)))); 
BgL_bodyz00_12257 = 
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12258 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12252, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14491;
BgL_bpz00_14491 = 
VECTOR_REF(
((obj_t)BgL_sz00_12259),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14492;
BgL_valza2za2_14492 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12259, BgL_bpz00_14491, BgL_ifreesz00_12253); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14493;
BgL_runz00_14493 = 
MAKE_FX_PROCEDURE(BGl_z62run5181z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14493, 
(int)(((long)0)), BgL_iboxesz00_12254); 
PROCEDURE_SET(BgL_runz00_14493, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12255)); 
PROCEDURE_SET(BgL_runz00_14493, 
(int)(((long)2)), BgL_valza2za2_14492); 
PROCEDURE_SET(BgL_runz00_14493, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12256)); 
PROCEDURE_SET(BgL_runz00_14493, 
(int)(((long)4)), BgL_bodyz00_12257); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14494;
BgL_mainz00_14494 = 
MAKE_FX_PROCEDURE(BGl_z62main5180z62zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14494, 
(int)(((long)0)), BgL_iboxesz00_12254); 
PROCEDURE_SET(BgL_mainz00_14494, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12255)); 
PROCEDURE_SET(BgL_mainz00_14494, 
(int)(((long)2)), BgL_valza2za2_14492); 
PROCEDURE_SET(BgL_mainz00_14494, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12256)); 
PROCEDURE_SET(BgL_mainz00_14494, 
(int)(((long)4)), BgL_bodyz00_12257); 
PROCEDURE_SET(BgL_mainz00_14494, 
(int)(((long)5)), BgL_runz00_14493); 
PROCEDURE_SET(BgL_mainz00_14494, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12258)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14495;
BgL_objz00_14495 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14493, BgL_objz00_14495); BgL_objz00_14495; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3168z00_14496;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3169z00_14497;
BgL_arg3169z00_14497 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12256))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14498;
BgL_newz00_14498 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27394;
BgL_tmpz00_27394 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14498, BgL_tmpz00_27394, BgL_arg3169z00_14497); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27399;int BgL_tmpz00_27397;
BgL_auxz00_27399 = 
BINT(BgL_siza7ezd2framez75_12258); 
BgL_tmpz00_27397 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14498, BgL_tmpz00_27397, BgL_auxz00_27399); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27402;
BgL_tmpz00_27402 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14498, BgL_tmpz00_27402, BgL_runz00_14493); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27407;int BgL_tmpz00_27405;
BgL_auxz00_27407 = 
BINT(((long)0)); 
BgL_tmpz00_27405 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14498, BgL_tmpz00_27405, BgL_auxz00_27407); } 
BgL_arg3168z00_14496 = BgL_newz00_14498; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14494, BgL_arg3168z00_14496); BgL_arg3168z00_14496; } 
return BgL_mainz00_14494;} } } } } } 

}



/* &main5180 */
obj_t BGl_z62main5180z62zz__evaluate_compz00(obj_t BgL_envz00_12260)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_12266;long BgL_siza7ezd2framez75_12267;
BgL_runz00_12266 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12260, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12267 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12260, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14499;
BgL_sz00_14499 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14500;
BgL_bpz00_14500 = 
VECTOR_REF(
((obj_t)BgL_sz00_14499),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14499, BgL_bpz00_14500, 
BINT(BgL_siza7ezd2framez75_12267)))
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14501;
BgL_ez00_14501 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14501, BgL_bpz00_14500); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14502;
BgL_accz00_14502 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12266, BgL_sz00_14499, BgL_bpz00_14500); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14501); 
VECTOR_SET(
((obj_t)BgL_sz00_14499),((long)0),BgL_bpz00_14500); 
return BgL_accz00_14502;} }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14503;
BgL_nsz00_14503 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14503,((long)1),BgL_sz00_14499); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14504;
BgL_z12denvz12_14504 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14504, BgL_nsz00_14503); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14505;
BgL_ez00_14505 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14505, BgL_sz00_14499); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14506;
BgL_____rz00_14506 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12266, BgL_nsz00_14503, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14505); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14504, BgL_sz00_14499); 
return BgL_____rz00_14506;} } } } } } } } 

}



/* &run5181 */
obj_t BGl_z62run5181z62zz__evaluate_compz00(obj_t BgL_envz00_12268, obj_t BgL_sz00_12274)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12269;long BgL_siza7eza7_12270;obj_t BgL_valza2za2_12271;BgL_ev_absz00_bglt BgL_i1244z00_12272;obj_t BgL_bodyz00_12273;
BgL_iboxesz00_12269 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)0)))); 
BgL_siza7eza7_12270 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)1)))); 
BgL_valza2za2_12271 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)2)))); 
BgL_i1244z00_12272 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)3)))); 
BgL_bodyz00_12273 = 
PROCEDURE_REF(BgL_envz00_12268, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14507;
BgL_bpz00_14507 = 
VECTOR_REF(
((obj_t)BgL_sz00_12274),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12274, BgL_iboxesz00_12269, BgL_bpz00_14507); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12274, BgL_valza2za2_12271, 
(
(long)CINT(BgL_bpz00_14507)+BgL_siza7eza7_12270)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14508;obj_t BgL_wherez00_14509;obj_t BgL_locz00_14510;
BgL_z12denvz12_14508 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14509 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12272))->BgL_wherez00); 
BgL_locz00_14510 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12272))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14508, BgL_wherez00_14509, BgL_locz00_14510); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14511;
BgL_za2za2resza2za2z00_14511 = 
PROCEDURE_ENTRY(BgL_bodyz00_12273)(BgL_bodyz00_12273, BgL_sz00_12274, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14508); 
return BgL_za2za2resza2za2z00_14511;} } } } } } 

}



/* &<@anonymous:3595> */
obj_t BGl_z62zc3z04anonymousza33595ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12275, obj_t BgL_sz00_12279)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12276;obj_t BgL_bodyz00_12277;long BgL_siza7ezd2framez75_12278;
BgL_i1244z00_12276 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12275, 
(int)(((long)0)))); 
BgL_bodyz00_12277 = 
PROCEDURE_REF(BgL_envz00_12275, 
(int)(((long)1))); 
BgL_siza7ezd2framez75_12278 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12275, 
(int)(((long)2)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14512;
BgL_bpz00_14512 = 
VECTOR_REF(
((obj_t)BgL_sz00_12279),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14513;
BgL_runz00_14513 = 
MAKE_FX_PROCEDURE(BGl_z62run5183z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_runz00_14513, 
(int)(((long)0)), 
((obj_t)BgL_i1244z00_12276)); 
PROCEDURE_SET(BgL_runz00_14513, 
(int)(((long)1)), BgL_bodyz00_12277); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14514;
BgL_mainz00_14514 = 
MAKE_VA_PROCEDURE(BGl_z62main5182z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_mainz00_14514, 
(int)(((long)0)), BgL_bodyz00_12277); 
PROCEDURE_SET(BgL_mainz00_14514, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12276)); 
PROCEDURE_SET(BgL_mainz00_14514, 
(int)(((long)2)), BgL_runz00_14513); 
PROCEDURE_SET(BgL_mainz00_14514, 
(int)(((long)3)), 
BINT(BgL_siza7ezd2framez75_12278)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14515;
BgL_objz00_14515 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14513, BgL_objz00_14515); BgL_objz00_14515; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3596z00_14516;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3597z00_14517;obj_t BgL_arg3598z00_14518;
BgL_arg3597z00_14517 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12276))->BgL_arityz00); 
BgL_arg3598z00_14518 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12276))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14519;
BgL_newz00_14519 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27504;
BgL_tmpz00_27504 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14519, BgL_tmpz00_27504, BgL_arg3598z00_14518); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27509;int BgL_tmpz00_27507;
BgL_auxz00_27509 = 
BINT(BgL_siza7ezd2framez75_12278); 
BgL_tmpz00_27507 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14519, BgL_tmpz00_27507, BgL_auxz00_27509); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27512;
BgL_tmpz00_27512 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14519, BgL_tmpz00_27512, BgL_runz00_14513); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27515;
BgL_tmpz00_27515 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14519, BgL_tmpz00_27515, BgL_arg3597z00_14517); } 
BgL_arg3596z00_14516 = BgL_newz00_14519; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14514, BgL_arg3596z00_14516); BgL_arg3596z00_14516; } 
return BgL_mainz00_14514;} } } } } } 

}



/* &main5182 */
obj_t BGl_z62main5182z62zz__evaluate_compz00(obj_t BgL_envz00_12280, obj_t BgL_az00_12285, obj_t BgL_bz00_12286, obj_t BgL_cz00_12287, obj_t BgL_dz00_12288, obj_t BgL_restz00_12289)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12282;obj_t BgL_runz00_12283;long BgL_siza7ezd2framez75_12284;
BgL_i1244z00_12282 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)1)))); 
BgL_runz00_12283 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)2)))); 
BgL_siza7ezd2framez75_12284 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12280, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14520;
BgL_sz00_14520 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14521;
BgL_bpz00_14521 = 
VECTOR_REF(
((obj_t)BgL_sz00_14520),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14520, BgL_bpz00_14521, 
BINT(BgL_siza7ezd2framez75_12284)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3601z00_14522;
BgL_arg3601z00_14522 = 
(
(long)CINT(BgL_bpz00_14521)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14520),BgL_arg3601z00_14522,BgL_az00_12285); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3602z00_14523;
BgL_arg3602z00_14523 = 
(
(long)CINT(BgL_bpz00_14521)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14520),BgL_arg3602z00_14523,BgL_bz00_12286); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3603z00_14524;
BgL_arg3603z00_14524 = 
(
(long)CINT(BgL_bpz00_14521)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14520),BgL_arg3603z00_14524,BgL_cz00_12287); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3604z00_14525;
BgL_arg3604z00_14525 = 
(
(long)CINT(BgL_bpz00_14521)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14520),BgL_arg3604z00_14525,BgL_dz00_12288); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14520, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12282))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14521)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12282))->BgL_arityz00), ((long)4)), BgL_restz00_12289, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12282))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14526;
BgL_ez00_14526 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14526, BgL_bpz00_14521); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14527;
BgL_accz00_14527 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12283, BgL_sz00_14520, BgL_bpz00_14521); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14526); 
VECTOR_SET(
((obj_t)BgL_sz00_14520),((long)0),BgL_bpz00_14521); 
return BgL_accz00_14527;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14528;
BgL_nsz00_14528 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14528,((long)1),BgL_sz00_14520); 
VECTOR_SET(BgL_nsz00_14528,((long)2),BgL_az00_12285); 
VECTOR_SET(BgL_nsz00_14528,((long)3),BgL_bz00_12286); 
VECTOR_SET(BgL_nsz00_14528,((long)4),BgL_cz00_12287); 
VECTOR_SET(BgL_nsz00_14528,((long)5),BgL_dz00_12288); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14528, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12282))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12282))->BgL_arityz00), ((long)4)), BgL_restz00_12289, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12282))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14529;
BgL_z12denvz12_14529 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14529, BgL_nsz00_14528); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14530;
BgL_ez00_14530 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14530, BgL_sz00_14520); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14531;
BgL_____rz00_14531 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12283, BgL_nsz00_14528, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14530); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14529, BgL_sz00_14520); 
return BgL_____rz00_14531;} } } } } } } } 

}



/* &run5183 */
obj_t BGl_z62run5183z62zz__evaluate_compz00(obj_t BgL_envz00_12290, obj_t BgL_sz00_12293)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12291;obj_t BgL_bodyz00_12292;
BgL_i1244z00_12291 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)0)))); 
BgL_bodyz00_12292 = 
PROCEDURE_REF(BgL_envz00_12290, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14532;
BgL_bpz00_14532 = 
VECTOR_REF(
((obj_t)BgL_sz00_12293),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14533;obj_t BgL_wherez00_14534;obj_t BgL_locz00_14535;
BgL_z12denvz12_14533 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14534 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12291))->BgL_wherez00); 
BgL_locz00_14535 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12291))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14533, BgL_wherez00_14534, BgL_locz00_14535); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14536;
BgL_za2za2resza2za2z00_14536 = 
PROCEDURE_ENTRY(BgL_bodyz00_12292)(BgL_bodyz00_12292, BgL_sz00_12293, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14533); 
return BgL_za2za2resza2za2z00_14536;} } } } } } 

}



/* &<@anonymous:3615> */
obj_t BGl_z62zc3z04anonymousza33615ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12294, obj_t BgL_sz00_12299)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12295;BgL_ev_absz00_bglt BgL_i1244z00_12296;obj_t BgL_bodyz00_12297;long BgL_siza7ezd2framez75_12298;
BgL_iboxesz00_12295 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12294, 
(int)(((long)0)))); 
BgL_i1244z00_12296 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12294, 
(int)(((long)1)))); 
BgL_bodyz00_12297 = 
PROCEDURE_REF(BgL_envz00_12294, 
(int)(((long)2))); 
BgL_siza7ezd2framez75_12298 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12294, 
(int)(((long)3)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14537;
BgL_bpz00_14537 = 
VECTOR_REF(
((obj_t)BgL_sz00_12299),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */

{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14538;
BgL_runz00_14538 = 
MAKE_FX_PROCEDURE(BGl_z62run5185z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_runz00_14538, 
(int)(((long)0)), BgL_iboxesz00_12295); 
PROCEDURE_SET(BgL_runz00_14538, 
(int)(((long)1)), 
((obj_t)BgL_i1244z00_12296)); 
PROCEDURE_SET(BgL_runz00_14538, 
(int)(((long)2)), BgL_bodyz00_12297); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14539;
BgL_mainz00_14539 = 
MAKE_VA_PROCEDURE(BGl_z62main5184z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)0)), BgL_iboxesz00_12295); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)1)), BgL_bodyz00_12297); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12296)); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)3)), BgL_runz00_14538); 
PROCEDURE_SET(BgL_mainz00_14539, 
(int)(((long)4)), 
BINT(BgL_siza7ezd2framez75_12298)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14540;
BgL_objz00_14540 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14538, BgL_objz00_14540); BgL_objz00_14540; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3616z00_14541;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3617z00_14542;obj_t BgL_arg3618z00_14543;
BgL_arg3617z00_14542 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12296))->BgL_arityz00); 
BgL_arg3618z00_14543 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12296))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14544;
BgL_newz00_14544 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27641;
BgL_tmpz00_27641 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14544, BgL_tmpz00_27641, BgL_arg3618z00_14543); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27646;int BgL_tmpz00_27644;
BgL_auxz00_27646 = 
BINT(BgL_siza7ezd2framez75_12298); 
BgL_tmpz00_27644 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14544, BgL_tmpz00_27644, BgL_auxz00_27646); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27649;
BgL_tmpz00_27649 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14544, BgL_tmpz00_27649, BgL_runz00_14538); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27652;
BgL_tmpz00_27652 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14544, BgL_tmpz00_27652, BgL_arg3617z00_14542); } 
BgL_arg3616z00_14541 = BgL_newz00_14544; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14539, BgL_arg3616z00_14541); BgL_arg3616z00_14541; } 
return BgL_mainz00_14539;} } } } } } 

}



/* &main5184 */
obj_t BGl_z62main5184z62zz__evaluate_compz00(obj_t BgL_envz00_12300, obj_t BgL_az00_12306, obj_t BgL_bz00_12307, obj_t BgL_cz00_12308, obj_t BgL_dz00_12309, obj_t BgL_restz00_12310)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12303;obj_t BgL_runz00_12304;long BgL_siza7ezd2framez75_12305;
BgL_i1244z00_12303 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12300, 
(int)(((long)2)))); 
BgL_runz00_12304 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12300, 
(int)(((long)3)))); 
BgL_siza7ezd2framez75_12305 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12300, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14545;
BgL_sz00_14545 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14546;
BgL_bpz00_14546 = 
VECTOR_REF(
((obj_t)BgL_sz00_14545),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14545, BgL_bpz00_14546, 
BINT(BgL_siza7ezd2framez75_12305)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3621z00_14547;
BgL_arg3621z00_14547 = 
(
(long)CINT(BgL_bpz00_14546)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14545),BgL_arg3621z00_14547,BgL_az00_12306); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3622z00_14548;
BgL_arg3622z00_14548 = 
(
(long)CINT(BgL_bpz00_14546)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14545),BgL_arg3622z00_14548,BgL_bz00_12307); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3623z00_14549;
BgL_arg3623z00_14549 = 
(
(long)CINT(BgL_bpz00_14546)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14545),BgL_arg3623z00_14549,BgL_cz00_12308); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3624z00_14550;
BgL_arg3624z00_14550 = 
(
(long)CINT(BgL_bpz00_14546)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14545),BgL_arg3624z00_14550,BgL_dz00_12309); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14545, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12303))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14546)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12303))->BgL_arityz00), ((long)4)), BgL_restz00_12310, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12303))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14551;
BgL_ez00_14551 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14551, BgL_bpz00_14546); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14552;
BgL_accz00_14552 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12304, BgL_sz00_14545, BgL_bpz00_14546); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14551); 
VECTOR_SET(
((obj_t)BgL_sz00_14545),((long)0),BgL_bpz00_14546); 
return BgL_accz00_14552;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14553;
BgL_nsz00_14553 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14553,((long)1),BgL_sz00_14545); 
VECTOR_SET(BgL_nsz00_14553,((long)2),BgL_az00_12306); 
VECTOR_SET(BgL_nsz00_14553,((long)3),BgL_bz00_12307); 
VECTOR_SET(BgL_nsz00_14553,((long)4),BgL_cz00_12308); 
VECTOR_SET(BgL_nsz00_14553,((long)5),BgL_dz00_12309); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14553, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12303))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12303))->BgL_arityz00), ((long)4)), BgL_restz00_12310, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12303))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14554;
BgL_z12denvz12_14554 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14554, BgL_nsz00_14553); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14555;
BgL_ez00_14555 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14555, BgL_sz00_14545); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14556;
BgL_____rz00_14556 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12304, BgL_nsz00_14553, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14555); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14554, BgL_sz00_14545); 
return BgL_____rz00_14556;} } } } } } } } 

}



/* &run5185 */
obj_t BGl_z62run5185z62zz__evaluate_compz00(obj_t BgL_envz00_12311, obj_t BgL_sz00_12315)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12312;BgL_ev_absz00_bglt BgL_i1244z00_12313;obj_t BgL_bodyz00_12314;
BgL_iboxesz00_12312 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)0)))); 
BgL_i1244z00_12313 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)1)))); 
BgL_bodyz00_12314 = 
PROCEDURE_REF(BgL_envz00_12311, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14557;
BgL_bpz00_14557 = 
VECTOR_REF(
((obj_t)BgL_sz00_12315),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12315, BgL_iboxesz00_12312, BgL_bpz00_14557); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14558;obj_t BgL_wherez00_14559;obj_t BgL_locz00_14560;
BgL_z12denvz12_14558 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14559 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12313))->BgL_wherez00); 
BgL_locz00_14560 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12313))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1174 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14558, BgL_wherez00_14559, BgL_locz00_14560); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_za2za2resza2za2z00_14561;
BgL_za2za2resza2za2z00_14561 = 
PROCEDURE_ENTRY(BgL_bodyz00_12314)(BgL_bodyz00_12314, BgL_sz00_12315, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14558); 
return BgL_za2za2resza2za2z00_14561;} } } } } } 

}



/* &<@anonymous:3638> */
obj_t BGl_z62zc3z04anonymousza33638ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12316, obj_t BgL_sz00_12322)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12317;long BgL_siza7eza7_12318;BgL_ev_absz00_bglt BgL_i1244z00_12319;obj_t BgL_bodyz00_12320;long BgL_siza7ezd2framez75_12321;
BgL_ifreesz00_12317 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)0)))); 
BgL_siza7eza7_12318 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)1)))); 
BgL_i1244z00_12319 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)2)))); 
BgL_bodyz00_12320 = 
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)3))); 
BgL_siza7ezd2framez75_12321 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12316, 
(int)(((long)4)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14562;
BgL_bpz00_14562 = 
VECTOR_REF(
((obj_t)BgL_sz00_12322),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14563;
BgL_valza2za2_14563 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12322, BgL_bpz00_14562, BgL_ifreesz00_12317); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14564;
BgL_runz00_14564 = 
MAKE_FX_PROCEDURE(BGl_z62run5187z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12318)); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)1)), BgL_valza2za2_14563); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)2)), 
((obj_t)BgL_i1244z00_12319)); 
PROCEDURE_SET(BgL_runz00_14564, 
(int)(((long)3)), BgL_bodyz00_12320); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14565;
BgL_mainz00_14565 = 
MAKE_VA_PROCEDURE(BGl_z62main5186z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)6))); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_12318)); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)1)), BgL_valza2za2_14563); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)2)), BgL_bodyz00_12320); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12319)); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)4)), BgL_runz00_14564); 
PROCEDURE_SET(BgL_mainz00_14565, 
(int)(((long)5)), 
BINT(BgL_siza7ezd2framez75_12321)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14566;
BgL_objz00_14566 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14564, BgL_objz00_14566); BgL_objz00_14566; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3639z00_14567;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3640z00_14568;obj_t BgL_arg3641z00_14569;
BgL_arg3640z00_14568 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12319))->BgL_arityz00); 
BgL_arg3641z00_14569 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12319))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14570;
BgL_newz00_14570 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27792;
BgL_tmpz00_27792 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14570, BgL_tmpz00_27792, BgL_arg3641z00_14569); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27797;int BgL_tmpz00_27795;
BgL_auxz00_27797 = 
BINT(BgL_siza7ezd2framez75_12321); 
BgL_tmpz00_27795 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14570, BgL_tmpz00_27795, BgL_auxz00_27797); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27800;
BgL_tmpz00_27800 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14570, BgL_tmpz00_27800, BgL_runz00_14564); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27803;
BgL_tmpz00_27803 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14570, BgL_tmpz00_27803, BgL_arg3640z00_14568); } 
BgL_arg3639z00_14567 = BgL_newz00_14570; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14565, BgL_arg3639z00_14567); BgL_arg3639z00_14567; } 
return BgL_mainz00_14565;} } } } } } 

}



/* &main5186 */
obj_t BGl_z62main5186z62zz__evaluate_compz00(obj_t BgL_envz00_12323, obj_t BgL_az00_12330, obj_t BgL_bz00_12331, obj_t BgL_cz00_12332, obj_t BgL_dz00_12333, obj_t BgL_restz00_12334)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12327;obj_t BgL_runz00_12328;long BgL_siza7ezd2framez75_12329;
BgL_i1244z00_12327 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12323, 
(int)(((long)3)))); 
BgL_runz00_12328 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12323, 
(int)(((long)4)))); 
BgL_siza7ezd2framez75_12329 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12323, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14571;
BgL_sz00_14571 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14572;
BgL_bpz00_14572 = 
VECTOR_REF(
((obj_t)BgL_sz00_14571),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14571, BgL_bpz00_14572, 
BINT(BgL_siza7ezd2framez75_12329)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3644z00_14573;
BgL_arg3644z00_14573 = 
(
(long)CINT(BgL_bpz00_14572)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14571),BgL_arg3644z00_14573,BgL_az00_12330); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3645z00_14574;
BgL_arg3645z00_14574 = 
(
(long)CINT(BgL_bpz00_14572)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14571),BgL_arg3645z00_14574,BgL_bz00_12331); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3646z00_14575;
BgL_arg3646z00_14575 = 
(
(long)CINT(BgL_bpz00_14572)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14571),BgL_arg3646z00_14575,BgL_cz00_12332); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3647z00_14576;
BgL_arg3647z00_14576 = 
(
(long)CINT(BgL_bpz00_14572)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14571),BgL_arg3647z00_14576,BgL_dz00_12333); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14571, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12327))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14572)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12327))->BgL_arityz00), ((long)4)), BgL_restz00_12334, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12327))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14577;
BgL_ez00_14577 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14577, BgL_bpz00_14572); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14578;
BgL_accz00_14578 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12328, BgL_sz00_14571, BgL_bpz00_14572); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14577); 
VECTOR_SET(
((obj_t)BgL_sz00_14571),((long)0),BgL_bpz00_14572); 
return BgL_accz00_14578;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14579;
BgL_nsz00_14579 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14579,((long)1),BgL_sz00_14571); 
VECTOR_SET(BgL_nsz00_14579,((long)2),BgL_az00_12330); 
VECTOR_SET(BgL_nsz00_14579,((long)3),BgL_bz00_12331); 
VECTOR_SET(BgL_nsz00_14579,((long)4),BgL_cz00_12332); 
VECTOR_SET(BgL_nsz00_14579,((long)5),BgL_dz00_12333); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14579, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12327))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12327))->BgL_arityz00), ((long)4)), BgL_restz00_12334, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12327))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14580;
BgL_z12denvz12_14580 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14580, BgL_nsz00_14579); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14581;
BgL_ez00_14581 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14581, BgL_sz00_14571); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14582;
BgL_____rz00_14582 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12328, BgL_nsz00_14579, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14581); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14580, BgL_sz00_14571); 
return BgL_____rz00_14582;} } } } } } } } 

}



/* &run5187 */
obj_t BGl_z62run5187z62zz__evaluate_compz00(obj_t BgL_envz00_12335, obj_t BgL_sz00_12340)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_siza7eza7_12336;obj_t BgL_valza2za2_12337;BgL_ev_absz00_bglt BgL_i1244z00_12338;obj_t BgL_bodyz00_12339;
BgL_siza7eza7_12336 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12335, 
(int)(((long)0)))); 
BgL_valza2za2_12337 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12335, 
(int)(((long)1)))); 
BgL_i1244z00_12338 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12335, 
(int)(((long)2)))); 
BgL_bodyz00_12339 = 
PROCEDURE_REF(BgL_envz00_12335, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14583;
BgL_bpz00_14583 = 
VECTOR_REF(
((obj_t)BgL_sz00_12340),((long)0)); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12340, BgL_valza2za2_12337, 
(
(long)CINT(BgL_bpz00_14583)+BgL_siza7eza7_12336)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14584;obj_t BgL_wherez00_14585;obj_t BgL_locz00_14586;
BgL_z12denvz12_14584 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14585 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12338))->BgL_wherez00); 
BgL_locz00_14586 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12338))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14584, BgL_wherez00_14585, BgL_locz00_14586); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14587;
BgL_za2za2resza2za2z00_14587 = 
PROCEDURE_ENTRY(BgL_bodyz00_12339)(BgL_bodyz00_12339, BgL_sz00_12340, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14584); 
return BgL_za2za2resza2za2z00_14587;} } } } } } 

}



/* &<@anonymous:3659> */
obj_t BGl_z62zc3z04anonymousza33659ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12341, obj_t BgL_sz00_12348)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ifreesz00_12342;obj_t BgL_iboxesz00_12343;long BgL_siza7eza7_12344;BgL_ev_absz00_bglt BgL_i1244z00_12345;obj_t BgL_bodyz00_12346;long BgL_siza7ezd2framez75_12347;
BgL_ifreesz00_12342 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)0)))); 
BgL_iboxesz00_12343 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)1)))); 
BgL_siza7eza7_12344 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)2)))); 
BgL_i1244z00_12345 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)3)))); 
BgL_bodyz00_12346 = 
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)4))); 
BgL_siza7ezd2framez75_12347 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12341, 
(int)(((long)5)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14588;
BgL_bpz00_14588 = 
VECTOR_REF(
((obj_t)BgL_sz00_12348),((long)0)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_valza2za2_14589;
BgL_valza2za2_14589 = 
BGl_freezd2collectzd2zz__evaluate_compz00(BgL_sz00_12348, BgL_bpz00_14588, BgL_ifreesz00_12342); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_runz00_14590;
BgL_runz00_14590 = 
MAKE_FX_PROCEDURE(BGl_z62run5189z62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_runz00_14590, 
(int)(((long)0)), BgL_iboxesz00_12343); 
PROCEDURE_SET(BgL_runz00_14590, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12344)); 
PROCEDURE_SET(BgL_runz00_14590, 
(int)(((long)2)), BgL_valza2za2_14589); 
PROCEDURE_SET(BgL_runz00_14590, 
(int)(((long)3)), 
((obj_t)BgL_i1244z00_12345)); 
PROCEDURE_SET(BgL_runz00_14590, 
(int)(((long)4)), BgL_bodyz00_12346); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_mainz00_14591;
BgL_mainz00_14591 = 
MAKE_VA_PROCEDURE(BGl_z62main5188z62zz__evaluate_compz00, 
(int)(((long)-5)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_mainz00_14591, 
(int)(((long)0)), BgL_iboxesz00_12343); 
PROCEDURE_SET(BgL_mainz00_14591, 
(int)(((long)1)), 
BINT(BgL_siza7eza7_12344)); 
PROCEDURE_SET(BgL_mainz00_14591, 
(int)(((long)2)), BgL_valza2za2_14589); 
PROCEDURE_SET(BgL_mainz00_14591, 
(int)(((long)3)), BgL_bodyz00_12346); 
PROCEDURE_SET(BgL_mainz00_14591, 
(int)(((long)4)), 
((obj_t)BgL_i1244z00_12345)); 
PROCEDURE_SET(BgL_mainz00_14591, 
(int)(((long)5)), BgL_runz00_14590); 
PROCEDURE_SET(BgL_mainz00_14591, 
(int)(((long)6)), 
BINT(BgL_siza7ezd2framez75_12347)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_objz00_14592;
BgL_objz00_14592 = BGl_za2za2azd2bounceza2za2zd2zz__evaluate_compz00; 
PROCEDURE_ATTR_SET(BgL_runz00_14590, BgL_objz00_14592); BgL_objz00_14592; } 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3660z00_14593;
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_arg3661z00_14594;obj_t BgL_arg3662z00_14595;
BgL_arg3661z00_14594 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12345))->BgL_arityz00); 
BgL_arg3662z00_14595 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12345))->BgL_wherez00); 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_newz00_14596;
BgL_newz00_14596 = 
create_struct(BGl_symbol5219z00zz__evaluate_compz00, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27955;
BgL_tmpz00_27955 = 
(int)(((long)3)); 
STRUCT_SET(BgL_newz00_14596, BgL_tmpz00_27955, BgL_arg3662z00_14595); } 
{ /* Eval/evaluate_comp.scm 683 */
obj_t BgL_auxz00_27960;int BgL_tmpz00_27958;
BgL_auxz00_27960 = 
BINT(BgL_siza7ezd2framez75_12347); 
BgL_tmpz00_27958 = 
(int)(((long)2)); 
STRUCT_SET(BgL_newz00_14596, BgL_tmpz00_27958, BgL_auxz00_27960); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27963;
BgL_tmpz00_27963 = 
(int)(((long)1)); 
STRUCT_SET(BgL_newz00_14596, BgL_tmpz00_27963, BgL_runz00_14590); } 
{ /* Eval/evaluate_comp.scm 683 */
int BgL_tmpz00_27966;
BgL_tmpz00_27966 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14596, BgL_tmpz00_27966, BgL_arg3661z00_14594); } 
BgL_arg3660z00_14593 = BgL_newz00_14596; } } 
PROCEDURE_ATTR_SET(BgL_mainz00_14591, BgL_arg3660z00_14593); BgL_arg3660z00_14593; } 
return BgL_mainz00_14591;} } } } } } 

}



/* &main5188 */
obj_t BGl_z62main5188z62zz__evaluate_compz00(obj_t BgL_envz00_12349, obj_t BgL_az00_12357, obj_t BgL_bz00_12358, obj_t BgL_cz00_12359, obj_t BgL_dz00_12360, obj_t BgL_restz00_12361)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
BgL_ev_absz00_bglt BgL_i1244z00_12354;obj_t BgL_runz00_12355;long BgL_siza7ezd2framez75_12356;
BgL_i1244z00_12354 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)4)))); 
BgL_runz00_12355 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)5)))); 
BgL_siza7ezd2framez75_12356 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12349, 
(int)(((long)6)))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_sz00_14597;
BgL_sz00_14597 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14598;
BgL_bpz00_14598 = 
VECTOR_REF(
((obj_t)BgL_sz00_14597),((long)0)); 
if(
BGl_checkzd2stackzd2zz__evaluate_compz00(BgL_sz00_14597, BgL_bpz00_14598, 
BINT(BgL_siza7ezd2framez75_12356)))
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3665z00_14599;
BgL_arg3665z00_14599 = 
(
(long)CINT(BgL_bpz00_14598)+((long)0)); 
VECTOR_SET(
((obj_t)BgL_sz00_14597),BgL_arg3665z00_14599,BgL_az00_12357); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3666z00_14600;
BgL_arg3666z00_14600 = 
(
(long)CINT(BgL_bpz00_14598)+((long)1)); 
VECTOR_SET(
((obj_t)BgL_sz00_14597),BgL_arg3666z00_14600,BgL_bz00_12358); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3667z00_14601;
BgL_arg3667z00_14601 = 
(
(long)CINT(BgL_bpz00_14598)+((long)2)); 
VECTOR_SET(
((obj_t)BgL_sz00_14597),BgL_arg3667z00_14601,BgL_cz00_12359); } 
{ /* Eval/evaluate_comp.scm 1174 */
long BgL_arg3668z00_14602;
BgL_arg3668z00_14602 = 
(
(long)CINT(BgL_bpz00_14598)+((long)3)); 
VECTOR_SET(
((obj_t)BgL_sz00_14597),BgL_arg3668z00_14602,BgL_dz00_12360); } 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_sz00_14597, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12354))->BgL_wherez00), 
(
(long)CINT(BgL_bpz00_14598)+((long)4)), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12354))->BgL_arityz00), ((long)4)), BgL_restz00_12361, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12354))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14603;
BgL_ez00_14603 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14603, BgL_bpz00_14598); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_accz00_14604;
BgL_accz00_14604 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12355, BgL_sz00_14597, BgL_bpz00_14598); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14603); 
VECTOR_SET(
((obj_t)BgL_sz00_14597),((long)0),BgL_bpz00_14598); 
return BgL_accz00_14604;} } }  else 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_nsz00_14605;
BgL_nsz00_14605 = 
BGl_makezd2statezd2zz__evaluate_compz00(); 
VECTOR_SET(BgL_nsz00_14605,((long)1),BgL_sz00_14597); 
VECTOR_SET(BgL_nsz00_14605,((long)2),BgL_az00_12357); 
VECTOR_SET(BgL_nsz00_14605,((long)3),BgL_bz00_12358); 
VECTOR_SET(BgL_nsz00_14605,((long)4),BgL_cz00_12359); 
VECTOR_SET(BgL_nsz00_14605,((long)5),BgL_dz00_12360); 
BGl_bindzd2framezd2zz__evaluate_compz00(BgL_nsz00_14605, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12354))->BgL_wherez00), ((long)6), 
BGl_correctz00zz__evaluate_compz00(
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12354))->BgL_arityz00), ((long)4)), BgL_restz00_12361, 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12354))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_z12denvz12_14606;
BgL_z12denvz12_14606 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14606, BgL_nsz00_14605); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_ez00_14607;
BgL_ez00_14607 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_ez00_14607, BgL_sz00_14597); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_____rz00_14608;
BgL_____rz00_14608 = 
BGl_catchzd2trampolinezd2zz__evaluate_compz00(BgL_runz00_12355, BgL_nsz00_14605, 
BINT(((long)2))); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_ez00_14607); 
BGL_ENV_EVSTATE_SET(BgL_z12denvz12_14606, BgL_sz00_14597); 
return BgL_____rz00_14608;} } } } } } } } 

}



/* &run5189 */
obj_t BGl_z62run5189z62zz__evaluate_compz00(obj_t BgL_envz00_12362, obj_t BgL_sz00_12368)
{
{ /* Eval/evaluate_comp.scm 1174 */
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_iboxesz00_12363;long BgL_siza7eza7_12364;obj_t BgL_valza2za2_12365;BgL_ev_absz00_bglt BgL_i1244z00_12366;obj_t BgL_bodyz00_12367;
BgL_iboxesz00_12363 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12362, 
(int)(((long)0)))); 
BgL_siza7eza7_12364 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12362, 
(int)(((long)1)))); 
BgL_valza2za2_12365 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12362, 
(int)(((long)2)))); 
BgL_i1244z00_12366 = 
((BgL_ev_absz00_bglt)
PROCEDURE_REF(BgL_envz00_12362, 
(int)(((long)3)))); 
BgL_bodyz00_12367 = 
PROCEDURE_REF(BgL_envz00_12362, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 1174 */
obj_t BgL_bpz00_14609;
BgL_bpz00_14609 = 
VECTOR_REF(
((obj_t)BgL_sz00_12368),((long)0)); 
BGl_makezd2boxeszd2zz__evaluate_compz00(BgL_sz00_12368, BgL_iboxesz00_12363, BgL_bpz00_14609); 
BGl_freezd2restorezd2zz__evaluate_compz00(BgL_sz00_12368, BgL_valza2za2_12365, 
(
(long)CINT(BgL_bpz00_14609)+BgL_siza7eza7_12364)); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_z12denvz12_14610;obj_t BgL_wherez00_14611;obj_t BgL_locz00_14612;
BgL_z12denvz12_14610 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_wherez00_14611 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12366))->BgL_wherez00); 
BgL_locz00_14612 = 
(((BgL_ev_absz00_bglt)COBJECT(BgL_i1244z00_12366))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 1095 */

BGL_ENV_PUSH_TRACE(BgL_z12denvz12_14610, BgL_wherez00_14611, BgL_locz00_14612); 
{ /* Eval/evaluate_comp.scm 1095 */
obj_t BgL_za2za2resza2za2z00_14613;
BgL_za2za2resza2za2z00_14613 = 
PROCEDURE_ENTRY(BgL_bodyz00_12367)(BgL_bodyz00_12367, BgL_sz00_12368, BEOA); 
BGL_ENV_POP_TRACE(BgL_z12denvz12_14610); 
return BgL_za2za2resza2za2z00_14613;} } } } } } 

}



/* &comp-ev_app1430 */
obj_t BGl_z62compzd2ev_app1430zb0zz__evaluate_compz00(obj_t BgL_envz00_12369, obj_t BgL_ez00_12370, obj_t BgL_stkz00_12371)
{
{ /* Eval/evaluate_comp.scm 1044 */
{ /* Eval/evaluate_comp.scm 1046 */
obj_t BgL__ortest_1230z00_14615;
BgL__ortest_1230z00_14615 = 
BGl_arithzd2expressionzd2zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12370), BgL_stkz00_12371); 
if(
CBOOL(BgL__ortest_1230z00_14615))
{ /* Eval/evaluate_comp.scm 1046 */
return BgL__ortest_1230z00_14615;}  else 
{ /* Eval/evaluate_comp.scm 1047 */
obj_t BgL__ortest_1231z00_14616;
BgL__ortest_1231z00_14616 = 
BGl_inlinezd2callzd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_argsz00), BgL_stkz00_12371); 
if(
CBOOL(BgL__ortest_1231z00_14616))
{ /* Eval/evaluate_comp.scm 1047 */
return BgL__ortest_1231z00_14616;}  else 
{ /* Eval/evaluate_comp.scm 1047 */
if(
(
bgl_list_length(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_argsz00))>((long)4)))
{ /* Eval/evaluate_comp.scm 1048 */
return 
BGl_compzd2oldzd2callz00zz__evaluate_compz00(
((BgL_ev_appz00_bglt)BgL_ez00_12370), BgL_stkz00_12371);}  else 
{ /* Eval/evaluate_comp.scm 1050 */
obj_t BgL_fz00_14617;long BgL_siza7eza7_14618;obj_t BgL_symbzd2funzd2_14619;
BgL_fz00_14617 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00), BgL_stkz00_12371); 
BgL_siza7eza7_14618 = 
bgl_list_length(BgL_stkz00_12371); 
BgL_symbzd2funzd2_14619 = 
BGl_uncompilez00zz__evaluate_uncompz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00)); 
if(
NULLP(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_argsz00)))
{ /* Eval/evaluate_comp.scm 1051 */
return 
BGl_compzd2call0zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00), BgL_symbzd2funzd2_14619, BgL_fz00_14617, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_tailzf3zf3), BgL_stkz00_12371, BgL_siza7eza7_14618);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a1z00_14620;obj_t BgL_argsz00_14621;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3129z00_14622;
BgL_arg3129z00_14622 = 
CAR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_argsz00)); 
BgL_a1z00_14620 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3129z00_14622), BgL_stkz00_12371); } 
BgL_argsz00_14621 = 
CDR(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_argsz00)); 
if(
NULLP(BgL_argsz00_14621))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call1zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00), BgL_symbzd2funzd2_14619, BgL_fz00_14617, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_tailzf3zf3), BgL_stkz00_12371, BgL_siza7eza7_14618, BgL_a1z00_14620);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a2z00_14623;obj_t BgL_argsz00_14624;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3128z00_14625;
BgL_arg3128z00_14625 = 
CAR(
((obj_t)BgL_argsz00_14621)); 
BgL_a2z00_14623 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3128z00_14625), BgL_stkz00_12371); } 
BgL_argsz00_14624 = 
CDR(
((obj_t)BgL_argsz00_14621)); 
if(
NULLP(BgL_argsz00_14624))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call2zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00), BgL_symbzd2funzd2_14619, BgL_fz00_14617, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_tailzf3zf3), BgL_stkz00_12371, BgL_siza7eza7_14618, BgL_a1z00_14620, BgL_a2z00_14623);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a3z00_14626;obj_t BgL_argsz00_14627;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3127z00_14628;
BgL_arg3127z00_14628 = 
CAR(
((obj_t)BgL_argsz00_14624)); 
BgL_a3z00_14626 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3127z00_14628), BgL_stkz00_12371); } 
BgL_argsz00_14627 = 
CDR(
((obj_t)BgL_argsz00_14624)); 
if(
NULLP(BgL_argsz00_14627))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call3zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00), BgL_symbzd2funzd2_14619, BgL_fz00_14617, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_tailzf3zf3), BgL_stkz00_12371, BgL_siza7eza7_14618, BgL_a1z00_14620, BgL_a2z00_14623, BgL_a3z00_14626);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_a4z00_14629;obj_t BgL_argsz00_14630;
{ /* Eval/evaluate_comp.scm 1053 */
obj_t BgL_arg3126z00_14631;
BgL_arg3126z00_14631 = 
CAR(
((obj_t)BgL_argsz00_14627)); 
BgL_a4z00_14629 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3126z00_14631), BgL_stkz00_12371); } 
BgL_argsz00_14630 = 
CDR(
((obj_t)BgL_argsz00_14627)); 
if(
NULLP(BgL_argsz00_14630))
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_compzd2call4zd2zz__evaluate_compz00(
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_locz00), 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_funz00), BgL_symbzd2funzd2_14619, BgL_fz00_14617, 
(((BgL_ev_appz00_bglt)COBJECT(
((BgL_ev_appz00_bglt)BgL_ez00_12370)))->BgL_tailzf3zf3), BgL_stkz00_12371, BgL_siza7eza7_14618, BgL_a1z00_14620, BgL_a2z00_14623, BgL_a3z00_14626, BgL_a4z00_14629);}  else 
{ /* Eval/evaluate_comp.scm 1053 */
return 
BGl_errorz00zz__errorz00(BGl_string5202z00zz__evaluate_compz00, BGl_string5317z00zz__evaluate_compz00, BGl_string5318z00zz__evaluate_compz00);} } } } } } } } } } 

}



/* &comp-ev_goto1428 */
obj_t BGl_z62compzd2ev_goto1428zb0zz__evaluate_compz00(obj_t BgL_envz00_12372, obj_t BgL_ez00_12373, obj_t BgL_stkz00_12374)
{
{ /* Eval/evaluate_comp.scm 604 */
{ /* Eval/evaluate_comp.scm 607 */
obj_t BgL_slotz00_14635;long BgL_siza7eza7_14636;obj_t BgL_lstkz00_14637;
BgL_slotz00_14635 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_labelsz00)))->BgL_envz00)); 
BgL_siza7eza7_14636 = 
bgl_list_length(BgL_stkz00_12374); 
BgL_lstkz00_14637 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_labelsz00)))->BgL_stkz00); 
{ /* Eval/evaluate_comp.scm 609 */
long BgL_llstkz00_14638;obj_t BgL_substkz00_14639;obj_t BgL_boxesz00_14640;
BgL_llstkz00_14638 = 
bgl_list_length(BgL_lstkz00_14637); 
BgL_substkz00_14639 = 
BGl_subzd2stkzd2zz__evaluate_compz00(BgL_lstkz00_14637, BgL_stkz00_12374); 
{ /* Eval/evaluate_comp.scm 609 */
obj_t BgL_pairz00_14641;
BgL_pairz00_14641 = 
BGl_assqz00zz__r4_pairs_and_lists_6_3z00(
((obj_t)
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_labelz00)), 
(((BgL_ev_labelsz00_bglt)COBJECT(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_labelsz00)))->BgL_boxesz00)); 
BgL_boxesz00_14640 = 
CDR(BgL_pairz00_14641); } 
if(
BGl_needzd2shiftzd2zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_argsz00), BgL_substkz00_14639))
{ /* Eval/evaluate_comp.scm 612 */
obj_t BgL_argsz00_14642;long BgL_nbargsz00_14643;
BgL_argsz00_14642 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_argsz00), BgL_stkz00_12374); 
BgL_nbargsz00_14643 = 
bgl_list_length(
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_argsz00)); 
{ /* Eval/evaluate_comp.scm 613 */
obj_t BgL_zc3z04anonymousza33084ze3z87_14644;
BgL_zc3z04anonymousza33084ze3z87_14644 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33084ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)7))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33084ze3z87_14644, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14636)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33084ze3z87_14644, 
(int)(((long)1)), 
BINT(BgL_llstkz00_14638)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33084ze3z87_14644, 
(int)(((long)2)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12373))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33084ze3z87_14644, 
(int)(((long)3)), BgL_argsz00_14642); 
PROCEDURE_SET(BgL_zc3z04anonymousza33084ze3z87_14644, 
(int)(((long)4)), BgL_boxesz00_14640); 
PROCEDURE_SET(BgL_zc3z04anonymousza33084ze3z87_14644, 
(int)(((long)5)), 
BINT(BgL_nbargsz00_14643)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33084ze3z87_14644, 
(int)(((long)6)), BgL_slotz00_14635); 
return BgL_zc3z04anonymousza33084ze3z87_14644;} }  else 
{ /* Eval/evaluate_comp.scm 618 */
obj_t BgL_argsz00_14645;
{ /* Eval/evaluate_comp.scm 618 */
obj_t BgL_lz00_14646;long BgL_nz00_14647;
BgL_lz00_14646 = 
(((BgL_ev_gotoz00_bglt)COBJECT(
((BgL_ev_gotoz00_bglt)BgL_ez00_12373)))->BgL_argsz00); 
BgL_nz00_14647 = 
(BgL_siza7eza7_14636-BgL_llstkz00_14638); 
BgL_argsz00_14645 = 
BGl_recze70ze7zz__evaluate_compz00(BgL_stkz00_12374, BgL_lz00_14646, BgL_nz00_14647); } 
{ /* Eval/evaluate_comp.scm 619 */
obj_t BgL_zc3z04anonymousza33090ze3z87_14648;
BgL_zc3z04anonymousza33090ze3z87_14648 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33090ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)5))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33090ze3z87_14648, 
(int)(((long)0)), 
BINT(BgL_llstkz00_14638)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33090ze3z87_14648, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_gotoz00_bglt)BgL_ez00_12373))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33090ze3z87_14648, 
(int)(((long)2)), BgL_argsz00_14645); 
PROCEDURE_SET(BgL_zc3z04anonymousza33090ze3z87_14648, 
(int)(((long)3)), BgL_boxesz00_14640); 
PROCEDURE_SET(BgL_zc3z04anonymousza33090ze3z87_14648, 
(int)(((long)4)), BgL_slotz00_14635); 
return BgL_zc3z04anonymousza33090ze3z87_14648;} } } } } 

}



/* &<@anonymous:3084> */
obj_t BGl_z62zc3z04anonymousza33084ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12375, obj_t BgL_sz00_12383)
{
{ /* Eval/evaluate_comp.scm 613 */
{ /* Eval/evaluate_comp.scm 613 */
long BgL_siza7eza7_12376;long BgL_llstkz00_12377;BgL_ev_gotoz00_bglt BgL_i1142z00_12378;obj_t BgL_argsz00_12379;obj_t BgL_boxesz00_12380;long BgL_nbargsz00_12381;obj_t BgL_slotz00_12382;
BgL_siza7eza7_12376 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)0)))); 
BgL_llstkz00_12377 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)1)))); 
BgL_i1142z00_12378 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)2)))); 
BgL_argsz00_12379 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)3)))); 
BgL_boxesz00_12380 = 
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)4))); 
BgL_nbargsz00_12381 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)5)))); 
BgL_slotz00_12382 = 
PROCEDURE_REF(BgL_envz00_12375, 
(int)(((long)6))); 
{ /* Eval/evaluate_comp.scm 613 */
obj_t BgL_bpz00_14649;
BgL_bpz00_14649 = 
VECTOR_REF(
((obj_t)BgL_sz00_12383),((long)0)); 
{ /* Eval/evaluate_comp.scm 614 */
long BgL_spz00_14650;long BgL_lspz00_14651;
BgL_spz00_14650 = 
(
(long)CINT(BgL_bpz00_14649)+BgL_siza7eza7_12376); 
BgL_lspz00_14651 = 
(
(long)CINT(BgL_bpz00_14649)+BgL_llstkz00_12377); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12383, BgL_argsz00_12379, BgL_boxesz00_12380, BgL_spz00_14650, 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1142z00_12378))->BgL_locz00)); 
{ /* Eval/evaluate_comp.scm 616 */
long BgL_arg3086z00_14652;
BgL_arg3086z00_14652 = 
(BgL_spz00_14650+BgL_nbargsz00_12381); 
BGl_vectorzd2copyz12zc0zz__r4_vectors_6_8z00(BgL_sz00_12383, BgL_lspz00_14651, BgL_sz00_12383, 
BINT(BgL_spz00_14650), 
BINT(BgL_arg3086z00_14652)); } 
return 
CDR(
((obj_t)BgL_slotz00_12382));} } } } 

}



/* &<@anonymous:3090> */
obj_t BGl_z62zc3z04anonymousza33090ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12384, obj_t BgL_sz00_12390)
{
{ /* Eval/evaluate_comp.scm 619 */
{ /* Eval/evaluate_comp.scm 619 */
long BgL_llstkz00_12385;BgL_ev_gotoz00_bglt BgL_i1142z00_12386;obj_t BgL_argsz00_12387;obj_t BgL_boxesz00_12388;obj_t BgL_slotz00_12389;
BgL_llstkz00_12385 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)0)))); 
BgL_i1142z00_12386 = 
((BgL_ev_gotoz00_bglt)
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)1)))); 
BgL_argsz00_12387 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)2)))); 
BgL_boxesz00_12388 = 
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)3))); 
BgL_slotz00_12389 = 
PROCEDURE_REF(BgL_envz00_12384, 
(int)(((long)4))); 
{ /* Eval/evaluate_comp.scm 619 */
obj_t BgL_bpz00_14653;
BgL_bpz00_14653 = 
VECTOR_REF(
((obj_t)BgL_sz00_12390),((long)0)); 
BGl_pushzd2boxeszd2argszd2onzd2spz00zz__evaluate_compz00(BgL_sz00_12390, BgL_argsz00_12387, BgL_boxesz00_12388, 
(
(long)CINT(BgL_bpz00_14653)+BgL_llstkz00_12385), 
(((BgL_ev_gotoz00_bglt)COBJECT(BgL_i1142z00_12386))->BgL_locz00)); 
return 
CDR(
((obj_t)BgL_slotz00_12389));} } } 

}



/* &comp-ev_labels1426 */
obj_t BGl_z62compzd2ev_labels1426zb0zz__evaluate_compz00(obj_t BgL_envz00_12391, obj_t BgL_ez00_12392, obj_t BgL_stkz00_12393)
{
{ /* Eval/evaluate_comp.scm 572 */
{ 
obj_t BgL_fz00_14656;
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12392)))->BgL_stkz00)=((obj_t)BgL_stkz00_12393),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_envz00_14658;
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_l1329z00_14659;
BgL_l1329z00_14659 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12392)))->BgL_varsz00); 
if(
NULLP(BgL_l1329z00_14659))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_14658 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_head1331z00_14660;
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_res4721z00_14661;
BgL_res4721z00_14661 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1331z00_14660 = BgL_res4721z00_14661; } 
{ 
obj_t BgL_l1329z00_14663;obj_t BgL_tail1332z00_14664;
BgL_l1329z00_14663 = BgL_l1329z00_14659; 
BgL_tail1332z00_14664 = BgL_head1331z00_14660; 
BgL_zc3z04anonymousza33075ze3z87_14662:
if(
NULLP(BgL_l1329z00_14663))
{ /* Eval/evaluate_comp.scm 579 */
BgL_envz00_14658 = 
CDR(BgL_head1331z00_14660); }  else 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_newtail1333z00_14665;
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_arg3078z00_14666;
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_vz00_14667;
BgL_vz00_14667 = 
CAR(
((obj_t)BgL_l1329z00_14663)); 
BgL_arg3078z00_14666 = 
MAKE_YOUNG_PAIR(BgL_vz00_14667, BGl_symbol5319z00zz__evaluate_compz00); } 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_res4723z00_14668;
BgL_res4723z00_14668 = 
MAKE_YOUNG_PAIR(BgL_arg3078z00_14666, BNIL); 
BgL_newtail1333z00_14665 = BgL_res4723z00_14668; } } 
SET_CDR(BgL_tail1332z00_14664, BgL_newtail1333z00_14665); 
{ /* Eval/evaluate_comp.scm 579 */
obj_t BgL_arg3077z00_14669;
BgL_arg3077z00_14669 = 
CDR(
((obj_t)BgL_l1329z00_14663)); 
{ 
obj_t BgL_tail1332z00_28308;obj_t BgL_l1329z00_28307;
BgL_l1329z00_28307 = BgL_arg3077z00_14669; 
BgL_tail1332z00_28308 = BgL_newtail1333z00_14665; 
BgL_tail1332z00_14664 = BgL_tail1332z00_28308; 
BgL_l1329z00_14663 = BgL_l1329z00_28307; 
goto BgL_zc3z04anonymousza33075ze3z87_14662;} } } } } } 
((((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12392)))->BgL_envz00)=((obj_t)BgL_envz00_14658),BUNSPEC); 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_g1337z00_14670;
BgL_g1337z00_14670 = 
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12392)))->BgL_valsz00); 
{ 
obj_t BgL_ll1334z00_14672;obj_t BgL_ll1335z00_14673;
BgL_ll1334z00_14672 = BgL_envz00_14658; 
BgL_ll1335z00_14673 = BgL_g1337z00_14670; 
BgL_zc3z04anonymousza33065ze3z87_14671:
if(
NULLP(BgL_ll1334z00_14672))
{ /* Eval/evaluate_comp.scm 582 */((bool_t)1); }  else 
{ /* Eval/evaluate_comp.scm 582 */
{ /* Eval/evaluate_comp.scm 584 */
obj_t BgL_slotz00_14674;obj_t BgL_valz00_14675;
BgL_slotz00_14674 = 
CAR(
((obj_t)BgL_ll1334z00_14672)); 
BgL_valz00_14675 = 
CAR(
((obj_t)BgL_ll1335z00_14673)); 
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3067z00_14676;
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3068z00_14677;
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3069z00_14678;obj_t BgL_arg3070z00_14679;
BgL_arg3069z00_14678 = 
CDR(
((obj_t)BgL_valz00_14675)); 
{ /* Eval/evaluate_comp.scm 585 */
obj_t BgL_arg3071z00_14680;
BgL_arg3071z00_14680 = 
CAR(
((obj_t)BgL_valz00_14675)); 
BgL_arg3070z00_14679 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12393, BgL_arg3071z00_14680); } 
BgL_arg3068z00_14677 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_arg3069z00_14678), BgL_arg3070z00_14679); } 
BgL_fz00_14656 = BgL_arg3068z00_14677; 
{ /* Eval/evaluate_comp.scm 574 */
obj_t BgL_objz00_14657;
BgL_objz00_14657 = BGl_za2za2azd2labelza2za2zd2zz__evaluate_compz00; 
{ /* Eval/evaluate_comp.scm 574 */
obj_t BgL_tmpz00_28326;
BgL_tmpz00_28326 = 
((obj_t)BgL_fz00_14656); 
PROCEDURE_ATTR_SET(BgL_tmpz00_28326, BgL_objz00_14657); } BgL_objz00_14657; } 
BgL_arg3067z00_14676 = BgL_fz00_14656; } 
{ /* Eval/evaluate_comp.scm 584 */
obj_t BgL_tmpz00_28329;
BgL_tmpz00_28329 = 
((obj_t)BgL_slotz00_14674); 
SET_CDR(BgL_tmpz00_28329, BgL_arg3067z00_14676); } } } 
{ /* Eval/evaluate_comp.scm 582 */
obj_t BgL_arg3072z00_14681;obj_t BgL_arg3073z00_14682;
BgL_arg3072z00_14681 = 
CDR(
((obj_t)BgL_ll1334z00_14672)); 
BgL_arg3073z00_14682 = 
CDR(
((obj_t)BgL_ll1335z00_14673)); 
{ 
obj_t BgL_ll1335z00_28337;obj_t BgL_ll1334z00_28336;
BgL_ll1334z00_28336 = BgL_arg3072z00_14681; 
BgL_ll1335z00_28337 = BgL_arg3073z00_14682; 
BgL_ll1335z00_14673 = BgL_ll1335z00_28337; 
BgL_ll1334z00_14672 = BgL_ll1334z00_28336; 
goto BgL_zc3z04anonymousza33065ze3z87_14671;} } } } } } 
{ /* Eval/evaluate_comp.scm 589 */
obj_t BgL_bodyz00_14683;
BgL_bodyz00_14683 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_labelsz00_bglt)COBJECT(
((BgL_ev_labelsz00_bglt)BgL_ez00_12392)))->BgL_bodyz00), BgL_stkz00_12393); 
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_zc3z04anonymousza33079ze3z87_14684;
BgL_zc3z04anonymousza33079ze3z87_14684 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33079ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33079ze3z87_14684, 
(int)(((long)0)), BgL_bodyz00_14683); 
return BgL_zc3z04anonymousza33079ze3z87_14684;} } } } 

}



/* &<@anonymous:3079> */
obj_t BGl_z62zc3z04anonymousza33079ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12394, obj_t BgL_sz00_12396)
{
{ /* Eval/evaluate_comp.scm 590 */
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_bodyz00_12395;
BgL_bodyz00_12395 = 
PROCEDURE_REF(BgL_envz00_12394, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 590 */
obj_t BgL_bpz00_14685;
BgL_bpz00_14685 = 
VECTOR_REF(
((obj_t)BgL_sz00_12396),((long)0)); 
return 
BGl_catchzd2gotozd2trampolinez00zz__evaluate_compz00(BgL_bodyz00_12395, BgL_sz00_12396);} } } 

}



/* &comp-ev_synchronize1424 */
obj_t BGl_z62compzd2ev_synchroniza7e1424z17zz__evaluate_compz00(obj_t BgL_envz00_12397, obj_t BgL_ez00_12398, obj_t BgL_stkz00_12399)
{
{ /* Eval/evaluate_comp.scm 552 */
{ /* Eval/evaluate_comp.scm 554 */
obj_t BgL_mutexz00_14687;obj_t BgL_prelockz00_14688;obj_t BgL_bodyz00_14689;
BgL_mutexz00_14687 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12398)))->BgL_mutexz00), BgL_stkz00_12399); 
BgL_prelockz00_14688 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12398)))->BgL_prelockz00), BgL_stkz00_12399); 
BgL_bodyz00_14689 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12398)))->BgL_bodyz00), BgL_stkz00_12399); 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_zc3z04anonymousza33058ze3z87_14690;
BgL_zc3z04anonymousza33058ze3z87_14690 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33058ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33058ze3z87_14690, 
(int)(((long)0)), BgL_mutexz00_14687); 
PROCEDURE_SET(BgL_zc3z04anonymousza33058ze3z87_14690, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_synchroniza7eza7_bglt)BgL_ez00_12398))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33058ze3z87_14690, 
(int)(((long)2)), BgL_prelockz00_14688); 
PROCEDURE_SET(BgL_zc3z04anonymousza33058ze3z87_14690, 
(int)(((long)3)), BgL_bodyz00_14689); 
return BgL_zc3z04anonymousza33058ze3z87_14690;} } } 

}



/* &<@anonymous:3058> */
obj_t BGl_z62zc3z04anonymousza33058ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12400, obj_t BgL_sz00_12405)
{
{ /* Eval/evaluate_comp.scm 557 */
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_mutexz00_12401;BgL_ev_synchroniza7eza7_bglt BgL_i1139z00_12402;obj_t BgL_prelockz00_12403;obj_t BgL_bodyz00_12404;
BgL_mutexz00_12401 = 
PROCEDURE_REF(BgL_envz00_12400, 
(int)(((long)0))); 
BgL_i1139z00_12402 = 
((BgL_ev_synchroniza7eza7_bglt)
PROCEDURE_REF(BgL_envz00_12400, 
(int)(((long)1)))); 
BgL_prelockz00_12403 = 
PROCEDURE_REF(BgL_envz00_12400, 
(int)(((long)2))); 
BgL_bodyz00_12404 = 
PROCEDURE_REF(BgL_envz00_12400, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 557 */
obj_t BgL_bpz00_14691;
BgL_bpz00_14691 = 
VECTOR_REF(
((obj_t)BgL_sz00_12405),((long)0)); 
{ /* Eval/evaluate_comp.scm 558 */
obj_t BgL_mz00_14692;
BgL_mz00_14692 = 
PROCEDURE_ENTRY(BgL_mutexz00_12401)(BgL_mutexz00_12401, BgL_sz00_12405, BEOA); 
{ /* Eval/evaluate_comp.scm 559 */
bool_t BgL_test5952z00_28388;
{ /* Eval/evaluate_comp.scm 559 */
bool_t BgL_res4718z00_14693;
BgL_res4718z00_14693 = 
BGL_MUTEXP(BgL_mz00_14692); 
BgL_test5952z00_28388 = BgL_res4718z00_14693; } 
if(BgL_test5952z00_28388)
{ /* Eval/evaluate_comp.scm 560 */
obj_t BgL_pz00_14694;
BgL_pz00_14694 = 
PROCEDURE_ENTRY(BgL_prelockz00_12403)(BgL_prelockz00_12403, BgL_sz00_12405, BEOA); 
{ /* Eval/evaluate_comp.scm 562 */
obj_t BgL_za2za2resza2za2z00_14695;
if(
PAIRP(BgL_pz00_14694))
{ /* Eval/evaluate_comp.scm 563 */
obj_t BgL_top5955z00_28397;
BgL_top5955z00_28397 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK_PRELOCK(BgL_mz00_14692, BgL_pz00_14694); 
BGL_EXITD_PUSH_PROTECT(BgL_top5955z00_28397, BgL_mz00_14692); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 563 */
obj_t BgL_tmp5954z00_28396;
BgL_tmp5954z00_28396 = 
PROCEDURE_ENTRY(BgL_bodyz00_12404)(BgL_bodyz00_12404, BgL_sz00_12405, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5955z00_28397); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14692); 
BgL_za2za2resza2za2z00_14695 = BgL_tmp5954z00_28396; } }  else 
{ /* Eval/evaluate_comp.scm 564 */
obj_t BgL_top5957z00_28408;
BgL_top5957z00_28408 = 
BGL_EXITD_TOP_AS_OBJ(); 
BGL_MUTEX_LOCK(BgL_mz00_14692); 
BGL_EXITD_PUSH_PROTECT(BgL_top5957z00_28408, BgL_mz00_14692); BUNSPEC; 
{ /* Eval/evaluate_comp.scm 564 */
obj_t BgL_tmp5956z00_28407;
BgL_tmp5956z00_28407 = 
PROCEDURE_ENTRY(BgL_bodyz00_12404)(BgL_bodyz00_12404, BgL_sz00_12405, BEOA); 
BGL_EXITD_POP_PROTECT(BgL_top5957z00_28408); BUNSPEC; 
BGL_MUTEX_UNLOCK(BgL_mz00_14692); 
BgL_za2za2resza2za2z00_14695 = BgL_tmp5956z00_28407; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12405),((long)0),BgL_bpz00_14691); 
return BgL_za2za2resza2za2z00_14695;} }  else 
{ /* Eval/evaluate_comp.scm 559 */
return 
BGl_loczd2typezd2errorz00zz__evaluate_compz00(BGl_string5321z00zz__evaluate_compz00, BGl_string5322z00zz__evaluate_compz00, BgL_mz00_14692, 
(((BgL_ev_synchroniza7eza7_bglt)COBJECT(BgL_i1139z00_12402))->BgL_locz00));} } } } } } 

}



/* &comp-ev_with-handler1422 */
obj_t BGl_z62compzd2ev_withzd2handler1422z62zz__evaluate_compz00(obj_t BgL_envz00_12406, obj_t BgL_ez00_12407, obj_t BgL_stkz00_12408)
{
{ /* Eval/evaluate_comp.scm 543 */
{ /* Eval/evaluate_comp.scm 545 */
obj_t BgL_handlerz00_14697;obj_t BgL_bodyz00_14698;
BgL_handlerz00_14697 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12407)))->BgL_handlerz00), BgL_stkz00_12408); 
BgL_bodyz00_14698 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_withzd2handlerzd2_bglt)COBJECT(
((BgL_ev_withzd2handlerzd2_bglt)BgL_ez00_12407)))->BgL_bodyz00), BgL_stkz00_12408); 
{ /* Eval/evaluate_comp.scm 546 */
obj_t BgL_zc3z04anonymousza33044ze3z87_14699;
BgL_zc3z04anonymousza33044ze3z87_14699 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33044ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33044ze3z87_14699, 
(int)(((long)0)), BgL_handlerz00_14697); 
PROCEDURE_SET(BgL_zc3z04anonymousza33044ze3z87_14699, 
(int)(((long)1)), BgL_bodyz00_14698); 
return BgL_zc3z04anonymousza33044ze3z87_14699;} } } 

}



/* &<@anonymous:3044> */
obj_t BGl_z62zc3z04anonymousza33044ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12409, obj_t BgL_sz00_12412)
{
{ /* Eval/evaluate_comp.scm 546 */
{ /* Eval/evaluate_comp.scm 546 */
obj_t BgL_handlerz00_12410;obj_t BgL_bodyz00_12411;
BgL_handlerz00_12410 = 
PROCEDURE_REF(BgL_envz00_12409, 
(int)(((long)0))); 
BgL_bodyz00_12411 = 
PROCEDURE_REF(BgL_envz00_12409, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 546 */
obj_t BgL_bpz00_14700;
BgL_bpz00_14700 = 
VECTOR_REF(
((obj_t)BgL_sz00_12412),((long)0)); 
{ /* Eval/evaluate_comp.scm 547 */
obj_t BgL_hz00_14701;
BgL_hz00_14701 = 
PROCEDURE_ENTRY(BgL_handlerz00_12410)(BgL_handlerz00_12410, BgL_sz00_12412, BEOA); 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_za2za2resza2za2z00_14702;
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_res1129z00_14703;
BgL_res1129z00_14703 = 
MAKE_CELL(BUNSPEC); 
if(
CBOOL(
BGl_zc3z04exitza33051ze3ze70z60zz__evaluate_compz00(BgL_sz00_12412, BgL_bodyz00_12411, BgL_res1129z00_14703)))
{ /* Eval/evaluate_comp.scm 549 */
BgL_za2za2resza2za2z00_14702 = 
PROCEDURE_ENTRY(BgL_hz00_14701)(BgL_hz00_14701, 
CELL_REF(BgL_res1129z00_14703), BEOA); }  else 
{ /* Eval/evaluate_comp.scm 549 */
BgL_za2za2resza2za2z00_14702 = 
CELL_REF(BgL_res1129z00_14703); } } 
VECTOR_SET(
((obj_t)BgL_sz00_12412),((long)0),BgL_bpz00_14700); 
return BgL_za2za2resza2za2z00_14702;} } } } } 

}



/* <@exit:3051>~0 */
obj_t BGl_zc3z04exitza33051ze3ze70z60zz__evaluate_compz00(obj_t BgL_sz00_12600, obj_t BgL_bodyz00_12599, obj_t BgL_res1129z00_12598)
{
{ /* Eval/evaluate_comp.scm 549 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1135z00_4216;
if( SET_EXIT(BgL_an_exit1135z00_4216) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1135z00_4216 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 549 */

PUSH_EXIT(BgL_an_exit1135z00_4216, ((long)1)); 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_an_exitd1136z00_4217;
BgL_an_exitd1136z00_4217 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 549 */
bool_t BgL_res1138z00_4220;
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_ohs1127z00_4221;
BgL_ohs1127z00_4221 = 
BGL_ERROR_HANDLER_GET(); 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_exitd1132z00_4222;
BgL_exitd1132z00_4222 = 
((obj_t)(&exitd)); 
{ 
obj_t BgL_zc3z04anonymousza33055ze3z87_11380;
BgL_zc3z04anonymousza33055ze3z87_11380 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33055ze3ze5zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33055ze3z87_11380, 
(int)(((long)0)), BgL_ohs1127z00_4221); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1132z00_4222, BgL_zc3z04anonymousza33055ze3z87_11380); 
{ /* Eval/evaluate_comp.scm 549 */
bool_t BgL_tmp1134z00_4224;
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_arg3052z00_4225;
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_zc3z04anonymousza33054ze3z87_11379;
BgL_zc3z04anonymousza33054ze3z87_11379 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33054ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33054ze3z87_11379, 
(int)(((long)0)), 
((obj_t)BgL_res1129z00_12598)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33054ze3z87_11379, 
(int)(((long)1)), BgL_an_exitd1136z00_4217); 
BgL_arg3052z00_4225 = 
MAKE_YOUNG_PAIR(BgL_zc3z04anonymousza33054ze3z87_11379, BgL_ohs1127z00_4221); } 
BGL_ERROR_HANDLER_SET(BgL_arg3052z00_4225); BUNSPEC; } 
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_auxz00_12414;
BgL_auxz00_12414 = 
PROCEDURE_ENTRY(BgL_bodyz00_12599)(BgL_bodyz00_12599, BgL_sz00_12600, BEOA); 
CELL_SET(BgL_res1129z00_12598, BgL_auxz00_12414); } 
BgL_tmp1134z00_4224 = ((bool_t)0); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1132z00_4222); 
BGl_z62zc3z04anonymousza33055ze3ze5zz__evaluate_compz00(BgL_zc3z04anonymousza33055ze3z87_11380); 
BgL_res1138z00_4220 = BgL_tmp1134z00_4224; } } } } 
POP_EXIT(); 
return 
BBOOL(BgL_res1138z00_4220);} } } 
} } 

}



/* &<@anonymous:3054> */
obj_t BGl_z62zc3z04anonymousza33054ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12416, obj_t BgL_ez00_12419)
{
{ /* Eval/evaluate_comp.scm 549 */
{ /* Eval/evaluate_comp.scm 549 */
obj_t BgL_res1129z00_12417;obj_t BgL_an_exitd1136z00_12418;
BgL_res1129z00_12417 = 
PROCEDURE_REF(BgL_envz00_12416, 
(int)(((long)0))); 
BgL_an_exitd1136z00_12418 = 
PROCEDURE_REF(BgL_envz00_12416, 
(int)(((long)1))); 
CELL_SET(BgL_res1129z00_12417, BgL_ez00_12419); 
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(BgL_an_exitd1136z00_12418, BTRUE);} } 

}



/* &<@anonymous:3055> */
obj_t BGl_z62zc3z04anonymousza33055ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12421)
{
{ /* Eval/evaluate_comp.scm 549 */
{ 
obj_t BgL_ohs1127z00_12422;
BgL_ohs1127z00_12422 = 
PROCEDURE_REF(BgL_envz00_12421, 
(int)(((long)0))); 
BGL_ERROR_HANDLER_SET(BgL_ohs1127z00_12422); 
return BUNSPEC;} } 

}



/* &comp-ev_unwind-prote1420 */
obj_t BGl_z62compzd2ev_unwindzd2prote1420z62zz__evaluate_compz00(obj_t BgL_envz00_12423, obj_t BgL_ez00_12424, obj_t BgL_stkz00_12425)
{
{ /* Eval/evaluate_comp.scm 534 */
{ /* Eval/evaluate_comp.scm 536 */
obj_t BgL_ez00_14705;obj_t BgL_bodyz00_14706;
BgL_ez00_14705 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12424)))->BgL_ez00), BgL_stkz00_12425); 
BgL_bodyz00_14706 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_unwindzd2protectzd2_bglt)COBJECT(
((BgL_ev_unwindzd2protectzd2_bglt)BgL_ez00_12424)))->BgL_bodyz00), BgL_stkz00_12425); 
{ /* Eval/evaluate_comp.scm 537 */
obj_t BgL_zc3z04anonymousza33040ze3z87_14707;
BgL_zc3z04anonymousza33040ze3z87_14707 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33040ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33040ze3z87_14707, 
(int)(((long)0)), BgL_bodyz00_14706); 
PROCEDURE_SET(BgL_zc3z04anonymousza33040ze3z87_14707, 
(int)(((long)1)), BgL_ez00_14705); 
return BgL_zc3z04anonymousza33040ze3z87_14707;} } } 

}



/* &<@anonymous:3040> */
obj_t BGl_z62zc3z04anonymousza33040ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12426, obj_t BgL_sz00_12429)
{
{ /* Eval/evaluate_comp.scm 537 */
{ /* Eval/evaluate_comp.scm 537 */
obj_t BgL_bodyz00_12427;obj_t BgL_ez00_12428;
BgL_bodyz00_12427 = 
PROCEDURE_REF(BgL_envz00_12426, 
(int)(((long)0))); 
BgL_ez00_12428 = 
PROCEDURE_REF(BgL_envz00_12426, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 537 */
obj_t BgL_bpz00_14708;
BgL_bpz00_14708 = 
VECTOR_REF(
((obj_t)BgL_sz00_12429),((long)0)); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_exitd1123z00_14709;
BgL_exitd1123z00_14709 = 
BGL_EXITD_TOP_AS_OBJ(); 
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_zc3z04anonymousza33041ze3z87_14710;
BgL_zc3z04anonymousza33041ze3z87_14710 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00, 
(int)(((long)0)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33041ze3z87_14710, 
(int)(((long)0)), BgL_sz00_12429); 
PROCEDURE_SET(BgL_zc3z04anonymousza33041ze3z87_14710, 
(int)(((long)1)), BgL_bpz00_14708); 
PROCEDURE_SET(BgL_zc3z04anonymousza33041ze3z87_14710, 
(int)(((long)2)), BgL_bodyz00_12427); 
BGl_exitdzd2pushzd2protectz12z12zz__bexitz00(BgL_exitd1123z00_14709, BgL_zc3z04anonymousza33041ze3z87_14710); 
{ /* Eval/evaluate_comp.scm 539 */
obj_t BgL_tmp1125z00_14711;
BgL_tmp1125z00_14711 = 
PROCEDURE_ENTRY(BgL_ez00_12428)(BgL_ez00_12428, BgL_sz00_12429, BEOA); 
BGl_exitdzd2popzd2protectz12z12zz__bexitz00(BgL_exitd1123z00_14709); 
BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00(BgL_zc3z04anonymousza33041ze3z87_14710); 
return BgL_tmp1125z00_14711;} } } } } } 

}



/* &<@anonymous:3041> */
obj_t BGl_z62zc3z04anonymousza33041ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12430)
{
{ /* Eval/evaluate_comp.scm 539 */
{ /* Eval/evaluate_comp.scm 540 */
obj_t BgL_sz00_12431;obj_t BgL_savedzd2bpzd2_12432;obj_t BgL_bodyz00_12433;
BgL_sz00_12431 = 
PROCEDURE_REF(BgL_envz00_12430, 
(int)(((long)0))); 
BgL_savedzd2bpzd2_12432 = 
PROCEDURE_REF(BgL_envz00_12430, 
(int)(((long)1))); 
BgL_bodyz00_12433 = 
PROCEDURE_REF(BgL_envz00_12430, 
(int)(((long)2))); 
VECTOR_SET(
((obj_t)BgL_sz00_12431),((long)0),BgL_savedzd2bpzd2_12432); 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12433)(BgL_bodyz00_12433, BgL_sz00_12431, BEOA);} } 

}



/* &comp-ev_bind-exit1418 */
obj_t BGl_z62compzd2ev_bindzd2exit1418z62zz__evaluate_compz00(obj_t BgL_envz00_12434, obj_t BgL_ez00_12435, obj_t BgL_stkz00_12436)
{
{ /* Eval/evaluate_comp.scm 523 */
{ /* Eval/evaluate_comp.scm 525 */
long BgL_siza7eza7_14713;obj_t BgL_nstkz00_14714;
BgL_siza7eza7_14713 = 
bgl_list_length(BgL_stkz00_12436); 
{ /* Eval/evaluate_comp.scm 525 */
obj_t BgL_arg3038z00_14715;
{ /* Eval/evaluate_comp.scm 525 */
BgL_ev_varz00_bglt BgL_arg3039z00_14716;
BgL_arg3039z00_14716 = 
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12435)))->BgL_varz00); 
BgL_arg3038z00_14715 = 
MAKE_YOUNG_PAIR(
((obj_t)BgL_arg3039z00_14716), BNIL); } 
BgL_nstkz00_14714 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12436, BgL_arg3038z00_14715); } 
{ /* Eval/evaluate_comp.scm 526 */
obj_t BgL_bodyz00_14717;obj_t BgL_effzf3zf3_14718;
BgL_bodyz00_14717 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12435)))->BgL_bodyz00), BgL_nstkz00_14714); 
BgL_effzf3zf3_14718 = 
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_bindzd2exitzd2_bglt)COBJECT(
((BgL_ev_bindzd2exitzd2_bglt)BgL_ez00_12435)))->BgL_varz00)))->BgL_effz00); 
{ /* Eval/evaluate_comp.scm 527 */
obj_t BgL_zc3z04anonymousza33033ze3z87_14719;
BgL_zc3z04anonymousza33033ze3z87_14719 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33033ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33033ze3z87_14719, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14713)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33033ze3z87_14719, 
(int)(((long)1)), BgL_effzf3zf3_14718); 
PROCEDURE_SET(BgL_zc3z04anonymousza33033ze3z87_14719, 
(int)(((long)2)), BgL_bodyz00_14717); 
return BgL_zc3z04anonymousza33033ze3z87_14719;} } } } 

}



/* &<@anonymous:3033> */
obj_t BGl_z62zc3z04anonymousza33033ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12437, obj_t BgL_sz00_12441)
{
{ /* Eval/evaluate_comp.scm 527 */
{ /* Eval/evaluate_comp.scm 527 */
long BgL_siza7eza7_12438;obj_t BgL_effzf3zf3_12439;obj_t BgL_bodyz00_12440;
BgL_siza7eza7_12438 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12437, 
(int)(((long)0)))); 
BgL_effzf3zf3_12439 = 
PROCEDURE_REF(BgL_envz00_12437, 
(int)(((long)1))); 
BgL_bodyz00_12440 = 
PROCEDURE_REF(BgL_envz00_12437, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 527 */
obj_t BgL_bpz00_14720;
BgL_bpz00_14720 = 
VECTOR_REF(
((obj_t)BgL_sz00_12441),((long)0)); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_za2za2resza2za2z00_14721;
BgL_za2za2resza2za2z00_14721 = 
BGl_zc3z04exitza33034ze3ze70z60zz__evaluate_compz00(BgL_bodyz00_12440, BgL_sz00_12441, BgL_effzf3zf3_12439, BgL_siza7eza7_12438, BgL_bpz00_14720); 
VECTOR_SET(
((obj_t)BgL_sz00_12441),((long)0),BgL_bpz00_14720); 
return BgL_za2za2resza2za2z00_14721;} } } } 

}



/* <@exit:3034>~0 */
obj_t BGl_zc3z04exitza33034ze3ze70z60zz__evaluate_compz00(obj_t BgL_bodyz00_12597, obj_t BgL_sz00_12596, obj_t BgL_effzf3zf3_12595, long BgL_siza7eza7_12594, obj_t BgL_bpz00_12593)
{
{ /* Eval/evaluate_comp.scm 529 */
jmp_buf_t jmpbuf; 
void * BgL_an_exit1118z00_4151;
if( SET_EXIT(BgL_an_exit1118z00_4151) ) { 
return 
BGL_EXIT_VALUE();
} else {
#if( SIGSETJMP_SAVESIGS == 0 )
  bgl_restore_signal_handlers();
#endif

BgL_an_exit1118z00_4151 = 
(void *)jmpbuf; 
{ /* Eval/evaluate_comp.scm 529 */

PUSH_EXIT(BgL_an_exit1118z00_4151, ((long)1)); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_an_exitd1119z00_4152;
BgL_an_exitd1119z00_4152 = 
((obj_t)(&exitd)); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_exitz00_11386;
BgL_exitz00_11386 = 
MAKE_FX_PROCEDURE(BGl_z62exitz62zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_exitz00_11386, 
(int)(((long)0)), BgL_an_exitd1119z00_4152); 
{ /* Eval/evaluate_comp.scm 529 */
obj_t BgL_res1121z00_4155;
{ /* Eval/evaluate_comp.scm 530 */
long BgL_arg3035z00_4156;obj_t BgL_arg3036z00_4157;
BgL_arg3035z00_4156 = 
(
(long)CINT(BgL_bpz00_12593)+BgL_siza7eza7_12594); 
if(
CBOOL(BgL_effzf3zf3_12595))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_8882;
BgL_newz00_8882 = 
create_struct(BGl_symbol5212z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28586;
BgL_tmpz00_28586 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_8882, BgL_tmpz00_28586, BgL_exitz00_11386); } 
BgL_arg3036z00_4157 = BgL_newz00_8882; }  else 
{ /* Eval/evaluate_comp.scm 530 */
BgL_arg3036z00_4157 = BgL_exitz00_11386; } 
VECTOR_SET(
((obj_t)BgL_sz00_12596),BgL_arg3035z00_4156,BgL_arg3036z00_4157); } 
BgL_res1121z00_4155 = 
PROCEDURE_ENTRY(BgL_bodyz00_12597)(BgL_bodyz00_12597, BgL_sz00_12596, BEOA); 
POP_EXIT(); 
return BgL_res1121z00_4155;} } } } 
} } 

}



/* &exit */
obj_t BGl_z62exitz62zz__evaluate_compz00(obj_t BgL_envz00_12442, obj_t BgL_val1120z00_12444)
{
{ /* Eval/evaluate_comp.scm 529 */
return 
BGl_unwindzd2untilz12zc0zz__bexitz00(
PROCEDURE_REF(BgL_envz00_12442, 
(int)(((long)0))), BgL_val1120z00_12444);} 

}



/* &comp-ev_letrec1416 */
obj_t BGl_z62compzd2ev_letrec1416zb0zz__evaluate_compz00(obj_t BgL_envz00_12445, obj_t BgL_ez00_12446, obj_t BgL_stkz00_12447)
{
{ /* Eval/evaluate_comp.scm 494 */
{ /* Eval/evaluate_comp.scm 496 */
long BgL_siza7eza7_14723;obj_t BgL_nstkz00_14724;
BgL_siza7eza7_14723 = 
bgl_list_length(BgL_stkz00_12447); 
{ /* Eval/evaluate_comp.scm 496 */
obj_t BgL_arg3032z00_14725;
BgL_arg3032z00_14725 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12446))))->BgL_varsz00); 
BgL_nstkz00_14724 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12447, BgL_arg3032z00_14725); } 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_cvalsz00_14726;obj_t BgL_bodyz00_14727;
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_l1315z00_14728;
BgL_l1315z00_14728 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12446))))->BgL_valsz00); 
if(
NULLP(BgL_l1315z00_14728))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_14726 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_head1317z00_14729;
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_res4697z00_14730;
BgL_res4697z00_14730 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1317z00_14729 = BgL_res4697z00_14730; } 
{ 
obj_t BgL_l1315z00_14732;obj_t BgL_tail1318z00_14733;
BgL_l1315z00_14732 = BgL_l1315z00_14728; 
BgL_tail1318z00_14733 = BgL_head1317z00_14729; 
BgL_zc3z04anonymousza33027ze3z87_14731:
if(
NULLP(BgL_l1315z00_14732))
{ /* Eval/evaluate_comp.scm 497 */
BgL_cvalsz00_14726 = 
CDR(BgL_head1317z00_14729); }  else 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_newtail1319z00_14734;
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg3030z00_14735;
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_vz00_14736;
BgL_vz00_14736 = 
CAR(
((obj_t)BgL_l1315z00_14732)); 
BgL_arg3030z00_14735 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14736), BgL_nstkz00_14724); } 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_res4699z00_14737;
BgL_res4699z00_14737 = 
MAKE_YOUNG_PAIR(BgL_arg3030z00_14735, BNIL); 
BgL_newtail1319z00_14734 = BgL_res4699z00_14737; } } 
SET_CDR(BgL_tail1318z00_14733, BgL_newtail1319z00_14734); 
{ /* Eval/evaluate_comp.scm 497 */
obj_t BgL_arg3029z00_14738;
BgL_arg3029z00_14738 = 
CDR(
((obj_t)BgL_l1315z00_14732)); 
{ 
obj_t BgL_tail1318z00_28622;obj_t BgL_l1315z00_28621;
BgL_l1315z00_28621 = BgL_arg3029z00_14738; 
BgL_tail1318z00_28622 = BgL_newtail1319z00_14734; 
BgL_tail1318z00_14733 = BgL_tail1318z00_28622; 
BgL_l1315z00_14732 = BgL_l1315z00_28621; 
goto BgL_zc3z04anonymousza33027ze3z87_14731;} } } } } } 
{ /* Eval/evaluate_comp.scm 498 */
BgL_ev_exprz00_bglt BgL_arg3031z00_14739;
BgL_arg3031z00_14739 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12446))))->BgL_bodyz00); 
BgL_bodyz00_14727 = 
BGl_compz00zz__evaluate_compz00(BgL_arg3031z00_14739, BgL_nstkz00_14724); } 
{ /* Eval/evaluate_comp.scm 499 */
bool_t BgL_test5962z00_28627;
{ 
obj_t BgL_l1320z00_14741;
BgL_l1320z00_14741 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letrecz00_bglt)BgL_ez00_12446))))->BgL_valsz00); 
BgL_zc3z04anonymousza33024ze3z87_14740:
if(
NULLP(BgL_l1320z00_14741))
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5962z00_28627 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 499 */
bool_t BgL_test5964z00_28630;
{ /* Eval/evaluate_comp.scm 499 */
obj_t BgL_vz00_14742;
BgL_vz00_14742 = 
CAR(
((obj_t)BgL_l1320z00_14741)); 
BgL_test5964z00_28630 = 
BGl_isazf3zf3zz__objectz00(BgL_vz00_14742, BGl_ev_absz00zz__evaluate_typesz00); } 
if(BgL_test5964z00_28630)
{ 
obj_t BgL_l1320z00_28634;
BgL_l1320z00_28634 = 
CDR(
((obj_t)BgL_l1320z00_14741)); 
BgL_l1320z00_14741 = BgL_l1320z00_28634; 
goto BgL_zc3z04anonymousza33024ze3z87_14740;}  else 
{ /* Eval/evaluate_comp.scm 499 */
BgL_test5962z00_28627 = ((bool_t)0)
; } } } 
if(BgL_test5962z00_28627)
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_zc3z04anonymousza32994ze3z87_14743;
BgL_zc3z04anonymousza32994ze3z87_14743 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32994ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32994ze3z87_14743, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14723)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32994ze3z87_14743, 
(int)(((long)1)), BgL_cvalsz00_14726); 
PROCEDURE_SET(BgL_zc3z04anonymousza32994ze3z87_14743, 
(int)(((long)2)), BgL_bodyz00_14727); 
return BgL_zc3z04anonymousza32994ze3z87_14743;}  else 
{ /* Eval/evaluate_comp.scm 510 */
obj_t BgL_zc3z04anonymousza33007ze3z87_14744;
BgL_zc3z04anonymousza33007ze3z87_14744 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza33007ze3z87_14744, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14723)); 
PROCEDURE_SET(BgL_zc3z04anonymousza33007ze3z87_14744, 
(int)(((long)1)), BgL_cvalsz00_14726); 
PROCEDURE_SET(BgL_zc3z04anonymousza33007ze3z87_14744, 
(int)(((long)2)), BgL_bodyz00_14727); 
return BgL_zc3z04anonymousza33007ze3z87_14744;} } } } } 

}



/* &<@anonymous:2994> */
obj_t BGl_z62zc3z04anonymousza32994ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12448, obj_t BgL_sz00_12452)
{
{ /* Eval/evaluate_comp.scm 500 */
{ /* Eval/evaluate_comp.scm 500 */
long BgL_siza7eza7_12449;obj_t BgL_cvalsz00_12450;obj_t BgL_bodyz00_12451;
BgL_siza7eza7_12449 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)0)))); 
BgL_cvalsz00_12450 = 
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)1))); 
BgL_bodyz00_12451 = 
PROCEDURE_REF(BgL_envz00_12448, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 500 */
obj_t BgL_bpz00_14745;
BgL_bpz00_14745 = 
VECTOR_REF(
((obj_t)BgL_sz00_12452),((long)0)); 
{ /* Eval/evaluate_comp.scm 501 */
long BgL_g1112z00_14746;
BgL_g1112z00_14746 = 
(
(long)CINT(BgL_bpz00_14745)+BgL_siza7eza7_12449); 
{ 
obj_t BgL_lz00_14748;long BgL_iz00_14749;
BgL_lz00_14748 = BgL_cvalsz00_12450; 
BgL_iz00_14749 = BgL_g1112z00_14746; 
BgL_recz00_14747:
if(
NULLP(BgL_lz00_14748))
{ /* Eval/evaluate_comp.scm 502 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 502 */
{ /* Eval/evaluate_comp.scm 503 */
obj_t BgL_arg2997z00_14750;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14751;
BgL_newz00_14751 = 
create_struct(BGl_symbol5212z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28675;
BgL_tmpz00_28675 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14751, BgL_tmpz00_28675, BUNSPEC); } 
BgL_arg2997z00_14750 = BgL_newz00_14751; } 
VECTOR_SET(
((obj_t)BgL_sz00_12452),BgL_iz00_14749,BgL_arg2997z00_14750); } 
{ /* Eval/evaluate_comp.scm 504 */
obj_t BgL_arg2998z00_14752;long BgL_arg2999z00_14753;
BgL_arg2998z00_14752 = 
CDR(
((obj_t)BgL_lz00_14748)); 
BgL_arg2999z00_14753 = 
(BgL_iz00_14749+((long)1)); 
{ 
long BgL_iz00_28684;obj_t BgL_lz00_28683;
BgL_lz00_28683 = BgL_arg2998z00_14752; 
BgL_iz00_28684 = BgL_arg2999z00_14753; 
BgL_iz00_14749 = BgL_iz00_28684; 
BgL_lz00_14748 = BgL_lz00_28683; 
goto BgL_recz00_14747;} } } } } 
{ /* Eval/evaluate_comp.scm 505 */
long BgL_g1113z00_14754;
BgL_g1113z00_14754 = 
(
(long)CINT(BgL_bpz00_14745)+BgL_siza7eza7_12449); 
{ 
obj_t BgL_lz00_14756;long BgL_iz00_14757;
BgL_lz00_14756 = BgL_cvalsz00_12450; 
BgL_iz00_14757 = BgL_g1113z00_14754; 
BgL_recz00_14755:
if(
NULLP(BgL_lz00_14756))
{ /* Eval/evaluate_comp.scm 506 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 506 */
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_arg3002z00_14758;obj_t BgL_arg3003z00_14759;
BgL_arg3002z00_14758 = 
VECTOR_REF(
((obj_t)BgL_sz00_12452),BgL_iz00_14757); 
{ /* Eval/evaluate_comp.scm 507 */
obj_t BgL_fun3004z00_14760;
BgL_fun3004z00_14760 = 
CAR(
((obj_t)BgL_lz00_14756)); 
BgL_arg3003z00_14759 = 
PROCEDURE_ENTRY(BgL_fun3004z00_14760)(BgL_fun3004z00_14760, BgL_sz00_12452, BEOA); } 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28699;obj_t BgL_tmpz00_28697;
BgL_auxz00_28699 = 
(int)(((long)0)); 
BgL_tmpz00_28697 = 
((obj_t)BgL_arg3002z00_14758); 
STRUCT_SET(BgL_tmpz00_28697, BgL_auxz00_28699, BgL_arg3003z00_14759); } } 
{ /* Eval/evaluate_comp.scm 508 */
obj_t BgL_arg3005z00_14761;long BgL_arg3006z00_14762;
BgL_arg3005z00_14761 = 
CDR(
((obj_t)BgL_lz00_14756)); 
BgL_arg3006z00_14762 = 
(BgL_iz00_14757+((long)1)); 
{ 
long BgL_iz00_28706;obj_t BgL_lz00_28705;
BgL_lz00_28705 = BgL_arg3005z00_14761; 
BgL_iz00_28706 = BgL_arg3006z00_14762; 
BgL_iz00_14757 = BgL_iz00_28706; 
BgL_lz00_14756 = BgL_lz00_28705; 
goto BgL_recz00_14755;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12451)(BgL_bodyz00_12451, BgL_sz00_12452, BEOA);} } } 

}



/* &<@anonymous:3007> */
obj_t BGl_z62zc3z04anonymousza33007ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12453, obj_t BgL_sz00_12457)
{
{ /* Eval/evaluate_comp.scm 510 */
{ /* Eval/evaluate_comp.scm 510 */
long BgL_siza7eza7_12454;obj_t BgL_cvalsz00_12455;obj_t BgL_bodyz00_12456;
BgL_siza7eza7_12454 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12453, 
(int)(((long)0)))); 
BgL_cvalsz00_12455 = 
PROCEDURE_REF(BgL_envz00_12453, 
(int)(((long)1))); 
BgL_bodyz00_12456 = 
PROCEDURE_REF(BgL_envz00_12453, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 510 */
obj_t BgL_bpz00_14763;
BgL_bpz00_14763 = 
VECTOR_REF(
((obj_t)BgL_sz00_12457),((long)0)); 
{ /* Eval/evaluate_comp.scm 511 */
long BgL_g1114z00_14764;
BgL_g1114z00_14764 = 
(
(long)CINT(BgL_bpz00_14763)+BgL_siza7eza7_12454); 
{ 
obj_t BgL_lz00_14766;long BgL_iz00_14767;
BgL_lz00_14766 = BgL_cvalsz00_12455; 
BgL_iz00_14767 = BgL_g1114z00_14764; 
BgL_recz00_14765:
if(
NULLP(BgL_lz00_14766))
{ /* Eval/evaluate_comp.scm 512 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 512 */
{ /* Eval/evaluate_comp.scm 513 */
obj_t BgL_arg3010z00_14768;
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14769;
BgL_newz00_14769 = 
create_struct(BGl_symbol5212z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28726;
BgL_tmpz00_28726 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14769, BgL_tmpz00_28726, BUNSPEC); } 
BgL_arg3010z00_14768 = BgL_newz00_14769; } 
VECTOR_SET(
((obj_t)BgL_sz00_12457),BgL_iz00_14767,BgL_arg3010z00_14768); } 
{ /* Eval/evaluate_comp.scm 514 */
obj_t BgL_arg3011z00_14770;long BgL_arg3012z00_14771;
BgL_arg3011z00_14770 = 
CDR(
((obj_t)BgL_lz00_14766)); 
BgL_arg3012z00_14771 = 
(BgL_iz00_14767+((long)1)); 
{ 
long BgL_iz00_28735;obj_t BgL_lz00_28734;
BgL_lz00_28734 = BgL_arg3011z00_14770; 
BgL_iz00_28735 = BgL_arg3012z00_14771; 
BgL_iz00_14767 = BgL_iz00_28735; 
BgL_lz00_14766 = BgL_lz00_28734; 
goto BgL_recz00_14765;} } } } } 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_rvalsz00_14772;
if(
NULLP(BgL_cvalsz00_12455))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_14772 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_head1326z00_14773;
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_res4711z00_14774;
BgL_res4711z00_14774 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1326z00_14773 = BgL_res4711z00_14774; } 
{ 
obj_t BgL_l1324z00_14776;obj_t BgL_tail1327z00_14777;
BgL_l1324z00_14776 = BgL_cvalsz00_12455; 
BgL_tail1327z00_14777 = BgL_head1326z00_14773; 
BgL_zc3z04anonymousza33020ze3z87_14775:
if(
NULLP(BgL_l1324z00_14776))
{ /* Eval/evaluate_comp.scm 515 */
BgL_rvalsz00_14772 = 
CDR(BgL_head1326z00_14773); }  else 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_newtail1328z00_14778;
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_arg3023z00_14779;
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_vz00_14780;
BgL_vz00_14780 = 
CAR(
((obj_t)BgL_l1324z00_14776)); 
BgL_arg3023z00_14779 = 
PROCEDURE_ENTRY(BgL_vz00_14780)(BgL_vz00_14780, BgL_sz00_12457, BEOA); } 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_res4713z00_14781;
BgL_res4713z00_14781 = 
MAKE_YOUNG_PAIR(BgL_arg3023z00_14779, BNIL); 
BgL_newtail1328z00_14778 = BgL_res4713z00_14781; } } 
SET_CDR(BgL_tail1327z00_14777, BgL_newtail1328z00_14778); 
{ /* Eval/evaluate_comp.scm 515 */
obj_t BgL_arg3022z00_14782;
BgL_arg3022z00_14782 = 
CDR(
((obj_t)BgL_l1324z00_14776)); 
{ 
obj_t BgL_tail1327z00_28753;obj_t BgL_l1324z00_28752;
BgL_l1324z00_28752 = BgL_arg3022z00_14782; 
BgL_tail1327z00_28753 = BgL_newtail1328z00_14778; 
BgL_tail1327z00_14777 = BgL_tail1327z00_28753; 
BgL_l1324z00_14776 = BgL_l1324z00_28752; 
goto BgL_zc3z04anonymousza33020ze3z87_14775;} } } } } 
{ /* Eval/evaluate_comp.scm 516 */
long BgL_g1115z00_14783;
BgL_g1115z00_14783 = 
(
(long)CINT(BgL_bpz00_14763)+BgL_siza7eza7_12454); 
{ 
obj_t BgL_lz00_14785;long BgL_iz00_14786;
BgL_lz00_14785 = BgL_rvalsz00_14772; 
BgL_iz00_14786 = BgL_g1115z00_14783; 
BgL_recz00_14784:
if(
NULLP(BgL_lz00_14785))
{ /* Eval/evaluate_comp.scm 517 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 517 */
{ /* Eval/evaluate_comp.scm 518 */
obj_t BgL_arg3015z00_14787;obj_t BgL_arg3016z00_14788;
BgL_arg3015z00_14787 = 
VECTOR_REF(
((obj_t)BgL_sz00_12457),BgL_iz00_14786); 
BgL_arg3016z00_14788 = 
CAR(
((obj_t)BgL_lz00_14785)); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_28764;obj_t BgL_tmpz00_28762;
BgL_auxz00_28764 = 
(int)(((long)0)); 
BgL_tmpz00_28762 = 
((obj_t)BgL_arg3015z00_14787); 
STRUCT_SET(BgL_tmpz00_28762, BgL_auxz00_28764, BgL_arg3016z00_14788); } } 
{ /* Eval/evaluate_comp.scm 519 */
obj_t BgL_arg3017z00_14789;long BgL_arg3018z00_14790;
BgL_arg3017z00_14789 = 
CDR(
((obj_t)BgL_lz00_14785)); 
BgL_arg3018z00_14790 = 
(BgL_iz00_14786+((long)1)); 
{ 
long BgL_iz00_28771;obj_t BgL_lz00_28770;
BgL_lz00_28770 = BgL_arg3017z00_14789; 
BgL_iz00_28771 = BgL_arg3018z00_14790; 
BgL_iz00_14786 = BgL_iz00_28771; 
BgL_lz00_14785 = BgL_lz00_28770; 
goto BgL_recz00_14784;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12456)(BgL_bodyz00_12456, BgL_sz00_12457, BEOA);} } } } 

}



/* &comp-ev_let*1414 */
obj_t BGl_z62compzd2ev_letza21414z12zz__evaluate_compz00(obj_t BgL_envz00_12458, obj_t BgL_ez00_12459, obj_t BgL_stkz00_12460)
{
{ /* Eval/evaluate_comp.scm 481 */
{ /* Eval/evaluate_comp.scm 483 */
long BgL_siza7eza7_14792;obj_t BgL_nstkz00_14793;
BgL_siza7eza7_14792 = 
bgl_list_length(BgL_stkz00_12460); 
{ /* Eval/evaluate_comp.scm 483 */
obj_t BgL_arg2989z00_14794;
BgL_arg2989z00_14794 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12459))))->BgL_varsz00); 
BgL_nstkz00_14793 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12460, BgL_arg2989z00_14794); } 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_valsz00_14795;obj_t BgL_bodyz00_14796;
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_l1310z00_14797;
BgL_l1310z00_14797 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12459))))->BgL_valsz00); 
if(
NULLP(BgL_l1310z00_14797))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_14795 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_head1312z00_14798;
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_res4690z00_14799;
BgL_res4690z00_14799 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1312z00_14798 = BgL_res4690z00_14799; } 
{ 
obj_t BgL_l1310z00_14801;obj_t BgL_tail1313z00_14802;
BgL_l1310z00_14801 = BgL_l1310z00_14797; 
BgL_tail1313z00_14802 = BgL_head1312z00_14798; 
BgL_zc3z04anonymousza32984ze3z87_14800:
if(
NULLP(BgL_l1310z00_14801))
{ /* Eval/evaluate_comp.scm 484 */
BgL_valsz00_14795 = 
CDR(BgL_head1312z00_14798); }  else 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_newtail1314z00_14803;
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg2987z00_14804;
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_vz00_14805;
BgL_vz00_14805 = 
CAR(
((obj_t)BgL_l1310z00_14801)); 
BgL_arg2987z00_14804 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_vz00_14805), BgL_nstkz00_14793); } 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_res4692z00_14806;
BgL_res4692z00_14806 = 
MAKE_YOUNG_PAIR(BgL_arg2987z00_14804, BNIL); 
BgL_newtail1314z00_14803 = BgL_res4692z00_14806; } } 
SET_CDR(BgL_tail1313z00_14802, BgL_newtail1314z00_14803); 
{ /* Eval/evaluate_comp.scm 484 */
obj_t BgL_arg2986z00_14807;
BgL_arg2986z00_14807 = 
CDR(
((obj_t)BgL_l1310z00_14801)); 
{ 
obj_t BgL_tail1313z00_28799;obj_t BgL_l1310z00_28798;
BgL_l1310z00_28798 = BgL_arg2986z00_14807; 
BgL_tail1313z00_28799 = BgL_newtail1314z00_14803; 
BgL_tail1313z00_14802 = BgL_tail1313z00_28799; 
BgL_l1310z00_14801 = BgL_l1310z00_28798; 
goto BgL_zc3z04anonymousza32984ze3z87_14800;} } } } } } 
{ /* Eval/evaluate_comp.scm 485 */
BgL_ev_exprz00_bglt BgL_arg2988z00_14808;
BgL_arg2988z00_14808 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letza2za2_bglt)BgL_ez00_12459))))->BgL_bodyz00); 
BgL_bodyz00_14796 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2988z00_14808, BgL_nstkz00_14793); } 
{ /* Eval/evaluate_comp.scm 486 */
obj_t BgL_zc3z04anonymousza32973ze3z87_14809;
BgL_zc3z04anonymousza32973ze3z87_14809 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32973ze3z87_14809, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14792)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32973ze3z87_14809, 
(int)(((long)1)), 
((obj_t)
((BgL_ev_letza2za2_bglt)BgL_ez00_12459))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32973ze3z87_14809, 
(int)(((long)2)), BgL_valsz00_14795); 
PROCEDURE_SET(BgL_zc3z04anonymousza32973ze3z87_14809, 
(int)(((long)3)), BgL_bodyz00_14796); 
return BgL_zc3z04anonymousza32973ze3z87_14809;} } } } 

}



/* &<@anonymous:2973> */
obj_t BGl_z62zc3z04anonymousza32973ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12461, obj_t BgL_sz00_12466)
{
{ /* Eval/evaluate_comp.scm 486 */
{ /* Eval/evaluate_comp.scm 486 */
long BgL_siza7eza7_12462;BgL_ev_letza2za2_bglt BgL_i1109z00_12463;obj_t BgL_valsz00_12464;obj_t BgL_bodyz00_12465;
BgL_siza7eza7_12462 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)0)))); 
BgL_i1109z00_12463 = 
((BgL_ev_letza2za2_bglt)
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)1)))); 
BgL_valsz00_12464 = 
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)2))); 
BgL_bodyz00_12465 = 
PROCEDURE_REF(BgL_envz00_12461, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 486 */
obj_t BgL_bpz00_14810;
BgL_bpz00_14810 = 
VECTOR_REF(
((obj_t)BgL_sz00_12466),((long)0)); 
{ /* Eval/evaluate_comp.scm 487 */
long BgL_g1110z00_14811;
BgL_g1110z00_14811 = 
(
(long)CINT(BgL_bpz00_14810)+BgL_siza7eza7_12462); 
{ 
obj_t BgL_lz00_14813;long BgL_iz00_14814;obj_t BgL_bza2za2_14815;
BgL_lz00_14813 = BgL_valsz00_12464; 
BgL_iz00_14814 = BgL_g1110z00_14811; 
BgL_bza2za2_14815 = 
(((BgL_ev_letza2za2_bglt)COBJECT(BgL_i1109z00_12463))->BgL_boxesz00); 
BgL_recz00_14812:
if(
NULLP(BgL_lz00_14813))
{ /* Eval/evaluate_comp.scm 488 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 488 */
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_valz00_14816;
{ /* Eval/evaluate_comp.scm 489 */
obj_t BgL_fun2979z00_14817;
BgL_fun2979z00_14817 = 
CAR(
((obj_t)BgL_lz00_14813)); 
BgL_valz00_14816 = 
PROCEDURE_ENTRY(BgL_fun2979z00_14817)(BgL_fun2979z00_14817, BgL_sz00_12466, BEOA); } 
{ /* Eval/evaluate_comp.scm 490 */
obj_t BgL_arg2977z00_14818;
if(
CBOOL(
CAR(
((obj_t)BgL_bza2za2_14815))))
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14819;
BgL_newz00_14819 = 
create_struct(BGl_symbol5212z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28846;
BgL_tmpz00_28846 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14819, BgL_tmpz00_28846, BgL_valz00_14816); } 
BgL_arg2977z00_14818 = BgL_newz00_14819; }  else 
{ /* Eval/evaluate_comp.scm 490 */
BgL_arg2977z00_14818 = BgL_valz00_14816; } 
VECTOR_SET(
((obj_t)BgL_sz00_12466),BgL_iz00_14814,BgL_arg2977z00_14818); } } 
{ /* Eval/evaluate_comp.scm 491 */
obj_t BgL_arg2980z00_14820;long BgL_arg2981z00_14821;obj_t BgL_arg2982z00_14822;
BgL_arg2980z00_14820 = 
CDR(
((obj_t)BgL_lz00_14813)); 
BgL_arg2981z00_14821 = 
(BgL_iz00_14814+((long)1)); 
BgL_arg2982z00_14822 = 
CDR(
((obj_t)BgL_bza2za2_14815)); 
{ 
obj_t BgL_bza2za2_28858;long BgL_iz00_28857;obj_t BgL_lz00_28856;
BgL_lz00_28856 = BgL_arg2980z00_14820; 
BgL_iz00_28857 = BgL_arg2981z00_14821; 
BgL_bza2za2_28858 = BgL_arg2982z00_14822; 
BgL_bza2za2_14815 = BgL_bza2za2_28858; 
BgL_iz00_14814 = BgL_iz00_28857; 
BgL_lz00_14813 = BgL_lz00_28856; 
goto BgL_recz00_14812;} } } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12465)(BgL_bodyz00_12465, BgL_sz00_12466, BEOA);} } } 

}



/* &comp-ev_let1412 */
obj_t BGl_z62compzd2ev_let1412zb0zz__evaluate_compz00(obj_t BgL_envz00_12467, obj_t BgL_ez00_12468, obj_t BgL_stkz00_12469)
{
{ /* Eval/evaluate_comp.scm 462 */
{ /* Eval/evaluate_comp.scm 464 */
long BgL_siza7eza7_14824;obj_t BgL_nstkz00_14825;
BgL_siza7eza7_14824 = 
bgl_list_length(BgL_stkz00_12469); 
{ /* Eval/evaluate_comp.scm 464 */
obj_t BgL_arg2972z00_14826;
BgL_arg2972z00_14826 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12468))))->BgL_varsz00); 
BgL_nstkz00_14825 = 
BGl_appendzd221010zd2zz__evaluate_compz00(BgL_stkz00_12469, BgL_arg2972z00_14826); } 
{ /* Eval/evaluate_comp.scm 465 */
obj_t BgL_valsz00_14827;obj_t BgL_iboxesz00_14828;obj_t BgL_bodyz00_14829;
{ /* Eval/evaluate_comp.scm 466 */
obj_t BgL_arg2965z00_14830;
BgL_arg2965z00_14830 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12468))))->BgL_valsz00); 
BgL_valsz00_14827 = 
BGl_compzd2withzd2pushz00zz__evaluate_compz00(BgL_arg2965z00_14830, BgL_stkz00_12469); } 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_l1305z00_14831;
BgL_l1305z00_14831 = 
(((BgL_ev_letz00_bglt)COBJECT(
((BgL_ev_letz00_bglt)BgL_ez00_12468)))->BgL_boxesz00); 
if(
NULLP(BgL_l1305z00_14831))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_14828 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_head1307z00_14832;
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_res4681z00_14833;
BgL_res4681z00_14833 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1307z00_14832 = BgL_res4681z00_14833; } 
{ 
obj_t BgL_l1305z00_14835;obj_t BgL_tail1308z00_14836;
BgL_l1305z00_14835 = BgL_l1305z00_14831; 
BgL_tail1308z00_14836 = BgL_head1307z00_14832; 
BgL_zc3z04anonymousza32967ze3z87_14834:
if(
NULLP(BgL_l1305z00_14835))
{ /* Eval/evaluate_comp.scm 467 */
BgL_iboxesz00_14828 = 
CDR(BgL_head1307z00_14832); }  else 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_newtail1309z00_14837;
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_arg2970z00_14838;
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_vz00_14839;
BgL_vz00_14839 = 
CAR(
((obj_t)BgL_l1305z00_14835)); 
BgL_arg2970z00_14838 = 
BGl__indexz00zz__evaluate_compz00(BgL_vz00_14839, BgL_nstkz00_14825); } 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_res4683z00_14840;
BgL_res4683z00_14840 = 
MAKE_YOUNG_PAIR(BgL_arg2970z00_14838, BNIL); 
BgL_newtail1309z00_14837 = BgL_res4683z00_14840; } } 
SET_CDR(BgL_tail1308z00_14836, BgL_newtail1309z00_14837); 
{ /* Eval/evaluate_comp.scm 467 */
obj_t BgL_arg2969z00_14841;
BgL_arg2969z00_14841 = 
CDR(
((obj_t)BgL_l1305z00_14835)); 
{ 
obj_t BgL_tail1308z00_28889;obj_t BgL_l1305z00_28888;
BgL_l1305z00_28888 = BgL_arg2969z00_14841; 
BgL_tail1308z00_28889 = BgL_newtail1309z00_14837; 
BgL_tail1308z00_14836 = BgL_tail1308z00_28889; 
BgL_l1305z00_14835 = BgL_l1305z00_28888; 
goto BgL_zc3z04anonymousza32967ze3z87_14834;} } } } } } 
{ /* Eval/evaluate_comp.scm 468 */
BgL_ev_exprz00_bglt BgL_arg2971z00_14842;
BgL_arg2971z00_14842 = 
(((BgL_ev_binderz00_bglt)COBJECT(
((BgL_ev_binderz00_bglt)
((BgL_ev_letz00_bglt)BgL_ez00_12468))))->BgL_bodyz00); 
BgL_bodyz00_14829 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2971z00_14842, BgL_nstkz00_14825); } 
{ /* Eval/evaluate_comp.scm 469 */
obj_t BgL_zc3z04anonymousza32952ze3z87_14843;
BgL_zc3z04anonymousza32952ze3z87_14843 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32952ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)4))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32952ze3z87_14843, 
(int)(((long)0)), 
BINT(BgL_siza7eza7_14824)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32952ze3z87_14843, 
(int)(((long)1)), BgL_valsz00_14827); 
PROCEDURE_SET(BgL_zc3z04anonymousza32952ze3z87_14843, 
(int)(((long)2)), BgL_iboxesz00_14828); 
PROCEDURE_SET(BgL_zc3z04anonymousza32952ze3z87_14843, 
(int)(((long)3)), BgL_bodyz00_14829); 
return BgL_zc3z04anonymousza32952ze3z87_14843;} } } } 

}



/* &<@anonymous:2952> */
obj_t BGl_z62zc3z04anonymousza32952ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12470, obj_t BgL_sz00_12475)
{
{ /* Eval/evaluate_comp.scm 469 */
{ /* Eval/evaluate_comp.scm 469 */
long BgL_siza7eza7_12471;obj_t BgL_valsz00_12472;obj_t BgL_iboxesz00_12473;obj_t BgL_bodyz00_12474;
BgL_siza7eza7_12471 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)0)))); 
BgL_valsz00_12472 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)1)))); 
BgL_iboxesz00_12473 = 
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)2))); 
BgL_bodyz00_12474 = 
PROCEDURE_REF(BgL_envz00_12470, 
(int)(((long)3))); 
{ /* Eval/evaluate_comp.scm 469 */
obj_t BgL_bpz00_14844;
BgL_bpz00_14844 = 
VECTOR_REF(
((obj_t)BgL_sz00_12475),((long)0)); 
{ /* Eval/evaluate_comp.scm 470 */
long BgL_g1108z00_14845;
BgL_g1108z00_14845 = 
(
(long)CINT(BgL_bpz00_14844)+BgL_siza7eza7_12471); 
{ 
obj_t BgL_lz00_14847;long BgL_iz00_14848;
BgL_lz00_14847 = BgL_valsz00_12472; 
BgL_iz00_14848 = BgL_g1108z00_14845; 
BgL_recz00_14846:
if(
NULLP(BgL_lz00_14847))
{ /* Eval/evaluate_comp.scm 471 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 471 */
{ /* Eval/evaluate_comp.scm 472 */
obj_t BgL_arg2955z00_14849;
{ /* Eval/evaluate_comp.scm 472 */
obj_t BgL_fun2956z00_14850;
BgL_fun2956z00_14850 = 
CAR(
((obj_t)BgL_lz00_14847)); 
BgL_arg2955z00_14849 = 
PROCEDURE_ENTRY(BgL_fun2956z00_14850)(BgL_fun2956z00_14850, BgL_sz00_12475, BEOA); } 
VECTOR_SET(
((obj_t)BgL_sz00_12475),BgL_iz00_14848,BgL_arg2955z00_14849); } 
{ /* Eval/evaluate_comp.scm 473 */
obj_t BgL_arg2957z00_14851;long BgL_arg2958z00_14852;
BgL_arg2957z00_14851 = 
CDR(
((obj_t)BgL_lz00_14847)); 
BgL_arg2958z00_14852 = 
(BgL_iz00_14848+((long)1)); 
{ 
long BgL_iz00_28934;obj_t BgL_lz00_28933;
BgL_lz00_28933 = BgL_arg2957z00_14851; 
BgL_iz00_28934 = BgL_arg2958z00_14852; 
BgL_iz00_14848 = BgL_iz00_28934; 
BgL_lz00_14847 = BgL_lz00_28933; 
goto BgL_recz00_14846;} } } } } 
{ 
obj_t BgL_lz00_14854;
BgL_lz00_14854 = BgL_iboxesz00_12473; 
BgL_recz00_14853:
if(
NULLP(BgL_lz00_14854))
{ /* Eval/evaluate_comp.scm 475 */((bool_t)0); }  else 
{ /* Eval/evaluate_comp.scm 475 */
{ /* Eval/evaluate_comp.scm 476 */
long BgL_iz00_14855;
BgL_iz00_14855 = 
(
(long)CINT(BgL_bpz00_14844)+
(long)CINT(
CAR(
((obj_t)BgL_lz00_14854)))); 
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2961z00_14856;
{ /* Eval/evaluate_comp.scm 477 */
obj_t BgL_arg2962z00_14857;
BgL_arg2962z00_14857 = 
VECTOR_REF(
((obj_t)BgL_sz00_12475),BgL_iz00_14855); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_newz00_14858;
BgL_newz00_14858 = 
create_struct(BGl_symbol5212z00zz__evaluate_compz00, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 202 */
int BgL_tmpz00_28946;
BgL_tmpz00_28946 = 
(int)(((long)0)); 
STRUCT_SET(BgL_newz00_14858, BgL_tmpz00_28946, BgL_arg2962z00_14857); } 
BgL_arg2961z00_14856 = BgL_newz00_14858; } } 
VECTOR_SET(
((obj_t)BgL_sz00_12475),BgL_iz00_14855,BgL_arg2961z00_14856); } } 
{ /* Eval/evaluate_comp.scm 478 */
obj_t BgL_arg2964z00_14859;
BgL_arg2964z00_14859 = 
CDR(
((obj_t)BgL_lz00_14854)); 
{ 
obj_t BgL_lz00_28953;
BgL_lz00_28953 = BgL_arg2964z00_14859; 
BgL_lz00_14854 = BgL_lz00_28953; 
goto BgL_recz00_14853;} } } } 
return 
PROCEDURE_ENTRY(BgL_bodyz00_12474)(BgL_bodyz00_12474, BgL_sz00_12475, BEOA);} } } 

}



/* &comp-ev_prog21410 */
obj_t BGl_z62compzd2ev_prog21410zb0zz__evaluate_compz00(obj_t BgL_envz00_12476, obj_t BgL_ez00_12477, obj_t BgL_stkz00_12478)
{
{ /* Eval/evaluate_comp.scm 456 */
{ /* Eval/evaluate_comp.scm 458 */
obj_t BgL_e1z00_14861;obj_t BgL_e2z00_14862;
BgL_e1z00_14861 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12477)))->BgL_e1z00), BgL_stkz00_12478); 
BgL_e2z00_14862 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_prog2z00_bglt)COBJECT(
((BgL_ev_prog2z00_bglt)BgL_ez00_12477)))->BgL_e2z00), BgL_stkz00_12478); 
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_zc3z04anonymousza32949ze3z87_14863;
BgL_zc3z04anonymousza32949ze3z87_14863 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32949ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32949ze3z87_14863, 
(int)(((long)0)), BgL_e1z00_14861); 
PROCEDURE_SET(BgL_zc3z04anonymousza32949ze3z87_14863, 
(int)(((long)1)), BgL_e2z00_14862); 
return BgL_zc3z04anonymousza32949ze3z87_14863;} } } 

}



/* &<@anonymous:2949> */
obj_t BGl_z62zc3z04anonymousza32949ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12479, obj_t BgL_sz00_12482)
{
{ /* Eval/evaluate_comp.scm 459 */
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_e1z00_12480;obj_t BgL_e2z00_12481;
BgL_e1z00_12480 = 
PROCEDURE_REF(BgL_envz00_12479, 
(int)(((long)0))); 
BgL_e2z00_12481 = 
PROCEDURE_REF(BgL_envz00_12479, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 459 */
obj_t BgL_bpz00_14864;
BgL_bpz00_14864 = 
VECTOR_REF(
((obj_t)BgL_sz00_12482),((long)0)); 
PROCEDURE_ENTRY(BgL_e1z00_12480)(BgL_e1z00_12480, BgL_sz00_12482, BEOA); 
return 
PROCEDURE_ENTRY(BgL_e2z00_12481)(BgL_e2z00_12481, BgL_sz00_12482, BEOA);} } } 

}



/* &comp-ev_and1407 */
obj_t BGl_z62compzd2ev_and1407zb0zz__evaluate_compz00(obj_t BgL_envz00_12483, obj_t BgL_ez00_12484, obj_t BgL_stkz00_12485)
{
{ /* Eval/evaluate_comp.scm 446 */
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_argsz00_14866;
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_l1300z00_14867;
BgL_l1300z00_14867 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_andz00_bglt)BgL_ez00_12484))))->BgL_argsz00); 
if(
NULLP(BgL_l1300z00_14867))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_14866 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_head1302z00_14868;
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_res4676z00_14869;
BgL_res4676z00_14869 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1302z00_14868 = BgL_res4676z00_14869; } 
{ 
obj_t BgL_l1300z00_14871;obj_t BgL_tail1303z00_14872;
BgL_l1300z00_14871 = BgL_l1300z00_14867; 
BgL_tail1303z00_14872 = BgL_head1302z00_14868; 
BgL_zc3z04anonymousza32945ze3z87_14870:
if(
NULLP(BgL_l1300z00_14871))
{ /* Eval/evaluate_comp.scm 448 */
BgL_argsz00_14866 = 
CDR(BgL_head1302z00_14868); }  else 
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_newtail1304z00_14873;
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_arg2948z00_14874;
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_ez00_14875;
BgL_ez00_14875 = 
CAR(
((obj_t)BgL_l1300z00_14871)); 
BgL_arg2948z00_14874 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14875), BgL_stkz00_12485); } 
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_res4678z00_14876;
BgL_res4678z00_14876 = 
MAKE_YOUNG_PAIR(BgL_arg2948z00_14874, BNIL); 
BgL_newtail1304z00_14873 = BgL_res4678z00_14876; } } 
SET_CDR(BgL_tail1303z00_14872, BgL_newtail1304z00_14873); 
{ /* Eval/evaluate_comp.scm 448 */
obj_t BgL_arg2947z00_14877;
BgL_arg2947z00_14877 = 
CDR(
((obj_t)BgL_l1300z00_14871)); 
{ 
obj_t BgL_tail1303z00_29003;obj_t BgL_l1300z00_29002;
BgL_l1300z00_29002 = BgL_arg2947z00_14877; 
BgL_tail1303z00_29003 = BgL_newtail1304z00_14873; 
BgL_tail1303z00_14872 = BgL_tail1303z00_29003; 
BgL_l1300z00_14871 = BgL_l1300z00_29002; 
goto BgL_zc3z04anonymousza32945ze3z87_14870;} } } } } } 
{ /* Eval/evaluate_comp.scm 449 */
obj_t BgL_zc3z04anonymousza32939ze3z87_14878;
BgL_zc3z04anonymousza32939ze3z87_14878 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32939ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32939ze3z87_14878, 
(int)(((long)0)), BgL_argsz00_14866); 
return BgL_zc3z04anonymousza32939ze3z87_14878;} } } 

}



/* &<@anonymous:2939> */
obj_t BGl_z62zc3z04anonymousza32939ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12486, obj_t BgL_sz00_12488)
{
{ /* Eval/evaluate_comp.scm 449 */
{ /* Eval/evaluate_comp.scm 449 */
obj_t BgL_argsz00_12487;
BgL_argsz00_12487 = 
PROCEDURE_REF(BgL_envz00_12486, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 449 */
obj_t BgL_bpz00_14879;
BgL_bpz00_14879 = 
VECTOR_REF(
((obj_t)BgL_sz00_12488),((long)0)); 
{ 
obj_t BgL_lz00_14881;obj_t BgL_rz00_14882;
BgL_lz00_14881 = BgL_argsz00_12487; 
BgL_rz00_14882 = BTRUE; 
BgL_recz00_14880:
if(
NULLP(BgL_lz00_14881))
{ /* Eval/evaluate_comp.scm 451 */
return BgL_rz00_14882;}  else 
{ /* Eval/evaluate_comp.scm 453 */
obj_t BgL_vz00_14883;
{ /* Eval/evaluate_comp.scm 453 */
obj_t BgL_fun2943z00_14884;
BgL_fun2943z00_14884 = 
CAR(
((obj_t)BgL_lz00_14881)); 
BgL_vz00_14883 = 
PROCEDURE_ENTRY(BgL_fun2943z00_14884)(BgL_fun2943z00_14884, BgL_sz00_12488, BEOA); } 
if(
CBOOL(BgL_vz00_14883))
{ /* Eval/evaluate_comp.scm 454 */
obj_t BgL_arg2942z00_14885;
BgL_arg2942z00_14885 = 
CDR(
((obj_t)BgL_lz00_14881)); 
{ 
obj_t BgL_rz00_29026;obj_t BgL_lz00_29025;
BgL_lz00_29025 = BgL_arg2942z00_14885; 
BgL_rz00_29026 = BgL_vz00_14883; 
BgL_rz00_14882 = BgL_rz00_29026; 
BgL_lz00_14881 = BgL_lz00_29025; 
goto BgL_recz00_14880;} }  else 
{ /* Eval/evaluate_comp.scm 454 */
return BFALSE;} } } } } } 

}



/* &comp-ev_or1405 */
obj_t BGl_z62compzd2ev_or1405zb0zz__evaluate_compz00(obj_t BgL_envz00_12489, obj_t BgL_ez00_12490, obj_t BgL_stkz00_12491)
{
{ /* Eval/evaluate_comp.scm 437 */
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_argsz00_14887;
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_l1295z00_14888;
BgL_l1295z00_14888 = 
(((BgL_ev_listz00_bglt)COBJECT(
((BgL_ev_listz00_bglt)
((BgL_ev_orz00_bglt)BgL_ez00_12490))))->BgL_argsz00); 
if(
NULLP(BgL_l1295z00_14888))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_14887 = BNIL; }  else 
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_head1297z00_14889;
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_res4671z00_14890;
BgL_res4671z00_14890 = 
MAKE_YOUNG_PAIR(BNIL, BNIL); 
BgL_head1297z00_14889 = BgL_res4671z00_14890; } 
{ 
obj_t BgL_l1295z00_14892;obj_t BgL_tail1298z00_14893;
BgL_l1295z00_14892 = BgL_l1295z00_14888; 
BgL_tail1298z00_14893 = BgL_head1297z00_14889; 
BgL_zc3z04anonymousza32935ze3z87_14891:
if(
NULLP(BgL_l1295z00_14892))
{ /* Eval/evaluate_comp.scm 439 */
BgL_argsz00_14887 = 
CDR(BgL_head1297z00_14889); }  else 
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_newtail1299z00_14894;
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_arg2938z00_14895;
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_ez00_14896;
BgL_ez00_14896 = 
CAR(
((obj_t)BgL_l1295z00_14892)); 
BgL_arg2938z00_14895 = 
BGl_compz00zz__evaluate_compz00(
((BgL_ev_exprz00_bglt)BgL_ez00_14896), BgL_stkz00_12491); } 
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_res4673z00_14897;
BgL_res4673z00_14897 = 
MAKE_YOUNG_PAIR(BgL_arg2938z00_14895, BNIL); 
BgL_newtail1299z00_14894 = BgL_res4673z00_14897; } } 
SET_CDR(BgL_tail1298z00_14893, BgL_newtail1299z00_14894); 
{ /* Eval/evaluate_comp.scm 439 */
obj_t BgL_arg2937z00_14898;
BgL_arg2937z00_14898 = 
CDR(
((obj_t)BgL_l1295z00_14892)); 
{ 
obj_t BgL_tail1298z00_29045;obj_t BgL_l1295z00_29044;
BgL_l1295z00_29044 = BgL_arg2937z00_14898; 
BgL_tail1298z00_29045 = BgL_newtail1299z00_14894; 
BgL_tail1298z00_14893 = BgL_tail1298z00_29045; 
BgL_l1295z00_14892 = BgL_l1295z00_29044; 
goto BgL_zc3z04anonymousza32935ze3z87_14891;} } } } } } 
{ /* Eval/evaluate_comp.scm 440 */
obj_t BgL_zc3z04anonymousza32929ze3z87_14899;
BgL_zc3z04anonymousza32929ze3z87_14899 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32929ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32929ze3z87_14899, 
(int)(((long)0)), BgL_argsz00_14887); 
return BgL_zc3z04anonymousza32929ze3z87_14899;} } } 

}



/* &<@anonymous:2929> */
obj_t BGl_z62zc3z04anonymousza32929ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12492, obj_t BgL_sz00_12494)
{
{ /* Eval/evaluate_comp.scm 440 */
{ /* Eval/evaluate_comp.scm 440 */
obj_t BgL_argsz00_12493;
BgL_argsz00_12493 = 
PROCEDURE_REF(BgL_envz00_12492, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 440 */
obj_t BgL_bpz00_14900;
BgL_bpz00_14900 = 
VECTOR_REF(
((obj_t)BgL_sz00_12494),((long)0)); 
{ 
obj_t BgL_lz00_14902;
BgL_lz00_14902 = BgL_argsz00_12493; 
BgL_recz00_14901:
if(
NULLP(BgL_lz00_14902))
{ /* Eval/evaluate_comp.scm 442 */
return BFALSE;}  else 
{ /* Eval/evaluate_comp.scm 444 */
obj_t BgL__ortest_1103z00_14903;
{ /* Eval/evaluate_comp.scm 444 */
obj_t BgL_fun2933z00_14904;
BgL_fun2933z00_14904 = 
CAR(
((obj_t)BgL_lz00_14902)); 
BgL__ortest_1103z00_14903 = 
PROCEDURE_ENTRY(BgL_fun2933z00_14904)(BgL_fun2933z00_14904, BgL_sz00_12494, BEOA); } 
if(
CBOOL(BgL__ortest_1103z00_14903))
{ /* Eval/evaluate_comp.scm 444 */
return BgL__ortest_1103z00_14903;}  else 
{ /* Eval/evaluate_comp.scm 444 */
obj_t BgL_arg2932z00_14905;
BgL_arg2932z00_14905 = 
CDR(
((obj_t)BgL_lz00_14902)); 
{ 
obj_t BgL_lz00_29067;
BgL_lz00_29067 = BgL_arg2932z00_14905; 
BgL_lz00_14902 = BgL_lz00_29067; 
goto BgL_recz00_14901;} } } } } } } 

}



/* &comp-ev_if1403 */
obj_t BGl_z62compzd2ev_if1403zb0zz__evaluate_compz00(obj_t BgL_envz00_12495, obj_t BgL_ez00_12496, obj_t BgL_stkz00_12497)
{
{ /* Eval/evaluate_comp.scm 431 */
{ /* Eval/evaluate_comp.scm 433 */
obj_t BgL_pz00_14907;obj_t BgL_tz00_14908;obj_t BgL_ez00_14909;
BgL_pz00_14907 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12496)))->BgL_pz00), BgL_stkz00_12497); 
BgL_tz00_14908 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12496)))->BgL_tz00), BgL_stkz00_12497); 
BgL_ez00_14909 = 
BGl_compz00zz__evaluate_compz00(
(((BgL_ev_ifz00_bglt)COBJECT(
((BgL_ev_ifz00_bglt)BgL_ez00_12496)))->BgL_ez00), BgL_stkz00_12497); 
{ /* Eval/evaluate_comp.scm 434 */
obj_t BgL_zc3z04anonymousza32924ze3z87_14910;
BgL_zc3z04anonymousza32924ze3z87_14910 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32924ze3z87_14910, 
(int)(((long)0)), BgL_ez00_14909); 
PROCEDURE_SET(BgL_zc3z04anonymousza32924ze3z87_14910, 
(int)(((long)1)), BgL_tz00_14908); 
PROCEDURE_SET(BgL_zc3z04anonymousza32924ze3z87_14910, 
(int)(((long)2)), BgL_pz00_14907); 
return BgL_zc3z04anonymousza32924ze3z87_14910;} } } 

}



/* &<@anonymous:2924> */
obj_t BGl_z62zc3z04anonymousza32924ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12498, obj_t BgL_sz00_12502)
{
{ /* Eval/evaluate_comp.scm 434 */
{ /* Eval/evaluate_comp.scm 434 */
obj_t BgL_ez00_12499;obj_t BgL_tz00_12500;obj_t BgL_pz00_12501;
BgL_ez00_12499 = 
PROCEDURE_REF(BgL_envz00_12498, 
(int)(((long)0))); 
BgL_tz00_12500 = 
PROCEDURE_REF(BgL_envz00_12498, 
(int)(((long)1))); 
BgL_pz00_12501 = 
PROCEDURE_REF(BgL_envz00_12498, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 434 */
obj_t BgL_bpz00_14911;
BgL_bpz00_14911 = 
VECTOR_REF(
((obj_t)BgL_sz00_12502),((long)0)); 
if(
CBOOL(
PROCEDURE_ENTRY(BgL_pz00_12501)(BgL_pz00_12501, BgL_sz00_12502, BEOA)))
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_tz00_12500)(BgL_tz00_12500, BgL_sz00_12502, BEOA);}  else 
{ /* Eval/evaluate_comp.scm 435 */
return 
PROCEDURE_ENTRY(BgL_ez00_12499)(BgL_ez00_12499, BgL_sz00_12502, BEOA);} } } } 

}



/* &comp-ev_litt1401 */
obj_t BGl_z62compzd2ev_litt1401zb0zz__evaluate_compz00(obj_t BgL_envz00_12503, obj_t BgL_ez00_12504, obj_t BgL_stkz00_12505)
{
{ /* Eval/evaluate_comp.scm 426 */
{ /* Eval/evaluate_comp.scm 428 */
obj_t BgL_zc3z04anonymousza32923ze3z87_14913;
BgL_zc3z04anonymousza32923ze3z87_14913 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32923ze3z87_14913, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_littz00_bglt)BgL_ez00_12504))); 
return BgL_zc3z04anonymousza32923ze3z87_14913;} } 

}



/* &<@anonymous:2923> */
obj_t BGl_z62zc3z04anonymousza32923ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12506, obj_t BgL_sz00_12508)
{
{ /* Eval/evaluate_comp.scm 428 */
{ /* Eval/evaluate_comp.scm 428 */
BgL_ev_littz00_bglt BgL_i1100z00_12507;
BgL_i1100z00_12507 = 
((BgL_ev_littz00_bglt)
PROCEDURE_REF(BgL_envz00_12506, 
(int)(((long)0)))); 
{ /* Eval/evaluate_comp.scm 428 */
obj_t BgL_bpz00_14914;
BgL_bpz00_14914 = 
VECTOR_REF(
((obj_t)BgL_sz00_12508),((long)0)); 
return 
(((BgL_ev_littz00_bglt)COBJECT(BgL_i1100z00_12507))->BgL_valuez00);} } } 

}



/* &comp-ev_defglobal1399 */
obj_t BGl_z62compzd2ev_defglobal1399zb0zz__evaluate_compz00(obj_t BgL_envz00_12509, obj_t BgL_ez00_12510, obj_t BgL_stkz00_12511)
{
{ /* Eval/evaluate_comp.scm 395 */
{ /* Eval/evaluate_comp.scm 397 */
obj_t BgL_ez00_14916;
{ /* Eval/evaluate_comp.scm 397 */
BgL_ev_exprz00_bglt BgL_arg2922z00_14917;
BgL_arg2922z00_14917 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12510))))->BgL_ez00); 
BgL_ez00_14916 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2922z00_14917, BgL_stkz00_12511); } 
{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_zc3z04anonymousza32897ze3z87_14918;
BgL_zc3z04anonymousza32897ze3z87_14918 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32897ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32897ze3z87_14918, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_defglobalz00_bglt)BgL_ez00_12510))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32897ze3z87_14918, 
(int)(((long)1)), BgL_ez00_14916); 
return BgL_zc3z04anonymousza32897ze3z87_14918;} } } 

}



/* &<@anonymous:2897> */
obj_t BGl_z62zc3z04anonymousza32897ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12512, obj_t BgL_sz00_12515)
{
{ /* Eval/evaluate_comp.scm 398 */
{ /* Eval/evaluate_comp.scm 398 */
BgL_ev_defglobalz00_bglt BgL_i1097z00_12513;obj_t BgL_ez00_12514;
BgL_i1097z00_12513 = 
((BgL_ev_defglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12512, 
(int)(((long)0)))); 
BgL_ez00_12514 = 
PROCEDURE_REF(BgL_envz00_12512, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 398 */
obj_t BgL_bpz00_14919;
BgL_bpz00_14919 = 
VECTOR_REF(
((obj_t)BgL_sz00_12515),((long)0)); 
{ /* Eval/evaluate_comp.scm 399 */
obj_t BgL_gz00_14920;
{ /* Eval/evaluate_comp.scm 399 */
obj_t BgL_arg2920z00_14921;obj_t BgL_arg2921z00_14922;
BgL_arg2920z00_14921 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_modz00); 
BgL_arg2921z00_14922 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00); 
BgL_gz00_14920 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(BgL_arg2920z00_14921, BgL_arg2921z00_14922); } 
if(
CBOOL(BgL_gz00_14920))
{ /* Eval/evaluate_comp.scm 401 */
{ 

{ /* Eval/evaluate_comp.scm 403 */
int BgL_aux1099z00_14926;
{ /* Eval/evaluate_comp.scm 403 */
int BgL_res4669z00_14927;
BgL_res4669z00_14927 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14920),((long)0))); 
BgL_aux1099z00_14926 = BgL_res4669z00_14927; } 
switch( 
(long)(BgL_aux1099z00_14926)) { case ((long)0) : 

{ /* Eval/evaluate_comp.scm 405 */
obj_t BgL_arg2899z00_14928;obj_t BgL_arg2900z00_14929;
BgL_arg2899z00_14928 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_locz00); 
BgL_arg2900z00_14929 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2899z00_14928, BGl_string5323z00zz__evaluate_compz00, BGl_string5324z00zz__evaluate_compz00, BgL_arg2900z00_14929); } break;case ((long)1) : 

{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_arg2901z00_14930;obj_t BgL_arg2902z00_14931;
BgL_arg2901z00_14930 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_locz00); 
BgL_arg2902z00_14931 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00); 
{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_list2903z00_14932;
{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_arg2904z00_14933;
{ /* Eval/evaluate_comp.scm 407 */
obj_t BgL_arg2905z00_14934;
BgL_arg2905z00_14934 = 
MAKE_YOUNG_PAIR(BgL_arg2902z00_14931, BNIL); 
BgL_arg2904z00_14933 = 
MAKE_YOUNG_PAIR(BGl_string5325z00zz__evaluate_compz00, BgL_arg2905z00_14934); } 
BgL_list2903z00_14932 = 
MAKE_YOUNG_PAIR(BGl_string5202z00zz__evaluate_compz00, BgL_arg2904z00_14933); } 
BGl_evwarningz00zz__everrorz00(BgL_arg2901z00_14930, BgL_list2903z00_14932); } } 
{ /* Eval/evaluate_comp.scm 409 */
obj_t BgL_arg2906z00_14935;obj_t BgL_arg2907z00_14936;
BgL_arg2906z00_14935 = 
VECTOR_REF(
((obj_t)BgL_gz00_14920),((long)2)); 
BgL_arg2907z00_14936 = 
PROCEDURE_ENTRY(BgL_ez00_12514)(BgL_ez00_12514, BgL_sz00_12515, BEOA); 
__EVMEANING_ADDRESS_SET(BgL_arg2906z00_14935, BgL_arg2907z00_14936); } break;case ((long)2) : 

{ /* Eval/evaluate_comp.scm 411 */
obj_t BgL_arg2908z00_14937;
BgL_arg2908z00_14937 = 
PROCEDURE_ENTRY(BgL_ez00_12514)(BgL_ez00_12514, BgL_sz00_12515, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14920),((long)2),BgL_arg2908z00_14937); } break;case ((long)3) : 

{ /* Eval/evaluate_comp.scm 413 */
obj_t BgL_arg2909z00_14938;
BgL_arg2909z00_14938 = 
PROCEDURE_ENTRY(BgL_ez00_12514)(BgL_ez00_12514, BgL_sz00_12515, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14920),((long)2),BgL_arg2909z00_14938); } 
VECTOR_SET(
((obj_t)BgL_gz00_14920),((long)0),
BINT(((long)2))); break;case ((long)4) : 

{ /* Eval/evaluate_comp.scm 416 */
obj_t BgL_arg2910z00_14939;
BgL_arg2910z00_14939 = 
PROCEDURE_ENTRY(BgL_ez00_12514)(BgL_ez00_12514, BgL_sz00_12515, BEOA); 
VECTOR_SET(
((obj_t)BgL_gz00_14920),((long)2),BgL_arg2910z00_14939); } 
VECTOR_SET(
((obj_t)BgL_gz00_14920),((long)0),
BINT(((long)5))); break;
default: 
{ /* Eval/evaluate_comp.scm 419 */
obj_t BgL_arg2911z00_14924;obj_t BgL_arg2912z00_14925;
BgL_arg2911z00_14924 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_locz00); 
BgL_arg2912z00_14925 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00); 
BGl_everrorz00zz__everrorz00(BgL_arg2911z00_14924, BGl_string5323z00zz__evaluate_compz00, BGl_string5324z00zz__evaluate_compz00, BgL_arg2912z00_14925); } } } } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00);}  else 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_gz00_14940;
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_arg2917z00_14941;obj_t BgL_arg2918z00_14942;obj_t BgL_arg2919z00_14943;
BgL_arg2917z00_14941 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00); 
BgL_arg2918z00_14942 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_modz00); 
BgL_arg2919z00_14943 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 421 */
obj_t BgL_v1373z00_14944;
BgL_v1373z00_14944 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1373z00_14944,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1373z00_14944,((long)1),BgL_arg2917z00_14941); 
VECTOR_SET(BgL_v1373z00_14944,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1373z00_14944,((long)3),BgL_arg2918z00_14942); 
VECTOR_SET(BgL_v1373z00_14944,((long)4),BgL_arg2919z00_14943); 
BgL_gz00_14940 = BgL_v1373z00_14944; } } 
{ /* Eval/evaluate_comp.scm 422 */
obj_t BgL_arg2913z00_14945;
BgL_arg2913z00_14945 = 
PROCEDURE_ENTRY(BgL_ez00_12514)(BgL_ez00_12514, BgL_sz00_12515, BEOA); 
VECTOR_SET(BgL_gz00_14940,((long)2),BgL_arg2913z00_14945); } 
{ /* Eval/evaluate_comp.scm 423 */
obj_t BgL_arg2914z00_14946;obj_t BgL_arg2915z00_14947;obj_t BgL_arg2916z00_14948;
BgL_arg2914z00_14946 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_modz00); 
BgL_arg2915z00_14947 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00); 
BgL_arg2916z00_14948 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_locz00); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(BgL_arg2914z00_14946, BgL_arg2915z00_14947, BgL_gz00_14940, BgL_arg2916z00_14948); } 
return 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_i1097z00_12513)))->BgL_namez00);} } } } } 

}



/* &comp-ev_setglobal1397 */
obj_t BGl_z62compzd2ev_setglobal1397zb0zz__evaluate_compz00(obj_t BgL_envz00_12516, obj_t BgL_ez00_12517, obj_t BgL_stkz00_12518)
{
{ /* Eval/evaluate_comp.scm 372 */
{ /* Eval/evaluate_comp.scm 374 */
obj_t BgL_gz00_14950;obj_t BgL_ez00_14951;
BgL_gz00_14950 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_namez00)); 
{ /* Eval/evaluate_comp.scm 374 */
BgL_ev_exprz00_bglt BgL_arg2896z00_14952;
BgL_arg2896z00_14952 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517))))->BgL_ez00); 
BgL_ez00_14951 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2896z00_14952, BgL_stkz00_12518); } 
if(
CBOOL(BgL_gz00_14950))
{ 

{ /* Eval/evaluate_comp.scm 376 */
int BgL_aux1096z00_14955;
{ /* Eval/evaluate_comp.scm 376 */
int BgL_res4668z00_14956;
BgL_res4668z00_14956 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14950),((long)0))); 
BgL_aux1096z00_14955 = BgL_res4668z00_14956; } 
switch( 
(long)(BgL_aux1096z00_14955)) { case ((long)1) : 

{ /* Eval/evaluate_comp.scm 378 */
obj_t BgL_zc3z04anonymousza32872ze3z87_14957;
BgL_zc3z04anonymousza32872ze3z87_14957 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32872ze3z87_14957, 
(int)(((long)0)), BgL_gz00_14950); 
PROCEDURE_SET(BgL_zc3z04anonymousza32872ze3z87_14957, 
(int)(((long)1)), BgL_ez00_14951); 
return BgL_zc3z04anonymousza32872ze3z87_14957;} break;case ((long)0) : 
case ((long)4) : 
case ((long)5) : 

return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_locz00), BGl_string5323z00zz__evaluate_compz00, BGl_string5324z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_namez00));break;
default: 
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_zc3z04anonymousza32877ze3z87_14954;
BgL_zc3z04anonymousza32877ze3z87_14954 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32877ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32877ze3z87_14954, 
(int)(((long)0)), BgL_ez00_14951); 
PROCEDURE_SET(BgL_zc3z04anonymousza32877ze3z87_14954, 
(int)(((long)1)), BgL_gz00_14950); 
return BgL_zc3z04anonymousza32877ze3z87_14954;} } } }  else 
{ /* Eval/evaluate_comp.scm 384 */
obj_t BgL_slotz00_14958;
BgL_slotz00_14958 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_gz00_14959;
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_arg2884z00_14960;obj_t BgL_arg2885z00_14961;obj_t BgL_arg2886z00_14962;
BgL_arg2884z00_14960 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_namez00); 
BgL_arg2885z00_14961 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_modz00); 
BgL_arg2886z00_14962 = 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 386 */
obj_t BgL_v1373z00_14963;
BgL_v1373z00_14963 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1373z00_14963,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1373z00_14963,((long)1),BgL_arg2884z00_14960); 
VECTOR_SET(BgL_v1373z00_14963,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1373z00_14963,((long)3),BgL_arg2885z00_14961); 
VECTOR_SET(BgL_v1373z00_14963,((long)4),BgL_arg2886z00_14962); 
BgL_gz00_14959 = BgL_v1373z00_14963; } } 
VECTOR_SET(BgL_gz00_14959,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_namez00), BgL_gz00_14959, 
(((BgL_ev_setglobalz00_bglt)COBJECT(
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 385 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 389 */
obj_t BgL_zc3z04anonymousza32888ze3z87_14964;
BgL_zc3z04anonymousza32888ze3z87_14964 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32888ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)3))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32888ze3z87_14964, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_setglobalz00_bglt)BgL_ez00_12517))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32888ze3z87_14964, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14958)); 
PROCEDURE_SET(BgL_zc3z04anonymousza32888ze3z87_14964, 
(int)(((long)2)), BgL_ez00_14951); 
return BgL_zc3z04anonymousza32888ze3z87_14964;} } } } 

}



/* &<@anonymous:2872> */
obj_t BGl_z62zc3z04anonymousza32872ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12521, obj_t BgL_sz00_12524)
{
{ /* Eval/evaluate_comp.scm 378 */
{ /* Eval/evaluate_comp.scm 378 */
obj_t BgL_gz00_12522;obj_t BgL_ez00_12523;
BgL_gz00_12522 = 
PROCEDURE_REF(BgL_envz00_12521, 
(int)(((long)0))); 
BgL_ez00_12523 = 
PROCEDURE_REF(BgL_envz00_12521, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 378 */
obj_t BgL_bpz00_14965;
BgL_bpz00_14965 = 
VECTOR_REF(
((obj_t)BgL_sz00_12524),((long)0)); 
{ /* Eval/evaluate_comp.scm 379 */
obj_t BgL_arg2873z00_14966;obj_t BgL_arg2874z00_14967;
BgL_arg2873z00_14966 = 
VECTOR_REF(
((obj_t)BgL_gz00_12522),((long)2)); 
BgL_arg2874z00_14967 = 
PROCEDURE_ENTRY(BgL_ez00_12523)(BgL_ez00_12523, BgL_sz00_12524, BEOA); 
return 
__EVMEANING_ADDRESS_SET(BgL_arg2873z00_14966, BgL_arg2874z00_14967);} } } } 

}



/* &<@anonymous:2877> */
obj_t BGl_z62zc3z04anonymousza32877ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12525, obj_t BgL_sz00_12528)
{
{ /* Eval/evaluate_comp.scm 383 */
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_ez00_12526;obj_t BgL_gz00_12527;
BgL_ez00_12526 = 
PROCEDURE_REF(BgL_envz00_12525, 
(int)(((long)0))); 
BgL_gz00_12527 = 
PROCEDURE_REF(BgL_envz00_12525, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_bpz00_14968;
BgL_bpz00_14968 = 
VECTOR_REF(
((obj_t)BgL_sz00_12528),((long)0)); 
{ /* Eval/evaluate_comp.scm 383 */
obj_t BgL_arg2878z00_14969;
BgL_arg2878z00_14969 = 
PROCEDURE_ENTRY(BgL_ez00_12526)(BgL_ez00_12526, BgL_sz00_12528, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_gz00_12527),((long)2),BgL_arg2878z00_14969);} } } } 

}



/* &<@anonymous:2888> */
obj_t BGl_z62zc3z04anonymousza32888ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12529, obj_t BgL_sz00_12533)
{
{ /* Eval/evaluate_comp.scm 389 */
{ /* Eval/evaluate_comp.scm 389 */
BgL_ev_setglobalz00_bglt BgL_i1094z00_12530;obj_t BgL_slotz00_12531;obj_t BgL_ez00_12532;
BgL_i1094z00_12530 = 
((BgL_ev_setglobalz00_bglt)
PROCEDURE_REF(BgL_envz00_12529, 
(int)(((long)0)))); 
BgL_slotz00_12531 = 
PROCEDURE_REF(BgL_envz00_12529, 
(int)(((long)1))); 
BgL_ez00_12532 = 
PROCEDURE_REF(BgL_envz00_12529, 
(int)(((long)2))); 
{ /* Eval/evaluate_comp.scm 389 */
obj_t BgL_bpz00_14970;
BgL_bpz00_14970 = 
VECTOR_REF(
((obj_t)BgL_sz00_12533),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12531)))
{ /* Eval/evaluate_comp.scm 390 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 390 */
{ /* Eval/evaluate_comp.scm 391 */
obj_t BgL_auxz00_14971;
BgL_auxz00_14971 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12530))->BgL_modz00), 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12530))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12531, BgL_auxz00_14971); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12531)))
{ /* Eval/evaluate_comp.scm 392 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 392 */
BGl_everrorz00zz__everrorz00(
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12530))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5326z00zz__evaluate_compz00, 
(((BgL_ev_setglobalz00_bglt)COBJECT(BgL_i1094z00_12530))->BgL_namez00)); } } 
{ /* Eval/evaluate_comp.scm 393 */
obj_t BgL_arg2893z00_14972;
BgL_arg2893z00_14972 = 
PROCEDURE_ENTRY(BgL_ez00_12532)(BgL_ez00_12532, BgL_sz00_12533, BEOA); 
{ /* Eval/evaluate_comp.scm 393 */
obj_t BgL_evalzd2globalzd2_14973;
BgL_evalzd2globalzd2_14973 = 
CELL_REF(BgL_slotz00_12531); 
return 
VECTOR_SET(BgL_evalzd2globalzd2_14973,((long)2),BgL_arg2893z00_14972);} } } } } 

}



/* &comp-ev_global1395 */
obj_t BGl_z62compzd2ev_global1395zb0zz__evaluate_compz00(obj_t BgL_envz00_12535, obj_t BgL_varz00_12536, obj_t BgL_stkz00_12537)
{
{ /* Eval/evaluate_comp.scm 339 */
{ /* Eval/evaluate_comp.scm 341 */
obj_t BgL_gz00_14975;
BgL_gz00_14975 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_namez00)); 
if(
CBOOL(BgL_gz00_14975))
{ /* Eval/evaluate_comp.scm 343 */
bool_t BgL_test5994z00_29360;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_arg2835z00_14976;
{ /* Eval/evaluate_comp.scm 343 */
int BgL_res4664z00_14977;
BgL_res4664z00_14977 = 
CINT(
VECTOR_REF(
((obj_t)BgL_gz00_14975),((long)0))); 
BgL_arg2835z00_14976 = BgL_res4664z00_14977; } 
BgL_test5994z00_29360 = 
(
BINT(BgL_arg2835z00_14976)==
BINT(((long)1))); } 
if(BgL_test5994z00_29360)
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_zc3z04anonymousza32832ze3z87_14978;
BgL_zc3z04anonymousza32832ze3z87_14978 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32832ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32832ze3z87_14978, 
(int)(((long)0)), BgL_gz00_14975); 
return BgL_zc3z04anonymousza32832ze3z87_14978;}  else 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_zc3z04anonymousza32834ze3z87_14979;
BgL_zc3z04anonymousza32834ze3z87_14979 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32834ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32834ze3z87_14979, 
(int)(((long)0)), BgL_gz00_14975); 
return BgL_zc3z04anonymousza32834ze3z87_14979;} }  else 
{ /* Eval/evaluate_comp.scm 348 */
obj_t BgL_slotz00_14980;
BgL_slotz00_14980 = 
MAKE_CELL(BFALSE); 
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_gz00_14981;
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_arg2841z00_14982;obj_t BgL_arg2842z00_14983;obj_t BgL_arg2843z00_14984;
BgL_arg2841z00_14982 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_namez00); 
BgL_arg2842z00_14983 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_modz00); 
BgL_arg2843z00_14984 = 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_locz00); 
{ /* Eval/evaluate_comp.scm 350 */
obj_t BgL_v1373z00_14985;
BgL_v1373z00_14985 = 
create_vector(((long)5)); 
VECTOR_SET(BgL_v1373z00_14985,((long)0),
BINT(((long)2))); 
VECTOR_SET(BgL_v1373z00_14985,((long)1),BgL_arg2841z00_14982); 
VECTOR_SET(BgL_v1373z00_14985,((long)2),BUNSPEC); 
VECTOR_SET(BgL_v1373z00_14985,((long)3),BgL_arg2842z00_14983); 
VECTOR_SET(BgL_v1373z00_14985,((long)4),BgL_arg2843z00_14984); 
BgL_gz00_14981 = BgL_v1373z00_14985; } } 
VECTOR_SET(BgL_gz00_14981,((long)0),
BINT(((long)3))); 
BGl_evmodulezd2bindzd2globalz12z12zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_namez00), BgL_gz00_14981, 
(((BgL_ev_globalz00_bglt)COBJECT(
((BgL_ev_globalz00_bglt)BgL_varz00_12536)))->BgL_locz00)); }  else 
{ /* Eval/evaluate_comp.scm 349 */BFALSE; } 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_zc3z04anonymousza32845ze3z87_14986;
BgL_zc3z04anonymousza32845ze3z87_14986 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32845ze3z87_14986, 
(int)(((long)0)), 
((obj_t)
((BgL_ev_globalz00_bglt)BgL_varz00_12536))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32845ze3z87_14986, 
(int)(((long)1)), 
((obj_t)BgL_slotz00_14980)); 
return BgL_zc3z04anonymousza32845ze3z87_14986;} } } } 

}



/* &<@anonymous:2832> */
obj_t BGl_z62zc3z04anonymousza32832ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12540, obj_t BgL_sz00_12542)
{
{ /* Eval/evaluate_comp.scm 344 */
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_gz00_12541;
BgL_gz00_12541 = 
PROCEDURE_REF(BgL_envz00_12540, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 344 */
obj_t BgL_bpz00_14987;
BgL_bpz00_14987 = 
VECTOR_REF(
((obj_t)BgL_sz00_12542),((long)0)); 
{ /* Eval/evaluate_comp.scm 345 */
obj_t BgL_arg2833z00_14988;
BgL_arg2833z00_14988 = 
VECTOR_REF(
((obj_t)BgL_gz00_12541),((long)2)); 
return 
__EVMEANING_ADDRESS_REF(BgL_arg2833z00_14988);} } } } 

}



/* &<@anonymous:2834> */
obj_t BGl_z62zc3z04anonymousza32834ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12543, obj_t BgL_sz00_12545)
{
{ /* Eval/evaluate_comp.scm 346 */
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_gz00_12544;
BgL_gz00_12544 = 
PROCEDURE_REF(BgL_envz00_12543, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 346 */
obj_t BgL_bpz00_14989;
BgL_bpz00_14989 = 
VECTOR_REF(
((obj_t)BgL_sz00_12545),((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_gz00_12544),((long)2));} } } 

}



/* &<@anonymous:2845> */
obj_t BGl_z62zc3z04anonymousza32845ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12546, obj_t BgL_sz00_12549)
{
{ /* Eval/evaluate_comp.scm 353 */
{ /* Eval/evaluate_comp.scm 353 */
BgL_ev_globalz00_bglt BgL_i1093z00_12547;obj_t BgL_slotz00_12548;
BgL_i1093z00_12547 = 
((BgL_ev_globalz00_bglt)
PROCEDURE_REF(BgL_envz00_12546, 
(int)(((long)0)))); 
BgL_slotz00_12548 = 
PROCEDURE_REF(BgL_envz00_12546, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 353 */
obj_t BgL_bpz00_14990;
BgL_bpz00_14990 = 
VECTOR_REF(
((obj_t)BgL_sz00_12549),((long)0)); 
if(
CBOOL(
CELL_REF(BgL_slotz00_12548)))
{ /* Eval/evaluate_comp.scm 354 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 354 */
{ /* Eval/evaluate_comp.scm 355 */
obj_t BgL_auxz00_14991;
BgL_auxz00_14991 = 
BGl_evmodulezd2findzd2globalz00zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_modz00), 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_namez00)); 
CELL_SET(BgL_slotz00_12548, BgL_auxz00_14991); } 
if(
CBOOL(
CELL_REF(BgL_slotz00_12548)))
{ /* Eval/evaluate_comp.scm 356 */BFALSE; }  else 
{ /* Eval/evaluate_comp.scm 357 */
obj_t BgL_idz00_14992;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 358 */
obj_t BgL_arg2851z00_14993;
{ /* Eval/evaluate_comp.scm 358 */
obj_t BgL_arg2852z00_14994;obj_t BgL_arg2853z00_14995;
BgL_arg2852z00_14994 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_namez00); 
BgL_arg2853z00_14995 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_modz00)), BNIL); 
BgL_arg2851z00_14993 = 
MAKE_YOUNG_PAIR(BgL_arg2852z00_14994, BgL_arg2853z00_14995); } 
BgL_idz00_14992 = 
MAKE_YOUNG_PAIR(BGl_symbol5327z00zz__evaluate_compz00, BgL_arg2851z00_14993); }  else 
{ /* Eval/evaluate_comp.scm 357 */
BgL_idz00_14992 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_namez00); } 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5326z00zz__evaluate_compz00, BgL_idz00_14992); } } 
{ /* Eval/evaluate_comp.scm 361 */
obj_t BgL_vz00_14996;
{ /* Eval/evaluate_comp.scm 361 */
obj_t BgL_evalzd2globalzd2_14997;
BgL_evalzd2globalzd2_14997 = 
CELL_REF(BgL_slotz00_12548); 
BgL_vz00_14996 = 
VECTOR_REF(BgL_evalzd2globalzd2_14997,((long)2)); } 
if(
(BgL_vz00_14996==BUNSPEC))
{ /* Eval/evaluate_comp.scm 363 */
int BgL_tz00_14998;
{ /* Eval/evaluate_comp.scm 363 */
int BgL_res4665z00_14999;
{ /* Eval/evaluate_comp.scm 363 */
obj_t BgL_evalzd2globalzd2_15000;
BgL_evalzd2globalzd2_15000 = 
CELL_REF(BgL_slotz00_12548); 
BgL_res4665z00_14999 = 
CINT(
VECTOR_REF(BgL_evalzd2globalzd2_15000,((long)0))); } 
BgL_tz00_14998 = BgL_res4665z00_14999; } 
{ /* Eval/evaluate_comp.scm 364 */
bool_t BgL_test6000z00_29457;
if(
(
(long)(BgL_tz00_14998)==((long)3)))
{ /* Eval/evaluate_comp.scm 364 */
BgL_test6000z00_29457 = ((bool_t)1)
; }  else 
{ /* Eval/evaluate_comp.scm 364 */
BgL_test6000z00_29457 = 
(
(long)(BgL_tz00_14998)==((long)4))
; } 
if(BgL_test6000z00_29457)
{ /* Eval/evaluate_comp.scm 365 */
obj_t BgL_idz00_15001;
if(
BGl_evmodulezf3zf3zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_modz00)))
{ /* Eval/evaluate_comp.scm 366 */
obj_t BgL_arg2863z00_15002;
{ /* Eval/evaluate_comp.scm 366 */
obj_t BgL_arg2864z00_15003;obj_t BgL_arg2865z00_15004;
BgL_arg2864z00_15003 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_namez00); 
BgL_arg2865z00_15004 = 
MAKE_YOUNG_PAIR(
BGl_evmodulezd2namezd2zz__evmodulez00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_modz00)), BNIL); 
BgL_arg2863z00_15002 = 
MAKE_YOUNG_PAIR(BgL_arg2864z00_15003, BgL_arg2865z00_15004); } 
BgL_idz00_15001 = 
MAKE_YOUNG_PAIR(BGl_symbol5327z00zz__evaluate_compz00, BgL_arg2863z00_15002); }  else 
{ /* Eval/evaluate_comp.scm 365 */
BgL_idz00_15001 = 
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_namez00); } 
return 
BGl_everrorz00zz__everrorz00(
(((BgL_ev_globalz00_bglt)COBJECT(BgL_i1093z00_12547))->BgL_locz00), BGl_string5202z00zz__evaluate_compz00, BGl_string5329z00zz__evaluate_compz00, BgL_idz00_15001);}  else 
{ /* Eval/evaluate_comp.scm 364 */
return BgL_vz00_14996;} } }  else 
{ /* Eval/evaluate_comp.scm 362 */
return BgL_vz00_14996;} } } } } 

}



/* &comp-ev_setlocal1393 */
obj_t BGl_z62compzd2ev_setlocal1393zb0zz__evaluate_compz00(obj_t BgL_envz00_12551, obj_t BgL_ez00_12552, obj_t BgL_stkz00_12553)
{
{ /* Eval/evaluate_comp.scm 321 */
{ /* Eval/evaluate_comp.scm 323 */
obj_t BgL_iz00_15006;obj_t BgL_ez00_15007;
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_varz00_bglt BgL_arg2828z00_15008;
BgL_arg2828z00_15008 = 
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12552)))->BgL_vz00); 
BgL_iz00_15006 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)BgL_arg2828z00_15008), BgL_stkz00_12553); } 
{ /* Eval/evaluate_comp.scm 323 */
BgL_ev_exprz00_bglt BgL_arg2829z00_15009;
BgL_arg2829z00_15009 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_setlocalz00_bglt)BgL_ez00_12552))))->BgL_ez00); 
BgL_ez00_15007 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2829z00_15009, BgL_stkz00_12553); } 
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
(((BgL_ev_setlocalz00_bglt)COBJECT(
((BgL_ev_setlocalz00_bglt)BgL_ez00_12552)))->BgL_vz00)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_zc3z04anonymousza32821ze3z87_15010;
BgL_zc3z04anonymousza32821ze3z87_15010 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32821ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32821ze3z87_15010, 
(int)(((long)0)), BgL_iz00_15006); 
PROCEDURE_SET(BgL_zc3z04anonymousza32821ze3z87_15010, 
(int)(((long)1)), BgL_ez00_15007); 
return BgL_zc3z04anonymousza32821ze3z87_15010;}  else 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_zc3z04anonymousza32825ze3z87_15011;
BgL_zc3z04anonymousza32825ze3z87_15011 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)2))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32825ze3z87_15011, 
(int)(((long)0)), BgL_iz00_15006); 
PROCEDURE_SET(BgL_zc3z04anonymousza32825ze3z87_15011, 
(int)(((long)1)), BgL_ez00_15007); 
return BgL_zc3z04anonymousza32825ze3z87_15011;} } } 

}



/* &<@anonymous:2821> */
obj_t BGl_z62zc3z04anonymousza32821ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12554, obj_t BgL_sz00_12557)
{
{ /* Eval/evaluate_comp.scm 326 */
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_iz00_12555;obj_t BgL_ez00_12556;
BgL_iz00_12555 = 
PROCEDURE_REF(BgL_envz00_12554, 
(int)(((long)0))); 
BgL_ez00_12556 = 
PROCEDURE_REF(BgL_envz00_12554, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 326 */
obj_t BgL_bpz00_15012;
BgL_bpz00_15012 = 
VECTOR_REF(
((obj_t)BgL_sz00_12557),((long)0)); 
{ /* Eval/evaluate_comp.scm 327 */
obj_t BgL_arg2822z00_15013;obj_t BgL_arg2823z00_15014;
{ /* Eval/evaluate_comp.scm 327 */
long BgL_arg2824z00_15015;
BgL_arg2824z00_15015 = 
(
(long)CINT(BgL_bpz00_15012)+
(long)CINT(BgL_iz00_12555)); 
BgL_arg2822z00_15013 = 
VECTOR_REF(
((obj_t)BgL_sz00_12557),BgL_arg2824z00_15015); } 
BgL_arg2823z00_15014 = 
PROCEDURE_ENTRY(BgL_ez00_12556)(BgL_ez00_12556, BgL_sz00_12557, BEOA); 
{ /* Eval/evaluate_comp.scm 202 */
obj_t BgL_xz00_15016;
{ /* Eval/evaluate_comp.scm 202 */
int BgL_auxz00_29519;obj_t BgL_tmpz00_29517;
BgL_auxz00_29519 = 
(int)(((long)0)); 
BgL_tmpz00_29517 = 
((obj_t)BgL_arg2822z00_15013); 
BgL_xz00_15016 = 
STRUCT_SET(BgL_tmpz00_29517, BgL_auxz00_29519, BgL_arg2823z00_15014); } 
return BUNSPEC;} } } } } 

}



/* &<@anonymous:2825> */
obj_t BGl_z62zc3z04anonymousza32825ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12558, obj_t BgL_sz00_12561)
{
{ /* Eval/evaluate_comp.scm 328 */
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_iz00_12559;obj_t BgL_ez00_12560;
BgL_iz00_12559 = 
PROCEDURE_REF(BgL_envz00_12558, 
(int)(((long)0))); 
BgL_ez00_12560 = 
PROCEDURE_REF(BgL_envz00_12558, 
(int)(((long)1))); 
{ /* Eval/evaluate_comp.scm 328 */
obj_t BgL_bpz00_15017;
BgL_bpz00_15017 = 
VECTOR_REF(
((obj_t)BgL_sz00_12561),((long)0)); 
{ /* Eval/evaluate_comp.scm 329 */
long BgL_arg2826z00_15018;obj_t BgL_arg2827z00_15019;
BgL_arg2826z00_15018 = 
(
(long)CINT(BgL_bpz00_15017)+
(long)CINT(BgL_iz00_12559)); 
BgL_arg2827z00_15019 = 
PROCEDURE_ENTRY(BgL_ez00_12560)(BgL_ez00_12560, BgL_sz00_12561, BEOA); 
return 
VECTOR_SET(
((obj_t)BgL_sz00_12561),BgL_arg2826z00_15018,BgL_arg2827z00_15019);} } } } 

}



/* &comp-ev_var1391 */
obj_t BGl_z62compzd2ev_var1391zb0zz__evaluate_compz00(obj_t BgL_envz00_12562, obj_t BgL_varz00_12563, obj_t BgL_stkz00_12564)
{
{ /* Eval/evaluate_comp.scm 316 */
{ /* Eval/evaluate_comp.scm 317 */
obj_t BgL_iz00_15021;
BgL_iz00_15021 = 
BGl__indexz00zz__evaluate_compz00(
((obj_t)
((BgL_ev_varz00_bglt)BgL_varz00_12563)), BgL_stkz00_12564); 
{ 

if(
INTEGERP(BgL_iz00_15021))
{ /* Eval/evaluate_comp.scm 319 */
switch( 
(long)CINT(BgL_iz00_15021)) { case ((long)0) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12563)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5330z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5331z00zz__evaluate_compz00;} break;case ((long)1) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12563)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5332z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5333z00zz__evaluate_compz00;} break;case ((long)2) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12563)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5334z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5335z00zz__evaluate_compz00;} break;case ((long)3) : 

if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12563)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5336z00zz__evaluate_compz00;}  else 
{ /* Eval/evaluate_comp.scm 319 */
return BGl_proc5337z00zz__evaluate_compz00;} break;
default: 
BgL_case_else1088z00_15022:
if(
CBOOL(
(((BgL_ev_varz00_bglt)COBJECT(
((BgL_ev_varz00_bglt)BgL_varz00_12563)))->BgL_effz00)))
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3z04anonymousza32815ze3z87_15023;
BgL_zc3z04anonymousza32815ze3z87_15023 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32815ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32815ze3z87_15023, 
(int)(((long)0)), BgL_iz00_15021); 
return BgL_zc3z04anonymousza32815ze3z87_15023;}  else 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_zc3z04anonymousza32818ze3z87_15024;
BgL_zc3z04anonymousza32818ze3z87_15024 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32818ze3z87_15024, 
(int)(((long)0)), BgL_iz00_15021); 
return BgL_zc3z04anonymousza32818ze3z87_15024;} } }  else 
{ /* Eval/evaluate_comp.scm 319 */
goto BgL_case_else1088z00_15022;} } } } 

}



/* &<@anonymous:2809> */
obj_t BGl_z62zc3z04anonymousza32809ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12565, obj_t BgL_sz00_12566)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15025;
BgL_bpz00_15025 = 
VECTOR_REF(
((obj_t)BgL_sz00_12566),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2810z00_15026;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2811z00_15027;
BgL_arg2811z00_15027 = 
(
(long)CINT(BgL_bpz00_15025)+((long)3)); 
BgL_arg2810z00_15026 = 
VECTOR_REF(
((obj_t)BgL_sz00_12566),BgL_arg2811z00_15027); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2810z00_15026), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2812> */
obj_t BGl_z62zc3z04anonymousza32812ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12567, obj_t BgL_sz00_12568)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15028;
BgL_bpz00_15028 = 
VECTOR_REF(
((obj_t)BgL_sz00_12568),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2813z00_15029;
BgL_arg2813z00_15029 = 
(
(long)CINT(BgL_bpz00_15028)+((long)3)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12568),BgL_arg2813z00_15029);} } } 

}



/* &<@anonymous:2803> */
obj_t BGl_z62zc3z04anonymousza32803ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12569, obj_t BgL_sz00_12570)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15030;
BgL_bpz00_15030 = 
VECTOR_REF(
((obj_t)BgL_sz00_12570),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2804z00_15031;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2805z00_15032;
BgL_arg2805z00_15032 = 
(
(long)CINT(BgL_bpz00_15030)+((long)2)); 
BgL_arg2804z00_15031 = 
VECTOR_REF(
((obj_t)BgL_sz00_12570),BgL_arg2805z00_15032); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2804z00_15031), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2806> */
obj_t BGl_z62zc3z04anonymousza32806ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12571, obj_t BgL_sz00_12572)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15033;
BgL_bpz00_15033 = 
VECTOR_REF(
((obj_t)BgL_sz00_12572),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2807z00_15034;
BgL_arg2807z00_15034 = 
(
(long)CINT(BgL_bpz00_15033)+((long)2)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12572),BgL_arg2807z00_15034);} } } 

}



/* &<@anonymous:2797> */
obj_t BGl_z62zc3z04anonymousza32797ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12573, obj_t BgL_sz00_12574)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15035;
BgL_bpz00_15035 = 
VECTOR_REF(
((obj_t)BgL_sz00_12574),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2798z00_15036;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2799z00_15037;
BgL_arg2799z00_15037 = 
(
(long)CINT(BgL_bpz00_15035)+((long)1)); 
BgL_arg2798z00_15036 = 
VECTOR_REF(
((obj_t)BgL_sz00_12574),BgL_arg2799z00_15037); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2798z00_15036), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2800> */
obj_t BGl_z62zc3z04anonymousza32800ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12575, obj_t BgL_sz00_12576)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15038;
BgL_bpz00_15038 = 
VECTOR_REF(
((obj_t)BgL_sz00_12576),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2801z00_15039;
BgL_arg2801z00_15039 = 
(
(long)CINT(BgL_bpz00_15038)+((long)1)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12576),BgL_arg2801z00_15039);} } } 

}



/* &<@anonymous:2791> */
obj_t BGl_z62zc3z04anonymousza32791ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12577, obj_t BgL_sz00_12578)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15040;
BgL_bpz00_15040 = 
VECTOR_REF(
((obj_t)BgL_sz00_12578),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2792z00_15041;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2793z00_15042;
BgL_arg2793z00_15042 = 
(
(long)CINT(BgL_bpz00_15040)+((long)0)); 
BgL_arg2792z00_15041 = 
VECTOR_REF(
((obj_t)BgL_sz00_12578),BgL_arg2793z00_15042); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2792z00_15041), 
(int)(((long)0)));} } } 

}



/* &<@anonymous:2794> */
obj_t BGl_z62zc3z04anonymousza32794ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12579, obj_t BgL_sz00_12580)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15043;
BgL_bpz00_15043 = 
VECTOR_REF(
((obj_t)BgL_sz00_12580),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2795z00_15044;
BgL_arg2795z00_15044 = 
(
(long)CINT(BgL_bpz00_15043)+((long)0)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12580),BgL_arg2795z00_15044);} } } 

}



/* &<@anonymous:2815> */
obj_t BGl_z62zc3z04anonymousza32815ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12581, obj_t BgL_sz00_12583)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12582;
BgL_iz00_12582 = 
PROCEDURE_REF(BgL_envz00_12581, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15045;
BgL_bpz00_15045 = 
VECTOR_REF(
((obj_t)BgL_sz00_12583),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_arg2816z00_15046;
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2817z00_15047;
BgL_arg2817z00_15047 = 
(
(long)CINT(BgL_bpz00_15045)+
(long)CINT(BgL_iz00_12582)); 
BgL_arg2816z00_15046 = 
VECTOR_REF(
((obj_t)BgL_sz00_12583),BgL_arg2817z00_15047); } 
return 
STRUCT_REF(
((obj_t)BgL_arg2816z00_15046), 
(int)(((long)0)));} } } } 

}



/* &<@anonymous:2818> */
obj_t BGl_z62zc3z04anonymousza32818ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12584, obj_t BgL_sz00_12586)
{
{ /* Eval/evaluate_comp.scm 319 */
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_iz00_12585;
BgL_iz00_12585 = 
PROCEDURE_REF(BgL_envz00_12584, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 319 */
obj_t BgL_bpz00_15048;
BgL_bpz00_15048 = 
VECTOR_REF(
((obj_t)BgL_sz00_12586),((long)0)); 
{ /* Eval/evaluate_comp.scm 319 */
long BgL_arg2819z00_15049;
BgL_arg2819z00_15049 = 
(
(long)CINT(BgL_bpz00_15048)+
(long)CINT(BgL_iz00_12585)); 
return 
VECTOR_REF(
((obj_t)BgL_sz00_12586),BgL_arg2819z00_15049);} } } } 

}



/* &comp-ev_trap1389 */
obj_t BGl_z62compzd2ev_trap1389zb0zz__evaluate_compz00(obj_t BgL_envz00_12587, obj_t BgL_ez00_12588, obj_t BgL_stkz00_12589)
{
{ /* Eval/evaluate_comp.scm 289 */
{ /* Eval/evaluate_comp.scm 291 */
obj_t BgL_ez00_15051;
{ /* Eval/evaluate_comp.scm 291 */
BgL_ev_exprz00_bglt BgL_arg2788z00_15052;
BgL_arg2788z00_15052 = 
(((BgL_ev_hookz00_bglt)COBJECT(
((BgL_ev_hookz00_bglt)
((BgL_ev_trapz00_bglt)BgL_ez00_12588))))->BgL_ez00); 
BgL_ez00_15051 = 
BGl_compz00zz__evaluate_compz00(BgL_arg2788z00_15052, BgL_stkz00_12589); } 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_zc3z04anonymousza32782ze3z87_15053;
BgL_zc3z04anonymousza32782ze3z87_15053 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza32782ze3ze5zz__evaluate_compz00, 
(int)(((long)1)), 
(int)(((long)1))); 
PROCEDURE_SET(BgL_zc3z04anonymousza32782ze3z87_15053, 
(int)(((long)0)), BgL_ez00_15051); 
return BgL_zc3z04anonymousza32782ze3z87_15053;} } } 

}



/* &<@anonymous:2782> */
obj_t BGl_z62zc3z04anonymousza32782ze3ze5zz__evaluate_compz00(obj_t BgL_envz00_12590, obj_t BgL_sz00_12592)
{
{ /* Eval/evaluate_comp.scm 292 */
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_ez00_12591;
BgL_ez00_12591 = 
PROCEDURE_REF(BgL_envz00_12590, 
(int)(((long)0))); 
{ /* Eval/evaluate_comp.scm 292 */
obj_t BgL_bpz00_15054;
BgL_bpz00_15054 = 
VECTOR_REF(
((obj_t)BgL_sz00_12592),((long)0)); 
{ /* Eval/evaluate_comp.scm 293 */
obj_t BgL_cmdz00_15055;
BgL_cmdz00_15055 = 
PROCEDURE_ENTRY(BgL_ez00_12591)(BgL_ez00_12591, BgL_sz00_12592, BEOA); 
if(
(BgL_cmdz00_15055==BGl_symbol5338z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return BgL_bpz00_15054;}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15055==BGl_symbol5340z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_reset_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15055==BGl_symbol5342z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_get_profilez00zz__evaluate_compz00();}  else 
{ /* Eval/evaluate_comp.scm 294 */
if(
(BgL_cmdz00_15055==BGl_symbol5344z00zz__evaluate_compz00))
{ /* Eval/evaluate_comp.scm 302 */
obj_t BgL_arg2787z00_15056;
BgL_arg2787z00_15056 = 
BGl_findzd2statezd2zz__evaluate_compz00(); 
return 
VECTOR_SET(
((obj_t)BgL_arg2787z00_15056),((long)0),
BINT(((long)2)));}  else 
{ /* Eval/evaluate_comp.scm 294 */
return 
BGl_errorz00zz__errorz00(BGl_string5202z00zz__evaluate_compz00, BGl_string5346z00zz__evaluate_compz00, BgL_cmdz00_15055);} } } } } } } } 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__evaluate_compz00()
{
{ /* Eval/evaluate_comp.scm 15 */
BGl_modulezd2initializa7ationz75zz__typez00(((long)121046086), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)330490148), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__biglooz00(((long)180158922), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__tvectorz00(((long)135276775), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__structurez00(((long)128218210), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bexitz00(((long)340267792), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bignumz00(((long)6519932), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__osz00(((long)251314740), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__dssslz00(((long)443936801), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__bitz00(((long)439353001), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__paramz00(((long)453939141), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__objectz00(((long)193422112), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__threadz00(((long)224967693), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__srfi4z00(((long)467924966), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)68574988), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(((long)93454137), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(((long)437057797), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(((long)268155843), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(((long)198620800), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)473309430), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(((long)459519430), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(((long)460262918), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)-400105135), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)9614678), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)376927882), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r5_control_features_6_4z00(((long)228151370), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(((long)127905250), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(((long)331540577), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(((long)86988580), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__ppz00(((long)233942021), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)220648206), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__prognz00(((long)177147622), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__expandz00(((long)414007149), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evenvz00(((long)528345299), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evcompilez00(((long)492754569), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__everrorz00(((long)375872221), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evmodulez00(((long)505897955), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_typesz00(((long)0), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
BGl_modulezd2initializa7ationz75zz__evaluate_uncompz00(((long)193509656), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00)); 
return 
BGl_modulezd2initializa7ationz75zz__evaluate_usez00(((long)20669940), 
BSTRING_TO_STRING(BGl_string5347z00zz__evaluate_compz00));} 

}

#ifdef __cplusplus
}
#endif
